/*
 * Globalize Culture cs
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "cs", "default", {
	name: "cs",
	englishName: "Czech",
	nativeName: "čeština",
	language: "cs",
	numberFormat: {
		",": " ",
		".": ",",
		"NaN": "Není číslo",
		negativeInfinity: "-nekonečno",
		positiveInfinity: "+nekonečno",
		percent: {
			pattern: ["-n%","n%"],
			",": " ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": " ",
			".": ",",
			symbol: "Kč"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["neděle","pondělí","úterý","středa","čtvrtek","pátek","sobota"],
				namesAbbr: ["ne","po","út","st","čt","pá","so"],
				namesShort: ["ne","po","út","st","čt","pá","so"]
			},
			months: {
				names: ["leden","únor","březen","duben","květen","červen","červenec","srpen","září","říjen","listopad","prosinec",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			monthsGenitive: {
				names: ["ledna","února","března","dubna","května","června","července","srpna","září","října","listopadu","prosince",""],
				namesAbbr: ["1","2","3","4","5","6","7","8","9","10","11","12",""]
			},
			AM: ["dop.","dop.","DOP."],
			PM: ["odp.","odp.","ODP."],
			eras: [{"name":"n. l.","start":null,"offset":0}],
			patterns: {
				d: "d.M.yyyy",
				D: "d. MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d. MMMM yyyy H:mm",
				F: "d. MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Uživatel",
  "filetype_box user": "Uživatel",
  "html": "Soubor HTML",
  "filetype_html": "Soubor HTML",
  "wiki": "Wikiweb",
  "filetype_wiki": "Wikiweb",
  "webscraperwebpage": "Webová stránka",
  "filetype_webscraperwebpage": "Webová stránka",
  "image": "Obrázek",
  "filetype_image": "Obrázek",
  "folder": "Složka",
  "filetype_folder": "Složka",
  "txt": "Text",
  "filetype_txt": "Text",
  "zip": "Soubor ZIP",
  "filetype_zip": "Soubor ZIP",
  "olefile": "Soubor OLE",
  "filetype_olefile": "Soubor OLE",
  "gmailmessage": "Zpráva služby Gmail",
  "filetype_gmailmessage": "Zpráva služby Gmail",
  "pdf": "Soubor PDF",
  "filetype_pdf": "Soubor PDF",
  "swf": "Soubor Flash",
  "filetype_swf": "Soubor Flash",
  "xml": "Soubor XML",
  "filetype_xml": "Soubor XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Kanál RSS",
  "filetype_rssitem": "Kanál RSS",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Dokument aplikace Microsoft Word",
  "filetype_docx": "Dokument aplikace Microsoft Word",
  "xls": "Tabulkový dokument",
  "filetype_xls": "Tabulkový dokument",
  "ppt": "Dokument prezentace",
  "filetype_ppt": "Dokument prezentace",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Otevřený textový dokument",
  "filetype_odt": "Otevřený textový dokument",
  "lithiummessage": "Zpráva služby Lithium",
  "filetype_lithiummessage": "Zpráva služby Lithium",
  "lithiumthread": "Vlákno služby Lithium",
  "filetype_lithiumthread": "Vlákno služby Lithium",
  "lithiumboard": "Panel služby Lithium",
  "filetype_lithiumboard": "Panel služby Lithium",
  "lithiumcategory": "Kategorie služby Lithium",
  "filetype_lithiumcategory": "Kategorie služby Lithium",
  "lithiumcommunity": "Komunita služby Lithium",
  "filetype_lithiumcommunity": "Komunita služby Lithium",
  "people": "Uživatel",
  "objecttype_people": "Uživatel",
  "message": "Zpráva",
  "objecttype_message": "Zpráva",
  "feed": "Kanál RSS",
  "objecttype_feed": "Kanál RSS",
  "thread": "Vlákno",
  "objecttype_thread": "Vlákno",
  "file": "Soubor",
  "objecttype_file": "Soubor",
  "board": "Panel",
  "objecttype_board": "Panel",
  "category": "Kategorie",
  "objecttype_category": "Kategorie",
  "account": "Účet",
  "objecttype_account": "Účet",
  "annotation": "Poznámka",
  "objecttype_annotation": "Poznámka",
  "campaign": "Kampaň",
  "objecttype_campaign": "Kampaň",
  "case": "Případ",
  "objecttype_case": "Případ",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Smlouva",
  "objecttype_contract": "Smlouva",
  "event": "Událost",
  "objecttype_event": "Událost",
  "email": "E-mail",
  "objecttype_email": "E-mail",
  "goal": "Cíl",
  "objecttype_goal": "Cíl",
  "objecttype_incident": "Případ",
  "invoice": "Faktura",
  "objecttype_invoice": "Faktura",
  "lead": "Zájemce",
  "objecttype_lead": "Zájemce",
  "list": "Seznam",
  "objecttype_list": "Marketingový seznam",
  "solution": "Řešení",
  "objecttype_solution": "Řešení",
  "task": "Úloha",
  "objecttype_task": "Úloha",
  "user": "Uživatel",
  "objecttype_user": "Uživatel",
  "attachment": "Příloha",
  "objecttype_attachment": "Příloha",
  "casecomment": "Komentář k případu",
  "objecttype_casecomment": "Komentář k případu",
  "opportunity": "Příležitost",
  "objecttype_opportunity": "Příležitost",
  "opportunityproduct": "Produkt spojený s příležitostí",
  "objecttype_opportunityproduct": "Produkt spojený s příležitostí",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Poznámka",
  "objecttype_note": "Poznámka",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Položka fronty",
  "objecttype_queueitem": "Položka fronty",
  "quote": "Nabídka",
  "objecttype_quote": "Nabídka",
  "salesliterature": "Marketingové materiály",
  "objecttype_salesliterature": "Marketingové materiály",
  "salesorder": "Prodejní objednávka",
  "objecttype_salesorder": "Prodejní objednávka",
  "service": "Služba",
  "objecttype_service": "Služba",
  "socialprofile": "Profil na sociální síti",
  "objecttype_socialprofile": "Profil na sociální síti",
  "kbdocumentation": "Dokumentace",
  "objecttype_kbdocumentation": "Dokumentace",
  "kbtechnicalarticle": "Dokumentace",
  "objecttype_kbtechnicalarticle": "Dokumentace",
  "kbsolution": "Řešení",
  "objecttype_kbsolution": "Řešení",
  "kbknowledgearticle": "Článek ve znalostní databázi",
  "objecttype_kbknowledgearticle": "Článek ve znalostní databázi",
  "kbattachment": "Příloha",
  "objecttype_kbattachment": "Příloha",
  "kbarticle": "Článek",
  "objecttype_kbarticle": "Článek",
  "kbarticlecomment": "Komentář k článku",
  "objecttype_kbarticlecomment": "Komentář k článku",
  "knowledgearticle": "Článek ve znalostní databázi",
  "objecttype_knowledgearticle": "Článek ve znalostní databázi",
  "topic": "Téma",
  "objecttype_topic": "Téma",
  "dashboard": "Řídicí panel",
  "objecttype_dashboard": "Řídicí panel",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Skupina pro spolupráci",
  "objecttype_collaborationgroup": "Skupina pro spolupráci",
  "spportal": "Portál",
  "filetype_spportal": "Portál",
  "spsite": "Web",
  "filetype_spsite": "Web",
  "spuserprofile": "Uživatel služby SharePoint",
  "filetype_spuserprofile": "Uživatel služby SharePoint",
  "sparea": "Oblast",
  "filetype_sparea": "Oblast",
  "spannouncement": "Oznámení",
  "filetype_spannouncement": "Oznámení",
  "spannouncementlist": "Oznámení",
  "filetype_spannouncementlist": "Oznámení",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakty",
  "filetype_spcontactlist": "Kontakty",
  "spcustomlist": "Vlastní seznamy",
  "filetype_spcustomlist": "Vlastní seznamy",
  "spdiscussionboard": "Diskusní vývěska",
  "filetype_spdiscussionboard": "Diskusní vývěska",
  "spdiscussionboardlist": "Diskusní vývěsky",
  "filetype_spdiscussionboardlist": "Diskusní vývěsky",
  "spdocumentlibrarylist": "Knihovna dokumentů",
  "filetype_spdocumentlibrarylist": "Knihovna dokumentů",
  "spevent": "Událost",
  "filetype_spevent": "Událost",
  "speventlist": "Události",
  "filetype_speventlist": "Události",
  "spformlibrarylist": "Knihovna formulářů",
  "filetype_spformlibrarylist": "Knihovna formulářů",
  "spissue": "Problém",
  "filetype_spissue": "Problém",
  "spissuelist": "Problémy",
  "filetype_spissuelist": "Problémy",
  "splink": "Odkaz",
  "filetype_splink": "Odkaz",
  "splinklist": "Odkazy",
  "filetype_splinklist": "Odkazy",
  "sppicturelibrarylist": "Knihovna obrázků",
  "filetype_sppicturelibrarylist": "Knihovna obrázků",
  "spsurvey": "Průzkum",
  "filetype_spsurvey": "Průzkum",
  "spsurveylist": "Průzkumy",
  "filetype_spsurveylist": "Průzkumy",
  "sptask": "Úloha",
  "filetype_sptask": "Úloha",
  "sptasklist": "Úlohy",
  "filetype_sptasklist": "Úlohy",
  "spagenda": "Program",
  "filetype_spagenda": "Program",
  "spagendalist": "Programy",
  "filetype_spagendalist": "Programy",
  "spattendee": "Účastník",
  "filetype_spattendee": "Účastník",
  "spattendeelist": "Účastníci",
  "filetype_spattendeelist": "Účastníci",
  "spcustomgridlist": "Vlastní mřížky",
  "filetype_spcustomgridlist": "Vlastní mřížky",
  "spdecision": "Rozhodnutí",
  "filetype_spdecision": "Rozhodnutí",
  "spdecisionlist": "Rozhodnutí",
  "filetype_spdecisionlist": "Rozhodnutí",
  "spobjective": "Cíl",
  "filetype_spobjective": "Cíl",
  "spobjectivelist": "Cíle",
  "filetype_spobjectivelist": "Cíle",
  "sptextbox": "Textové pole",
  "filetype_sptextbox": "Textové pole",
  "sptextboxlist": "Seznam textových polí",
  "filetype_sptextboxlist": "Seznam textových polí",
  "spthingstobring": "Věc s sebou",
  "filetype_spthingstobring": "Věc s sebou",
  "spthingstobringlist": "Věci s sebou",
  "filetype_spthingstobringlist": "Věci s sebou",
  "sparealisting": "Výpis oblasti",
  "filetype_sparealisting": "Výpis oblasti",
  "spmeetingserie": "Řada schůzek",
  "filetype_spmeetingserie": "Řada schůzek",
  "spmeetingserielist": "Seznam řady schůzek",
  "filetype_spmeetingserielist": "Seznam řady schůzek",
  "spsitedirectory": "Položka adresáře webů",
  "filetype_spsitedirectory": "Položka adresáře webů",
  "spsitedirectorylist": "Adresář webů",
  "filetype_spsitedirectorylist": "Adresář webů",
  "spdatasource": "Zdroj dat",
  "filetype_spdatasource": "Zdroj dat",
  "spdatasourcelist": "Seznam zdrojů dat",
  "filetype_spdatasourcelist": "Seznam zdrojů dat",
  "splisttemplatecataloglist": "Galerie šablon seznamů",
  "filetype_splisttemplatecataloglist": "Galerie šablon seznamů",
  "spwebpartcataloglist": "Galerie webových částí",
  "filetype_spwebpartcataloglist": "Galerie webových částí",
  "spwebtemplatecataloglist": "Galerie webových šablon",
  "filetype_spwebtemplatecataloglist": "Galerie webových šablon",
  "spworkspacepagelist": "Stránky centra",
  "filetype_spworkspacepagelist": "Stránky centra",
  "spunknownlist": "Vlastní seznam",
  "filetype_spunknownlist": "Vlastní seznam",
  "spadministratortask": "Úloha správce",
  "filetype_spadministratortask": "Úloha správce",
  "spadministratortasklist": "Úlohy správce",
  "filetype_spadministratortasklist": "Úlohy správce",
  "spareadocumentlibrarylist": "Knihovna dokumentů oblastí",
  "filetype_spareadocumentlibrarylist": "Knihovna dokumentů oblastí",
  "spblogcategory": "Kategorie blogů",
  "filetype_spblogcategory": "Kategorie blogů",
  "spblogcategorylist": "Kategorie blogů",
  "filetype_spblogcategorylist": "Kategorie blogů",
  "spblogcomment": "Komentář k blogu",
  "filetype_spblogcomment": "Komentář k blogu",
  "spblogcommentlist": "Komentáře k blogu",
  "filetype_spblogcommentlist": "Komentáře k blogu",
  "spblogpost": "Blogový příspěvek",
  "filetype_spblogpost": "Blogový příspěvek",
  "spblogpostlist": "Blogové příspěvky",
  "filetype_spblogpostlist": "Blogové příspěvky",
  "spdataconnectionlibrarylist": "Knihovna datových připojení",
  "filetype_spdataconnectionlibrarylist": "Knihovna datových připojení",
  "spdistributiongroup": "Distribuční skupina",
  "filetype_spdistributiongroup": "Distribuční skupina",
  "spdistributiongrouplist": "Distribuční skupiny",
  "filetype_spdistributiongrouplist": "Distribuční skupiny",
  "spipfslist": "Servery formulářů aplikace InfoPath",
  "filetype_spipfslist": "Servery formulářů aplikace InfoPath",
  "spkeyperformanceindicator": "Klíčový ukazatel výkonu",
  "filetype_spkeyperformanceindicator": "Klíčový ukazatel výkonu",
  "spkeyperformanceindicatorlist": "Klíčové ukazatele výkonu",
  "filetype_spkeyperformanceindicatorlist": "Klíčové ukazatele výkonu",
  "splanguagesandtranslator": "Jazyky a překladatel",
  "filetype_splanguagesandtranslator": "Jazyky a překladatel",
  "splanguagesandtranslatorlist": "Jazyky a překladatelé",
  "filetype_splanguagesandtranslatorlist": "Jazyky a překladatelé",
  "spmasterpagescataloglist": "Galerie stránek předlohy",
  "filetype_spmasterpagescataloglist": "Galerie stránek předlohy",
  "spnocodeworkflowlibrarylist": "Knihovny pracovních postupů bez kódu",
  "filetype_spnocodeworkflowlibrarylist": "Knihovny pracovních postupů bez kódu",
  "spprojecttask": "Úloha projektu",
  "filetype_spprojecttask": "Úloha projektu",
  "spprojecttasklist": "Úlohy projektu",
  "filetype_spprojecttasklist": "Úlohy projektu",
  "sppublishingpageslibrarylist": "Knihovna stránek",
  "filetype_sppublishingpageslibrarylist": "Knihovna stránek",
  "spreportdocumentlibrarylist": "Knihovna dokumentů sestav",
  "filetype_spreportdocumentlibrarylist": "Knihovna dokumentů sestav",
  "spreportlibrarylist": "Knihovna sestav",
  "filetype_spreportlibrarylist": "Knihovna sestav",
  "spslidelibrarylist": "Knihovna snímků",
  "filetype_spslidelibrarylist": "Knihovna snímků",
  "sptab": "Karty",
  "filetype_sptab": "Karty",
  "sptablist": "Seznam karet",
  "filetype_sptablist": "Seznam karet",
  "sptranslationmanagementlibrarylist": "Knihovna správy překladů",
  "filetype_sptranslationmanagementlibrarylist": "Knihovna správy překladů",
  "spuserinformation": "Informace o uživatelích",
  "filetype_spuserinformation": "Informace o uživatelích",
  "spuserinformationlist": "Seznam informací o uživatelích",
  "filetype_spuserinformationlist": "Seznam informací o uživatelích",
  "spwikipagelibrarylist": "Knihovna stránek wikiwebu",
  "filetype_spwikipagelibrarylist": "Knihovna stránek wikiwebu",
  "spworkflowhistory": "Historie pracovního postupu",
  "filetype_spworkflowhistory": "Historie pracovního postupu",
  "spworkflowhistorylist": "Seznam historie pracovního postupu",
  "filetype_spworkflowhistorylist": "Seznam historie pracovního postupu",
  "spworkflowprocess": "Vlastní pracovní proces",
  "filetype_spworkflowprocess": "Vlastní pracovní proces",
  "spworkflowprocesslist": "Vlastní pracovní procesy",
  "filetype_spworkflowprocesslist": "Vlastní pracovní procesy",
  "sppublishingimageslibrarylist": "Knihovna obrazů publikování",
  "filetype_sppublishingimageslibrarylist": "Knihovna obrazů publikování",
  "spcirculation": "Oběžník",
  "filetype_spcirculation": "Oběžník",
  "spcirculationlist": "Oběžníky",
  "filetype_spcirculationlist": "Oběžníky",
  "spdashboardslibrarylist": "Knihovna řídicích panelů",
  "filetype_spdashboardslibrarylist": "Knihovna řídicích panelů",
  "spdataconnectionforperformancepointlibrarylist": "Knihovna datových připojení služby PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Knihovna datových připojení služby PerformancePoint",
  "sphealthreport": "Sestava o stavu",
  "filetype_sphealthreport": "Sestava o stavu",
  "sphealthreportlist": "Sestavy o stavu",
  "filetype_sphealthreportlist": "Sestavy o stavu",
  "sphealthrule": "Pravidlo pro kontrolu stavu",
  "filetype_sphealthrule": "Pravidlo pro kontrolu stavu",
  "sphealthrulelist": "Pravidla pro kontrolu stavu",
  "filetype_sphealthrulelist": "Pravidla pro kontrolu stavu",
  "spimedictionary": "Slovník editoru IME",
  "filetype_spimedictionary": "Slovník editoru IME",
  "spimedictionarylist": "Slovníky editoru IME",
  "filetype_spimedictionarylist": "Slovníky editoru IME",
  "spperformancepointcontent": "Obsah PerformancePoint serveru",
  "filetype_spperformancepointcontent": "Obsah PerformancePoint serveru",
  "spperformancepointcontentlist": "Obsahy PerformancePoint serveru",
  "filetype_spperformancepointcontentlist": "Obsahy PerformancePoint serveru",
  "spphonecallmemo": "Poznámka k telefonnímu hovoru",
  "filetype_spphonecallmemo": "Poznámka k telefonnímu hovoru",
  "spphonecallmemolist": "Poznámky k telefonním hovorům",
  "filetype_spphonecallmemolist": "Poznámky k telefonním hovorům",
  "sprecordlibrarylist": "Knihovna záznamů",
  "filetype_sprecordlibrarylist": "Knihovna záznamů",
  "spresource": "Prostředek",
  "filetype_spresource": "Prostředek",
  "spresourcelist": "Prostředky",
  "filetype_spresourcelist": "Prostředky",
  "spprocessdiagramslibrarylist": "Knihovna procesních diagramů",
  "filetype_spprocessdiagramslibrarylist": "Knihovna procesních diagramů",
  "spsitethemeslibrarylist": "Knihovna motivů webu",
  "filetype_spsitethemeslibrarylist": "Knihovna motivů webu",
  "spsolutionslibrarylist": "Knihovna řešení",
  "filetype_spsolutionslibrarylist": "Knihovna řešení",
  "spwfpublibrarylist": "Knihovna WFPUB",
  "filetype_spwfpublibrarylist": "Knihovna WFPUB",
  "spwhereabout": "Aktuální pozice",
  "filetype_spwhereabout": "Aktuální pozice",
  "spwhereaboutlist": "Aktuální pozice",
  "filetype_spwhereaboutlist": "Aktuální pozice",
  "spdocumentlink": "Odkaz na dokument",
  "filetype_spdocumentlink": "Odkaz na dokument",
  "spdocumentset": "Sada dokumentů",
  "filetype_spdocumentset": "Sada dokumentů",
  "spmicrofeedpost": "Příspěvek v informačním mikrokanálu",
  "filetype_spmicrofeedpost": "Příspěvek v informačním mikrokanálu",
  "spmicrofeedlist": "Informační mikrokanál",
  "filetype_spmicrofeedlist": "Informační mikrokanál",
  "splistfolder": "Složka seznamů",
  "filetype_splistfolder": "Složka seznamů",
  "Unknown": "Neznámý",
  "And": "A",
  "Authenticating": "Probíhá ověření uživatele {0}...",
  "Clear": "Vymazat {0}",
  "CompleteQuery": "Celý dotaz",
  "Exclude": "Vyloučit {0}",
  "EnterTag": "Přidat značku",
  "Next": "Další",
  "Last": "Poslední",
  "Link": "Odkaz",
  "Or": "NEBO",
  "Previous": "Předchozí",
  "QueryDidntMatchAnyDocuments": "Vašemu dotazu nevyhovovaly žádné dokumenty.",
  "QueryException": "Váš dotaz obsahuje chybu: {0}.",
  "Me": "Já",
  "Remove": "Odstranit",
  "Search": "Hledat",
  "SearchFor": "Hledat {0}",
  "ShareQuery": "Sdílet dotaz",
  "Preferences": "Předvolby",
  "LinkOpeningSettings": "Nastavení otevírání odkazů",
  "Reauthenticate": "Znovu ověřit uživatele {0}",
  "ResultsFilteringExpression": "Výrazy pro filtrování výsledků",
  "FiltersInYourPreferences": "Filtry ve vašich předvolbách",
  "Create": "Vytvořit",
  "SearchIn": "Hledat v {0}",
  "Seconds": "za dobu: {0}",
  "ShowingResultsOf": "<sn>Výsledek</sn><pl>Výsledky</pl> {0}<pl>–{1}</pl> ze {2}",
  "ShowingResultsOfWithQuery": "<sn>Výsledek</sn><pl>Výsledky</pl> {0}<pl>–{1}</pl> ze {2} za {3}",
  "SwitchTo": "Přepnout na {0}",
  "Unexclude": "Znovu zahrnout {0}",
  "ClearAllFilters": "Vymazat všechny filtry",
  "SkipLogin": "Přeskočit přihlášení",
  "LoginInProgress": "Probíhá přihlašování, čekejte prosím...",
  "Login": "Přihlásit se",
  "GetStarted": "Začít",
  "More": "Více",
  "NMore": "počet dalších: {0}",
  "Less": "Méně",
  "Settings": "Nastavení",
  "Score": "Skóre",
  "ScoreDescription": "Skóre je vypočítáváno z počtu výskytů a pozice v sadě výsledků.",
  "Occurrences": "Výskyty",
  "OccurrencesDescription": "Řazení dle počtu výskytů. Hodnoty s nejvyšším počtem výskytů se zobrazují jako první.",
  "Label": "Popis",
  "Of": "ze",
  "LabelDescription": "Řazení hodnot polí podle abecedy.",
  "Value": "Hodnota",
  "ValueDescription": "Řazení dle hodnot prvního vypočítaného pole",
  "AlphaAscending": "Dle hodnoty vzestupně",
  "AlphaDescending": "Dle hodnoty sestupně",
  "ChiSquare": "Chí kvadrát",
  "Nosort": "Žádné řazení",
  "NosortDescription": "Hodnoty neřadit. Tyto hodnoty budou vráceny v náhodném pořadí.",
  "RelativeFrequency": "Relativní četnost",
  "RelativeFrequencyDescription": "Řazení dle relativní četnosti hodnot. Méně obvyklé hodnoty se zobrazují výše.",
  "DateDistribution": "Rozložení dat",
  "Custom": "Vlastní",
  "CustomDescription": "Řazení dle vlastního příkazu",
  "ComputedField": "Vypočítané pole",
  "Ascending": "Vzestupně",
  "Descending": "Sestupně",
  "noResultFor": "Pro dotaz {0} nebyly nalezeny žádné výsledky",
  "autoCorrectedQueryTo": "Dotaz byl automaticky opraven na {0}",
  "didYouMean": "Měli jste na mysli: {0}",
  "SuggestedResults": "Navrhované výsledky",
  "SuggestedQueries": "Navrhované dotazy",
  "MostRelevantItems": "Nejrelevantnější položky:",
  "AllItems": "Všechny položky:",
  "ShowLess": "Zobrazit méně",
  "ShowMore": "Zobrazit více",
  "HideFacet": "Skrýt omezující vlastnost",
  "ShowFacet": "Zobrazit omezující vlastnost",
  "AndOthers": "a počet dalších: {0}",
  "Others": "počet dalších: {0}",
  "MostRelevantPosts": "Nejrelevantnější příspěvky:",
  "CompleteThread": "Celé vlákno:",
  "ShowCompleteThread": "Zobrazit celé vlákno",
  "ShowOnlyTopMatchingPosts": "Zobrazit pouze nejlépe vyhovující příspěvky",
  "MostRelevantReplies": "Nejrelevantnější odpovědi:",
  "AllConversation": "Celá konverzace:",
  "ShowAllConversation": "Zobrazit celou konverzaci",
  "ShowAllReplies": "Zobrazit všechny odpovědi",
  "ShowOnlyMostRelevantReplies": "Zobrazit pouze nejrelevantnější odpovědi",
  "Close": "Zavřít",
  "Open": "Otevřít",
  "OpenInOutlookWhenPossible": "Otevřít v aplikaci Outlook (je-li to možné)",
  "AlwaysOpenInNewWindow": "Výsledky vždy otevřít v novém okně",
  "Quickview": "Rychlé zobrazení",
  "NoQuickview": "Rychlé zobrazení není pro tento dokument k dispozici",
  "ErrorReport": "Zpráva o chybách",
  "OopsError": "Na serveru došlo k chybě.",
  "ProblemPersists": "Pokud problém přetrvává, spojte se se správcem.",
  "GoBack": "Jít zpět",
  "Reset": "Resetovat",
  "Retry": "Opakovat",
  "MoreInfo": "Více informací",
  "Username": "Uživatelské jméno",
  "Password": "Heslo",
  "PostedBy": "Zveřejnil uživatel",
  "CannotConnect": "Na adresu serveru se nelze připojit.",
  "BadUserPass": "Heslo neodpovídá uživatelskému jménu.",
  "PleaseEnterYourCredentials": "Zadejte přihlašovací údaje k systému {0}.",
  "PleaseEnterYourSearchPage": "Zadejte adresu URL stránky pro vyhledávání",
  "Collapse": "Sbalit",
  "Collapsable": "Sbalitelné",
  "Expand": "Rozbalit",
  "Today": "Dnes",
  "Yesterday": "Včera",
  "Tomorrow": "Zítra",
  "Duration": "Trvání: {0}",
  "IndexDuration": "Trvání indexu: {0}",
  "ProxyDuration": "Trvání serveru proxy: {0}",
  "ClientDuration": "Trvání klienta: {0}",
  "Unavailable": "Nedostupné",
  "Reply": "Odpovědět",
  "ReplyAll": "Odpovědět všem",
  "Forward": "Přeposlat",
  "From": "Od",
  "Caption": "Titulek",
  "Expression": "Výraz",
  "Tab": "Záložka",
  "Tabs": "Záložky",
  "EnterExpressionName": "Zadejte název výrazu",
  "EnterExpressionToFilterWith": "Zadejte výraz pro filtrování výsledků",
  "SelectTab": "Vybrat záložku",
  "SelectAll": "Vybrat vše",
  "PageUrl": "Adresa URL stránky pro vyhledávání",
  "ErrorSavingToDevice": "Při ukládání informací na vaše zařízení došlo k chybě",
  "ErrorReadingFromDevice": "Při čtení informací z vašeho zařízení došlo k chybě",
  "AppIntro": "Promluvte si s produktovým specialistou, který vám pomůže vybrat nejvhodnější řešení Coveo a zodpoví vaše dotazy týkající se této platformy. Vyzkoušet můžete rovněž živou ukázku!",
  "TryDemo": "Vyzkoušet ukázku",
  "ContactUs": "Spojte se s námi",
  "NewToCoveo": "Teprve se s platformou Coveo seznamujete?",
  "LetUsHelpGetStarted": "Pomůžeme vám začít",
  "LikesThis": "Uživatelé, kterým se to líbí: {0}.",
  "CannotConnectSearchPage": "K vaší stránce pro vyhledávání se nelze připojit",
  "AreYouSureDeleteFilter": "Opravdu si přejete odstranit filtr {0} s výrazem {1}",
  "OnlineHelp": "Online nápověda",
  "Done": "Hotovo",
  "SaveFacetState": "Uložit tento stav omezující vlastnosti",
  "ClearFacetState": "Vymazat stav omezující vlastnosti",
  "DisplayingTheOnlyMessage": "Je zobrazena jediná zpráva této konverzace",
  "NoNetworkConnection": "Žádné připojení k síti",
  "UnknownConnection": "Neznámé připojení",
  "EthernetConnection": "Připojení k síti Ethernet",
  "WiFi": "Připojení k síti Wi-Fi",
  "CELL": "Mobilní připojení",
  "CELL_2G": "Mobilní připojení 2G",
  "CELL_3G": "Mobilní připojení 3G",
  "CELL_4G": "Mobilní připojení 4G",
  "Relevance": "Relevance",
  "Date": "Datum",
  "Amount": "Množství",
  "QueryExceptionNoException": "Žádná výjimka",
  "QueryExceptionInvalidSyntax": "Neplatná syntaxe",
  "QueryExceptionInvalidCustomField": "Neplatné vlastní pole",
  "QueryExceptionInvalidDate": "Neplatné datum",
  "QueryExceptionInvalidExactPhrase": "Neplatná přesná fráze",
  "QueryExceptionInvalidDateOp": "Neplatný operátor data",
  "QueryExceptionInvalidNear": "Neplatný operátor NEAR",
  "QueryExceptionInvalidWeightedNear": "Neplatný vážený operátor NEAR",
  "QueryExceptionInvalidTerm": "Neplatný termín",
  "QueryExceptionTooManyTerms": "Příliš mnoho termínů",
  "QueryExceptionWildcardTooGeneral": "Výraz se zástupnými znaky je příliš obecný",
  "QueryExceptionInvalidSortField": "Neplatné pole řazení",
  "QueryExceptionInvalidSmallStringOp": "Neplatný operátor pro krátký řetězec",
  "QueryExceptionRequestedResultsMax": "Maximální počet požadovaných výsledků",
  "QueryExceptionAggregatedMirrorDead": "Vzdálená kopie indexů je offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Vypršel časový limit dotazu na vzdálenou kopii indexů",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Neplatné číslo sestavení vzdálené kopie indexů",
  "QueryExceptionAggregatedMirrorCannotConnect": "Nelze připojit vzdálenou kopii indexů",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Před zástupným znakem není dostatečný počet jiných znaků",
  "QueryExceptionSecurityInverterNotFound": "Blokování bezpečnostního ověření nebylo nalezeno",
  "QueryExceptionSecurityInverterAccessDenied": "Byl odepřen přístup k blokování bezpečnostního ověření",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Na vzdálené kopii indexů nelze provést dotaz jménem uživatele",
  "QueryExceptionUnexpected": "Neočekávané",
  "QueryExceptionAccessDenied": "Přístup odepřen",
  "QueryExceptionSuperUserTokenInvalid": "Token superuživatele je neplatný",
  "QueryExceptionSuperUserTokenExpired": "Platnost tokenu superuživatele skončila",
  "QueryExceptionLicenseQueriesExpired": "Skončila platnost licence dotazů",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Token superuživatele licence není podporován",
  "QueryExceptionInvalidSession": "Neplatná relace",
  "QueryExceptionInvalidDocument": "Neplatný dokument",
  "QueryExceptionSearchDisabled": "Hledání je zakázáno",
  "FileType": "Typ souboru",
  "ShowAttachment": "Zobrazit přílohu",
  "OnFeed": "v informačním kanále uživatele {0}.",
  "Author": "Autor",
  "NoTitle": "Žádný název",
  "CurrentSelections": "Aktuální výběr",
  "AllContent": "Veškerý obsah",
  "CancelLastAction": "Zrušit poslední akci",
  "SearchTips": "Tipy pro hledání",
  "CheckSpelling": "Zkontrolujte pravopis klíčových slov.",
  "TryUsingFewerKeywords": "Zkuste použít méně, více či jiná obecná klíčová slova.",
  "SelectFewerFilters": "Chcete-li rozšířit hledání, vyberte méně filtrů.",
  "Document": "Dokument",
  "Time": "Čas",
  "StartDate": "Počáteční datum",
  "StartTime": "Počáteční čas",
  "DurationTitle": "Trvání",
  "UserQuery": "Dotaz uživatele",
  "ShowUserActions": "Zobrazit akce uživatele",
  "NoData": "Nejsou k dispozici žádná data",
  "EventType": "Typ události",
  "GoToFullSearch": "Komplexní hledání",
  "GoToEdition": "Přizpůsobit panel",
  "RemoveContext": "Odstranit kontext",
  "BoxAttachToCase": "Připojit k případu",
  "AttachToCase": "Připojit k případu",
  "Attach": "Připojit",
  "Attached": "Připojeno",
  "Detach": "Odpojit",
  "Details": "Podrobnosti",
  "AdditionalFilters": "Další filtry",
  "SelectNonContextualSearch": "Odstranit kontext z aktuálního záznamu, a rozšířit tak hledání",
  "CopyPasteToSupport": "Chcete-li získat více informací, zkopírujte a vložte tuto zprávu pro tým podpory Coveo.",
  "FollowQueryDescription": "Upozorněte mě, pokud u tohoto dotazu dojde ke změnám výsledků hledání.",
  "SearchAlerts_Panel": "Spravovat upozornění",
  "SearchAlerts_PanelDescription": "Zobrazit a spravovat upozornění vyhledávání.",
  "SearchAlerts_PanelNoSearchAlerts": "Nemáte žádné odběry.",
  "SearchAlerts_Fail": "Služba upozornění vyhledávání je momentálně nedostupná.",
  "SearchAlerts_Type": "Typ",
  "SearchAlerts_Content": "Obsah",
  "SearchAlerts_Actions": "Akce",
  "EmptyQuery": "<prázdné>",
  "SearchAlerts_Type_followQuery": "Dotaz",
  "SearchAlerts_Type_followDocument": "Položka",
  "SearchAlerts_unFollowing": "Zrušit sledování",
  "SearchAlerts_follow": "Sledovat",
  "SearchAlerts_followed": "Sledované",
  "SearchAlerts_followQuery": "Sledovat dotaz",
  "Subscription_StopFollowingQuery": "Zrušit sledování dotazu",
  "SearchAlerts_Frequency": "Kdy",
  "SubscriptionsManageSubscriptions": "Spravovat upozornění",
  "SubscriptionsMessageFollowQuery": "Budou vám zasílána upozornění, pokud dotaz <b>{0}</b> vrátí nové nebo aktualizované položky.",
  "SubscriptionsMessageFollow": "Budou vám zasílána upozornění na změny položky <b>{0}</b>.",
  "Expiration": "Vypršení platnosti",
  "Monthly": "Měsíčně",
  "Daily": "Denně",
  "Monday": "Pondělí",
  "Tuesday": "Úterý",
  "Wednesday": "Středa",
  "Thursday": "Čtvrtek",
  "Friday": "Pátek",
  "Saturday": "Sobota",
  "Sunday": "Neděle",
  "NextDay": "Počet dalších: {0}",
  "LastDay": "Počet posledních: {0}",
  "StartTypingCaseForSuggestions": "Popište problém, aby se mohla zobrazit možná řešení",
  "ExportToExcel": "Exportovat do Excelu",
  "ExportToExcelDescription": "Exportovat výsledky hledání do Excelu",
  "CaseCreationNoResults": "Nebyla nalezena žádná doporučená řešení",
  "SortBy": "Seřadit podle",
  "BoxCreateArticle": "Vytvořit článek",
  "Facets": "Fasety",
  "AdvancedSearch": "Rozšířené hledání",
  "Keywords": "Klíčová slova",
  "AllTheseWords": "Všechna tato slova",
  "ExactPhrase": "Tento přesný výraz",
  "AnyOfTheseWords": "Kterékoli z těchto slov",
  "NoneOfTheseWords": "Žádné z těchto slov",
  "Anytime": "Kdykoli",
  "InTheLast": "V posledních",
  "Days": "dny",
  "Months": "měsíce",
  "Month": "Měsíc",
  "Year": "Rok",
  "Between": "Mezi",
  "Language": "Jazyk",
  "Size": "Velikost",
  "AtLeast": "nejméně",
  "AtMost": "nejvíce",
  "Contains": "obsahuje",
  "DoesNotContain": "neobsahuje",
  "Matches": "shody",
  "Bytes": "bajty",
  "card": "Karta",
  "table": "Tabulka",
  "ResultLinks": "Odkazy na výsledky",
  "EnableQuerySyntax": "Povolit syntaxi dotazů",
  "On": "Zapnuto",
  "Off": "Vypnuto",
  "Automatic": "Automatický",
  "ResultsPerPage": "Počet výsledků na stránce",
  "PreviousMonth": "Předchozí měsíc",
  "NextMonth": "Další měsíc",
  "Title": "Název",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["cs"] = merge(locales["cs"], dict);
  String["toLocaleString"].call(this, { "cs": dict });
  String["locale"] = "cs";
  String["defaultLocale"] = "en";
  Globalize.culture("cs")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Uživatel",
  "filetype_box user": "Uživatel",
  "html": "Soubor HTML",
  "filetype_html": "Soubor HTML",
  "wiki": "Wikiweb",
  "filetype_wiki": "Wikiweb",
  "webscraperwebpage": "Webová stránka",
  "filetype_webscraperwebpage": "Webová stránka",
  "image": "Obrázek",
  "filetype_image": "Obrázek",
  "folder": "Složka",
  "filetype_folder": "Složka",
  "txt": "Text",
  "filetype_txt": "Text",
  "zip": "Soubor ZIP",
  "filetype_zip": "Soubor ZIP",
  "olefile": "Soubor OLE",
  "filetype_olefile": "Soubor OLE",
  "gmailmessage": "Zpráva služby Gmail",
  "filetype_gmailmessage": "Zpráva služby Gmail",
  "pdf": "Soubor PDF",
  "filetype_pdf": "Soubor PDF",
  "swf": "Soubor Flash",
  "filetype_swf": "Soubor Flash",
  "xml": "Soubor XML",
  "filetype_xml": "Soubor XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Kanál RSS",
  "filetype_rssitem": "Kanál RSS",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Dokument aplikace Microsoft Word",
  "filetype_docx": "Dokument aplikace Microsoft Word",
  "xls": "Tabulkový dokument",
  "filetype_xls": "Tabulkový dokument",
  "ppt": "Dokument prezentace",
  "filetype_ppt": "Dokument prezentace",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Otevřený textový dokument",
  "filetype_odt": "Otevřený textový dokument",
  "lithiummessage": "Zpráva služby Lithium",
  "filetype_lithiummessage": "Zpráva služby Lithium",
  "lithiumthread": "Vlákno služby Lithium",
  "filetype_lithiumthread": "Vlákno služby Lithium",
  "lithiumboard": "Panel služby Lithium",
  "filetype_lithiumboard": "Panel služby Lithium",
  "lithiumcategory": "Kategorie služby Lithium",
  "filetype_lithiumcategory": "Kategorie služby Lithium",
  "lithiumcommunity": "Komunita služby Lithium",
  "filetype_lithiumcommunity": "Komunita služby Lithium",
  "people": "Uživatel",
  "objecttype_people": "Uživatel",
  "message": "Zpráva",
  "objecttype_message": "Zpráva",
  "feed": "Kanál RSS",
  "objecttype_feed": "Kanál RSS",
  "thread": "Vlákno",
  "objecttype_thread": "Vlákno",
  "file": "Soubor",
  "objecttype_file": "Soubor",
  "board": "Panel",
  "objecttype_board": "Panel",
  "category": "Kategorie",
  "objecttype_category": "Kategorie",
  "account": "Účet",
  "objecttype_account": "Účet",
  "annotation": "Poznámka",
  "objecttype_annotation": "Poznámka",
  "campaign": "Kampaň",
  "objecttype_campaign": "Kampaň",
  "case": "Případ",
  "objecttype_case": "Případ",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Smlouva",
  "objecttype_contract": "Smlouva",
  "event": "Událost",
  "objecttype_event": "Událost",
  "email": "E-mail",
  "objecttype_email": "E-mail",
  "goal": "Cíl",
  "objecttype_goal": "Cíl",
  "objecttype_incident": "Případ",
  "invoice": "Faktura",
  "objecttype_invoice": "Faktura",
  "lead": "Zájemce",
  "objecttype_lead": "Zájemce",
  "list": "Seznam",
  "objecttype_list": "Marketingový seznam",
  "solution": "Řešení",
  "objecttype_solution": "Řešení",
  "task": "Úloha",
  "objecttype_task": "Úloha",
  "user": "Uživatel",
  "objecttype_user": "Uživatel",
  "attachment": "Příloha",
  "objecttype_attachment": "Příloha",
  "casecomment": "Komentář k případu",
  "objecttype_casecomment": "Komentář k případu",
  "opportunity": "Příležitost",
  "objecttype_opportunity": "Příležitost",
  "opportunityproduct": "Produkt spojený s příležitostí",
  "objecttype_opportunityproduct": "Produkt spojený s příležitostí",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Poznámka",
  "objecttype_note": "Poznámka",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Položka fronty",
  "objecttype_queueitem": "Položka fronty",
  "quote": "Nabídka",
  "objecttype_quote": "Nabídka",
  "salesliterature": "Marketingové materiály",
  "objecttype_salesliterature": "Marketingové materiály",
  "salesorder": "Prodejní objednávka",
  "objecttype_salesorder": "Prodejní objednávka",
  "service": "Služba",
  "objecttype_service": "Služba",
  "socialprofile": "Profil na sociální síti",
  "objecttype_socialprofile": "Profil na sociální síti",
  "kbdocumentation": "Dokumentace",
  "objecttype_kbdocumentation": "Dokumentace",
  "kbtechnicalarticle": "Dokumentace",
  "objecttype_kbtechnicalarticle": "Dokumentace",
  "kbsolution": "Řešení",
  "objecttype_kbsolution": "Řešení",
  "kbknowledgearticle": "Článek ve znalostní databázi",
  "objecttype_kbknowledgearticle": "Článek ve znalostní databázi",
  "kbattachment": "Příloha",
  "objecttype_kbattachment": "Příloha",
  "kbarticle": "Článek",
  "objecttype_kbarticle": "Článek",
  "kbarticlecomment": "Komentář k článku",
  "objecttype_kbarticlecomment": "Komentář k článku",
  "knowledgearticle": "Článek ve znalostní databázi",
  "objecttype_knowledgearticle": "Článek ve znalostní databázi",
  "topic": "Téma",
  "objecttype_topic": "Téma",
  "dashboard": "Řídicí panel",
  "objecttype_dashboard": "Řídicí panel",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Skupina pro spolupráci",
  "objecttype_collaborationgroup": "Skupina pro spolupráci",
  "spportal": "Portál",
  "filetype_spportal": "Portál",
  "spsite": "Web",
  "filetype_spsite": "Web",
  "spuserprofile": "Uživatel služby SharePoint",
  "filetype_spuserprofile": "Uživatel služby SharePoint",
  "sparea": "Oblast",
  "filetype_sparea": "Oblast",
  "spannouncement": "Oznámení",
  "filetype_spannouncement": "Oznámení",
  "spannouncementlist": "Oznámení",
  "filetype_spannouncementlist": "Oznámení",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakty",
  "filetype_spcontactlist": "Kontakty",
  "spcustomlist": "Vlastní seznamy",
  "filetype_spcustomlist": "Vlastní seznamy",
  "spdiscussionboard": "Diskusní vývěska",
  "filetype_spdiscussionboard": "Diskusní vývěska",
  "spdiscussionboardlist": "Diskusní vývěsky",
  "filetype_spdiscussionboardlist": "Diskusní vývěsky",
  "spdocumentlibrarylist": "Knihovna dokumentů",
  "filetype_spdocumentlibrarylist": "Knihovna dokumentů",
  "spevent": "Událost",
  "filetype_spevent": "Událost",
  "speventlist": "Události",
  "filetype_speventlist": "Události",
  "spformlibrarylist": "Knihovna formulářů",
  "filetype_spformlibrarylist": "Knihovna formulářů",
  "spissue": "Problém",
  "filetype_spissue": "Problém",
  "spissuelist": "Problémy",
  "filetype_spissuelist": "Problémy",
  "splink": "Odkaz",
  "filetype_splink": "Odkaz",
  "splinklist": "Odkazy",
  "filetype_splinklist": "Odkazy",
  "sppicturelibrarylist": "Knihovna obrázků",
  "filetype_sppicturelibrarylist": "Knihovna obrázků",
  "spsurvey": "Průzkum",
  "filetype_spsurvey": "Průzkum",
  "spsurveylist": "Průzkumy",
  "filetype_spsurveylist": "Průzkumy",
  "sptask": "Úloha",
  "filetype_sptask": "Úloha",
  "sptasklist": "Úlohy",
  "filetype_sptasklist": "Úlohy",
  "spagenda": "Program",
  "filetype_spagenda": "Program",
  "spagendalist": "Programy",
  "filetype_spagendalist": "Programy",
  "spattendee": "Účastník",
  "filetype_spattendee": "Účastník",
  "spattendeelist": "Účastníci",
  "filetype_spattendeelist": "Účastníci",
  "spcustomgridlist": "Vlastní mřížky",
  "filetype_spcustomgridlist": "Vlastní mřížky",
  "spdecision": "Rozhodnutí",
  "filetype_spdecision": "Rozhodnutí",
  "spdecisionlist": "Rozhodnutí",
  "filetype_spdecisionlist": "Rozhodnutí",
  "spobjective": "Cíl",
  "filetype_spobjective": "Cíl",
  "spobjectivelist": "Cíle",
  "filetype_spobjectivelist": "Cíle",
  "sptextbox": "Textové pole",
  "filetype_sptextbox": "Textové pole",
  "sptextboxlist": "Seznam textových polí",
  "filetype_sptextboxlist": "Seznam textových polí",
  "spthingstobring": "Věc s sebou",
  "filetype_spthingstobring": "Věc s sebou",
  "spthingstobringlist": "Věci s sebou",
  "filetype_spthingstobringlist": "Věci s sebou",
  "sparealisting": "Výpis oblasti",
  "filetype_sparealisting": "Výpis oblasti",
  "spmeetingserie": "Řada schůzek",
  "filetype_spmeetingserie": "Řada schůzek",
  "spmeetingserielist": "Seznam řady schůzek",
  "filetype_spmeetingserielist": "Seznam řady schůzek",
  "spsitedirectory": "Položka adresáře webů",
  "filetype_spsitedirectory": "Položka adresáře webů",
  "spsitedirectorylist": "Adresář webů",
  "filetype_spsitedirectorylist": "Adresář webů",
  "spdatasource": "Zdroj dat",
  "filetype_spdatasource": "Zdroj dat",
  "spdatasourcelist": "Seznam zdrojů dat",
  "filetype_spdatasourcelist": "Seznam zdrojů dat",
  "splisttemplatecataloglist": "Galerie šablon seznamů",
  "filetype_splisttemplatecataloglist": "Galerie šablon seznamů",
  "spwebpartcataloglist": "Galerie webových částí",
  "filetype_spwebpartcataloglist": "Galerie webových částí",
  "spwebtemplatecataloglist": "Galerie webových šablon",
  "filetype_spwebtemplatecataloglist": "Galerie webových šablon",
  "spworkspacepagelist": "Stránky centra",
  "filetype_spworkspacepagelist": "Stránky centra",
  "spunknownlist": "Vlastní seznam",
  "filetype_spunknownlist": "Vlastní seznam",
  "spadministratortask": "Úloha správce",
  "filetype_spadministratortask": "Úloha správce",
  "spadministratortasklist": "Úlohy správce",
  "filetype_spadministratortasklist": "Úlohy správce",
  "spareadocumentlibrarylist": "Knihovna dokumentů oblastí",
  "filetype_spareadocumentlibrarylist": "Knihovna dokumentů oblastí",
  "spblogcategory": "Kategorie blogů",
  "filetype_spblogcategory": "Kategorie blogů",
  "spblogcategorylist": "Kategorie blogů",
  "filetype_spblogcategorylist": "Kategorie blogů",
  "spblogcomment": "Komentář k blogu",
  "filetype_spblogcomment": "Komentář k blogu",
  "spblogcommentlist": "Komentáře k blogu",
  "filetype_spblogcommentlist": "Komentáře k blogu",
  "spblogpost": "Blogový příspěvek",
  "filetype_spblogpost": "Blogový příspěvek",
  "spblogpostlist": "Blogové příspěvky",
  "filetype_spblogpostlist": "Blogové příspěvky",
  "spdataconnectionlibrarylist": "Knihovna datových připojení",
  "filetype_spdataconnectionlibrarylist": "Knihovna datových připojení",
  "spdistributiongroup": "Distribuční skupina",
  "filetype_spdistributiongroup": "Distribuční skupina",
  "spdistributiongrouplist": "Distribuční skupiny",
  "filetype_spdistributiongrouplist": "Distribuční skupiny",
  "spipfslist": "Servery formulářů aplikace InfoPath",
  "filetype_spipfslist": "Servery formulářů aplikace InfoPath",
  "spkeyperformanceindicator": "Klíčový ukazatel výkonu",
  "filetype_spkeyperformanceindicator": "Klíčový ukazatel výkonu",
  "spkeyperformanceindicatorlist": "Klíčové ukazatele výkonu",
  "filetype_spkeyperformanceindicatorlist": "Klíčové ukazatele výkonu",
  "splanguagesandtranslator": "Jazyky a překladatel",
  "filetype_splanguagesandtranslator": "Jazyky a překladatel",
  "splanguagesandtranslatorlist": "Jazyky a překladatelé",
  "filetype_splanguagesandtranslatorlist": "Jazyky a překladatelé",
  "spmasterpagescataloglist": "Galerie stránek předlohy",
  "filetype_spmasterpagescataloglist": "Galerie stránek předlohy",
  "spnocodeworkflowlibrarylist": "Knihovny pracovních postupů bez kódu",
  "filetype_spnocodeworkflowlibrarylist": "Knihovny pracovních postupů bez kódu",
  "spprojecttask": "Úloha projektu",
  "filetype_spprojecttask": "Úloha projektu",
  "spprojecttasklist": "Úlohy projektu",
  "filetype_spprojecttasklist": "Úlohy projektu",
  "sppublishingpageslibrarylist": "Knihovna stránek",
  "filetype_sppublishingpageslibrarylist": "Knihovna stránek",
  "spreportdocumentlibrarylist": "Knihovna dokumentů sestav",
  "filetype_spreportdocumentlibrarylist": "Knihovna dokumentů sestav",
  "spreportlibrarylist": "Knihovna sestav",
  "filetype_spreportlibrarylist": "Knihovna sestav",
  "spslidelibrarylist": "Knihovna snímků",
  "filetype_spslidelibrarylist": "Knihovna snímků",
  "sptab": "Karty",
  "filetype_sptab": "Karty",
  "sptablist": "Seznam karet",
  "filetype_sptablist": "Seznam karet",
  "sptranslationmanagementlibrarylist": "Knihovna správy překladů",
  "filetype_sptranslationmanagementlibrarylist": "Knihovna správy překladů",
  "spuserinformation": "Informace o uživatelích",
  "filetype_spuserinformation": "Informace o uživatelích",
  "spuserinformationlist": "Seznam informací o uživatelích",
  "filetype_spuserinformationlist": "Seznam informací o uživatelích",
  "spwikipagelibrarylist": "Knihovna stránek wikiwebu",
  "filetype_spwikipagelibrarylist": "Knihovna stránek wikiwebu",
  "spworkflowhistory": "Historie pracovního postupu",
  "filetype_spworkflowhistory": "Historie pracovního postupu",
  "spworkflowhistorylist": "Seznam historie pracovního postupu",
  "filetype_spworkflowhistorylist": "Seznam historie pracovního postupu",
  "spworkflowprocess": "Vlastní pracovní proces",
  "filetype_spworkflowprocess": "Vlastní pracovní proces",
  "spworkflowprocesslist": "Vlastní pracovní procesy",
  "filetype_spworkflowprocesslist": "Vlastní pracovní procesy",
  "sppublishingimageslibrarylist": "Knihovna obrazů publikování",
  "filetype_sppublishingimageslibrarylist": "Knihovna obrazů publikování",
  "spcirculation": "Oběžník",
  "filetype_spcirculation": "Oběžník",
  "spcirculationlist": "Oběžníky",
  "filetype_spcirculationlist": "Oběžníky",
  "spdashboardslibrarylist": "Knihovna řídicích panelů",
  "filetype_spdashboardslibrarylist": "Knihovna řídicích panelů",
  "spdataconnectionforperformancepointlibrarylist": "Knihovna datových připojení služby PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Knihovna datových připojení služby PerformancePoint",
  "sphealthreport": "Sestava o stavu",
  "filetype_sphealthreport": "Sestava o stavu",
  "sphealthreportlist": "Sestavy o stavu",
  "filetype_sphealthreportlist": "Sestavy o stavu",
  "sphealthrule": "Pravidlo pro kontrolu stavu",
  "filetype_sphealthrule": "Pravidlo pro kontrolu stavu",
  "sphealthrulelist": "Pravidla pro kontrolu stavu",
  "filetype_sphealthrulelist": "Pravidla pro kontrolu stavu",
  "spimedictionary": "Slovník editoru IME",
  "filetype_spimedictionary": "Slovník editoru IME",
  "spimedictionarylist": "Slovníky editoru IME",
  "filetype_spimedictionarylist": "Slovníky editoru IME",
  "spperformancepointcontent": "Obsah PerformancePoint serveru",
  "filetype_spperformancepointcontent": "Obsah PerformancePoint serveru",
  "spperformancepointcontentlist": "Obsahy PerformancePoint serveru",
  "filetype_spperformancepointcontentlist": "Obsahy PerformancePoint serveru",
  "spphonecallmemo": "Poznámka k telefonnímu hovoru",
  "filetype_spphonecallmemo": "Poznámka k telefonnímu hovoru",
  "spphonecallmemolist": "Poznámky k telefonním hovorům",
  "filetype_spphonecallmemolist": "Poznámky k telefonním hovorům",
  "sprecordlibrarylist": "Knihovna záznamů",
  "filetype_sprecordlibrarylist": "Knihovna záznamů",
  "spresource": "Prostředek",
  "filetype_spresource": "Prostředek",
  "spresourcelist": "Prostředky",
  "filetype_spresourcelist": "Prostředky",
  "spprocessdiagramslibrarylist": "Knihovna procesních diagramů",
  "filetype_spprocessdiagramslibrarylist": "Knihovna procesních diagramů",
  "spsitethemeslibrarylist": "Knihovna motivů webu",
  "filetype_spsitethemeslibrarylist": "Knihovna motivů webu",
  "spsolutionslibrarylist": "Knihovna řešení",
  "filetype_spsolutionslibrarylist": "Knihovna řešení",
  "spwfpublibrarylist": "Knihovna WFPUB",
  "filetype_spwfpublibrarylist": "Knihovna WFPUB",
  "spwhereabout": "Aktuální pozice",
  "filetype_spwhereabout": "Aktuální pozice",
  "spwhereaboutlist": "Aktuální pozice",
  "filetype_spwhereaboutlist": "Aktuální pozice",
  "spdocumentlink": "Odkaz na dokument",
  "filetype_spdocumentlink": "Odkaz na dokument",
  "spdocumentset": "Sada dokumentů",
  "filetype_spdocumentset": "Sada dokumentů",
  "spmicrofeedpost": "Příspěvek v informačním mikrokanálu",
  "filetype_spmicrofeedpost": "Příspěvek v informačním mikrokanálu",
  "spmicrofeedlist": "Informační mikrokanál",
  "filetype_spmicrofeedlist": "Informační mikrokanál",
  "splistfolder": "Složka seznamů",
  "filetype_splistfolder": "Složka seznamů",
  "Unknown": "Neznámý",
  "And": "A",
  "Authenticating": "Probíhá ověření uživatele {0}...",
  "Clear": "Vymazat {0}",
  "CompleteQuery": "Celý dotaz",
  "Exclude": "Vyloučit {0}",
  "EnterTag": "Přidat značku",
  "Next": "Další",
  "Last": "Poslední",
  "Link": "Odkaz",
  "Or": "NEBO",
  "Previous": "Předchozí",
  "QueryDidntMatchAnyDocuments": "Vašemu dotazu nevyhovovaly žádné dokumenty.",
  "QueryException": "Váš dotaz obsahuje chybu: {0}.",
  "Me": "Já",
  "Remove": "Odstranit",
  "Search": "Hledat",
  "SearchFor": "Hledat {0}",
  "ShareQuery": "Sdílet dotaz",
  "Preferences": "Předvolby",
  "LinkOpeningSettings": "Nastavení otevírání odkazů",
  "Reauthenticate": "Znovu ověřit uživatele {0}",
  "ResultsFilteringExpression": "Výrazy pro filtrování výsledků",
  "FiltersInYourPreferences": "Filtry ve vašich předvolbách",
  "Create": "Vytvořit",
  "SearchIn": "Hledat v {0}",
  "Seconds": "za dobu: {0}",
  "ShowingResultsOf": "<sn>Výsledek</sn><pl>Výsledky</pl> {0}<pl>–{1}</pl> ze {2}",
  "ShowingResultsOfWithQuery": "<sn>Výsledek</sn><pl>Výsledky</pl> {0}<pl>–{1}</pl> ze {2} za {3}",
  "SwitchTo": "Přepnout na {0}",
  "Unexclude": "Znovu zahrnout {0}",
  "ClearAllFilters": "Vymazat všechny filtry",
  "SkipLogin": "Přeskočit přihlášení",
  "LoginInProgress": "Probíhá přihlašování, čekejte prosím...",
  "Login": "Přihlásit se",
  "GetStarted": "Začít",
  "More": "Více",
  "NMore": "počet dalších: {0}",
  "Less": "Méně",
  "Settings": "Nastavení",
  "Score": "Skóre",
  "ScoreDescription": "Skóre je vypočítáváno z počtu výskytů a pozice v sadě výsledků.",
  "Occurrences": "Výskyty",
  "OccurrencesDescription": "Řazení dle počtu výskytů. Hodnoty s nejvyšším počtem výskytů se zobrazují jako první.",
  "Label": "Popis",
  "Of": "ze",
  "LabelDescription": "Řazení hodnot polí podle abecedy.",
  "Value": "Hodnota",
  "ValueDescription": "Řazení dle hodnot prvního vypočítaného pole",
  "AlphaAscending": "Dle hodnoty vzestupně",
  "AlphaDescending": "Dle hodnoty sestupně",
  "ChiSquare": "Chí kvadrát",
  "Nosort": "Žádné řazení",
  "NosortDescription": "Hodnoty neřadit. Tyto hodnoty budou vráceny v náhodném pořadí.",
  "RelativeFrequency": "Relativní četnost",
  "RelativeFrequencyDescription": "Řazení dle relativní četnosti hodnot. Méně obvyklé hodnoty se zobrazují výše.",
  "DateDistribution": "Rozložení dat",
  "Custom": "Vlastní",
  "CustomDescription": "Řazení dle vlastního příkazu",
  "ComputedField": "Vypočítané pole",
  "Ascending": "Vzestupně",
  "Descending": "Sestupně",
  "noResultFor": "Pro dotaz {0} nebyly nalezeny žádné výsledky",
  "autoCorrectedQueryTo": "Dotaz byl automaticky opraven na {0}",
  "didYouMean": "Měli jste na mysli: {0}",
  "SuggestedResults": "Navrhované výsledky",
  "SuggestedQueries": "Navrhované dotazy",
  "MostRelevantItems": "Nejrelevantnější položky:",
  "AllItems": "Všechny položky:",
  "ShowLess": "Zobrazit méně",
  "ShowMore": "Zobrazit více",
  "HideFacet": "Skrýt omezující vlastnost",
  "ShowFacet": "Zobrazit omezující vlastnost",
  "AndOthers": "a počet dalších: {0}",
  "Others": "počet dalších: {0}",
  "MostRelevantPosts": "Nejrelevantnější příspěvky:",
  "CompleteThread": "Celé vlákno:",
  "ShowCompleteThread": "Zobrazit celé vlákno",
  "ShowOnlyTopMatchingPosts": "Zobrazit pouze nejlépe vyhovující příspěvky",
  "MostRelevantReplies": "Nejrelevantnější odpovědi:",
  "AllConversation": "Celá konverzace:",
  "ShowAllConversation": "Zobrazit celou konverzaci",
  "ShowAllReplies": "Zobrazit všechny odpovědi",
  "ShowOnlyMostRelevantReplies": "Zobrazit pouze nejrelevantnější odpovědi",
  "Close": "Zavřít",
  "Open": "Otevřít",
  "OpenInOutlookWhenPossible": "Otevřít v aplikaci Outlook (je-li to možné)",
  "AlwaysOpenInNewWindow": "Výsledky vždy otevřít v novém okně",
  "Quickview": "Rychlé zobrazení",
  "NoQuickview": "Rychlé zobrazení není pro tento dokument k dispozici",
  "ErrorReport": "Zpráva o chybách",
  "OopsError": "Na serveru došlo k chybě.",
  "ProblemPersists": "Pokud problém přetrvává, spojte se se správcem.",
  "GoBack": "Jít zpět",
  "Reset": "Resetovat",
  "Retry": "Opakovat",
  "MoreInfo": "Více informací",
  "Username": "Uživatelské jméno",
  "Password": "Heslo",
  "PostedBy": "Zveřejnil uživatel",
  "CannotConnect": "Na adresu serveru se nelze připojit.",
  "BadUserPass": "Heslo neodpovídá uživatelskému jménu.",
  "PleaseEnterYourCredentials": "Zadejte přihlašovací údaje k systému {0}.",
  "PleaseEnterYourSearchPage": "Zadejte adresu URL stránky pro vyhledávání",
  "Collapse": "Sbalit",
  "Collapsable": "Sbalitelné",
  "Expand": "Rozbalit",
  "Today": "Dnes",
  "Yesterday": "Včera",
  "Tomorrow": "Zítra",
  "Duration": "Trvání: {0}",
  "IndexDuration": "Trvání indexu: {0}",
  "ProxyDuration": "Trvání serveru proxy: {0}",
  "ClientDuration": "Trvání klienta: {0}",
  "Unavailable": "Nedostupné",
  "Reply": "Odpovědět",
  "ReplyAll": "Odpovědět všem",
  "Forward": "Přeposlat",
  "From": "Od",
  "Caption": "Titulek",
  "Expression": "Výraz",
  "Tab": "Záložka",
  "Tabs": "Záložky",
  "EnterExpressionName": "Zadejte název výrazu",
  "EnterExpressionToFilterWith": "Zadejte výraz pro filtrování výsledků",
  "SelectTab": "Vybrat záložku",
  "SelectAll": "Vybrat vše",
  "PageUrl": "Adresa URL stránky pro vyhledávání",
  "ErrorSavingToDevice": "Při ukládání informací na vaše zařízení došlo k chybě",
  "ErrorReadingFromDevice": "Při čtení informací z vašeho zařízení došlo k chybě",
  "AppIntro": "Promluvte si s produktovým specialistou, který vám pomůže vybrat nejvhodnější řešení Coveo a zodpoví vaše dotazy týkající se této platformy. Vyzkoušet můžete rovněž živou ukázku!",
  "TryDemo": "Vyzkoušet ukázku",
  "ContactUs": "Spojte se s námi",
  "NewToCoveo": "Teprve se s platformou Coveo seznamujete?",
  "LetUsHelpGetStarted": "Pomůžeme vám začít",
  "LikesThis": "Uživatelé, kterým se to líbí: {0}.",
  "CannotConnectSearchPage": "K vaší stránce pro vyhledávání se nelze připojit",
  "AreYouSureDeleteFilter": "Opravdu si přejete odstranit filtr {0} s výrazem {1}",
  "OnlineHelp": "Online nápověda",
  "Done": "Hotovo",
  "SaveFacetState": "Uložit tento stav omezující vlastnosti",
  "ClearFacetState": "Vymazat stav omezující vlastnosti",
  "DisplayingTheOnlyMessage": "Je zobrazena jediná zpráva této konverzace",
  "NoNetworkConnection": "Žádné připojení k síti",
  "UnknownConnection": "Neznámé připojení",
  "EthernetConnection": "Připojení k síti Ethernet",
  "WiFi": "Připojení k síti Wi-Fi",
  "CELL": "Mobilní připojení",
  "CELL_2G": "Mobilní připojení 2G",
  "CELL_3G": "Mobilní připojení 3G",
  "CELL_4G": "Mobilní připojení 4G",
  "Relevance": "Relevance",
  "Date": "Datum",
  "Amount": "Množství",
  "QueryExceptionNoException": "Žádná výjimka",
  "QueryExceptionInvalidSyntax": "Neplatná syntaxe",
  "QueryExceptionInvalidCustomField": "Neplatné vlastní pole",
  "QueryExceptionInvalidDate": "Neplatné datum",
  "QueryExceptionInvalidExactPhrase": "Neplatná přesná fráze",
  "QueryExceptionInvalidDateOp": "Neplatný operátor data",
  "QueryExceptionInvalidNear": "Neplatný operátor NEAR",
  "QueryExceptionInvalidWeightedNear": "Neplatný vážený operátor NEAR",
  "QueryExceptionInvalidTerm": "Neplatný termín",
  "QueryExceptionTooManyTerms": "Příliš mnoho termínů",
  "QueryExceptionWildcardTooGeneral": "Výraz se zástupnými znaky je příliš obecný",
  "QueryExceptionInvalidSortField": "Neplatné pole řazení",
  "QueryExceptionInvalidSmallStringOp": "Neplatný operátor pro krátký řetězec",
  "QueryExceptionRequestedResultsMax": "Maximální počet požadovaných výsledků",
  "QueryExceptionAggregatedMirrorDead": "Vzdálená kopie indexů je offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Vypršel časový limit dotazu na vzdálenou kopii indexů",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Neplatné číslo sestavení vzdálené kopie indexů",
  "QueryExceptionAggregatedMirrorCannotConnect": "Nelze připojit vzdálenou kopii indexů",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Před zástupným znakem není dostatečný počet jiných znaků",
  "QueryExceptionSecurityInverterNotFound": "Blokování bezpečnostního ověření nebylo nalezeno",
  "QueryExceptionSecurityInverterAccessDenied": "Byl odepřen přístup k blokování bezpečnostního ověření",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Na vzdálené kopii indexů nelze provést dotaz jménem uživatele",
  "QueryExceptionUnexpected": "Neočekávané",
  "QueryExceptionAccessDenied": "Přístup odepřen",
  "QueryExceptionSuperUserTokenInvalid": "Token superuživatele je neplatný",
  "QueryExceptionSuperUserTokenExpired": "Platnost tokenu superuživatele skončila",
  "QueryExceptionLicenseQueriesExpired": "Skončila platnost licence dotazů",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Token superuživatele licence není podporován",
  "QueryExceptionInvalidSession": "Neplatná relace",
  "QueryExceptionInvalidDocument": "Neplatný dokument",
  "QueryExceptionSearchDisabled": "Hledání je zakázáno",
  "FileType": "Typ souboru",
  "ShowAttachment": "Zobrazit přílohu",
  "OnFeed": "v informačním kanále uživatele {0}.",
  "Author": "Autor",
  "NoTitle": "Žádný název",
  "CurrentSelections": "Aktuální výběr",
  "AllContent": "Veškerý obsah",
  "CancelLastAction": "Zrušit poslední akci",
  "SearchTips": "Tipy pro hledání",
  "CheckSpelling": "Zkontrolujte pravopis klíčových slov.",
  "TryUsingFewerKeywords": "Zkuste použít méně, více či jiná obecná klíčová slova.",
  "SelectFewerFilters": "Chcete-li rozšířit hledání, vyberte méně filtrů.",
  "Document": "Dokument",
  "Time": "Čas",
  "StartDate": "Počáteční datum",
  "StartTime": "Počáteční čas",
  "DurationTitle": "Trvání",
  "UserQuery": "Dotaz uživatele",
  "ShowUserActions": "Zobrazit akce uživatele",
  "NoData": "Nejsou k dispozici žádná data",
  "EventType": "Typ události",
  "GoToFullSearch": "Komplexní hledání",
  "GoToEdition": "Přizpůsobit panel",
  "RemoveContext": "Odstranit kontext",
  "BoxAttachToCase": "Připojit k případu",
  "AttachToCase": "Připojit k případu",
  "Attach": "Připojit",
  "Attached": "Připojeno",
  "Detach": "Odpojit",
  "Details": "Podrobnosti",
  "AdditionalFilters": "Další filtry",
  "SelectNonContextualSearch": "Odstranit kontext z aktuálního záznamu, a rozšířit tak hledání",
  "CopyPasteToSupport": "Chcete-li získat více informací, zkopírujte a vložte tuto zprávu pro tým podpory Coveo.",
  "FollowQueryDescription": "Upozorněte mě, pokud u tohoto dotazu dojde ke změnám výsledků hledání.",
  "SearchAlerts_Panel": "Spravovat upozornění",
  "SearchAlerts_PanelDescription": "Zobrazit a spravovat upozornění vyhledávání.",
  "SearchAlerts_PanelNoSearchAlerts": "Nemáte žádné odběry.",
  "SearchAlerts_Fail": "Služba upozornění vyhledávání je momentálně nedostupná.",
  "SearchAlerts_Type": "Typ",
  "SearchAlerts_Content": "Obsah",
  "SearchAlerts_Actions": "Akce",
  "EmptyQuery": "<prázdné>",
  "SearchAlerts_Type_followQuery": "Dotaz",
  "SearchAlerts_Type_followDocument": "Položka",
  "SearchAlerts_unFollowing": "Zrušit sledování",
  "SearchAlerts_follow": "Sledovat",
  "SearchAlerts_followed": "Sledované",
  "SearchAlerts_followQuery": "Sledovat dotaz",
  "Subscription_StopFollowingQuery": "Zrušit sledování dotazu",
  "SearchAlerts_Frequency": "Kdy",
  "SubscriptionsManageSubscriptions": "Spravovat upozornění",
  "SubscriptionsMessageFollowQuery": "Budou vám zasílána upozornění, pokud dotaz <b>{0}</b> vrátí nové nebo aktualizované položky.",
  "SubscriptionsMessageFollow": "Budou vám zasílána upozornění na změny položky <b>{0}</b>.",
  "Expiration": "Vypršení platnosti",
  "Monthly": "Měsíčně",
  "Daily": "Denně",
  "Monday": "Pondělí",
  "Tuesday": "Úterý",
  "Wednesday": "Středa",
  "Thursday": "Čtvrtek",
  "Friday": "Pátek",
  "Saturday": "Sobota",
  "Sunday": "Neděle",
  "NextDay": "Počet dalších: {0}",
  "LastDay": "Počet posledních: {0}",
  "StartTypingCaseForSuggestions": "Popište problém, aby se mohla zobrazit možná řešení",
  "ExportToExcel": "Exportovat do Excelu",
  "ExportToExcelDescription": "Exportovat výsledky hledání do Excelu",
  "CaseCreationNoResults": "Nebyla nalezena žádná doporučená řešení",
  "SortBy": "Seřadit podle",
  "BoxCreateArticle": "Vytvořit článek",
  "Facets": "Fasety",
  "AdvancedSearch": "Rozšířené hledání",
  "Keywords": "Klíčová slova",
  "AllTheseWords": "Všechna tato slova",
  "ExactPhrase": "Tento přesný výraz",
  "AnyOfTheseWords": "Kterékoli z těchto slov",
  "NoneOfTheseWords": "Žádné z těchto slov",
  "Anytime": "Kdykoli",
  "InTheLast": "V posledních",
  "Days": "dny",
  "Months": "měsíce",
  "Month": "Měsíc",
  "Year": "Rok",
  "Between": "Mezi",
  "Language": "Jazyk",
  "Size": "Velikost",
  "AtLeast": "nejméně",
  "AtMost": "nejvíce",
  "Contains": "obsahuje",
  "DoesNotContain": "neobsahuje",
  "Matches": "shody",
  "Bytes": "bajty",
  "card": "Karta",
  "table": "Tabulka",
  "ResultLinks": "Odkazy na výsledky",
  "EnableQuerySyntax": "Povolit syntaxi dotazů",
  "On": "Zapnuto",
  "Off": "Vypnuto",
  "Automatic": "Automatický",
  "ResultsPerPage": "Počet výsledků na stránce",
  "PreviousMonth": "Předchozí měsíc",
  "NextMonth": "Další měsíc",
  "Title": "Název",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["cs"] = merge(locales["cs"], dict);
  String["toLocaleString"].call(this, { "cs": dict });
  String["locale"] = "cs";
  String["defaultLocale"] = "en";
  Globalize.culture("cs")
}