/*
 * Globalize Culture da
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "da", "default", {
	name: "da",
	englishName: "Danish",
	nativeName: "dansk",
	language: "da",
	numberFormat: {
		",": ".",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "kr."
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["søndag","mandag","tirsdag","onsdag","torsdag","fredag","lørdag"],
				namesAbbr: ["sø","ma","ti","on","to","fr","lø"],
				namesShort: ["sø","ma","ti","on","to","fr","lø"]
			},
			months: {
				names: ["januar","februar","marts","april","maj","juni","juli","august","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd-MM-yyyy",
				D: "d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d. MMMM yyyy HH:mm",
				F: "d. MMMM yyyy HH:mm:ss",
				M: "d. MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Bruger",
  "filetype_box user": "Bruger",
  "html": "HTML-fil",
  "filetype_html": "HTML-fil",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Webside",
  "filetype_webscraperwebpage": "Webside",
  "image": "Billede",
  "filetype_image": "Billede",
  "folder": "Mappe",
  "filetype_folder": "Mappe",
  "txt": "Tekst",
  "filetype_txt": "Tekst",
  "zip": "Zip-fil",
  "filetype_zip": "Zip-fil",
  "olefile": "OLE-fil",
  "filetype_olefile": "OLE-fil",
  "gmailmessage": "Gmail-meddelelse",
  "filetype_gmailmessage": "Gmail-meddelelse",
  "pdf": "PDF-fil",
  "filetype_pdf": "PDF-fil",
  "swf": "Flash-fil",
  "filetype_swf": "Flash-fil",
  "xml": "XML-fil",
  "filetype_xml": "XML-fil",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS-feed",
  "filetype_rssitem": "RSS-feed",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Microsoft Word-dokument",
  "filetype_docx": "Microsoft Word-dokument",
  "xls": "Regneark",
  "filetype_xls": "Regneark",
  "ppt": "Præsentationsdokument",
  "filetype_ppt": "Præsentationsdokument",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text-dokument",
  "filetype_odt": "Open Text-dokument",
  "lithiummessage": "Lithium-meddelelse",
  "filetype_lithiummessage": "Lithium-meddelelse",
  "lithiumthread": "Lithium-tråd",
  "filetype_lithiumthread": "Lithium-tråd",
  "lithiumboard": "Lithium-kort",
  "filetype_lithiumboard": "Lithium-kort",
  "lithiumcategory": "Lithium-kategori",
  "filetype_lithiumcategory": "Lithium-kategori",
  "lithiumcommunity": "Lithium-fællesskab",
  "filetype_lithiumcommunity": "Lithium-fællesskab",
  "people": "Bruger",
  "objecttype_people": "Bruger",
  "message": "Meddelelse",
  "objecttype_message": "Meddelelse",
  "feed": "RSS-feed",
  "objecttype_feed": "RSS-feed",
  "thread": "Tråd",
  "objecttype_thread": "Tråd",
  "file": "Fil",
  "objecttype_file": "Fil",
  "board": "Kort",
  "objecttype_board": "Kort",
  "category": "Kategori",
  "objecttype_category": "Kategori",
  "account": "Konto",
  "objecttype_account": "Konto",
  "annotation": "Bemærk",
  "objecttype_annotation": "Bemærk",
  "campaign": "Kampagne",
  "objecttype_campaign": "Kampagne",
  "case": "Sag",
  "objecttype_case": "Sag",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Kontrakt",
  "objecttype_contract": "Kontrakt",
  "event": "Hændelse",
  "objecttype_event": "Hændelse",
  "email": "E-mail",
  "objecttype_email": "E-mail",
  "goal": "Mål",
  "objecttype_goal": "Mål",
  "objecttype_incident": "Sag",
  "invoice": "Faktura",
  "objecttype_invoice": "Faktura",
  "lead": "Lead",
  "objecttype_lead": "Lead",
  "list": "Liste",
  "objecttype_list": "Marketingliste",
  "solution": "Løsning",
  "objecttype_solution": "Løsning",
  "task": "Opgave",
  "objecttype_task": "Opgave",
  "user": "Bruger",
  "objecttype_user": "Bruger",
  "attachment": "Vedhæftet fil",
  "objecttype_attachment": "Vedhæftet fil",
  "casecomment": "Kommentar til sag",
  "objecttype_casecomment": "Kommentar til sag",
  "opportunity": "Mulighed",
  "objecttype_opportunity": "Mulighed",
  "opportunityproduct": "Mulighedsprodukt",
  "objecttype_opportunityproduct": "Mulighedsprodukt",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Bemærk",
  "objecttype_note": "Bemærk",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Køelement",
  "objecttype_queueitem": "Køelement",
  "quote": "Tilbud",
  "objecttype_quote": "Tilbud",
  "salesliterature": "Salgstekst",
  "objecttype_salesliterature": "Salgstekst",
  "salesorder": "Salgsordre",
  "objecttype_salesorder": "Salgsordre",
  "service": "Tjeneste",
  "objecttype_service": "Tjeneste",
  "socialprofile": "Social profil",
  "objecttype_socialprofile": "Social profil",
  "kbdocumentation": "Dokumentation",
  "objecttype_kbdocumentation": "Dokumentation",
  "kbtechnicalarticle": "Dokumentation",
  "objecttype_kbtechnicalarticle": "Dokumentation",
  "kbsolution": "Løsning",
  "objecttype_kbsolution": "Løsning",
  "kbknowledgearticle": "Vidensartikel",
  "objecttype_kbknowledgearticle": "Vidensartikel",
  "kbattachment": "Vedhæftet fil",
  "objecttype_kbattachment": "Vedhæftet fil",
  "kbarticle": "Artikel",
  "objecttype_kbarticle": "Artikel",
  "kbarticlecomment": "Kommentar til artikel",
  "objecttype_kbarticlecomment": "Kommentar til artikel",
  "knowledgearticle": "Vidensartikel",
  "objecttype_knowledgearticle": "Vidensartikel",
  "topic": "Emne",
  "objecttype_topic": "Emne",
  "dashboard": "Dashboard",
  "objecttype_dashboard": "Dashboard",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Samarbejdsgruppe",
  "objecttype_collaborationgroup": "Samarbejdsgruppe",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Websted",
  "filetype_spsite": "Websted",
  "spuserprofile": "SharePoint-bruger",
  "filetype_spuserprofile": "SharePoint-bruger",
  "sparea": "Område",
  "filetype_sparea": "Område",
  "spannouncement": "Meddelelse",
  "filetype_spannouncement": "Meddelelse",
  "spannouncementlist": "Meddelelser",
  "filetype_spannouncementlist": "Meddelelser",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakter",
  "filetype_spcontactlist": "Kontakter",
  "spcustomlist": "Brugerdefinerede lister",
  "filetype_spcustomlist": "Brugerdefinerede lister",
  "spdiscussionboard": "Diskussionsforum",
  "filetype_spdiscussionboard": "Diskussionsforum",
  "spdiscussionboardlist": "Diskussionsfora",
  "filetype_spdiscussionboardlist": "Diskussionsfora",
  "spdocumentlibrarylist": "Bibliotek for dokumenter",
  "filetype_spdocumentlibrarylist": "Bibliotek for dokumenter",
  "spevent": "Hændelse",
  "filetype_spevent": "Hændelse",
  "speventlist": "Hændelser",
  "filetype_speventlist": "Hændelser",
  "spformlibrarylist": "Bibliotek for formularer",
  "filetype_spformlibrarylist": "Bibliotek for formularer",
  "spissue": "Sag",
  "filetype_spissue": "Sag",
  "spissuelist": "Sager",
  "filetype_spissuelist": "Sager",
  "splink": "Link",
  "filetype_splink": "Link",
  "splinklist": "Links",
  "filetype_splinklist": "Links",
  "sppicturelibrarylist": "Billedbibliotek",
  "filetype_sppicturelibrarylist": "Billedbibliotek",
  "spsurvey": "Undersøgelse",
  "filetype_spsurvey": "Undersøgelse",
  "spsurveylist": "Undersøgelser",
  "filetype_spsurveylist": "Undersøgelser",
  "sptask": "Opgave",
  "filetype_sptask": "Opgave",
  "sptasklist": "Opgaver",
  "filetype_sptasklist": "Opgaver",
  "spagenda": "Dagsorden",
  "filetype_spagenda": "Dagsorden",
  "spagendalist": "Dagsordner",
  "filetype_spagendalist": "Dagsordner",
  "spattendee": "Deltager",
  "filetype_spattendee": "Deltager",
  "spattendeelist": "Deltagere",
  "filetype_spattendeelist": "Deltagere",
  "spcustomgridlist": "Brugerdefinerede gitre",
  "filetype_spcustomgridlist": "Brugerdefinerede gitre",
  "spdecision": "Beslutning",
  "filetype_spdecision": "Beslutning",
  "spdecisionlist": "Beslutninger",
  "filetype_spdecisionlist": "Beslutninger",
  "spobjective": "Målsætning",
  "filetype_spobjective": "Målsætning",
  "spobjectivelist": "Målsætninger",
  "filetype_spobjectivelist": "Målsætninger",
  "sptextbox": "Tekstboks",
  "filetype_sptextbox": "Tekstboks",
  "sptextboxlist": "Tekstboksliste",
  "filetype_sptextboxlist": "Tekstboksliste",
  "spthingstobring": "Ting at tage med",
  "filetype_spthingstobring": "Ting at tage med",
  "spthingstobringlist": "Ting at tage med",
  "filetype_spthingstobringlist": "Ting at tage med",
  "sparealisting": "Liste over område",
  "filetype_sparealisting": "Liste over område",
  "spmeetingserie": "Mødeserie",
  "filetype_spmeetingserie": "Mødeserie",
  "spmeetingserielist": "Liste over mødeserie",
  "filetype_spmeetingserielist": "Liste over mødeserie",
  "spsitedirectory": "Bibliotek for webstedselementer",
  "filetype_spsitedirectory": "Bibliotek for webstedselementer",
  "spsitedirectorylist": "Webstedsbibliotek",
  "filetype_spsitedirectorylist": "Webstedsbibliotek",
  "spdatasource": "Datakilde",
  "filetype_spdatasource": "Datakilde",
  "spdatasourcelist": "Liste over datakilde",
  "filetype_spdatasourcelist": "Liste over datakilde",
  "splisttemplatecataloglist": "Liste over skabelongalleri",
  "filetype_splisttemplatecataloglist": "Liste over skabelongalleri",
  "spwebpartcataloglist": "WebPart-galleri",
  "filetype_spwebpartcataloglist": "WebPart-galleri",
  "spwebtemplatecataloglist": "Webstedsskabelongalleri",
  "filetype_spwebtemplatecataloglist": "Webstedsskabelongalleri",
  "spworkspacepagelist": "Sider for arbejdsområde",
  "filetype_spworkspacepagelist": "Sider for arbejdsområde",
  "spunknownlist": "Brugerdefineret liste",
  "filetype_spunknownlist": "Brugerdefineret liste",
  "spadministratortask": "Administratoropgave",
  "filetype_spadministratortask": "Administratoropgave",
  "spadministratortasklist": "Administratoropgaver",
  "filetype_spadministratortasklist": "Administratoropgaver",
  "spareadocumentlibrarylist": "Bibliotek for områdedokumenter",
  "filetype_spareadocumentlibrarylist": "Bibliotek for områdedokumenter",
  "spblogcategory": "Blogkategori",
  "filetype_spblogcategory": "Blogkategori",
  "spblogcategorylist": "Blogkategorier",
  "filetype_spblogcategorylist": "Blogkategorier",
  "spblogcomment": "Blogkommentar",
  "filetype_spblogcomment": "Blogkommentar",
  "spblogcommentlist": "Blogkommentarer",
  "filetype_spblogcommentlist": "Blogkommentarer",
  "spblogpost": "Blogindlæg",
  "filetype_spblogpost": "Blogindlæg",
  "spblogpostlist": "Blogindlæg",
  "filetype_spblogpostlist": "Blogindlæg",
  "spdataconnectionlibrarylist": "Bibliotek for dataforbindelser",
  "filetype_spdataconnectionlibrarylist": "Bibliotek for dataforbindelser",
  "spdistributiongroup": "Distributionsgruppe",
  "filetype_spdistributiongroup": "Distributionsgruppe",
  "spdistributiongrouplist": "Distributionsgrupper",
  "filetype_spdistributiongrouplist": "Distributionsgrupper",
  "spipfslist": "InfoPath Forms Servers",
  "filetype_spipfslist": "InfoPath Forms Servers",
  "spkeyperformanceindicator": "Nøgleindikator for performance",
  "filetype_spkeyperformanceindicator": "Nøgleindikator for performance",
  "spkeyperformanceindicatorlist": "Nøgleindikatorer for performance",
  "filetype_spkeyperformanceindicatorlist": "Nøgleindikatorer for performance",
  "splanguagesandtranslator": "Sprog og oversætter",
  "filetype_splanguagesandtranslator": "Sprog og oversætter",
  "splanguagesandtranslatorlist": "Sprog og oversættere",
  "filetype_splanguagesandtranslatorlist": "Sprog og oversættere",
  "spmasterpagescataloglist": "Mastersidegalleri",
  "filetype_spmasterpagescataloglist": "Mastersidegalleri",
  "spnocodeworkflowlibrarylist": "Bibliotek for arbejdsgange uden kode",
  "filetype_spnocodeworkflowlibrarylist": "Bibliotek for arbejdsgange uden kode",
  "spprojecttask": "Projektopgave",
  "filetype_spprojecttask": "Projektopgave",
  "spprojecttasklist": "Projektopgaver",
  "filetype_spprojecttasklist": "Projektopgaver",
  "sppublishingpageslibrarylist": "Sidebibliotek",
  "filetype_sppublishingpageslibrarylist": "Sidebibliotek",
  "spreportdocumentlibrarylist": "Bibliotek for rapportdokumenter",
  "filetype_spreportdocumentlibrarylist": "Bibliotek for rapportdokumenter",
  "spreportlibrarylist": "Rapportbibliotek",
  "filetype_spreportlibrarylist": "Rapportbibliotek",
  "spslidelibrarylist": "Diasbibliotek",
  "filetype_spslidelibrarylist": "Diasbibliotek",
  "sptab": "Faner",
  "filetype_sptab": "Faner",
  "sptablist": "Liste med faner",
  "filetype_sptablist": "Liste med faner",
  "sptranslationmanagementlibrarylist": "Bibliotek for oversættelsesadministration",
  "filetype_sptranslationmanagementlibrarylist": "Bibliotek for oversættelsesadministration",
  "spuserinformation": "Brugerinformation",
  "filetype_spuserinformation": "Brugerinformation",
  "spuserinformationlist": "Liste med brugerinformation",
  "filetype_spuserinformationlist": "Liste med brugerinformation",
  "spwikipagelibrarylist": "Bibliotek for Wiki-sider",
  "filetype_spwikipagelibrarylist": "Bibliotek for Wiki-sider",
  "spworkflowhistory": "Historik over arbejdsgang",
  "filetype_spworkflowhistory": "Historik over arbejdsgang",
  "spworkflowhistorylist": "Liste med historik over arbejdsgang",
  "filetype_spworkflowhistorylist": "Liste med historik over arbejdsgang",
  "spworkflowprocess": "Brugerdefineret arbejdsgang",
  "filetype_spworkflowprocess": "Brugerdefineret arbejdsgang",
  "spworkflowprocesslist": "Brugerdefinerede arbejdsgange",
  "filetype_spworkflowprocesslist": "Brugerdefinerede arbejdsgange",
  "sppublishingimageslibrarylist": "Udgivelse af billedbibliotek",
  "filetype_sppublishingimageslibrarylist": "Udgivelse af billedbibliotek",
  "spcirculation": "Cirkulation",
  "filetype_spcirculation": "Cirkulation",
  "spcirculationlist": "Cirkulationer",
  "filetype_spcirculationlist": "Cirkulationer",
  "spdashboardslibrarylist": "Dashboard-bibliotek",
  "filetype_spdashboardslibrarylist": "Dashboard-bibliotek",
  "spdataconnectionforperformancepointlibrarylist": "Bibliotek for dataforbindelse til PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Bibliotek for dataforbindelse til PerformancePoint",
  "sphealthreport": "Sundhedsrapport",
  "filetype_sphealthreport": "Sundhedsrapport",
  "sphealthreportlist": "Sundhedsrapporter",
  "filetype_sphealthreportlist": "Sundhedsrapporter",
  "sphealthrule": "Sundhedsregel",
  "filetype_sphealthrule": "Sundhedsregel",
  "sphealthrulelist": "Sundhedsregler",
  "filetype_sphealthrulelist": "Sundhedsregler",
  "spimedictionary": "IME-ordbog",
  "filetype_spimedictionary": "IME-ordbog",
  "spimedictionarylist": "IME-ordbøger",
  "filetype_spimedictionarylist": "IME-ordbøger",
  "spperformancepointcontent": "Indhold af PerformancePoint",
  "filetype_spperformancepointcontent": "Indhold af PerformancePoint",
  "spperformancepointcontentlist": "Indhold af PerformancePoint",
  "filetype_spperformancepointcontentlist": "Indhold af PerformancePoint",
  "spphonecallmemo": "Memo om telefonopkald",
  "filetype_spphonecallmemo": "Memo om telefonopkald",
  "spphonecallmemolist": "Memoer om telefonopkald",
  "filetype_spphonecallmemolist": "Memoer om telefonopkald",
  "sprecordlibrarylist": "Optegnelsesbibliotek",
  "filetype_sprecordlibrarylist": "Optegnelsesbibliotek",
  "spresource": "Ressource",
  "filetype_spresource": "Ressource",
  "spresourcelist": "Ressourcer",
  "filetype_spresourcelist": "Ressourcer",
  "spprocessdiagramslibrarylist": "Bibliotek for procesdiagrammer",
  "filetype_spprocessdiagramslibrarylist": "Bibliotek for procesdiagrammer",
  "spsitethemeslibrarylist": "Bibliotek for webstedstemaer",
  "filetype_spsitethemeslibrarylist": "Bibliotek for webstedstemaer",
  "spsolutionslibrarylist": "Løsningsbibliotek",
  "filetype_spsolutionslibrarylist": "Løsningsbibliotek",
  "spwfpublibrarylist": "WFPUB-bibliotek",
  "filetype_spwfpublibrarylist": "WFPUB-bibliotek",
  "spwhereabout": "Opholdssted",
  "filetype_spwhereabout": "Opholdssted",
  "spwhereaboutlist": "Opholdssteder",
  "filetype_spwhereaboutlist": "Opholdssteder",
  "spdocumentlink": "Link til et dokument",
  "filetype_spdocumentlink": "Link til et dokument",
  "spdocumentset": "Dokumentsæt",
  "filetype_spdocumentset": "Dokumentsæt",
  "spmicrofeedpost": "Microfeed-indlæg",
  "filetype_spmicrofeedpost": "Microfeed-indlæg",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Listemappe",
  "filetype_splistfolder": "Listemappe",
  "Unknown": "Ukendt",
  "And": "OG",
  "Authenticating": "Legaliserer {0}…",
  "Clear": "Ryd {0}",
  "CompleteQuery": "Afslut forespørgsel",
  "Exclude": "Udeluk {0}",
  "EnterTag": "Tilføj Mærke",
  "Next": "Næste",
  "Last": "Sidste",
  "Link": "Link",
  "Or": "ELLER",
  "Previous": "Forrige",
  "QueryDidntMatchAnyDocuments": "Din forespørgsel matchede ingen dokumenter.",
  "QueryException": "Din forespørgsel har en fejl: {0}",
  "Me": "Mig",
  "Remove": "Fjern",
  "Search": "Søg",
  "SearchFor": "Søg efter {0}",
  "ShareQuery": "Del forespørgsel",
  "Preferences": "Foretrukne",
  "LinkOpeningSettings": "Indstillinger til åbning af links",
  "Reauthenticate": "Gen-legaliser {0}",
  "ResultsFilteringExpression": "Tilkendegivelser filtrerer resultater",
  "FiltersInYourPreferences": "Filtre i dine præferencer",
  "Create": "Opret",
  "SearchIn": "Søg i {0}",
  "Seconds": "i {0} sekund<pl>er</pl>",
  "ShowingResultsOf": "Resultat<pl>er</pl> {0}<pl>-{1}</pl> af {2}",
  "ShowingResultsOfWithQuery": "Resultat<pl>er</pl> {0}<pl>-{1}</pl> af {2} til {3}",
  "SwitchTo": "Skift til {0}",
  "Unexclude": "Udeluk ikke {0}",
  "ClearAllFilters": "Ryd alle filtre",
  "SkipLogin": "Spring over login",
  "LoginInProgress": "Login er i gang, vent venligst …",
  "Login": "Log ind",
  "GetStarted": "Kom i gang",
  "More": "Mere",
  "NMore": "{0} mere ...",
  "Less": "Færre",
  "Settings": "Indstillinger",
  "Score": "Score",
  "ScoreDescription": "Scoren beregnes ud fra antallet af hændelser samt fra positionen i resultatsættet.",
  "Occurrences": "Hændelser",
  "OccurrencesDescription": "Sortér efter antal hændelser, hvor værdier, der har det højeste antal, vises først.",
  "Label": "Mærke",
  "Of": "af",
  "LabelDescription": "Sortér alfabetisk i feltværdierne.",
  "Value": "Værdi",
  "ValueDescription": "Sorter efter værdierne i det første beregnede felt",
  "AlphaAscending": "Værdi stiger",
  "AlphaDescending": "Værdi falder",
  "ChiSquare": "Chi-Square",
  "Nosort": "Ingen sortering",
  "NosortDescription": "Sorter ikke værdierne. Værdierne vil blive returneret i tilfældig rækkefølge.",
  "RelativeFrequency": "Relativ frekvens",
  "RelativeFrequencyDescription": "Sortér efter den relative hyppighed af værdier. Mindre fællesværdier vises højere.",
  "DateDistribution": "Distributionsdato",
  "Custom": "Almindelig",
  "CustomDescription": "Sortér efter almindelig ordre",
  "ComputedField": "Beregnet felt",
  "Ascending": "Stiger",
  "Descending": "Falder",
  "noResultFor": "Ingen resultater for {0}",
  "autoCorrectedQueryTo": "Forespørgsel blev automatisk rettet til {0}",
  "didYouMean": "Mente du: {0}",
  "SuggestedResults": "Foreslåede resultater",
  "SuggestedQueries": "Foreslåede forespørgsler",
  "MostRelevantItems": "Mest relevante punkter:",
  "AllItems": "Alle punkter:",
  "ShowLess": "Vis mindre",
  "ShowMore": "Vis mere",
  "HideFacet": "Skjul facet",
  "ShowFacet": "Vis facet",
  "AndOthers": "og {0} andet",
  "Others": "{0} andet",
  "MostRelevantPosts": "Mest relevante opslag:",
  "CompleteThread": "Færdiggør tråd:",
  "ShowCompleteThread": "Vis den færdige tråd:",
  "ShowOnlyTopMatchingPosts": "Vis kun matchende opslag",
  "MostRelevantReplies": "Mest relevante svar:",
  "AllConversation": "Hele samtalen:",
  "ShowAllConversation": "Vis hele samtalen",
  "ShowAllReplies": "Vis alle svar",
  "ShowOnlyMostRelevantReplies": "Vis kun mest relevante svar",
  "Close": "Luk",
  "Open": "Åbn",
  "OpenInOutlookWhenPossible": "Åbn i Outlook (hvis det er muligt)",
  "AlwaysOpenInNewWindow": "Åbn altid resultater i et nyt vindue",
  "Quickview": "Hurtigvis",
  "NoQuickview": "Hurtigvis er utilgængeligt for dette dokument",
  "ErrorReport": "Fejlrapport",
  "OopsError": "Noget gik galt på serveren.",
  "ProblemPersists": "Kontakt administratoren, hvis problemet fortsætter.",
  "GoBack": "Gå tilbage",
  "Reset": "Nulstil",
  "Retry": "Prøv igen",
  "MoreInfo": "Mere information",
  "Username": "Brugernavn",
  "Password": "Adgangskode",
  "PostedBy": "Opslået af",
  "CannotConnect": "Kan ikke forbinde til serveradressen.",
  "BadUserPass": "Adgangskoden passer ikke til brugernavnet.",
  "PleaseEnterYourCredentials": "Indtast venligst dine brugeroplysninger for {0}.",
  "PleaseEnterYourSearchPage": "Indtast venligst din søgesides URL",
  "Collapse": "Klap sammen",
  "Collapsable": "Sammenklappelig",
  "Expand": "Udvid",
  "Today": "I dag",
  "Yesterday": "I går",
  "Tomorrow": "I morgen",
  "Duration": "Varighed: {0}",
  "IndexDuration": "Indeksvarighed: {0}",
  "ProxyDuration": "Proxyvarighed: {0}",
  "ClientDuration": "Kundevarighed: {0}",
  "Unavailable": "Utilgængelig",
  "Reply": "Svar",
  "ReplyAll": "Svar alle",
  "Forward": "Videresend",
  "From": "Fra",
  "Caption": "Undertekst",
  "Expression": "Tilkendegivelse",
  "Tab": "Fane",
  "Tabs": "Faner",
  "EnterExpressionName": "Indtast tilkendegivelses navn",
  "EnterExpressionToFilterWith": "Indtast tilkendegivelse til at filtrere resultater med",
  "SelectTab": "Vælg fane",
  "SelectAll": "Vælg alle",
  "PageUrl": "Søgesides URL",
  "ErrorSavingToDevice": "Fejl under gemning af informationen på din enhed",
  "ErrorReadingFromDevice": "Fejl under læsning af informationen fra din enhed",
  "AppIntro": "Tal med en produktspecialist, der kan besvare dine spørgsmål om Coveo og hjælpe dig med at beslutte hvilken Coveo-løsning, der passer til dig. Eller prøv en live demo!",
  "TryDemo": "Prøv demoen",
  "ContactUs": "Kontakt os",
  "NewToCoveo": "Ny med Coveo?",
  "LetUsHelpGetStarted": "Lad os hjælpe dig med at komme i gang",
  "LikesThis": "{0} synes godt om dette.",
  "CannotConnectSearchPage": "Kan ikke forbinde til din søgeside",
  "AreYouSureDeleteFilter": "Er du sikker på, du vil slette filter {0} med tilkendegivelsen {1}",
  "OnlineHelp": "Onlinehjælp",
  "Done": "Færdig",
  "SaveFacetState": "Gem denne facettilstand",
  "ClearFacetState": "Ryd facettilstand",
  "DisplayingTheOnlyMessage": "Viser den eneste besked i denne samtale",
  "NoNetworkConnection": "Ingen netværksforbindelse",
  "UnknownConnection": "Ukendt forbindelse",
  "EthernetConnection": "Ethernetforbindelse",
  "WiFi": "WiFi-forbindelse",
  "CELL": "Mobil forbindelse",
  "CELL_2G": "Mobil 2G forbindelse",
  "CELL_3G": "Mobil 3G forbindelse",
  "CELL_4G": "Mobil 4G forbindelse",
  "Relevance": "Relevans",
  "Date": "Dato",
  "Amount": "Mængde",
  "QueryExceptionNoException": "Ingen undtagelse",
  "QueryExceptionInvalidSyntax": "Ugyldig syntaks",
  "QueryExceptionInvalidCustomField": "Ugyldigt standardfelt",
  "QueryExceptionInvalidDate": "Ugyldig dato",
  "QueryExceptionInvalidExactPhrase": "Ugyldig eksakt sætning",
  "QueryExceptionInvalidDateOp": "Ugyldig datooperatør",
  "QueryExceptionInvalidNear": "Ugyldig NEAR operatør",
  "QueryExceptionInvalidWeightedNear": "Ugyldigt vægtet NEAR",
  "QueryExceptionInvalidTerm": "Ugyldigt udtryk",
  "QueryExceptionTooManyTerms": "For mange udtryk",
  "QueryExceptionWildcardTooGeneral": "Wildcard for generelt",
  "QueryExceptionInvalidSortField": "Ugyldigt sorteringsfelt",
  "QueryExceptionInvalidSmallStringOp": "Ugyldig kortbåndsoperatør",
  "QueryExceptionRequestedResultsMax": "Maksimum anmodede resultater",
  "QueryExceptionAggregatedMirrorDead": "Aggregeret spejl er offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Timeout ved aggregeret spejlforespørgsel",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Ugyldigt konstruktionsnummer ved aggregeret spejl",
  "QueryExceptionAggregatedMirrorCannotConnect": "Aggregeret spejl kan ikke forbindes",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Ikke nok ledende karakter wildcard",
  "QueryExceptionSecurityInverterNotFound": "Sikkerhedsomvender kunne ikke findes",
  "QueryExceptionSecurityInverterAccessDenied": "Adgang til sikkerhedsomvender nægtet",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Aggregeret spejl kan ikke personificeres",
  "QueryExceptionUnexpected": "Uforventet",
  "QueryExceptionAccessDenied": "Adgang nægtet",
  "QueryExceptionSuperUserTokenInvalid": "Superbrugertegn ugyldigt",
  "QueryExceptionSuperUserTokenExpired": "Superbrugertegn er udløbet",
  "QueryExceptionLicenseQueriesExpired": "Forespørgselslicens udløbet",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Licenssuperbrugertegn understøttes ikke",
  "QueryExceptionInvalidSession": "Ugyldig session",
  "QueryExceptionInvalidDocument": "Ugyldigt dokument",
  "QueryExceptionSearchDisabled": "Søgning invalideret",
  "FileType": "Filtype",
  "ShowAttachment": "Vis vedhæftede fil",
  "OnFeed": "på {0}'s feed.",
  "Author": "Forfatter",
  "NoTitle": "Ingen titel",
  "CurrentSelections": "Aktuelle valg",
  "AllContent": "Alt indhold",
  "CancelLastAction": "Annullér sidste handling",
  "SearchTips": "Søgetips",
  "CheckSpelling": "Tjek stavningen i dine nøgleord.",
  "TryUsingFewerKeywords": "Prøv at benytte færre, andre eller mere generelle nøgleord.",
  "SelectFewerFilters": "Vælg færre filtre for at gøre din søgning bredere.",
  "Document": "Dokument",
  "Time": "Tidspunkt",
  "StartDate": "Startdato",
  "StartTime": "Starttidspunkt",
  "DurationTitle": "Varighed",
  "UserQuery": "Brugerforespørgsel",
  "ShowUserActions": "Vis brugerhandlinger",
  "NoData": "Ingen tilgængelige data",
  "EventType": "Hændelsestype",
  "GoToFullSearch": "Fuld søgning",
  "GoToEdition": "Tilpas panel",
  "RemoveContext": "Fjern kontekst",
  "BoxAttachToCase": "Vedhæft til sag",
  "AttachToCase": "Vedhæft til sag",
  "Attach": "vedhæft",
  "Attached": "Vedhæftet",
  "Detach": "Fjern",
  "Details": "Detaljer",
  "AdditionalFilters": "Yderligere filtre",
  "SelectNonContextualSearch": "Fjern kontekst fra den aktuelle indtastning for at udvide din søgning",
  "CopyPasteToSupport": "Kopier indsæt denne besked til Coveo Support teamet for at få flere oplysninger.",
  "FollowQueryDescription": "Advar mig om ændringer i søgeresultaterne for denne forespørgsel.",
  "SearchAlerts_Panel": "Administrer alarmer",
  "SearchAlerts_PanelDescription": "Se og administrer dine søgealarmer",
  "SearchAlerts_PanelNoSearchAlerts": "Du har ingen abonnementer.",
  "SearchAlerts_Fail": "Tjenesten søgealarmer er pt. ikke tilgængelig.",
  "SearchAlerts_Type": "Type",
  "SearchAlerts_Content": "Indhold",
  "SearchAlerts_Actions": "Handling",
  "EmptyQuery": "<tom>",
  "SearchAlerts_Type_followQuery": "Forespørgsel",
  "SearchAlerts_Type_followDocument": "Element",
  "SearchAlerts_unFollowing": "Stop med at følge",
  "SearchAlerts_follow": "Følg",
  "SearchAlerts_followed": "Fulgt",
  "SearchAlerts_followQuery": "Følg forespørgsel",
  "Subscription_StopFollowingQuery": "Forespørgel om at stoppe med at følge",
  "SearchAlerts_Frequency": "Når",
  "SubscriptionsManageSubscriptions": "Administrer alarmer",
  "SubscriptionsMessageFollowQuery": "Du modtager underretninger, når forespørgslen <b>{0}</b> returnerer nye eller opdaterede elementer.",
  "SubscriptionsMessageFollow": "Du modtager underretninger om ændringer af elementet <b>{0}</b>.",
  "Expiration": "Udløb",
  "Monthly": "Månedligt",
  "Daily": "Daglig",
  "Monday": "Mandag",
  "Tuesday": "Torsdag",
  "Wednesday": "Onsdag",
  "Thursday": "Torsdag",
  "Friday": "Fredag",
  "Saturday": "Lørdag",
  "Sunday": "Søndag",
  "NextDay": "Næste {0}",
  "LastDay": "Sidste {0}",
  "StartTypingCaseForSuggestions": "Beskriv dit problem for at se mulige løsninger",
  "ExportToExcel": "Eksporter til Excel",
  "ExportToExcelDescription": "Eksporter søgeresultater til Excel",
  "CaseCreationNoResults": "Ingen anbefalede løsninger fundet",
  "SortBy": "Sorter efter",
  "BoxCreateArticle": "Opret artikel",
  "Facets": "Facetter",
  "AdvancedSearch": "Avanceret søgning",
  "Keywords": "Nøgleord",
  "AllTheseWords": "Alle disse ord",
  "ExactPhrase": "Denne præcise formulering",
  "AnyOfTheseWords": "Et hvilket som helst af disse ord",
  "NoneOfTheseWords": "Ingen af disse ord",
  "Anytime": "Uanset hvornår",
  "InTheLast": "I de seneste",
  "Days": "dage",
  "Months": "måneder",
  "Month": "Måned",
  "Year": "År",
  "Between": "Mellem",
  "Language": "Sprog",
  "Size": "Størrelse",
  "AtLeast": "mindst",
  "AtMost": "mest",
  "Contains": "indeholder",
  "DoesNotContain": "indeholder ikke",
  "Matches": "samme",
  "Bytes": "bytes",
  "card": "Kort",
  "table": "Tabel",
  "ResultLinks": "Resultatlinks",
  "EnableQuerySyntax": "Aktiver forespørgselssyntax",
  "On": "Til",
  "Off": "Fra",
  "Automatic": "Automatisk",
  "ResultsPerPage": "Resultater pr. side",
  "PreviousMonth": "Forrige måned",
  "NextMonth": "Næste måned",
  "Title": "Titel",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["da"] = merge(locales["da"], dict);
  String["toLocaleString"].call(this, { "da": dict });
  String["locale"] = "da";
  String["defaultLocale"] = "en";
  Globalize.culture("da")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Bruger",
  "filetype_box user": "Bruger",
  "html": "HTML-fil",
  "filetype_html": "HTML-fil",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Webside",
  "filetype_webscraperwebpage": "Webside",
  "image": "Billede",
  "filetype_image": "Billede",
  "folder": "Mappe",
  "filetype_folder": "Mappe",
  "txt": "Tekst",
  "filetype_txt": "Tekst",
  "zip": "Zip-fil",
  "filetype_zip": "Zip-fil",
  "olefile": "OLE-fil",
  "filetype_olefile": "OLE-fil",
  "gmailmessage": "Gmail-meddelelse",
  "filetype_gmailmessage": "Gmail-meddelelse",
  "pdf": "PDF-fil",
  "filetype_pdf": "PDF-fil",
  "swf": "Flash-fil",
  "filetype_swf": "Flash-fil",
  "xml": "XML-fil",
  "filetype_xml": "XML-fil",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS-feed",
  "filetype_rssitem": "RSS-feed",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Microsoft Word-dokument",
  "filetype_docx": "Microsoft Word-dokument",
  "xls": "Regneark",
  "filetype_xls": "Regneark",
  "ppt": "Præsentationsdokument",
  "filetype_ppt": "Præsentationsdokument",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text-dokument",
  "filetype_odt": "Open Text-dokument",
  "lithiummessage": "Lithium-meddelelse",
  "filetype_lithiummessage": "Lithium-meddelelse",
  "lithiumthread": "Lithium-tråd",
  "filetype_lithiumthread": "Lithium-tråd",
  "lithiumboard": "Lithium-kort",
  "filetype_lithiumboard": "Lithium-kort",
  "lithiumcategory": "Lithium-kategori",
  "filetype_lithiumcategory": "Lithium-kategori",
  "lithiumcommunity": "Lithium-fællesskab",
  "filetype_lithiumcommunity": "Lithium-fællesskab",
  "people": "Bruger",
  "objecttype_people": "Bruger",
  "message": "Meddelelse",
  "objecttype_message": "Meddelelse",
  "feed": "RSS-feed",
  "objecttype_feed": "RSS-feed",
  "thread": "Tråd",
  "objecttype_thread": "Tråd",
  "file": "Fil",
  "objecttype_file": "Fil",
  "board": "Kort",
  "objecttype_board": "Kort",
  "category": "Kategori",
  "objecttype_category": "Kategori",
  "account": "Konto",
  "objecttype_account": "Konto",
  "annotation": "Bemærk",
  "objecttype_annotation": "Bemærk",
  "campaign": "Kampagne",
  "objecttype_campaign": "Kampagne",
  "case": "Sag",
  "objecttype_case": "Sag",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Kontrakt",
  "objecttype_contract": "Kontrakt",
  "event": "Hændelse",
  "objecttype_event": "Hændelse",
  "email": "E-mail",
  "objecttype_email": "E-mail",
  "goal": "Mål",
  "objecttype_goal": "Mål",
  "objecttype_incident": "Sag",
  "invoice": "Faktura",
  "objecttype_invoice": "Faktura",
  "lead": "Lead",
  "objecttype_lead": "Lead",
  "list": "Liste",
  "objecttype_list": "Marketingliste",
  "solution": "Løsning",
  "objecttype_solution": "Løsning",
  "task": "Opgave",
  "objecttype_task": "Opgave",
  "user": "Bruger",
  "objecttype_user": "Bruger",
  "attachment": "Vedhæftet fil",
  "objecttype_attachment": "Vedhæftet fil",
  "casecomment": "Kommentar til sag",
  "objecttype_casecomment": "Kommentar til sag",
  "opportunity": "Mulighed",
  "objecttype_opportunity": "Mulighed",
  "opportunityproduct": "Mulighedsprodukt",
  "objecttype_opportunityproduct": "Mulighedsprodukt",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Bemærk",
  "objecttype_note": "Bemærk",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Køelement",
  "objecttype_queueitem": "Køelement",
  "quote": "Tilbud",
  "objecttype_quote": "Tilbud",
  "salesliterature": "Salgstekst",
  "objecttype_salesliterature": "Salgstekst",
  "salesorder": "Salgsordre",
  "objecttype_salesorder": "Salgsordre",
  "service": "Tjeneste",
  "objecttype_service": "Tjeneste",
  "socialprofile": "Social profil",
  "objecttype_socialprofile": "Social profil",
  "kbdocumentation": "Dokumentation",
  "objecttype_kbdocumentation": "Dokumentation",
  "kbtechnicalarticle": "Dokumentation",
  "objecttype_kbtechnicalarticle": "Dokumentation",
  "kbsolution": "Løsning",
  "objecttype_kbsolution": "Løsning",
  "kbknowledgearticle": "Vidensartikel",
  "objecttype_kbknowledgearticle": "Vidensartikel",
  "kbattachment": "Vedhæftet fil",
  "objecttype_kbattachment": "Vedhæftet fil",
  "kbarticle": "Artikel",
  "objecttype_kbarticle": "Artikel",
  "kbarticlecomment": "Kommentar til artikel",
  "objecttype_kbarticlecomment": "Kommentar til artikel",
  "knowledgearticle": "Vidensartikel",
  "objecttype_knowledgearticle": "Vidensartikel",
  "topic": "Emne",
  "objecttype_topic": "Emne",
  "dashboard": "Dashboard",
  "objecttype_dashboard": "Dashboard",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Samarbejdsgruppe",
  "objecttype_collaborationgroup": "Samarbejdsgruppe",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Websted",
  "filetype_spsite": "Websted",
  "spuserprofile": "SharePoint-bruger",
  "filetype_spuserprofile": "SharePoint-bruger",
  "sparea": "Område",
  "filetype_sparea": "Område",
  "spannouncement": "Meddelelse",
  "filetype_spannouncement": "Meddelelse",
  "spannouncementlist": "Meddelelser",
  "filetype_spannouncementlist": "Meddelelser",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakter",
  "filetype_spcontactlist": "Kontakter",
  "spcustomlist": "Brugerdefinerede lister",
  "filetype_spcustomlist": "Brugerdefinerede lister",
  "spdiscussionboard": "Diskussionsforum",
  "filetype_spdiscussionboard": "Diskussionsforum",
  "spdiscussionboardlist": "Diskussionsfora",
  "filetype_spdiscussionboardlist": "Diskussionsfora",
  "spdocumentlibrarylist": "Bibliotek for dokumenter",
  "filetype_spdocumentlibrarylist": "Bibliotek for dokumenter",
  "spevent": "Hændelse",
  "filetype_spevent": "Hændelse",
  "speventlist": "Hændelser",
  "filetype_speventlist": "Hændelser",
  "spformlibrarylist": "Bibliotek for formularer",
  "filetype_spformlibrarylist": "Bibliotek for formularer",
  "spissue": "Sag",
  "filetype_spissue": "Sag",
  "spissuelist": "Sager",
  "filetype_spissuelist": "Sager",
  "splink": "Link",
  "filetype_splink": "Link",
  "splinklist": "Links",
  "filetype_splinklist": "Links",
  "sppicturelibrarylist": "Billedbibliotek",
  "filetype_sppicturelibrarylist": "Billedbibliotek",
  "spsurvey": "Undersøgelse",
  "filetype_spsurvey": "Undersøgelse",
  "spsurveylist": "Undersøgelser",
  "filetype_spsurveylist": "Undersøgelser",
  "sptask": "Opgave",
  "filetype_sptask": "Opgave",
  "sptasklist": "Opgaver",
  "filetype_sptasklist": "Opgaver",
  "spagenda": "Dagsorden",
  "filetype_spagenda": "Dagsorden",
  "spagendalist": "Dagsordner",
  "filetype_spagendalist": "Dagsordner",
  "spattendee": "Deltager",
  "filetype_spattendee": "Deltager",
  "spattendeelist": "Deltagere",
  "filetype_spattendeelist": "Deltagere",
  "spcustomgridlist": "Brugerdefinerede gitre",
  "filetype_spcustomgridlist": "Brugerdefinerede gitre",
  "spdecision": "Beslutning",
  "filetype_spdecision": "Beslutning",
  "spdecisionlist": "Beslutninger",
  "filetype_spdecisionlist": "Beslutninger",
  "spobjective": "Målsætning",
  "filetype_spobjective": "Målsætning",
  "spobjectivelist": "Målsætninger",
  "filetype_spobjectivelist": "Målsætninger",
  "sptextbox": "Tekstboks",
  "filetype_sptextbox": "Tekstboks",
  "sptextboxlist": "Tekstboksliste",
  "filetype_sptextboxlist": "Tekstboksliste",
  "spthingstobring": "Ting at tage med",
  "filetype_spthingstobring": "Ting at tage med",
  "spthingstobringlist": "Ting at tage med",
  "filetype_spthingstobringlist": "Ting at tage med",
  "sparealisting": "Liste over område",
  "filetype_sparealisting": "Liste over område",
  "spmeetingserie": "Mødeserie",
  "filetype_spmeetingserie": "Mødeserie",
  "spmeetingserielist": "Liste over mødeserie",
  "filetype_spmeetingserielist": "Liste over mødeserie",
  "spsitedirectory": "Bibliotek for webstedselementer",
  "filetype_spsitedirectory": "Bibliotek for webstedselementer",
  "spsitedirectorylist": "Webstedsbibliotek",
  "filetype_spsitedirectorylist": "Webstedsbibliotek",
  "spdatasource": "Datakilde",
  "filetype_spdatasource": "Datakilde",
  "spdatasourcelist": "Liste over datakilde",
  "filetype_spdatasourcelist": "Liste over datakilde",
  "splisttemplatecataloglist": "Liste over skabelongalleri",
  "filetype_splisttemplatecataloglist": "Liste over skabelongalleri",
  "spwebpartcataloglist": "WebPart-galleri",
  "filetype_spwebpartcataloglist": "WebPart-galleri",
  "spwebtemplatecataloglist": "Webstedsskabelongalleri",
  "filetype_spwebtemplatecataloglist": "Webstedsskabelongalleri",
  "spworkspacepagelist": "Sider for arbejdsområde",
  "filetype_spworkspacepagelist": "Sider for arbejdsområde",
  "spunknownlist": "Brugerdefineret liste",
  "filetype_spunknownlist": "Brugerdefineret liste",
  "spadministratortask": "Administratoropgave",
  "filetype_spadministratortask": "Administratoropgave",
  "spadministratortasklist": "Administratoropgaver",
  "filetype_spadministratortasklist": "Administratoropgaver",
  "spareadocumentlibrarylist": "Bibliotek for områdedokumenter",
  "filetype_spareadocumentlibrarylist": "Bibliotek for områdedokumenter",
  "spblogcategory": "Blogkategori",
  "filetype_spblogcategory": "Blogkategori",
  "spblogcategorylist": "Blogkategorier",
  "filetype_spblogcategorylist": "Blogkategorier",
  "spblogcomment": "Blogkommentar",
  "filetype_spblogcomment": "Blogkommentar",
  "spblogcommentlist": "Blogkommentarer",
  "filetype_spblogcommentlist": "Blogkommentarer",
  "spblogpost": "Blogindlæg",
  "filetype_spblogpost": "Blogindlæg",
  "spblogpostlist": "Blogindlæg",
  "filetype_spblogpostlist": "Blogindlæg",
  "spdataconnectionlibrarylist": "Bibliotek for dataforbindelser",
  "filetype_spdataconnectionlibrarylist": "Bibliotek for dataforbindelser",
  "spdistributiongroup": "Distributionsgruppe",
  "filetype_spdistributiongroup": "Distributionsgruppe",
  "spdistributiongrouplist": "Distributionsgrupper",
  "filetype_spdistributiongrouplist": "Distributionsgrupper",
  "spipfslist": "InfoPath Forms Servers",
  "filetype_spipfslist": "InfoPath Forms Servers",
  "spkeyperformanceindicator": "Nøgleindikator for performance",
  "filetype_spkeyperformanceindicator": "Nøgleindikator for performance",
  "spkeyperformanceindicatorlist": "Nøgleindikatorer for performance",
  "filetype_spkeyperformanceindicatorlist": "Nøgleindikatorer for performance",
  "splanguagesandtranslator": "Sprog og oversætter",
  "filetype_splanguagesandtranslator": "Sprog og oversætter",
  "splanguagesandtranslatorlist": "Sprog og oversættere",
  "filetype_splanguagesandtranslatorlist": "Sprog og oversættere",
  "spmasterpagescataloglist": "Mastersidegalleri",
  "filetype_spmasterpagescataloglist": "Mastersidegalleri",
  "spnocodeworkflowlibrarylist": "Bibliotek for arbejdsgange uden kode",
  "filetype_spnocodeworkflowlibrarylist": "Bibliotek for arbejdsgange uden kode",
  "spprojecttask": "Projektopgave",
  "filetype_spprojecttask": "Projektopgave",
  "spprojecttasklist": "Projektopgaver",
  "filetype_spprojecttasklist": "Projektopgaver",
  "sppublishingpageslibrarylist": "Sidebibliotek",
  "filetype_sppublishingpageslibrarylist": "Sidebibliotek",
  "spreportdocumentlibrarylist": "Bibliotek for rapportdokumenter",
  "filetype_spreportdocumentlibrarylist": "Bibliotek for rapportdokumenter",
  "spreportlibrarylist": "Rapportbibliotek",
  "filetype_spreportlibrarylist": "Rapportbibliotek",
  "spslidelibrarylist": "Diasbibliotek",
  "filetype_spslidelibrarylist": "Diasbibliotek",
  "sptab": "Faner",
  "filetype_sptab": "Faner",
  "sptablist": "Liste med faner",
  "filetype_sptablist": "Liste med faner",
  "sptranslationmanagementlibrarylist": "Bibliotek for oversættelsesadministration",
  "filetype_sptranslationmanagementlibrarylist": "Bibliotek for oversættelsesadministration",
  "spuserinformation": "Brugerinformation",
  "filetype_spuserinformation": "Brugerinformation",
  "spuserinformationlist": "Liste med brugerinformation",
  "filetype_spuserinformationlist": "Liste med brugerinformation",
  "spwikipagelibrarylist": "Bibliotek for Wiki-sider",
  "filetype_spwikipagelibrarylist": "Bibliotek for Wiki-sider",
  "spworkflowhistory": "Historik over arbejdsgang",
  "filetype_spworkflowhistory": "Historik over arbejdsgang",
  "spworkflowhistorylist": "Liste med historik over arbejdsgang",
  "filetype_spworkflowhistorylist": "Liste med historik over arbejdsgang",
  "spworkflowprocess": "Brugerdefineret arbejdsgang",
  "filetype_spworkflowprocess": "Brugerdefineret arbejdsgang",
  "spworkflowprocesslist": "Brugerdefinerede arbejdsgange",
  "filetype_spworkflowprocesslist": "Brugerdefinerede arbejdsgange",
  "sppublishingimageslibrarylist": "Udgivelse af billedbibliotek",
  "filetype_sppublishingimageslibrarylist": "Udgivelse af billedbibliotek",
  "spcirculation": "Cirkulation",
  "filetype_spcirculation": "Cirkulation",
  "spcirculationlist": "Cirkulationer",
  "filetype_spcirculationlist": "Cirkulationer",
  "spdashboardslibrarylist": "Dashboard-bibliotek",
  "filetype_spdashboardslibrarylist": "Dashboard-bibliotek",
  "spdataconnectionforperformancepointlibrarylist": "Bibliotek for dataforbindelse til PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Bibliotek for dataforbindelse til PerformancePoint",
  "sphealthreport": "Sundhedsrapport",
  "filetype_sphealthreport": "Sundhedsrapport",
  "sphealthreportlist": "Sundhedsrapporter",
  "filetype_sphealthreportlist": "Sundhedsrapporter",
  "sphealthrule": "Sundhedsregel",
  "filetype_sphealthrule": "Sundhedsregel",
  "sphealthrulelist": "Sundhedsregler",
  "filetype_sphealthrulelist": "Sundhedsregler",
  "spimedictionary": "IME-ordbog",
  "filetype_spimedictionary": "IME-ordbog",
  "spimedictionarylist": "IME-ordbøger",
  "filetype_spimedictionarylist": "IME-ordbøger",
  "spperformancepointcontent": "Indhold af PerformancePoint",
  "filetype_spperformancepointcontent": "Indhold af PerformancePoint",
  "spperformancepointcontentlist": "Indhold af PerformancePoint",
  "filetype_spperformancepointcontentlist": "Indhold af PerformancePoint",
  "spphonecallmemo": "Memo om telefonopkald",
  "filetype_spphonecallmemo": "Memo om telefonopkald",
  "spphonecallmemolist": "Memoer om telefonopkald",
  "filetype_spphonecallmemolist": "Memoer om telefonopkald",
  "sprecordlibrarylist": "Optegnelsesbibliotek",
  "filetype_sprecordlibrarylist": "Optegnelsesbibliotek",
  "spresource": "Ressource",
  "filetype_spresource": "Ressource",
  "spresourcelist": "Ressourcer",
  "filetype_spresourcelist": "Ressourcer",
  "spprocessdiagramslibrarylist": "Bibliotek for procesdiagrammer",
  "filetype_spprocessdiagramslibrarylist": "Bibliotek for procesdiagrammer",
  "spsitethemeslibrarylist": "Bibliotek for webstedstemaer",
  "filetype_spsitethemeslibrarylist": "Bibliotek for webstedstemaer",
  "spsolutionslibrarylist": "Løsningsbibliotek",
  "filetype_spsolutionslibrarylist": "Løsningsbibliotek",
  "spwfpublibrarylist": "WFPUB-bibliotek",
  "filetype_spwfpublibrarylist": "WFPUB-bibliotek",
  "spwhereabout": "Opholdssted",
  "filetype_spwhereabout": "Opholdssted",
  "spwhereaboutlist": "Opholdssteder",
  "filetype_spwhereaboutlist": "Opholdssteder",
  "spdocumentlink": "Link til et dokument",
  "filetype_spdocumentlink": "Link til et dokument",
  "spdocumentset": "Dokumentsæt",
  "filetype_spdocumentset": "Dokumentsæt",
  "spmicrofeedpost": "Microfeed-indlæg",
  "filetype_spmicrofeedpost": "Microfeed-indlæg",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Listemappe",
  "filetype_splistfolder": "Listemappe",
  "Unknown": "Ukendt",
  "And": "OG",
  "Authenticating": "Legaliserer {0}…",
  "Clear": "Ryd {0}",
  "CompleteQuery": "Afslut forespørgsel",
  "Exclude": "Udeluk {0}",
  "EnterTag": "Tilføj Mærke",
  "Next": "Næste",
  "Last": "Sidste",
  "Link": "Link",
  "Or": "ELLER",
  "Previous": "Forrige",
  "QueryDidntMatchAnyDocuments": "Din forespørgsel matchede ingen dokumenter.",
  "QueryException": "Din forespørgsel har en fejl: {0}",
  "Me": "Mig",
  "Remove": "Fjern",
  "Search": "Søg",
  "SearchFor": "Søg efter {0}",
  "ShareQuery": "Del forespørgsel",
  "Preferences": "Foretrukne",
  "LinkOpeningSettings": "Indstillinger til åbning af links",
  "Reauthenticate": "Gen-legaliser {0}",
  "ResultsFilteringExpression": "Tilkendegivelser filtrerer resultater",
  "FiltersInYourPreferences": "Filtre i dine præferencer",
  "Create": "Opret",
  "SearchIn": "Søg i {0}",
  "Seconds": "i {0} sekund<pl>er</pl>",
  "ShowingResultsOf": "Resultat<pl>er</pl> {0}<pl>-{1}</pl> af {2}",
  "ShowingResultsOfWithQuery": "Resultat<pl>er</pl> {0}<pl>-{1}</pl> af {2} til {3}",
  "SwitchTo": "Skift til {0}",
  "Unexclude": "Udeluk ikke {0}",
  "ClearAllFilters": "Ryd alle filtre",
  "SkipLogin": "Spring over login",
  "LoginInProgress": "Login er i gang, vent venligst …",
  "Login": "Log ind",
  "GetStarted": "Kom i gang",
  "More": "Mere",
  "NMore": "{0} mere ...",
  "Less": "Færre",
  "Settings": "Indstillinger",
  "Score": "Score",
  "ScoreDescription": "Scoren beregnes ud fra antallet af hændelser samt fra positionen i resultatsættet.",
  "Occurrences": "Hændelser",
  "OccurrencesDescription": "Sortér efter antal hændelser, hvor værdier, der har det højeste antal, vises først.",
  "Label": "Mærke",
  "Of": "af",
  "LabelDescription": "Sortér alfabetisk i feltværdierne.",
  "Value": "Værdi",
  "ValueDescription": "Sorter efter værdierne i det første beregnede felt",
  "AlphaAscending": "Værdi stiger",
  "AlphaDescending": "Værdi falder",
  "ChiSquare": "Chi-Square",
  "Nosort": "Ingen sortering",
  "NosortDescription": "Sorter ikke værdierne. Værdierne vil blive returneret i tilfældig rækkefølge.",
  "RelativeFrequency": "Relativ frekvens",
  "RelativeFrequencyDescription": "Sortér efter den relative hyppighed af værdier. Mindre fællesværdier vises højere.",
  "DateDistribution": "Distributionsdato",
  "Custom": "Almindelig",
  "CustomDescription": "Sortér efter almindelig ordre",
  "ComputedField": "Beregnet felt",
  "Ascending": "Stiger",
  "Descending": "Falder",
  "noResultFor": "Ingen resultater for {0}",
  "autoCorrectedQueryTo": "Forespørgsel blev automatisk rettet til {0}",
  "didYouMean": "Mente du: {0}",
  "SuggestedResults": "Foreslåede resultater",
  "SuggestedQueries": "Foreslåede forespørgsler",
  "MostRelevantItems": "Mest relevante punkter:",
  "AllItems": "Alle punkter:",
  "ShowLess": "Vis mindre",
  "ShowMore": "Vis mere",
  "HideFacet": "Skjul facet",
  "ShowFacet": "Vis facet",
  "AndOthers": "og {0} andet",
  "Others": "{0} andet",
  "MostRelevantPosts": "Mest relevante opslag:",
  "CompleteThread": "Færdiggør tråd:",
  "ShowCompleteThread": "Vis den færdige tråd:",
  "ShowOnlyTopMatchingPosts": "Vis kun matchende opslag",
  "MostRelevantReplies": "Mest relevante svar:",
  "AllConversation": "Hele samtalen:",
  "ShowAllConversation": "Vis hele samtalen",
  "ShowAllReplies": "Vis alle svar",
  "ShowOnlyMostRelevantReplies": "Vis kun mest relevante svar",
  "Close": "Luk",
  "Open": "Åbn",
  "OpenInOutlookWhenPossible": "Åbn i Outlook (hvis det er muligt)",
  "AlwaysOpenInNewWindow": "Åbn altid resultater i et nyt vindue",
  "Quickview": "Hurtigvis",
  "NoQuickview": "Hurtigvis er utilgængeligt for dette dokument",
  "ErrorReport": "Fejlrapport",
  "OopsError": "Noget gik galt på serveren.",
  "ProblemPersists": "Kontakt administratoren, hvis problemet fortsætter.",
  "GoBack": "Gå tilbage",
  "Reset": "Nulstil",
  "Retry": "Prøv igen",
  "MoreInfo": "Mere information",
  "Username": "Brugernavn",
  "Password": "Adgangskode",
  "PostedBy": "Opslået af",
  "CannotConnect": "Kan ikke forbinde til serveradressen.",
  "BadUserPass": "Adgangskoden passer ikke til brugernavnet.",
  "PleaseEnterYourCredentials": "Indtast venligst dine brugeroplysninger for {0}.",
  "PleaseEnterYourSearchPage": "Indtast venligst din søgesides URL",
  "Collapse": "Klap sammen",
  "Collapsable": "Sammenklappelig",
  "Expand": "Udvid",
  "Today": "I dag",
  "Yesterday": "I går",
  "Tomorrow": "I morgen",
  "Duration": "Varighed: {0}",
  "IndexDuration": "Indeksvarighed: {0}",
  "ProxyDuration": "Proxyvarighed: {0}",
  "ClientDuration": "Kundevarighed: {0}",
  "Unavailable": "Utilgængelig",
  "Reply": "Svar",
  "ReplyAll": "Svar alle",
  "Forward": "Videresend",
  "From": "Fra",
  "Caption": "Undertekst",
  "Expression": "Tilkendegivelse",
  "Tab": "Fane",
  "Tabs": "Faner",
  "EnterExpressionName": "Indtast tilkendegivelses navn",
  "EnterExpressionToFilterWith": "Indtast tilkendegivelse til at filtrere resultater med",
  "SelectTab": "Vælg fane",
  "SelectAll": "Vælg alle",
  "PageUrl": "Søgesides URL",
  "ErrorSavingToDevice": "Fejl under gemning af informationen på din enhed",
  "ErrorReadingFromDevice": "Fejl under læsning af informationen fra din enhed",
  "AppIntro": "Tal med en produktspecialist, der kan besvare dine spørgsmål om Coveo og hjælpe dig med at beslutte hvilken Coveo-løsning, der passer til dig. Eller prøv en live demo!",
  "TryDemo": "Prøv demoen",
  "ContactUs": "Kontakt os",
  "NewToCoveo": "Ny med Coveo?",
  "LetUsHelpGetStarted": "Lad os hjælpe dig med at komme i gang",
  "LikesThis": "{0} synes godt om dette.",
  "CannotConnectSearchPage": "Kan ikke forbinde til din søgeside",
  "AreYouSureDeleteFilter": "Er du sikker på, du vil slette filter {0} med tilkendegivelsen {1}",
  "OnlineHelp": "Onlinehjælp",
  "Done": "Færdig",
  "SaveFacetState": "Gem denne facettilstand",
  "ClearFacetState": "Ryd facettilstand",
  "DisplayingTheOnlyMessage": "Viser den eneste besked i denne samtale",
  "NoNetworkConnection": "Ingen netværksforbindelse",
  "UnknownConnection": "Ukendt forbindelse",
  "EthernetConnection": "Ethernetforbindelse",
  "WiFi": "WiFi-forbindelse",
  "CELL": "Mobil forbindelse",
  "CELL_2G": "Mobil 2G forbindelse",
  "CELL_3G": "Mobil 3G forbindelse",
  "CELL_4G": "Mobil 4G forbindelse",
  "Relevance": "Relevans",
  "Date": "Dato",
  "Amount": "Mængde",
  "QueryExceptionNoException": "Ingen undtagelse",
  "QueryExceptionInvalidSyntax": "Ugyldig syntaks",
  "QueryExceptionInvalidCustomField": "Ugyldigt standardfelt",
  "QueryExceptionInvalidDate": "Ugyldig dato",
  "QueryExceptionInvalidExactPhrase": "Ugyldig eksakt sætning",
  "QueryExceptionInvalidDateOp": "Ugyldig datooperatør",
  "QueryExceptionInvalidNear": "Ugyldig NEAR operatør",
  "QueryExceptionInvalidWeightedNear": "Ugyldigt vægtet NEAR",
  "QueryExceptionInvalidTerm": "Ugyldigt udtryk",
  "QueryExceptionTooManyTerms": "For mange udtryk",
  "QueryExceptionWildcardTooGeneral": "Wildcard for generelt",
  "QueryExceptionInvalidSortField": "Ugyldigt sorteringsfelt",
  "QueryExceptionInvalidSmallStringOp": "Ugyldig kortbåndsoperatør",
  "QueryExceptionRequestedResultsMax": "Maksimum anmodede resultater",
  "QueryExceptionAggregatedMirrorDead": "Aggregeret spejl er offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Timeout ved aggregeret spejlforespørgsel",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Ugyldigt konstruktionsnummer ved aggregeret spejl",
  "QueryExceptionAggregatedMirrorCannotConnect": "Aggregeret spejl kan ikke forbindes",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Ikke nok ledende karakter wildcard",
  "QueryExceptionSecurityInverterNotFound": "Sikkerhedsomvender kunne ikke findes",
  "QueryExceptionSecurityInverterAccessDenied": "Adgang til sikkerhedsomvender nægtet",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Aggregeret spejl kan ikke personificeres",
  "QueryExceptionUnexpected": "Uforventet",
  "QueryExceptionAccessDenied": "Adgang nægtet",
  "QueryExceptionSuperUserTokenInvalid": "Superbrugertegn ugyldigt",
  "QueryExceptionSuperUserTokenExpired": "Superbrugertegn er udløbet",
  "QueryExceptionLicenseQueriesExpired": "Forespørgselslicens udløbet",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Licenssuperbrugertegn understøttes ikke",
  "QueryExceptionInvalidSession": "Ugyldig session",
  "QueryExceptionInvalidDocument": "Ugyldigt dokument",
  "QueryExceptionSearchDisabled": "Søgning invalideret",
  "FileType": "Filtype",
  "ShowAttachment": "Vis vedhæftede fil",
  "OnFeed": "på {0}'s feed.",
  "Author": "Forfatter",
  "NoTitle": "Ingen titel",
  "CurrentSelections": "Aktuelle valg",
  "AllContent": "Alt indhold",
  "CancelLastAction": "Annullér sidste handling",
  "SearchTips": "Søgetips",
  "CheckSpelling": "Tjek stavningen i dine nøgleord.",
  "TryUsingFewerKeywords": "Prøv at benytte færre, andre eller mere generelle nøgleord.",
  "SelectFewerFilters": "Vælg færre filtre for at gøre din søgning bredere.",
  "Document": "Dokument",
  "Time": "Tidspunkt",
  "StartDate": "Startdato",
  "StartTime": "Starttidspunkt",
  "DurationTitle": "Varighed",
  "UserQuery": "Brugerforespørgsel",
  "ShowUserActions": "Vis brugerhandlinger",
  "NoData": "Ingen tilgængelige data",
  "EventType": "Hændelsestype",
  "GoToFullSearch": "Fuld søgning",
  "GoToEdition": "Tilpas panel",
  "RemoveContext": "Fjern kontekst",
  "BoxAttachToCase": "Vedhæft til sag",
  "AttachToCase": "Vedhæft til sag",
  "Attach": "vedhæft",
  "Attached": "Vedhæftet",
  "Detach": "Fjern",
  "Details": "Detaljer",
  "AdditionalFilters": "Yderligere filtre",
  "SelectNonContextualSearch": "Fjern kontekst fra den aktuelle indtastning for at udvide din søgning",
  "CopyPasteToSupport": "Kopier indsæt denne besked til Coveo Support teamet for at få flere oplysninger.",
  "FollowQueryDescription": "Advar mig om ændringer i søgeresultaterne for denne forespørgsel.",
  "SearchAlerts_Panel": "Administrer alarmer",
  "SearchAlerts_PanelDescription": "Se og administrer dine søgealarmer",
  "SearchAlerts_PanelNoSearchAlerts": "Du har ingen abonnementer.",
  "SearchAlerts_Fail": "Tjenesten søgealarmer er pt. ikke tilgængelig.",
  "SearchAlerts_Type": "Type",
  "SearchAlerts_Content": "Indhold",
  "SearchAlerts_Actions": "Handling",
  "EmptyQuery": "<tom>",
  "SearchAlerts_Type_followQuery": "Forespørgsel",
  "SearchAlerts_Type_followDocument": "Element",
  "SearchAlerts_unFollowing": "Stop med at følge",
  "SearchAlerts_follow": "Følg",
  "SearchAlerts_followed": "Fulgt",
  "SearchAlerts_followQuery": "Følg forespørgsel",
  "Subscription_StopFollowingQuery": "Forespørgel om at stoppe med at følge",
  "SearchAlerts_Frequency": "Når",
  "SubscriptionsManageSubscriptions": "Administrer alarmer",
  "SubscriptionsMessageFollowQuery": "Du modtager underretninger, når forespørgslen <b>{0}</b> returnerer nye eller opdaterede elementer.",
  "SubscriptionsMessageFollow": "Du modtager underretninger om ændringer af elementet <b>{0}</b>.",
  "Expiration": "Udløb",
  "Monthly": "Månedligt",
  "Daily": "Daglig",
  "Monday": "Mandag",
  "Tuesday": "Torsdag",
  "Wednesday": "Onsdag",
  "Thursday": "Torsdag",
  "Friday": "Fredag",
  "Saturday": "Lørdag",
  "Sunday": "Søndag",
  "NextDay": "Næste {0}",
  "LastDay": "Sidste {0}",
  "StartTypingCaseForSuggestions": "Beskriv dit problem for at se mulige løsninger",
  "ExportToExcel": "Eksporter til Excel",
  "ExportToExcelDescription": "Eksporter søgeresultater til Excel",
  "CaseCreationNoResults": "Ingen anbefalede løsninger fundet",
  "SortBy": "Sorter efter",
  "BoxCreateArticle": "Opret artikel",
  "Facets": "Facetter",
  "AdvancedSearch": "Avanceret søgning",
  "Keywords": "Nøgleord",
  "AllTheseWords": "Alle disse ord",
  "ExactPhrase": "Denne præcise formulering",
  "AnyOfTheseWords": "Et hvilket som helst af disse ord",
  "NoneOfTheseWords": "Ingen af disse ord",
  "Anytime": "Uanset hvornår",
  "InTheLast": "I de seneste",
  "Days": "dage",
  "Months": "måneder",
  "Month": "Måned",
  "Year": "År",
  "Between": "Mellem",
  "Language": "Sprog",
  "Size": "Størrelse",
  "AtLeast": "mindst",
  "AtMost": "mest",
  "Contains": "indeholder",
  "DoesNotContain": "indeholder ikke",
  "Matches": "samme",
  "Bytes": "bytes",
  "card": "Kort",
  "table": "Tabel",
  "ResultLinks": "Resultatlinks",
  "EnableQuerySyntax": "Aktiver forespørgselssyntax",
  "On": "Til",
  "Off": "Fra",
  "Automatic": "Automatisk",
  "ResultsPerPage": "Resultater pr. side",
  "PreviousMonth": "Forrige måned",
  "NextMonth": "Næste måned",
  "Title": "Titel",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["da"] = merge(locales["da"], dict);
  String["toLocaleString"].call(this, { "da": dict });
  String["locale"] = "da";
  String["defaultLocale"] = "en";
  Globalize.culture("da")
}