/*
 * Globalize Culture de
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "de", "default", {
	name: "de",
	englishName: "German",
	nativeName: "Deutsch",
	language: "de",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "n. def.",
		negativeInfinity: "-unendlich",
		positiveInfinity: "+unendlich",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "€"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Sonntag","Montag","Dienstag","Mittwoch","Donnerstag","Freitag","Samstag"],
				namesAbbr: ["So","Mo","Di","Mi","Do","Fr","Sa"],
				namesShort: ["So","Mo","Di","Mi","Do","Fr","Sa"]
			},
			months: {
				names: ["Januar","Februar","März","April","Mai","Juni","Juli","August","September","Oktober","November","Dezember",""],
				namesAbbr: ["Jan","Feb","Mrz","Apr","Mai","Jun","Jul","Aug","Sep","Okt","Nov","Dez",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"n. Chr.","start":null,"offset":0}],
			patterns: {
				d: "dd.MM.yyyy",
				D: "dddd, d. MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dddd, d. MMMM yyyy HH:mm",
				F: "dddd, d. MMMM yyyy HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Benutzer",
  "filetype_box user": "Benutzer",
  "html": "HTML-Datei",
  "filetype_html": "HTML-Datei",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Webseite",
  "filetype_webscraperwebpage": "Webseite",
  "image": "Bild",
  "filetype_image": "Bild",
  "folder": "Ordner",
  "filetype_folder": "Ordner",
  "txt": "Text",
  "filetype_txt": "Text",
  "zip": "ZIP-Datei",
  "filetype_zip": "ZIP-Datei",
  "olefile": "OLE-Datei",
  "filetype_olefile": "OLE-Datei",
  "gmailmessage": "Gmail-Nachricht",
  "filetype_gmailmessage": "Gmail-Nachricht",
  "pdf": "PDF-Datei",
  "filetype_pdf": "PDF-Datei",
  "swf": "Flash-Datei",
  "filetype_swf": "Flash-Datei",
  "xml": "XML-Datei",
  "filetype_xml": "XML-Datei",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS-Feed",
  "filetype_rssitem": "RSS-Feed",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Microsoft Office-Dokument",
  "filetype_docx": "Microsoft Office-Dokument",
  "xls": "Tabellenkalkulationsdokument",
  "filetype_xls": "Tabellenkalkulationsdokument",
  "ppt": "Präsentationsdokument",
  "filetype_ppt": "Präsentationsdokument",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Außendienst",
  "filetype_saleforceitem": "Außendienst",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Außendienst",
  "filetype_salesforceitem": "Außendienst",
  "odt": "Open Text-Dokument",
  "filetype_odt": "Open Text-Dokument",
  "lithiummessage": "Lithium-Nachricht",
  "filetype_lithiummessage": "Lithium-Nachricht",
  "lithiumthread": "Lithium-Thread",
  "filetype_lithiumthread": "Lithium-Thread",
  "lithiumboard": "Lithium-Forum",
  "filetype_lithiumboard": "Lithium-Forum",
  "lithiumcategory": "Lithium-Kategorie",
  "filetype_lithiumcategory": "Lithium-Kategorie",
  "lithiumcommunity": "Lithium-Community",
  "filetype_lithiumcommunity": "Lithium-Community",
  "people": "Benutzer",
  "objecttype_people": "Benutzer",
  "message": "Nachricht",
  "objecttype_message": "Nachricht",
  "feed": "RSS-Feed",
  "objecttype_feed": "RSS-Feed",
  "thread": "Thread",
  "objecttype_thread": "Thread",
  "file": "Datei",
  "objecttype_file": "Datei",
  "board": "Forum",
  "objecttype_board": "Forum",
  "category": "Kategorie",
  "objecttype_category": "Kategorie",
  "account": "Konto",
  "objecttype_account": "Konto",
  "annotation": "Anmerkung",
  "objecttype_annotation": "Anmerkung",
  "campaign": "Kampagne",
  "objecttype_campaign": "Kampagne",
  "case": "Fall",
  "objecttype_case": "Fall",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Vertrag",
  "objecttype_contract": "Vertrag",
  "event": "Ereignis",
  "objecttype_event": "Ereignis",
  "email": "E-Mail",
  "objecttype_email": "E-Mail",
  "goal": "Ziel",
  "objecttype_goal": "Ziel",
  "objecttype_incident": "Fall",
  "invoice": "Rechnung",
  "objecttype_invoice": "Rechnung",
  "lead": "Lead",
  "objecttype_lead": "Lead",
  "list": "Liste",
  "objecttype_list": "Marketing-Liste",
  "solution": "Lösung",
  "objecttype_solution": "Lösung",
  "task": "Aufgabe",
  "objecttype_task": "Aufgabe",
  "user": "Benutzer",
  "objecttype_user": "Benutzer",
  "attachment": "Anhang",
  "objecttype_attachment": "Anhang",
  "casecomment": "Fallkommentar",
  "objecttype_casecomment": "Fallkommentar",
  "opportunity": "Gelegenheit",
  "objecttype_opportunity": "Gelegenheit",
  "opportunityproduct": "Gelegenheitsprodukt",
  "objecttype_opportunityproduct": "Gelegenheitsprodukt",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Anmerkung",
  "objecttype_note": "Anmerkung",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Warteschlangenelement",
  "objecttype_queueitem": "Warteschlangenelement",
  "quote": "Angebot",
  "objecttype_quote": "Angebot",
  "salesliterature": "Vertriebsliteratur",
  "objecttype_salesliterature": "Vertriebsliteratur",
  "salesorder": "Kundenauftrag",
  "objecttype_salesorder": "Kundenauftrag",
  "service": "Service",
  "objecttype_service": "Service",
  "socialprofile": "Sozialprofil",
  "objecttype_socialprofile": "Sozialprofil",
  "kbdocumentation": "Dokumentation",
  "objecttype_kbdocumentation": "Dokumentation",
  "kbtechnicalarticle": "Dokumentation",
  "objecttype_kbtechnicalarticle": "Dokumentation",
  "kbsolution": "Lösung",
  "objecttype_kbsolution": "Lösung",
  "kbknowledgearticle": "Knowledge Base-Artikel",
  "objecttype_kbknowledgearticle": "Knowledge Base-Artikel",
  "kbattachment": "Anhang",
  "objecttype_kbattachment": "Anhang",
  "kbarticle": "Artikel",
  "objecttype_kbarticle": "Artikel",
  "kbarticlecomment": "Artikelanmerkung",
  "objecttype_kbarticlecomment": "Artikelanmerkung",
  "knowledgearticle": "Knowledge Base-Artikel",
  "objecttype_knowledgearticle": "Knowledge Base-Artikel",
  "topic": "Thema",
  "objecttype_topic": "Thema",
  "dashboard": "Dashboard",
  "objecttype_dashboard": "Dashboard",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Kooperationsgruppe",
  "objecttype_collaborationgroup": "Kooperationsgruppe",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Site",
  "filetype_spsite": "Site",
  "spuserprofile": "SharePoint-Benutzer",
  "filetype_spuserprofile": "SharePoint-Benutzer",
  "sparea": "Bereich",
  "filetype_sparea": "Bereich",
  "spannouncement": "Ankündigung",
  "filetype_spannouncement": "Ankündigung",
  "spannouncementlist": "Ankündigungen",
  "filetype_spannouncementlist": "Ankündigungen",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakte",
  "filetype_spcontactlist": "Kontakte",
  "spcustomlist": "Angepasste Listen",
  "filetype_spcustomlist": "Angepasste Listen",
  "spdiscussionboard": "Diskussionsforum",
  "filetype_spdiscussionboard": "Diskussionsforum",
  "spdiscussionboardlist": "Diskussionsforen",
  "filetype_spdiscussionboardlist": "Diskussionsforen",
  "spdocumentlibrarylist": "Dokumentenbibliothek",
  "filetype_spdocumentlibrarylist": "Dokumentenbibliothek",
  "spevent": "Ereignis",
  "filetype_spevent": "Ereignis",
  "speventlist": "Ereignisse",
  "filetype_speventlist": "Ereignisse",
  "spformlibrarylist": "Formularbibliothek",
  "filetype_spformlibrarylist": "Formularbibliothek",
  "spissue": "Problem",
  "filetype_spissue": "Problem",
  "spissuelist": "Probleme",
  "filetype_spissuelist": "Probleme",
  "splink": "Link",
  "filetype_splink": "Link",
  "splinklist": "Links",
  "filetype_splinklist": "Links",
  "sppicturelibrarylist": "Bildbibliothek",
  "filetype_sppicturelibrarylist": "Bildbibliothek",
  "spsurvey": "Umfrage",
  "filetype_spsurvey": "Umfrage",
  "spsurveylist": "Umfragen",
  "filetype_spsurveylist": "Umfragen",
  "sptask": "Aufgabe",
  "filetype_sptask": "Aufgabe",
  "sptasklist": "Aufgaben",
  "filetype_sptasklist": "Aufgaben",
  "spagenda": "Agenda",
  "filetype_spagenda": "Agenda",
  "spagendalist": "Agendas",
  "filetype_spagendalist": "Agendas",
  "spattendee": "Teilnehmer",
  "filetype_spattendee": "Teilnehmer",
  "spattendeelist": "Teilnehmer",
  "filetype_spattendeelist": "Teilnehmer",
  "spcustomgridlist": "Angepasste Raster",
  "filetype_spcustomgridlist": "Angepasste Raster",
  "spdecision": "Entscheidung",
  "filetype_spdecision": "Entscheidung",
  "spdecisionlist": "Entscheidungen",
  "filetype_spdecisionlist": "Entscheidungen",
  "spobjective": "Zielsetzung",
  "filetype_spobjective": "Zielsetzung",
  "spobjectivelist": "Zielsetzungen",
  "filetype_spobjectivelist": "Zielsetzungen",
  "sptextbox": "Textfeld",
  "filetype_sptextbox": "Textfeld",
  "sptextboxlist": "Textfeldliste",
  "filetype_sptextboxlist": "Textfeldliste",
  "spthingstobring": "Mitzubringende Sache",
  "filetype_spthingstobring": "Mitzubringende Sache",
  "spthingstobringlist": "Mitzubringende Sachen",
  "filetype_spthingstobringlist": "Mitzubringende Sachen",
  "sparealisting": "Bereichsauflistung",
  "filetype_sparealisting": "Bereichsauflistung",
  "spmeetingserie": "Versammlungsreihe",
  "filetype_spmeetingserie": "Versammlungsreihe",
  "spmeetingserielist": "Liste der Versammlungsreihen",
  "filetype_spmeetingserielist": "Liste der Versammlungsreihen",
  "spsitedirectory": "Site-Verzeichniselement",
  "filetype_spsitedirectory": "Site-Verzeichniselement",
  "spsitedirectorylist": "Site-Verzeichnis",
  "filetype_spsitedirectorylist": "Site-Verzeichnis",
  "spdatasource": "Datenquelle",
  "filetype_spdatasource": "Datenquelle",
  "spdatasourcelist": "Datenquellenliste",
  "filetype_spdatasourcelist": "Datenquellenliste",
  "splisttemplatecataloglist": "Listenvorlagengallerie",
  "filetype_splisttemplatecataloglist": "Listenvorlagengallerie",
  "spwebpartcataloglist": "WebPart-Gallerie",
  "filetype_spwebpartcataloglist": "WebPart-Gallerie",
  "spwebtemplatecataloglist": "Site-Vorlagengallerie",
  "filetype_spwebtemplatecataloglist": "Site-Vorlagengallerie",
  "spworkspacepagelist": "Workspace-Seiten",
  "filetype_spworkspacepagelist": "Workspace-Seiten",
  "spunknownlist": "Angepasste Liste",
  "filetype_spunknownlist": "Angepasste Liste",
  "spadministratortask": "Administratoraufgabe",
  "filetype_spadministratortask": "Administratoraufgabe",
  "spadministratortasklist": "Administratoraufgaben",
  "filetype_spadministratortasklist": "Administratoraufgaben",
  "spareadocumentlibrarylist": "Bereichsdokumentenbibliothek",
  "filetype_spareadocumentlibrarylist": "Bereichsdokumentenbibliothek",
  "spblogcategory": "Blog-Kategorie",
  "filetype_spblogcategory": "Blog-Kategorie",
  "spblogcategorylist": "Blog-Kategorien",
  "filetype_spblogcategorylist": "Blog-Kategorien",
  "spblogcomment": "Blog-Kommentar",
  "filetype_spblogcomment": "Blog-Kommentar",
  "spblogcommentlist": "Blog-Kommentare",
  "filetype_spblogcommentlist": "Blog-Kommentare",
  "spblogpost": "Blog-Post",
  "filetype_spblogpost": "Blog-Post",
  "spblogpostlist": "Blog-Posts",
  "filetype_spblogpostlist": "Blog-Posts",
  "spdataconnectionlibrarylist": "Datenverbindungsbibliothek",
  "filetype_spdataconnectionlibrarylist": "Datenverbindungsbibliothek",
  "spdistributiongroup": "Verteilergruppe",
  "filetype_spdistributiongroup": "Verteilergruppe",
  "spdistributiongrouplist": "Verteilergruppen",
  "filetype_spdistributiongrouplist": "Verteilergruppen",
  "spipfslist": "InfoPath-Formular-Server",
  "filetype_spipfslist": "InfoPath-Formular-Server",
  "spkeyperformanceindicator": "Leistungskennzahl",
  "filetype_spkeyperformanceindicator": "Leistungskennzahl",
  "spkeyperformanceindicatorlist": "Leistungskennzahlen",
  "filetype_spkeyperformanceindicatorlist": "Leistungskennzahlen",
  "splanguagesandtranslator": "Sprachen und Übersetzer",
  "filetype_splanguagesandtranslator": "Sprachen und Übersetzer",
  "splanguagesandtranslatorlist": "Sprachen und Übersetzer",
  "filetype_splanguagesandtranslatorlist": "Sprachen und Übersetzer",
  "spmasterpagescataloglist": "Master-Seiten-Gallerie",
  "filetype_spmasterpagescataloglist": "Master-Seiten-Gallerie",
  "spnocodeworkflowlibrarylist": "No-Code-Workflow-Bibliotheken",
  "filetype_spnocodeworkflowlibrarylist": "No-Code-Workflow-Bibliotheken",
  "spprojecttask": "Projektaufgabe",
  "filetype_spprojecttask": "Projektaufgabe",
  "spprojecttasklist": "Projektaufgaben",
  "filetype_spprojecttasklist": "Projektaufgaben",
  "sppublishingpageslibrarylist": "Seitenbibliothek",
  "filetype_sppublishingpageslibrarylist": "Seitenbibliothek",
  "spreportdocumentlibrarylist": "Berichtsdokumentenbibliothek",
  "filetype_spreportdocumentlibrarylist": "Berichtsdokumentenbibliothek",
  "spreportlibrarylist": "Berichtsbibliothek",
  "filetype_spreportlibrarylist": "Berichtsbibliothek",
  "spslidelibrarylist": "Folienbibliothek",
  "filetype_spslidelibrarylist": "Folienbibliothek",
  "sptab": "Registerkarten",
  "filetype_sptab": "Registerkarten",
  "sptablist": "Registerkartenliste",
  "filetype_sptablist": "Registerkartenliste",
  "sptranslationmanagementlibrarylist": "Übersetzungsmanagement-Bibliothek",
  "filetype_sptranslationmanagementlibrarylist": "Übersetzungsmanagement-Bibliothek",
  "spuserinformation": "Benutzerdaten",
  "filetype_spuserinformation": "Benutzerdaten",
  "spuserinformationlist": "Benutzerdatenliste",
  "filetype_spuserinformationlist": "Benutzerdatenliste",
  "spwikipagelibrarylist": "Wiki-Page-Bibliothek",
  "filetype_spwikipagelibrarylist": "Wiki-Page-Bibliothek",
  "spworkflowhistory": "Workflow-Verlauf",
  "filetype_spworkflowhistory": "Workflow-Verlauf",
  "spworkflowhistorylist": "Workflow-Verlaufsliste",
  "filetype_spworkflowhistorylist": "Workflow-Verlaufsliste",
  "spworkflowprocess": "Angepasster Workflow-Prozess",
  "filetype_spworkflowprocess": "Angepasster Workflow-Prozess",
  "spworkflowprocesslist": "Angepasste Workflow-Prozesse",
  "filetype_spworkflowprocesslist": "Angepasste Workflow-Prozesse",
  "sppublishingimageslibrarylist": "Verlagsbildbibliothek",
  "filetype_sppublishingimageslibrarylist": "Verlagsbildbibliothek",
  "spcirculation": "Auflage",
  "filetype_spcirculation": "Auflage",
  "spcirculationlist": "Auflagen",
  "filetype_spcirculationlist": "Auflagen",
  "spdashboardslibrarylist": "Dashboard-Bibliothek",
  "filetype_spdashboardslibrarylist": "Dashboard-Bibliothek",
  "spdataconnectionforperformancepointlibrarylist": "PerformancePoint-Datenverbindungsbibliothek",
  "filetype_spdataconnectionforperformancepointlibrarylist": "PerformancePoint-Datenverbindungsbibliothek",
  "sphealthreport": "Gesundheitsbericht",
  "filetype_sphealthreport": "Gesundheitsbericht",
  "sphealthreportlist": "Gesundheitsberichte",
  "filetype_sphealthreportlist": "Gesundheitsberichte",
  "sphealthrule": "Gesundheitsregel",
  "filetype_sphealthrule": "Gesundheitsregel",
  "sphealthrulelist": "Gesundheitsregeln",
  "filetype_sphealthrulelist": "Gesundheitsregeln",
  "spimedictionary": "IME-Verzeichnis",
  "filetype_spimedictionary": "IME-Verzeichnis",
  "spimedictionarylist": "IME-Verzeichnisse",
  "filetype_spimedictionarylist": "IME-Verzeichnisse",
  "spperformancepointcontent": "PerformancePoint-Inhalt",
  "filetype_spperformancepointcontent": "PerformancePoint-Inhalt",
  "spperformancepointcontentlist": "PerformancePoint-Inhalte",
  "filetype_spperformancepointcontentlist": "PerformancePoint-Inhalte",
  "spphonecallmemo": "Telefonanruf-Memo",
  "filetype_spphonecallmemo": "Telefonanruf-Memo",
  "spphonecallmemolist": "Telefonanruf-Memos",
  "filetype_spphonecallmemolist": "Telefonanruf-Memos",
  "sprecordlibrarylist": "Datensatz-Bibliothek",
  "filetype_sprecordlibrarylist": "Datensatz-Bibliothek",
  "spresource": "Ressource",
  "filetype_spresource": "Ressource",
  "spresourcelist": "Ressourcen",
  "filetype_spresourcelist": "Ressourcen",
  "spprocessdiagramslibrarylist": "Prozessdiagrammbibliothek",
  "filetype_spprocessdiagramslibrarylist": "Prozessdiagrammbibliothek",
  "spsitethemeslibrarylist": "Site-Themenbibliothek",
  "filetype_spsitethemeslibrarylist": "Site-Themenbibliothek",
  "spsolutionslibrarylist": "Lösungsbibliothek",
  "filetype_spsolutionslibrarylist": "Lösungsbibliothek",
  "spwfpublibrarylist": "WFPUB-Bibliothek",
  "filetype_spwfpublibrarylist": "WFPUB-Bibliothek",
  "spwhereabout": "Aufenthaltsort",
  "filetype_spwhereabout": "Aufenthaltsort",
  "spwhereaboutlist": "Aufenthaltsorte",
  "filetype_spwhereaboutlist": "Aufenthaltsorte",
  "spdocumentlink": "Link zu einem Dokument",
  "filetype_spdocumentlink": "Link zu einem Dokument",
  "spdocumentset": "Dokumentensatz",
  "filetype_spdocumentset": "Dokumentensatz",
  "spmicrofeedpost": "Microfeed-Post",
  "filetype_spmicrofeedpost": "Microfeed-Post",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Listenordner",
  "filetype_splistfolder": "Listenordner",
  "Unknown": "Unbekannt",
  "And": "UND",
  "Authenticating": "{0} wird authentifiziert…",
  "Clear": "{0} löschen",
  "CompleteQuery": "Vollständige Abfrage",
  "Exclude": "{0} ausschließen",
  "EnterTag": "Tag hinzufügen",
  "Next": "Weiter",
  "Last": "Letzte",
  "Link": "Link",
  "Or": "ODER",
  "Previous": "Zurück",
  "QueryDidntMatchAnyDocuments": "Es wurden keine Dokumente gefunden, die den Abfragekriterien entsprechen.",
  "QueryException": "Die Abfrage enthält einen Fehler: {0}.",
  "Me": "Ich",
  "Remove": "Entfernen",
  "Search": "Suchen",
  "SearchFor": "Suchen nach {0}",
  "ShareQuery": "Abfrage freigeben",
  "Preferences": "Einstellungen",
  "LinkOpeningSettings": "Einstellungen für das Öffnen von Links",
  "Reauthenticate": "{0} erneut authentifizieren",
  "ResultsFilteringExpression": "Ergebnisfilterausdruck",
  "FiltersInYourPreferences": "In Einstellungen vorhandene Filter",
  "Create": "Erstellen",
  "SearchIn": "Suchen in {0}",
  "Seconds": "in {0} Sekunde<pl>n</pl>",
  "ShowingResultsOf": "Ergebnis<pl>se</pl> {0}<pl>-{1}</pl> von {2}",
  "ShowingResultsOfWithQuery": "Ergebnis<pl>se</pl> {0}<pl>-{1}</pl> von {2} für {3}",
  "SwitchTo": "Wechseln zu {0}",
  "Unexclude": "Ausschluss von {0} aufheben",
  "ClearAllFilters": "Alle Filter löschen",
  "SkipLogin": "Anmeldung übergehen",
  "LoginInProgress": "Die Anmeldung wird ausgeführt, bitte warten…",
  "Login": "Anmelden",
  "GetStarted": "Erste Schritte",
  "More": "Mehr",
  "NMore": "{0} mehr...",
  "Less": "Weniger",
  "Settings": "Einstellungen",
  "Score": "Bewertung",
  "ScoreDescription": "Die Bewertung wird anhand der Anzahl der Vorkommen und der Position in der Ergebnismenge berechnet.",
  "Occurrences": "Vorkommen",
  "OccurrencesDescription": "Nach Anzahl der Vorkommen sortieren, wobei die Werte, die am häufigsten vorkommen, zuerst angezeigt werden",
  "Label": "Bezeichnung",
  "Of": "von",
  "LabelDescription": "Alphabetisch nach Feldwerten sortieren",
  "Value": "Wert",
  "ValueDescription": "Nach den Werten des ersten berechneten Felds sortieren",
  "AlphaAscending": "Aufsteigend nach Wert",
  "AlphaDescending": "Absteigend nach Wert",
  "ChiSquare": "Chi-Quadrat",
  "Nosort": "Keine Sortierung",
  "NosortDescription": "Werte werden nicht sortiert, sondern in zufälliger Reihenfolge zurückgegeben.",
  "RelativeFrequency": "Relative Häufigkeit",
  "RelativeFrequencyDescription": "Nach der relativen Häufigkeit der Werte sortieren. Weniger häufig vorkommende Werte werden weiter oben angezeigt.",
  "DateDistribution": "Datumsverteilung",
  "Custom": "Benutzerdefiniert",
  "CustomDescription": "Nach einem Kundenauftrag sortieren",
  "ComputedField": "Berechnetes Feld",
  "Ascending": "Aufsteigend",
  "Descending": "Absteigend",
  "noResultFor": "Keine Ergebnisse für {0}",
  "autoCorrectedQueryTo": "Die Abfrage wurde automatisch korrigiert: {0}",
  "didYouMean": "Meinten Sie: {0}",
  "SuggestedResults": "Vorgeschlagene Ergebnisse",
  "SuggestedQueries": "Vorgeschlagene Abfragen",
  "MostRelevantItems": "Die relevantesten Elemente:",
  "AllItems": "Alle Elemente:",
  "ShowLess": "Weniger anzeigen",
  "ShowMore": "Mehr anzeigen",
  "HideFacet": "Aspekt ausblenden",
  "ShowFacet": "Aspekt anzeigen",
  "AndOthers": "und {0} weitere/r/s",
  "Others": "{0} weitere/r/s",
  "MostRelevantPosts": "Relevanteste Beiträge:",
  "CompleteThread": "Gesamter Diskussionsfaden:",
  "ShowCompleteThread": "Gesamten Diskussionsfaden anzeigen",
  "ShowOnlyTopMatchingPosts": "Nur die relevantesten Beiträge anzeigen",
  "MostRelevantReplies": "Relevanteste Antworten:",
  "AllConversation": "Gesamte Unterhaltung:",
  "ShowAllConversation": "Gesamte Unterhaltung anzeigen",
  "ShowAllReplies": "Alle Antworten anzeigen",
  "ShowOnlyMostRelevantReplies": "Nur die relevantesten Antworten anzeigen",
  "Close": "Schließen",
  "Open": "Öffnen",
  "OpenInOutlookWhenPossible": "In Outlook öffnen (wenn möglich)",
  "AlwaysOpenInNewWindow": "Ergebnisse immer in einem neuen Fenster anzeigen",
  "Quickview": "Schnellansicht",
  "NoQuickview": "Quick View ist für dieses Dokument nicht verfügbar",
  "ErrorReport": "Fehlerbericht",
  "OopsError": "Leider ist auf dem Server ein Fehler aufgetreten.",
  "ProblemPersists": "Wenden Sie sich an den Administrator, wenn das Problem weiterhin besteht.",
  "GoBack": "Zurück",
  "Reset": "Zurücksetzen",
  "Retry": "Wiederholen",
  "MoreInfo": "Weitere Informationen",
  "Username": "Benutzername",
  "Password": "Kennwort",
  "PostedBy": "Veröffentlicht von",
  "CannotConnect": "Mit der Serveradresse kann keine Verbindung hergestellt werden.",
  "BadUserPass": "Das Kennwort stimmt nicht mit dem für den Benutzernamen gespeicherten Kennwort überein.",
  "PleaseEnterYourCredentials": "Geben Sie Ihre Anmeldeinformationen für {0} ein.",
  "PleaseEnterYourSearchPage": "Geben Sie die Suchseiten-URL ein.",
  "Collapse": "Reduzieren",
  "Collapsable": "Reduzierbar",
  "Expand": "Erweitern",
  "Today": "Heute",
  "Yesterday": "Gestern",
  "Tomorrow": "Morgen",
  "Duration": "Dauer: {0}",
  "IndexDuration": "Indexdauer: {0}",
  "ProxyDuration": "Proxydauer: {0}",
  "ClientDuration": "Clientdauer: {0}",
  "Unavailable": "Nicht verfügbar",
  "Reply": "Antworten",
  "ReplyAll": "Allen antworten",
  "Forward": "Weiterleiten",
  "From": "Von",
  "Caption": "Beschriftung",
  "Expression": "Ausdruck",
  "Tab": "Registerkarte",
  "Tabs": "Registerkarten",
  "EnterExpressionName": "Namen des Ausdrucks eingeben",
  "EnterExpressionToFilterWith": "Ausdruck zum Filtern der Ergebnisse eingeben",
  "SelectTab": "Registerkarte auswählen",
  "SelectAll": "Alles auswählen",
  "PageUrl": "Suchseiten-URL",
  "ErrorSavingToDevice": "Fehler beim Speichern der Daten auf dem Gerät",
  "ErrorReadingFromDevice": "Fehler beim Lesen der Daten auf dem Gerät",
  "AppIntro": "Sprechen Sie mit einem Produktspezialisten, der Ihre Fragen zu Coveo beantworten und Ihnen helfen kann, die für Sie am besten geeignete Coveo-Lösung zu finden. Oder probieren Sie eine Testversion aus!",
  "TryDemo": "Demo ausprobieren",
  "ContactUs": "Kontakt",
  "NewToCoveo": "Neu bei Coveo?",
  "LetUsHelpGetStarted": "Lassen Sie uns Ihnen beim Einstieg helfen",
  "LikesThis": "{0} <sn>mag</sn><pl>mögen</pl> das.",
  "CannotConnectSearchPage": "Es kann keine Verbindung mit der Suchseite hergestellt werden",
  "AreYouSureDeleteFilter": "Möchten Sie den Filter {0} mit dem Ausdruck {1} tatsächlich löschen",
  "OnlineHelp": "Onlinehilfe",
  "Done": "Fertig",
  "SaveFacetState": "Diesen Aspektzustand speichern",
  "ClearFacetState": "Aspektzustand löschen",
  "DisplayingTheOnlyMessage": "Derzeit wird die einzige Nachricht in dieser Unterhaltung angezeigt",
  "NoNetworkConnection": "Keine Netzwerkverbindung",
  "UnknownConnection": "Unbekannte Verbindung",
  "EthernetConnection": "Ethernet-Verbindung",
  "WiFi": "WiFi-Verbindung",
  "CELL": "Mobilfunkverbindung",
  "CELL_2G": "2G-Mobilfunkverbindung",
  "CELL_3G": "3G-Mobilfunkverbindung",
  "CELL_4G": "4G-Mobilfunkverbindung",
  "Relevance": "Relevanz",
  "Date": "Datum",
  "Amount": "Betrag",
  "QueryExceptionNoException": "Keine Ausnahme",
  "QueryExceptionInvalidSyntax": "Ungültige Syntax",
  "QueryExceptionInvalidCustomField": "Ungültiges benutzerdefiniertes Feld",
  "QueryExceptionInvalidDate": "Ungültiges Datum",
  "QueryExceptionInvalidExactPhrase": "Ungültiger exakter Ausdruck",
  "QueryExceptionInvalidDateOp": "Ungültiger Datumsoperator",
  "QueryExceptionInvalidNear": "Ungültiger NEAR-Operator",
  "QueryExceptionInvalidWeightedNear": "Ungültiger gewichteter NEAR-Operator",
  "QueryExceptionInvalidTerm": "Ungültiger Begriff",
  "QueryExceptionTooManyTerms": "Zu viele Begriffe",
  "QueryExceptionWildcardTooGeneral": "Platzhalter ist zu allgemein",
  "QueryExceptionInvalidSortField": "Ungültiges Sortierfeld",
  "QueryExceptionInvalidSmallStringOp": "Ungültiger",
  "QueryExceptionRequestedResultsMax": "Höchstzahl angeforderter Ergebnisse",
  "QueryExceptionAggregatedMirrorDead": "Remotekopie des Index ist offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Zeitlimit wurde bei Abfrage der Remotekopie des Index überschritten",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Ungültige Buildnummer für Remotekopie des Index",
  "QueryExceptionAggregatedMirrorCannotConnect": "Verbindung mit Remotekopie des Index nicht möglich",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Unzureichend Zeichen vor dem Platzhalterzeichen",
  "QueryExceptionSecurityInverterNotFound": "Sicherheitsumgehung nicht gefunden",
  "QueryExceptionSecurityInverterAccessDenied": "Zugriff auf Sicherheitsumgebung verweigert",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Identitätswechsel bei Remotekopie des Index nicht möglich",
  "QueryExceptionUnexpected": "Unerwartet",
  "QueryExceptionAccessDenied": "Zugriff verweigert",
  "QueryExceptionSuperUserTokenInvalid": "Superuser-Token ist ungültig",
  "QueryExceptionSuperUserTokenExpired": "Superuser-Token ist abgelaufen",
  "QueryExceptionLicenseQueriesExpired": "Lizenz für Abfragen ist abgelaufen",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Lizenztoken für Superuser wird nicht unterstützt",
  "QueryExceptionInvalidSession": "Ungültige Sitzung",
  "QueryExceptionInvalidDocument": "Ungültiges Dokument",
  "QueryExceptionSearchDisabled": "Suche deaktiviert",
  "FileType": "Dateityp",
  "ShowAttachment": "Anlage anzeigen",
  "OnFeed": "zu {0}s Feed.",
  "Author": "Autor",
  "NoTitle": "Ohne Titel",
  "CurrentSelections": "Aktuelle Auswahl",
  "AllContent": "Alle Inhalte",
  "CancelLastAction": "Letzte Aktion rückgängig machen",
  "SearchTips": "Tipps für die Suche",
  "CheckSpelling": "Überprüfen Sie, ob die Suchbegriffe richtig geschrieben sind.",
  "TryUsingFewerKeywords": "Geben Sie weniger, andere oder allgemeinere Suchbegriffe an.",
  "SelectFewerFilters": "Wählen Sie weniger Filter aus, um die Suche nicht so stark einzugrenzen.",
  "Document": "Dokument",
  "Time": "Uhrzeit",
  "StartDate": "Starttag",
  "StartTime": "Startzeit",
  "DurationTitle": "Dauer",
  "UserQuery": "Benutzerabfrage",
  "ShowUserActions": "Benutzeraktionen anzeigen",
  "NoData": "Keine Daten vorhanden",
  "EventType": "Ereignistyp",
  "GoToFullSearch": "Vollständige Suche",
  "GoToEdition": "Panel anpassen",
  "RemoveContext": "Kontext entfernen",
  "BoxAttachToCase": "An den Fall anhängen",
  "AttachToCase": "An den Fall anhängen",
  "Attach": "Anhängen",
  "Attached": "Angehangen",
  "Detach": "Lösen",
  "Details": "Details",
  "AdditionalFilters": "Zusätzliche Filter",
  "SelectNonContextualSearch": "Kontext vom aktuellen Datensatz entfernen, um die Suche zu erweitern",
  "CopyPasteToSupport": "Für weitere Informationen diese Nachricht an das Coveo Support-Team kopieren und einfügen.",
  "FollowQueryDescription": "Mich auf Änderungen an den Suchergebnissen dieser Abfrage aufmerksam machen",
  "SearchAlerts_Panel": "Suchbenachrichtigungen",
  "SearchAlerts_PanelDescription": "Betrachten und verwalten Sie Ihre Suchbenachrichtigungen.",
  "SearchAlerts_PanelNoSearchAlerts": "Sie haben keine Abonnements.",
  "SearchAlerts_Fail": "Der Suchbenachrichtigungsdienst ist gegenwärtig nicht verfügbar.",
  "SearchAlerts_Type": "Typ",
  "SearchAlerts_Content": "Inhalt",
  "SearchAlerts_Actions": "Aktion",
  "EmptyQuery": "<leer>",
  "SearchAlerts_Type_followQuery": "Abfrage",
  "SearchAlerts_Type_followDocument": "Element",
  "SearchAlerts_unFollowing": "Verfolgung anhalten",
  "SearchAlerts_follow": "Verfolgen",
  "SearchAlerts_followed": "Verfolgt",
  "SearchAlerts_followQuery": "Abfrage verfolgen",
  "Subscription_StopFollowingQuery": "Verfolgung der Abfrage anhalten",
  "SearchAlerts_Frequency": "Wann",
  "SubscriptionsManageSubscriptions": "Benachrichtigungen verwalten",
  "SubscriptionsMessageFollowQuery": "Sie erhalten Benachrichtigungen, wenn die Abfrage <b>{0}</b> neue oder aktualisierte Elemente zurückgibt.",
  "SubscriptionsMessageFollow": "Sie erhalten Benachrichtigungen bei Änderungen am Element <b>{0}</b>.",
  "Expiration": "Ablauf",
  "Monthly": "Monatlich",
  "Daily": "Täglich",
  "Monday": "Montag",
  "Tuesday": "Dienstag",
  "Wednesday": "Mittwoch",
  "Thursday": "Donnerstag",
  "Friday": "Freitag",
  "Saturday": "Sonnabend",
  "Sunday": "Sonntag",
  "NextDay": "Weiter {0}",
  "LastDay": "Letzte {0}",
  "StartTypingCaseForSuggestions": "Beschreiben Sie Ihr Problem, um mögliche Lösungen anzuzeigen.",
  "ExportToExcel": "Export nach Excel",
  "ExportToExcelDescription": "Suchergebnisse nach Excel exportieren",
  "CaseCreationNoResults": "Keine empfohlenen Lösungen gefunden",
  "SortBy": "Sortieren nach",
  "BoxCreateArticle": "Artikel erstellen",
  "Facets": "Facetten",
  "AdvancedSearch": "Erweiterte Suche",
  "Keywords": "Suchbegriffe",
  "AllTheseWords": "Alle diese Wörter",
  "ExactPhrase": "Genau dieser Ausdruck",
  "AnyOfTheseWords": "Eines dieser Wörter",
  "NoneOfTheseWords": "Keines dieser Wörter",
  "Anytime": "Jederzeit",
  "InTheLast": "In den letzten",
  "Days": "Tage",
  "Months": "Monate",
  "Month": "Monat",
  "Year": "Jahr",
  "Between": "Zwischen",
  "Language": "Sprache",
  "Size": "Größe",
  "AtLeast": "mindestens",
  "AtMost": "höchstens",
  "Contains": "enthält",
  "DoesNotContain": "enthält nicht",
  "Matches": "Übereinstimmungen",
  "Bytes": "Bytes",
  "card": "Karte",
  "table": "Tabelle",
  "ResultLinks": "Ergebnis-Links",
  "EnableQuerySyntax": "Abfragesyntax aktivieren",
  "On": "Ein",
  "Off": "Aus",
  "Automatic": "Automatisch",
  "ResultsPerPage": "Ergebnisse pro Seite",
  "PreviousMonth": "Voheriger Monat",
  "NextMonth": "Nächster Monat",
  "Title": "Titel",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["de"] = merge(locales["de"], dict);
  String["toLocaleString"].call(this, { "de": dict });
  String["locale"] = "de";
  String["defaultLocale"] = "en";
  Globalize.culture("de")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Benutzer",
  "filetype_box user": "Benutzer",
  "html": "HTML-Datei",
  "filetype_html": "HTML-Datei",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Webseite",
  "filetype_webscraperwebpage": "Webseite",
  "image": "Bild",
  "filetype_image": "Bild",
  "folder": "Ordner",
  "filetype_folder": "Ordner",
  "txt": "Text",
  "filetype_txt": "Text",
  "zip": "ZIP-Datei",
  "filetype_zip": "ZIP-Datei",
  "olefile": "OLE-Datei",
  "filetype_olefile": "OLE-Datei",
  "gmailmessage": "Gmail-Nachricht",
  "filetype_gmailmessage": "Gmail-Nachricht",
  "pdf": "PDF-Datei",
  "filetype_pdf": "PDF-Datei",
  "swf": "Flash-Datei",
  "filetype_swf": "Flash-Datei",
  "xml": "XML-Datei",
  "filetype_xml": "XML-Datei",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS-Feed",
  "filetype_rssitem": "RSS-Feed",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Microsoft Office-Dokument",
  "filetype_docx": "Microsoft Office-Dokument",
  "xls": "Tabellenkalkulationsdokument",
  "filetype_xls": "Tabellenkalkulationsdokument",
  "ppt": "Präsentationsdokument",
  "filetype_ppt": "Präsentationsdokument",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Außendienst",
  "filetype_saleforceitem": "Außendienst",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Außendienst",
  "filetype_salesforceitem": "Außendienst",
  "odt": "Open Text-Dokument",
  "filetype_odt": "Open Text-Dokument",
  "lithiummessage": "Lithium-Nachricht",
  "filetype_lithiummessage": "Lithium-Nachricht",
  "lithiumthread": "Lithium-Thread",
  "filetype_lithiumthread": "Lithium-Thread",
  "lithiumboard": "Lithium-Forum",
  "filetype_lithiumboard": "Lithium-Forum",
  "lithiumcategory": "Lithium-Kategorie",
  "filetype_lithiumcategory": "Lithium-Kategorie",
  "lithiumcommunity": "Lithium-Community",
  "filetype_lithiumcommunity": "Lithium-Community",
  "people": "Benutzer",
  "objecttype_people": "Benutzer",
  "message": "Nachricht",
  "objecttype_message": "Nachricht",
  "feed": "RSS-Feed",
  "objecttype_feed": "RSS-Feed",
  "thread": "Thread",
  "objecttype_thread": "Thread",
  "file": "Datei",
  "objecttype_file": "Datei",
  "board": "Forum",
  "objecttype_board": "Forum",
  "category": "Kategorie",
  "objecttype_category": "Kategorie",
  "account": "Konto",
  "objecttype_account": "Konto",
  "annotation": "Anmerkung",
  "objecttype_annotation": "Anmerkung",
  "campaign": "Kampagne",
  "objecttype_campaign": "Kampagne",
  "case": "Fall",
  "objecttype_case": "Fall",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Vertrag",
  "objecttype_contract": "Vertrag",
  "event": "Ereignis",
  "objecttype_event": "Ereignis",
  "email": "E-Mail",
  "objecttype_email": "E-Mail",
  "goal": "Ziel",
  "objecttype_goal": "Ziel",
  "objecttype_incident": "Fall",
  "invoice": "Rechnung",
  "objecttype_invoice": "Rechnung",
  "lead": "Lead",
  "objecttype_lead": "Lead",
  "list": "Liste",
  "objecttype_list": "Marketing-Liste",
  "solution": "Lösung",
  "objecttype_solution": "Lösung",
  "task": "Aufgabe",
  "objecttype_task": "Aufgabe",
  "user": "Benutzer",
  "objecttype_user": "Benutzer",
  "attachment": "Anhang",
  "objecttype_attachment": "Anhang",
  "casecomment": "Fallkommentar",
  "objecttype_casecomment": "Fallkommentar",
  "opportunity": "Gelegenheit",
  "objecttype_opportunity": "Gelegenheit",
  "opportunityproduct": "Gelegenheitsprodukt",
  "objecttype_opportunityproduct": "Gelegenheitsprodukt",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Anmerkung",
  "objecttype_note": "Anmerkung",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Warteschlangenelement",
  "objecttype_queueitem": "Warteschlangenelement",
  "quote": "Angebot",
  "objecttype_quote": "Angebot",
  "salesliterature": "Vertriebsliteratur",
  "objecttype_salesliterature": "Vertriebsliteratur",
  "salesorder": "Kundenauftrag",
  "objecttype_salesorder": "Kundenauftrag",
  "service": "Service",
  "objecttype_service": "Service",
  "socialprofile": "Sozialprofil",
  "objecttype_socialprofile": "Sozialprofil",
  "kbdocumentation": "Dokumentation",
  "objecttype_kbdocumentation": "Dokumentation",
  "kbtechnicalarticle": "Dokumentation",
  "objecttype_kbtechnicalarticle": "Dokumentation",
  "kbsolution": "Lösung",
  "objecttype_kbsolution": "Lösung",
  "kbknowledgearticle": "Knowledge Base-Artikel",
  "objecttype_kbknowledgearticle": "Knowledge Base-Artikel",
  "kbattachment": "Anhang",
  "objecttype_kbattachment": "Anhang",
  "kbarticle": "Artikel",
  "objecttype_kbarticle": "Artikel",
  "kbarticlecomment": "Artikelanmerkung",
  "objecttype_kbarticlecomment": "Artikelanmerkung",
  "knowledgearticle": "Knowledge Base-Artikel",
  "objecttype_knowledgearticle": "Knowledge Base-Artikel",
  "topic": "Thema",
  "objecttype_topic": "Thema",
  "dashboard": "Dashboard",
  "objecttype_dashboard": "Dashboard",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Kooperationsgruppe",
  "objecttype_collaborationgroup": "Kooperationsgruppe",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Site",
  "filetype_spsite": "Site",
  "spuserprofile": "SharePoint-Benutzer",
  "filetype_spuserprofile": "SharePoint-Benutzer",
  "sparea": "Bereich",
  "filetype_sparea": "Bereich",
  "spannouncement": "Ankündigung",
  "filetype_spannouncement": "Ankündigung",
  "spannouncementlist": "Ankündigungen",
  "filetype_spannouncementlist": "Ankündigungen",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakte",
  "filetype_spcontactlist": "Kontakte",
  "spcustomlist": "Angepasste Listen",
  "filetype_spcustomlist": "Angepasste Listen",
  "spdiscussionboard": "Diskussionsforum",
  "filetype_spdiscussionboard": "Diskussionsforum",
  "spdiscussionboardlist": "Diskussionsforen",
  "filetype_spdiscussionboardlist": "Diskussionsforen",
  "spdocumentlibrarylist": "Dokumentenbibliothek",
  "filetype_spdocumentlibrarylist": "Dokumentenbibliothek",
  "spevent": "Ereignis",
  "filetype_spevent": "Ereignis",
  "speventlist": "Ereignisse",
  "filetype_speventlist": "Ereignisse",
  "spformlibrarylist": "Formularbibliothek",
  "filetype_spformlibrarylist": "Formularbibliothek",
  "spissue": "Problem",
  "filetype_spissue": "Problem",
  "spissuelist": "Probleme",
  "filetype_spissuelist": "Probleme",
  "splink": "Link",
  "filetype_splink": "Link",
  "splinklist": "Links",
  "filetype_splinklist": "Links",
  "sppicturelibrarylist": "Bildbibliothek",
  "filetype_sppicturelibrarylist": "Bildbibliothek",
  "spsurvey": "Umfrage",
  "filetype_spsurvey": "Umfrage",
  "spsurveylist": "Umfragen",
  "filetype_spsurveylist": "Umfragen",
  "sptask": "Aufgabe",
  "filetype_sptask": "Aufgabe",
  "sptasklist": "Aufgaben",
  "filetype_sptasklist": "Aufgaben",
  "spagenda": "Agenda",
  "filetype_spagenda": "Agenda",
  "spagendalist": "Agendas",
  "filetype_spagendalist": "Agendas",
  "spattendee": "Teilnehmer",
  "filetype_spattendee": "Teilnehmer",
  "spattendeelist": "Teilnehmer",
  "filetype_spattendeelist": "Teilnehmer",
  "spcustomgridlist": "Angepasste Raster",
  "filetype_spcustomgridlist": "Angepasste Raster",
  "spdecision": "Entscheidung",
  "filetype_spdecision": "Entscheidung",
  "spdecisionlist": "Entscheidungen",
  "filetype_spdecisionlist": "Entscheidungen",
  "spobjective": "Zielsetzung",
  "filetype_spobjective": "Zielsetzung",
  "spobjectivelist": "Zielsetzungen",
  "filetype_spobjectivelist": "Zielsetzungen",
  "sptextbox": "Textfeld",
  "filetype_sptextbox": "Textfeld",
  "sptextboxlist": "Textfeldliste",
  "filetype_sptextboxlist": "Textfeldliste",
  "spthingstobring": "Mitzubringende Sache",
  "filetype_spthingstobring": "Mitzubringende Sache",
  "spthingstobringlist": "Mitzubringende Sachen",
  "filetype_spthingstobringlist": "Mitzubringende Sachen",
  "sparealisting": "Bereichsauflistung",
  "filetype_sparealisting": "Bereichsauflistung",
  "spmeetingserie": "Versammlungsreihe",
  "filetype_spmeetingserie": "Versammlungsreihe",
  "spmeetingserielist": "Liste der Versammlungsreihen",
  "filetype_spmeetingserielist": "Liste der Versammlungsreihen",
  "spsitedirectory": "Site-Verzeichniselement",
  "filetype_spsitedirectory": "Site-Verzeichniselement",
  "spsitedirectorylist": "Site-Verzeichnis",
  "filetype_spsitedirectorylist": "Site-Verzeichnis",
  "spdatasource": "Datenquelle",
  "filetype_spdatasource": "Datenquelle",
  "spdatasourcelist": "Datenquellenliste",
  "filetype_spdatasourcelist": "Datenquellenliste",
  "splisttemplatecataloglist": "Listenvorlagengallerie",
  "filetype_splisttemplatecataloglist": "Listenvorlagengallerie",
  "spwebpartcataloglist": "WebPart-Gallerie",
  "filetype_spwebpartcataloglist": "WebPart-Gallerie",
  "spwebtemplatecataloglist": "Site-Vorlagengallerie",
  "filetype_spwebtemplatecataloglist": "Site-Vorlagengallerie",
  "spworkspacepagelist": "Workspace-Seiten",
  "filetype_spworkspacepagelist": "Workspace-Seiten",
  "spunknownlist": "Angepasste Liste",
  "filetype_spunknownlist": "Angepasste Liste",
  "spadministratortask": "Administratoraufgabe",
  "filetype_spadministratortask": "Administratoraufgabe",
  "spadministratortasklist": "Administratoraufgaben",
  "filetype_spadministratortasklist": "Administratoraufgaben",
  "spareadocumentlibrarylist": "Bereichsdokumentenbibliothek",
  "filetype_spareadocumentlibrarylist": "Bereichsdokumentenbibliothek",
  "spblogcategory": "Blog-Kategorie",
  "filetype_spblogcategory": "Blog-Kategorie",
  "spblogcategorylist": "Blog-Kategorien",
  "filetype_spblogcategorylist": "Blog-Kategorien",
  "spblogcomment": "Blog-Kommentar",
  "filetype_spblogcomment": "Blog-Kommentar",
  "spblogcommentlist": "Blog-Kommentare",
  "filetype_spblogcommentlist": "Blog-Kommentare",
  "spblogpost": "Blog-Post",
  "filetype_spblogpost": "Blog-Post",
  "spblogpostlist": "Blog-Posts",
  "filetype_spblogpostlist": "Blog-Posts",
  "spdataconnectionlibrarylist": "Datenverbindungsbibliothek",
  "filetype_spdataconnectionlibrarylist": "Datenverbindungsbibliothek",
  "spdistributiongroup": "Verteilergruppe",
  "filetype_spdistributiongroup": "Verteilergruppe",
  "spdistributiongrouplist": "Verteilergruppen",
  "filetype_spdistributiongrouplist": "Verteilergruppen",
  "spipfslist": "InfoPath-Formular-Server",
  "filetype_spipfslist": "InfoPath-Formular-Server",
  "spkeyperformanceindicator": "Leistungskennzahl",
  "filetype_spkeyperformanceindicator": "Leistungskennzahl",
  "spkeyperformanceindicatorlist": "Leistungskennzahlen",
  "filetype_spkeyperformanceindicatorlist": "Leistungskennzahlen",
  "splanguagesandtranslator": "Sprachen und Übersetzer",
  "filetype_splanguagesandtranslator": "Sprachen und Übersetzer",
  "splanguagesandtranslatorlist": "Sprachen und Übersetzer",
  "filetype_splanguagesandtranslatorlist": "Sprachen und Übersetzer",
  "spmasterpagescataloglist": "Master-Seiten-Gallerie",
  "filetype_spmasterpagescataloglist": "Master-Seiten-Gallerie",
  "spnocodeworkflowlibrarylist": "No-Code-Workflow-Bibliotheken",
  "filetype_spnocodeworkflowlibrarylist": "No-Code-Workflow-Bibliotheken",
  "spprojecttask": "Projektaufgabe",
  "filetype_spprojecttask": "Projektaufgabe",
  "spprojecttasklist": "Projektaufgaben",
  "filetype_spprojecttasklist": "Projektaufgaben",
  "sppublishingpageslibrarylist": "Seitenbibliothek",
  "filetype_sppublishingpageslibrarylist": "Seitenbibliothek",
  "spreportdocumentlibrarylist": "Berichtsdokumentenbibliothek",
  "filetype_spreportdocumentlibrarylist": "Berichtsdokumentenbibliothek",
  "spreportlibrarylist": "Berichtsbibliothek",
  "filetype_spreportlibrarylist": "Berichtsbibliothek",
  "spslidelibrarylist": "Folienbibliothek",
  "filetype_spslidelibrarylist": "Folienbibliothek",
  "sptab": "Registerkarten",
  "filetype_sptab": "Registerkarten",
  "sptablist": "Registerkartenliste",
  "filetype_sptablist": "Registerkartenliste",
  "sptranslationmanagementlibrarylist": "Übersetzungsmanagement-Bibliothek",
  "filetype_sptranslationmanagementlibrarylist": "Übersetzungsmanagement-Bibliothek",
  "spuserinformation": "Benutzerdaten",
  "filetype_spuserinformation": "Benutzerdaten",
  "spuserinformationlist": "Benutzerdatenliste",
  "filetype_spuserinformationlist": "Benutzerdatenliste",
  "spwikipagelibrarylist": "Wiki-Page-Bibliothek",
  "filetype_spwikipagelibrarylist": "Wiki-Page-Bibliothek",
  "spworkflowhistory": "Workflow-Verlauf",
  "filetype_spworkflowhistory": "Workflow-Verlauf",
  "spworkflowhistorylist": "Workflow-Verlaufsliste",
  "filetype_spworkflowhistorylist": "Workflow-Verlaufsliste",
  "spworkflowprocess": "Angepasster Workflow-Prozess",
  "filetype_spworkflowprocess": "Angepasster Workflow-Prozess",
  "spworkflowprocesslist": "Angepasste Workflow-Prozesse",
  "filetype_spworkflowprocesslist": "Angepasste Workflow-Prozesse",
  "sppublishingimageslibrarylist": "Verlagsbildbibliothek",
  "filetype_sppublishingimageslibrarylist": "Verlagsbildbibliothek",
  "spcirculation": "Auflage",
  "filetype_spcirculation": "Auflage",
  "spcirculationlist": "Auflagen",
  "filetype_spcirculationlist": "Auflagen",
  "spdashboardslibrarylist": "Dashboard-Bibliothek",
  "filetype_spdashboardslibrarylist": "Dashboard-Bibliothek",
  "spdataconnectionforperformancepointlibrarylist": "PerformancePoint-Datenverbindungsbibliothek",
  "filetype_spdataconnectionforperformancepointlibrarylist": "PerformancePoint-Datenverbindungsbibliothek",
  "sphealthreport": "Gesundheitsbericht",
  "filetype_sphealthreport": "Gesundheitsbericht",
  "sphealthreportlist": "Gesundheitsberichte",
  "filetype_sphealthreportlist": "Gesundheitsberichte",
  "sphealthrule": "Gesundheitsregel",
  "filetype_sphealthrule": "Gesundheitsregel",
  "sphealthrulelist": "Gesundheitsregeln",
  "filetype_sphealthrulelist": "Gesundheitsregeln",
  "spimedictionary": "IME-Verzeichnis",
  "filetype_spimedictionary": "IME-Verzeichnis",
  "spimedictionarylist": "IME-Verzeichnisse",
  "filetype_spimedictionarylist": "IME-Verzeichnisse",
  "spperformancepointcontent": "PerformancePoint-Inhalt",
  "filetype_spperformancepointcontent": "PerformancePoint-Inhalt",
  "spperformancepointcontentlist": "PerformancePoint-Inhalte",
  "filetype_spperformancepointcontentlist": "PerformancePoint-Inhalte",
  "spphonecallmemo": "Telefonanruf-Memo",
  "filetype_spphonecallmemo": "Telefonanruf-Memo",
  "spphonecallmemolist": "Telefonanruf-Memos",
  "filetype_spphonecallmemolist": "Telefonanruf-Memos",
  "sprecordlibrarylist": "Datensatz-Bibliothek",
  "filetype_sprecordlibrarylist": "Datensatz-Bibliothek",
  "spresource": "Ressource",
  "filetype_spresource": "Ressource",
  "spresourcelist": "Ressourcen",
  "filetype_spresourcelist": "Ressourcen",
  "spprocessdiagramslibrarylist": "Prozessdiagrammbibliothek",
  "filetype_spprocessdiagramslibrarylist": "Prozessdiagrammbibliothek",
  "spsitethemeslibrarylist": "Site-Themenbibliothek",
  "filetype_spsitethemeslibrarylist": "Site-Themenbibliothek",
  "spsolutionslibrarylist": "Lösungsbibliothek",
  "filetype_spsolutionslibrarylist": "Lösungsbibliothek",
  "spwfpublibrarylist": "WFPUB-Bibliothek",
  "filetype_spwfpublibrarylist": "WFPUB-Bibliothek",
  "spwhereabout": "Aufenthaltsort",
  "filetype_spwhereabout": "Aufenthaltsort",
  "spwhereaboutlist": "Aufenthaltsorte",
  "filetype_spwhereaboutlist": "Aufenthaltsorte",
  "spdocumentlink": "Link zu einem Dokument",
  "filetype_spdocumentlink": "Link zu einem Dokument",
  "spdocumentset": "Dokumentensatz",
  "filetype_spdocumentset": "Dokumentensatz",
  "spmicrofeedpost": "Microfeed-Post",
  "filetype_spmicrofeedpost": "Microfeed-Post",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Listenordner",
  "filetype_splistfolder": "Listenordner",
  "Unknown": "Unbekannt",
  "And": "UND",
  "Authenticating": "{0} wird authentifiziert…",
  "Clear": "{0} löschen",
  "CompleteQuery": "Vollständige Abfrage",
  "Exclude": "{0} ausschließen",
  "EnterTag": "Tag hinzufügen",
  "Next": "Weiter",
  "Last": "Letzte",
  "Link": "Link",
  "Or": "ODER",
  "Previous": "Zurück",
  "QueryDidntMatchAnyDocuments": "Es wurden keine Dokumente gefunden, die den Abfragekriterien entsprechen.",
  "QueryException": "Die Abfrage enthält einen Fehler: {0}.",
  "Me": "Ich",
  "Remove": "Entfernen",
  "Search": "Suchen",
  "SearchFor": "Suchen nach {0}",
  "ShareQuery": "Abfrage freigeben",
  "Preferences": "Einstellungen",
  "LinkOpeningSettings": "Einstellungen für das Öffnen von Links",
  "Reauthenticate": "{0} erneut authentifizieren",
  "ResultsFilteringExpression": "Ergebnisfilterausdruck",
  "FiltersInYourPreferences": "In Einstellungen vorhandene Filter",
  "Create": "Erstellen",
  "SearchIn": "Suchen in {0}",
  "Seconds": "in {0} Sekunde<pl>n</pl>",
  "ShowingResultsOf": "Ergebnis<pl>se</pl> {0}<pl>-{1}</pl> von {2}",
  "ShowingResultsOfWithQuery": "Ergebnis<pl>se</pl> {0}<pl>-{1}</pl> von {2} für {3}",
  "SwitchTo": "Wechseln zu {0}",
  "Unexclude": "Ausschluss von {0} aufheben",
  "ClearAllFilters": "Alle Filter löschen",
  "SkipLogin": "Anmeldung übergehen",
  "LoginInProgress": "Die Anmeldung wird ausgeführt, bitte warten…",
  "Login": "Anmelden",
  "GetStarted": "Erste Schritte",
  "More": "Mehr",
  "NMore": "{0} mehr...",
  "Less": "Weniger",
  "Settings": "Einstellungen",
  "Score": "Bewertung",
  "ScoreDescription": "Die Bewertung wird anhand der Anzahl der Vorkommen und der Position in der Ergebnismenge berechnet.",
  "Occurrences": "Vorkommen",
  "OccurrencesDescription": "Nach Anzahl der Vorkommen sortieren, wobei die Werte, die am häufigsten vorkommen, zuerst angezeigt werden",
  "Label": "Bezeichnung",
  "Of": "von",
  "LabelDescription": "Alphabetisch nach Feldwerten sortieren",
  "Value": "Wert",
  "ValueDescription": "Nach den Werten des ersten berechneten Felds sortieren",
  "AlphaAscending": "Aufsteigend nach Wert",
  "AlphaDescending": "Absteigend nach Wert",
  "ChiSquare": "Chi-Quadrat",
  "Nosort": "Keine Sortierung",
  "NosortDescription": "Werte werden nicht sortiert, sondern in zufälliger Reihenfolge zurückgegeben.",
  "RelativeFrequency": "Relative Häufigkeit",
  "RelativeFrequencyDescription": "Nach der relativen Häufigkeit der Werte sortieren. Weniger häufig vorkommende Werte werden weiter oben angezeigt.",
  "DateDistribution": "Datumsverteilung",
  "Custom": "Benutzerdefiniert",
  "CustomDescription": "Nach einem Kundenauftrag sortieren",
  "ComputedField": "Berechnetes Feld",
  "Ascending": "Aufsteigend",
  "Descending": "Absteigend",
  "noResultFor": "Keine Ergebnisse für {0}",
  "autoCorrectedQueryTo": "Die Abfrage wurde automatisch korrigiert: {0}",
  "didYouMean": "Meinten Sie: {0}",
  "SuggestedResults": "Vorgeschlagene Ergebnisse",
  "SuggestedQueries": "Vorgeschlagene Abfragen",
  "MostRelevantItems": "Die relevantesten Elemente:",
  "AllItems": "Alle Elemente:",
  "ShowLess": "Weniger anzeigen",
  "ShowMore": "Mehr anzeigen",
  "HideFacet": "Aspekt ausblenden",
  "ShowFacet": "Aspekt anzeigen",
  "AndOthers": "und {0} weitere/r/s",
  "Others": "{0} weitere/r/s",
  "MostRelevantPosts": "Relevanteste Beiträge:",
  "CompleteThread": "Gesamter Diskussionsfaden:",
  "ShowCompleteThread": "Gesamten Diskussionsfaden anzeigen",
  "ShowOnlyTopMatchingPosts": "Nur die relevantesten Beiträge anzeigen",
  "MostRelevantReplies": "Relevanteste Antworten:",
  "AllConversation": "Gesamte Unterhaltung:",
  "ShowAllConversation": "Gesamte Unterhaltung anzeigen",
  "ShowAllReplies": "Alle Antworten anzeigen",
  "ShowOnlyMostRelevantReplies": "Nur die relevantesten Antworten anzeigen",
  "Close": "Schließen",
  "Open": "Öffnen",
  "OpenInOutlookWhenPossible": "In Outlook öffnen (wenn möglich)",
  "AlwaysOpenInNewWindow": "Ergebnisse immer in einem neuen Fenster anzeigen",
  "Quickview": "Schnellansicht",
  "NoQuickview": "Quick View ist für dieses Dokument nicht verfügbar",
  "ErrorReport": "Fehlerbericht",
  "OopsError": "Leider ist auf dem Server ein Fehler aufgetreten.",
  "ProblemPersists": "Wenden Sie sich an den Administrator, wenn das Problem weiterhin besteht.",
  "GoBack": "Zurück",
  "Reset": "Zurücksetzen",
  "Retry": "Wiederholen",
  "MoreInfo": "Weitere Informationen",
  "Username": "Benutzername",
  "Password": "Kennwort",
  "PostedBy": "Veröffentlicht von",
  "CannotConnect": "Mit der Serveradresse kann keine Verbindung hergestellt werden.",
  "BadUserPass": "Das Kennwort stimmt nicht mit dem für den Benutzernamen gespeicherten Kennwort überein.",
  "PleaseEnterYourCredentials": "Geben Sie Ihre Anmeldeinformationen für {0} ein.",
  "PleaseEnterYourSearchPage": "Geben Sie die Suchseiten-URL ein.",
  "Collapse": "Reduzieren",
  "Collapsable": "Reduzierbar",
  "Expand": "Erweitern",
  "Today": "Heute",
  "Yesterday": "Gestern",
  "Tomorrow": "Morgen",
  "Duration": "Dauer: {0}",
  "IndexDuration": "Indexdauer: {0}",
  "ProxyDuration": "Proxydauer: {0}",
  "ClientDuration": "Clientdauer: {0}",
  "Unavailable": "Nicht verfügbar",
  "Reply": "Antworten",
  "ReplyAll": "Allen antworten",
  "Forward": "Weiterleiten",
  "From": "Von",
  "Caption": "Beschriftung",
  "Expression": "Ausdruck",
  "Tab": "Registerkarte",
  "Tabs": "Registerkarten",
  "EnterExpressionName": "Namen des Ausdrucks eingeben",
  "EnterExpressionToFilterWith": "Ausdruck zum Filtern der Ergebnisse eingeben",
  "SelectTab": "Registerkarte auswählen",
  "SelectAll": "Alles auswählen",
  "PageUrl": "Suchseiten-URL",
  "ErrorSavingToDevice": "Fehler beim Speichern der Daten auf dem Gerät",
  "ErrorReadingFromDevice": "Fehler beim Lesen der Daten auf dem Gerät",
  "AppIntro": "Sprechen Sie mit einem Produktspezialisten, der Ihre Fragen zu Coveo beantworten und Ihnen helfen kann, die für Sie am besten geeignete Coveo-Lösung zu finden. Oder probieren Sie eine Testversion aus!",
  "TryDemo": "Demo ausprobieren",
  "ContactUs": "Kontakt",
  "NewToCoveo": "Neu bei Coveo?",
  "LetUsHelpGetStarted": "Lassen Sie uns Ihnen beim Einstieg helfen",
  "LikesThis": "{0} <sn>mag</sn><pl>mögen</pl> das.",
  "CannotConnectSearchPage": "Es kann keine Verbindung mit der Suchseite hergestellt werden",
  "AreYouSureDeleteFilter": "Möchten Sie den Filter {0} mit dem Ausdruck {1} tatsächlich löschen",
  "OnlineHelp": "Onlinehilfe",
  "Done": "Fertig",
  "SaveFacetState": "Diesen Aspektzustand speichern",
  "ClearFacetState": "Aspektzustand löschen",
  "DisplayingTheOnlyMessage": "Derzeit wird die einzige Nachricht in dieser Unterhaltung angezeigt",
  "NoNetworkConnection": "Keine Netzwerkverbindung",
  "UnknownConnection": "Unbekannte Verbindung",
  "EthernetConnection": "Ethernet-Verbindung",
  "WiFi": "WiFi-Verbindung",
  "CELL": "Mobilfunkverbindung",
  "CELL_2G": "2G-Mobilfunkverbindung",
  "CELL_3G": "3G-Mobilfunkverbindung",
  "CELL_4G": "4G-Mobilfunkverbindung",
  "Relevance": "Relevanz",
  "Date": "Datum",
  "Amount": "Betrag",
  "QueryExceptionNoException": "Keine Ausnahme",
  "QueryExceptionInvalidSyntax": "Ungültige Syntax",
  "QueryExceptionInvalidCustomField": "Ungültiges benutzerdefiniertes Feld",
  "QueryExceptionInvalidDate": "Ungültiges Datum",
  "QueryExceptionInvalidExactPhrase": "Ungültiger exakter Ausdruck",
  "QueryExceptionInvalidDateOp": "Ungültiger Datumsoperator",
  "QueryExceptionInvalidNear": "Ungültiger NEAR-Operator",
  "QueryExceptionInvalidWeightedNear": "Ungültiger gewichteter NEAR-Operator",
  "QueryExceptionInvalidTerm": "Ungültiger Begriff",
  "QueryExceptionTooManyTerms": "Zu viele Begriffe",
  "QueryExceptionWildcardTooGeneral": "Platzhalter ist zu allgemein",
  "QueryExceptionInvalidSortField": "Ungültiges Sortierfeld",
  "QueryExceptionInvalidSmallStringOp": "Ungültiger",
  "QueryExceptionRequestedResultsMax": "Höchstzahl angeforderter Ergebnisse",
  "QueryExceptionAggregatedMirrorDead": "Remotekopie des Index ist offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Zeitlimit wurde bei Abfrage der Remotekopie des Index überschritten",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Ungültige Buildnummer für Remotekopie des Index",
  "QueryExceptionAggregatedMirrorCannotConnect": "Verbindung mit Remotekopie des Index nicht möglich",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Unzureichend Zeichen vor dem Platzhalterzeichen",
  "QueryExceptionSecurityInverterNotFound": "Sicherheitsumgehung nicht gefunden",
  "QueryExceptionSecurityInverterAccessDenied": "Zugriff auf Sicherheitsumgebung verweigert",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Identitätswechsel bei Remotekopie des Index nicht möglich",
  "QueryExceptionUnexpected": "Unerwartet",
  "QueryExceptionAccessDenied": "Zugriff verweigert",
  "QueryExceptionSuperUserTokenInvalid": "Superuser-Token ist ungültig",
  "QueryExceptionSuperUserTokenExpired": "Superuser-Token ist abgelaufen",
  "QueryExceptionLicenseQueriesExpired": "Lizenz für Abfragen ist abgelaufen",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Lizenztoken für Superuser wird nicht unterstützt",
  "QueryExceptionInvalidSession": "Ungültige Sitzung",
  "QueryExceptionInvalidDocument": "Ungültiges Dokument",
  "QueryExceptionSearchDisabled": "Suche deaktiviert",
  "FileType": "Dateityp",
  "ShowAttachment": "Anlage anzeigen",
  "OnFeed": "zu {0}s Feed.",
  "Author": "Autor",
  "NoTitle": "Ohne Titel",
  "CurrentSelections": "Aktuelle Auswahl",
  "AllContent": "Alle Inhalte",
  "CancelLastAction": "Letzte Aktion rückgängig machen",
  "SearchTips": "Tipps für die Suche",
  "CheckSpelling": "Überprüfen Sie, ob die Suchbegriffe richtig geschrieben sind.",
  "TryUsingFewerKeywords": "Geben Sie weniger, andere oder allgemeinere Suchbegriffe an.",
  "SelectFewerFilters": "Wählen Sie weniger Filter aus, um die Suche nicht so stark einzugrenzen.",
  "Document": "Dokument",
  "Time": "Uhrzeit",
  "StartDate": "Starttag",
  "StartTime": "Startzeit",
  "DurationTitle": "Dauer",
  "UserQuery": "Benutzerabfrage",
  "ShowUserActions": "Benutzeraktionen anzeigen",
  "NoData": "Keine Daten vorhanden",
  "EventType": "Ereignistyp",
  "GoToFullSearch": "Vollständige Suche",
  "GoToEdition": "Panel anpassen",
  "RemoveContext": "Kontext entfernen",
  "BoxAttachToCase": "An den Fall anhängen",
  "AttachToCase": "An den Fall anhängen",
  "Attach": "Anhängen",
  "Attached": "Angehangen",
  "Detach": "Lösen",
  "Details": "Details",
  "AdditionalFilters": "Zusätzliche Filter",
  "SelectNonContextualSearch": "Kontext vom aktuellen Datensatz entfernen, um die Suche zu erweitern",
  "CopyPasteToSupport": "Für weitere Informationen diese Nachricht an das Coveo Support-Team kopieren und einfügen.",
  "FollowQueryDescription": "Mich auf Änderungen an den Suchergebnissen dieser Abfrage aufmerksam machen",
  "SearchAlerts_Panel": "Suchbenachrichtigungen",
  "SearchAlerts_PanelDescription": "Betrachten und verwalten Sie Ihre Suchbenachrichtigungen.",
  "SearchAlerts_PanelNoSearchAlerts": "Sie haben keine Abonnements.",
  "SearchAlerts_Fail": "Der Suchbenachrichtigungsdienst ist gegenwärtig nicht verfügbar.",
  "SearchAlerts_Type": "Typ",
  "SearchAlerts_Content": "Inhalt",
  "SearchAlerts_Actions": "Aktion",
  "EmptyQuery": "<leer>",
  "SearchAlerts_Type_followQuery": "Abfrage",
  "SearchAlerts_Type_followDocument": "Element",
  "SearchAlerts_unFollowing": "Verfolgung anhalten",
  "SearchAlerts_follow": "Verfolgen",
  "SearchAlerts_followed": "Verfolgt",
  "SearchAlerts_followQuery": "Abfrage verfolgen",
  "Subscription_StopFollowingQuery": "Verfolgung der Abfrage anhalten",
  "SearchAlerts_Frequency": "Wann",
  "SubscriptionsManageSubscriptions": "Benachrichtigungen verwalten",
  "SubscriptionsMessageFollowQuery": "Sie erhalten Benachrichtigungen, wenn die Abfrage <b>{0}</b> neue oder aktualisierte Elemente zurückgibt.",
  "SubscriptionsMessageFollow": "Sie erhalten Benachrichtigungen bei Änderungen am Element <b>{0}</b>.",
  "Expiration": "Ablauf",
  "Monthly": "Monatlich",
  "Daily": "Täglich",
  "Monday": "Montag",
  "Tuesday": "Dienstag",
  "Wednesday": "Mittwoch",
  "Thursday": "Donnerstag",
  "Friday": "Freitag",
  "Saturday": "Sonnabend",
  "Sunday": "Sonntag",
  "NextDay": "Weiter {0}",
  "LastDay": "Letzte {0}",
  "StartTypingCaseForSuggestions": "Beschreiben Sie Ihr Problem, um mögliche Lösungen anzuzeigen.",
  "ExportToExcel": "Export nach Excel",
  "ExportToExcelDescription": "Suchergebnisse nach Excel exportieren",
  "CaseCreationNoResults": "Keine empfohlenen Lösungen gefunden",
  "SortBy": "Sortieren nach",
  "BoxCreateArticle": "Artikel erstellen",
  "Facets": "Facetten",
  "AdvancedSearch": "Erweiterte Suche",
  "Keywords": "Suchbegriffe",
  "AllTheseWords": "Alle diese Wörter",
  "ExactPhrase": "Genau dieser Ausdruck",
  "AnyOfTheseWords": "Eines dieser Wörter",
  "NoneOfTheseWords": "Keines dieser Wörter",
  "Anytime": "Jederzeit",
  "InTheLast": "In den letzten",
  "Days": "Tage",
  "Months": "Monate",
  "Month": "Monat",
  "Year": "Jahr",
  "Between": "Zwischen",
  "Language": "Sprache",
  "Size": "Größe",
  "AtLeast": "mindestens",
  "AtMost": "höchstens",
  "Contains": "enthält",
  "DoesNotContain": "enthält nicht",
  "Matches": "Übereinstimmungen",
  "Bytes": "Bytes",
  "card": "Karte",
  "table": "Tabelle",
  "ResultLinks": "Ergebnis-Links",
  "EnableQuerySyntax": "Abfragesyntax aktivieren",
  "On": "Ein",
  "Off": "Aus",
  "Automatic": "Automatisch",
  "ResultsPerPage": "Ergebnisse pro Seite",
  "PreviousMonth": "Voheriger Monat",
  "NextMonth": "Nächster Monat",
  "Title": "Titel",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["de"] = merge(locales["de"], dict);
  String["toLocaleString"].call(this, { "de": dict });
  String["locale"] = "de";
  String["defaultLocale"] = "en";
  Globalize.culture("de")
}