/*
 * Globalize Culture el
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "el", "default", {
	name: "el",
	englishName: "Greek",
	nativeName: "Ελληνικά",
	language: "el",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "μη αριθμός",
		negativeInfinity: "-Άπειρο",
		positiveInfinity: "Άπειρο",
		percent: {
			pattern: ["-n%","n%"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "€"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Κυριακή","Δευτέρα","Τρίτη","Τετάρτη","Πέμπτη","Παρασκευή","Σάββατο"],
				namesAbbr: ["Κυρ","Δευ","Τρι","Τετ","Πεμ","Παρ","Σαβ"],
				namesShort: ["Κυ","Δε","Τρ","Τε","Πε","Πα","Σά"]
			},
			months: {
				names: ["Ιανουάριος","Φεβρουάριος","Μάρτιος","Απρίλιος","Μάιος","Ιούνιος","Ιούλιος","Αύγουστος","Σεπτέμβριος","Οκτώβριος","Νοέμβριος","Δεκέμβριος",""],
				namesAbbr: ["Ιαν","Φεβ","Μαρ","Απρ","Μαϊ","Ιουν","Ιουλ","Αυγ","Σεπ","Οκτ","Νοε","Δεκ",""]
			},
			monthsGenitive: {
				names: ["Ιανουαρίου","Φεβρουαρίου","Μαρτίου","Απριλίου","Μαΐου","Ιουνίου","Ιουλίου","Αυγούστου","Σεπτεμβρίου","Οκτωβρίου","Νοεμβρίου","Δεκεμβρίου",""],
				namesAbbr: ["Ιαν","Φεβ","Μαρ","Απρ","Μαϊ","Ιουν","Ιουλ","Αυγ","Σεπ","Οκτ","Νοε","Δεκ",""]
			},
			AM: ["πμ","πμ","ΠΜ"],
			PM: ["μμ","μμ","ΜΜ"],
			eras: [{"name":"μ.Χ.","start":null,"offset":0}],
			patterns: {
				d: "d/M/yyyy",
				D: "dddd, d MMMM yyyy",
				f: "dddd, d MMMM yyyy h:mm tt",
				F: "dddd, d MMMM yyyy h:mm:ss tt",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Χρήστης",
  "filetype_box user": "Χρήστης",
  "html": "Αρχείο HTML",
  "filetype_html": "Αρχείο HTML",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Ιστοσελίδα",
  "filetype_webscraperwebpage": "Ιστοσελίδα",
  "image": "Εικόνα",
  "filetype_image": "Εικόνα",
  "folder": "Φάκελος",
  "filetype_folder": "Φάκελος",
  "txt": "Κείμενο",
  "filetype_txt": "Κείμενο",
  "zip": "Αρχείο zip",
  "filetype_zip": "Αρχείο zip",
  "olefile": "Αρχείο OLE",
  "filetype_olefile": "Αρχείο OLE",
  "gmailmessage": "Μήνυμα Gmail",
  "filetype_gmailmessage": "Μήνυμα Gmail",
  "pdf": "Αρχείο PDF",
  "filetype_pdf": "Αρχείο PDF",
  "swf": "Αρχείο flash",
  "filetype_swf": "Αρχείο flash",
  "xml": "Αρχείο XML",
  "filetype_xml": "Αρχείο XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Τροφοδοσία RSS",
  "filetype_rssitem": "Τροφοδοσία RSS",
  "doc": "Έγγραφο",
  "filetype_doc": "Έγγραφο",
  "docx": "Έγγραφο Microsoft Word",
  "filetype_docx": "Έγγραφο Microsoft Word",
  "xls": "Έγγραφο υπολογιστικού φύλλου",
  "filetype_xls": "Έγγραφο υπολογιστικού φύλλου",
  "ppt": "Έγγραφο παρουσίασης",
  "filetype_ppt": "Έγγραφο παρουσίασης",
  "video": "Βίντεο",
  "filetype_video": "Βίντεο",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Έγγραφο Open Text",
  "filetype_odt": "Έγγραφο Open Text",
  "lithiummessage": "Μήνυμα Lithium",
  "filetype_lithiummessage": "Μήνυμα Lithium",
  "lithiumthread": "Συνομιλία Lithium",
  "filetype_lithiumthread": "Συνομιλία Lithium",
  "lithiumboard": "Πίνακας Lithium",
  "filetype_lithiumboard": "Πίνακας Lithium",
  "lithiumcategory": "Κατηγορία Lithium",
  "filetype_lithiumcategory": "Κατηγορία Lithium",
  "lithiumcommunity": "Κοινότητα Lithium",
  "filetype_lithiumcommunity": "Κοινότητα Lithium",
  "people": "Χρήστης",
  "objecttype_people": "Χρήστης",
  "message": "Μήνυμα",
  "objecttype_message": "Μήνυμα",
  "feed": "Τροφοδοσία RSS",
  "objecttype_feed": "Τροφοδοσία RSS",
  "thread": "Συνομιλία",
  "objecttype_thread": "Συνομιλία",
  "file": "Αρχείο",
  "objecttype_file": "Αρχείο",
  "board": "Πίνακας",
  "objecttype_board": "Πίνακας",
  "category": "Κατηγορία",
  "objecttype_category": "Κατηγορία",
  "account": "Λογαριασμός",
  "objecttype_account": "Λογαριασμός",
  "annotation": "Σημείωση",
  "objecttype_annotation": "Σημείωση",
  "campaign": "Εκστρατεία",
  "objecttype_campaign": "Εκστρατεία",
  "case": "Περίπτωση",
  "objecttype_case": "Περίπτωση",
  "contact": "Επαφή",
  "objecttype_contact": "Επαφή",
  "contract": "Συμβόλαιο",
  "objecttype_contract": "Συμβόλαιο",
  "event": "Συμβάν",
  "objecttype_event": "Συμβάν",
  "email": "Email",
  "objecttype_email": "Email",
  "goal": "Στόχος",
  "objecttype_goal": "Στόχος",
  "objecttype_incident": "Περίπτωση",
  "invoice": "Τιμολόγιο",
  "objecttype_invoice": "Τιμολόγιο",
  "lead": "Υποψήφιος πελάτης",
  "objecttype_lead": "Υποψήφιος πελάτης",
  "list": "Λίστα",
  "objecttype_list": "Λίστα μάρκετινγκ",
  "solution": "Λύση",
  "objecttype_solution": "Λύση",
  "task": "Εργασία",
  "objecttype_task": "Εργασία",
  "user": "Χρήστης",
  "objecttype_user": "Χρήστης",
  "attachment": "Συνημμένο",
  "objecttype_attachment": "Συνημμένο",
  "casecomment": "Σχόλιο για μια περίπτωση",
  "objecttype_casecomment": "Σχόλιο για μια περίπτωση",
  "opportunity": "Ευκαιρία",
  "objecttype_opportunity": "Ευκαιρία",
  "opportunityproduct": "Προϊόν ευκαιρίας",
  "objecttype_opportunityproduct": "Προϊόν ευκαιρίας",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Σημείωση",
  "objecttype_note": "Σημείωση",
  "product": "Προϊόν",
  "objecttype_product": "Προϊόν",
  "partner": "Συνεργάτης",
  "objecttype_partner": "Συνεργάτης",
  "queueitem": "Στοιχείο ουράς",
  "objecttype_queueitem": "Στοιχείο ουράς",
  "quote": "Προσφορά",
  "objecttype_quote": "Προσφορά",
  "salesliterature": "Διαφημιστικά έντυπα",
  "objecttype_salesliterature": "Διαφημιστικά έντυπα",
  "salesorder": "Παραγγελία πώλησης",
  "objecttype_salesorder": "Παραγγελία πώλησης",
  "service": "Υπηρεσία",
  "objecttype_service": "Υπηρεσία",
  "socialprofile": "Κοινωνικό προφίλ",
  "objecttype_socialprofile": "Κοινωνικό προφίλ",
  "kbdocumentation": "Τεκμηρίωση",
  "objecttype_kbdocumentation": "Τεκμηρίωση",
  "kbtechnicalarticle": "Τεκμηρίωση",
  "objecttype_kbtechnicalarticle": "Τεκμηρίωση",
  "kbsolution": "Λύση",
  "objecttype_kbsolution": "Λύση",
  "kbknowledgearticle": "Άρθρο γνωσιακής βάσης",
  "objecttype_kbknowledgearticle": "Άρθρο γνωσιακής βάσης",
  "kbattachment": "Συνημμένο",
  "objecttype_kbattachment": "Συνημμένο",
  "kbarticle": "Άρθρο",
  "objecttype_kbarticle": "Άρθρο",
  "kbarticlecomment": "Σχόλιο άρθρου",
  "objecttype_kbarticlecomment": "Σχόλιο άρθρου",
  "knowledgearticle": "Άρθρο γνωσιακής βάσης",
  "objecttype_knowledgearticle": "Άρθρο γνωσιακής βάσης",
  "topic": "Θέμα",
  "objecttype_topic": "Θέμα",
  "dashboard": "Πίνακας εργαλείων",
  "objecttype_dashboard": "Πίνακας εργαλείων",
  "contentversion": "Έγγραφο",
  "objecttype_contentversion": "Έγγραφο",
  "collaborationgroup": "Ομάδα συνεργασίας",
  "objecttype_collaborationgroup": "Ομάδα συνεργασίας",
  "spportal": "Πύλη",
  "filetype_spportal": "Πύλη",
  "spsite": "Τοποθεσία",
  "filetype_spsite": "Τοποθεσία",
  "spuserprofile": "Χρήστης SharePoint",
  "filetype_spuserprofile": "Χρήστης SharePoint",
  "sparea": "Περιοχή",
  "filetype_sparea": "Περιοχή",
  "spannouncement": "Ανακοίνωση",
  "filetype_spannouncement": "Ανακοίνωση",
  "spannouncementlist": "Ανακοινώσεις",
  "filetype_spannouncementlist": "Ανακοινώσεις",
  "spcontact": "Επαφή",
  "filetype_spcontact": "Επαφή",
  "spcontactlist": "Επαφές",
  "filetype_spcontactlist": "Επαφές",
  "spcustomlist": "Προσαρμοσμένες λίστες",
  "filetype_spcustomlist": "Προσαρμοσμένες λίστες",
  "spdiscussionboard": "Πίνακας συζητήσεων",
  "filetype_spdiscussionboard": "Πίνακας συζητήσεων",
  "spdiscussionboardlist": "Πίνακες συζητήσεων",
  "filetype_spdiscussionboardlist": "Πίνακες συζητήσεων",
  "spdocumentlibrarylist": "Βιβλιοθήκη εγγράφων",
  "filetype_spdocumentlibrarylist": "Βιβλιοθήκη εγγράφων",
  "spevent": "Συμβάν",
  "filetype_spevent": "Συμβάν",
  "speventlist": "Συμβάντα",
  "filetype_speventlist": "Συμβάντα",
  "spformlibrarylist": "Βιβλιοθήκη φορμών",
  "filetype_spformlibrarylist": "Βιβλιοθήκη φορμών",
  "spissue": "Πρόβλημα",
  "filetype_spissue": "Πρόβλημα",
  "spissuelist": "Προβλήματα",
  "filetype_spissuelist": "Προβλήματα",
  "splink": "Σύνδεση",
  "filetype_splink": "Σύνδεση",
  "splinklist": "Συνδέσεις",
  "filetype_splinklist": "Συνδέσεις",
  "sppicturelibrarylist": "Βιβλιοθήκη εικόνων",
  "filetype_sppicturelibrarylist": "Βιβλιοθήκη εικόνων",
  "spsurvey": "Έρευνα",
  "filetype_spsurvey": "Έρευνα",
  "spsurveylist": "Έρευνες",
  "filetype_spsurveylist": "Έρευνες",
  "sptask": "Εργασία",
  "filetype_sptask": "Εργασία",
  "sptasklist": "Εργασίες",
  "filetype_sptasklist": "Εργασίες",
  "spagenda": "Ατζέντα",
  "filetype_spagenda": "Ατζέντα",
  "spagendalist": "Ατζέντες",
  "filetype_spagendalist": "Ατζέντες",
  "spattendee": "Συμμετέχων",
  "filetype_spattendee": "Συμμετέχων",
  "spattendeelist": "Συμμετέχοντες",
  "filetype_spattendeelist": "Συμμετέχοντες",
  "spcustomgridlist": "Προσαρμοσμένα πλέγματα",
  "filetype_spcustomgridlist": "Προσαρμοσμένα πλέγματα",
  "spdecision": "Απόφαση",
  "filetype_spdecision": "Απόφαση",
  "spdecisionlist": "Αποφάσεις",
  "filetype_spdecisionlist": "Αποφάσεις",
  "spobjective": "Στόχος",
  "filetype_spobjective": "Στόχος",
  "spobjectivelist": "Στόχοι",
  "filetype_spobjectivelist": "Στόχοι",
  "sptextbox": "Πλαίσιο κειμένου",
  "filetype_sptextbox": "Πλαίσιο κειμένου",
  "sptextboxlist": "Λίστα πλαισίων κειμένου",
  "filetype_sptextboxlist": "Λίστα πλαισίων κειμένου",
  "spthingstobring": "Απαραίτητο αντικείμενο",
  "filetype_spthingstobring": "Απαραίτητο αντικείμενο",
  "spthingstobringlist": "Απαραίτητα αντικείμενα",
  "filetype_spthingstobringlist": "Απαραίτητα αντικείμενα",
  "sparealisting": "Λίστα περιοχών",
  "filetype_sparealisting": "Λίστα περιοχών",
  "spmeetingserie": "Σειρά συσκέψεων",
  "filetype_spmeetingserie": "Σειρά συσκέψεων",
  "spmeetingserielist": "Λίστα σειρών συσκέψεων",
  "filetype_spmeetingserielist": "Λίστα σειρών συσκέψεων",
  "spsitedirectory": "Στοιχείο καταλόγου τοποθεσιών",
  "filetype_spsitedirectory": "Στοιχείο καταλόγου τοποθεσιών",
  "spsitedirectorylist": "Κατάλογος τοποθεσιών",
  "filetype_spsitedirectorylist": "Κατάλογος τοποθεσιών",
  "spdatasource": "Προέλευση δεδομένων",
  "filetype_spdatasource": "Προέλευση δεδομένων",
  "spdatasourcelist": "Λίστα προελεύσεων δεδομένων",
  "filetype_spdatasourcelist": "Λίστα προελεύσεων δεδομένων",
  "splisttemplatecataloglist": "Συλλογή προτύπων λίστας",
  "filetype_splisttemplatecataloglist": "Συλλογή προτύπων λίστας",
  "spwebpartcataloglist": "Συλλογή τμημάτων Web",
  "filetype_spwebpartcataloglist": "Συλλογή τμημάτων Web",
  "spwebtemplatecataloglist": "Συλλογή προτύπων τοποθεσίας",
  "filetype_spwebtemplatecataloglist": "Συλλογή προτύπων τοποθεσίας",
  "spworkspacepagelist": "Σελίδες χώρου εργασίας",
  "filetype_spworkspacepagelist": "Σελίδες χώρου εργασίας",
  "spunknownlist": "Προσαρμοσμένη λίστα",
  "filetype_spunknownlist": "Προσαρμοσμένη λίστα",
  "spadministratortask": "Εργασία διαχειριστή",
  "filetype_spadministratortask": "Εργασία διαχειριστή",
  "spadministratortasklist": "Εργασίες διαχειριστή",
  "filetype_spadministratortasklist": "Εργασίες διαχειριστή",
  "spareadocumentlibrarylist": "Βιβλιοθήκη εγγράφων περιοχής",
  "filetype_spareadocumentlibrarylist": "Βιβλιοθήκη εγγράφων περιοχής",
  "spblogcategory": "Κατηγορία ιστολογίου",
  "filetype_spblogcategory": "Κατηγορία ιστολογίου",
  "spblogcategorylist": "Κατηγορίες ιστολογίου",
  "filetype_spblogcategorylist": "Κατηγορίες ιστολογίου",
  "spblogcomment": "Σχόλιο ιστολογίου",
  "filetype_spblogcomment": "Σχόλιο ιστολογίου",
  "spblogcommentlist": "Σχόλια ιστολογίου",
  "filetype_spblogcommentlist": "Σχόλια ιστολογίου",
  "spblogpost": "Καταχώρηση ιστολογίου",
  "filetype_spblogpost": "Καταχώρηση ιστολογίου",
  "spblogpostlist": "Καταχωρήσεις ιστολογίου",
  "filetype_spblogpostlist": "Καταχωρήσεις ιστολογίου",
  "spdataconnectionlibrarylist": "Βιβλιοθήκη σύνδεσης δεδομένων",
  "filetype_spdataconnectionlibrarylist": "Βιβλιοθήκη σύνδεσης δεδομένων",
  "spdistributiongroup": "Ομάδα διανομής",
  "filetype_spdistributiongroup": "Ομάδα διανομής",
  "spdistributiongrouplist": "Ομάδες διανομής",
  "filetype_spdistributiongrouplist": "Ομάδες διανομής",
  "spipfslist": "Διακομιστές φορμών InfoPath",
  "filetype_spipfslist": "Διακομιστές φορμών InfoPath",
  "spkeyperformanceindicator": "Βασικός δείκτης απόδοσης",
  "filetype_spkeyperformanceindicator": "Βασικός δείκτης απόδοσης",
  "spkeyperformanceindicatorlist": "Βασικοί δείκτες απόδοσης",
  "filetype_spkeyperformanceindicatorlist": "Βασικοί δείκτες απόδοσης",
  "splanguagesandtranslator": "Γλώσσες και μεταφραστής",
  "filetype_splanguagesandtranslator": "Γλώσσες και μεταφραστής",
  "splanguagesandtranslatorlist": "Γλώσσες και μεταφραστές",
  "filetype_splanguagesandtranslatorlist": "Γλώσσες και μεταφραστές",
  "spmasterpagescataloglist": "Συλλογή κύριων σελίδων",
  "filetype_spmasterpagescataloglist": "Συλλογή κύριων σελίδων",
  "spnocodeworkflowlibrarylist": "Βιβλιοθήκες ροής εργασίας χωρίς κώδικα",
  "filetype_spnocodeworkflowlibrarylist": "Βιβλιοθήκες ροής εργασίας χωρίς κώδικα",
  "spprojecttask": "Εργασία έργου",
  "filetype_spprojecttask": "Εργασία έργου",
  "spprojecttasklist": "Εργασίες έργου",
  "filetype_spprojecttasklist": "Εργασίες έργου",
  "sppublishingpageslibrarylist": "Βιβλιοθήκη σελίδας",
  "filetype_sppublishingpageslibrarylist": "Βιβλιοθήκη σελίδας",
  "spreportdocumentlibrarylist": "Βιβλιοθήκη εγγράφων αναφοράς",
  "filetype_spreportdocumentlibrarylist": "Βιβλιοθήκη εγγράφων αναφοράς",
  "spreportlibrarylist": "Βιβλιοθήκη αναφοράς",
  "filetype_spreportlibrarylist": "Βιβλιοθήκη αναφοράς",
  "spslidelibrarylist": "Βιβλιοθήκη διαφανειών",
  "filetype_spslidelibrarylist": "Βιβλιοθήκη διαφανειών",
  "sptab": "Καρτέλες",
  "filetype_sptab": "Καρτέλες",
  "sptablist": "Λίστα \"Καρτέλες",
  "filetype_sptablist": "Λίστα \"Καρτέλες",
  "sptranslationmanagementlibrarylist": "Βιβλιοθήκη διαχείρισης μεταφράσεων",
  "filetype_sptranslationmanagementlibrarylist": "Βιβλιοθήκη διαχείρισης μεταφράσεων",
  "spuserinformation": "Πληροφορίες χρήστη",
  "filetype_spuserinformation": "Πληροφορίες χρήστη",
  "spuserinformationlist": "Λίστα πληροφοριών χρήστη",
  "filetype_spuserinformationlist": "Λίστα πληροφοριών χρήστη",
  "spwikipagelibrarylist": "Βιβλιοθήκη σελίδων Wiki",
  "filetype_spwikipagelibrarylist": "Βιβλιοθήκη σελίδων Wiki",
  "spworkflowhistory": "Ιστορικό ροής εργασίας",
  "filetype_spworkflowhistory": "Ιστορικό ροής εργασίας",
  "spworkflowhistorylist": "Λίστα ιστορικού ροής εργασίας",
  "filetype_spworkflowhistorylist": "Λίστα ιστορικού ροής εργασίας",
  "spworkflowprocess": "Προσαρμοσμένη διαδικασία ροής εργασίας",
  "filetype_spworkflowprocess": "Προσαρμοσμένη διαδικασία ροής εργασίας",
  "spworkflowprocesslist": "Προσαρμοσμένες διαδικασίες ροής εργασίας",
  "filetype_spworkflowprocesslist": "Προσαρμοσμένες διαδικασίες ροής εργασίας",
  "sppublishingimageslibrarylist": "Βιβλιοθήκη εικόνων δημοσίευσης",
  "filetype_sppublishingimageslibrarylist": "Βιβλιοθήκη εικόνων δημοσίευσης",
  "spcirculation": "Κυκλοφορία",
  "filetype_spcirculation": "Κυκλοφορία",
  "spcirculationlist": "Κυκλοφορίες",
  "filetype_spcirculationlist": "Κυκλοφορίες",
  "spdashboardslibrarylist": "Βιβλιοθήκη πινάκων εργαλείων",
  "filetype_spdashboardslibrarylist": "Βιβλιοθήκη πινάκων εργαλείων",
  "spdataconnectionforperformancepointlibrarylist": "Βιβλιοθήκη συνδέσεων δεδομένων PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Βιβλιοθήκη συνδέσεων δεδομένων PerformancePoint",
  "sphealthreport": "Αναφορά εύρυθμης λειτουργίας",
  "filetype_sphealthreport": "Αναφορά εύρυθμης λειτουργίας",
  "sphealthreportlist": "Αναφορές εύρυθμης λειτουργίας",
  "filetype_sphealthreportlist": "Αναφορές εύρυθμης λειτουργίας",
  "sphealthrule": "Κανόνας εύρυθμης λειτουργίας",
  "filetype_sphealthrule": "Κανόνας εύρυθμης λειτουργίας",
  "sphealthrulelist": "Κανόνες εύρυθμης λειτουργίας",
  "filetype_sphealthrulelist": "Κανόνες εύρυθμης λειτουργίας",
  "spimedictionary": "Λεξικό IME",
  "filetype_spimedictionary": "Λεξικό IME",
  "spimedictionarylist": "Λεξικά IME",
  "filetype_spimedictionarylist": "Λεξικά IME",
  "spperformancepointcontent": "Περιεχόμενο PerformancePoint",
  "filetype_spperformancepointcontent": "Περιεχόμενο PerformancePoint",
  "spperformancepointcontentlist": "Περιεχόμενα PerformancePoint",
  "filetype_spperformancepointcontentlist": "Περιεχόμενα PerformancePoint",
  "spphonecallmemo": "Υπόμνημα τηλεφωνικής κλήσης",
  "filetype_spphonecallmemo": "Υπόμνημα τηλεφωνικής κλήσης",
  "spphonecallmemolist": "Υπομνήματα τηλεφωνικής κλήσης",
  "filetype_spphonecallmemolist": "Υπομνήματα τηλεφωνικής κλήσης",
  "sprecordlibrarylist": "Βιβλιοθήκη εγγραφών",
  "filetype_sprecordlibrarylist": "Βιβλιοθήκη εγγραφών",
  "spresource": "Πόρος",
  "filetype_spresource": "Πόρος",
  "spresourcelist": "Πόροι",
  "filetype_spresourcelist": "Πόροι",
  "spprocessdiagramslibrarylist": "Βιβλιοθήκη διαγραμμάτων διεργασιών",
  "filetype_spprocessdiagramslibrarylist": "Βιβλιοθήκη διαγραμμάτων διεργασιών",
  "spsitethemeslibrarylist": "Βιβλιοθήκη θεμάτων τοποθεσίας",
  "filetype_spsitethemeslibrarylist": "Βιβλιοθήκη θεμάτων τοποθεσίας",
  "spsolutionslibrarylist": "Βιβλιοθήκη λύσεων",
  "filetype_spsolutionslibrarylist": "Βιβλιοθήκη λύσεων",
  "spwfpublibrarylist": "Βιβλιοθήκη WFPUB",
  "filetype_spwfpublibrarylist": "Βιβλιοθήκη WFPUB",
  "spwhereabout": "Τοποθεσία",
  "filetype_spwhereabout": "Τοποθεσία",
  "spwhereaboutlist": "Τοποθεσίες",
  "filetype_spwhereaboutlist": "Τοποθεσίες",
  "spdocumentlink": "Σύνδεση με έγγραφο",
  "filetype_spdocumentlink": "Σύνδεση με έγγραφο",
  "spdocumentset": "Σύνολο εγγράφων",
  "filetype_spdocumentset": "Σύνολο εγγράφων",
  "spmicrofeedpost": "Δημοσίευση microfeed",
  "filetype_spmicrofeedpost": "Δημοσίευση microfeed",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Φάκελος λίστας",
  "filetype_splistfolder": "Φάκελος λίστας",
  "Unknown": "Άγνωστο",
  "And": "ΚΑΙ",
  "Authenticating": "Επαλήθευση {0}...",
  "Clear": "Διαγραφή {0}",
  "CompleteQuery": "Ολοκλήρωση αιτήματος",
  "Exclude": "Εξαίρεση {0}",
  "EnterTag": "Προσθήκη ετικέτας",
  "Next": "Επόμενο",
  "Last": "Τελευταίο",
  "Link": "Σύνδεσμος",
  "Or": "Ή",
  "Previous": "Προηγούμενο",
  "QueryDidntMatchAnyDocuments": "Το αίτημά σας δεν ταυτίζεται με οποιαδήποτε έγγραφα.",
  "QueryException": "Το αίτημά σας έχει ένα λάθος: {0}.",
  "Me": "Εγώ",
  "Remove": "Αφαίρεση",
  "Search": "Αναζήτηση",
  "SearchFor": "Αναζήτηση για {0}",
  "ShareQuery": "Διαμοιρασμός αιτήματος",
  "Preferences": "Προτιμήσεις",
  "LinkOpeningSettings": "Ρυθμίσεις ανοίγματος συνδέσμων",
  "Reauthenticate": "Επανάληψη επαλήθευσης {0}",
  "ResultsFilteringExpression": "Αποτελέσματα φιλτραρίσματος παραστάσεων",
  "FiltersInYourPreferences": "Φίλτρα στις προτιμήσεις σας",
  "Create": "Δημιουργία",
  "SearchIn": "Αναζήτηση σε {0}",
  "Seconds": "σε {0} δευτερόλεπτ<pl>α</pl>",
  "ShowingResultsOf": "Αποτελέσματ<pl>α</pl> {0}<pl>-{1}</pl> από {2}",
  "ShowingResultsOfWithQuery": "Αποτελέσματ<pl>α</pl> {0}<pl>-{1}</pl> από {2} για {3}",
  "SwitchTo": "Μετάπτωση σε {0}",
  "Unexclude": "Άρση αποκλεισμού {0}",
  "ClearAllFilters": "Διαγραφή όλων των φίλτρων",
  "SkipLogin": "Παράλειψη διαδικασίας σύνδεσης",
  "LoginInProgress": "Διαδικασία σύνδεσης σε εξέλιξη, παρακαλώ περιμένετε...",
  "Login": "Σύνδεση",
  "GetStarted": "Ξεκινήστε",
  "More": "Περισσότερα",
  "NMore": "{0} ακόμα...",
  "Less": "Λιγότερα",
  "Settings": "Ρυθμίσεις",
  "Score": "Βαθμολογία",
  "ScoreDescription": "Η βαθμολογία υπολογίζεται βάση του αριθμού εμφανίσεων, καθώς και βάση της θέσης στο σύνολο αποτελεσμάτων.",
  "Occurrences": "Εμφανίσεις",
  "OccurrencesDescription": "Ταξινόμηση βάση αριθμού εμφανίσεων, με τις τιμές που έχουν τον υψηλότερο αριθμό να εμφανίζονται πρώτες.",
  "Label": "Ετικέτα",
  "Of": "από",
  "LabelDescription": "Ταξινόμηση αλφαβητικά των τιμών πεδίου.",
  "Value": "Τιμή",
  "ValueDescription": "Ταξινόμηση των τιμών του πρώτου υπολογισμένου πεδίου",
  "AlphaAscending": "Τιμή αύξουσα",
  "AlphaDescending": "Τιμή φθίνουσα",
  "ChiSquare": "χ στο τετράγωνο",
  "Nosort": "Καμία ταξινόμηση",
  "NosortDescription": "Μην ταξινομείτε τις τιμές. Οι τιμές θα επιστραφούν με τυχαία σειρά.",
  "RelativeFrequency": "Σχετική συχνότητα",
  "RelativeFrequencyDescription": "Ταξινόμηση βάση της σχετικής συχνότητας των τιμών. Οι λιγότερο κοινές τιμές θα εμφανίζονται ψηλότερα.",
  "DateDistribution": "Διανομή ημερομηνίας",
  "Custom": "Προσαρμοσμένη",
  "CustomDescription": "Ταξινόμηση βάση προσαρμοσμένης κατάταξης",
  "ComputedField": "Υπολογισμένο πεδίο",
  "Ascending": "Αύξων",
  "Descending": "Φθίνων",
  "noResultFor": "Κανένα αποτέλεσμα για {0}",
  "autoCorrectedQueryTo": "Το αίτημα διορθώθηκε αυτόματα σε {0}",
  "didYouMean": "Μήπως εννοείτε: {0}",
  "SuggestedResults": "Προτεινόμενα αποτελέσματα",
  "SuggestedQueries": "Προτεινόμενα αιτήματα",
  "MostRelevantItems": "Πιο σχετικά αντικείμενα:",
  "AllItems": "Όλα τα αντικείμενα:",
  "ShowLess": "Εμφάνιση λιγότερων",
  "ShowMore": "Εμφάνιση περισσότερων",
  "HideFacet": "Απόκρυψη όψης",
  "ShowFacet": "Εμφάνιση όψης",
  "AndOthers": "και {0} άλλω<pl>ν</pl>",
  "Others": "{0} άλλ<pl>α</pl>",
  "MostRelevantPosts": "Πιο σχετικές δημοσιεύσεις:",
  "CompleteThread": "Ολόκληρη η συνομιλία:",
  "ShowCompleteThread": "Εμφάνιση ολόκληρης της συνομιλίας",
  "ShowOnlyTopMatchingPosts": "Εμφάνιση μόνο των κορυφαίων δημοσιεύσεων που ταυτίζονται",
  "MostRelevantReplies": "Πιο σχετικές απαντήσεις:",
  "AllConversation": "Ολόκληρη συζήτηση:",
  "ShowAllConversation": "Εμφάνιση ολόκληρης της συζήτησης",
  "ShowAllReplies": "Εμφάνιση όλων των απαντήσεων",
  "ShowOnlyMostRelevantReplies": "Εμφάνιση μόνο των πιο σχετικών απαντήσεων",
  "Close": "Κλείσιμο",
  "Open": "Άνοιγμα",
  "OpenInOutlookWhenPossible": "Άνοιγμα στο Outlook (όταν είναι εφικτό)",
  "AlwaysOpenInNewWindow": "Πάντοτε να ανοίγουν τα αποτελέσματα σε νέο παράθυρο",
  "Quickview": "Γρήγορη επισκόπηση",
  "NoQuickview": "Η γρήγορη προβολή για αυτό το έγγραφο δεν είναι διαθέσιμη",
  "ErrorReport": "Αναφορά λάθους",
  "OopsError": "Κάτι πήγε στραβά στον διακομιστή.",
  "ProblemPersists": "Αν το πρόβλημα παραμένει, παρακαλώ επικοινωνήστε με τον διαχειριστή.",
  "GoBack": "Πηγαίνετε πίσω",
  "Reset": "Επαναφορά",
  "Retry": "Προσπάθεια εκ νέου",
  "MoreInfo": "Περισσότερες πληροφορίες",
  "Username": "Όνομα χρήστη",
  "Password": "Κωδικός πρόσβασης",
  "PostedBy": "Δημοσιεύτηκε από",
  "CannotConnect": "Δεν είναι δυνατή η σύνδεση στη διεύθυνση του διακομιστή.",
  "BadUserPass": "Ο κωδικός πρόσβασης δεν ταιριάζει με το όνομα χρήστη.",
  "PleaseEnterYourCredentials": "Παρακαλώ καταχωρήστε τα διαπιστευτήριά σας για το {0}.",
  "PleaseEnterYourSearchPage": "Παρακαλώ καταχωρήστε το URL της σελίδας αναζήτησής σας",
  "Collapse": "Σύμπτυξη",
  "Collapsable": "Συμπτυσσόμενη",
  "Expand": "Ανάπτυξη",
  "Today": "Σήμερα",
  "Yesterday": "Χθες",
  "Tomorrow": "Αύριο",
  "Duration": "Διάρκεια: {0}",
  "IndexDuration": "Διάρκεια ευρετηρίου: {0}",
  "ProxyDuration": "Διάρκεια μεσολάβησης: {0}",
  "ClientDuration": "Διάρκεια πελάτη: {0}",
  "Unavailable": "Μη διαθέσιμος",
  "Reply": "Απάντηση",
  "ReplyAll": "Απάντηση σε όλους",
  "Forward": "Προώθηση",
  "From": "Από",
  "Caption": "Λεζάντα",
  "Expression": "Παράσταση",
  "Tab": "Καρτέλα",
  "Tabs": "Καρτέλες",
  "EnterExpressionName": "Καταχωρήσετε το όνομα παράστασης",
  "EnterExpressionToFilterWith": "Καταχώρηση της παράστασης για φιλτράρισμα των αποτελεσμάτων με",
  "SelectTab": "Επιλογή καρτέλας",
  "SelectAll": "Επιλογή όλων",
  "PageUrl": "URL σελίδας αναζήτησης",
  "ErrorSavingToDevice": "Λάθος κατά τη διαδικασία αποθήκευσης των πληροφοριών στη συσκευή σας",
  "ErrorReadingFromDevice": "Λάθος κατά τη διαδικασία ανάγνωσης των πληροφοριών από τη συσκευή σας",
  "AppIntro": "Επικοινωνήστε με άτομο εξειδικευμένο στο προϊόν, το οποίο μπορεί να απαντήσει στις ερωτήσεις σας σχετικά με την πλατφόρμα Coveo, το οποίο θα σας βοηθήσει να αποφασίσετε ποια λύση Coveo είναι η κατάλληλη για εσάς. Ή δοκιμάστε μία ζωντανή επίδειξη!",
  "TryDemo": "Δοκιμάστε την επίδειξη",
  "ContactUs": "Επικοινωνήστε μαζί μας",
  "NewToCoveo": "Πρώτη φορά στην πλατφόρμα Coveo;",
  "LetUsHelpGetStarted": "Αφήστε μας να σας βοηθήσουμε να ξεκινήσετε",
  "LikesThis": "{0} τους αρέσε<sn>ι</sn> αυτό.",
  "CannotConnectSearchPage": "Δεν είναι δυνατή η σύνδεση στη σελίδα αναζήτησής σας",
  "AreYouSureDeleteFilter": "Είστε βέβαιος ότι θέλετε να διαγράψετε το φίλτρο {0} με την παράσταση {1}",
  "OnlineHelp": "Διαδικτυακή βοήθεια",
  "Done": "Τέλος",
  "SaveFacetState": "Αποθηκεύστε τη συγκεκριμένη κατάσταση όψης",
  "ClearFacetState": "Διαγραφή της συγκεκριμένης κατάστασης όψης",
  "DisplayingTheOnlyMessage": "Απεικόνιση του μοναδικού μηνύματος στη συγκεκριμένη συζήτηση",
  "NoNetworkConnection": "Δεν υφίσταται σύνδεση δικτύου",
  "UnknownConnection": "Άγνωστη σύνδεση",
  "EthernetConnection": "Σύνδεση Ethernet",
  "WiFi": "Σύνδεση WiFi",
  "CELL": "Σύνδεση κινητού",
  "CELL_2G": "Σύνδεση κινητού 2G",
  "CELL_3G": "Σύνδεση κινητού 3G",
  "CELL_4G": "Σύνδεση κινητού 4G",
  "Relevance": "Συνάφεια",
  "Date": "Ημερομηνία",
  "Amount": "Ποσότητα",
  "QueryExceptionNoException": "Καμία εξαίρεση",
  "QueryExceptionInvalidSyntax": "Άκυρη σύνταξη",
  "QueryExceptionInvalidCustomField": "Άκυρο προσαρμοσμένο πεδίο",
  "QueryExceptionInvalidDate": "Άκυρη ημερομηνία",
  "QueryExceptionInvalidExactPhrase": "Άκυρη ακριβής φράση",
  "QueryExceptionInvalidDateOp": "Άκυρος τελεστής ημερομηνίας",
  "QueryExceptionInvalidNear": "Άκυρος τελεστής NEAR",
  "QueryExceptionInvalidWeightedNear": "Άκυρο σταθμισμένο NEAR",
  "QueryExceptionInvalidTerm": "Άκυρος όρος",
  "QueryExceptionTooManyTerms": "Πάρα πολλοί όροι",
  "QueryExceptionWildcardTooGeneral": "Ο χαρακτήρας μπαλαντέρ είναι πολύ γενικός",
  "QueryExceptionInvalidSortField": "Άκυρο πεδίο ταξινόμησης",
  "QueryExceptionInvalidSmallStringOp": "Άκυρος τελεστής σύντομης φράσης",
  "QueryExceptionRequestedResultsMax": "Μέγιστο αιτούμενων αποτελεσμάτων",
  "QueryExceptionAggregatedMirrorDead": "Το συνδεδεμένο με το κυρίως ευρετήριο απομακρυσμένο αντίγραφο ευρετηρίου είναι εκτός σύνδεσης",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Λήξη αιτήματος συνδεδεμένου με το κυρίως ευρετήριο απομακρυσμένου αντίγραφου ευρετηρίου",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Άκυρος αριθμός δομής συνδεδεμένου με το κυρίως ευρετήριο απομακρυσμένου αντίγραφου ευρετηρίου",
  "QueryExceptionAggregatedMirrorCannotConnect": "Το συνδεδεμένο με το κυρίως ευρετήριο απομακρυσμένο αντίγραφο ευρετηρίου δεν μπορεί να συνδεθεί",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Δεν υπάρχουν αρκετοί χαρακτήρες που να προηγούνται του μπαλαντέρ",
  "QueryExceptionSecurityInverterNotFound": "Ο αναστροφέας ασφαλείας δεν βρέθηκε",
  "QueryExceptionSecurityInverterAccessDenied": "Άρνηση πρόσβασης αναστροφέα ασφαλείας",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Το συνδεδεμένο με το κυρίως ευρετήριο απομακρυσμένο αντίγραφο ευρετηρίου δεν μπορεί να εκτελέσει αίτημα με χρήση απομίμησης",
  "QueryExceptionUnexpected": "Απρόσμενο",
  "QueryExceptionAccessDenied": "Άρνηση πρόσβασης",
  "QueryExceptionSuperUserTokenInvalid": "Το διακριτικό χρήστη με δικαιώματα επιβλέποντος είναι άκυρο",
  "QueryExceptionSuperUserTokenExpired": "Το διακριτικό χρήστη με δικαιώματα επιβλέποντος έληξε",
  "QueryExceptionLicenseQueriesExpired": "Η άδεια αιτημάτων έληξε",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Η άδεια διακριτικού χρήστη με δικαιώματα επιβλέποντος δεν υποστηρίζεται",
  "QueryExceptionInvalidSession": "Άκυρη συνεδρία",
  "QueryExceptionInvalidDocument": "Άκυρο έγγραφο",
  "QueryExceptionSearchDisabled": "Η έρευνα απενεργοποιήθηκε",
  "FileType": "Τύπος εγγράφου",
  "ShowAttachment": "Εμφάνιση συνημμένου",
  "OnFeed": "στην τροφοδοσία του {0}.",
  "Author": "Συγγραφέας",
  "NoTitle": "Δεν υφίσταται τίτλος",
  "CurrentSelections": "Υφιστάμενες επιλογές",
  "AllContent": "Όλο το περιεχόμενο",
  "CancelLastAction": "Ακύρωση τελευταίας πράξης",
  "SearchTips": "Συμβουλές αναζήτησης",
  "CheckSpelling": "Ελέγξτε την ορθογραφία των λέξεων-κλειδιών που χρησιμοποιήσατε.",
  "TryUsingFewerKeywords": "Δοκιμάστε να χρησιμοποιήσετε λιγότερες, διαφορετικές ή γενικότερες λέξεις-κλειδιά.",
  "SelectFewerFilters": "Επιλέξτε λιγότερα φίλτρα για να διευρύνετε την αναζήτησή σας.",
  "Document": "Έγγραφο",
  "Time": "Χρόνος",
  "StartDate": "Ημερομηνία έναρξης",
  "StartTime": "Ώρα έναρξης",
  "DurationTitle": "Διάρκεια",
  "UserQuery": "Αίτημα χρήστη",
  "ShowUserActions": "Εμφάνιση ενεργειών χρήστη",
  "NoData": "Δεν υπάρχουν διαθέσιμα δεδομένα",
  "EventType": "Τύπος συμβάντος",
  "GoToFullSearch": "Πλήρης αναζήτηση",
  "GoToEdition": "Προσαρμόστε τον πίνακα",
  "RemoveContext": "Κατάργηση πληροφοριών περιβάλλοντος",
  "BoxAttachToCase": "Επισύναψη στο αίτημα",
  "AttachToCase": "Επισύναψη στο αίτημα",
  "Attach": "Επισύναψη",
  "Attached": "Συνημμένο",
  "Detach": "Απόσπαση",
  "Details": "Λεπτομέρειες",
  "AdditionalFilters": "Πρόσθετα φίλτρα",
  "SelectNonContextualSearch": "Κατάργηση πληροφοριών περιβάλλοντος από την τρέχουσα εγγραφή για να διευρύνετε την αναζήτησή σας",
  "CopyPasteToSupport": "Κάντε αντιγραφή και επικόλληση αυτού του μηνύματος στην ομάδα υποστήριξης Coveo για περισσότερες πληροφορίες.",
  "FollowQueryDescription": "Να λαμβάνω ειδοποιήσεις για αλλαγές στα αποτελέσματα αναζήτησης αυτού του αιτήματος.",
  "SearchAlerts_Panel": "Διαχείριση ειδοποιήσεων",
  "SearchAlerts_PanelDescription": "Προβολή και διαχείριση των ειδοποιήσεων αναζήτησης.",
  "SearchAlerts_PanelNoSearchAlerts": "Δεν έχετε συνδρομές.",
  "SearchAlerts_Fail": "Η υπηρεσία ειδοποιήσεων αναζήτησης δεν είναι διαθέσιμη αυτήν τη στιγμή.",
  "SearchAlerts_Type": "Τύπος",
  "SearchAlerts_Content": "Περιεχόμενο",
  "SearchAlerts_Actions": "Ενέργεια",
  "EmptyQuery": "<κενό>",
  "SearchAlerts_Type_followQuery": "Αίτημα",
  "SearchAlerts_Type_followDocument": "Στοιχείο",
  "SearchAlerts_unFollowing": "Διακοπή παρακολούθησης",
  "SearchAlerts_follow": "Παρακολούθηση",
  "SearchAlerts_followed": "Παρακολουθείται",
  "SearchAlerts_followQuery": "Παρακολούθηση αιτήματος",
  "Subscription_StopFollowingQuery": "Αίτημα διακοπής παρακολούθησης",
  "SearchAlerts_Frequency": "Όταν",
  "SubscriptionsManageSubscriptions": "Διαχείριση ειδοποιήσεων",
  "SubscriptionsMessageFollowQuery": "Θα λαμβάνετε ειδοποιήσεις, όταν το αίτημα <b>{0}</b> επιστρέφει νέα ή ενημερωμένα στοιχεία.",
  "SubscriptionsMessageFollow": "Θα λαμβάνετε ειδοποιήσεις για αλλαγές στο στοιχείο <b>{0}</b>.",
  "Expiration": "Λήξη",
  "Monthly": "Μηνιαία",
  "Daily": "Καθημερινά",
  "Monday": "Δευτέρα",
  "Tuesday": "Τρίτη",
  "Wednesday": "Τετάρτη",
  "Thursday": "Πέμπτη",
  "Friday": "Παρασκευή",
  "Saturday": "Σάββατο",
  "Sunday": "Κυριακή",
  "NextDay": "Επόμενη {0}",
  "LastDay": "Τελευταία {0}",
  "StartTypingCaseForSuggestions": "Περιγράψτε το πρόβλημα για να δείτε τις πιθανές λύσεις",
  "ExportToExcel": "Εξαγωγή σε Excel",
  "ExportToExcelDescription": "Εξαγωγή αποτελεσμάτων αναζήτησης σε Excel",
  "CaseCreationNoResults": "Δεν βρέθηκαν προτεινόμενες λύσεις",
  "SortBy": "Ταξινόμηση κατά",
  "BoxCreateArticle": "Δημιουργία άρθρου",
  "Facets": "Κλάσεις facet",
  "AdvancedSearch": "Σύνθετη αναζήτηση",
  "Keywords": "Λέξεις-κλειδιά",
  "AllTheseWords": "Όλες αυτές οι λέξεις",
  "ExactPhrase": "Ολόκληρη τη φράση",
  "AnyOfTheseWords": "Οποιαδήποτε από αυτές τις λέξεις",
  "NoneOfTheseWords": "Καμία από αυτές τις λέξεις",
  "Anytime": "Οποιαδήποτε στιγμή",
  "InTheLast": "Στο διάστημα πριν από",
  "Days": "ημέρες",
  "Months": "μήνες",
  "Month": "Μήνας",
  "Year": "Έτος",
  "Between": "Μεταξύ",
  "Language": "Γλώσσα",
  "Size": "Μέγεθος",
  "AtLeast": "τουλάχιστον",
  "AtMost": "το πολύ",
  "Contains": "περιέχει",
  "DoesNotContain": "δεν περιέχει",
  "Matches": "ταιριάζει με",
  "Bytes": "byte",
  "card": "Κάρτα",
  "table": "Πίνακας",
  "ResultLinks": "Συνδέσεις αποτελεσμάτων",
  "EnableQuerySyntax": "Ενεργοποίηση σύνταξης αιτήματος",
  "On": "Ενεργοποίηση",
  "Off": "Απενεργοποίηση",
  "Automatic": "Αυτόματα",
  "ResultsPerPage": "Αποτελέσματα ανά σελίδα",
  "PreviousMonth": "Προηγούμενος μήνας",
  "NextMonth": "Επόμενος μήνας",
  "Title": "Τίτλος",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["el"] = merge(locales["el"], dict);
  String["toLocaleString"].call(this, { "el": dict });
  String["locale"] = "el";
  String["defaultLocale"] = "en";
  Globalize.culture("el")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Χρήστης",
  "filetype_box user": "Χρήστης",
  "html": "Αρχείο HTML",
  "filetype_html": "Αρχείο HTML",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Ιστοσελίδα",
  "filetype_webscraperwebpage": "Ιστοσελίδα",
  "image": "Εικόνα",
  "filetype_image": "Εικόνα",
  "folder": "Φάκελος",
  "filetype_folder": "Φάκελος",
  "txt": "Κείμενο",
  "filetype_txt": "Κείμενο",
  "zip": "Αρχείο zip",
  "filetype_zip": "Αρχείο zip",
  "olefile": "Αρχείο OLE",
  "filetype_olefile": "Αρχείο OLE",
  "gmailmessage": "Μήνυμα Gmail",
  "filetype_gmailmessage": "Μήνυμα Gmail",
  "pdf": "Αρχείο PDF",
  "filetype_pdf": "Αρχείο PDF",
  "swf": "Αρχείο flash",
  "filetype_swf": "Αρχείο flash",
  "xml": "Αρχείο XML",
  "filetype_xml": "Αρχείο XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Τροφοδοσία RSS",
  "filetype_rssitem": "Τροφοδοσία RSS",
  "doc": "Έγγραφο",
  "filetype_doc": "Έγγραφο",
  "docx": "Έγγραφο Microsoft Word",
  "filetype_docx": "Έγγραφο Microsoft Word",
  "xls": "Έγγραφο υπολογιστικού φύλλου",
  "filetype_xls": "Έγγραφο υπολογιστικού φύλλου",
  "ppt": "Έγγραφο παρουσίασης",
  "filetype_ppt": "Έγγραφο παρουσίασης",
  "video": "Βίντεο",
  "filetype_video": "Βίντεο",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Έγγραφο Open Text",
  "filetype_odt": "Έγγραφο Open Text",
  "lithiummessage": "Μήνυμα Lithium",
  "filetype_lithiummessage": "Μήνυμα Lithium",
  "lithiumthread": "Συνομιλία Lithium",
  "filetype_lithiumthread": "Συνομιλία Lithium",
  "lithiumboard": "Πίνακας Lithium",
  "filetype_lithiumboard": "Πίνακας Lithium",
  "lithiumcategory": "Κατηγορία Lithium",
  "filetype_lithiumcategory": "Κατηγορία Lithium",
  "lithiumcommunity": "Κοινότητα Lithium",
  "filetype_lithiumcommunity": "Κοινότητα Lithium",
  "people": "Χρήστης",
  "objecttype_people": "Χρήστης",
  "message": "Μήνυμα",
  "objecttype_message": "Μήνυμα",
  "feed": "Τροφοδοσία RSS",
  "objecttype_feed": "Τροφοδοσία RSS",
  "thread": "Συνομιλία",
  "objecttype_thread": "Συνομιλία",
  "file": "Αρχείο",
  "objecttype_file": "Αρχείο",
  "board": "Πίνακας",
  "objecttype_board": "Πίνακας",
  "category": "Κατηγορία",
  "objecttype_category": "Κατηγορία",
  "account": "Λογαριασμός",
  "objecttype_account": "Λογαριασμός",
  "annotation": "Σημείωση",
  "objecttype_annotation": "Σημείωση",
  "campaign": "Εκστρατεία",
  "objecttype_campaign": "Εκστρατεία",
  "case": "Περίπτωση",
  "objecttype_case": "Περίπτωση",
  "contact": "Επαφή",
  "objecttype_contact": "Επαφή",
  "contract": "Συμβόλαιο",
  "objecttype_contract": "Συμβόλαιο",
  "event": "Συμβάν",
  "objecttype_event": "Συμβάν",
  "email": "Email",
  "objecttype_email": "Email",
  "goal": "Στόχος",
  "objecttype_goal": "Στόχος",
  "objecttype_incident": "Περίπτωση",
  "invoice": "Τιμολόγιο",
  "objecttype_invoice": "Τιμολόγιο",
  "lead": "Υποψήφιος πελάτης",
  "objecttype_lead": "Υποψήφιος πελάτης",
  "list": "Λίστα",
  "objecttype_list": "Λίστα μάρκετινγκ",
  "solution": "Λύση",
  "objecttype_solution": "Λύση",
  "task": "Εργασία",
  "objecttype_task": "Εργασία",
  "user": "Χρήστης",
  "objecttype_user": "Χρήστης",
  "attachment": "Συνημμένο",
  "objecttype_attachment": "Συνημμένο",
  "casecomment": "Σχόλιο για μια περίπτωση",
  "objecttype_casecomment": "Σχόλιο για μια περίπτωση",
  "opportunity": "Ευκαιρία",
  "objecttype_opportunity": "Ευκαιρία",
  "opportunityproduct": "Προϊόν ευκαιρίας",
  "objecttype_opportunityproduct": "Προϊόν ευκαιρίας",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Σημείωση",
  "objecttype_note": "Σημείωση",
  "product": "Προϊόν",
  "objecttype_product": "Προϊόν",
  "partner": "Συνεργάτης",
  "objecttype_partner": "Συνεργάτης",
  "queueitem": "Στοιχείο ουράς",
  "objecttype_queueitem": "Στοιχείο ουράς",
  "quote": "Προσφορά",
  "objecttype_quote": "Προσφορά",
  "salesliterature": "Διαφημιστικά έντυπα",
  "objecttype_salesliterature": "Διαφημιστικά έντυπα",
  "salesorder": "Παραγγελία πώλησης",
  "objecttype_salesorder": "Παραγγελία πώλησης",
  "service": "Υπηρεσία",
  "objecttype_service": "Υπηρεσία",
  "socialprofile": "Κοινωνικό προφίλ",
  "objecttype_socialprofile": "Κοινωνικό προφίλ",
  "kbdocumentation": "Τεκμηρίωση",
  "objecttype_kbdocumentation": "Τεκμηρίωση",
  "kbtechnicalarticle": "Τεκμηρίωση",
  "objecttype_kbtechnicalarticle": "Τεκμηρίωση",
  "kbsolution": "Λύση",
  "objecttype_kbsolution": "Λύση",
  "kbknowledgearticle": "Άρθρο γνωσιακής βάσης",
  "objecttype_kbknowledgearticle": "Άρθρο γνωσιακής βάσης",
  "kbattachment": "Συνημμένο",
  "objecttype_kbattachment": "Συνημμένο",
  "kbarticle": "Άρθρο",
  "objecttype_kbarticle": "Άρθρο",
  "kbarticlecomment": "Σχόλιο άρθρου",
  "objecttype_kbarticlecomment": "Σχόλιο άρθρου",
  "knowledgearticle": "Άρθρο γνωσιακής βάσης",
  "objecttype_knowledgearticle": "Άρθρο γνωσιακής βάσης",
  "topic": "Θέμα",
  "objecttype_topic": "Θέμα",
  "dashboard": "Πίνακας εργαλείων",
  "objecttype_dashboard": "Πίνακας εργαλείων",
  "contentversion": "Έγγραφο",
  "objecttype_contentversion": "Έγγραφο",
  "collaborationgroup": "Ομάδα συνεργασίας",
  "objecttype_collaborationgroup": "Ομάδα συνεργασίας",
  "spportal": "Πύλη",
  "filetype_spportal": "Πύλη",
  "spsite": "Τοποθεσία",
  "filetype_spsite": "Τοποθεσία",
  "spuserprofile": "Χρήστης SharePoint",
  "filetype_spuserprofile": "Χρήστης SharePoint",
  "sparea": "Περιοχή",
  "filetype_sparea": "Περιοχή",
  "spannouncement": "Ανακοίνωση",
  "filetype_spannouncement": "Ανακοίνωση",
  "spannouncementlist": "Ανακοινώσεις",
  "filetype_spannouncementlist": "Ανακοινώσεις",
  "spcontact": "Επαφή",
  "filetype_spcontact": "Επαφή",
  "spcontactlist": "Επαφές",
  "filetype_spcontactlist": "Επαφές",
  "spcustomlist": "Προσαρμοσμένες λίστες",
  "filetype_spcustomlist": "Προσαρμοσμένες λίστες",
  "spdiscussionboard": "Πίνακας συζητήσεων",
  "filetype_spdiscussionboard": "Πίνακας συζητήσεων",
  "spdiscussionboardlist": "Πίνακες συζητήσεων",
  "filetype_spdiscussionboardlist": "Πίνακες συζητήσεων",
  "spdocumentlibrarylist": "Βιβλιοθήκη εγγράφων",
  "filetype_spdocumentlibrarylist": "Βιβλιοθήκη εγγράφων",
  "spevent": "Συμβάν",
  "filetype_spevent": "Συμβάν",
  "speventlist": "Συμβάντα",
  "filetype_speventlist": "Συμβάντα",
  "spformlibrarylist": "Βιβλιοθήκη φορμών",
  "filetype_spformlibrarylist": "Βιβλιοθήκη φορμών",
  "spissue": "Πρόβλημα",
  "filetype_spissue": "Πρόβλημα",
  "spissuelist": "Προβλήματα",
  "filetype_spissuelist": "Προβλήματα",
  "splink": "Σύνδεση",
  "filetype_splink": "Σύνδεση",
  "splinklist": "Συνδέσεις",
  "filetype_splinklist": "Συνδέσεις",
  "sppicturelibrarylist": "Βιβλιοθήκη εικόνων",
  "filetype_sppicturelibrarylist": "Βιβλιοθήκη εικόνων",
  "spsurvey": "Έρευνα",
  "filetype_spsurvey": "Έρευνα",
  "spsurveylist": "Έρευνες",
  "filetype_spsurveylist": "Έρευνες",
  "sptask": "Εργασία",
  "filetype_sptask": "Εργασία",
  "sptasklist": "Εργασίες",
  "filetype_sptasklist": "Εργασίες",
  "spagenda": "Ατζέντα",
  "filetype_spagenda": "Ατζέντα",
  "spagendalist": "Ατζέντες",
  "filetype_spagendalist": "Ατζέντες",
  "spattendee": "Συμμετέχων",
  "filetype_spattendee": "Συμμετέχων",
  "spattendeelist": "Συμμετέχοντες",
  "filetype_spattendeelist": "Συμμετέχοντες",
  "spcustomgridlist": "Προσαρμοσμένα πλέγματα",
  "filetype_spcustomgridlist": "Προσαρμοσμένα πλέγματα",
  "spdecision": "Απόφαση",
  "filetype_spdecision": "Απόφαση",
  "spdecisionlist": "Αποφάσεις",
  "filetype_spdecisionlist": "Αποφάσεις",
  "spobjective": "Στόχος",
  "filetype_spobjective": "Στόχος",
  "spobjectivelist": "Στόχοι",
  "filetype_spobjectivelist": "Στόχοι",
  "sptextbox": "Πλαίσιο κειμένου",
  "filetype_sptextbox": "Πλαίσιο κειμένου",
  "sptextboxlist": "Λίστα πλαισίων κειμένου",
  "filetype_sptextboxlist": "Λίστα πλαισίων κειμένου",
  "spthingstobring": "Απαραίτητο αντικείμενο",
  "filetype_spthingstobring": "Απαραίτητο αντικείμενο",
  "spthingstobringlist": "Απαραίτητα αντικείμενα",
  "filetype_spthingstobringlist": "Απαραίτητα αντικείμενα",
  "sparealisting": "Λίστα περιοχών",
  "filetype_sparealisting": "Λίστα περιοχών",
  "spmeetingserie": "Σειρά συσκέψεων",
  "filetype_spmeetingserie": "Σειρά συσκέψεων",
  "spmeetingserielist": "Λίστα σειρών συσκέψεων",
  "filetype_spmeetingserielist": "Λίστα σειρών συσκέψεων",
  "spsitedirectory": "Στοιχείο καταλόγου τοποθεσιών",
  "filetype_spsitedirectory": "Στοιχείο καταλόγου τοποθεσιών",
  "spsitedirectorylist": "Κατάλογος τοποθεσιών",
  "filetype_spsitedirectorylist": "Κατάλογος τοποθεσιών",
  "spdatasource": "Προέλευση δεδομένων",
  "filetype_spdatasource": "Προέλευση δεδομένων",
  "spdatasourcelist": "Λίστα προελεύσεων δεδομένων",
  "filetype_spdatasourcelist": "Λίστα προελεύσεων δεδομένων",
  "splisttemplatecataloglist": "Συλλογή προτύπων λίστας",
  "filetype_splisttemplatecataloglist": "Συλλογή προτύπων λίστας",
  "spwebpartcataloglist": "Συλλογή τμημάτων Web",
  "filetype_spwebpartcataloglist": "Συλλογή τμημάτων Web",
  "spwebtemplatecataloglist": "Συλλογή προτύπων τοποθεσίας",
  "filetype_spwebtemplatecataloglist": "Συλλογή προτύπων τοποθεσίας",
  "spworkspacepagelist": "Σελίδες χώρου εργασίας",
  "filetype_spworkspacepagelist": "Σελίδες χώρου εργασίας",
  "spunknownlist": "Προσαρμοσμένη λίστα",
  "filetype_spunknownlist": "Προσαρμοσμένη λίστα",
  "spadministratortask": "Εργασία διαχειριστή",
  "filetype_spadministratortask": "Εργασία διαχειριστή",
  "spadministratortasklist": "Εργασίες διαχειριστή",
  "filetype_spadministratortasklist": "Εργασίες διαχειριστή",
  "spareadocumentlibrarylist": "Βιβλιοθήκη εγγράφων περιοχής",
  "filetype_spareadocumentlibrarylist": "Βιβλιοθήκη εγγράφων περιοχής",
  "spblogcategory": "Κατηγορία ιστολογίου",
  "filetype_spblogcategory": "Κατηγορία ιστολογίου",
  "spblogcategorylist": "Κατηγορίες ιστολογίου",
  "filetype_spblogcategorylist": "Κατηγορίες ιστολογίου",
  "spblogcomment": "Σχόλιο ιστολογίου",
  "filetype_spblogcomment": "Σχόλιο ιστολογίου",
  "spblogcommentlist": "Σχόλια ιστολογίου",
  "filetype_spblogcommentlist": "Σχόλια ιστολογίου",
  "spblogpost": "Καταχώρηση ιστολογίου",
  "filetype_spblogpost": "Καταχώρηση ιστολογίου",
  "spblogpostlist": "Καταχωρήσεις ιστολογίου",
  "filetype_spblogpostlist": "Καταχωρήσεις ιστολογίου",
  "spdataconnectionlibrarylist": "Βιβλιοθήκη σύνδεσης δεδομένων",
  "filetype_spdataconnectionlibrarylist": "Βιβλιοθήκη σύνδεσης δεδομένων",
  "spdistributiongroup": "Ομάδα διανομής",
  "filetype_spdistributiongroup": "Ομάδα διανομής",
  "spdistributiongrouplist": "Ομάδες διανομής",
  "filetype_spdistributiongrouplist": "Ομάδες διανομής",
  "spipfslist": "Διακομιστές φορμών InfoPath",
  "filetype_spipfslist": "Διακομιστές φορμών InfoPath",
  "spkeyperformanceindicator": "Βασικός δείκτης απόδοσης",
  "filetype_spkeyperformanceindicator": "Βασικός δείκτης απόδοσης",
  "spkeyperformanceindicatorlist": "Βασικοί δείκτες απόδοσης",
  "filetype_spkeyperformanceindicatorlist": "Βασικοί δείκτες απόδοσης",
  "splanguagesandtranslator": "Γλώσσες και μεταφραστής",
  "filetype_splanguagesandtranslator": "Γλώσσες και μεταφραστής",
  "splanguagesandtranslatorlist": "Γλώσσες και μεταφραστές",
  "filetype_splanguagesandtranslatorlist": "Γλώσσες και μεταφραστές",
  "spmasterpagescataloglist": "Συλλογή κύριων σελίδων",
  "filetype_spmasterpagescataloglist": "Συλλογή κύριων σελίδων",
  "spnocodeworkflowlibrarylist": "Βιβλιοθήκες ροής εργασίας χωρίς κώδικα",
  "filetype_spnocodeworkflowlibrarylist": "Βιβλιοθήκες ροής εργασίας χωρίς κώδικα",
  "spprojecttask": "Εργασία έργου",
  "filetype_spprojecttask": "Εργασία έργου",
  "spprojecttasklist": "Εργασίες έργου",
  "filetype_spprojecttasklist": "Εργασίες έργου",
  "sppublishingpageslibrarylist": "Βιβλιοθήκη σελίδας",
  "filetype_sppublishingpageslibrarylist": "Βιβλιοθήκη σελίδας",
  "spreportdocumentlibrarylist": "Βιβλιοθήκη εγγράφων αναφοράς",
  "filetype_spreportdocumentlibrarylist": "Βιβλιοθήκη εγγράφων αναφοράς",
  "spreportlibrarylist": "Βιβλιοθήκη αναφοράς",
  "filetype_spreportlibrarylist": "Βιβλιοθήκη αναφοράς",
  "spslidelibrarylist": "Βιβλιοθήκη διαφανειών",
  "filetype_spslidelibrarylist": "Βιβλιοθήκη διαφανειών",
  "sptab": "Καρτέλες",
  "filetype_sptab": "Καρτέλες",
  "sptablist": "Λίστα \"Καρτέλες",
  "filetype_sptablist": "Λίστα \"Καρτέλες",
  "sptranslationmanagementlibrarylist": "Βιβλιοθήκη διαχείρισης μεταφράσεων",
  "filetype_sptranslationmanagementlibrarylist": "Βιβλιοθήκη διαχείρισης μεταφράσεων",
  "spuserinformation": "Πληροφορίες χρήστη",
  "filetype_spuserinformation": "Πληροφορίες χρήστη",
  "spuserinformationlist": "Λίστα πληροφοριών χρήστη",
  "filetype_spuserinformationlist": "Λίστα πληροφοριών χρήστη",
  "spwikipagelibrarylist": "Βιβλιοθήκη σελίδων Wiki",
  "filetype_spwikipagelibrarylist": "Βιβλιοθήκη σελίδων Wiki",
  "spworkflowhistory": "Ιστορικό ροής εργασίας",
  "filetype_spworkflowhistory": "Ιστορικό ροής εργασίας",
  "spworkflowhistorylist": "Λίστα ιστορικού ροής εργασίας",
  "filetype_spworkflowhistorylist": "Λίστα ιστορικού ροής εργασίας",
  "spworkflowprocess": "Προσαρμοσμένη διαδικασία ροής εργασίας",
  "filetype_spworkflowprocess": "Προσαρμοσμένη διαδικασία ροής εργασίας",
  "spworkflowprocesslist": "Προσαρμοσμένες διαδικασίες ροής εργασίας",
  "filetype_spworkflowprocesslist": "Προσαρμοσμένες διαδικασίες ροής εργασίας",
  "sppublishingimageslibrarylist": "Βιβλιοθήκη εικόνων δημοσίευσης",
  "filetype_sppublishingimageslibrarylist": "Βιβλιοθήκη εικόνων δημοσίευσης",
  "spcirculation": "Κυκλοφορία",
  "filetype_spcirculation": "Κυκλοφορία",
  "spcirculationlist": "Κυκλοφορίες",
  "filetype_spcirculationlist": "Κυκλοφορίες",
  "spdashboardslibrarylist": "Βιβλιοθήκη πινάκων εργαλείων",
  "filetype_spdashboardslibrarylist": "Βιβλιοθήκη πινάκων εργαλείων",
  "spdataconnectionforperformancepointlibrarylist": "Βιβλιοθήκη συνδέσεων δεδομένων PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Βιβλιοθήκη συνδέσεων δεδομένων PerformancePoint",
  "sphealthreport": "Αναφορά εύρυθμης λειτουργίας",
  "filetype_sphealthreport": "Αναφορά εύρυθμης λειτουργίας",
  "sphealthreportlist": "Αναφορές εύρυθμης λειτουργίας",
  "filetype_sphealthreportlist": "Αναφορές εύρυθμης λειτουργίας",
  "sphealthrule": "Κανόνας εύρυθμης λειτουργίας",
  "filetype_sphealthrule": "Κανόνας εύρυθμης λειτουργίας",
  "sphealthrulelist": "Κανόνες εύρυθμης λειτουργίας",
  "filetype_sphealthrulelist": "Κανόνες εύρυθμης λειτουργίας",
  "spimedictionary": "Λεξικό IME",
  "filetype_spimedictionary": "Λεξικό IME",
  "spimedictionarylist": "Λεξικά IME",
  "filetype_spimedictionarylist": "Λεξικά IME",
  "spperformancepointcontent": "Περιεχόμενο PerformancePoint",
  "filetype_spperformancepointcontent": "Περιεχόμενο PerformancePoint",
  "spperformancepointcontentlist": "Περιεχόμενα PerformancePoint",
  "filetype_spperformancepointcontentlist": "Περιεχόμενα PerformancePoint",
  "spphonecallmemo": "Υπόμνημα τηλεφωνικής κλήσης",
  "filetype_spphonecallmemo": "Υπόμνημα τηλεφωνικής κλήσης",
  "spphonecallmemolist": "Υπομνήματα τηλεφωνικής κλήσης",
  "filetype_spphonecallmemolist": "Υπομνήματα τηλεφωνικής κλήσης",
  "sprecordlibrarylist": "Βιβλιοθήκη εγγραφών",
  "filetype_sprecordlibrarylist": "Βιβλιοθήκη εγγραφών",
  "spresource": "Πόρος",
  "filetype_spresource": "Πόρος",
  "spresourcelist": "Πόροι",
  "filetype_spresourcelist": "Πόροι",
  "spprocessdiagramslibrarylist": "Βιβλιοθήκη διαγραμμάτων διεργασιών",
  "filetype_spprocessdiagramslibrarylist": "Βιβλιοθήκη διαγραμμάτων διεργασιών",
  "spsitethemeslibrarylist": "Βιβλιοθήκη θεμάτων τοποθεσίας",
  "filetype_spsitethemeslibrarylist": "Βιβλιοθήκη θεμάτων τοποθεσίας",
  "spsolutionslibrarylist": "Βιβλιοθήκη λύσεων",
  "filetype_spsolutionslibrarylist": "Βιβλιοθήκη λύσεων",
  "spwfpublibrarylist": "Βιβλιοθήκη WFPUB",
  "filetype_spwfpublibrarylist": "Βιβλιοθήκη WFPUB",
  "spwhereabout": "Τοποθεσία",
  "filetype_spwhereabout": "Τοποθεσία",
  "spwhereaboutlist": "Τοποθεσίες",
  "filetype_spwhereaboutlist": "Τοποθεσίες",
  "spdocumentlink": "Σύνδεση με έγγραφο",
  "filetype_spdocumentlink": "Σύνδεση με έγγραφο",
  "spdocumentset": "Σύνολο εγγράφων",
  "filetype_spdocumentset": "Σύνολο εγγράφων",
  "spmicrofeedpost": "Δημοσίευση microfeed",
  "filetype_spmicrofeedpost": "Δημοσίευση microfeed",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Φάκελος λίστας",
  "filetype_splistfolder": "Φάκελος λίστας",
  "Unknown": "Άγνωστο",
  "And": "ΚΑΙ",
  "Authenticating": "Επαλήθευση {0}...",
  "Clear": "Διαγραφή {0}",
  "CompleteQuery": "Ολοκλήρωση αιτήματος",
  "Exclude": "Εξαίρεση {0}",
  "EnterTag": "Προσθήκη ετικέτας",
  "Next": "Επόμενο",
  "Last": "Τελευταίο",
  "Link": "Σύνδεσμος",
  "Or": "Ή",
  "Previous": "Προηγούμενο",
  "QueryDidntMatchAnyDocuments": "Το αίτημά σας δεν ταυτίζεται με οποιαδήποτε έγγραφα.",
  "QueryException": "Το αίτημά σας έχει ένα λάθος: {0}.",
  "Me": "Εγώ",
  "Remove": "Αφαίρεση",
  "Search": "Αναζήτηση",
  "SearchFor": "Αναζήτηση για {0}",
  "ShareQuery": "Διαμοιρασμός αιτήματος",
  "Preferences": "Προτιμήσεις",
  "LinkOpeningSettings": "Ρυθμίσεις ανοίγματος συνδέσμων",
  "Reauthenticate": "Επανάληψη επαλήθευσης {0}",
  "ResultsFilteringExpression": "Αποτελέσματα φιλτραρίσματος παραστάσεων",
  "FiltersInYourPreferences": "Φίλτρα στις προτιμήσεις σας",
  "Create": "Δημιουργία",
  "SearchIn": "Αναζήτηση σε {0}",
  "Seconds": "σε {0} δευτερόλεπτ<pl>α</pl>",
  "ShowingResultsOf": "Αποτελέσματ<pl>α</pl> {0}<pl>-{1}</pl> από {2}",
  "ShowingResultsOfWithQuery": "Αποτελέσματ<pl>α</pl> {0}<pl>-{1}</pl> από {2} για {3}",
  "SwitchTo": "Μετάπτωση σε {0}",
  "Unexclude": "Άρση αποκλεισμού {0}",
  "ClearAllFilters": "Διαγραφή όλων των φίλτρων",
  "SkipLogin": "Παράλειψη διαδικασίας σύνδεσης",
  "LoginInProgress": "Διαδικασία σύνδεσης σε εξέλιξη, παρακαλώ περιμένετε...",
  "Login": "Σύνδεση",
  "GetStarted": "Ξεκινήστε",
  "More": "Περισσότερα",
  "NMore": "{0} ακόμα...",
  "Less": "Λιγότερα",
  "Settings": "Ρυθμίσεις",
  "Score": "Βαθμολογία",
  "ScoreDescription": "Η βαθμολογία υπολογίζεται βάση του αριθμού εμφανίσεων, καθώς και βάση της θέσης στο σύνολο αποτελεσμάτων.",
  "Occurrences": "Εμφανίσεις",
  "OccurrencesDescription": "Ταξινόμηση βάση αριθμού εμφανίσεων, με τις τιμές που έχουν τον υψηλότερο αριθμό να εμφανίζονται πρώτες.",
  "Label": "Ετικέτα",
  "Of": "από",
  "LabelDescription": "Ταξινόμηση αλφαβητικά των τιμών πεδίου.",
  "Value": "Τιμή",
  "ValueDescription": "Ταξινόμηση των τιμών του πρώτου υπολογισμένου πεδίου",
  "AlphaAscending": "Τιμή αύξουσα",
  "AlphaDescending": "Τιμή φθίνουσα",
  "ChiSquare": "χ στο τετράγωνο",
  "Nosort": "Καμία ταξινόμηση",
  "NosortDescription": "Μην ταξινομείτε τις τιμές. Οι τιμές θα επιστραφούν με τυχαία σειρά.",
  "RelativeFrequency": "Σχετική συχνότητα",
  "RelativeFrequencyDescription": "Ταξινόμηση βάση της σχετικής συχνότητας των τιμών. Οι λιγότερο κοινές τιμές θα εμφανίζονται ψηλότερα.",
  "DateDistribution": "Διανομή ημερομηνίας",
  "Custom": "Προσαρμοσμένη",
  "CustomDescription": "Ταξινόμηση βάση προσαρμοσμένης κατάταξης",
  "ComputedField": "Υπολογισμένο πεδίο",
  "Ascending": "Αύξων",
  "Descending": "Φθίνων",
  "noResultFor": "Κανένα αποτέλεσμα για {0}",
  "autoCorrectedQueryTo": "Το αίτημα διορθώθηκε αυτόματα σε {0}",
  "didYouMean": "Μήπως εννοείτε: {0}",
  "SuggestedResults": "Προτεινόμενα αποτελέσματα",
  "SuggestedQueries": "Προτεινόμενα αιτήματα",
  "MostRelevantItems": "Πιο σχετικά αντικείμενα:",
  "AllItems": "Όλα τα αντικείμενα:",
  "ShowLess": "Εμφάνιση λιγότερων",
  "ShowMore": "Εμφάνιση περισσότερων",
  "HideFacet": "Απόκρυψη όψης",
  "ShowFacet": "Εμφάνιση όψης",
  "AndOthers": "και {0} άλλω<pl>ν</pl>",
  "Others": "{0} άλλ<pl>α</pl>",
  "MostRelevantPosts": "Πιο σχετικές δημοσιεύσεις:",
  "CompleteThread": "Ολόκληρη η συνομιλία:",
  "ShowCompleteThread": "Εμφάνιση ολόκληρης της συνομιλίας",
  "ShowOnlyTopMatchingPosts": "Εμφάνιση μόνο των κορυφαίων δημοσιεύσεων που ταυτίζονται",
  "MostRelevantReplies": "Πιο σχετικές απαντήσεις:",
  "AllConversation": "Ολόκληρη συζήτηση:",
  "ShowAllConversation": "Εμφάνιση ολόκληρης της συζήτησης",
  "ShowAllReplies": "Εμφάνιση όλων των απαντήσεων",
  "ShowOnlyMostRelevantReplies": "Εμφάνιση μόνο των πιο σχετικών απαντήσεων",
  "Close": "Κλείσιμο",
  "Open": "Άνοιγμα",
  "OpenInOutlookWhenPossible": "Άνοιγμα στο Outlook (όταν είναι εφικτό)",
  "AlwaysOpenInNewWindow": "Πάντοτε να ανοίγουν τα αποτελέσματα σε νέο παράθυρο",
  "Quickview": "Γρήγορη επισκόπηση",
  "NoQuickview": "Η γρήγορη προβολή για αυτό το έγγραφο δεν είναι διαθέσιμη",
  "ErrorReport": "Αναφορά λάθους",
  "OopsError": "Κάτι πήγε στραβά στον διακομιστή.",
  "ProblemPersists": "Αν το πρόβλημα παραμένει, παρακαλώ επικοινωνήστε με τον διαχειριστή.",
  "GoBack": "Πηγαίνετε πίσω",
  "Reset": "Επαναφορά",
  "Retry": "Προσπάθεια εκ νέου",
  "MoreInfo": "Περισσότερες πληροφορίες",
  "Username": "Όνομα χρήστη",
  "Password": "Κωδικός πρόσβασης",
  "PostedBy": "Δημοσιεύτηκε από",
  "CannotConnect": "Δεν είναι δυνατή η σύνδεση στη διεύθυνση του διακομιστή.",
  "BadUserPass": "Ο κωδικός πρόσβασης δεν ταιριάζει με το όνομα χρήστη.",
  "PleaseEnterYourCredentials": "Παρακαλώ καταχωρήστε τα διαπιστευτήριά σας για το {0}.",
  "PleaseEnterYourSearchPage": "Παρακαλώ καταχωρήστε το URL της σελίδας αναζήτησής σας",
  "Collapse": "Σύμπτυξη",
  "Collapsable": "Συμπτυσσόμενη",
  "Expand": "Ανάπτυξη",
  "Today": "Σήμερα",
  "Yesterday": "Χθες",
  "Tomorrow": "Αύριο",
  "Duration": "Διάρκεια: {0}",
  "IndexDuration": "Διάρκεια ευρετηρίου: {0}",
  "ProxyDuration": "Διάρκεια μεσολάβησης: {0}",
  "ClientDuration": "Διάρκεια πελάτη: {0}",
  "Unavailable": "Μη διαθέσιμος",
  "Reply": "Απάντηση",
  "ReplyAll": "Απάντηση σε όλους",
  "Forward": "Προώθηση",
  "From": "Από",
  "Caption": "Λεζάντα",
  "Expression": "Παράσταση",
  "Tab": "Καρτέλα",
  "Tabs": "Καρτέλες",
  "EnterExpressionName": "Καταχωρήσετε το όνομα παράστασης",
  "EnterExpressionToFilterWith": "Καταχώρηση της παράστασης για φιλτράρισμα των αποτελεσμάτων με",
  "SelectTab": "Επιλογή καρτέλας",
  "SelectAll": "Επιλογή όλων",
  "PageUrl": "URL σελίδας αναζήτησης",
  "ErrorSavingToDevice": "Λάθος κατά τη διαδικασία αποθήκευσης των πληροφοριών στη συσκευή σας",
  "ErrorReadingFromDevice": "Λάθος κατά τη διαδικασία ανάγνωσης των πληροφοριών από τη συσκευή σας",
  "AppIntro": "Επικοινωνήστε με άτομο εξειδικευμένο στο προϊόν, το οποίο μπορεί να απαντήσει στις ερωτήσεις σας σχετικά με την πλατφόρμα Coveo, το οποίο θα σας βοηθήσει να αποφασίσετε ποια λύση Coveo είναι η κατάλληλη για εσάς. Ή δοκιμάστε μία ζωντανή επίδειξη!",
  "TryDemo": "Δοκιμάστε την επίδειξη",
  "ContactUs": "Επικοινωνήστε μαζί μας",
  "NewToCoveo": "Πρώτη φορά στην πλατφόρμα Coveo;",
  "LetUsHelpGetStarted": "Αφήστε μας να σας βοηθήσουμε να ξεκινήσετε",
  "LikesThis": "{0} τους αρέσε<sn>ι</sn> αυτό.",
  "CannotConnectSearchPage": "Δεν είναι δυνατή η σύνδεση στη σελίδα αναζήτησής σας",
  "AreYouSureDeleteFilter": "Είστε βέβαιος ότι θέλετε να διαγράψετε το φίλτρο {0} με την παράσταση {1}",
  "OnlineHelp": "Διαδικτυακή βοήθεια",
  "Done": "Τέλος",
  "SaveFacetState": "Αποθηκεύστε τη συγκεκριμένη κατάσταση όψης",
  "ClearFacetState": "Διαγραφή της συγκεκριμένης κατάστασης όψης",
  "DisplayingTheOnlyMessage": "Απεικόνιση του μοναδικού μηνύματος στη συγκεκριμένη συζήτηση",
  "NoNetworkConnection": "Δεν υφίσταται σύνδεση δικτύου",
  "UnknownConnection": "Άγνωστη σύνδεση",
  "EthernetConnection": "Σύνδεση Ethernet",
  "WiFi": "Σύνδεση WiFi",
  "CELL": "Σύνδεση κινητού",
  "CELL_2G": "Σύνδεση κινητού 2G",
  "CELL_3G": "Σύνδεση κινητού 3G",
  "CELL_4G": "Σύνδεση κινητού 4G",
  "Relevance": "Συνάφεια",
  "Date": "Ημερομηνία",
  "Amount": "Ποσότητα",
  "QueryExceptionNoException": "Καμία εξαίρεση",
  "QueryExceptionInvalidSyntax": "Άκυρη σύνταξη",
  "QueryExceptionInvalidCustomField": "Άκυρο προσαρμοσμένο πεδίο",
  "QueryExceptionInvalidDate": "Άκυρη ημερομηνία",
  "QueryExceptionInvalidExactPhrase": "Άκυρη ακριβής φράση",
  "QueryExceptionInvalidDateOp": "Άκυρος τελεστής ημερομηνίας",
  "QueryExceptionInvalidNear": "Άκυρος τελεστής NEAR",
  "QueryExceptionInvalidWeightedNear": "Άκυρο σταθμισμένο NEAR",
  "QueryExceptionInvalidTerm": "Άκυρος όρος",
  "QueryExceptionTooManyTerms": "Πάρα πολλοί όροι",
  "QueryExceptionWildcardTooGeneral": "Ο χαρακτήρας μπαλαντέρ είναι πολύ γενικός",
  "QueryExceptionInvalidSortField": "Άκυρο πεδίο ταξινόμησης",
  "QueryExceptionInvalidSmallStringOp": "Άκυρος τελεστής σύντομης φράσης",
  "QueryExceptionRequestedResultsMax": "Μέγιστο αιτούμενων αποτελεσμάτων",
  "QueryExceptionAggregatedMirrorDead": "Το συνδεδεμένο με το κυρίως ευρετήριο απομακρυσμένο αντίγραφο ευρετηρίου είναι εκτός σύνδεσης",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Λήξη αιτήματος συνδεδεμένου με το κυρίως ευρετήριο απομακρυσμένου αντίγραφου ευρετηρίου",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Άκυρος αριθμός δομής συνδεδεμένου με το κυρίως ευρετήριο απομακρυσμένου αντίγραφου ευρετηρίου",
  "QueryExceptionAggregatedMirrorCannotConnect": "Το συνδεδεμένο με το κυρίως ευρετήριο απομακρυσμένο αντίγραφο ευρετηρίου δεν μπορεί να συνδεθεί",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Δεν υπάρχουν αρκετοί χαρακτήρες που να προηγούνται του μπαλαντέρ",
  "QueryExceptionSecurityInverterNotFound": "Ο αναστροφέας ασφαλείας δεν βρέθηκε",
  "QueryExceptionSecurityInverterAccessDenied": "Άρνηση πρόσβασης αναστροφέα ασφαλείας",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Το συνδεδεμένο με το κυρίως ευρετήριο απομακρυσμένο αντίγραφο ευρετηρίου δεν μπορεί να εκτελέσει αίτημα με χρήση απομίμησης",
  "QueryExceptionUnexpected": "Απρόσμενο",
  "QueryExceptionAccessDenied": "Άρνηση πρόσβασης",
  "QueryExceptionSuperUserTokenInvalid": "Το διακριτικό χρήστη με δικαιώματα επιβλέποντος είναι άκυρο",
  "QueryExceptionSuperUserTokenExpired": "Το διακριτικό χρήστη με δικαιώματα επιβλέποντος έληξε",
  "QueryExceptionLicenseQueriesExpired": "Η άδεια αιτημάτων έληξε",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Η άδεια διακριτικού χρήστη με δικαιώματα επιβλέποντος δεν υποστηρίζεται",
  "QueryExceptionInvalidSession": "Άκυρη συνεδρία",
  "QueryExceptionInvalidDocument": "Άκυρο έγγραφο",
  "QueryExceptionSearchDisabled": "Η έρευνα απενεργοποιήθηκε",
  "FileType": "Τύπος εγγράφου",
  "ShowAttachment": "Εμφάνιση συνημμένου",
  "OnFeed": "στην τροφοδοσία του {0}.",
  "Author": "Συγγραφέας",
  "NoTitle": "Δεν υφίσταται τίτλος",
  "CurrentSelections": "Υφιστάμενες επιλογές",
  "AllContent": "Όλο το περιεχόμενο",
  "CancelLastAction": "Ακύρωση τελευταίας πράξης",
  "SearchTips": "Συμβουλές αναζήτησης",
  "CheckSpelling": "Ελέγξτε την ορθογραφία των λέξεων-κλειδιών που χρησιμοποιήσατε.",
  "TryUsingFewerKeywords": "Δοκιμάστε να χρησιμοποιήσετε λιγότερες, διαφορετικές ή γενικότερες λέξεις-κλειδιά.",
  "SelectFewerFilters": "Επιλέξτε λιγότερα φίλτρα για να διευρύνετε την αναζήτησή σας.",
  "Document": "Έγγραφο",
  "Time": "Χρόνος",
  "StartDate": "Ημερομηνία έναρξης",
  "StartTime": "Ώρα έναρξης",
  "DurationTitle": "Διάρκεια",
  "UserQuery": "Αίτημα χρήστη",
  "ShowUserActions": "Εμφάνιση ενεργειών χρήστη",
  "NoData": "Δεν υπάρχουν διαθέσιμα δεδομένα",
  "EventType": "Τύπος συμβάντος",
  "GoToFullSearch": "Πλήρης αναζήτηση",
  "GoToEdition": "Προσαρμόστε τον πίνακα",
  "RemoveContext": "Κατάργηση πληροφοριών περιβάλλοντος",
  "BoxAttachToCase": "Επισύναψη στο αίτημα",
  "AttachToCase": "Επισύναψη στο αίτημα",
  "Attach": "Επισύναψη",
  "Attached": "Συνημμένο",
  "Detach": "Απόσπαση",
  "Details": "Λεπτομέρειες",
  "AdditionalFilters": "Πρόσθετα φίλτρα",
  "SelectNonContextualSearch": "Κατάργηση πληροφοριών περιβάλλοντος από την τρέχουσα εγγραφή για να διευρύνετε την αναζήτησή σας",
  "CopyPasteToSupport": "Κάντε αντιγραφή και επικόλληση αυτού του μηνύματος στην ομάδα υποστήριξης Coveo για περισσότερες πληροφορίες.",
  "FollowQueryDescription": "Να λαμβάνω ειδοποιήσεις για αλλαγές στα αποτελέσματα αναζήτησης αυτού του αιτήματος.",
  "SearchAlerts_Panel": "Διαχείριση ειδοποιήσεων",
  "SearchAlerts_PanelDescription": "Προβολή και διαχείριση των ειδοποιήσεων αναζήτησης.",
  "SearchAlerts_PanelNoSearchAlerts": "Δεν έχετε συνδρομές.",
  "SearchAlerts_Fail": "Η υπηρεσία ειδοποιήσεων αναζήτησης δεν είναι διαθέσιμη αυτήν τη στιγμή.",
  "SearchAlerts_Type": "Τύπος",
  "SearchAlerts_Content": "Περιεχόμενο",
  "SearchAlerts_Actions": "Ενέργεια",
  "EmptyQuery": "<κενό>",
  "SearchAlerts_Type_followQuery": "Αίτημα",
  "SearchAlerts_Type_followDocument": "Στοιχείο",
  "SearchAlerts_unFollowing": "Διακοπή παρακολούθησης",
  "SearchAlerts_follow": "Παρακολούθηση",
  "SearchAlerts_followed": "Παρακολουθείται",
  "SearchAlerts_followQuery": "Παρακολούθηση αιτήματος",
  "Subscription_StopFollowingQuery": "Αίτημα διακοπής παρακολούθησης",
  "SearchAlerts_Frequency": "Όταν",
  "SubscriptionsManageSubscriptions": "Διαχείριση ειδοποιήσεων",
  "SubscriptionsMessageFollowQuery": "Θα λαμβάνετε ειδοποιήσεις, όταν το αίτημα <b>{0}</b> επιστρέφει νέα ή ενημερωμένα στοιχεία.",
  "SubscriptionsMessageFollow": "Θα λαμβάνετε ειδοποιήσεις για αλλαγές στο στοιχείο <b>{0}</b>.",
  "Expiration": "Λήξη",
  "Monthly": "Μηνιαία",
  "Daily": "Καθημερινά",
  "Monday": "Δευτέρα",
  "Tuesday": "Τρίτη",
  "Wednesday": "Τετάρτη",
  "Thursday": "Πέμπτη",
  "Friday": "Παρασκευή",
  "Saturday": "Σάββατο",
  "Sunday": "Κυριακή",
  "NextDay": "Επόμενη {0}",
  "LastDay": "Τελευταία {0}",
  "StartTypingCaseForSuggestions": "Περιγράψτε το πρόβλημα για να δείτε τις πιθανές λύσεις",
  "ExportToExcel": "Εξαγωγή σε Excel",
  "ExportToExcelDescription": "Εξαγωγή αποτελεσμάτων αναζήτησης σε Excel",
  "CaseCreationNoResults": "Δεν βρέθηκαν προτεινόμενες λύσεις",
  "SortBy": "Ταξινόμηση κατά",
  "BoxCreateArticle": "Δημιουργία άρθρου",
  "Facets": "Κλάσεις facet",
  "AdvancedSearch": "Σύνθετη αναζήτηση",
  "Keywords": "Λέξεις-κλειδιά",
  "AllTheseWords": "Όλες αυτές οι λέξεις",
  "ExactPhrase": "Ολόκληρη τη φράση",
  "AnyOfTheseWords": "Οποιαδήποτε από αυτές τις λέξεις",
  "NoneOfTheseWords": "Καμία από αυτές τις λέξεις",
  "Anytime": "Οποιαδήποτε στιγμή",
  "InTheLast": "Στο διάστημα πριν από",
  "Days": "ημέρες",
  "Months": "μήνες",
  "Month": "Μήνας",
  "Year": "Έτος",
  "Between": "Μεταξύ",
  "Language": "Γλώσσα",
  "Size": "Μέγεθος",
  "AtLeast": "τουλάχιστον",
  "AtMost": "το πολύ",
  "Contains": "περιέχει",
  "DoesNotContain": "δεν περιέχει",
  "Matches": "ταιριάζει με",
  "Bytes": "byte",
  "card": "Κάρτα",
  "table": "Πίνακας",
  "ResultLinks": "Συνδέσεις αποτελεσμάτων",
  "EnableQuerySyntax": "Ενεργοποίηση σύνταξης αιτήματος",
  "On": "Ενεργοποίηση",
  "Off": "Απενεργοποίηση",
  "Automatic": "Αυτόματα",
  "ResultsPerPage": "Αποτελέσματα ανά σελίδα",
  "PreviousMonth": "Προηγούμενος μήνας",
  "NextMonth": "Επόμενος μήνας",
  "Title": "Τίτλος",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["el"] = merge(locales["el"], dict);
  String["toLocaleString"].call(this, { "el": dict });
  String["locale"] = "el";
  String["defaultLocale"] = "en";
  Globalize.culture("el")
}