/*
 * Globalize Culture es-ES
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "es-ES", "default", {
	name: "es-ES",
	englishName: "Spanish (Spain, International Sort)",
	nativeName: "Español (España, alfabetización internacional)",
	language: "es",
	numberFormat: {
		",": ".",
		".": ",",
		"NaN": "NeuN",
		negativeInfinity: "-Infinito",
		positiveInfinity: "Infinito",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "€"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["domingo","lunes","martes","miércoles","jueves","viernes","sábado"],
				namesAbbr: ["dom","lun","mar","mié","jue","vie","sáb"],
				namesShort: ["do","lu","ma","mi","ju","vi","sá"]
			},
			months: {
				names: ["enero","febrero","marzo","abril","mayo","junio","julio","agosto","septiembre","octubre","noviembre","diciembre",""],
				namesAbbr: ["ene","feb","mar","abr","may","jun","jul","ago","sep","oct","nov","dic",""]
			},
			AM: null,
			PM: null,
			eras: [{"name":"d.C.","start":null,"offset":0}],
			patterns: {
				d: "dd/MM/yyyy",
				D: "dddd, dd' de 'MMMM' de 'yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd, dd' de 'MMMM' de 'yyyy H:mm",
				F: "dddd, dd' de 'MMMM' de 'yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM' de 'yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Usuario",
  "filetype_box user": "Usuario",
  "html": "Archivo HTML",
  "filetype_html": "Archivo HTML",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Página web",
  "filetype_webscraperwebpage": "Página web",
  "image": "Imagen",
  "filetype_image": "Imagen",
  "folder": "Carpeta",
  "filetype_folder": "Carpeta",
  "txt": "Texto",
  "filetype_txt": "Texto",
  "zip": "Archivo Zip",
  "filetype_zip": "Archivo Zip",
  "olefile": "Archivo OLE",
  "filetype_olefile": "Archivo OLE",
  "gmailmessage": "Mensaje de Gmail",
  "filetype_gmailmessage": "Mensaje de Gmail",
  "pdf": "Archivo PDF",
  "filetype_pdf": "Archivo PDF",
  "swf": "Archivo Flash",
  "filetype_swf": "Archivo Flash",
  "xml": "Archivo XML",
  "filetype_xml": "Archivo XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Feed RSS",
  "filetype_rssitem": "Feed RSS",
  "doc": "Documento",
  "filetype_doc": "Documento",
  "docx": "Documento de Microsoft Word",
  "filetype_docx": "Documento de Microsoft Word",
  "xls": "Hoja de cálculo",
  "filetype_xls": "Hoja de cálculo",
  "ppt": "Presentación",
  "filetype_ppt": "Presentación",
  "video": "Vídeo",
  "filetype_video": "Vídeo",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Documento de Open Text",
  "filetype_odt": "Documento de Open Text",
  "lithiummessage": "Mensaje de Lithium",
  "filetype_lithiummessage": "Mensaje de Lithium",
  "lithiumthread": "Conversación de Lithium",
  "filetype_lithiumthread": "Conversación de Lithium",
  "lithiumboard": "Panel de Lithium",
  "filetype_lithiumboard": "Panel de Lithium",
  "lithiumcategory": "Categoría de Lithium",
  "filetype_lithiumcategory": "Categoría de Lithium",
  "lithiumcommunity": "Comunidad de Lithium",
  "filetype_lithiumcommunity": "Comunidad de Lithium",
  "people": "Usuario",
  "objecttype_people": "Usuario",
  "message": "Mensaje",
  "objecttype_message": "Mensaje",
  "feed": "Feed RSS",
  "objecttype_feed": "Feed RSS",
  "thread": "Conversación",
  "objecttype_thread": "Conversación",
  "file": "Archivo",
  "objecttype_file": "Archivo",
  "board": "Panel",
  "objecttype_board": "Panel",
  "category": "Categoría",
  "objecttype_category": "Categoría",
  "account": "Cuenta",
  "objecttype_account": "Cuenta",
  "annotation": "Nota",
  "objecttype_annotation": "Nota",
  "campaign": "Campaña",
  "objecttype_campaign": "Campaña",
  "case": "Consulta",
  "objecttype_case": "Consulta",
  "contact": "Contacto",
  "objecttype_contact": "Contacto",
  "contract": "Contrato",
  "objecttype_contract": "Contrato",
  "event": "Evento",
  "objecttype_event": "Evento",
  "email": "Correo electrónico",
  "objecttype_email": "Correo electrónico",
  "goal": "Objetivo",
  "objecttype_goal": "Objetivo",
  "objecttype_incident": "Consulta",
  "invoice": "Factura",
  "objecttype_invoice": "Factura",
  "lead": "Cliente potencial",
  "objecttype_lead": "Cliente potencial",
  "list": "Lista",
  "objecttype_list": "Lista de marketing",
  "solution": "Solución",
  "objecttype_solution": "Solución",
  "task": "Tarea",
  "objecttype_task": "Tarea",
  "user": "Usuario",
  "objecttype_user": "Usuario",
  "attachment": "Archivo adjunto",
  "objecttype_attachment": "Archivo adjunto",
  "casecomment": "Comentario sobre una consulta",
  "objecttype_casecomment": "Comentario sobre una consulta",
  "opportunity": "Oportunidad",
  "objecttype_opportunity": "Oportunidad",
  "opportunityproduct": "Producto de oportunidad",
  "objecttype_opportunityproduct": "Producto de oportunidad",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Nota",
  "objecttype_note": "Nota",
  "product": "Producto",
  "objecttype_product": "Producto",
  "partner": "Socio",
  "objecttype_partner": "Socio",
  "queueitem": "Elemento en cola",
  "objecttype_queueitem": "Elemento en cola",
  "quote": "Presupuesto",
  "objecttype_quote": "Presupuesto",
  "salesliterature": "Documentación de ventas",
  "objecttype_salesliterature": "Documentación de ventas",
  "salesorder": "Pedido",
  "objecttype_salesorder": "Pedido",
  "service": "Servicio",
  "objecttype_service": "Servicio",
  "socialprofile": "Perfil social",
  "objecttype_socialprofile": "Perfil social",
  "kbdocumentation": "Documentación",
  "objecttype_kbdocumentation": "Documentación",
  "kbtechnicalarticle": "Documentación",
  "objecttype_kbtechnicalarticle": "Documentación",
  "kbsolution": "Solución",
  "objecttype_kbsolution": "Solución",
  "kbknowledgearticle": "Artículo de base de conocimiento",
  "objecttype_kbknowledgearticle": "Artículo de base de conocimiento",
  "kbattachment": "Archivo adjunto",
  "objecttype_kbattachment": "Archivo adjunto",
  "kbarticle": "Artículo",
  "objecttype_kbarticle": "Artículo",
  "kbarticlecomment": "Comentario del artículo",
  "objecttype_kbarticlecomment": "Comentario del artículo",
  "knowledgearticle": "Artículo de base de conocimiento",
  "objecttype_knowledgearticle": "Artículo de base de conocimiento",
  "topic": "Tema",
  "objecttype_topic": "Tema",
  "dashboard": "Panel de información",
  "objecttype_dashboard": "Panel de información",
  "contentversion": "Documento",
  "objecttype_contentversion": "Documento",
  "collaborationgroup": "Grupo de colaboración",
  "objecttype_collaborationgroup": "Grupo de colaboración",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Sitio",
  "filetype_spsite": "Sitio",
  "spuserprofile": "Usuario de SharePoint",
  "filetype_spuserprofile": "Usuario de SharePoint",
  "sparea": "Área",
  "filetype_sparea": "Área",
  "spannouncement": "Anuncio",
  "filetype_spannouncement": "Anuncio",
  "spannouncementlist": "Anuncios",
  "filetype_spannouncementlist": "Anuncios",
  "spcontact": "Contacto",
  "filetype_spcontact": "Contacto",
  "spcontactlist": "Contactos",
  "filetype_spcontactlist": "Contactos",
  "spcustomlist": "Listas personalizadas",
  "filetype_spcustomlist": "Listas personalizadas",
  "spdiscussionboard": "Panel de discusión",
  "filetype_spdiscussionboard": "Panel de discusión",
  "spdiscussionboardlist": "Paneles de discusión",
  "filetype_spdiscussionboardlist": "Paneles de discusión",
  "spdocumentlibrarylist": "Biblioteca de documentos",
  "filetype_spdocumentlibrarylist": "Biblioteca de documentos",
  "spevent": "Evento",
  "filetype_spevent": "Evento",
  "speventlist": "Eventos",
  "filetype_speventlist": "Eventos",
  "spformlibrarylist": "Biblioteca de formularios",
  "filetype_spformlibrarylist": "Biblioteca de formularios",
  "spissue": "Problema",
  "filetype_spissue": "Problema",
  "spissuelist": "Problemas",
  "filetype_spissuelist": "Problemas",
  "splink": "Vínculo",
  "filetype_splink": "Vínculo",
  "splinklist": "Vínculos",
  "filetype_splinklist": "Vínculos",
  "sppicturelibrarylist": "Biblioteca de imágenes",
  "filetype_sppicturelibrarylist": "Biblioteca de imágenes",
  "spsurvey": "Encuesta",
  "filetype_spsurvey": "Encuesta",
  "spsurveylist": "Encuestas",
  "filetype_spsurveylist": "Encuestas",
  "sptask": "Tarea",
  "filetype_sptask": "Tarea",
  "sptasklist": "Tareas",
  "filetype_sptasklist": "Tareas",
  "spagenda": "Agenda",
  "filetype_spagenda": "Agenda",
  "spagendalist": "Agendas",
  "filetype_spagendalist": "Agendas",
  "spattendee": "Asistente",
  "filetype_spattendee": "Asistente",
  "spattendeelist": "Asistentes",
  "filetype_spattendeelist": "Asistentes",
  "spcustomgridlist": "Cuadrículas personalizadas",
  "filetype_spcustomgridlist": "Cuadrículas personalizadas",
  "spdecision": "Decisión",
  "filetype_spdecision": "Decisión",
  "spdecisionlist": "Decisiones",
  "filetype_spdecisionlist": "Decisiones",
  "spobjective": "Objetivo",
  "filetype_spobjective": "Objetivo",
  "spobjectivelist": "Objetivos",
  "filetype_spobjectivelist": "Objetivos",
  "sptextbox": "Cuadro de texto",
  "filetype_sptextbox": "Cuadro de texto",
  "sptextboxlist": "Lista de cuadros de texto",
  "filetype_sptextboxlist": "Lista de cuadros de texto",
  "spthingstobring": "Elemento que aportar",
  "filetype_spthingstobring": "Elemento que aportar",
  "spthingstobringlist": "Elementos que aportar",
  "filetype_spthingstobringlist": "Elementos que aportar",
  "sparealisting": "Listado de área",
  "filetype_sparealisting": "Listado de área",
  "spmeetingserie": "Serie de reuniones",
  "filetype_spmeetingserie": "Serie de reuniones",
  "spmeetingserielist": "Lista de series de reuniones",
  "filetype_spmeetingserielist": "Lista de series de reuniones",
  "spsitedirectory": "Elemento del directorio de sitios",
  "filetype_spsitedirectory": "Elemento del directorio de sitios",
  "spsitedirectorylist": "Directorio de sitios",
  "filetype_spsitedirectorylist": "Directorio de sitios",
  "spdatasource": "Fuente de datos",
  "filetype_spdatasource": "Fuente de datos",
  "spdatasourcelist": "Lista de fuentes de datos",
  "filetype_spdatasourcelist": "Lista de fuentes de datos",
  "splisttemplatecataloglist": "Galería de plantillas de listas",
  "filetype_splisttemplatecataloglist": "Galería de plantillas de listas",
  "spwebpartcataloglist": "Galería de elementos web",
  "filetype_spwebpartcataloglist": "Galería de elementos web",
  "spwebtemplatecataloglist": "Galería de plantillas de sitio",
  "filetype_spwebtemplatecataloglist": "Galería de plantillas de sitio",
  "spworkspacepagelist": "Páginas del área de trabajo",
  "filetype_spworkspacepagelist": "Páginas del área de trabajo",
  "spunknownlist": "Lista personalizada",
  "filetype_spunknownlist": "Lista personalizada",
  "spadministratortask": "Tarea del administrador",
  "filetype_spadministratortask": "Tarea del administrador",
  "spadministratortasklist": "Tareas del administrador",
  "filetype_spadministratortasklist": "Tareas del administrador",
  "spareadocumentlibrarylist": "Biblioteca de documentos del área",
  "filetype_spareadocumentlibrarylist": "Biblioteca de documentos del área",
  "spblogcategory": "Categoría del blog",
  "filetype_spblogcategory": "Categoría del blog",
  "spblogcategorylist": "Categorías del blog",
  "filetype_spblogcategorylist": "Categorías del blog",
  "spblogcomment": "Comentario del blog",
  "filetype_spblogcomment": "Comentario del blog",
  "spblogcommentlist": "Comentarios del blog",
  "filetype_spblogcommentlist": "Comentarios del blog",
  "spblogpost": "Publicación del blog",
  "filetype_spblogpost": "Publicación del blog",
  "spblogpostlist": "Publicaciones del blog",
  "filetype_spblogpostlist": "Publicaciones del blog",
  "spdataconnectionlibrarylist": "Biblioteca de conexión de datos",
  "filetype_spdataconnectionlibrarylist": "Biblioteca de conexión de datos",
  "spdistributiongroup": "Grupo de distribución",
  "filetype_spdistributiongroup": "Grupo de distribución",
  "spdistributiongrouplist": "Grupos de distribución",
  "filetype_spdistributiongrouplist": "Grupos de distribución",
  "spipfslist": "Servidores de formularios InfoPath",
  "filetype_spipfslist": "Servidores de formularios InfoPath",
  "spkeyperformanceindicator": "Indicador de rendimiento clave",
  "filetype_spkeyperformanceindicator": "Indicador de rendimiento clave",
  "spkeyperformanceindicatorlist": "Indicadores de rendimiento clave",
  "filetype_spkeyperformanceindicatorlist": "Indicadores de rendimiento clave",
  "splanguagesandtranslator": "Idiomas y traductor",
  "filetype_splanguagesandtranslator": "Idiomas y traductor",
  "splanguagesandtranslatorlist": "Idiomas y traductores",
  "filetype_splanguagesandtranslatorlist": "Idiomas y traductores",
  "spmasterpagescataloglist": "Galería de página principal",
  "filetype_spmasterpagescataloglist": "Galería de página principal",
  "spnocodeworkflowlibrarylist": "Bibliotecas de flujo de trabajo sin código",
  "filetype_spnocodeworkflowlibrarylist": "Bibliotecas de flujo de trabajo sin código",
  "spprojecttask": "Tarea de proyecto",
  "filetype_spprojecttask": "Tarea de proyecto",
  "spprojecttasklist": "Tareas de proyecto",
  "filetype_spprojecttasklist": "Tareas de proyecto",
  "sppublishingpageslibrarylist": "Biblioteca de páginas",
  "filetype_sppublishingpageslibrarylist": "Biblioteca de páginas",
  "spreportdocumentlibrarylist": "Biblioteca de documentos de informe",
  "filetype_spreportdocumentlibrarylist": "Biblioteca de documentos de informe",
  "spreportlibrarylist": "Bilioteca de informes",
  "filetype_spreportlibrarylist": "Bilioteca de informes",
  "spslidelibrarylist": "Biblioteca de diapositivas",
  "filetype_spslidelibrarylist": "Biblioteca de diapositivas",
  "sptab": "Pestañas",
  "filetype_sptab": "Pestañas",
  "sptablist": "Lista de pestañas",
  "filetype_sptablist": "Lista de pestañas",
  "sptranslationmanagementlibrarylist": "Biblioteca de administración de traducciones",
  "filetype_sptranslationmanagementlibrarylist": "Biblioteca de administración de traducciones",
  "spuserinformation": "Información de usuario",
  "filetype_spuserinformation": "Información de usuario",
  "spuserinformationlist": "Lista de información de usuario",
  "filetype_spuserinformationlist": "Lista de información de usuario",
  "spwikipagelibrarylist": "Biblioteca de páginas wiki",
  "filetype_spwikipagelibrarylist": "Biblioteca de páginas wiki",
  "spworkflowhistory": "Historial del flujo de trabajo",
  "filetype_spworkflowhistory": "Historial del flujo de trabajo",
  "spworkflowhistorylist": "Lista de historial del flujo de trabajo",
  "filetype_spworkflowhistorylist": "Lista de historial del flujo de trabajo",
  "spworkflowprocess": "Proceso personalizado del flujo de trabajo",
  "filetype_spworkflowprocess": "Proceso personalizado del flujo de trabajo",
  "spworkflowprocesslist": "Procesos personalizados del flujo de trabajo",
  "filetype_spworkflowprocesslist": "Procesos personalizados del flujo de trabajo",
  "sppublishingimageslibrarylist": "Biblioteca de imágenes de publicación",
  "filetype_sppublishingimageslibrarylist": "Biblioteca de imágenes de publicación",
  "spcirculation": "Circulación",
  "filetype_spcirculation": "Circulación",
  "spcirculationlist": "Circulaciones",
  "filetype_spcirculationlist": "Circulaciones",
  "spdashboardslibrarylist": "Biblioteca de los paneles de información",
  "filetype_spdashboardslibrarylist": "Biblioteca de los paneles de información",
  "spdataconnectionforperformancepointlibrarylist": "Biblioteca de conexiones de datos de PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Biblioteca de conexiones de datos de PerformancePoint",
  "sphealthreport": "Informe de mantenimiento",
  "filetype_sphealthreport": "Informe de mantenimiento",
  "sphealthreportlist": "Informes de mantenimiento",
  "filetype_sphealthreportlist": "Informes de mantenimiento",
  "sphealthrule": "Regla de mantenimiento",
  "filetype_sphealthrule": "Regla de mantenimiento",
  "sphealthrulelist": "Reglas de mantenimiento",
  "filetype_sphealthrulelist": "Reglas de mantenimiento",
  "spimedictionary": "Diccionario IME",
  "filetype_spimedictionary": "Diccionario IME",
  "spimedictionarylist": "Diccionarios IME",
  "filetype_spimedictionarylist": "Diccionarios IME",
  "spperformancepointcontent": "Contenido de PerformancePoint",
  "filetype_spperformancepointcontent": "Contenido de PerformancePoint",
  "spperformancepointcontentlist": "Contenidos de PerformancePoint",
  "filetype_spperformancepointcontentlist": "Contenidos de PerformancePoint",
  "spphonecallmemo": "Memo de llamada telefónica",
  "filetype_spphonecallmemo": "Memo de llamada telefónica",
  "spphonecallmemolist": "Memos de llamadas telefónicas",
  "filetype_spphonecallmemolist": "Memos de llamadas telefónicas",
  "sprecordlibrarylist": "Biblioteca de registros",
  "filetype_sprecordlibrarylist": "Biblioteca de registros",
  "spresource": "Recurso",
  "filetype_spresource": "Recurso",
  "spresourcelist": "Recursos",
  "filetype_spresourcelist": "Recursos",
  "spprocessdiagramslibrarylist": "Biblioteca de diagramas de procesos",
  "filetype_spprocessdiagramslibrarylist": "Biblioteca de diagramas de procesos",
  "spsitethemeslibrarylist": "Biblioteca de temas del sitio",
  "filetype_spsitethemeslibrarylist": "Biblioteca de temas del sitio",
  "spsolutionslibrarylist": "Biblioteca de soluciones",
  "filetype_spsolutionslibrarylist": "Biblioteca de soluciones",
  "spwfpublibrarylist": "Biblioteca de WFPUB",
  "filetype_spwfpublibrarylist": "Biblioteca de WFPUB",
  "spwhereabout": "Localización",
  "filetype_spwhereabout": "Localización",
  "spwhereaboutlist": "Localizaciones",
  "filetype_spwhereaboutlist": "Localizaciones",
  "spdocumentlink": "Vínculo a un documento",
  "filetype_spdocumentlink": "Vínculo a un documento",
  "spdocumentset": "Conjunto de documentos",
  "filetype_spdocumentset": "Conjunto de documentos",
  "spmicrofeedpost": "Publicación de microfeed",
  "filetype_spmicrofeedpost": "Publicación de microfeed",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Carpeta de listas",
  "filetype_splistfolder": "Carpeta de listas",
  "Unknown": "Desconocido",
  "And": "Y",
  "Authenticating": "Autenticando {0}...",
  "Clear": "Borrar {0}",
  "CompleteQuery": "Consulta completa",
  "Exclude": "Excluir {0}",
  "EnterTag": "Añadir etiqueta",
  "Next": "Siguiente",
  "Last": "Última",
  "Link": "Enlace",
  "Or": "O",
  "Previous": "Anterior",
  "QueryDidntMatchAnyDocuments": "Su consulta no coincide con ningún documento.",
  "QueryException": "Su consulta tiene un error: {0}.",
  "Me": "Yo",
  "Remove": "Eliminar",
  "Search": "Buscar",
  "SearchFor": "Buscar {0}",
  "ShareQuery": "Compartir consulta",
  "Preferences": "Preferencias",
  "LinkOpeningSettings": "Configuración de apertura de enlace",
  "Reauthenticate": "Volver a autenticar {0}",
  "ResultsFilteringExpression": "Expresiones de filtrado de resultados",
  "FiltersInYourPreferences": "Filtros en sus preferencias",
  "Create": "Crear",
  "SearchIn": "Buscar en {0}",
  "Seconds": "en {0} segundo<pl>s</pl>",
  "ShowingResultsOf": "Resultado<pl>s</pl> {0}<pl>-{1}</pl> de {2}",
  "ShowingResultsOfWithQuery": "Resultado<pl>s</pl> {0}<pl>-{1}</pl> de {2} para {3}",
  "SwitchTo": "Cambiar a {0}",
  "Unexclude": "No excluir {0}",
  "ClearAllFilters": "Borrar todos los filtros",
  "SkipLogin": "Omitir inicio de sesión",
  "LoginInProgress": "Iniciando sesión. Por favor, espere...",
  "Login": "Iniciar sesión",
  "GetStarted": "Empezar",
  "More": "Más",
  "NMore": "{0} más...",
  "Less": "Menos",
  "Settings": "Configuración",
  "Score": "Relevancia",
  "ScoreDescription": "La relevancia se calcula a partir del número de apariciones, así como de la posición en el conjunto de resultados.",
  "Occurrences": "Apariciones",
  "OccurrencesDescription": "Ordenar por número de apariciones, con los valores que tienen un número superior primero.",
  "Label": "Etiqueta",
  "Of": "de",
  "LabelDescription": "Ordenar alfabéticamente en los valores de campo.",
  "Value": "Valor",
  "ValueDescription": "Ordenar por los valores del primer campo computado.",
  "AlphaAscending": "Valor ascendente",
  "AlphaDescending": "Valor descendente",
  "ChiSquare": "Chi cuadrado",
  "Nosort": "No ordenar",
  "NosortDescription": "No ordenar los valores. Los valores se devolverán en orden aleatorio.",
  "RelativeFrequency": "Frecuencia relativa",
  "RelativeFrequencyDescription": "Ordenar según la frecuencia relativa de los valores. Los valores menos comunes aparecerán más arriba.",
  "DateDistribution": "Distribución de fecha",
  "Custom": "Personalizado",
  "CustomDescription": "Ordenar según un pedido personalizado.",
  "ComputedField": "Campo computado",
  "Ascending": "Ascendente",
  "Descending": "Descendente",
  "noResultFor": "No hay resultados para {0}",
  "noResult": "No hay resultados",
  "autoCorrectedQueryTo": "La consulta se ha corregido automáticamente a {0}",
  "didYouMean": "¿Querías decir...? {0}",
  "SuggestedResults": "Resultados sugeridos",
  "SuggestedQueries": "Consultas sugeridas",
  "MostRelevantItems": "Elementos más relevantes",
  "AllItems": "Todos los elementos:",
  "ShowLess": "Mostrar menos",
  "ShowMore": "Mostrar más",
  "HideFacet": "Ocultar faceta",
  "ShowFacet": "Mostrar faceta",
  "AndOthers": "y {0} otro<pl>s</pl>",
  "Others": "{0} otro<pl>s</pl>",
  "MostRelevantPosts": "Publicaciones más relevantes:",
  "CompleteThread": "Hilo completo:",
  "ShowCompleteThread": "Mostrar hilo completo",
  "ShowOnlyTopMatchingPosts": "Mostrar solo publicaciones de mayor coincidencia",
  "MostRelevantReplies": "Respuestas más relevantes:",
  "AllConversation": "Toda la conversación:",
  "ShowAllConversation": "Mostrar toda la conversación",
  "ShowAllReplies": "Mostrar todas las respuestas",
  "ShowOnlyMostRelevantReplies": "Mostrar solo las respuestas más relevantes",
  "Close": "Cerrar",
  "Open": "Abrir",
  "OpenInOutlookWhenPossible": "Abrir en Outlook (si es posible)",
  "AlwaysOpenInNewWindow": "Abrir resultados siempre en ventana nueva",
  "Quickview": "Vista rápida",
  "NoQuickview": "La vista rápida de este documento no está disponible",
  "ErrorReport": "Informe de errores",
  "OopsError": "Algo ha fallado en el servidor.",
  "ProblemPersists": "Si el problema persiste, póngase en contacto con el administrador.",
  "GoBack": "Ir atrás",
  "Reset": "Restablecer",
  "Retry": "Reintentar",
  "MoreInfo": "Más información",
  "Username": "Nombre de usuario",
  "Password": "Contraseña",
  "PostedBy": "Publicado por",
  "CannotConnect": "No se puede establecer conexión con la dirección del servidor.",
  "BadUserPass": "La contraseña no coincide con el nombre de usuario.",
  "PleaseEnterYourCredentials": "Introduzca sus credenciales para {0}.",
  "PleaseEnterYourSearchPage": "Introduzca la URL de su página de búsqueda",
  "Collapse": "Contraer",
  "Collapsable": "Contraíble",
  "Expand": "Expandir",
  "Today": "Hoy",
  "Yesterday": "Ayer",
  "Tomorrow": "Mañana",
  "Duration": "Duración: {0}",
  "IndexDuration": "Duración de índice: {0}",
  "ProxyDuration": "Duración de proxy: {0}",
  "ClientDuration": "Duración de cliente: {0}",
  "Unavailable": "No disponible",
  "Reply": "Responder",
  "ReplyAll": "Responder a todos",
  "Forward": "Reenviar",
  "From": "De",
  "Caption": "Leyenda",
  "Expression": "Expresión",
  "Tab": "Ficha",
  "Tabs": "Fichas",
  "EnterExpressionName": "Introducir nombre de expresión",
  "EnterExpressionToFilterWith": "Introducir expresión con la que filtrar resultados",
  "SelectTab": "Seleccionar ficha",
  "SelectAll": "Seleccionar todo",
  "PageUrl": "URL de página de búsqueda",
  "ErrorSavingToDevice": "Error al intentar guardar la información en su dispositivo",
  "ErrorReadingFromDevice": "Error al intentar guardar la información desde su dispositivo",
  "AppIntro": "Hable con un especialista en el producto que pueda responder a sus preguntas sobre Coveo y le ayude a decidir qué solución Coveo se adapta a sus necesidades. O pruebe una versión de prueba.",
  "TryDemo": "Probar la versión de prueba",
  "ContactUs": "Contacte con nosotros",
  "NewToCoveo": "¿Es la primera vez que usa Coveo?",
  "LetUsHelpGetStarted": "Le ayudaremos a empezar a utilizarlo",
  "LikesThis": "A {0} persona<pl>s</pl> le<pl>s</pl> gusta esto.",
  "CannotConnectSearchPage": "No se puede establecer conexión con su página de búsqueda",
  "AreYouSureDeleteFilter": "¿Seguro que desea eliminar el filtro {0} con la expresión {1}?",
  "OnlineHelp": "Ayuda en línea",
  "Done": "Finalizado",
  "SaveFacetState": "Guardar este estado de faceta",
  "ClearFacetState": "Borrar el estado de faceta",
  "DisplayingTheOnlyMessage": "Mostrando el único mensaje de esta conversación",
  "NoNetworkConnection": "Sin conexión de red",
  "UnknownConnection": "Conexión desconocida",
  "EthernetConnection": "Conexión Ethernet",
  "WiFi": "Conexión WiFi",
  "CELL": "Conexión por móvil",
  "CELL_2G": "Conexión por móvil 2G",
  "CELL_3G": "Conexión por móvil 3G",
  "CELL_4G": "Conexión por móvil 4G",
  "Relevance": "Relevancia",
  "Date": "Fecha",
  "Amount": "Cantidad",
  "QueryExceptionNoException": "Sin excepciones",
  "QueryExceptionInvalidSyntax": "Sintaxis no válida",
  "QueryExceptionInvalidCustomField": "Campo personalizado no válido",
  "QueryExceptionInvalidDate": "Fecha no válida",
  "QueryExceptionInvalidExactPhrase": "Frase exacta no válida",
  "QueryExceptionInvalidDateOp": "Operador de fecha no válido",
  "QueryExceptionInvalidNear": "Operador NEAR no válido",
  "QueryExceptionInvalidWeightedNear": "NEAR ponderado no válido",
  "QueryExceptionInvalidTerm": "Término no válido",
  "QueryExceptionTooManyTerms": "Demasiados términos",
  "QueryExceptionWildcardTooGeneral": "Carácter comodín demasiado general",
  "QueryExceptionInvalidSortField": "Campo de ordenación no válido",
  "QueryExceptionInvalidSmallStringOp": "Operador de cadenas pequeñas no válido",
  "QueryExceptionRequestedResultsMax": "Máximo de resultados solicitados",
  "QueryExceptionAggregatedMirrorDead": "El reflejo agregado no está conectado",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Tiempo de espera agotado para consulta de reflejo agregado",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Número de versión no válido para reflejo agregado",
  "QueryExceptionAggregatedMirrorCannotConnect": "El reflejo agregado no puede establecer conexión",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "No hay suficientes comodines de carácter inicial",
  "QueryExceptionSecurityInverterNotFound": "No se ha encontrado el inversor de seguridad",
  "QueryExceptionSecurityInverterAccessDenied": "Acceso de inversor de seguridad denegado",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "El reflejo agregado no puede suplantar",
  "QueryExceptionUnexpected": "Inesperado",
  "QueryExceptionAccessDenied": "Acceso denegado",
  "QueryExceptionSuperUserTokenInvalid": "Token de superusuario no válido",
  "QueryExceptionSuperUserTokenExpired": "El token de superusuario ha vencido",
  "QueryExceptionLicenseQueriesExpired": "La licencia de consultas ha vencido",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "El token de superusuario de licencia no es compatible",
  "QueryExceptionInvalidSession": "Sesión no válida",
  "QueryExceptionInvalidDocument": "Documento no válido",
  "QueryExceptionSearchDisabled": "Búsqueda deshabilitada",
  "FileType": "Tipo de archivo",
  "ShowAttachment": "Mostrar adjunto",
  "OnFeed": "en el feed de {0}.",
  "Author": "Autor",
  "NoTitle": "Sin título",
  "CurrentSelections": "Selecciones actuales",
  "AllContent": "Todo el contenido",
  "CancelLastAction": "Cancelar última acción",
  "SearchTips": "Sugerencias de búsqueda",
  "CheckSpelling": "Compruebe la ortografía de las palabras clave.",
  "TryUsingFewerKeywords": "Pruebe a utilizar menos palabras, o palabras distintas o más generales.",
  "SelectFewerFilters": "Seleccione menos filtros para ampliar su búsqueda.",
  "Document": "Documento",
  "Time": "Hora",
  "StartDate": "Fecha de comienzo",
  "StartTime": "Tiempo de comienzo",
  "DurationTitle": "Duración",
  "UserQuery": "Consulta del usuario",
  "ShowUserActions": "Mostrar acciones del usuario",
  "NoData": "Ningún dato disponible",
  "EventType": "Tipo de evento",
  "GoToFullSearch": "Búsqueda completa",
  "GoToEdition": "Personalizar panel",
  "RemoveContext": "Eliminar contexto",
  "BoxAttachToCase": "Agregar a la consulta",
  "AttachToCase": "Agregar a la consulta",
  "Attach": "Agregar",
  "Attached": "Agregado",
  "Detach": "Quitar",
  "Details": "Detalles",
  "AdditionalFilters": "Filtros adicionales",
  "SelectNonContextualSearch": "Eliminar contexto del actual registro para ampliar la búsqueda",
  "CopyPasteToSupport": "Copiar y pegar este mensaje al equipo de soporte técnico de Coveo para obtener más información.",
  "FollowQueryDescription": "Avisarme cuando haya cambios en los resultados de búsqueda de esta consulta.",
  "SearchAlerts_Panel": "Gestionar alertas",
  "SearchAlerts_PanelDescription": "Ver y gestionar sus alertas de búsqueda.",
  "SearchAlerts_PanelNoSearchAlerts": "No tiene ninguna suscripción.",
  "SearchAlerts_Fail": "El servicio de alertas de búsqueda no está actualmente disponible.",
  "SearchAlerts_Type": "Tipo",
  "SearchAlerts_Content": "Contenido",
  "SearchAlerts_Actions": "Acción",
  "EmptyQuery": "<vacío>",
  "SearchAlerts_Type_followQuery": "Consulta",
  "SearchAlerts_Type_followDocument": "Elemento",
  "SearchAlerts_unFollowing": "No dar seguimiento",
  "SearchAlerts_follow": "Dar seguimiento",
  "SearchAlerts_followed": "Con seguimiento",
  "SearchAlerts_followQuery": "Dar seguimiento a la consulta",
  "Subscription_StopFollowingQuery": "Detener seguimiento de consulta",
  "SearchAlerts_Frequency": "Cuándo",
  "SubscriptionsManageSubscriptions": "Gestionar alertas",
  "SubscriptionsMessageFollowQuery": "Recibirá alertas cuando la consulta <b>{0}</b> le devuelva elementos nuevos o actualizados.",
  "SubscriptionsMessageFollow": "Recibirá alertas cuando se realicen cambios en el elemento <b>{0}</b>.",
  "Expiration": "Vencimiento",
  "Monthly": "Mensual",
  "Daily": "Diariamente",
  "Monday": "Lunes",
  "Tuesday": "Martes",
  "Wednesday": "Miércoles",
  "Thursday": "Jueves",
  "Friday": "Viernes",
  "Saturday": "Sábado",
  "Sunday": "Domingo",
  "NextDay": "Siguientes {0}",
  "LastDay": "Últimos {0}",
  "StartTypingCaseForSuggestions": "Describa su problema para ver las posibles soluciones",
  "ExportToExcel": "Exportar a Excel",
  "ExportToExcelDescription": "Exportar resultados de búsqueda a Excel",
  "CaseCreationNoResults": "No se encontró ninguna solución recomendada",
  "SortBy": "Ordenar por",
  "BoxCreateArticle": "Crear artículo",
  "Facets": "Facetas",
  "AdvancedSearch": "Búsqueda avanzada",
  "Keywords": "Palabras clave",
  "AllTheseWords": "Todas estas palabras",
  "ExactPhrase": "Esta frase exacta",
  "AnyOfTheseWords": "Cualquiera de estas palabras",
  "NoneOfTheseWords": "Ninguna de estas palabras",
  "Anytime": "Cualquier momento",
  "InTheLast": "En los últimos",
  "Days": "días",
  "Months": "meses",
  "Month": "Mes",
  "Year": "Año",
  "Between": "Entre",
  "Language": "Idioma",
  "Size": "Tamaño",
  "AtLeast": "como mínimo",
  "AtMost": "como máximo",
  "Contains": "contiene",
  "DoesNotContain": "no contiene",
  "Matches": "coincidencias",
  "Bytes": "bytes",
  "card": "Tarjeta",
  "table": "Tabla",
  "ResultLinks": "Vínculos de resultado",
  "EnableQuerySyntax": "Activar la sintaxis de búsqueda",
  "On": "Activado",
  "Off": "Desactivado",
  "Automatic": "Automático",
  "ResultsPerPage": "Resultados por página",
  "PreviousMonth": "Mes anterior",
  "NextMonth": "Mes siguiente",
  "Title": "Título",
  "DeselectFilterValues": "Quitar los filtros activos en el campo {0}",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["es-ES"] = merge(locales["es-ES"], dict);
  String["toLocaleString"].call(this, { "es-ES": dict });
  String["locale"] = "es-ES";
  String["defaultLocale"] = "en";
  Globalize.culture("es-ES")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Usuario",
  "filetype_box user": "Usuario",
  "html": "Archivo HTML",
  "filetype_html": "Archivo HTML",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Página web",
  "filetype_webscraperwebpage": "Página web",
  "image": "Imagen",
  "filetype_image": "Imagen",
  "folder": "Carpeta",
  "filetype_folder": "Carpeta",
  "txt": "Texto",
  "filetype_txt": "Texto",
  "zip": "Archivo Zip",
  "filetype_zip": "Archivo Zip",
  "olefile": "Archivo OLE",
  "filetype_olefile": "Archivo OLE",
  "gmailmessage": "Mensaje de Gmail",
  "filetype_gmailmessage": "Mensaje de Gmail",
  "pdf": "Archivo PDF",
  "filetype_pdf": "Archivo PDF",
  "swf": "Archivo Flash",
  "filetype_swf": "Archivo Flash",
  "xml": "Archivo XML",
  "filetype_xml": "Archivo XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Feed RSS",
  "filetype_rssitem": "Feed RSS",
  "doc": "Documento",
  "filetype_doc": "Documento",
  "docx": "Documento de Microsoft Word",
  "filetype_docx": "Documento de Microsoft Word",
  "xls": "Hoja de cálculo",
  "filetype_xls": "Hoja de cálculo",
  "ppt": "Presentación",
  "filetype_ppt": "Presentación",
  "video": "Vídeo",
  "filetype_video": "Vídeo",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Documento de Open Text",
  "filetype_odt": "Documento de Open Text",
  "lithiummessage": "Mensaje de Lithium",
  "filetype_lithiummessage": "Mensaje de Lithium",
  "lithiumthread": "Conversación de Lithium",
  "filetype_lithiumthread": "Conversación de Lithium",
  "lithiumboard": "Panel de Lithium",
  "filetype_lithiumboard": "Panel de Lithium",
  "lithiumcategory": "Categoría de Lithium",
  "filetype_lithiumcategory": "Categoría de Lithium",
  "lithiumcommunity": "Comunidad de Lithium",
  "filetype_lithiumcommunity": "Comunidad de Lithium",
  "people": "Usuario",
  "objecttype_people": "Usuario",
  "message": "Mensaje",
  "objecttype_message": "Mensaje",
  "feed": "Feed RSS",
  "objecttype_feed": "Feed RSS",
  "thread": "Conversación",
  "objecttype_thread": "Conversación",
  "file": "Archivo",
  "objecttype_file": "Archivo",
  "board": "Panel",
  "objecttype_board": "Panel",
  "category": "Categoría",
  "objecttype_category": "Categoría",
  "account": "Cuenta",
  "objecttype_account": "Cuenta",
  "annotation": "Nota",
  "objecttype_annotation": "Nota",
  "campaign": "Campaña",
  "objecttype_campaign": "Campaña",
  "case": "Consulta",
  "objecttype_case": "Consulta",
  "contact": "Contacto",
  "objecttype_contact": "Contacto",
  "contract": "Contrato",
  "objecttype_contract": "Contrato",
  "event": "Evento",
  "objecttype_event": "Evento",
  "email": "Correo electrónico",
  "objecttype_email": "Correo electrónico",
  "goal": "Objetivo",
  "objecttype_goal": "Objetivo",
  "objecttype_incident": "Consulta",
  "invoice": "Factura",
  "objecttype_invoice": "Factura",
  "lead": "Cliente potencial",
  "objecttype_lead": "Cliente potencial",
  "list": "Lista",
  "objecttype_list": "Lista de marketing",
  "solution": "Solución",
  "objecttype_solution": "Solución",
  "task": "Tarea",
  "objecttype_task": "Tarea",
  "user": "Usuario",
  "objecttype_user": "Usuario",
  "attachment": "Archivo adjunto",
  "objecttype_attachment": "Archivo adjunto",
  "casecomment": "Comentario sobre una consulta",
  "objecttype_casecomment": "Comentario sobre una consulta",
  "opportunity": "Oportunidad",
  "objecttype_opportunity": "Oportunidad",
  "opportunityproduct": "Producto de oportunidad",
  "objecttype_opportunityproduct": "Producto de oportunidad",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Nota",
  "objecttype_note": "Nota",
  "product": "Producto",
  "objecttype_product": "Producto",
  "partner": "Socio",
  "objecttype_partner": "Socio",
  "queueitem": "Elemento en cola",
  "objecttype_queueitem": "Elemento en cola",
  "quote": "Presupuesto",
  "objecttype_quote": "Presupuesto",
  "salesliterature": "Documentación de ventas",
  "objecttype_salesliterature": "Documentación de ventas",
  "salesorder": "Pedido",
  "objecttype_salesorder": "Pedido",
  "service": "Servicio",
  "objecttype_service": "Servicio",
  "socialprofile": "Perfil social",
  "objecttype_socialprofile": "Perfil social",
  "kbdocumentation": "Documentación",
  "objecttype_kbdocumentation": "Documentación",
  "kbtechnicalarticle": "Documentación",
  "objecttype_kbtechnicalarticle": "Documentación",
  "kbsolution": "Solución",
  "objecttype_kbsolution": "Solución",
  "kbknowledgearticle": "Artículo de base de conocimiento",
  "objecttype_kbknowledgearticle": "Artículo de base de conocimiento",
  "kbattachment": "Archivo adjunto",
  "objecttype_kbattachment": "Archivo adjunto",
  "kbarticle": "Artículo",
  "objecttype_kbarticle": "Artículo",
  "kbarticlecomment": "Comentario del artículo",
  "objecttype_kbarticlecomment": "Comentario del artículo",
  "knowledgearticle": "Artículo de base de conocimiento",
  "objecttype_knowledgearticle": "Artículo de base de conocimiento",
  "topic": "Tema",
  "objecttype_topic": "Tema",
  "dashboard": "Panel de información",
  "objecttype_dashboard": "Panel de información",
  "contentversion": "Documento",
  "objecttype_contentversion": "Documento",
  "collaborationgroup": "Grupo de colaboración",
  "objecttype_collaborationgroup": "Grupo de colaboración",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Sitio",
  "filetype_spsite": "Sitio",
  "spuserprofile": "Usuario de SharePoint",
  "filetype_spuserprofile": "Usuario de SharePoint",
  "sparea": "Área",
  "filetype_sparea": "Área",
  "spannouncement": "Anuncio",
  "filetype_spannouncement": "Anuncio",
  "spannouncementlist": "Anuncios",
  "filetype_spannouncementlist": "Anuncios",
  "spcontact": "Contacto",
  "filetype_spcontact": "Contacto",
  "spcontactlist": "Contactos",
  "filetype_spcontactlist": "Contactos",
  "spcustomlist": "Listas personalizadas",
  "filetype_spcustomlist": "Listas personalizadas",
  "spdiscussionboard": "Panel de discusión",
  "filetype_spdiscussionboard": "Panel de discusión",
  "spdiscussionboardlist": "Paneles de discusión",
  "filetype_spdiscussionboardlist": "Paneles de discusión",
  "spdocumentlibrarylist": "Biblioteca de documentos",
  "filetype_spdocumentlibrarylist": "Biblioteca de documentos",
  "spevent": "Evento",
  "filetype_spevent": "Evento",
  "speventlist": "Eventos",
  "filetype_speventlist": "Eventos",
  "spformlibrarylist": "Biblioteca de formularios",
  "filetype_spformlibrarylist": "Biblioteca de formularios",
  "spissue": "Problema",
  "filetype_spissue": "Problema",
  "spissuelist": "Problemas",
  "filetype_spissuelist": "Problemas",
  "splink": "Vínculo",
  "filetype_splink": "Vínculo",
  "splinklist": "Vínculos",
  "filetype_splinklist": "Vínculos",
  "sppicturelibrarylist": "Biblioteca de imágenes",
  "filetype_sppicturelibrarylist": "Biblioteca de imágenes",
  "spsurvey": "Encuesta",
  "filetype_spsurvey": "Encuesta",
  "spsurveylist": "Encuestas",
  "filetype_spsurveylist": "Encuestas",
  "sptask": "Tarea",
  "filetype_sptask": "Tarea",
  "sptasklist": "Tareas",
  "filetype_sptasklist": "Tareas",
  "spagenda": "Agenda",
  "filetype_spagenda": "Agenda",
  "spagendalist": "Agendas",
  "filetype_spagendalist": "Agendas",
  "spattendee": "Asistente",
  "filetype_spattendee": "Asistente",
  "spattendeelist": "Asistentes",
  "filetype_spattendeelist": "Asistentes",
  "spcustomgridlist": "Cuadrículas personalizadas",
  "filetype_spcustomgridlist": "Cuadrículas personalizadas",
  "spdecision": "Decisión",
  "filetype_spdecision": "Decisión",
  "spdecisionlist": "Decisiones",
  "filetype_spdecisionlist": "Decisiones",
  "spobjective": "Objetivo",
  "filetype_spobjective": "Objetivo",
  "spobjectivelist": "Objetivos",
  "filetype_spobjectivelist": "Objetivos",
  "sptextbox": "Cuadro de texto",
  "filetype_sptextbox": "Cuadro de texto",
  "sptextboxlist": "Lista de cuadros de texto",
  "filetype_sptextboxlist": "Lista de cuadros de texto",
  "spthingstobring": "Elemento que aportar",
  "filetype_spthingstobring": "Elemento que aportar",
  "spthingstobringlist": "Elementos que aportar",
  "filetype_spthingstobringlist": "Elementos que aportar",
  "sparealisting": "Listado de área",
  "filetype_sparealisting": "Listado de área",
  "spmeetingserie": "Serie de reuniones",
  "filetype_spmeetingserie": "Serie de reuniones",
  "spmeetingserielist": "Lista de series de reuniones",
  "filetype_spmeetingserielist": "Lista de series de reuniones",
  "spsitedirectory": "Elemento del directorio de sitios",
  "filetype_spsitedirectory": "Elemento del directorio de sitios",
  "spsitedirectorylist": "Directorio de sitios",
  "filetype_spsitedirectorylist": "Directorio de sitios",
  "spdatasource": "Fuente de datos",
  "filetype_spdatasource": "Fuente de datos",
  "spdatasourcelist": "Lista de fuentes de datos",
  "filetype_spdatasourcelist": "Lista de fuentes de datos",
  "splisttemplatecataloglist": "Galería de plantillas de listas",
  "filetype_splisttemplatecataloglist": "Galería de plantillas de listas",
  "spwebpartcataloglist": "Galería de elementos web",
  "filetype_spwebpartcataloglist": "Galería de elementos web",
  "spwebtemplatecataloglist": "Galería de plantillas de sitio",
  "filetype_spwebtemplatecataloglist": "Galería de plantillas de sitio",
  "spworkspacepagelist": "Páginas del área de trabajo",
  "filetype_spworkspacepagelist": "Páginas del área de trabajo",
  "spunknownlist": "Lista personalizada",
  "filetype_spunknownlist": "Lista personalizada",
  "spadministratortask": "Tarea del administrador",
  "filetype_spadministratortask": "Tarea del administrador",
  "spadministratortasklist": "Tareas del administrador",
  "filetype_spadministratortasklist": "Tareas del administrador",
  "spareadocumentlibrarylist": "Biblioteca de documentos del área",
  "filetype_spareadocumentlibrarylist": "Biblioteca de documentos del área",
  "spblogcategory": "Categoría del blog",
  "filetype_spblogcategory": "Categoría del blog",
  "spblogcategorylist": "Categorías del blog",
  "filetype_spblogcategorylist": "Categorías del blog",
  "spblogcomment": "Comentario del blog",
  "filetype_spblogcomment": "Comentario del blog",
  "spblogcommentlist": "Comentarios del blog",
  "filetype_spblogcommentlist": "Comentarios del blog",
  "spblogpost": "Publicación del blog",
  "filetype_spblogpost": "Publicación del blog",
  "spblogpostlist": "Publicaciones del blog",
  "filetype_spblogpostlist": "Publicaciones del blog",
  "spdataconnectionlibrarylist": "Biblioteca de conexión de datos",
  "filetype_spdataconnectionlibrarylist": "Biblioteca de conexión de datos",
  "spdistributiongroup": "Grupo de distribución",
  "filetype_spdistributiongroup": "Grupo de distribución",
  "spdistributiongrouplist": "Grupos de distribución",
  "filetype_spdistributiongrouplist": "Grupos de distribución",
  "spipfslist": "Servidores de formularios InfoPath",
  "filetype_spipfslist": "Servidores de formularios InfoPath",
  "spkeyperformanceindicator": "Indicador de rendimiento clave",
  "filetype_spkeyperformanceindicator": "Indicador de rendimiento clave",
  "spkeyperformanceindicatorlist": "Indicadores de rendimiento clave",
  "filetype_spkeyperformanceindicatorlist": "Indicadores de rendimiento clave",
  "splanguagesandtranslator": "Idiomas y traductor",
  "filetype_splanguagesandtranslator": "Idiomas y traductor",
  "splanguagesandtranslatorlist": "Idiomas y traductores",
  "filetype_splanguagesandtranslatorlist": "Idiomas y traductores",
  "spmasterpagescataloglist": "Galería de página principal",
  "filetype_spmasterpagescataloglist": "Galería de página principal",
  "spnocodeworkflowlibrarylist": "Bibliotecas de flujo de trabajo sin código",
  "filetype_spnocodeworkflowlibrarylist": "Bibliotecas de flujo de trabajo sin código",
  "spprojecttask": "Tarea de proyecto",
  "filetype_spprojecttask": "Tarea de proyecto",
  "spprojecttasklist": "Tareas de proyecto",
  "filetype_spprojecttasklist": "Tareas de proyecto",
  "sppublishingpageslibrarylist": "Biblioteca de páginas",
  "filetype_sppublishingpageslibrarylist": "Biblioteca de páginas",
  "spreportdocumentlibrarylist": "Biblioteca de documentos de informe",
  "filetype_spreportdocumentlibrarylist": "Biblioteca de documentos de informe",
  "spreportlibrarylist": "Bilioteca de informes",
  "filetype_spreportlibrarylist": "Bilioteca de informes",
  "spslidelibrarylist": "Biblioteca de diapositivas",
  "filetype_spslidelibrarylist": "Biblioteca de diapositivas",
  "sptab": "Pestañas",
  "filetype_sptab": "Pestañas",
  "sptablist": "Lista de pestañas",
  "filetype_sptablist": "Lista de pestañas",
  "sptranslationmanagementlibrarylist": "Biblioteca de administración de traducciones",
  "filetype_sptranslationmanagementlibrarylist": "Biblioteca de administración de traducciones",
  "spuserinformation": "Información de usuario",
  "filetype_spuserinformation": "Información de usuario",
  "spuserinformationlist": "Lista de información de usuario",
  "filetype_spuserinformationlist": "Lista de información de usuario",
  "spwikipagelibrarylist": "Biblioteca de páginas wiki",
  "filetype_spwikipagelibrarylist": "Biblioteca de páginas wiki",
  "spworkflowhistory": "Historial del flujo de trabajo",
  "filetype_spworkflowhistory": "Historial del flujo de trabajo",
  "spworkflowhistorylist": "Lista de historial del flujo de trabajo",
  "filetype_spworkflowhistorylist": "Lista de historial del flujo de trabajo",
  "spworkflowprocess": "Proceso personalizado del flujo de trabajo",
  "filetype_spworkflowprocess": "Proceso personalizado del flujo de trabajo",
  "spworkflowprocesslist": "Procesos personalizados del flujo de trabajo",
  "filetype_spworkflowprocesslist": "Procesos personalizados del flujo de trabajo",
  "sppublishingimageslibrarylist": "Biblioteca de imágenes de publicación",
  "filetype_sppublishingimageslibrarylist": "Biblioteca de imágenes de publicación",
  "spcirculation": "Circulación",
  "filetype_spcirculation": "Circulación",
  "spcirculationlist": "Circulaciones",
  "filetype_spcirculationlist": "Circulaciones",
  "spdashboardslibrarylist": "Biblioteca de los paneles de información",
  "filetype_spdashboardslibrarylist": "Biblioteca de los paneles de información",
  "spdataconnectionforperformancepointlibrarylist": "Biblioteca de conexiones de datos de PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Biblioteca de conexiones de datos de PerformancePoint",
  "sphealthreport": "Informe de mantenimiento",
  "filetype_sphealthreport": "Informe de mantenimiento",
  "sphealthreportlist": "Informes de mantenimiento",
  "filetype_sphealthreportlist": "Informes de mantenimiento",
  "sphealthrule": "Regla de mantenimiento",
  "filetype_sphealthrule": "Regla de mantenimiento",
  "sphealthrulelist": "Reglas de mantenimiento",
  "filetype_sphealthrulelist": "Reglas de mantenimiento",
  "spimedictionary": "Diccionario IME",
  "filetype_spimedictionary": "Diccionario IME",
  "spimedictionarylist": "Diccionarios IME",
  "filetype_spimedictionarylist": "Diccionarios IME",
  "spperformancepointcontent": "Contenido de PerformancePoint",
  "filetype_spperformancepointcontent": "Contenido de PerformancePoint",
  "spperformancepointcontentlist": "Contenidos de PerformancePoint",
  "filetype_spperformancepointcontentlist": "Contenidos de PerformancePoint",
  "spphonecallmemo": "Memo de llamada telefónica",
  "filetype_spphonecallmemo": "Memo de llamada telefónica",
  "spphonecallmemolist": "Memos de llamadas telefónicas",
  "filetype_spphonecallmemolist": "Memos de llamadas telefónicas",
  "sprecordlibrarylist": "Biblioteca de registros",
  "filetype_sprecordlibrarylist": "Biblioteca de registros",
  "spresource": "Recurso",
  "filetype_spresource": "Recurso",
  "spresourcelist": "Recursos",
  "filetype_spresourcelist": "Recursos",
  "spprocessdiagramslibrarylist": "Biblioteca de diagramas de procesos",
  "filetype_spprocessdiagramslibrarylist": "Biblioteca de diagramas de procesos",
  "spsitethemeslibrarylist": "Biblioteca de temas del sitio",
  "filetype_spsitethemeslibrarylist": "Biblioteca de temas del sitio",
  "spsolutionslibrarylist": "Biblioteca de soluciones",
  "filetype_spsolutionslibrarylist": "Biblioteca de soluciones",
  "spwfpublibrarylist": "Biblioteca de WFPUB",
  "filetype_spwfpublibrarylist": "Biblioteca de WFPUB",
  "spwhereabout": "Localización",
  "filetype_spwhereabout": "Localización",
  "spwhereaboutlist": "Localizaciones",
  "filetype_spwhereaboutlist": "Localizaciones",
  "spdocumentlink": "Vínculo a un documento",
  "filetype_spdocumentlink": "Vínculo a un documento",
  "spdocumentset": "Conjunto de documentos",
  "filetype_spdocumentset": "Conjunto de documentos",
  "spmicrofeedpost": "Publicación de microfeed",
  "filetype_spmicrofeedpost": "Publicación de microfeed",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Carpeta de listas",
  "filetype_splistfolder": "Carpeta de listas",
  "Unknown": "Desconocido",
  "And": "Y",
  "Authenticating": "Autenticando {0}...",
  "Clear": "Borrar {0}",
  "CompleteQuery": "Consulta completa",
  "Exclude": "Excluir {0}",
  "EnterTag": "Añadir etiqueta",
  "Next": "Siguiente",
  "Last": "Última",
  "Link": "Enlace",
  "Or": "O",
  "Previous": "Anterior",
  "QueryDidntMatchAnyDocuments": "Su consulta no coincide con ningún documento.",
  "QueryException": "Su consulta tiene un error: {0}.",
  "Me": "Yo",
  "Remove": "Eliminar",
  "Search": "Buscar",
  "SearchFor": "Buscar {0}",
  "ShareQuery": "Compartir consulta",
  "Preferences": "Preferencias",
  "LinkOpeningSettings": "Configuración de apertura de enlace",
  "Reauthenticate": "Volver a autenticar {0}",
  "ResultsFilteringExpression": "Expresiones de filtrado de resultados",
  "FiltersInYourPreferences": "Filtros en sus preferencias",
  "Create": "Crear",
  "SearchIn": "Buscar en {0}",
  "Seconds": "en {0} segundo<pl>s</pl>",
  "ShowingResultsOf": "Resultado<pl>s</pl> {0}<pl>-{1}</pl> de {2}",
  "ShowingResultsOfWithQuery": "Resultado<pl>s</pl> {0}<pl>-{1}</pl> de {2} para {3}",
  "SwitchTo": "Cambiar a {0}",
  "Unexclude": "No excluir {0}",
  "ClearAllFilters": "Borrar todos los filtros",
  "SkipLogin": "Omitir inicio de sesión",
  "LoginInProgress": "Iniciando sesión. Por favor, espere...",
  "Login": "Iniciar sesión",
  "GetStarted": "Empezar",
  "More": "Más",
  "NMore": "{0} más...",
  "Less": "Menos",
  "Settings": "Configuración",
  "Score": "Relevancia",
  "ScoreDescription": "La relevancia se calcula a partir del número de apariciones, así como de la posición en el conjunto de resultados.",
  "Occurrences": "Apariciones",
  "OccurrencesDescription": "Ordenar por número de apariciones, con los valores que tienen un número superior primero.",
  "Label": "Etiqueta",
  "Of": "de",
  "LabelDescription": "Ordenar alfabéticamente en los valores de campo.",
  "Value": "Valor",
  "ValueDescription": "Ordenar por los valores del primer campo computado.",
  "AlphaAscending": "Valor ascendente",
  "AlphaDescending": "Valor descendente",
  "ChiSquare": "Chi cuadrado",
  "Nosort": "No ordenar",
  "NosortDescription": "No ordenar los valores. Los valores se devolverán en orden aleatorio.",
  "RelativeFrequency": "Frecuencia relativa",
  "RelativeFrequencyDescription": "Ordenar según la frecuencia relativa de los valores. Los valores menos comunes aparecerán más arriba.",
  "DateDistribution": "Distribución de fecha",
  "Custom": "Personalizado",
  "CustomDescription": "Ordenar según un pedido personalizado.",
  "ComputedField": "Campo computado",
  "Ascending": "Ascendente",
  "Descending": "Descendente",
  "noResultFor": "No hay resultados para {0}",
  "noResult": "No hay resultados",
  "autoCorrectedQueryTo": "La consulta se ha corregido automáticamente a {0}",
  "didYouMean": "¿Querías decir...? {0}",
  "SuggestedResults": "Resultados sugeridos",
  "SuggestedQueries": "Consultas sugeridas",
  "MostRelevantItems": "Elementos más relevantes",
  "AllItems": "Todos los elementos:",
  "ShowLess": "Mostrar menos",
  "ShowMore": "Mostrar más",
  "HideFacet": "Ocultar faceta",
  "ShowFacet": "Mostrar faceta",
  "AndOthers": "y {0} otro<pl>s</pl>",
  "Others": "{0} otro<pl>s</pl>",
  "MostRelevantPosts": "Publicaciones más relevantes:",
  "CompleteThread": "Hilo completo:",
  "ShowCompleteThread": "Mostrar hilo completo",
  "ShowOnlyTopMatchingPosts": "Mostrar solo publicaciones de mayor coincidencia",
  "MostRelevantReplies": "Respuestas más relevantes:",
  "AllConversation": "Toda la conversación:",
  "ShowAllConversation": "Mostrar toda la conversación",
  "ShowAllReplies": "Mostrar todas las respuestas",
  "ShowOnlyMostRelevantReplies": "Mostrar solo las respuestas más relevantes",
  "Close": "Cerrar",
  "Open": "Abrir",
  "OpenInOutlookWhenPossible": "Abrir en Outlook (si es posible)",
  "AlwaysOpenInNewWindow": "Abrir resultados siempre en ventana nueva",
  "Quickview": "Vista rápida",
  "NoQuickview": "La vista rápida de este documento no está disponible",
  "ErrorReport": "Informe de errores",
  "OopsError": "Algo ha fallado en el servidor.",
  "ProblemPersists": "Si el problema persiste, póngase en contacto con el administrador.",
  "GoBack": "Ir atrás",
  "Reset": "Restablecer",
  "Retry": "Reintentar",
  "MoreInfo": "Más información",
  "Username": "Nombre de usuario",
  "Password": "Contraseña",
  "PostedBy": "Publicado por",
  "CannotConnect": "No se puede establecer conexión con la dirección del servidor.",
  "BadUserPass": "La contraseña no coincide con el nombre de usuario.",
  "PleaseEnterYourCredentials": "Introduzca sus credenciales para {0}.",
  "PleaseEnterYourSearchPage": "Introduzca la URL de su página de búsqueda",
  "Collapse": "Contraer",
  "Collapsable": "Contraíble",
  "Expand": "Expandir",
  "Today": "Hoy",
  "Yesterday": "Ayer",
  "Tomorrow": "Mañana",
  "Duration": "Duración: {0}",
  "IndexDuration": "Duración de índice: {0}",
  "ProxyDuration": "Duración de proxy: {0}",
  "ClientDuration": "Duración de cliente: {0}",
  "Unavailable": "No disponible",
  "Reply": "Responder",
  "ReplyAll": "Responder a todos",
  "Forward": "Reenviar",
  "From": "De",
  "Caption": "Leyenda",
  "Expression": "Expresión",
  "Tab": "Ficha",
  "Tabs": "Fichas",
  "EnterExpressionName": "Introducir nombre de expresión",
  "EnterExpressionToFilterWith": "Introducir expresión con la que filtrar resultados",
  "SelectTab": "Seleccionar ficha",
  "SelectAll": "Seleccionar todo",
  "PageUrl": "URL de página de búsqueda",
  "ErrorSavingToDevice": "Error al intentar guardar la información en su dispositivo",
  "ErrorReadingFromDevice": "Error al intentar guardar la información desde su dispositivo",
  "AppIntro": "Hable con un especialista en el producto que pueda responder a sus preguntas sobre Coveo y le ayude a decidir qué solución Coveo se adapta a sus necesidades. O pruebe una versión de prueba.",
  "TryDemo": "Probar la versión de prueba",
  "ContactUs": "Contacte con nosotros",
  "NewToCoveo": "¿Es la primera vez que usa Coveo?",
  "LetUsHelpGetStarted": "Le ayudaremos a empezar a utilizarlo",
  "LikesThis": "A {0} persona<pl>s</pl> le<pl>s</pl> gusta esto.",
  "CannotConnectSearchPage": "No se puede establecer conexión con su página de búsqueda",
  "AreYouSureDeleteFilter": "¿Seguro que desea eliminar el filtro {0} con la expresión {1}?",
  "OnlineHelp": "Ayuda en línea",
  "Done": "Finalizado",
  "SaveFacetState": "Guardar este estado de faceta",
  "ClearFacetState": "Borrar el estado de faceta",
  "DisplayingTheOnlyMessage": "Mostrando el único mensaje de esta conversación",
  "NoNetworkConnection": "Sin conexión de red",
  "UnknownConnection": "Conexión desconocida",
  "EthernetConnection": "Conexión Ethernet",
  "WiFi": "Conexión WiFi",
  "CELL": "Conexión por móvil",
  "CELL_2G": "Conexión por móvil 2G",
  "CELL_3G": "Conexión por móvil 3G",
  "CELL_4G": "Conexión por móvil 4G",
  "Relevance": "Relevancia",
  "Date": "Fecha",
  "Amount": "Cantidad",
  "QueryExceptionNoException": "Sin excepciones",
  "QueryExceptionInvalidSyntax": "Sintaxis no válida",
  "QueryExceptionInvalidCustomField": "Campo personalizado no válido",
  "QueryExceptionInvalidDate": "Fecha no válida",
  "QueryExceptionInvalidExactPhrase": "Frase exacta no válida",
  "QueryExceptionInvalidDateOp": "Operador de fecha no válido",
  "QueryExceptionInvalidNear": "Operador NEAR no válido",
  "QueryExceptionInvalidWeightedNear": "NEAR ponderado no válido",
  "QueryExceptionInvalidTerm": "Término no válido",
  "QueryExceptionTooManyTerms": "Demasiados términos",
  "QueryExceptionWildcardTooGeneral": "Carácter comodín demasiado general",
  "QueryExceptionInvalidSortField": "Campo de ordenación no válido",
  "QueryExceptionInvalidSmallStringOp": "Operador de cadenas pequeñas no válido",
  "QueryExceptionRequestedResultsMax": "Máximo de resultados solicitados",
  "QueryExceptionAggregatedMirrorDead": "El reflejo agregado no está conectado",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Tiempo de espera agotado para consulta de reflejo agregado",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Número de versión no válido para reflejo agregado",
  "QueryExceptionAggregatedMirrorCannotConnect": "El reflejo agregado no puede establecer conexión",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "No hay suficientes comodines de carácter inicial",
  "QueryExceptionSecurityInverterNotFound": "No se ha encontrado el inversor de seguridad",
  "QueryExceptionSecurityInverterAccessDenied": "Acceso de inversor de seguridad denegado",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "El reflejo agregado no puede suplantar",
  "QueryExceptionUnexpected": "Inesperado",
  "QueryExceptionAccessDenied": "Acceso denegado",
  "QueryExceptionSuperUserTokenInvalid": "Token de superusuario no válido",
  "QueryExceptionSuperUserTokenExpired": "El token de superusuario ha vencido",
  "QueryExceptionLicenseQueriesExpired": "La licencia de consultas ha vencido",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "El token de superusuario de licencia no es compatible",
  "QueryExceptionInvalidSession": "Sesión no válida",
  "QueryExceptionInvalidDocument": "Documento no válido",
  "QueryExceptionSearchDisabled": "Búsqueda deshabilitada",
  "FileType": "Tipo de archivo",
  "ShowAttachment": "Mostrar adjunto",
  "OnFeed": "en el feed de {0}.",
  "Author": "Autor",
  "NoTitle": "Sin título",
  "CurrentSelections": "Selecciones actuales",
  "AllContent": "Todo el contenido",
  "CancelLastAction": "Cancelar última acción",
  "SearchTips": "Sugerencias de búsqueda",
  "CheckSpelling": "Compruebe la ortografía de las palabras clave.",
  "TryUsingFewerKeywords": "Pruebe a utilizar menos palabras, o palabras distintas o más generales.",
  "SelectFewerFilters": "Seleccione menos filtros para ampliar su búsqueda.",
  "Document": "Documento",
  "Time": "Hora",
  "StartDate": "Fecha de comienzo",
  "StartTime": "Tiempo de comienzo",
  "DurationTitle": "Duración",
  "UserQuery": "Consulta del usuario",
  "ShowUserActions": "Mostrar acciones del usuario",
  "NoData": "Ningún dato disponible",
  "EventType": "Tipo de evento",
  "GoToFullSearch": "Búsqueda completa",
  "GoToEdition": "Personalizar panel",
  "RemoveContext": "Eliminar contexto",
  "BoxAttachToCase": "Agregar a la consulta",
  "AttachToCase": "Agregar a la consulta",
  "Attach": "Agregar",
  "Attached": "Agregado",
  "Detach": "Quitar",
  "Details": "Detalles",
  "AdditionalFilters": "Filtros adicionales",
  "SelectNonContextualSearch": "Eliminar contexto del actual registro para ampliar la búsqueda",
  "CopyPasteToSupport": "Copiar y pegar este mensaje al equipo de soporte técnico de Coveo para obtener más información.",
  "FollowQueryDescription": "Avisarme cuando haya cambios en los resultados de búsqueda de esta consulta.",
  "SearchAlerts_Panel": "Gestionar alertas",
  "SearchAlerts_PanelDescription": "Ver y gestionar sus alertas de búsqueda.",
  "SearchAlerts_PanelNoSearchAlerts": "No tiene ninguna suscripción.",
  "SearchAlerts_Fail": "El servicio de alertas de búsqueda no está actualmente disponible.",
  "SearchAlerts_Type": "Tipo",
  "SearchAlerts_Content": "Contenido",
  "SearchAlerts_Actions": "Acción",
  "EmptyQuery": "<vacío>",
  "SearchAlerts_Type_followQuery": "Consulta",
  "SearchAlerts_Type_followDocument": "Elemento",
  "SearchAlerts_unFollowing": "No dar seguimiento",
  "SearchAlerts_follow": "Dar seguimiento",
  "SearchAlerts_followed": "Con seguimiento",
  "SearchAlerts_followQuery": "Dar seguimiento a la consulta",
  "Subscription_StopFollowingQuery": "Detener seguimiento de consulta",
  "SearchAlerts_Frequency": "Cuándo",
  "SubscriptionsManageSubscriptions": "Gestionar alertas",
  "SubscriptionsMessageFollowQuery": "Recibirá alertas cuando la consulta <b>{0}</b> le devuelva elementos nuevos o actualizados.",
  "SubscriptionsMessageFollow": "Recibirá alertas cuando se realicen cambios en el elemento <b>{0}</b>.",
  "Expiration": "Vencimiento",
  "Monthly": "Mensual",
  "Daily": "Diariamente",
  "Monday": "Lunes",
  "Tuesday": "Martes",
  "Wednesday": "Miércoles",
  "Thursday": "Jueves",
  "Friday": "Viernes",
  "Saturday": "Sábado",
  "Sunday": "Domingo",
  "NextDay": "Siguientes {0}",
  "LastDay": "Últimos {0}",
  "StartTypingCaseForSuggestions": "Describa su problema para ver las posibles soluciones",
  "ExportToExcel": "Exportar a Excel",
  "ExportToExcelDescription": "Exportar resultados de búsqueda a Excel",
  "CaseCreationNoResults": "No se encontró ninguna solución recomendada",
  "SortBy": "Ordenar por",
  "BoxCreateArticle": "Crear artículo",
  "Facets": "Facetas",
  "AdvancedSearch": "Búsqueda avanzada",
  "Keywords": "Palabras clave",
  "AllTheseWords": "Todas estas palabras",
  "ExactPhrase": "Esta frase exacta",
  "AnyOfTheseWords": "Cualquiera de estas palabras",
  "NoneOfTheseWords": "Ninguna de estas palabras",
  "Anytime": "Cualquier momento",
  "InTheLast": "En los últimos",
  "Days": "días",
  "Months": "meses",
  "Month": "Mes",
  "Year": "Año",
  "Between": "Entre",
  "Language": "Idioma",
  "Size": "Tamaño",
  "AtLeast": "como mínimo",
  "AtMost": "como máximo",
  "Contains": "contiene",
  "DoesNotContain": "no contiene",
  "Matches": "coincidencias",
  "Bytes": "bytes",
  "card": "Tarjeta",
  "table": "Tabla",
  "ResultLinks": "Vínculos de resultado",
  "EnableQuerySyntax": "Activar la sintaxis de búsqueda",
  "On": "Activado",
  "Off": "Desactivado",
  "Automatic": "Automático",
  "ResultsPerPage": "Resultados por página",
  "PreviousMonth": "Mes anterior",
  "NextMonth": "Mes siguiente",
  "Title": "Título",
  "DeselectFilterValues": "Quitar los filtros activos en el campo {0}",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["es-ES"] = merge(locales["es-ES"], dict);
  String["toLocaleString"].call(this, { "es-ES": dict });
  String["locale"] = "es-ES";
  String["defaultLocale"] = "en";
  Globalize.culture("es-ES")
}