/*
 * Globalize Culture hu
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "hu", "default", {
	name: "hu",
	englishName: "Hungarian",
	nativeName: "magyar",
	language: "hu",
	numberFormat: {
		",": " ",
		".": ",",
		"NaN": "nem szám",
		negativeInfinity: "negatív végtelen",
		positiveInfinity: "végtelen",
		percent: {
			",": " ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": " ",
			".": ",",
			symbol: "Ft"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["vasárnap","hétfő","kedd","szerda","csütörtök","péntek","szombat"],
				namesAbbr: ["V","H","K","Sze","Cs","P","Szo"],
				namesShort: ["V","H","K","Sze","Cs","P","Szo"]
			},
			months: {
				names: ["január","február","március","április","május","június","július","augusztus","szeptember","október","november","december",""],
				namesAbbr: ["jan.","febr.","márc.","ápr.","máj.","jún.","júl.","aug.","szept.","okt.","nov.","dec.",""]
			},
			AM: ["de.","de.","DE."],
			PM: ["du.","du.","DU."],
			eras: [{"name":"i.sz.","start":null,"offset":0}],
			patterns: {
				d: "yyyy.MM.dd.",
				D: "yyyy. MMMM d.",
				t: "H:mm",
				T: "H:mm:ss",
				f: "yyyy. MMMM d. H:mm",
				F: "yyyy. MMMM d. H:mm:ss",
				M: "MMMM d.",
				Y: "yyyy. MMMM"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Felhasználó",
  "filetype_box user": "Felhasználó",
  "html": "HTML-fájl",
  "filetype_html": "HTML-fájl",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Weboldal",
  "filetype_webscraperwebpage": "Weboldal",
  "image": "Kép",
  "filetype_image": "Kép",
  "folder": "Mappa",
  "filetype_folder": "Mappa",
  "txt": "Szöveg",
  "filetype_txt": "Szöveg",
  "zip": "Zip-fájl",
  "filetype_zip": "Zip-fájl",
  "olefile": "OLE-fájl",
  "filetype_olefile": "OLE-fájl",
  "gmailmessage": "Gmail-üzenet",
  "filetype_gmailmessage": "Gmail-üzenet",
  "pdf": "PDF-fájl",
  "filetype_pdf": "PDF-fájl",
  "swf": "Flash-fájl",
  "filetype_swf": "Flash-fájl",
  "xml": "XML-fájl",
  "filetype_xml": "XML-fájl",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS feed",
  "filetype_rssitem": "RSS feed",
  "doc": "Dokumentum",
  "filetype_doc": "Dokumentum",
  "docx": "Microsoft Word dokumentum",
  "filetype_docx": "Microsoft Word dokumentum",
  "xls": "Munkafüzet dokumentum",
  "filetype_xls": "Munkafüzet dokumentum",
  "ppt": "Prezentációs dokumentum",
  "filetype_ppt": "Prezentációs dokumentum",
  "video": "Videó",
  "filetype_video": "Videó",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text dokumentum",
  "filetype_odt": "Open Text dokumentum",
  "lithiummessage": "Lithium-üzenet",
  "filetype_lithiummessage": "Lithium-üzenet",
  "lithiumthread": "Lithium-szál",
  "filetype_lithiumthread": "Lithium-szál",
  "lithiumboard": "Lithium-fórum",
  "filetype_lithiumboard": "Lithium-fórum",
  "lithiumcategory": "Lithium-kategória",
  "filetype_lithiumcategory": "Lithium-kategória",
  "lithiumcommunity": "Lithium-közösség",
  "filetype_lithiumcommunity": "Lithium-közösség",
  "people": "Felhasználó",
  "objecttype_people": "Felhasználó",
  "message": "Üzenet",
  "objecttype_message": "Üzenet",
  "feed": "RSS Feed",
  "objecttype_feed": "RSS Feed",
  "thread": "Szál",
  "objecttype_thread": "Szál",
  "file": "Fájl",
  "objecttype_file": "Fájl",
  "board": "Tábla",
  "objecttype_board": "Tábla",
  "category": "Kategória",
  "objecttype_category": "Kategória",
  "account": "Fiók",
  "objecttype_account": "Fiók",
  "annotation": "Megjegyzés",
  "objecttype_annotation": "Megjegyzés",
  "campaign": "Kampány",
  "objecttype_campaign": "Kampány",
  "case": "Ügy",
  "objecttype_case": "Ügy",
  "contact": "Kapcsolat",
  "objecttype_contact": "Kapcsolat",
  "contract": "Szerződés",
  "objecttype_contract": "Szerződés",
  "event": "Esemény",
  "objecttype_event": "Esemény",
  "email": "E-mail",
  "objecttype_email": "E-mail",
  "goal": "Cél",
  "objecttype_goal": "Cél",
  "objecttype_incident": "Ügy",
  "invoice": "Számla",
  "objecttype_invoice": "Számla",
  "lead": "Vezető",
  "objecttype_lead": "Vezető",
  "list": "Lista",
  "objecttype_list": "Marketing lista",
  "solution": "Megoldás",
  "objecttype_solution": "Megoldás",
  "task": "Feladat",
  "objecttype_task": "Feladat",
  "user": "Felhasználó",
  "objecttype_user": "Felhasználó",
  "attachment": "Melléklet",
  "objecttype_attachment": "Melléklet",
  "casecomment": "Ügymegjegyzés",
  "objecttype_casecomment": "Ügymegjegyzés",
  "opportunity": "Lehetőség",
  "objecttype_opportunity": "Lehetőség",
  "opportunityproduct": "Opportunity-termék",
  "objecttype_opportunityproduct": "Opportunity-termék",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Megjegyzés",
  "objecttype_note": "Megjegyzés",
  "product": "Termék",
  "objecttype_product": "Termék",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Sorban álló tétel",
  "objecttype_queueitem": "Sorban álló tétel",
  "quote": "Ajánlat",
  "objecttype_quote": "Ajánlat",
  "salesliterature": "Értékesítői irodalom",
  "objecttype_salesliterature": "Értékesítői irodalom",
  "salesorder": "Értékesítési sorrend",
  "objecttype_salesorder": "Értékesítési sorrend",
  "service": "Szolgáltatás",
  "objecttype_service": "Szolgáltatás",
  "socialprofile": "Közösségi profil",
  "objecttype_socialprofile": "Közösségi profil",
  "kbdocumentation": "Dokumentáció",
  "objecttype_kbdocumentation": "Dokumentáció",
  "kbtechnicalarticle": "Dokumentáció",
  "objecttype_kbtechnicalarticle": "Dokumentáció",
  "kbsolution": "Megoldás",
  "objecttype_kbsolution": "Megoldás",
  "kbknowledgearticle": "Tudáscikk",
  "objecttype_kbknowledgearticle": "Tudáscikk",
  "kbattachment": "Melléklet",
  "objecttype_kbattachment": "Melléklet",
  "kbarticle": "Cikk",
  "objecttype_kbarticle": "Cikk",
  "kbarticlecomment": "Cikk megjegyzés",
  "objecttype_kbarticlecomment": "Cikk megjegyzés",
  "knowledgearticle": "Tudáscikk",
  "objecttype_knowledgearticle": "Tudáscikk",
  "topic": "Téma",
  "objecttype_topic": "Téma",
  "dashboard": "Műszerfal",
  "objecttype_dashboard": "Műszerfal",
  "contentversion": "Dokumentum",
  "objecttype_contentversion": "Dokumentum",
  "collaborationgroup": "Együttműködési csoport",
  "objecttype_collaborationgroup": "Együttműködési csoport",
  "spportal": "Portál",
  "filetype_spportal": "Portál",
  "spsite": "Webhely",
  "filetype_spsite": "Webhely",
  "spuserprofile": "SharePoint-felhasználó",
  "filetype_spuserprofile": "SharePoint-felhasználó",
  "sparea": "Terület",
  "filetype_sparea": "Terület",
  "spannouncement": "Hirdetés",
  "filetype_spannouncement": "Hirdetés",
  "spannouncementlist": "Hirdetés",
  "filetype_spannouncementlist": "Hirdetés",
  "spcontact": "Kapcsolat",
  "filetype_spcontact": "Kapcsolat",
  "spcontactlist": "Kapcsolat",
  "filetype_spcontactlist": "Kapcsolat",
  "spcustomlist": "Egyéni listák",
  "filetype_spcustomlist": "Egyéni listák",
  "spdiscussionboard": "Fórum",
  "filetype_spdiscussionboard": "Fórum",
  "spdiscussionboardlist": "Fórum",
  "filetype_spdiscussionboardlist": "Fórum",
  "spdocumentlibrarylist": "Dokumentumkönyvtár",
  "filetype_spdocumentlibrarylist": "Dokumentumkönyvtár",
  "spevent": "Esemény",
  "filetype_spevent": "Esemény",
  "speventlist": "Esemény",
  "filetype_speventlist": "Esemény",
  "spformlibrarylist": "Űrlapkönyvtár",
  "filetype_spformlibrarylist": "Űrlapkönyvtár",
  "spissue": "Probléma",
  "filetype_spissue": "Probléma",
  "spissuelist": "Probléma",
  "filetype_spissuelist": "Probléma",
  "splink": "Hivatkozás",
  "filetype_splink": "Hivatkozás",
  "splinklist": "Hivatkozás",
  "filetype_splinklist": "Hivatkozás",
  "sppicturelibrarylist": "Képkönyvtár",
  "filetype_sppicturelibrarylist": "Képkönyvtár",
  "spsurvey": "Felmérés",
  "filetype_spsurvey": "Felmérés",
  "spsurveylist": "Felmérés",
  "filetype_spsurveylist": "Felmérés",
  "sptask": "Feladat",
  "filetype_sptask": "Feladat",
  "sptasklist": "Feladat",
  "filetype_sptasklist": "Feladat",
  "spagenda": "Napirend",
  "filetype_spagenda": "Napirend",
  "spagendalist": "Napirend",
  "filetype_spagendalist": "Napirend",
  "spattendee": "Résztvevő",
  "filetype_spattendee": "Résztvevő",
  "spattendeelist": "Résztvevő",
  "filetype_spattendeelist": "Résztvevő",
  "spcustomgridlist": "Egyéni rácsok",
  "filetype_spcustomgridlist": "Egyéni rácsok",
  "spdecision": "Döntés",
  "filetype_spdecision": "Döntés",
  "spdecisionlist": "Döntés",
  "filetype_spdecisionlist": "Döntés",
  "spobjective": "Cél",
  "filetype_spobjective": "Cél",
  "spobjectivelist": "Cél",
  "filetype_spobjectivelist": "Cél",
  "sptextbox": "Szövegdoboz",
  "filetype_sptextbox": "Szövegdoboz",
  "sptextboxlist": "Szövegdoboz lista",
  "filetype_sptextboxlist": "Szövegdoboz lista",
  "spthingstobring": "Hozandó dolog",
  "filetype_spthingstobring": "Hozandó dolog",
  "spthingstobringlist": "Hozandó dolog",
  "filetype_spthingstobringlist": "Hozandó dolog",
  "sparealisting": "Felsorolási terület",
  "filetype_sparealisting": "Felsorolási terület",
  "spmeetingserie": "Értekezlet-sorozat",
  "filetype_spmeetingserie": "Értekezlet-sorozat",
  "spmeetingserielist": "Értekezletsorozat lista",
  "filetype_spmeetingserielist": "Értekezletsorozat lista",
  "spsitedirectory": "Helyi könyvtárelem",
  "filetype_spsitedirectory": "Helyi könyvtárelem",
  "spsitedirectorylist": "Helyi könyvtár",
  "filetype_spsitedirectorylist": "Helyi könyvtár",
  "spdatasource": "Adatforrás",
  "filetype_spdatasource": "Adatforrás",
  "spdatasourcelist": "Adatforrás lista",
  "filetype_spdatasourcelist": "Adatforrás lista",
  "splisttemplatecataloglist": "Listasablon galéria",
  "filetype_splisttemplatecataloglist": "Listasablon galéria",
  "spwebpartcataloglist": "WebPart galéria",
  "filetype_spwebpartcataloglist": "WebPart galéria",
  "spwebtemplatecataloglist": "Helysablon galéria",
  "filetype_spwebtemplatecataloglist": "Helysablon galéria",
  "spworkspacepagelist": "Munkaterület oldalak",
  "filetype_spworkspacepagelist": "Munkaterület oldalak",
  "spunknownlist": "Egyéni lista",
  "filetype_spunknownlist": "Egyéni lista",
  "spadministratortask": "Rendszergazdai feladat",
  "filetype_spadministratortask": "Rendszergazdai feladat",
  "spadministratortasklist": "Rendszergazdai feladat",
  "filetype_spadministratortasklist": "Rendszergazdai feladat",
  "spareadocumentlibrarylist": "Területi dokumentumkönyvtár",
  "filetype_spareadocumentlibrarylist": "Területi dokumentumkönyvtár",
  "spblogcategory": "Blog kategória",
  "filetype_spblogcategory": "Blog kategória",
  "spblogcategorylist": "Blog kategória",
  "filetype_spblogcategorylist": "Blog kategória",
  "spblogcomment": "Blogmegjegyzés",
  "filetype_spblogcomment": "Blogmegjegyzés",
  "spblogcommentlist": "Blogmegjegyzés",
  "filetype_spblogcommentlist": "Blogmegjegyzés",
  "spblogpost": "Blogposzt",
  "filetype_spblogpost": "Blogposzt",
  "spblogpostlist": "Blogposzt",
  "filetype_spblogpostlist": "Blogposzt",
  "spdataconnectionlibrarylist": "Adatkapcsolati könyvtár",
  "filetype_spdataconnectionlibrarylist": "Adatkapcsolati könyvtár",
  "spdistributiongroup": "Elosztási csoport",
  "filetype_spdistributiongroup": "Elosztási csoport",
  "spdistributiongrouplist": "Elosztási csoport",
  "filetype_spdistributiongrouplist": "Elosztási csoport",
  "spipfslist": "InfoPath kérdőív kiszolgálók",
  "filetype_spipfslist": "InfoPath kérdőív kiszolgálók",
  "spkeyperformanceindicator": "Teljesítmény mutató",
  "filetype_spkeyperformanceindicator": "Teljesítmény mutató",
  "spkeyperformanceindicatorlist": "Teljesítmény mutató",
  "filetype_spkeyperformanceindicatorlist": "Teljesítmény mutató",
  "splanguagesandtranslator": "Nyelvek és fordító",
  "filetype_splanguagesandtranslator": "Nyelvek és fordító",
  "splanguagesandtranslatorlist": "Nyelvek és fordítók",
  "filetype_splanguagesandtranslatorlist": "Nyelvek és fordítók",
  "spmasterpagescataloglist": "Főoldal galéria",
  "filetype_spmasterpagescataloglist": "Főoldal galéria",
  "spnocodeworkflowlibrarylist": "Kód nélküli munkafolyamat könyvtárak",
  "filetype_spnocodeworkflowlibrarylist": "Kód nélküli munkafolyamat könyvtárak",
  "spprojecttask": "Projektfeladat",
  "filetype_spprojecttask": "Projektfeladat",
  "spprojecttasklist": "Projektfeladat",
  "filetype_spprojecttasklist": "Projektfeladat",
  "sppublishingpageslibrarylist": "Oldalkönyvtár",
  "filetype_sppublishingpageslibrarylist": "Oldalkönyvtár",
  "spreportdocumentlibrarylist": "Jelentés-dokumentum könyvtár",
  "filetype_spreportdocumentlibrarylist": "Jelentés-dokumentum könyvtár",
  "spreportlibrarylist": "Jelentéskönyvtár",
  "filetype_spreportlibrarylist": "Jelentéskönyvtár",
  "spslidelibrarylist": "Diakönyvtár",
  "filetype_spslidelibrarylist": "Diakönyvtár",
  "sptab": "Fülek",
  "filetype_sptab": "Fülek",
  "sptablist": "Fülek listája",
  "filetype_sptablist": "Fülek listája",
  "sptranslationmanagementlibrarylist": "Fordítás kezelési könyvtár",
  "filetype_sptranslationmanagementlibrarylist": "Fordítás kezelési könyvtár",
  "spuserinformation": "Felhasználói adatok",
  "filetype_spuserinformation": "Felhasználói adatok",
  "spuserinformationlist": "Felhasználói adatok listája",
  "filetype_spuserinformationlist": "Felhasználói adatok listája",
  "spwikipagelibrarylist": "Wiki oldalkönyvtár",
  "filetype_spwikipagelibrarylist": "Wiki oldalkönyvtár",
  "spworkflowhistory": "Munkafolyamat előzmények",
  "filetype_spworkflowhistory": "Munkafolyamat előzmények",
  "spworkflowhistorylist": "Munkafolyamat előzmények listája",
  "filetype_spworkflowhistorylist": "Munkafolyamat előzmények listája",
  "spworkflowprocess": "Egyéni munkafolyamat",
  "filetype_spworkflowprocess": "Egyéni munkafolyamat",
  "spworkflowprocesslist": "Egyéni munkafolyamat",
  "filetype_spworkflowprocesslist": "Egyéni munkafolyamat",
  "sppublishingimageslibrarylist": "Kiadási képkönyvtár",
  "filetype_sppublishingimageslibrarylist": "Kiadási képkönyvtár",
  "spcirculation": "Keringés",
  "filetype_spcirculation": "Keringés",
  "spcirculationlist": "Keringés",
  "filetype_spcirculationlist": "Keringés",
  "spdashboardslibrarylist": "Műszerfal-könyvtár",
  "filetype_spdashboardslibrarylist": "Műszerfal-könyvtár",
  "spdataconnectionforperformancepointlibrarylist": "PerformancePoint adatkapcsolati könyvtár",
  "filetype_spdataconnectionforperformancepointlibrarylist": "PerformancePoint adatkapcsolati könyvtár",
  "sphealthreport": "Egészségügyi jelentés",
  "filetype_sphealthreport": "Egészségügyi jelentés",
  "sphealthreportlist": "Egészségügyi jelentés",
  "filetype_sphealthreportlist": "Egészségügyi jelentés",
  "sphealthrule": "Egészségügyi szabályzat",
  "filetype_sphealthrule": "Egészségügyi szabályzat",
  "sphealthrulelist": "Egészségügyi szabályzat",
  "filetype_sphealthrulelist": "Egészségügyi szabályzat",
  "spimedictionary": "IME-könyvtár",
  "filetype_spimedictionary": "IME-könyvtár",
  "spimedictionarylist": "IME-könyvtár",
  "filetype_spimedictionarylist": "IME-könyvtár",
  "spperformancepointcontent": "PerformancePoint tartalom",
  "filetype_spperformancepointcontent": "PerformancePoint tartalom",
  "spperformancepointcontentlist": "PerformancePoint tartalom",
  "filetype_spperformancepointcontentlist": "PerformancePoint tartalom",
  "spphonecallmemo": "Telefonhívási emlékeztető",
  "filetype_spphonecallmemo": "Telefonhívási emlékeztető",
  "spphonecallmemolist": "Telefonhívási emlékeztető",
  "filetype_spphonecallmemolist": "Telefonhívási emlékeztető",
  "sprecordlibrarylist": "Feljegyzéskönyvtár",
  "filetype_sprecordlibrarylist": "Feljegyzéskönyvtár",
  "spresource": "Erőforrás",
  "filetype_spresource": "Erőforrás",
  "spresourcelist": "Erőforrás",
  "filetype_spresourcelist": "Erőforrás",
  "spprocessdiagramslibrarylist": "Folyamatábra-könyvtár",
  "filetype_spprocessdiagramslibrarylist": "Folyamatábra-könyvtár",
  "spsitethemeslibrarylist": "Helytéma-könyvtár",
  "filetype_spsitethemeslibrarylist": "Helytéma-könyvtár",
  "spsolutionslibrarylist": "Megoldáskönyvtár",
  "filetype_spsolutionslibrarylist": "Megoldáskönyvtár",
  "spwfpublibrarylist": "WFPUB-könyvtár",
  "filetype_spwfpublibrarylist": "WFPUB-könyvtár",
  "spwhereabout": "Hollét",
  "filetype_spwhereabout": "Hollét",
  "spwhereaboutlist": "Hollét",
  "filetype_spwhereaboutlist": "Hollét",
  "spdocumentlink": "Hivatkozás dokumentumra",
  "filetype_spdocumentlink": "Hivatkozás dokumentumra",
  "spdocumentset": "Dokumentumkészlet",
  "filetype_spdocumentset": "Dokumentumkészlet",
  "spmicrofeedpost": "Microfeed poszt",
  "filetype_spmicrofeedpost": "Microfeed poszt",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Lista mappa",
  "filetype_splistfolder": "Lista mappa",
  "Unknown": "Ismeretlen",
  "And": "ÉS",
  "Authenticating": "Hitelesítés: {0}...",
  "Clear": "Törlés: {0}",
  "CompleteQuery": "Teljes lekérdezés",
  "Exclude": "Kizárás: {0}",
  "EnterTag": "Címke hozzáadása",
  "Next": "Következő",
  "Last": "Utolsó",
  "Link": "Hivatkozás",
  "Or": "VAGY",
  "Previous": "Előző",
  "QueryDidntMatchAnyDocuments": "A lekérdezésnek egyetlen dokumentum sem felelt meg.",
  "QueryException": "A lekérdezés hibás: {0}.",
  "Me": "Én",
  "Remove": "Eltávolítás",
  "Search": "Keresés",
  "SearchFor": "A következő keresése: {0}",
  "ShareQuery": "Lekérdezés megosztása",
  "Preferences": "Preferenciák",
  "LinkOpeningSettings": "Hivatkozások megnyitási beállításai",
  "Reauthenticate": "Újrahitelesítés: {0}",
  "ResultsFilteringExpression": "Eredmények szűrési kifejezései",
  "FiltersInYourPreferences": "Szűrők a preferenciákban",
  "Create": "Létrehozás",
  "SearchIn": "Keresés ebben: {0}",
  "Seconds": "{0} másodperc<pl>alatt</pl>",
  "ShowingResultsOf": "Eredmény<pl>ek</pl> {0}<pl>-{1}</pl> / {2}",
  "ShowingResultsOfWithQuery": "Eredmény<pl>ek</pl> {0}<pl>-{1}</pl> / {2}-ból: {3}",
  "SwitchTo": "Váltás: {0}",
  "Unexclude": "Nincs kizárás: {0}",
  "ClearAllFilters": "Összes szűrő törlése",
  "SkipLogin": "Bejelentkezés átugrása",
  "LoginInProgress": "Bejelentkezés folyamatban; kérem, várjon...",
  "Login": "Bejelentkezés",
  "GetStarted": "Első lépések",
  "More": "Több",
  "NMore": "{0} több...",
  "Less": "Kevesebb",
  "Settings": "Beállítások",
  "Score": "Pontszám",
  "ScoreDescription": "A pontszám az előfordulások számából és az eredményhalmazon belüli pozícióból kerül kiszámításra.",
  "Occurrences": "Előfordulások",
  "OccurrencesDescription": "Rendezés az előfordulások száma alapján, a legnagyobb értékekkel a lista elején.",
  "Label": "Címke",
  "Of": "/",
  "LabelDescription": "Rendezés ábécésorrendben mezőértékek szerint.",
  "Value": "Érték",
  "ValueDescription": "Rendezés az első számított mező értékei szerint",
  "AlphaAscending": "Növekvő érték",
  "AlphaDescending": "Csökkenő érték",
  "ChiSquare": "Khi-négyzet",
  "Nosort": "Nincs rendezés",
  "NosortDescription": "Ne rendezze az értékeket. Az értékek visszaállnak véletlenszerű sorrendbe.",
  "RelativeFrequency": "Relatív gyakoriság",
  "RelativeFrequencyDescription": "Rendezés az értékek relatív gyakorisága szerint. A kevésbé gyakori értékek előrébb szerepelnek.",
  "DateDistribution": "Dátumeloszlás",
  "Custom": "Egyéni",
  "CustomDescription": "Rendezés egyéni sorrend alapján",
  "ComputedField": "Számított mező",
  "Ascending": "Növekvő",
  "Descending": "Csökkenő",
  "noResultFor": "Nincs eredmény: {0}",
  "autoCorrectedQueryTo": "A rendszer automatikusan javította a lekérdezést: {0}",
  "didYouMean": "Erre gondolt: {0}?",
  "SuggestedResults": "Javasolt eredmények",
  "SuggestedQueries": "Javasolt lekérdezések",
  "MostRelevantItems": "Legrelevánsabb elemek:",
  "AllItems": "Összes elem:",
  "ShowLess": "Kevesebbet mutat",
  "ShowMore": "Többet mutat",
  "HideFacet": "Szűrési jellemző elrejtése",
  "ShowFacet": "Szűrési jellemző megjelenítése",
  "AndOthers": "és {0} további",
  "Others": "{0} további",
  "MostRelevantPosts": "Legrelevánsabb posztok:",
  "CompleteThread": "Teljes szál:",
  "ShowCompleteThread": "Teljes szál megjelenítése",
  "ShowOnlyTopMatchingPosts": "Csak a legmegfelelőbb posztok megjelenítése",
  "MostRelevantReplies": "Legrelevánsabb válaszok:",
  "AllConversation": "Összes beszélgetés:",
  "ShowAllConversation": "Összes beszélgetés megjelenítése",
  "ShowAllReplies": "Összes válasz megjelenítése",
  "ShowOnlyMostRelevantReplies": "Csak a legrelevánsabb válaszok megjelenítése",
  "Close": "Bezárás",
  "Open": "Megnyitás",
  "OpenInOutlookWhenPossible": "Megnyitás az Outlook (ha lehetséges)",
  "AlwaysOpenInNewWindow": "Eredmények megnyitása mindig új ablakban",
  "Quickview": "Gyorsnézet",
  "NoQuickview": "A dokumentumnak nincs gyorsnézete",
  "ErrorReport": "Hibajelentés",
  "OopsError": "A szerveren hiba történt.",
  "ProblemPersists": "Ha a probléma nem szűnik meg, forduljon a rendszergazdához.",
  "GoBack": "Vissza",
  "Reset": "Visszaállítás",
  "Retry": "Újrapróbálkozás",
  "MoreInfo": "További információk",
  "Username": "Felhasználónév",
  "Password": "Jelszó",
  "PostedBy": "Poszt szerzője:",
  "CannotConnect": "Nem sikerült kapcsolódni a szervercímhez.",
  "BadUserPass": "A jelszó és a felhasználónév nem egyezik.",
  "PleaseEnterYourCredentials": "Kérjük, adja meg hitelesítési adatait a következő rendszerhez: {0}.",
  "PleaseEnterYourSearchPage": "Kérjük, adja meg keresőoldalának URL-címét.",
  "Collapse": "Kis méret",
  "Collapsable": "Kis méretre állítható",
  "Expand": "Normál méret",
  "Today": "Ma",
  "Yesterday": "Tegnap",
  "Tomorrow": "Holnap",
  "Duration": "Időtartam: {0}",
  "IndexDuration": "Index időtartama: {0}",
  "ProxyDuration": "Proxy időtartama: {0}",
  "ClientDuration": "Kliens időtartama: {0}",
  "Unavailable": "Nem elérhető",
  "Reply": "Válasz",
  "ReplyAll": "Válasz mindenkinek",
  "Forward": "Továbbítás",
  "From": "Feladó",
  "Caption": "Felirat",
  "Expression": "Kifejezés",
  "Tab": "Fül",
  "Tabs": "Fülek",
  "EnterExpressionName": "Írja be a kifejezés nevét",
  "EnterExpressionToFilterWith": "Írja be az eredmények szűréséhez használandó kifejezést",
  "SelectTab": "Fül kiválasztása",
  "SelectAll": "Összes kiválasztása",
  "PageUrl": "Keresőoldal URL-címe",
  "ErrorSavingToDevice": "Hiba az információk eszközre mentésekor",
  "ErrorReadingFromDevice": "Hiba az információk eszközről való olvasásakor",
  "AppIntro": "Beszéljen egy termékszakértővel, aki örömmel válaszol a Coveóval kapcsolatos kérdéseire, és segít Önnek megtalálni az ideális Coveo-megoldást. Vagy próbálja ki az élő demót!",
  "TryDemo": "Demó kipróbálása",
  "ContactUs": "Kapcsolat",
  "NewToCoveo": "Új Coveo-felhasználó?",
  "LetUsHelpGetStarted": "Segítünk Önnek az első lépésekben",
  "LikesThis": "{0} lájkolja ezt.",
  "CannotConnectSearchPage": "Nem sikerült a keresőoldalhoz való csatlakozás",
  "AreYouSureDeleteFilter": "Biztosan törli a(z) {0} szűrőt a(z) {1} kifejezéssel?",
  "OnlineHelp": "Online súgó",
  "Done": "Kész",
  "SaveFacetState": "Szűrési jellemző állapotának mentése",
  "ClearFacetState": "Szűrési jellemző állapotának törlése",
  "DisplayingTheOnlyMessage": "Beszélgetés egyetlen üzenetének megjelenítése",
  "NoNetworkConnection": "Nincs hálózati kapcsolat",
  "UnknownConnection": "Ismeretlen kapcsolat",
  "EthernetConnection": "Ethernet kapcsolat",
  "WiFi": "WiFi kapcsolat",
  "CELL": "Mobil kapcsolat",
  "CELL_2G": "Mobil 2G kapcsolat",
  "CELL_3G": "Mobil 3G kapcsolat",
  "CELL_4G": "Mobil 4G kapcsolat",
  "Relevance": "Relevancia",
  "Date": "Dátum",
  "Amount": "Mennyiség",
  "QueryExceptionNoException": "Nincs kivétel",
  "QueryExceptionInvalidSyntax": "Érvénytelen szintaxis",
  "QueryExceptionInvalidCustomField": "Érvénytelen egyéni mező",
  "QueryExceptionInvalidDate": "Érvénytelen dátum",
  "QueryExceptionInvalidExactPhrase": "Érvénytelen pontos kifejezés",
  "QueryExceptionInvalidDateOp": "Érvénytelen dátumoperátor",
  "QueryExceptionInvalidNear": "Érvénytelen NEAR operátor",
  "QueryExceptionInvalidWeightedNear": "Érvénytelen súlyozott NEAR",
  "QueryExceptionInvalidTerm": "Érvénytelen kifejezés",
  "QueryExceptionTooManyTerms": "Túl sok kifejezés",
  "QueryExceptionWildcardTooGeneral": "Túl általános helyettesítő karakter",
  "QueryExceptionInvalidSortField": "Érvénytelen rendezési mező",
  "QueryExceptionInvalidSmallStringOp": "Érvénytelen rövid karakterlánc operátor",
  "QueryExceptionRequestedResultsMax": "Kért eredmények maximális száma",
  "QueryExceptionAggregatedMirrorDead": "A távoli index offline állapotú",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Távoli index lekérdezésének időtúllépése",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "A távoli index build-száma érvénytelen",
  "QueryExceptionAggregatedMirrorCannotConnect": "A távoli index csatlakozása sikertelen",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Nincs elég karakter a helyettesítő karakter előtt",
  "QueryExceptionSecurityInverterNotFound": "A biztonsági inverter nem található",
  "QueryExceptionSecurityInverterAccessDenied": "Biztonsági inverter – hozzáférés megtagadva",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "A távoli index megszemélyesítése sikertelen",
  "QueryExceptionUnexpected": "Váratlan",
  "QueryExceptionAccessDenied": "Hozzáférés megtagadva",
  "QueryExceptionSuperUserTokenInvalid": "A felettes felhasználó tokenje érvénytelen",
  "QueryExceptionSuperUserTokenExpired": "A felettes felhasználó tokenje lejárt",
  "QueryExceptionLicenseQueriesExpired": "A lekérdezési licenc lejárt",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Az engedély felettes felhasználójának tokenje nem támogatott",
  "QueryExceptionInvalidSession": "Érvénytelen munkamenet",
  "QueryExceptionInvalidDocument": "Érvénytelen dokumentum",
  "QueryExceptionSearchDisabled": "Keresés letiltva",
  "FileType": "Fájltípus",
  "ShowAttachment": "Melléklet megjelenítése",
  "OnFeed": "{0} adatfolyamán.",
  "Author": "Szerző",
  "NoTitle": "Nincs cím",
  "CurrentSelections": "Jelenlegi kijelölések",
  "AllContent": "Összes tartalom",
  "CancelLastAction": "Utolsó művelet törlése",
  "SearchTips": "Keresési tippek",
  "CheckSpelling": "Kulcsszavak helyesírásának ellenőrzése.",
  "TryUsingFewerKeywords": "Próbálkozzon kisebb számú, eltérő vagy általánosabb kulcsszavakkal.",
  "SelectFewerFilters": "A keresés bővítéséhez csökkentse a szűrők számát.",
  "Document": "Dokumentum",
  "Time": "Idő",
  "StartDate": "Kezdő dátum",
  "StartTime": "Kezdő időpont",
  "DurationTitle": "Időtartam",
  "UserQuery": "Felhasználói lekérdezés",
  "ShowUserActions": "Felhasználói tevékenység mutatása",
  "NoData": "Nincs elérhető adat",
  "EventType": "Eseménytípus",
  "GoToFullSearch": "Teljes keresés",
  "GoToEdition": "Panel testreszabása",
  "RemoveContext": "Tartalom eltávolítása",
  "BoxAttachToCase": "Csatolás ügyhöz",
  "AttachToCase": "Csatolás ügyhöz",
  "Attach": "Csatolás",
  "Attached": "Csatolva",
  "Detach": "Leválasztás",
  "Details": "Részletek",
  "AdditionalFilters": "További szűrők",
  "SelectNonContextualSearch": "A keresés bővítéséhez törölje a kontextust a jelenlegi bejegyzésből.",
  "CopyPasteToSupport": "Másolja be ezt az üzenetet a Coveo támogatási csapata számára további tájékoztatásként.",
  "FollowQueryDescription": "Értesítést kérek, ha a lekérdezés eredményeiben változás történik.",
  "SearchAlerts_Panel": "Riasztások kezelése",
  "SearchAlerts_PanelDescription": "Keresési riasztások megtekintése és kezelése.",
  "SearchAlerts_PanelNoSearchAlerts": "Nincs előfizetése.",
  "SearchAlerts_Fail": "A keresési riasztás szolgáltatás jelenleg nem elérhető.",
  "SearchAlerts_Type": "Típus",
  "SearchAlerts_Content": "Tartalom",
  "SearchAlerts_Actions": "Művelet",
  "EmptyQuery": "<üres>",
  "SearchAlerts_Type_followQuery": "Lekérdezés",
  "SearchAlerts_Type_followDocument": "Tétel",
  "SearchAlerts_unFollowing": "Követés leállítása",
  "SearchAlerts_follow": "Követés",
  "SearchAlerts_followed": "Követve",
  "SearchAlerts_followQuery": "Követő lekérdezés",
  "Subscription_StopFollowingQuery": "Követő lekérdezés leállítása",
  "SearchAlerts_Frequency": "Amikor",
  "SubscriptionsManageSubscriptions": "Riasztások kezelése",
  "SubscriptionsMessageFollowQuery": "Riasztást fog kapni, ha ez a lekérdezés új vagy frissített elemet talál: <b>{0}</b>.",
  "SubscriptionsMessageFollow": "Riasztást fog kapni, ha ezzel a tétellel kapcsolatban változás történik: <b>{0}</b>.",
  "Expiration": "Lejárat",
  "Monthly": "Havonta",
  "Daily": "Naponta",
  "Monday": "Hétfő",
  "Tuesday": "Kedd",
  "Wednesday": "Szerda",
  "Thursday": "Csütörtök",
  "Friday": "Péntek",
  "Saturday": "Szombat",
  "Sunday": "Vasárnap",
  "NextDay": "Következő {0}",
  "LastDay": "Legutóbbi {0}",
  "StartTypingCaseForSuggestions": "Írja le a problémát a lehetséges megoldásokért",
  "ExportToExcel": "Exportálás Excelbe",
  "ExportToExcelDescription": "Keresési eredmények exportálása Excelbe",
  "CaseCreationNoResults": "Nem található javasolt megoldás",
  "SortBy": "Rendezési szempont",
  "BoxCreateArticle": "Cikk létrehozása",
  "Facets": "Fazetták",
  "AdvancedSearch": "Speciális keresés",
  "Keywords": "Kulcsszavak",
  "AllTheseWords": "Ez az összes kifejezés",
  "ExactPhrase": "Pontosan ez a kifejezés",
  "AnyOfTheseWords": "A kifejezések közül bármelyik",
  "NoneOfTheseWords": "Ezen kifejezések közül egyik sem",
  "Anytime": "Bármikor",
  "InTheLast": "A legutóbbi ennyi időn belül:",
  "Days": "nap",
  "Months": "hónap",
  "Month": "Hónap",
  "Year": "Év",
  "Between": "Ezek között",
  "Language": "Nyelv",
  "Size": "Méret",
  "AtLeast": "legalább",
  "AtMost": "leginkább",
  "Contains": "tartalmazza",
  "DoesNotContain": "nem tartalmazza",
  "Matches": "találat",
  "Bytes": "bájt",
  "card": "Kártya",
  "table": "Táblázat",
  "ResultLinks": "Talált hivatkozások",
  "EnableQuerySyntax": "Engedélyezze a lekérdezés szintaxisát",
  "On": "Be",
  "Off": "Ki",
  "Automatic": "Automatikus",
  "ResultsPerPage": "Eredmény oldalanként",
  "PreviousMonth": "Előző hónap",
  "NextMonth": "Következő hónap",
  "Title": "Cím",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["hu"] = merge(locales["hu"], dict);
  String["toLocaleString"].call(this, { "hu": dict });
  String["locale"] = "hu";
  String["defaultLocale"] = "en";
  Globalize.culture("hu")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Felhasználó",
  "filetype_box user": "Felhasználó",
  "html": "HTML-fájl",
  "filetype_html": "HTML-fájl",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Weboldal",
  "filetype_webscraperwebpage": "Weboldal",
  "image": "Kép",
  "filetype_image": "Kép",
  "folder": "Mappa",
  "filetype_folder": "Mappa",
  "txt": "Szöveg",
  "filetype_txt": "Szöveg",
  "zip": "Zip-fájl",
  "filetype_zip": "Zip-fájl",
  "olefile": "OLE-fájl",
  "filetype_olefile": "OLE-fájl",
  "gmailmessage": "Gmail-üzenet",
  "filetype_gmailmessage": "Gmail-üzenet",
  "pdf": "PDF-fájl",
  "filetype_pdf": "PDF-fájl",
  "swf": "Flash-fájl",
  "filetype_swf": "Flash-fájl",
  "xml": "XML-fájl",
  "filetype_xml": "XML-fájl",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS feed",
  "filetype_rssitem": "RSS feed",
  "doc": "Dokumentum",
  "filetype_doc": "Dokumentum",
  "docx": "Microsoft Word dokumentum",
  "filetype_docx": "Microsoft Word dokumentum",
  "xls": "Munkafüzet dokumentum",
  "filetype_xls": "Munkafüzet dokumentum",
  "ppt": "Prezentációs dokumentum",
  "filetype_ppt": "Prezentációs dokumentum",
  "video": "Videó",
  "filetype_video": "Videó",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text dokumentum",
  "filetype_odt": "Open Text dokumentum",
  "lithiummessage": "Lithium-üzenet",
  "filetype_lithiummessage": "Lithium-üzenet",
  "lithiumthread": "Lithium-szál",
  "filetype_lithiumthread": "Lithium-szál",
  "lithiumboard": "Lithium-fórum",
  "filetype_lithiumboard": "Lithium-fórum",
  "lithiumcategory": "Lithium-kategória",
  "filetype_lithiumcategory": "Lithium-kategória",
  "lithiumcommunity": "Lithium-közösség",
  "filetype_lithiumcommunity": "Lithium-közösség",
  "people": "Felhasználó",
  "objecttype_people": "Felhasználó",
  "message": "Üzenet",
  "objecttype_message": "Üzenet",
  "feed": "RSS Feed",
  "objecttype_feed": "RSS Feed",
  "thread": "Szál",
  "objecttype_thread": "Szál",
  "file": "Fájl",
  "objecttype_file": "Fájl",
  "board": "Tábla",
  "objecttype_board": "Tábla",
  "category": "Kategória",
  "objecttype_category": "Kategória",
  "account": "Fiók",
  "objecttype_account": "Fiók",
  "annotation": "Megjegyzés",
  "objecttype_annotation": "Megjegyzés",
  "campaign": "Kampány",
  "objecttype_campaign": "Kampány",
  "case": "Ügy",
  "objecttype_case": "Ügy",
  "contact": "Kapcsolat",
  "objecttype_contact": "Kapcsolat",
  "contract": "Szerződés",
  "objecttype_contract": "Szerződés",
  "event": "Esemény",
  "objecttype_event": "Esemény",
  "email": "E-mail",
  "objecttype_email": "E-mail",
  "goal": "Cél",
  "objecttype_goal": "Cél",
  "objecttype_incident": "Ügy",
  "invoice": "Számla",
  "objecttype_invoice": "Számla",
  "lead": "Vezető",
  "objecttype_lead": "Vezető",
  "list": "Lista",
  "objecttype_list": "Marketing lista",
  "solution": "Megoldás",
  "objecttype_solution": "Megoldás",
  "task": "Feladat",
  "objecttype_task": "Feladat",
  "user": "Felhasználó",
  "objecttype_user": "Felhasználó",
  "attachment": "Melléklet",
  "objecttype_attachment": "Melléklet",
  "casecomment": "Ügymegjegyzés",
  "objecttype_casecomment": "Ügymegjegyzés",
  "opportunity": "Lehetőség",
  "objecttype_opportunity": "Lehetőség",
  "opportunityproduct": "Opportunity-termék",
  "objecttype_opportunityproduct": "Opportunity-termék",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Megjegyzés",
  "objecttype_note": "Megjegyzés",
  "product": "Termék",
  "objecttype_product": "Termék",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Sorban álló tétel",
  "objecttype_queueitem": "Sorban álló tétel",
  "quote": "Ajánlat",
  "objecttype_quote": "Ajánlat",
  "salesliterature": "Értékesítői irodalom",
  "objecttype_salesliterature": "Értékesítői irodalom",
  "salesorder": "Értékesítési sorrend",
  "objecttype_salesorder": "Értékesítési sorrend",
  "service": "Szolgáltatás",
  "objecttype_service": "Szolgáltatás",
  "socialprofile": "Közösségi profil",
  "objecttype_socialprofile": "Közösségi profil",
  "kbdocumentation": "Dokumentáció",
  "objecttype_kbdocumentation": "Dokumentáció",
  "kbtechnicalarticle": "Dokumentáció",
  "objecttype_kbtechnicalarticle": "Dokumentáció",
  "kbsolution": "Megoldás",
  "objecttype_kbsolution": "Megoldás",
  "kbknowledgearticle": "Tudáscikk",
  "objecttype_kbknowledgearticle": "Tudáscikk",
  "kbattachment": "Melléklet",
  "objecttype_kbattachment": "Melléklet",
  "kbarticle": "Cikk",
  "objecttype_kbarticle": "Cikk",
  "kbarticlecomment": "Cikk megjegyzés",
  "objecttype_kbarticlecomment": "Cikk megjegyzés",
  "knowledgearticle": "Tudáscikk",
  "objecttype_knowledgearticle": "Tudáscikk",
  "topic": "Téma",
  "objecttype_topic": "Téma",
  "dashboard": "Műszerfal",
  "objecttype_dashboard": "Műszerfal",
  "contentversion": "Dokumentum",
  "objecttype_contentversion": "Dokumentum",
  "collaborationgroup": "Együttműködési csoport",
  "objecttype_collaborationgroup": "Együttműködési csoport",
  "spportal": "Portál",
  "filetype_spportal": "Portál",
  "spsite": "Webhely",
  "filetype_spsite": "Webhely",
  "spuserprofile": "SharePoint-felhasználó",
  "filetype_spuserprofile": "SharePoint-felhasználó",
  "sparea": "Terület",
  "filetype_sparea": "Terület",
  "spannouncement": "Hirdetés",
  "filetype_spannouncement": "Hirdetés",
  "spannouncementlist": "Hirdetés",
  "filetype_spannouncementlist": "Hirdetés",
  "spcontact": "Kapcsolat",
  "filetype_spcontact": "Kapcsolat",
  "spcontactlist": "Kapcsolat",
  "filetype_spcontactlist": "Kapcsolat",
  "spcustomlist": "Egyéni listák",
  "filetype_spcustomlist": "Egyéni listák",
  "spdiscussionboard": "Fórum",
  "filetype_spdiscussionboard": "Fórum",
  "spdiscussionboardlist": "Fórum",
  "filetype_spdiscussionboardlist": "Fórum",
  "spdocumentlibrarylist": "Dokumentumkönyvtár",
  "filetype_spdocumentlibrarylist": "Dokumentumkönyvtár",
  "spevent": "Esemény",
  "filetype_spevent": "Esemény",
  "speventlist": "Esemény",
  "filetype_speventlist": "Esemény",
  "spformlibrarylist": "Űrlapkönyvtár",
  "filetype_spformlibrarylist": "Űrlapkönyvtár",
  "spissue": "Probléma",
  "filetype_spissue": "Probléma",
  "spissuelist": "Probléma",
  "filetype_spissuelist": "Probléma",
  "splink": "Hivatkozás",
  "filetype_splink": "Hivatkozás",
  "splinklist": "Hivatkozás",
  "filetype_splinklist": "Hivatkozás",
  "sppicturelibrarylist": "Képkönyvtár",
  "filetype_sppicturelibrarylist": "Képkönyvtár",
  "spsurvey": "Felmérés",
  "filetype_spsurvey": "Felmérés",
  "spsurveylist": "Felmérés",
  "filetype_spsurveylist": "Felmérés",
  "sptask": "Feladat",
  "filetype_sptask": "Feladat",
  "sptasklist": "Feladat",
  "filetype_sptasklist": "Feladat",
  "spagenda": "Napirend",
  "filetype_spagenda": "Napirend",
  "spagendalist": "Napirend",
  "filetype_spagendalist": "Napirend",
  "spattendee": "Résztvevő",
  "filetype_spattendee": "Résztvevő",
  "spattendeelist": "Résztvevő",
  "filetype_spattendeelist": "Résztvevő",
  "spcustomgridlist": "Egyéni rácsok",
  "filetype_spcustomgridlist": "Egyéni rácsok",
  "spdecision": "Döntés",
  "filetype_spdecision": "Döntés",
  "spdecisionlist": "Döntés",
  "filetype_spdecisionlist": "Döntés",
  "spobjective": "Cél",
  "filetype_spobjective": "Cél",
  "spobjectivelist": "Cél",
  "filetype_spobjectivelist": "Cél",
  "sptextbox": "Szövegdoboz",
  "filetype_sptextbox": "Szövegdoboz",
  "sptextboxlist": "Szövegdoboz lista",
  "filetype_sptextboxlist": "Szövegdoboz lista",
  "spthingstobring": "Hozandó dolog",
  "filetype_spthingstobring": "Hozandó dolog",
  "spthingstobringlist": "Hozandó dolog",
  "filetype_spthingstobringlist": "Hozandó dolog",
  "sparealisting": "Felsorolási terület",
  "filetype_sparealisting": "Felsorolási terület",
  "spmeetingserie": "Értekezlet-sorozat",
  "filetype_spmeetingserie": "Értekezlet-sorozat",
  "spmeetingserielist": "Értekezletsorozat lista",
  "filetype_spmeetingserielist": "Értekezletsorozat lista",
  "spsitedirectory": "Helyi könyvtárelem",
  "filetype_spsitedirectory": "Helyi könyvtárelem",
  "spsitedirectorylist": "Helyi könyvtár",
  "filetype_spsitedirectorylist": "Helyi könyvtár",
  "spdatasource": "Adatforrás",
  "filetype_spdatasource": "Adatforrás",
  "spdatasourcelist": "Adatforrás lista",
  "filetype_spdatasourcelist": "Adatforrás lista",
  "splisttemplatecataloglist": "Listasablon galéria",
  "filetype_splisttemplatecataloglist": "Listasablon galéria",
  "spwebpartcataloglist": "WebPart galéria",
  "filetype_spwebpartcataloglist": "WebPart galéria",
  "spwebtemplatecataloglist": "Helysablon galéria",
  "filetype_spwebtemplatecataloglist": "Helysablon galéria",
  "spworkspacepagelist": "Munkaterület oldalak",
  "filetype_spworkspacepagelist": "Munkaterület oldalak",
  "spunknownlist": "Egyéni lista",
  "filetype_spunknownlist": "Egyéni lista",
  "spadministratortask": "Rendszergazdai feladat",
  "filetype_spadministratortask": "Rendszergazdai feladat",
  "spadministratortasklist": "Rendszergazdai feladat",
  "filetype_spadministratortasklist": "Rendszergazdai feladat",
  "spareadocumentlibrarylist": "Területi dokumentumkönyvtár",
  "filetype_spareadocumentlibrarylist": "Területi dokumentumkönyvtár",
  "spblogcategory": "Blog kategória",
  "filetype_spblogcategory": "Blog kategória",
  "spblogcategorylist": "Blog kategória",
  "filetype_spblogcategorylist": "Blog kategória",
  "spblogcomment": "Blogmegjegyzés",
  "filetype_spblogcomment": "Blogmegjegyzés",
  "spblogcommentlist": "Blogmegjegyzés",
  "filetype_spblogcommentlist": "Blogmegjegyzés",
  "spblogpost": "Blogposzt",
  "filetype_spblogpost": "Blogposzt",
  "spblogpostlist": "Blogposzt",
  "filetype_spblogpostlist": "Blogposzt",
  "spdataconnectionlibrarylist": "Adatkapcsolati könyvtár",
  "filetype_spdataconnectionlibrarylist": "Adatkapcsolati könyvtár",
  "spdistributiongroup": "Elosztási csoport",
  "filetype_spdistributiongroup": "Elosztási csoport",
  "spdistributiongrouplist": "Elosztási csoport",
  "filetype_spdistributiongrouplist": "Elosztási csoport",
  "spipfslist": "InfoPath kérdőív kiszolgálók",
  "filetype_spipfslist": "InfoPath kérdőív kiszolgálók",
  "spkeyperformanceindicator": "Teljesítmény mutató",
  "filetype_spkeyperformanceindicator": "Teljesítmény mutató",
  "spkeyperformanceindicatorlist": "Teljesítmény mutató",
  "filetype_spkeyperformanceindicatorlist": "Teljesítmény mutató",
  "splanguagesandtranslator": "Nyelvek és fordító",
  "filetype_splanguagesandtranslator": "Nyelvek és fordító",
  "splanguagesandtranslatorlist": "Nyelvek és fordítók",
  "filetype_splanguagesandtranslatorlist": "Nyelvek és fordítók",
  "spmasterpagescataloglist": "Főoldal galéria",
  "filetype_spmasterpagescataloglist": "Főoldal galéria",
  "spnocodeworkflowlibrarylist": "Kód nélküli munkafolyamat könyvtárak",
  "filetype_spnocodeworkflowlibrarylist": "Kód nélküli munkafolyamat könyvtárak",
  "spprojecttask": "Projektfeladat",
  "filetype_spprojecttask": "Projektfeladat",
  "spprojecttasklist": "Projektfeladat",
  "filetype_spprojecttasklist": "Projektfeladat",
  "sppublishingpageslibrarylist": "Oldalkönyvtár",
  "filetype_sppublishingpageslibrarylist": "Oldalkönyvtár",
  "spreportdocumentlibrarylist": "Jelentés-dokumentum könyvtár",
  "filetype_spreportdocumentlibrarylist": "Jelentés-dokumentum könyvtár",
  "spreportlibrarylist": "Jelentéskönyvtár",
  "filetype_spreportlibrarylist": "Jelentéskönyvtár",
  "spslidelibrarylist": "Diakönyvtár",
  "filetype_spslidelibrarylist": "Diakönyvtár",
  "sptab": "Fülek",
  "filetype_sptab": "Fülek",
  "sptablist": "Fülek listája",
  "filetype_sptablist": "Fülek listája",
  "sptranslationmanagementlibrarylist": "Fordítás kezelési könyvtár",
  "filetype_sptranslationmanagementlibrarylist": "Fordítás kezelési könyvtár",
  "spuserinformation": "Felhasználói adatok",
  "filetype_spuserinformation": "Felhasználói adatok",
  "spuserinformationlist": "Felhasználói adatok listája",
  "filetype_spuserinformationlist": "Felhasználói adatok listája",
  "spwikipagelibrarylist": "Wiki oldalkönyvtár",
  "filetype_spwikipagelibrarylist": "Wiki oldalkönyvtár",
  "spworkflowhistory": "Munkafolyamat előzmények",
  "filetype_spworkflowhistory": "Munkafolyamat előzmények",
  "spworkflowhistorylist": "Munkafolyamat előzmények listája",
  "filetype_spworkflowhistorylist": "Munkafolyamat előzmények listája",
  "spworkflowprocess": "Egyéni munkafolyamat",
  "filetype_spworkflowprocess": "Egyéni munkafolyamat",
  "spworkflowprocesslist": "Egyéni munkafolyamat",
  "filetype_spworkflowprocesslist": "Egyéni munkafolyamat",
  "sppublishingimageslibrarylist": "Kiadási képkönyvtár",
  "filetype_sppublishingimageslibrarylist": "Kiadási képkönyvtár",
  "spcirculation": "Keringés",
  "filetype_spcirculation": "Keringés",
  "spcirculationlist": "Keringés",
  "filetype_spcirculationlist": "Keringés",
  "spdashboardslibrarylist": "Műszerfal-könyvtár",
  "filetype_spdashboardslibrarylist": "Műszerfal-könyvtár",
  "spdataconnectionforperformancepointlibrarylist": "PerformancePoint adatkapcsolati könyvtár",
  "filetype_spdataconnectionforperformancepointlibrarylist": "PerformancePoint adatkapcsolati könyvtár",
  "sphealthreport": "Egészségügyi jelentés",
  "filetype_sphealthreport": "Egészségügyi jelentés",
  "sphealthreportlist": "Egészségügyi jelentés",
  "filetype_sphealthreportlist": "Egészségügyi jelentés",
  "sphealthrule": "Egészségügyi szabályzat",
  "filetype_sphealthrule": "Egészségügyi szabályzat",
  "sphealthrulelist": "Egészségügyi szabályzat",
  "filetype_sphealthrulelist": "Egészségügyi szabályzat",
  "spimedictionary": "IME-könyvtár",
  "filetype_spimedictionary": "IME-könyvtár",
  "spimedictionarylist": "IME-könyvtár",
  "filetype_spimedictionarylist": "IME-könyvtár",
  "spperformancepointcontent": "PerformancePoint tartalom",
  "filetype_spperformancepointcontent": "PerformancePoint tartalom",
  "spperformancepointcontentlist": "PerformancePoint tartalom",
  "filetype_spperformancepointcontentlist": "PerformancePoint tartalom",
  "spphonecallmemo": "Telefonhívási emlékeztető",
  "filetype_spphonecallmemo": "Telefonhívási emlékeztető",
  "spphonecallmemolist": "Telefonhívási emlékeztető",
  "filetype_spphonecallmemolist": "Telefonhívási emlékeztető",
  "sprecordlibrarylist": "Feljegyzéskönyvtár",
  "filetype_sprecordlibrarylist": "Feljegyzéskönyvtár",
  "spresource": "Erőforrás",
  "filetype_spresource": "Erőforrás",
  "spresourcelist": "Erőforrás",
  "filetype_spresourcelist": "Erőforrás",
  "spprocessdiagramslibrarylist": "Folyamatábra-könyvtár",
  "filetype_spprocessdiagramslibrarylist": "Folyamatábra-könyvtár",
  "spsitethemeslibrarylist": "Helytéma-könyvtár",
  "filetype_spsitethemeslibrarylist": "Helytéma-könyvtár",
  "spsolutionslibrarylist": "Megoldáskönyvtár",
  "filetype_spsolutionslibrarylist": "Megoldáskönyvtár",
  "spwfpublibrarylist": "WFPUB-könyvtár",
  "filetype_spwfpublibrarylist": "WFPUB-könyvtár",
  "spwhereabout": "Hollét",
  "filetype_spwhereabout": "Hollét",
  "spwhereaboutlist": "Hollét",
  "filetype_spwhereaboutlist": "Hollét",
  "spdocumentlink": "Hivatkozás dokumentumra",
  "filetype_spdocumentlink": "Hivatkozás dokumentumra",
  "spdocumentset": "Dokumentumkészlet",
  "filetype_spdocumentset": "Dokumentumkészlet",
  "spmicrofeedpost": "Microfeed poszt",
  "filetype_spmicrofeedpost": "Microfeed poszt",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Lista mappa",
  "filetype_splistfolder": "Lista mappa",
  "Unknown": "Ismeretlen",
  "And": "ÉS",
  "Authenticating": "Hitelesítés: {0}...",
  "Clear": "Törlés: {0}",
  "CompleteQuery": "Teljes lekérdezés",
  "Exclude": "Kizárás: {0}",
  "EnterTag": "Címke hozzáadása",
  "Next": "Következő",
  "Last": "Utolsó",
  "Link": "Hivatkozás",
  "Or": "VAGY",
  "Previous": "Előző",
  "QueryDidntMatchAnyDocuments": "A lekérdezésnek egyetlen dokumentum sem felelt meg.",
  "QueryException": "A lekérdezés hibás: {0}.",
  "Me": "Én",
  "Remove": "Eltávolítás",
  "Search": "Keresés",
  "SearchFor": "A következő keresése: {0}",
  "ShareQuery": "Lekérdezés megosztása",
  "Preferences": "Preferenciák",
  "LinkOpeningSettings": "Hivatkozások megnyitási beállításai",
  "Reauthenticate": "Újrahitelesítés: {0}",
  "ResultsFilteringExpression": "Eredmények szűrési kifejezései",
  "FiltersInYourPreferences": "Szűrők a preferenciákban",
  "Create": "Létrehozás",
  "SearchIn": "Keresés ebben: {0}",
  "Seconds": "{0} másodperc<pl>alatt</pl>",
  "ShowingResultsOf": "Eredmény<pl>ek</pl> {0}<pl>-{1}</pl> / {2}",
  "ShowingResultsOfWithQuery": "Eredmény<pl>ek</pl> {0}<pl>-{1}</pl> / {2}-ból: {3}",
  "SwitchTo": "Váltás: {0}",
  "Unexclude": "Nincs kizárás: {0}",
  "ClearAllFilters": "Összes szűrő törlése",
  "SkipLogin": "Bejelentkezés átugrása",
  "LoginInProgress": "Bejelentkezés folyamatban; kérem, várjon...",
  "Login": "Bejelentkezés",
  "GetStarted": "Első lépések",
  "More": "Több",
  "NMore": "{0} több...",
  "Less": "Kevesebb",
  "Settings": "Beállítások",
  "Score": "Pontszám",
  "ScoreDescription": "A pontszám az előfordulások számából és az eredményhalmazon belüli pozícióból kerül kiszámításra.",
  "Occurrences": "Előfordulások",
  "OccurrencesDescription": "Rendezés az előfordulások száma alapján, a legnagyobb értékekkel a lista elején.",
  "Label": "Címke",
  "Of": "/",
  "LabelDescription": "Rendezés ábécésorrendben mezőértékek szerint.",
  "Value": "Érték",
  "ValueDescription": "Rendezés az első számított mező értékei szerint",
  "AlphaAscending": "Növekvő érték",
  "AlphaDescending": "Csökkenő érték",
  "ChiSquare": "Khi-négyzet",
  "Nosort": "Nincs rendezés",
  "NosortDescription": "Ne rendezze az értékeket. Az értékek visszaállnak véletlenszerű sorrendbe.",
  "RelativeFrequency": "Relatív gyakoriság",
  "RelativeFrequencyDescription": "Rendezés az értékek relatív gyakorisága szerint. A kevésbé gyakori értékek előrébb szerepelnek.",
  "DateDistribution": "Dátumeloszlás",
  "Custom": "Egyéni",
  "CustomDescription": "Rendezés egyéni sorrend alapján",
  "ComputedField": "Számított mező",
  "Ascending": "Növekvő",
  "Descending": "Csökkenő",
  "noResultFor": "Nincs eredmény: {0}",
  "autoCorrectedQueryTo": "A rendszer automatikusan javította a lekérdezést: {0}",
  "didYouMean": "Erre gondolt: {0}?",
  "SuggestedResults": "Javasolt eredmények",
  "SuggestedQueries": "Javasolt lekérdezések",
  "MostRelevantItems": "Legrelevánsabb elemek:",
  "AllItems": "Összes elem:",
  "ShowLess": "Kevesebbet mutat",
  "ShowMore": "Többet mutat",
  "HideFacet": "Szűrési jellemző elrejtése",
  "ShowFacet": "Szűrési jellemző megjelenítése",
  "AndOthers": "és {0} további",
  "Others": "{0} további",
  "MostRelevantPosts": "Legrelevánsabb posztok:",
  "CompleteThread": "Teljes szál:",
  "ShowCompleteThread": "Teljes szál megjelenítése",
  "ShowOnlyTopMatchingPosts": "Csak a legmegfelelőbb posztok megjelenítése",
  "MostRelevantReplies": "Legrelevánsabb válaszok:",
  "AllConversation": "Összes beszélgetés:",
  "ShowAllConversation": "Összes beszélgetés megjelenítése",
  "ShowAllReplies": "Összes válasz megjelenítése",
  "ShowOnlyMostRelevantReplies": "Csak a legrelevánsabb válaszok megjelenítése",
  "Close": "Bezárás",
  "Open": "Megnyitás",
  "OpenInOutlookWhenPossible": "Megnyitás az Outlook (ha lehetséges)",
  "AlwaysOpenInNewWindow": "Eredmények megnyitása mindig új ablakban",
  "Quickview": "Gyorsnézet",
  "NoQuickview": "A dokumentumnak nincs gyorsnézete",
  "ErrorReport": "Hibajelentés",
  "OopsError": "A szerveren hiba történt.",
  "ProblemPersists": "Ha a probléma nem szűnik meg, forduljon a rendszergazdához.",
  "GoBack": "Vissza",
  "Reset": "Visszaállítás",
  "Retry": "Újrapróbálkozás",
  "MoreInfo": "További információk",
  "Username": "Felhasználónév",
  "Password": "Jelszó",
  "PostedBy": "Poszt szerzője:",
  "CannotConnect": "Nem sikerült kapcsolódni a szervercímhez.",
  "BadUserPass": "A jelszó és a felhasználónév nem egyezik.",
  "PleaseEnterYourCredentials": "Kérjük, adja meg hitelesítési adatait a következő rendszerhez: {0}.",
  "PleaseEnterYourSearchPage": "Kérjük, adja meg keresőoldalának URL-címét.",
  "Collapse": "Kis méret",
  "Collapsable": "Kis méretre állítható",
  "Expand": "Normál méret",
  "Today": "Ma",
  "Yesterday": "Tegnap",
  "Tomorrow": "Holnap",
  "Duration": "Időtartam: {0}",
  "IndexDuration": "Index időtartama: {0}",
  "ProxyDuration": "Proxy időtartama: {0}",
  "ClientDuration": "Kliens időtartama: {0}",
  "Unavailable": "Nem elérhető",
  "Reply": "Válasz",
  "ReplyAll": "Válasz mindenkinek",
  "Forward": "Továbbítás",
  "From": "Feladó",
  "Caption": "Felirat",
  "Expression": "Kifejezés",
  "Tab": "Fül",
  "Tabs": "Fülek",
  "EnterExpressionName": "Írja be a kifejezés nevét",
  "EnterExpressionToFilterWith": "Írja be az eredmények szűréséhez használandó kifejezést",
  "SelectTab": "Fül kiválasztása",
  "SelectAll": "Összes kiválasztása",
  "PageUrl": "Keresőoldal URL-címe",
  "ErrorSavingToDevice": "Hiba az információk eszközre mentésekor",
  "ErrorReadingFromDevice": "Hiba az információk eszközről való olvasásakor",
  "AppIntro": "Beszéljen egy termékszakértővel, aki örömmel válaszol a Coveóval kapcsolatos kérdéseire, és segít Önnek megtalálni az ideális Coveo-megoldást. Vagy próbálja ki az élő demót!",
  "TryDemo": "Demó kipróbálása",
  "ContactUs": "Kapcsolat",
  "NewToCoveo": "Új Coveo-felhasználó?",
  "LetUsHelpGetStarted": "Segítünk Önnek az első lépésekben",
  "LikesThis": "{0} lájkolja ezt.",
  "CannotConnectSearchPage": "Nem sikerült a keresőoldalhoz való csatlakozás",
  "AreYouSureDeleteFilter": "Biztosan törli a(z) {0} szűrőt a(z) {1} kifejezéssel?",
  "OnlineHelp": "Online súgó",
  "Done": "Kész",
  "SaveFacetState": "Szűrési jellemző állapotának mentése",
  "ClearFacetState": "Szűrési jellemző állapotának törlése",
  "DisplayingTheOnlyMessage": "Beszélgetés egyetlen üzenetének megjelenítése",
  "NoNetworkConnection": "Nincs hálózati kapcsolat",
  "UnknownConnection": "Ismeretlen kapcsolat",
  "EthernetConnection": "Ethernet kapcsolat",
  "WiFi": "WiFi kapcsolat",
  "CELL": "Mobil kapcsolat",
  "CELL_2G": "Mobil 2G kapcsolat",
  "CELL_3G": "Mobil 3G kapcsolat",
  "CELL_4G": "Mobil 4G kapcsolat",
  "Relevance": "Relevancia",
  "Date": "Dátum",
  "Amount": "Mennyiség",
  "QueryExceptionNoException": "Nincs kivétel",
  "QueryExceptionInvalidSyntax": "Érvénytelen szintaxis",
  "QueryExceptionInvalidCustomField": "Érvénytelen egyéni mező",
  "QueryExceptionInvalidDate": "Érvénytelen dátum",
  "QueryExceptionInvalidExactPhrase": "Érvénytelen pontos kifejezés",
  "QueryExceptionInvalidDateOp": "Érvénytelen dátumoperátor",
  "QueryExceptionInvalidNear": "Érvénytelen NEAR operátor",
  "QueryExceptionInvalidWeightedNear": "Érvénytelen súlyozott NEAR",
  "QueryExceptionInvalidTerm": "Érvénytelen kifejezés",
  "QueryExceptionTooManyTerms": "Túl sok kifejezés",
  "QueryExceptionWildcardTooGeneral": "Túl általános helyettesítő karakter",
  "QueryExceptionInvalidSortField": "Érvénytelen rendezési mező",
  "QueryExceptionInvalidSmallStringOp": "Érvénytelen rövid karakterlánc operátor",
  "QueryExceptionRequestedResultsMax": "Kért eredmények maximális száma",
  "QueryExceptionAggregatedMirrorDead": "A távoli index offline állapotú",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Távoli index lekérdezésének időtúllépése",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "A távoli index build-száma érvénytelen",
  "QueryExceptionAggregatedMirrorCannotConnect": "A távoli index csatlakozása sikertelen",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Nincs elég karakter a helyettesítő karakter előtt",
  "QueryExceptionSecurityInverterNotFound": "A biztonsági inverter nem található",
  "QueryExceptionSecurityInverterAccessDenied": "Biztonsági inverter – hozzáférés megtagadva",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "A távoli index megszemélyesítése sikertelen",
  "QueryExceptionUnexpected": "Váratlan",
  "QueryExceptionAccessDenied": "Hozzáférés megtagadva",
  "QueryExceptionSuperUserTokenInvalid": "A felettes felhasználó tokenje érvénytelen",
  "QueryExceptionSuperUserTokenExpired": "A felettes felhasználó tokenje lejárt",
  "QueryExceptionLicenseQueriesExpired": "A lekérdezési licenc lejárt",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Az engedély felettes felhasználójának tokenje nem támogatott",
  "QueryExceptionInvalidSession": "Érvénytelen munkamenet",
  "QueryExceptionInvalidDocument": "Érvénytelen dokumentum",
  "QueryExceptionSearchDisabled": "Keresés letiltva",
  "FileType": "Fájltípus",
  "ShowAttachment": "Melléklet megjelenítése",
  "OnFeed": "{0} adatfolyamán.",
  "Author": "Szerző",
  "NoTitle": "Nincs cím",
  "CurrentSelections": "Jelenlegi kijelölések",
  "AllContent": "Összes tartalom",
  "CancelLastAction": "Utolsó művelet törlése",
  "SearchTips": "Keresési tippek",
  "CheckSpelling": "Kulcsszavak helyesírásának ellenőrzése.",
  "TryUsingFewerKeywords": "Próbálkozzon kisebb számú, eltérő vagy általánosabb kulcsszavakkal.",
  "SelectFewerFilters": "A keresés bővítéséhez csökkentse a szűrők számát.",
  "Document": "Dokumentum",
  "Time": "Idő",
  "StartDate": "Kezdő dátum",
  "StartTime": "Kezdő időpont",
  "DurationTitle": "Időtartam",
  "UserQuery": "Felhasználói lekérdezés",
  "ShowUserActions": "Felhasználói tevékenység mutatása",
  "NoData": "Nincs elérhető adat",
  "EventType": "Eseménytípus",
  "GoToFullSearch": "Teljes keresés",
  "GoToEdition": "Panel testreszabása",
  "RemoveContext": "Tartalom eltávolítása",
  "BoxAttachToCase": "Csatolás ügyhöz",
  "AttachToCase": "Csatolás ügyhöz",
  "Attach": "Csatolás",
  "Attached": "Csatolva",
  "Detach": "Leválasztás",
  "Details": "Részletek",
  "AdditionalFilters": "További szűrők",
  "SelectNonContextualSearch": "A keresés bővítéséhez törölje a kontextust a jelenlegi bejegyzésből.",
  "CopyPasteToSupport": "Másolja be ezt az üzenetet a Coveo támogatási csapata számára további tájékoztatásként.",
  "FollowQueryDescription": "Értesítést kérek, ha a lekérdezés eredményeiben változás történik.",
  "SearchAlerts_Panel": "Riasztások kezelése",
  "SearchAlerts_PanelDescription": "Keresési riasztások megtekintése és kezelése.",
  "SearchAlerts_PanelNoSearchAlerts": "Nincs előfizetése.",
  "SearchAlerts_Fail": "A keresési riasztás szolgáltatás jelenleg nem elérhető.",
  "SearchAlerts_Type": "Típus",
  "SearchAlerts_Content": "Tartalom",
  "SearchAlerts_Actions": "Művelet",
  "EmptyQuery": "<üres>",
  "SearchAlerts_Type_followQuery": "Lekérdezés",
  "SearchAlerts_Type_followDocument": "Tétel",
  "SearchAlerts_unFollowing": "Követés leállítása",
  "SearchAlerts_follow": "Követés",
  "SearchAlerts_followed": "Követve",
  "SearchAlerts_followQuery": "Követő lekérdezés",
  "Subscription_StopFollowingQuery": "Követő lekérdezés leállítása",
  "SearchAlerts_Frequency": "Amikor",
  "SubscriptionsManageSubscriptions": "Riasztások kezelése",
  "SubscriptionsMessageFollowQuery": "Riasztást fog kapni, ha ez a lekérdezés új vagy frissített elemet talál: <b>{0}</b>.",
  "SubscriptionsMessageFollow": "Riasztást fog kapni, ha ezzel a tétellel kapcsolatban változás történik: <b>{0}</b>.",
  "Expiration": "Lejárat",
  "Monthly": "Havonta",
  "Daily": "Naponta",
  "Monday": "Hétfő",
  "Tuesday": "Kedd",
  "Wednesday": "Szerda",
  "Thursday": "Csütörtök",
  "Friday": "Péntek",
  "Saturday": "Szombat",
  "Sunday": "Vasárnap",
  "NextDay": "Következő {0}",
  "LastDay": "Legutóbbi {0}",
  "StartTypingCaseForSuggestions": "Írja le a problémát a lehetséges megoldásokért",
  "ExportToExcel": "Exportálás Excelbe",
  "ExportToExcelDescription": "Keresési eredmények exportálása Excelbe",
  "CaseCreationNoResults": "Nem található javasolt megoldás",
  "SortBy": "Rendezési szempont",
  "BoxCreateArticle": "Cikk létrehozása",
  "Facets": "Fazetták",
  "AdvancedSearch": "Speciális keresés",
  "Keywords": "Kulcsszavak",
  "AllTheseWords": "Ez az összes kifejezés",
  "ExactPhrase": "Pontosan ez a kifejezés",
  "AnyOfTheseWords": "A kifejezések közül bármelyik",
  "NoneOfTheseWords": "Ezen kifejezések közül egyik sem",
  "Anytime": "Bármikor",
  "InTheLast": "A legutóbbi ennyi időn belül:",
  "Days": "nap",
  "Months": "hónap",
  "Month": "Hónap",
  "Year": "Év",
  "Between": "Ezek között",
  "Language": "Nyelv",
  "Size": "Méret",
  "AtLeast": "legalább",
  "AtMost": "leginkább",
  "Contains": "tartalmazza",
  "DoesNotContain": "nem tartalmazza",
  "Matches": "találat",
  "Bytes": "bájt",
  "card": "Kártya",
  "table": "Táblázat",
  "ResultLinks": "Talált hivatkozások",
  "EnableQuerySyntax": "Engedélyezze a lekérdezés szintaxisát",
  "On": "Be",
  "Off": "Ki",
  "Automatic": "Automatikus",
  "ResultsPerPage": "Eredmény oldalanként",
  "PreviousMonth": "Előző hónap",
  "NextMonth": "Következő hónap",
  "Title": "Cím",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["hu"] = merge(locales["hu"], dict);
  String["toLocaleString"].call(this, { "hu": dict });
  String["locale"] = "hu";
  String["defaultLocale"] = "en";
  Globalize.culture("hu")
}