/*
 * Globalize Culture id
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "id", "default", {
	name: "id",
	englishName: "Indonesian",
	nativeName: "Bahasa Indonesia",
	language: "id",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			decimals: 0,
			",": ".",
			".": ",",
			symbol: "Rp"
		}
	},
	calendars: {
		standard: {
			firstDay: 1,
			days: {
				names: ["Minggu","Senin","Selasa","Rabu","Kamis","Jumat","Sabtu"],
				namesAbbr: ["Minggu","Sen","Sel","Rabu","Kamis","Jumat","Sabtu"],
				namesShort: ["M","S","S","R","K","J","S"]
			},
			months: {
				names: ["Januari","Februari","Maret","April","Mei","Juni","Juli","Agustus","September","Oktober","Nopember","Desember",""],
				namesAbbr: ["Jan","Feb","Mar","Apr","Mei","Jun","Jul","Agust","Sep","Okt","Nop","Des",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd/MM/yyyy",
				D: "dd MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dd MMMM yyyy H:mm",
				F: "dd MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Pengguna",
  "filetype_box user": "Pengguna",
  "html": "File HTML",
  "filetype_html": "File HTML",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Laman Web",
  "filetype_webscraperwebpage": "Laman Web",
  "image": "Gambar",
  "filetype_image": "Gambar",
  "folder": "Map",
  "filetype_folder": "Map",
  "txt": "Teks",
  "filetype_txt": "Teks",
  "zip": "File Zip",
  "filetype_zip": "File Zip",
  "olefile": "File OLE",
  "filetype_olefile": "File OLE",
  "gmailmessage": "Pesan Gmail",
  "filetype_gmailmessage": "Pesan Gmail",
  "pdf": "File PDF",
  "filetype_pdf": "File PDF",
  "swf": "File Flash",
  "filetype_swf": "File Flash",
  "xml": "File XML",
  "filetype_xml": "File XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Umpan RSS",
  "filetype_rssitem": "Umpan RSS",
  "doc": "Dokumen",
  "filetype_doc": "Dokumen",
  "docx": "Dokumen Microsoft Word",
  "filetype_docx": "Dokumen Microsoft Word",
  "xls": "Dokumen Lembar Bentang",
  "filetype_xls": "Dokumen Lembar Bentang",
  "ppt": "Dokumen Presentasi",
  "filetype_ppt": "Dokumen Presentasi",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "CRM Dinamis",
  "filetype_dynamicscrmitem": "CRM Dinamis",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Dokumen Open Text",
  "filetype_odt": "Dokumen Open Text",
  "lithiummessage": "Pesan Litium",
  "filetype_lithiummessage": "Pesan Litium",
  "lithiumthread": "Utas Litium",
  "filetype_lithiumthread": "Utas Litium",
  "lithiumboard": "Papan Litium",
  "filetype_lithiumboard": "Papan Litium",
  "lithiumcategory": "Kategori Litium",
  "filetype_lithiumcategory": "Kategori Litium",
  "lithiumcommunity": "Komunitas Litium",
  "filetype_lithiumcommunity": "Komunitas Litium",
  "people": "Pengguna",
  "objecttype_people": "Pengguna",
  "message": "Pesan",
  "objecttype_message": "Pesan",
  "feed": "Umpan RSS",
  "objecttype_feed": "Umpan RSS",
  "thread": "Utas",
  "objecttype_thread": "Utas",
  "file": "Berkas",
  "objecttype_file": "Berkas",
  "board": "Papan",
  "objecttype_board": "Papan",
  "category": "Kategori Litium",
  "objecttype_category": "Kategori Litium",
  "account": "Akun",
  "objecttype_account": "Akun",
  "annotation": "Catatan",
  "objecttype_annotation": "Catatan",
  "campaign": "Kampanye",
  "objecttype_campaign": "Kampanye",
  "case": "Kasus",
  "objecttype_case": "Kasus",
  "contact": "Kontak",
  "objecttype_contact": "Kontak",
  "contract": "Kontrak",
  "objecttype_contract": "Kontrak",
  "event": "Peristiwa",
  "objecttype_event": "Peristiwa",
  "email": "Email",
  "objecttype_email": "Email",
  "goal": "Tujuan",
  "objecttype_goal": "Tujuan",
  "objecttype_incident": "Kasus",
  "invoice": "Tagihan",
  "objecttype_invoice": "Tagihan",
  "lead": "Prospek",
  "objecttype_lead": "Prospek",
  "list": "Daftar",
  "objecttype_list": "Daftar Pemasaran",
  "solution": "Solusi",
  "objecttype_solution": "Solusi",
  "task": "Tugas",
  "objecttype_task": "Tugas",
  "user": "Pengguna",
  "objecttype_user": "Pengguna",
  "attachment": "Lampiran",
  "objecttype_attachment": "Lampiran",
  "casecomment": "Komentar Kasus",
  "objecttype_casecomment": "Komentar Kasus",
  "opportunity": "Peluang",
  "objecttype_opportunity": "Peluang",
  "opportunityproduct": "Produk Peluang",
  "objecttype_opportunityproduct": "Produk Peluang",
  "feeditem": "Obrolan",
  "objecttype_feeditem": "Obrolan",
  "feedcomment": "Obrolan",
  "objecttype_feedcomment": "Obrolan",
  "note": "Catatan",
  "objecttype_note": "Catatan",
  "product": "Produk Peluang",
  "objecttype_product": "Produk Peluang",
  "partner": "Rekan",
  "objecttype_partner": "Rekan",
  "queueitem": "Butir Antrean",
  "objecttype_queueitem": "Butir Antrean",
  "quote": "Penawaran",
  "objecttype_quote": "Penawaran",
  "salesliterature": "Dokumen Penjualan",
  "objecttype_salesliterature": "Dokumen Penjualan",
  "salesorder": "Order Penjualan",
  "objecttype_salesorder": "Order Penjualan",
  "service": "Layanan",
  "objecttype_service": "Layanan",
  "socialprofile": "Profil Sosial",
  "objecttype_socialprofile": "Profil Sosial",
  "kbdocumentation": "Dokumentasi",
  "objecttype_kbdocumentation": "Dokumentasi",
  "kbtechnicalarticle": "Dokumentasi",
  "objecttype_kbtechnicalarticle": "Dokumentasi",
  "kbsolution": "Solusi",
  "objecttype_kbsolution": "Solusi",
  "kbknowledgearticle": "Artikel Pengetahuan",
  "objecttype_kbknowledgearticle": "Artikel Pengetahuan",
  "kbattachment": "Lampiran",
  "objecttype_kbattachment": "Lampiran",
  "kbarticle": "Artikel Pengetahuan",
  "objecttype_kbarticle": "Artikel Pengetahuan",
  "kbarticlecomment": "Komentar Artikel",
  "objecttype_kbarticlecomment": "Komentar Artikel",
  "knowledgearticle": "Artikel Pengetahuan",
  "objecttype_knowledgearticle": "Artikel Pengetahuan",
  "topic": "Topik",
  "objecttype_topic": "Topik",
  "dashboard": "Dasbor",
  "objecttype_dashboard": "Dasbor",
  "contentversion": "Dokumen",
  "objecttype_contentversion": "Dokumen",
  "collaborationgroup": "Grup kolaborasi",
  "objecttype_collaborationgroup": "Grup kolaborasi",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Lokasi",
  "filetype_spsite": "Lokasi",
  "spuserprofile": "Pengguna SharePoint",
  "filetype_spuserprofile": "Pengguna SharePoint",
  "sparea": "Wilayah",
  "filetype_sparea": "Wilayah",
  "spannouncement": "Pengumuman",
  "filetype_spannouncement": "Pengumuman",
  "spannouncementlist": "Pengumuman",
  "filetype_spannouncementlist": "Pengumuman",
  "spcontact": "Kontak",
  "filetype_spcontact": "Kontak",
  "spcontactlist": "Kontak",
  "filetype_spcontactlist": "Kontak",
  "spcustomlist": "Daftar yang Disesuaikan",
  "filetype_spcustomlist": "Daftar yang Disesuaikan",
  "spdiscussionboard": "Papan Diskusi",
  "filetype_spdiscussionboard": "Papan Diskusi",
  "spdiscussionboardlist": "Papan Diskusi",
  "filetype_spdiscussionboardlist": "Papan Diskusi",
  "spdocumentlibrarylist": "Perpustakaan Dokumen",
  "filetype_spdocumentlibrarylist": "Perpustakaan Dokumen",
  "spevent": "Peristiwa",
  "filetype_spevent": "Peristiwa",
  "speventlist": "Peristiwa",
  "filetype_speventlist": "Peristiwa",
  "spformlibrarylist": "Perpustakaan Formulir",
  "filetype_spformlibrarylist": "Perpustakaan Formulir",
  "spissue": "Masalah",
  "filetype_spissue": "Masalah",
  "spissuelist": "Masalah",
  "filetype_spissuelist": "Masalah",
  "splink": "Tautan",
  "filetype_splink": "Tautan",
  "splinklist": "Tautan",
  "filetype_splinklist": "Tautan",
  "sppicturelibrarylist": "Perpustakaan Gambar",
  "filetype_sppicturelibrarylist": "Perpustakaan Gambar",
  "spsurvey": "Survei",
  "filetype_spsurvey": "Survei",
  "spsurveylist": "Survei",
  "filetype_spsurveylist": "Survei",
  "sptask": "Tugas",
  "filetype_sptask": "Tugas",
  "sptasklist": "Tugas",
  "filetype_sptasklist": "Tugas",
  "spagenda": "Agenda",
  "filetype_spagenda": "Agenda",
  "spagendalist": "Agenda",
  "filetype_spagendalist": "Agenda",
  "spattendee": "Peserta",
  "filetype_spattendee": "Peserta",
  "spattendeelist": "Peserta",
  "filetype_spattendeelist": "Peserta",
  "spcustomgridlist": "Grid Kustom",
  "filetype_spcustomgridlist": "Grid Kustom",
  "spdecision": "Keputusan",
  "filetype_spdecision": "Keputusan",
  "spdecisionlist": "Keputusan",
  "filetype_spdecisionlist": "Keputusan",
  "spobjective": "Tujuan",
  "filetype_spobjective": "Tujuan",
  "spobjectivelist": "Tujuan",
  "filetype_spobjectivelist": "Tujuan",
  "sptextbox": "Buku Teks",
  "filetype_sptextbox": "Buku Teks",
  "sptextboxlist": "Daftar Buku Teks",
  "filetype_sptextboxlist": "Daftar Buku Teks",
  "spthingstobring": "Perlu Dibawa",
  "filetype_spthingstobring": "Perlu Dibawa",
  "spthingstobringlist": "Perlu Dibawa",
  "filetype_spthingstobringlist": "Perlu Dibawa",
  "sparealisting": "Area Pencantuman",
  "filetype_sparealisting": "Area Pencantuman",
  "spmeetingserie": "Serial Pertemuan",
  "filetype_spmeetingserie": "Serial Pertemuan",
  "spmeetingserielist": "Daftar Serial Pertemuan",
  "filetype_spmeetingserielist": "Daftar Serial Pertemuan",
  "spsitedirectory": "Butir Direktori Lokasi",
  "filetype_spsitedirectory": "Butir Direktori Lokasi",
  "spsitedirectorylist": "Direktori Lokasi",
  "filetype_spsitedirectorylist": "Direktori Lokasi",
  "spdatasource": "Sumber Data",
  "filetype_spdatasource": "Sumber Data",
  "spdatasourcelist": "Daftar Sumber Data",
  "filetype_spdatasourcelist": "Daftar Sumber Data",
  "splisttemplatecataloglist": "Daftar Galeri Template",
  "filetype_splisttemplatecataloglist": "Daftar Galeri Template",
  "spwebpartcataloglist": "Galeri WebPart",
  "filetype_spwebpartcataloglist": "Galeri WebPart",
  "spwebtemplatecataloglist": "Galeri Template Situs",
  "filetype_spwebtemplatecataloglist": "Galeri Template Situs",
  "spworkspacepagelist": "Laman Ruang Kerja",
  "filetype_spworkspacepagelist": "Laman Ruang Kerja",
  "spunknownlist": "Daftar Kustom",
  "filetype_spunknownlist": "Daftar Kustom",
  "spadministratortask": "Tugas Administrator",
  "filetype_spadministratortask": "Tugas Administrator",
  "spadministratortasklist": "Tugas Administrator",
  "filetype_spadministratortasklist": "Tugas Administrator",
  "spareadocumentlibrarylist": "Area Perpustakaan Dokumen",
  "filetype_spareadocumentlibrarylist": "Area Perpustakaan Dokumen",
  "spblogcategory": "Kategori Blog",
  "filetype_spblogcategory": "Kategori Blog",
  "spblogcategorylist": "Kategori Blog",
  "filetype_spblogcategorylist": "Kategori Blog",
  "spblogcomment": "Komentar Blog",
  "filetype_spblogcomment": "Komentar Blog",
  "spblogcommentlist": "Komentar Blog",
  "filetype_spblogcommentlist": "Komentar Blog",
  "spblogpost": "Postingan Blog",
  "filetype_spblogpost": "Postingan Blog",
  "spblogpostlist": "Postingan Blog",
  "filetype_spblogpostlist": "Postingan Blog",
  "spdataconnectionlibrarylist": "Perpustakaan Koneksi Data",
  "filetype_spdataconnectionlibrarylist": "Perpustakaan Koneksi Data",
  "spdistributiongroup": "Grup Distribusi",
  "filetype_spdistributiongroup": "Grup Distribusi",
  "spdistributiongrouplist": "Grup Distribusi",
  "filetype_spdistributiongrouplist": "Grup Distribusi",
  "spipfslist": "Server Formulir InfoPath",
  "filetype_spipfslist": "Server Formulir InfoPath",
  "spkeyperformanceindicator": "Indikator Penting atas Performa",
  "filetype_spkeyperformanceindicator": "Indikator Penting atas Performa",
  "spkeyperformanceindicatorlist": "Indikator Penting atas Performa",
  "filetype_spkeyperformanceindicatorlist": "Indikator Penting atas Performa",
  "splanguagesandtranslator": "Bahasa dan Penerjemah",
  "filetype_splanguagesandtranslator": "Bahasa dan Penerjemah",
  "splanguagesandtranslatorlist": "Bahasa dan Penerjemah",
  "filetype_splanguagesandtranslatorlist": "Bahasa dan Penerjemah",
  "spmasterpagescataloglist": "Galeri Laman Utama",
  "filetype_spmasterpagescataloglist": "Galeri Laman Utama",
  "spnocodeworkflowlibrarylist": "Perpustakaan Aliran Pekerjaan Tanpa Kode",
  "filetype_spnocodeworkflowlibrarylist": "Perpustakaan Aliran Pekerjaan Tanpa Kode",
  "spprojecttask": "Tugas Proyek",
  "filetype_spprojecttask": "Tugas Proyek",
  "spprojecttasklist": "Tugas Proyek",
  "filetype_spprojecttasklist": "Tugas Proyek",
  "sppublishingpageslibrarylist": "Perpustakaan Halaman",
  "filetype_sppublishingpageslibrarylist": "Perpustakaan Halaman",
  "spreportdocumentlibrarylist": "Perpustakaan Dokumen Laporan",
  "filetype_spreportdocumentlibrarylist": "Perpustakaan Dokumen Laporan",
  "spreportlibrarylist": "Perpustakaan Laporan",
  "filetype_spreportlibrarylist": "Perpustakaan Laporan",
  "spslidelibrarylist": "Perpustakaan Slide",
  "filetype_spslidelibrarylist": "Perpustakaan Slide",
  "sptab": "Bilah",
  "filetype_sptab": "Bilah",
  "sptablist": "Daftar Bilah",
  "filetype_sptablist": "Daftar Bilah",
  "sptranslationmanagementlibrarylist": "Perpustakaan Pengelolaan Terjemahan",
  "filetype_sptranslationmanagementlibrarylist": "Perpustakaan Pengelolaan Terjemahan",
  "spuserinformation": "Informasi Pengguna",
  "filetype_spuserinformation": "Informasi Pengguna",
  "spuserinformationlist": "Daftar Informasi Pengguna",
  "filetype_spuserinformationlist": "Daftar Informasi Pengguna",
  "spwikipagelibrarylist": "Perpustakaan Laman Wiki",
  "filetype_spwikipagelibrarylist": "Perpustakaan Laman Wiki",
  "spworkflowhistory": "Riwayat Aliran Pekerjaan",
  "filetype_spworkflowhistory": "Riwayat Aliran Pekerjaan",
  "spworkflowhistorylist": "Daftar Riwayat Aliran Pekerjaan",
  "filetype_spworkflowhistorylist": "Daftar Riwayat Aliran Pekerjaan",
  "spworkflowprocess": "Proses Kustom atas Aliran Pekerjaan",
  "filetype_spworkflowprocess": "Proses Kustom atas Aliran Pekerjaan",
  "spworkflowprocesslist": "Proses Kustom atas Aliran Pekerjaan",
  "filetype_spworkflowprocesslist": "Proses Kustom atas Aliran Pekerjaan",
  "sppublishingimageslibrarylist": "Mempublikasikan Perpustakaan Gambar",
  "filetype_sppublishingimageslibrarylist": "Mempublikasikan Perpustakaan Gambar",
  "spcirculation": "Sirkulasi",
  "filetype_spcirculation": "Sirkulasi",
  "spcirculationlist": "Sirkulasi",
  "filetype_spcirculationlist": "Sirkulasi",
  "spdashboardslibrarylist": "Dasbor Perpustakaan",
  "filetype_spdashboardslibrarylist": "Dasbor Perpustakaan",
  "spdataconnectionforperformancepointlibrarylist": "Perpustakaan Koneksi Data PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Perpustakaan Koneksi Data PerformancePoint",
  "sphealthreport": "Laporan Kesehatan",
  "filetype_sphealthreport": "Laporan Kesehatan",
  "sphealthreportlist": "Laporan Kesehatan",
  "filetype_sphealthreportlist": "Laporan Kesehatan",
  "sphealthrule": "Peraturan Kesehatan",
  "filetype_sphealthrule": "Peraturan Kesehatan",
  "sphealthrulelist": "Peraturan Kesehatan",
  "filetype_sphealthrulelist": "Peraturan Kesehatan",
  "spimedictionary": "Kamus IME",
  "filetype_spimedictionary": "Kamus IME",
  "spimedictionarylist": "Kamus IME",
  "filetype_spimedictionarylist": "Kamus IME",
  "spperformancepointcontent": "Konten PerformancePoint",
  "filetype_spperformancepointcontent": "Konten PerformancePoint",
  "spperformancepointcontentlist": "Konten PerformancePoint",
  "filetype_spperformancepointcontentlist": "Konten PerformancePoint",
  "spphonecallmemo": "Memo Panggilan Telepon",
  "filetype_spphonecallmemo": "Memo Panggilan Telepon",
  "spphonecallmemolist": "Memo Panggilan Telepon",
  "filetype_spphonecallmemolist": "Memo Panggilan Telepon",
  "sprecordlibrarylist": "Perpustakaan Rekaman",
  "filetype_sprecordlibrarylist": "Perpustakaan Rekaman",
  "spresource": "Sumber",
  "filetype_spresource": "Sumber",
  "spresourcelist": "Sumber",
  "filetype_spresourcelist": "Sumber",
  "spprocessdiagramslibrarylist": "Perpustakaan Diagram Proses",
  "filetype_spprocessdiagramslibrarylist": "Perpustakaan Diagram Proses",
  "spsitethemeslibrarylist": "Perpustakaan Tema Situs",
  "filetype_spsitethemeslibrarylist": "Perpustakaan Tema Situs",
  "spsolutionslibrarylist": "Perpustakaan Solusi",
  "filetype_spsolutionslibrarylist": "Perpustakaan Solusi",
  "spwfpublibrarylist": "Perpustakaan WFPUB",
  "filetype_spwfpublibrarylist": "Perpustakaan WFPUB",
  "spwhereabout": "Perkiraan Letak",
  "filetype_spwhereabout": "Perkiraan Letak",
  "spwhereaboutlist": "Perkiraan Letak",
  "filetype_spwhereaboutlist": "Perkiraan Letak",
  "spdocumentlink": "Tautan pada Dokumen",
  "filetype_spdocumentlink": "Tautan pada Dokumen",
  "spdocumentset": "Bundel Dokumen",
  "filetype_spdocumentset": "Bundel Dokumen",
  "spmicrofeedpost": "Postingan Umpan Mikro",
  "filetype_spmicrofeedpost": "Postingan Umpan Mikro",
  "spmicrofeedlist": "Umpan Mikro",
  "filetype_spmicrofeedlist": "Umpan Mikro",
  "splistfolder": "Daftar Folder",
  "filetype_splistfolder": "Daftar Folder",
  "Unknown": "Tidak dikenal",
  "And": "DAN",
  "Authenticating": "Mengautentikasi {0}...",
  "Clear": "Bersihkan {0}",
  "CompleteQuery": "Lengkapi Kueri",
  "Exclude": "Kecualikan {0}",
  "EnterTag": "Tambah Tag",
  "Next": "Berikutnya",
  "Last": "Terakhir",
  "Link": "Tautan",
  "Or": "ATAU",
  "Previous": "Sebelumnya",
  "QueryDidntMatchAnyDocuments": "Kueri Anda tidak cocok dengan dokumen mana pun.",
  "QueryException": "Kueri Anda memuat kesalahan: {0}.",
  "Me": "Saya",
  "Remove": "Hilangkan",
  "Search": "Cari",
  "SearchFor": "Cari {0}",
  "ShareQuery": "Bagikan Kueri",
  "Preferences": "Preferensi",
  "LinkOpeningSettings": "Pengaturan Pembukaan Tautan",
  "Reauthenticate": "Autentikasi Ulang {0}",
  "ResultsFilteringExpression": "Ekspresi Pemfilteran Hasil",
  "FiltersInYourPreferences": "Filter pada preferensi Anda",
  "Create": "Buat",
  "SearchIn": "Cari di {0}",
  "Seconds": "dalam {0} detik",
  "ShowingResultsOf": "Hasil {0}<pl>-{1}</pl> dari {2}",
  "ShowingResultsOfWithQuery": "Hasil {0}<pl>-{1}</pl> dari {2} untuk {3}",
  "SwitchTo": "Alihkan ke {0}",
  "Unexclude": "Jangan kecualikan {0}",
  "ClearAllFilters": "Bersihkan Semua Filter",
  "SkipLogin": "Lewati proses masuk",
  "LoginInProgress": "Proses masuk sedang berlangsung, harap tunggu ...",
  "Login": "Masuk",
  "GetStarted": "Mulai",
  "More": "Lebih banyak",
  "NMore": "{0} selengkapnya",
  "Less": "Lebih sedikit",
  "Settings": "Pengaturan",
  "Score": "Skor",
  "ScoreDescription": "Skor dihitung dari jumlah kemunculan dan juga dari posisi pada set hasil.",
  "Occurrences": "Kemunculan",
  "OccurrencesDescription": "Sortir menurut jumlah kemunculan. Nilai yang jumlahnya paling banyak akan muncul lebih awal.",
  "Label": "Label",
  "Of": "dari",
  "LabelDescription": "Sortir secara alfabetis berdasarkan nilai bidang.",
  "Value": "Nilai",
  "ValueDescription": "Sortir berdasarkan nilai pada bidang yang dihitung pertama",
  "AlphaAscending": "Nilai Menaik",
  "AlphaDescending": "Nilai Menurun",
  "ChiSquare": "Chi Square",
  "Nosort": "Tanpa Sortir",
  "NosortDescription": "Jangan menyortir value. Value akan ditampilkan secara acak.",
  "RelativeFrequency": "Frekuensi Relatif",
  "RelativeFrequencyDescription": "Sortir berdasarkan frekuensi relatif nilai. Nilai yang kurang umum akan muncul lebih awal.",
  "DateDistribution": "Distribusi tanggal",
  "Custom": "Khusus",
  "CustomDescription": "Sortir berdasarkan urutan khusus",
  "ComputedField": "Bidang yang Dihitung",
  "Ascending": "Menaik",
  "Descending": "Menurun",
  "noResultFor": "Tidak ada hasil untuk {0}",
  "autoCorrectedQueryTo": "Kueri dikoreksi secara otomatis menjadi {0}",
  "didYouMean": "Apakah maksud Anda: {0}",
  "SuggestedResults": "Hasil yang Disarankan",
  "SuggestedQueries": "Kueri yang Disarankan",
  "MostRelevantItems": "Item paling relevan:",
  "AllItems": "Semua item:",
  "ShowLess": "Tunjukkan lebih sedikit",
  "ShowMore": "Tunjukkan lebih banyak",
  "HideFacet": "Sembunyikan Faset",
  "ShowFacet": "Tunjukkan Faset",
  "AndOthers": "dan {0} lainnya",
  "Others": "{0} lainnya",
  "MostRelevantPosts": "Posting yang Paling Relevan:",
  "CompleteThread": "Utas Lengkap:",
  "ShowCompleteThread": "Tunjukkan Utas Lengkap",
  "ShowOnlyTopMatchingPosts": "Tunjukkan Hanya Posting yang Paling Cocok",
  "MostRelevantReplies": "Balasan yang Paling Relevan:",
  "AllConversation": "Semua Percakapan:",
  "ShowAllConversation": "Tunjukkan Semua Percakapan",
  "ShowAllReplies": "Tunjukkan Semua Balasan",
  "ShowOnlyMostRelevantReplies": "Tunjukkan Hanya Balasan yang Paling Relevan",
  "Close": "Tutup",
  "Open": "Buka",
  "OpenInOutlookWhenPossible": "Buka di Outlook (bila mungkin)",
  "AlwaysOpenInNewWindow": "Selalu buka hasil di jendela baru",
  "Quickview": "Tampilan Cepat",
  "NoQuickview": "Tidak tersedia Tampilan Cepat untuk dokumen ini",
  "ErrorReport": "Laporan Kesalahan",
  "OopsError": "Ada masalah pada server.",
  "ProblemPersists": "Jika masalah ini berlanjut, hubungi administrator.",
  "GoBack": "Kembali",
  "Reset": "Atur Ulang",
  "Retry": "Coba Lagi",
  "MoreInfo": "Informasi Selengkapnya",
  "Username": "Nama Pengguna",
  "Password": "Kata Sandi",
  "PostedBy": "Diposting oleh",
  "CannotConnect": "Tidak dapat menyambung ke alamat server ini.",
  "BadUserPass": "Kata sandi tidak cocok dengan nama pengguna.",
  "PleaseEnterYourCredentials": "Masukkan kredensial Anda untuk {0}.",
  "PleaseEnterYourSearchPage": "Masukkan URL halaman pencarian Anda",
  "Collapse": "Ciutkan",
  "Collapsable": "Dapat diciutkan",
  "Expand": "Bentangkan",
  "Today": "Hari Ini",
  "Yesterday": "Kemarin",
  "Tomorrow": "Besok",
  "Duration": "Durasi: {0}",
  "IndexDuration": "Durasi Indeks: {0}",
  "ProxyDuration": "Durasi Proksi: {0}",
  "ClientDuration": "Durasi Klien: {0}",
  "Unavailable": "Tidak tersedia",
  "Reply": "Balas",
  "ReplyAll": "Balas Semua",
  "Forward": "Teruskan",
  "From": "Dari",
  "Caption": "Keterangan",
  "Expression": "Ekspresi",
  "Tab": "Tab",
  "Tabs": "Tab",
  "EnterExpressionName": "Masukkan nama ekspresi",
  "EnterExpressionToFilterWith": "Masukkan ekspresi untuk memfilter hasil dengan",
  "SelectTab": "Pilih Tab",
  "SelectAll": "Pilih Semua",
  "PageUrl": "URL halaman pencarian",
  "ErrorSavingToDevice": "Kesalahan sewaktu menyimpan informasi ke perangkat Anda",
  "ErrorReadingFromDevice": "Kesalahan sewaktu membaca informasi dari perangkat Anda",
  "AppIntro": "Bicaralah dengan spesialis produk yang dapat menjawab pertanyaan Anda tentang Coveo dan membantu Anda menentukan solusi Coveo mana yang tepat untuk Anda. Atau, coba demo langsung!",
  "TryDemo": "Coba demo",
  "ContactUs": "Hubungi kami",
  "NewToCoveo": "Baru mengenal Coveo?",
  "LetUsHelpGetStarted": "Izinkan kami membantu Anda memulai",
  "LikesThis": "{0} menyukai ini.",
  "CannotConnectSearchPage": "Tidak dapat menyambung ke halaman pencarian Anda",
  "AreYouSureDeleteFilter": "Anda yakin ingin menghapus filter {0} dengan ekspresi {1}",
  "OnlineHelp": "Bantuan Online",
  "Done": "Selesai",
  "SaveFacetState": "Simpan status faset ini",
  "ClearFacetState": "Bersihkan status faset",
  "DisplayingTheOnlyMessage": "Menampilkan pesan pada percakapan ini saja",
  "NoNetworkConnection": "Tidak ada koneksi jaringan",
  "UnknownConnection": "Koneksi tidak dikenal",
  "EthernetConnection": "Koneksi Ethernet",
  "WiFi": "Koneksi WiFi",
  "CELL": "Koneksi Seluler",
  "CELL_2G": "Koneksi Seluler 2G",
  "CELL_3G": "Koneksi Seluler 3G",
  "CELL_4G": "Koneksi Seluler 4G",
  "Relevance": "Relevansi",
  "Date": "Tanggal",
  "Amount": "Jumlah",
  "QueryExceptionNoException": "Tanpa pengecualian",
  "QueryExceptionInvalidSyntax": "Sintaksis tidak valid",
  "QueryExceptionInvalidCustomField": "Bidang khusus tidak valid",
  "QueryExceptionInvalidDate": "Tanggal tidak valid",
  "QueryExceptionInvalidExactPhrase": "Frasa pasti tidak valid",
  "QueryExceptionInvalidDateOp": "Operator tanggal tidak valid",
  "QueryExceptionInvalidNear": "Operator NEAR tidak valid",
  "QueryExceptionInvalidWeightedNear": "NEAR berbobot tidak valid",
  "QueryExceptionInvalidTerm": "Istilah tidak valid",
  "QueryExceptionTooManyTerms": "Istilah terlalu banyak",
  "QueryExceptionWildcardTooGeneral": "Wildcard terlalu umum",
  "QueryExceptionInvalidSortField": "Bidang sortir tidak valid",
  "QueryExceptionInvalidSmallStringOp": "Operator string kecil tidak valid",
  "QueryExceptionRequestedResultsMax": "Hasil maksimum yang diminta",
  "QueryExceptionAggregatedMirrorDead": "Cermin agregat offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Waktu kueri cermin agregat habis",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Nomor rangkaian cermin agregat tidak valid",
  "QueryExceptionAggregatedMirrorCannotConnect": "Cermin agregat tidak dapat menyambung",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Karakter di depan wildcard tidak cukup",
  "QueryExceptionSecurityInverterNotFound": "Inverter keamanan tidak ditemukan",
  "QueryExceptionSecurityInverterAccessDenied": "Akses inverter keamanan ditolak",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Cermin agregat tidak dapat menyamar",
  "QueryExceptionUnexpected": "Tak terduga",
  "QueryExceptionAccessDenied": "Akses ditolak",
  "QueryExceptionSuperUserTokenInvalid": "Token pengguna super tidak valid",
  "QueryExceptionSuperUserTokenExpired": "Token pengguna super kedaluwarsa",
  "QueryExceptionLicenseQueriesExpired": "Lisensi kueri kedaluwarsa",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Lisensi token pengguna super tidak didukung",
  "QueryExceptionInvalidSession": "Sesi tidak valid",
  "QueryExceptionInvalidDocument": "Dokumen tidak valid",
  "QueryExceptionSearchDisabled": "Pencarian dinonaktifkan",
  "FileType": "Jenis file",
  "ShowAttachment": "Tunjukkan lampiran",
  "OnFeed": "pada feed {0}.",
  "Author": "Penyusun",
  "NoTitle": "Tanpa judul",
  "CurrentSelections": "Pilihan saat ini",
  "AllContent": "Semua isi",
  "CancelLastAction": "Batalkan tindakan terakhir",
  "SearchTips": "Kiat pencarian",
  "CheckSpelling": "Periksa ejaan kata kunci Anda.",
  "TryUsingFewerKeywords": "Coba gunakan kata kunci yang lebih sedikit, berbeda, atau lebih umum.",
  "SelectFewerFilters": "Pilih lebih sedikit filter untuk memperluas pencarian Anda.",
  "Document": "Dokumen tidak valid",
  "Time": "Waktu",
  "StartDate": "Tanggal Mulai",
  "StartTime": "Waktu Mulai",
  "DurationTitle": "Durasi",
  "UserQuery": "Kueri pengguna",
  "ShowUserActions": "Tampilkan Tindakan Pengguna",
  "NoData": "Tidak tersedia data apa pun",
  "EventType": "Jenis peristiwa",
  "GoToFullSearch": "Pencarian lengkap",
  "GoToEdition": "Sesuaikan Panel",
  "RemoveContext": "Hapus konteks",
  "BoxAttachToCase": "Lampirkan pada kasus",
  "AttachToCase": "Lampirkan pada kasus",
  "Attach": "Lampirkan",
  "Attached": "Sudah dilampirkan",
  "Detach": "Lepas",
  "Details": "Detail",
  "AdditionalFilters": "Filter tambahan",
  "SelectNonContextualSearch": "Hapus konteks dari catatan saat ini untuk memperluas pencarian Anda",
  "CopyPasteToSupport": "Salin dan tempel pesan ini lalu kirimkan pada tim Dukungan Coveo untuk informasi lebih lengkap.",
  "FollowQueryDescription": "Beri tahu saya jika ada perubahan pada hasil pencarian atas kueri ini",
  "SearchAlerts_Panel": "Kelola Pemberitahuan",
  "SearchAlerts_PanelDescription": "Tampilkan dan kelola pemberitahuan pencarian Anda.",
  "SearchAlerts_PanelNoSearchAlerts": "Anda tidak berlangganan apa pun",
  "SearchAlerts_Fail": "Layanan Pemberitahuan Hasil Pencarian saat ini sedang tidak ada.",
  "SearchAlerts_Type": "Jenis",
  "SearchAlerts_Content": "Isi",
  "SearchAlerts_Actions": "Tindakan",
  "EmptyQuery": "<kosong>",
  "SearchAlerts_Type_followQuery": "Kueri",
  "SearchAlerts_Type_followDocument": "Butir",
  "SearchAlerts_unFollowing": "Berhenti Mengikuti",
  "SearchAlerts_follow": "Ikuti",
  "SearchAlerts_followed": "Diikuti",
  "SearchAlerts_followQuery": "Ikuti Kueri",
  "Subscription_StopFollowingQuery": "Berhenti Mengikuti Kueri",
  "SearchAlerts_Frequency": "Kapan saja",
  "SubscriptionsManageSubscriptions": "Kelola Pemberitahuan",
  "SubscriptionsMessageFollowQuery": "Anda akan menerima pemberitahuan saat kueri <b>{0}<b> menemukan butir yang baru atau dikinikan.",
  "SubscriptionsMessageFollow": "Anda akan menerima pemberitahuan saat terjadi perubahan pada butir <b>{0}<b>.",
  "Expiration": "Kadaluarsa",
  "Monthly": "Bulanan",
  "Daily": "Harian",
  "Monday": "Senin",
  "Tuesday": "Selasa",
  "Wednesday": "Rabu",
  "Thursday": "Kamis",
  "Friday": "Jumat",
  "Saturday": "Sabtu",
  "Sunday": "Minggu",
  "NextDay": "{0} selanjutnya",
  "LastDay": "{0} terakhir",
  "StartTypingCaseForSuggestions": "Gambarkan masalah Anda dengan jelas agar solusi yang memadai bisa ditemukan",
  "ExportToExcel": "Ekspor ke Excel",
  "ExportToExcelDescription": "Ekspor hasil pencarian ke Excel",
  "CaseCreationNoResults": "Rekomendasi solusi tidak ditemukan",
  "SortBy": "Sortir berdasarkan",
  "BoxCreateArticle": "Buat Artikel",
  "Facets": "Faset",
  "AdvancedSearch": "Pencarian lanjutan",
  "Keywords": "Kata kunci",
  "AllTheseWords": "Semua kata-kata ini",
  "ExactPhrase": "Sama persis dengan frasa ini",
  "AnyOfTheseWords": "Salah satu di antara kata-kata ini",
  "NoneOfTheseWords": "Tidak memuat satupun di antara kata-kata ini",
  "Anytime": "Kapan saja",
  "InTheLast": "Dalam",
  "Days": "hari",
  "Months": "bulan",
  "Month": "Bulan",
  "Year": "Tahun",
  "Between": "Antara",
  "Language": "Bahasa",
  "Size": "Ukuran",
  "AtLeast": "setidaknya",
  "AtMost": "tidak melebihi",
  "Contains": "memuat",
  "DoesNotContain": "tidak memuat",
  "Matches": "sesuai dengan",
  "Bytes": "bit",
  "card": "Kartu",
  "table": "Bilah",
  "ResultLinks": "Tautan hasil",
  "EnableQuerySyntax": "Aktifkan sintaks kueri",
  "On": "Nyala",
  "Off": "Mati",
  "Automatic": "Otomatis",
  "ResultsPerPage": "Hasil per halaman",
  "PreviousMonth": "Bulan sebelumnya",
  "NextMonth": "Bulan selanjutnya",
  "Title": "Judul",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["id"] = merge(locales["id"], dict);
  String["toLocaleString"].call(this, { "id": dict });
  String["locale"] = "id";
  String["defaultLocale"] = "en";
  Globalize.culture("id")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Pengguna",
  "filetype_box user": "Pengguna",
  "html": "File HTML",
  "filetype_html": "File HTML",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Laman Web",
  "filetype_webscraperwebpage": "Laman Web",
  "image": "Gambar",
  "filetype_image": "Gambar",
  "folder": "Map",
  "filetype_folder": "Map",
  "txt": "Teks",
  "filetype_txt": "Teks",
  "zip": "File Zip",
  "filetype_zip": "File Zip",
  "olefile": "File OLE",
  "filetype_olefile": "File OLE",
  "gmailmessage": "Pesan Gmail",
  "filetype_gmailmessage": "Pesan Gmail",
  "pdf": "File PDF",
  "filetype_pdf": "File PDF",
  "swf": "File Flash",
  "filetype_swf": "File Flash",
  "xml": "File XML",
  "filetype_xml": "File XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Umpan RSS",
  "filetype_rssitem": "Umpan RSS",
  "doc": "Dokumen",
  "filetype_doc": "Dokumen",
  "docx": "Dokumen Microsoft Word",
  "filetype_docx": "Dokumen Microsoft Word",
  "xls": "Dokumen Lembar Bentang",
  "filetype_xls": "Dokumen Lembar Bentang",
  "ppt": "Dokumen Presentasi",
  "filetype_ppt": "Dokumen Presentasi",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "CRM Dinamis",
  "filetype_dynamicscrmitem": "CRM Dinamis",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Dokumen Open Text",
  "filetype_odt": "Dokumen Open Text",
  "lithiummessage": "Pesan Litium",
  "filetype_lithiummessage": "Pesan Litium",
  "lithiumthread": "Utas Litium",
  "filetype_lithiumthread": "Utas Litium",
  "lithiumboard": "Papan Litium",
  "filetype_lithiumboard": "Papan Litium",
  "lithiumcategory": "Kategori Litium",
  "filetype_lithiumcategory": "Kategori Litium",
  "lithiumcommunity": "Komunitas Litium",
  "filetype_lithiumcommunity": "Komunitas Litium",
  "people": "Pengguna",
  "objecttype_people": "Pengguna",
  "message": "Pesan",
  "objecttype_message": "Pesan",
  "feed": "Umpan RSS",
  "objecttype_feed": "Umpan RSS",
  "thread": "Utas",
  "objecttype_thread": "Utas",
  "file": "Berkas",
  "objecttype_file": "Berkas",
  "board": "Papan",
  "objecttype_board": "Papan",
  "category": "Kategori Litium",
  "objecttype_category": "Kategori Litium",
  "account": "Akun",
  "objecttype_account": "Akun",
  "annotation": "Catatan",
  "objecttype_annotation": "Catatan",
  "campaign": "Kampanye",
  "objecttype_campaign": "Kampanye",
  "case": "Kasus",
  "objecttype_case": "Kasus",
  "contact": "Kontak",
  "objecttype_contact": "Kontak",
  "contract": "Kontrak",
  "objecttype_contract": "Kontrak",
  "event": "Peristiwa",
  "objecttype_event": "Peristiwa",
  "email": "Email",
  "objecttype_email": "Email",
  "goal": "Tujuan",
  "objecttype_goal": "Tujuan",
  "objecttype_incident": "Kasus",
  "invoice": "Tagihan",
  "objecttype_invoice": "Tagihan",
  "lead": "Prospek",
  "objecttype_lead": "Prospek",
  "list": "Daftar",
  "objecttype_list": "Daftar Pemasaran",
  "solution": "Solusi",
  "objecttype_solution": "Solusi",
  "task": "Tugas",
  "objecttype_task": "Tugas",
  "user": "Pengguna",
  "objecttype_user": "Pengguna",
  "attachment": "Lampiran",
  "objecttype_attachment": "Lampiran",
  "casecomment": "Komentar Kasus",
  "objecttype_casecomment": "Komentar Kasus",
  "opportunity": "Peluang",
  "objecttype_opportunity": "Peluang",
  "opportunityproduct": "Produk Peluang",
  "objecttype_opportunityproduct": "Produk Peluang",
  "feeditem": "Obrolan",
  "objecttype_feeditem": "Obrolan",
  "feedcomment": "Obrolan",
  "objecttype_feedcomment": "Obrolan",
  "note": "Catatan",
  "objecttype_note": "Catatan",
  "product": "Produk Peluang",
  "objecttype_product": "Produk Peluang",
  "partner": "Rekan",
  "objecttype_partner": "Rekan",
  "queueitem": "Butir Antrean",
  "objecttype_queueitem": "Butir Antrean",
  "quote": "Penawaran",
  "objecttype_quote": "Penawaran",
  "salesliterature": "Dokumen Penjualan",
  "objecttype_salesliterature": "Dokumen Penjualan",
  "salesorder": "Order Penjualan",
  "objecttype_salesorder": "Order Penjualan",
  "service": "Layanan",
  "objecttype_service": "Layanan",
  "socialprofile": "Profil Sosial",
  "objecttype_socialprofile": "Profil Sosial",
  "kbdocumentation": "Dokumentasi",
  "objecttype_kbdocumentation": "Dokumentasi",
  "kbtechnicalarticle": "Dokumentasi",
  "objecttype_kbtechnicalarticle": "Dokumentasi",
  "kbsolution": "Solusi",
  "objecttype_kbsolution": "Solusi",
  "kbknowledgearticle": "Artikel Pengetahuan",
  "objecttype_kbknowledgearticle": "Artikel Pengetahuan",
  "kbattachment": "Lampiran",
  "objecttype_kbattachment": "Lampiran",
  "kbarticle": "Artikel Pengetahuan",
  "objecttype_kbarticle": "Artikel Pengetahuan",
  "kbarticlecomment": "Komentar Artikel",
  "objecttype_kbarticlecomment": "Komentar Artikel",
  "knowledgearticle": "Artikel Pengetahuan",
  "objecttype_knowledgearticle": "Artikel Pengetahuan",
  "topic": "Topik",
  "objecttype_topic": "Topik",
  "dashboard": "Dasbor",
  "objecttype_dashboard": "Dasbor",
  "contentversion": "Dokumen",
  "objecttype_contentversion": "Dokumen",
  "collaborationgroup": "Grup kolaborasi",
  "objecttype_collaborationgroup": "Grup kolaborasi",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Lokasi",
  "filetype_spsite": "Lokasi",
  "spuserprofile": "Pengguna SharePoint",
  "filetype_spuserprofile": "Pengguna SharePoint",
  "sparea": "Wilayah",
  "filetype_sparea": "Wilayah",
  "spannouncement": "Pengumuman",
  "filetype_spannouncement": "Pengumuman",
  "spannouncementlist": "Pengumuman",
  "filetype_spannouncementlist": "Pengumuman",
  "spcontact": "Kontak",
  "filetype_spcontact": "Kontak",
  "spcontactlist": "Kontak",
  "filetype_spcontactlist": "Kontak",
  "spcustomlist": "Daftar yang Disesuaikan",
  "filetype_spcustomlist": "Daftar yang Disesuaikan",
  "spdiscussionboard": "Papan Diskusi",
  "filetype_spdiscussionboard": "Papan Diskusi",
  "spdiscussionboardlist": "Papan Diskusi",
  "filetype_spdiscussionboardlist": "Papan Diskusi",
  "spdocumentlibrarylist": "Perpustakaan Dokumen",
  "filetype_spdocumentlibrarylist": "Perpustakaan Dokumen",
  "spevent": "Peristiwa",
  "filetype_spevent": "Peristiwa",
  "speventlist": "Peristiwa",
  "filetype_speventlist": "Peristiwa",
  "spformlibrarylist": "Perpustakaan Formulir",
  "filetype_spformlibrarylist": "Perpustakaan Formulir",
  "spissue": "Masalah",
  "filetype_spissue": "Masalah",
  "spissuelist": "Masalah",
  "filetype_spissuelist": "Masalah",
  "splink": "Tautan",
  "filetype_splink": "Tautan",
  "splinklist": "Tautan",
  "filetype_splinklist": "Tautan",
  "sppicturelibrarylist": "Perpustakaan Gambar",
  "filetype_sppicturelibrarylist": "Perpustakaan Gambar",
  "spsurvey": "Survei",
  "filetype_spsurvey": "Survei",
  "spsurveylist": "Survei",
  "filetype_spsurveylist": "Survei",
  "sptask": "Tugas",
  "filetype_sptask": "Tugas",
  "sptasklist": "Tugas",
  "filetype_sptasklist": "Tugas",
  "spagenda": "Agenda",
  "filetype_spagenda": "Agenda",
  "spagendalist": "Agenda",
  "filetype_spagendalist": "Agenda",
  "spattendee": "Peserta",
  "filetype_spattendee": "Peserta",
  "spattendeelist": "Peserta",
  "filetype_spattendeelist": "Peserta",
  "spcustomgridlist": "Grid Kustom",
  "filetype_spcustomgridlist": "Grid Kustom",
  "spdecision": "Keputusan",
  "filetype_spdecision": "Keputusan",
  "spdecisionlist": "Keputusan",
  "filetype_spdecisionlist": "Keputusan",
  "spobjective": "Tujuan",
  "filetype_spobjective": "Tujuan",
  "spobjectivelist": "Tujuan",
  "filetype_spobjectivelist": "Tujuan",
  "sptextbox": "Buku Teks",
  "filetype_sptextbox": "Buku Teks",
  "sptextboxlist": "Daftar Buku Teks",
  "filetype_sptextboxlist": "Daftar Buku Teks",
  "spthingstobring": "Perlu Dibawa",
  "filetype_spthingstobring": "Perlu Dibawa",
  "spthingstobringlist": "Perlu Dibawa",
  "filetype_spthingstobringlist": "Perlu Dibawa",
  "sparealisting": "Area Pencantuman",
  "filetype_sparealisting": "Area Pencantuman",
  "spmeetingserie": "Serial Pertemuan",
  "filetype_spmeetingserie": "Serial Pertemuan",
  "spmeetingserielist": "Daftar Serial Pertemuan",
  "filetype_spmeetingserielist": "Daftar Serial Pertemuan",
  "spsitedirectory": "Butir Direktori Lokasi",
  "filetype_spsitedirectory": "Butir Direktori Lokasi",
  "spsitedirectorylist": "Direktori Lokasi",
  "filetype_spsitedirectorylist": "Direktori Lokasi",
  "spdatasource": "Sumber Data",
  "filetype_spdatasource": "Sumber Data",
  "spdatasourcelist": "Daftar Sumber Data",
  "filetype_spdatasourcelist": "Daftar Sumber Data",
  "splisttemplatecataloglist": "Daftar Galeri Template",
  "filetype_splisttemplatecataloglist": "Daftar Galeri Template",
  "spwebpartcataloglist": "Galeri WebPart",
  "filetype_spwebpartcataloglist": "Galeri WebPart",
  "spwebtemplatecataloglist": "Galeri Template Situs",
  "filetype_spwebtemplatecataloglist": "Galeri Template Situs",
  "spworkspacepagelist": "Laman Ruang Kerja",
  "filetype_spworkspacepagelist": "Laman Ruang Kerja",
  "spunknownlist": "Daftar Kustom",
  "filetype_spunknownlist": "Daftar Kustom",
  "spadministratortask": "Tugas Administrator",
  "filetype_spadministratortask": "Tugas Administrator",
  "spadministratortasklist": "Tugas Administrator",
  "filetype_spadministratortasklist": "Tugas Administrator",
  "spareadocumentlibrarylist": "Area Perpustakaan Dokumen",
  "filetype_spareadocumentlibrarylist": "Area Perpustakaan Dokumen",
  "spblogcategory": "Kategori Blog",
  "filetype_spblogcategory": "Kategori Blog",
  "spblogcategorylist": "Kategori Blog",
  "filetype_spblogcategorylist": "Kategori Blog",
  "spblogcomment": "Komentar Blog",
  "filetype_spblogcomment": "Komentar Blog",
  "spblogcommentlist": "Komentar Blog",
  "filetype_spblogcommentlist": "Komentar Blog",
  "spblogpost": "Postingan Blog",
  "filetype_spblogpost": "Postingan Blog",
  "spblogpostlist": "Postingan Blog",
  "filetype_spblogpostlist": "Postingan Blog",
  "spdataconnectionlibrarylist": "Perpustakaan Koneksi Data",
  "filetype_spdataconnectionlibrarylist": "Perpustakaan Koneksi Data",
  "spdistributiongroup": "Grup Distribusi",
  "filetype_spdistributiongroup": "Grup Distribusi",
  "spdistributiongrouplist": "Grup Distribusi",
  "filetype_spdistributiongrouplist": "Grup Distribusi",
  "spipfslist": "Server Formulir InfoPath",
  "filetype_spipfslist": "Server Formulir InfoPath",
  "spkeyperformanceindicator": "Indikator Penting atas Performa",
  "filetype_spkeyperformanceindicator": "Indikator Penting atas Performa",
  "spkeyperformanceindicatorlist": "Indikator Penting atas Performa",
  "filetype_spkeyperformanceindicatorlist": "Indikator Penting atas Performa",
  "splanguagesandtranslator": "Bahasa dan Penerjemah",
  "filetype_splanguagesandtranslator": "Bahasa dan Penerjemah",
  "splanguagesandtranslatorlist": "Bahasa dan Penerjemah",
  "filetype_splanguagesandtranslatorlist": "Bahasa dan Penerjemah",
  "spmasterpagescataloglist": "Galeri Laman Utama",
  "filetype_spmasterpagescataloglist": "Galeri Laman Utama",
  "spnocodeworkflowlibrarylist": "Perpustakaan Aliran Pekerjaan Tanpa Kode",
  "filetype_spnocodeworkflowlibrarylist": "Perpustakaan Aliran Pekerjaan Tanpa Kode",
  "spprojecttask": "Tugas Proyek",
  "filetype_spprojecttask": "Tugas Proyek",
  "spprojecttasklist": "Tugas Proyek",
  "filetype_spprojecttasklist": "Tugas Proyek",
  "sppublishingpageslibrarylist": "Perpustakaan Halaman",
  "filetype_sppublishingpageslibrarylist": "Perpustakaan Halaman",
  "spreportdocumentlibrarylist": "Perpustakaan Dokumen Laporan",
  "filetype_spreportdocumentlibrarylist": "Perpustakaan Dokumen Laporan",
  "spreportlibrarylist": "Perpustakaan Laporan",
  "filetype_spreportlibrarylist": "Perpustakaan Laporan",
  "spslidelibrarylist": "Perpustakaan Slide",
  "filetype_spslidelibrarylist": "Perpustakaan Slide",
  "sptab": "Bilah",
  "filetype_sptab": "Bilah",
  "sptablist": "Daftar Bilah",
  "filetype_sptablist": "Daftar Bilah",
  "sptranslationmanagementlibrarylist": "Perpustakaan Pengelolaan Terjemahan",
  "filetype_sptranslationmanagementlibrarylist": "Perpustakaan Pengelolaan Terjemahan",
  "spuserinformation": "Informasi Pengguna",
  "filetype_spuserinformation": "Informasi Pengguna",
  "spuserinformationlist": "Daftar Informasi Pengguna",
  "filetype_spuserinformationlist": "Daftar Informasi Pengguna",
  "spwikipagelibrarylist": "Perpustakaan Laman Wiki",
  "filetype_spwikipagelibrarylist": "Perpustakaan Laman Wiki",
  "spworkflowhistory": "Riwayat Aliran Pekerjaan",
  "filetype_spworkflowhistory": "Riwayat Aliran Pekerjaan",
  "spworkflowhistorylist": "Daftar Riwayat Aliran Pekerjaan",
  "filetype_spworkflowhistorylist": "Daftar Riwayat Aliran Pekerjaan",
  "spworkflowprocess": "Proses Kustom atas Aliran Pekerjaan",
  "filetype_spworkflowprocess": "Proses Kustom atas Aliran Pekerjaan",
  "spworkflowprocesslist": "Proses Kustom atas Aliran Pekerjaan",
  "filetype_spworkflowprocesslist": "Proses Kustom atas Aliran Pekerjaan",
  "sppublishingimageslibrarylist": "Mempublikasikan Perpustakaan Gambar",
  "filetype_sppublishingimageslibrarylist": "Mempublikasikan Perpustakaan Gambar",
  "spcirculation": "Sirkulasi",
  "filetype_spcirculation": "Sirkulasi",
  "spcirculationlist": "Sirkulasi",
  "filetype_spcirculationlist": "Sirkulasi",
  "spdashboardslibrarylist": "Dasbor Perpustakaan",
  "filetype_spdashboardslibrarylist": "Dasbor Perpustakaan",
  "spdataconnectionforperformancepointlibrarylist": "Perpustakaan Koneksi Data PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Perpustakaan Koneksi Data PerformancePoint",
  "sphealthreport": "Laporan Kesehatan",
  "filetype_sphealthreport": "Laporan Kesehatan",
  "sphealthreportlist": "Laporan Kesehatan",
  "filetype_sphealthreportlist": "Laporan Kesehatan",
  "sphealthrule": "Peraturan Kesehatan",
  "filetype_sphealthrule": "Peraturan Kesehatan",
  "sphealthrulelist": "Peraturan Kesehatan",
  "filetype_sphealthrulelist": "Peraturan Kesehatan",
  "spimedictionary": "Kamus IME",
  "filetype_spimedictionary": "Kamus IME",
  "spimedictionarylist": "Kamus IME",
  "filetype_spimedictionarylist": "Kamus IME",
  "spperformancepointcontent": "Konten PerformancePoint",
  "filetype_spperformancepointcontent": "Konten PerformancePoint",
  "spperformancepointcontentlist": "Konten PerformancePoint",
  "filetype_spperformancepointcontentlist": "Konten PerformancePoint",
  "spphonecallmemo": "Memo Panggilan Telepon",
  "filetype_spphonecallmemo": "Memo Panggilan Telepon",
  "spphonecallmemolist": "Memo Panggilan Telepon",
  "filetype_spphonecallmemolist": "Memo Panggilan Telepon",
  "sprecordlibrarylist": "Perpustakaan Rekaman",
  "filetype_sprecordlibrarylist": "Perpustakaan Rekaman",
  "spresource": "Sumber",
  "filetype_spresource": "Sumber",
  "spresourcelist": "Sumber",
  "filetype_spresourcelist": "Sumber",
  "spprocessdiagramslibrarylist": "Perpustakaan Diagram Proses",
  "filetype_spprocessdiagramslibrarylist": "Perpustakaan Diagram Proses",
  "spsitethemeslibrarylist": "Perpustakaan Tema Situs",
  "filetype_spsitethemeslibrarylist": "Perpustakaan Tema Situs",
  "spsolutionslibrarylist": "Perpustakaan Solusi",
  "filetype_spsolutionslibrarylist": "Perpustakaan Solusi",
  "spwfpublibrarylist": "Perpustakaan WFPUB",
  "filetype_spwfpublibrarylist": "Perpustakaan WFPUB",
  "spwhereabout": "Perkiraan Letak",
  "filetype_spwhereabout": "Perkiraan Letak",
  "spwhereaboutlist": "Perkiraan Letak",
  "filetype_spwhereaboutlist": "Perkiraan Letak",
  "spdocumentlink": "Tautan pada Dokumen",
  "filetype_spdocumentlink": "Tautan pada Dokumen",
  "spdocumentset": "Bundel Dokumen",
  "filetype_spdocumentset": "Bundel Dokumen",
  "spmicrofeedpost": "Postingan Umpan Mikro",
  "filetype_spmicrofeedpost": "Postingan Umpan Mikro",
  "spmicrofeedlist": "Umpan Mikro",
  "filetype_spmicrofeedlist": "Umpan Mikro",
  "splistfolder": "Daftar Folder",
  "filetype_splistfolder": "Daftar Folder",
  "Unknown": "Tidak dikenal",
  "And": "DAN",
  "Authenticating": "Mengautentikasi {0}...",
  "Clear": "Bersihkan {0}",
  "CompleteQuery": "Lengkapi Kueri",
  "Exclude": "Kecualikan {0}",
  "EnterTag": "Tambah Tag",
  "Next": "Berikutnya",
  "Last": "Terakhir",
  "Link": "Tautan",
  "Or": "ATAU",
  "Previous": "Sebelumnya",
  "QueryDidntMatchAnyDocuments": "Kueri Anda tidak cocok dengan dokumen mana pun.",
  "QueryException": "Kueri Anda memuat kesalahan: {0}.",
  "Me": "Saya",
  "Remove": "Hilangkan",
  "Search": "Cari",
  "SearchFor": "Cari {0}",
  "ShareQuery": "Bagikan Kueri",
  "Preferences": "Preferensi",
  "LinkOpeningSettings": "Pengaturan Pembukaan Tautan",
  "Reauthenticate": "Autentikasi Ulang {0}",
  "ResultsFilteringExpression": "Ekspresi Pemfilteran Hasil",
  "FiltersInYourPreferences": "Filter pada preferensi Anda",
  "Create": "Buat",
  "SearchIn": "Cari di {0}",
  "Seconds": "dalam {0} detik",
  "ShowingResultsOf": "Hasil {0}<pl>-{1}</pl> dari {2}",
  "ShowingResultsOfWithQuery": "Hasil {0}<pl>-{1}</pl> dari {2} untuk {3}",
  "SwitchTo": "Alihkan ke {0}",
  "Unexclude": "Jangan kecualikan {0}",
  "ClearAllFilters": "Bersihkan Semua Filter",
  "SkipLogin": "Lewati proses masuk",
  "LoginInProgress": "Proses masuk sedang berlangsung, harap tunggu ...",
  "Login": "Masuk",
  "GetStarted": "Mulai",
  "More": "Lebih banyak",
  "NMore": "{0} selengkapnya",
  "Less": "Lebih sedikit",
  "Settings": "Pengaturan",
  "Score": "Skor",
  "ScoreDescription": "Skor dihitung dari jumlah kemunculan dan juga dari posisi pada set hasil.",
  "Occurrences": "Kemunculan",
  "OccurrencesDescription": "Sortir menurut jumlah kemunculan. Nilai yang jumlahnya paling banyak akan muncul lebih awal.",
  "Label": "Label",
  "Of": "dari",
  "LabelDescription": "Sortir secara alfabetis berdasarkan nilai bidang.",
  "Value": "Nilai",
  "ValueDescription": "Sortir berdasarkan nilai pada bidang yang dihitung pertama",
  "AlphaAscending": "Nilai Menaik",
  "AlphaDescending": "Nilai Menurun",
  "ChiSquare": "Chi Square",
  "Nosort": "Tanpa Sortir",
  "NosortDescription": "Jangan menyortir value. Value akan ditampilkan secara acak.",
  "RelativeFrequency": "Frekuensi Relatif",
  "RelativeFrequencyDescription": "Sortir berdasarkan frekuensi relatif nilai. Nilai yang kurang umum akan muncul lebih awal.",
  "DateDistribution": "Distribusi tanggal",
  "Custom": "Khusus",
  "CustomDescription": "Sortir berdasarkan urutan khusus",
  "ComputedField": "Bidang yang Dihitung",
  "Ascending": "Menaik",
  "Descending": "Menurun",
  "noResultFor": "Tidak ada hasil untuk {0}",
  "autoCorrectedQueryTo": "Kueri dikoreksi secara otomatis menjadi {0}",
  "didYouMean": "Apakah maksud Anda: {0}",
  "SuggestedResults": "Hasil yang Disarankan",
  "SuggestedQueries": "Kueri yang Disarankan",
  "MostRelevantItems": "Item paling relevan:",
  "AllItems": "Semua item:",
  "ShowLess": "Tunjukkan lebih sedikit",
  "ShowMore": "Tunjukkan lebih banyak",
  "HideFacet": "Sembunyikan Faset",
  "ShowFacet": "Tunjukkan Faset",
  "AndOthers": "dan {0} lainnya",
  "Others": "{0} lainnya",
  "MostRelevantPosts": "Posting yang Paling Relevan:",
  "CompleteThread": "Utas Lengkap:",
  "ShowCompleteThread": "Tunjukkan Utas Lengkap",
  "ShowOnlyTopMatchingPosts": "Tunjukkan Hanya Posting yang Paling Cocok",
  "MostRelevantReplies": "Balasan yang Paling Relevan:",
  "AllConversation": "Semua Percakapan:",
  "ShowAllConversation": "Tunjukkan Semua Percakapan",
  "ShowAllReplies": "Tunjukkan Semua Balasan",
  "ShowOnlyMostRelevantReplies": "Tunjukkan Hanya Balasan yang Paling Relevan",
  "Close": "Tutup",
  "Open": "Buka",
  "OpenInOutlookWhenPossible": "Buka di Outlook (bila mungkin)",
  "AlwaysOpenInNewWindow": "Selalu buka hasil di jendela baru",
  "Quickview": "Tampilan Cepat",
  "NoQuickview": "Tidak tersedia Tampilan Cepat untuk dokumen ini",
  "ErrorReport": "Laporan Kesalahan",
  "OopsError": "Ada masalah pada server.",
  "ProblemPersists": "Jika masalah ini berlanjut, hubungi administrator.",
  "GoBack": "Kembali",
  "Reset": "Atur Ulang",
  "Retry": "Coba Lagi",
  "MoreInfo": "Informasi Selengkapnya",
  "Username": "Nama Pengguna",
  "Password": "Kata Sandi",
  "PostedBy": "Diposting oleh",
  "CannotConnect": "Tidak dapat menyambung ke alamat server ini.",
  "BadUserPass": "Kata sandi tidak cocok dengan nama pengguna.",
  "PleaseEnterYourCredentials": "Masukkan kredensial Anda untuk {0}.",
  "PleaseEnterYourSearchPage": "Masukkan URL halaman pencarian Anda",
  "Collapse": "Ciutkan",
  "Collapsable": "Dapat diciutkan",
  "Expand": "Bentangkan",
  "Today": "Hari Ini",
  "Yesterday": "Kemarin",
  "Tomorrow": "Besok",
  "Duration": "Durasi: {0}",
  "IndexDuration": "Durasi Indeks: {0}",
  "ProxyDuration": "Durasi Proksi: {0}",
  "ClientDuration": "Durasi Klien: {0}",
  "Unavailable": "Tidak tersedia",
  "Reply": "Balas",
  "ReplyAll": "Balas Semua",
  "Forward": "Teruskan",
  "From": "Dari",
  "Caption": "Keterangan",
  "Expression": "Ekspresi",
  "Tab": "Tab",
  "Tabs": "Tab",
  "EnterExpressionName": "Masukkan nama ekspresi",
  "EnterExpressionToFilterWith": "Masukkan ekspresi untuk memfilter hasil dengan",
  "SelectTab": "Pilih Tab",
  "SelectAll": "Pilih Semua",
  "PageUrl": "URL halaman pencarian",
  "ErrorSavingToDevice": "Kesalahan sewaktu menyimpan informasi ke perangkat Anda",
  "ErrorReadingFromDevice": "Kesalahan sewaktu membaca informasi dari perangkat Anda",
  "AppIntro": "Bicaralah dengan spesialis produk yang dapat menjawab pertanyaan Anda tentang Coveo dan membantu Anda menentukan solusi Coveo mana yang tepat untuk Anda. Atau, coba demo langsung!",
  "TryDemo": "Coba demo",
  "ContactUs": "Hubungi kami",
  "NewToCoveo": "Baru mengenal Coveo?",
  "LetUsHelpGetStarted": "Izinkan kami membantu Anda memulai",
  "LikesThis": "{0} menyukai ini.",
  "CannotConnectSearchPage": "Tidak dapat menyambung ke halaman pencarian Anda",
  "AreYouSureDeleteFilter": "Anda yakin ingin menghapus filter {0} dengan ekspresi {1}",
  "OnlineHelp": "Bantuan Online",
  "Done": "Selesai",
  "SaveFacetState": "Simpan status faset ini",
  "ClearFacetState": "Bersihkan status faset",
  "DisplayingTheOnlyMessage": "Menampilkan pesan pada percakapan ini saja",
  "NoNetworkConnection": "Tidak ada koneksi jaringan",
  "UnknownConnection": "Koneksi tidak dikenal",
  "EthernetConnection": "Koneksi Ethernet",
  "WiFi": "Koneksi WiFi",
  "CELL": "Koneksi Seluler",
  "CELL_2G": "Koneksi Seluler 2G",
  "CELL_3G": "Koneksi Seluler 3G",
  "CELL_4G": "Koneksi Seluler 4G",
  "Relevance": "Relevansi",
  "Date": "Tanggal",
  "Amount": "Jumlah",
  "QueryExceptionNoException": "Tanpa pengecualian",
  "QueryExceptionInvalidSyntax": "Sintaksis tidak valid",
  "QueryExceptionInvalidCustomField": "Bidang khusus tidak valid",
  "QueryExceptionInvalidDate": "Tanggal tidak valid",
  "QueryExceptionInvalidExactPhrase": "Frasa pasti tidak valid",
  "QueryExceptionInvalidDateOp": "Operator tanggal tidak valid",
  "QueryExceptionInvalidNear": "Operator NEAR tidak valid",
  "QueryExceptionInvalidWeightedNear": "NEAR berbobot tidak valid",
  "QueryExceptionInvalidTerm": "Istilah tidak valid",
  "QueryExceptionTooManyTerms": "Istilah terlalu banyak",
  "QueryExceptionWildcardTooGeneral": "Wildcard terlalu umum",
  "QueryExceptionInvalidSortField": "Bidang sortir tidak valid",
  "QueryExceptionInvalidSmallStringOp": "Operator string kecil tidak valid",
  "QueryExceptionRequestedResultsMax": "Hasil maksimum yang diminta",
  "QueryExceptionAggregatedMirrorDead": "Cermin agregat offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Waktu kueri cermin agregat habis",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Nomor rangkaian cermin agregat tidak valid",
  "QueryExceptionAggregatedMirrorCannotConnect": "Cermin agregat tidak dapat menyambung",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Karakter di depan wildcard tidak cukup",
  "QueryExceptionSecurityInverterNotFound": "Inverter keamanan tidak ditemukan",
  "QueryExceptionSecurityInverterAccessDenied": "Akses inverter keamanan ditolak",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Cermin agregat tidak dapat menyamar",
  "QueryExceptionUnexpected": "Tak terduga",
  "QueryExceptionAccessDenied": "Akses ditolak",
  "QueryExceptionSuperUserTokenInvalid": "Token pengguna super tidak valid",
  "QueryExceptionSuperUserTokenExpired": "Token pengguna super kedaluwarsa",
  "QueryExceptionLicenseQueriesExpired": "Lisensi kueri kedaluwarsa",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Lisensi token pengguna super tidak didukung",
  "QueryExceptionInvalidSession": "Sesi tidak valid",
  "QueryExceptionInvalidDocument": "Dokumen tidak valid",
  "QueryExceptionSearchDisabled": "Pencarian dinonaktifkan",
  "FileType": "Jenis file",
  "ShowAttachment": "Tunjukkan lampiran",
  "OnFeed": "pada feed {0}.",
  "Author": "Penyusun",
  "NoTitle": "Tanpa judul",
  "CurrentSelections": "Pilihan saat ini",
  "AllContent": "Semua isi",
  "CancelLastAction": "Batalkan tindakan terakhir",
  "SearchTips": "Kiat pencarian",
  "CheckSpelling": "Periksa ejaan kata kunci Anda.",
  "TryUsingFewerKeywords": "Coba gunakan kata kunci yang lebih sedikit, berbeda, atau lebih umum.",
  "SelectFewerFilters": "Pilih lebih sedikit filter untuk memperluas pencarian Anda.",
  "Document": "Dokumen tidak valid",
  "Time": "Waktu",
  "StartDate": "Tanggal Mulai",
  "StartTime": "Waktu Mulai",
  "DurationTitle": "Durasi",
  "UserQuery": "Kueri pengguna",
  "ShowUserActions": "Tampilkan Tindakan Pengguna",
  "NoData": "Tidak tersedia data apa pun",
  "EventType": "Jenis peristiwa",
  "GoToFullSearch": "Pencarian lengkap",
  "GoToEdition": "Sesuaikan Panel",
  "RemoveContext": "Hapus konteks",
  "BoxAttachToCase": "Lampirkan pada kasus",
  "AttachToCase": "Lampirkan pada kasus",
  "Attach": "Lampirkan",
  "Attached": "Sudah dilampirkan",
  "Detach": "Lepas",
  "Details": "Detail",
  "AdditionalFilters": "Filter tambahan",
  "SelectNonContextualSearch": "Hapus konteks dari catatan saat ini untuk memperluas pencarian Anda",
  "CopyPasteToSupport": "Salin dan tempel pesan ini lalu kirimkan pada tim Dukungan Coveo untuk informasi lebih lengkap.",
  "FollowQueryDescription": "Beri tahu saya jika ada perubahan pada hasil pencarian atas kueri ini",
  "SearchAlerts_Panel": "Kelola Pemberitahuan",
  "SearchAlerts_PanelDescription": "Tampilkan dan kelola pemberitahuan pencarian Anda.",
  "SearchAlerts_PanelNoSearchAlerts": "Anda tidak berlangganan apa pun",
  "SearchAlerts_Fail": "Layanan Pemberitahuan Hasil Pencarian saat ini sedang tidak ada.",
  "SearchAlerts_Type": "Jenis",
  "SearchAlerts_Content": "Isi",
  "SearchAlerts_Actions": "Tindakan",
  "EmptyQuery": "<kosong>",
  "SearchAlerts_Type_followQuery": "Kueri",
  "SearchAlerts_Type_followDocument": "Butir",
  "SearchAlerts_unFollowing": "Berhenti Mengikuti",
  "SearchAlerts_follow": "Ikuti",
  "SearchAlerts_followed": "Diikuti",
  "SearchAlerts_followQuery": "Ikuti Kueri",
  "Subscription_StopFollowingQuery": "Berhenti Mengikuti Kueri",
  "SearchAlerts_Frequency": "Kapan saja",
  "SubscriptionsManageSubscriptions": "Kelola Pemberitahuan",
  "SubscriptionsMessageFollowQuery": "Anda akan menerima pemberitahuan saat kueri <b>{0}<b> menemukan butir yang baru atau dikinikan.",
  "SubscriptionsMessageFollow": "Anda akan menerima pemberitahuan saat terjadi perubahan pada butir <b>{0}<b>.",
  "Expiration": "Kadaluarsa",
  "Monthly": "Bulanan",
  "Daily": "Harian",
  "Monday": "Senin",
  "Tuesday": "Selasa",
  "Wednesday": "Rabu",
  "Thursday": "Kamis",
  "Friday": "Jumat",
  "Saturday": "Sabtu",
  "Sunday": "Minggu",
  "NextDay": "{0} selanjutnya",
  "LastDay": "{0} terakhir",
  "StartTypingCaseForSuggestions": "Gambarkan masalah Anda dengan jelas agar solusi yang memadai bisa ditemukan",
  "ExportToExcel": "Ekspor ke Excel",
  "ExportToExcelDescription": "Ekspor hasil pencarian ke Excel",
  "CaseCreationNoResults": "Rekomendasi solusi tidak ditemukan",
  "SortBy": "Sortir berdasarkan",
  "BoxCreateArticle": "Buat Artikel",
  "Facets": "Faset",
  "AdvancedSearch": "Pencarian lanjutan",
  "Keywords": "Kata kunci",
  "AllTheseWords": "Semua kata-kata ini",
  "ExactPhrase": "Sama persis dengan frasa ini",
  "AnyOfTheseWords": "Salah satu di antara kata-kata ini",
  "NoneOfTheseWords": "Tidak memuat satupun di antara kata-kata ini",
  "Anytime": "Kapan saja",
  "InTheLast": "Dalam",
  "Days": "hari",
  "Months": "bulan",
  "Month": "Bulan",
  "Year": "Tahun",
  "Between": "Antara",
  "Language": "Bahasa",
  "Size": "Ukuran",
  "AtLeast": "setidaknya",
  "AtMost": "tidak melebihi",
  "Contains": "memuat",
  "DoesNotContain": "tidak memuat",
  "Matches": "sesuai dengan",
  "Bytes": "bit",
  "card": "Kartu",
  "table": "Bilah",
  "ResultLinks": "Tautan hasil",
  "EnableQuerySyntax": "Aktifkan sintaks kueri",
  "On": "Nyala",
  "Off": "Mati",
  "Automatic": "Otomatis",
  "ResultsPerPage": "Hasil per halaman",
  "PreviousMonth": "Bulan sebelumnya",
  "NextMonth": "Bulan selanjutnya",
  "Title": "Judul",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["id"] = merge(locales["id"], dict);
  String["toLocaleString"].call(this, { "id": dict });
  String["locale"] = "id";
  String["defaultLocale"] = "en";
  Globalize.culture("id")
}