/*
 * Globalize Culture nl
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "nl", "default", {
	name: "nl",
	englishName: "Dutch",
	nativeName: "Nederlands",
	language: "nl",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["$ -n","$ n"],
			",": ".",
			".": ",",
			symbol: "€"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["zondag","maandag","dinsdag","woensdag","donderdag","vrijdag","zaterdag"],
				namesAbbr: ["zo","ma","di","wo","do","vr","za"],
				namesShort: ["zo","ma","di","wo","do","vr","za"]
			},
			months: {
				names: ["januari","februari","maart","april","mei","juni","juli","augustus","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mrt","apr","mei","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "d-M-yyyy",
				D: "dddd d MMMM yyyy",
				t: "H:mm",
				T: "H:mm:ss",
				f: "dddd d MMMM yyyy H:mm",
				F: "dddd d MMMM yyyy H:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Gebruiker",
  "filetype_box user": "Gebruiker",
  "html": "HTML-bestand",
  "filetype_html": "HTML-bestand",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Webpagina",
  "filetype_webscraperwebpage": "Webpagina",
  "image": "Afbeelding",
  "filetype_image": "Afbeelding",
  "folder": "Map",
  "filetype_folder": "Map",
  "txt": "Tekst",
  "filetype_txt": "Tekst",
  "zip": "Zip-bestand",
  "filetype_zip": "Zip-bestand",
  "olefile": "OLE-bestand",
  "filetype_olefile": "OLE-bestand",
  "gmailmessage": "Gmail-bericht",
  "filetype_gmailmessage": "Gmail-bericht",
  "pdf": "PDF-bestand",
  "filetype_pdf": "PDF-bestand",
  "swf": "Flash-bestand",
  "filetype_swf": "Flash-bestand",
  "xml": "XML-bestand",
  "filetype_xml": "XML-bestand",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS feed",
  "filetype_rssitem": "RSS feed",
  "doc": "Document",
  "filetype_doc": "Document",
  "docx": "Microsoft Word-document",
  "filetype_docx": "Microsoft Word-document",
  "xls": "Spreadsheetdocument",
  "filetype_xls": "Spreadsheetdocument",
  "ppt": "Presentatiedocument",
  "filetype_ppt": "Presentatiedocument",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text-document",
  "filetype_odt": "Open Text-document",
  "lithiummessage": "Lithium-bericht",
  "filetype_lithiummessage": "Lithium-bericht",
  "lithiumthread": "Lithium-Thread",
  "filetype_lithiumthread": "Lithium-Thread",
  "lithiumboard": "Lithium-forum",
  "filetype_lithiumboard": "Lithium-forum",
  "lithiumcategory": "Lithium-Categorie",
  "filetype_lithiumcategory": "Lithium-Categorie",
  "lithiumcommunity": "Lithium-gemeenschap",
  "filetype_lithiumcommunity": "Lithium-gemeenschap",
  "people": "Gebruiker",
  "objecttype_people": "Gebruiker",
  "message": "Bericht",
  "objecttype_message": "Bericht",
  "feed": "RSS feed",
  "objecttype_feed": "RSS feed",
  "thread": "Thread",
  "objecttype_thread": "Thread",
  "file": "Bestand",
  "objecttype_file": "Bestand",
  "board": "Forum",
  "objecttype_board": "Forum",
  "category": "Categorie",
  "objecttype_category": "Categorie",
  "account": "Account",
  "objecttype_account": "Account",
  "annotation": "Notitie",
  "objecttype_annotation": "Notitie",
  "campaign": "Campagne",
  "objecttype_campaign": "Campagne",
  "case": "Case",
  "objecttype_case": "Case",
  "contact": "Contact",
  "objecttype_contact": "Contact",
  "contract": "Contract",
  "objecttype_contract": "Contract",
  "event": "Evenement",
  "objecttype_event": "Evenement",
  "email": "E-mail",
  "objecttype_email": "E-mail",
  "goal": "Doel",
  "objecttype_goal": "Doel",
  "objecttype_incident": "Case",
  "invoice": "Factuur",
  "objecttype_invoice": "Factuur",
  "lead": "Lead",
  "objecttype_lead": "Lead",
  "list": "Lijst",
  "objecttype_list": "Marketinglijst",
  "solution": "Oplossing",
  "objecttype_solution": "Oplossing",
  "task": "Taak",
  "objecttype_task": "Taak",
  "user": "Gebruiker",
  "objecttype_user": "Gebruiker",
  "attachment": "Bijlage",
  "objecttype_attachment": "Bijlage",
  "casecomment": "Case-commentaar",
  "objecttype_casecomment": "Case-commentaar",
  "opportunity": "Kans",
  "objecttype_opportunity": "Kans",
  "opportunityproduct": "Kansenproduct",
  "objecttype_opportunityproduct": "Kansenproduct",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Notitie",
  "objecttype_note": "Notitie",
  "product": "Product",
  "objecttype_product": "Product",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Wachtrij-onderdeel",
  "objecttype_queueitem": "Wachtrij-onderdeel",
  "quote": "Offerte",
  "objecttype_quote": "Offerte",
  "salesliterature": "Verkoopliteratuur",
  "objecttype_salesliterature": "Verkoopliteratuur",
  "salesorder": "Verkoopopdracht",
  "objecttype_salesorder": "Verkoopopdracht",
  "service": "Service",
  "objecttype_service": "Service",
  "socialprofile": "Sociaal profiel",
  "objecttype_socialprofile": "Sociaal profiel",
  "kbdocumentation": "Documentatie",
  "objecttype_kbdocumentation": "Documentatie",
  "kbtechnicalarticle": "Documentatie",
  "objecttype_kbtechnicalarticle": "Documentatie",
  "kbsolution": "Oplossing",
  "objecttype_kbsolution": "Oplossing",
  "kbknowledgearticle": "Kennisartikel",
  "objecttype_kbknowledgearticle": "Kennisartikel",
  "kbattachment": "Bijlage",
  "objecttype_kbattachment": "Bijlage",
  "kbarticle": "Artikel",
  "objecttype_kbarticle": "Artikel",
  "kbarticlecomment": "Artikelcommentaar",
  "objecttype_kbarticlecomment": "Artikelcommentaar",
  "knowledgearticle": "Kennisartikel",
  "objecttype_knowledgearticle": "Kennisartikel",
  "topic": "Onderwerp",
  "objecttype_topic": "Onderwerp",
  "dashboard": "Dashboard",
  "objecttype_dashboard": "Dashboard",
  "contentversion": "Document",
  "objecttype_contentversion": "Document",
  "collaborationgroup": "Samenwerkingsgroep",
  "objecttype_collaborationgroup": "Samenwerkingsgroep",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Site",
  "filetype_spsite": "Site",
  "spuserprofile": "SharePoint-gebruiker",
  "filetype_spuserprofile": "SharePoint-gebruiker",
  "sparea": "Zone",
  "filetype_sparea": "Zone",
  "spannouncement": "Mededeling",
  "filetype_spannouncement": "Mededeling",
  "spannouncementlist": "Mededelingen",
  "filetype_spannouncementlist": "Mededelingen",
  "spcontact": "Contact",
  "filetype_spcontact": "Contact",
  "spcontactlist": "Contacten",
  "filetype_spcontactlist": "Contacten",
  "spcustomlist": "Gepersonaliseerde lijsten",
  "filetype_spcustomlist": "Gepersonaliseerde lijsten",
  "spdiscussionboard": "Discussieforum",
  "filetype_spdiscussionboard": "Discussieforum",
  "spdiscussionboardlist": "Discussiefora",
  "filetype_spdiscussionboardlist": "Discussiefora",
  "spdocumentlibrarylist": "Documentbibliotheek",
  "filetype_spdocumentlibrarylist": "Documentbibliotheek",
  "spevent": "Evenement",
  "filetype_spevent": "Evenement",
  "speventlist": "Evenementen",
  "filetype_speventlist": "Evenementen",
  "spformlibrarylist": "Formulierbibliothee",
  "filetype_spformlibrarylist": "Formulierbibliothee",
  "spissue": "Probleem",
  "filetype_spissue": "Probleem",
  "spissuelist": "Problemen",
  "filetype_spissuelist": "Problemen",
  "splink": "Link",
  "filetype_splink": "Link",
  "splinklist": "Links",
  "filetype_splinklist": "Links",
  "sppicturelibrarylist": "Afbeeldingenbibliotheek",
  "filetype_sppicturelibrarylist": "Afbeeldingenbibliotheek",
  "spsurvey": "Enquête",
  "filetype_spsurvey": "Enquête",
  "spsurveylist": "Enquêtes",
  "filetype_spsurveylist": "Enquêtes",
  "sptask": "Taak",
  "filetype_sptask": "Taak",
  "sptasklist": "Taken",
  "filetype_sptasklist": "Taken",
  "spagenda": "Agenda",
  "filetype_spagenda": "Agenda",
  "spagendalist": "Agena's",
  "filetype_spagendalist": "Agena's",
  "spattendee": "Deelnemer",
  "filetype_spattendee": "Deelnemer",
  "spattendeelist": "Deelnemers",
  "filetype_spattendeelist": "Deelnemers",
  "spcustomgridlist": "Gepersonaliseerde rasters",
  "filetype_spcustomgridlist": "Gepersonaliseerde rasters",
  "spdecision": "Beslissing",
  "filetype_spdecision": "Beslissing",
  "spdecisionlist": "Beslissingen",
  "filetype_spdecisionlist": "Beslissingen",
  "spobjective": "Doelstelling",
  "filetype_spobjective": "Doelstelling",
  "spobjectivelist": "Doelstellingen",
  "filetype_spobjectivelist": "Doelstellingen",
  "sptextbox": "Tekstvak",
  "filetype_sptextbox": "Tekstvak",
  "sptextboxlist": "Tekstvaklijst",
  "filetype_sptextboxlist": "Tekstvaklijst",
  "spthingstobring": "Ding om mee te nemen",
  "filetype_spthingstobring": "Ding om mee te nemen",
  "spthingstobringlist": "Dingen om mee te nemen",
  "filetype_spthingstobringlist": "Dingen om mee te nemen",
  "sparealisting": "Zonelijst",
  "filetype_sparealisting": "Zonelijst",
  "spmeetingserie": "Vergaderingen",
  "filetype_spmeetingserie": "Vergaderingen",
  "spmeetingserielist": "Vergaderingenlijst",
  "filetype_spmeetingserielist": "Vergaderingenlijst",
  "spsitedirectory": "Site Directory Item",
  "filetype_spsitedirectory": "Site Directory Item",
  "spsitedirectorylist": "Site Directory",
  "filetype_spsitedirectorylist": "Site Directory",
  "spdatasource": "Gegevensbron",
  "filetype_spdatasource": "Gegevensbron",
  "spdatasourcelist": "Lijst gegevensbronnen",
  "filetype_spdatasourcelist": "Lijst gegevensbronnen",
  "splisttemplatecataloglist": "Lijst sjabloongallerij",
  "filetype_splisttemplatecataloglist": "Lijst sjabloongallerij",
  "spwebpartcataloglist": "WebPart Gallerij",
  "filetype_spwebpartcataloglist": "WebPart Gallerij",
  "spwebtemplatecataloglist": "Site Sjabloongallerij",
  "filetype_spwebtemplatecataloglist": "Site Sjabloongallerij",
  "spworkspacepagelist": "Werkruimte Pagina's",
  "filetype_spworkspacepagelist": "Werkruimte Pagina's",
  "spunknownlist": "Gepersonaliseerde lijst",
  "filetype_spunknownlist": "Gepersonaliseerde lijst",
  "spadministratortask": "Beheerderstaak",
  "filetype_spadministratortask": "Beheerderstaak",
  "spadministratortasklist": "Beheerderstaken",
  "filetype_spadministratortasklist": "Beheerderstaken",
  "spareadocumentlibrarylist": "Zone documentbibliotheek",
  "filetype_spareadocumentlibrarylist": "Zone documentbibliotheek",
  "spblogcategory": "Blogcategorie",
  "filetype_spblogcategory": "Blogcategorie",
  "spblogcategorylist": "Blogcategorieën",
  "filetype_spblogcategorylist": "Blogcategorieën",
  "spblogcomment": "Blogcommentaar",
  "filetype_spblogcomment": "Blogcommentaar",
  "spblogcommentlist": "Blogcommentaren",
  "filetype_spblogcommentlist": "Blogcommentaren",
  "spblogpost": "Blogbericht",
  "filetype_spblogpost": "Blogbericht",
  "spblogpostlist": "Blogberichten",
  "filetype_spblogpostlist": "Blogberichten",
  "spdataconnectionlibrarylist": "Data Connectie Bibliotheek",
  "filetype_spdataconnectionlibrarylist": "Data Connectie Bibliotheek",
  "spdistributiongroup": "Distributiegroep",
  "filetype_spdistributiongroup": "Distributiegroep",
  "spdistributiongrouplist": "Distributiegroepen",
  "filetype_spdistributiongrouplist": "Distributiegroepen",
  "spipfslist": "InfoPath Formulieren Servers",
  "filetype_spipfslist": "InfoPath Formulieren Servers",
  "spkeyperformanceindicator": "Indicator Belangrijke Prestatie",
  "filetype_spkeyperformanceindicator": "Indicator Belangrijke Prestatie",
  "spkeyperformanceindicatorlist": "Indicatoren Belangrijke Prestatie",
  "filetype_spkeyperformanceindicatorlist": "Indicatoren Belangrijke Prestatie",
  "splanguagesandtranslator": "Talen en vertaler",
  "filetype_splanguagesandtranslator": "Talen en vertaler",
  "splanguagesandtranslatorlist": "Talen en vertalers",
  "filetype_splanguagesandtranslatorlist": "Talen en vertalers",
  "spmasterpagescataloglist": "Master Page Gallerij",
  "filetype_spmasterpagescataloglist": "Master Page Gallerij",
  "spnocodeworkflowlibrarylist": "No-code Werkstroom Bibliotheken",
  "filetype_spnocodeworkflowlibrarylist": "No-code Werkstroom Bibliotheken",
  "spprojecttask": "Projecttaak",
  "filetype_spprojecttask": "Projecttaak",
  "spprojecttasklist": "Projecttaken",
  "filetype_spprojecttasklist": "Projecttaken",
  "sppublishingpageslibrarylist": "Paginabibliotheek",
  "filetype_sppublishingpageslibrarylist": "Paginabibliotheek",
  "spreportdocumentlibrarylist": "Rapport Documentbibliotheek",
  "filetype_spreportdocumentlibrarylist": "Rapport Documentbibliotheek",
  "spreportlibrarylist": "Rapportbibliotheek",
  "filetype_spreportlibrarylist": "Rapportbibliotheek",
  "spslidelibrarylist": "Diabibliotheek",
  "filetype_spslidelibrarylist": "Diabibliotheek",
  "sptab": "Tabs",
  "filetype_sptab": "Tabs",
  "sptablist": "Tabs Lijst",
  "filetype_sptablist": "Tabs Lijst",
  "sptranslationmanagementlibrarylist": "Vertalingmanagement Bibliotheek",
  "filetype_sptranslationmanagementlibrarylist": "Vertalingmanagement Bibliotheek",
  "spuserinformation": "Gebruikersinformatie",
  "filetype_spuserinformation": "Gebruikersinformatie",
  "spuserinformationlist": "Gebruikersinformatielijst",
  "filetype_spuserinformationlist": "Gebruikersinformatielijst",
  "spwikipagelibrarylist": "Wiki Pagina Bibliotheek",
  "filetype_spwikipagelibrarylist": "Wiki Pagina Bibliotheek",
  "spworkflowhistory": "Werkstroomgeschiedenis",
  "filetype_spworkflowhistory": "Werkstroomgeschiedenis",
  "spworkflowhistorylist": "Werkstroomgeschiedenislijst",
  "filetype_spworkflowhistorylist": "Werkstroomgeschiedenislijst",
  "spworkflowprocess": "Aangepast Werkstroomproces",
  "filetype_spworkflowprocess": "Aangepast Werkstroomproces",
  "spworkflowprocesslist": "Aangepaste Werkstroomprocessen",
  "filetype_spworkflowprocesslist": "Aangepaste Werkstroomprocessen",
  "sppublishingimageslibrarylist": "Publicatie Afbeeldingbibliotheek",
  "filetype_sppublishingimageslibrarylist": "Publicatie Afbeeldingbibliotheek",
  "spcirculation": "Circulatie",
  "filetype_spcirculation": "Circulatie",
  "spcirculationlist": "Circulaties",
  "filetype_spcirculationlist": "Circulaties",
  "spdashboardslibrarylist": "Dasboards Bibliotheek",
  "filetype_spdashboardslibrarylist": "Dasboards Bibliotheek",
  "spdataconnectionforperformancepointlibrarylist": "Prestatiepunt Data Connectie Bibliotheek",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Prestatiepunt Data Connectie Bibliotheek",
  "sphealthreport": "Gezondheidsrapport",
  "filetype_sphealthreport": "Gezondheidsrapport",
  "sphealthreportlist": "Gezondheidsrapporten",
  "filetype_sphealthreportlist": "Gezondheidsrapporten",
  "sphealthrule": "Gezondheidsregel",
  "filetype_sphealthrule": "Gezondheidsregel",
  "sphealthrulelist": "Gezondheidsregels",
  "filetype_sphealthrulelist": "Gezondheidsregels",
  "spimedictionary": "IME Woordenboek",
  "filetype_spimedictionary": "IME Woordenboek",
  "spimedictionarylist": "IME Woordenboeken",
  "filetype_spimedictionarylist": "IME Woordenboeken",
  "spperformancepointcontent": "PrestatiePunt Inhoud",
  "filetype_spperformancepointcontent": "PrestatiePunt Inhoud",
  "spperformancepointcontentlist": "PrestatiePunt Inhouden",
  "filetype_spperformancepointcontentlist": "PrestatiePunt Inhouden",
  "spphonecallmemo": "Telefoongesprek Memo",
  "filetype_spphonecallmemo": "Telefoongesprek Memo",
  "spphonecallmemolist": "Telefoongesprek Memo's",
  "filetype_spphonecallmemolist": "Telefoongesprek Memo's",
  "sprecordlibrarylist": "Record Bibliotheek",
  "filetype_sprecordlibrarylist": "Record Bibliotheek",
  "spresource": "Bron",
  "filetype_spresource": "Bron",
  "spresourcelist": "Bronnen",
  "filetype_spresourcelist": "Bronnen",
  "spprocessdiagramslibrarylist": "Procesdiagram Bibliotheek",
  "filetype_spprocessdiagramslibrarylist": "Procesdiagram Bibliotheek",
  "spsitethemeslibrarylist": "Site Themabibliotheek",
  "filetype_spsitethemeslibrarylist": "Site Themabibliotheek",
  "spsolutionslibrarylist": "Oplossingenbibliotheek",
  "filetype_spsolutionslibrarylist": "Oplossingenbibliotheek",
  "spwfpublibrarylist": "WFPUB Bibliotheek",
  "filetype_spwfpublibrarylist": "WFPUB Bibliotheek",
  "spwhereabout": "Localisatie",
  "filetype_spwhereabout": "Localisatie",
  "spwhereaboutlist": "Localisaties",
  "filetype_spwhereaboutlist": "Localisaties",
  "spdocumentlink": "Link naar een document",
  "filetype_spdocumentlink": "Link naar een document",
  "spdocumentset": "Documentset",
  "filetype_spdocumentset": "Documentset",
  "spmicrofeedpost": "Microfeed-bericht",
  "filetype_spmicrofeedpost": "Microfeed-bericht",
  "spmicrofeedlist": "Microfeed-bericht",
  "filetype_spmicrofeedlist": "Microfeed-bericht",
  "splistfolder": "Lijstenmap",
  "filetype_splistfolder": "Lijstenmap",
  "Unknown": "Onbekend",
  "And": "EN",
  "Authenticating": "Authenticatie van {0}...",
  "Clear": "Wissen van {0}",
  "CompleteQuery": "Volledige zoekopdracht",
  "Exclude": "Uitsluiten van {0}",
  "EnterTag": "Tag toevoegen",
  "Next": "Volgende",
  "Last": "Laatste",
  "Link": "Link",
  "Or": "OF",
  "Previous": "Vorige",
  "QueryDidntMatchAnyDocuments": "Uw zoekopdracht leverde geen documenten op",
  "QueryException": "Uw zoekopdracht bevat een fout: {0}.",
  "Me": "Ik",
  "Remove": "Verwijderen",
  "Search": "Zoeken",
  "SearchFor": "Zoeken naar {0}",
  "ShareQuery": "Zoekopdracht delen",
  "Preferences": "Voorkeuren",
  "LinkOpeningSettings": "Instellingen voor openen link",
  "Reauthenticate": "Herauthenticatie {0}",
  "ResultsFilteringExpression": "Resultaten filteruitdrukkingen",
  "FiltersInYourPreferences": "Filters in uw voorkeuren",
  "Create": "Aanmaken",
  "SearchIn": "Zoeken in {0}",
  "Seconds": "in {0} seconde<pl>n</pl>",
  "ShowingResultsOf": "Resulta<sn>at</sn><pl>ten</pl> {0}<pl>-{1}</pl> van {2}",
  "ShowingResultsOfWithQuery": "Resulta<sn>at</sn><pl>ten</pl> {0}<pl>-{1}</pl> van {2} voor {3}",
  "SwitchTo": "Overschakelen naar {0}",
  "Unexclude": "Niet uitsluiten van {0}",
  "ClearAllFilters": "Alle filters wissen",
  "SkipLogin": "Inloggen overslaan",
  "LoginInProgress": "Inloggen aan de gang, even wachten ...",
  "Login": "Inloggen",
  "GetStarted": "Beginnen",
  "More": "Meer",
  "NMore": "{0} meer…",
  "Less": "Minder",
  "Settings": "Instellingen",
  "Score": "Score",
  "ScoreDescription": "De score wordt berekend aan de hand van het aantal keer dat een item voorkomt alsook van de positie in de resultaatset.",
  "Occurrences": "Aantal keer dat item voorkomt",
  "OccurrencesDescription": "Sorteren op aantal keer dat item voorkomt, met hoogste waarden eerst.",
  "Label": "Label",
  "Of": "van",
  "LabelDescription": "Alfabetisch sorteren op de veldwaarden.",
  "Value": "Waarde",
  "ValueDescription": "Sorteren op de waarden van het eerste berekende veld",
  "AlphaAscending": "Waarde oplopend",
  "AlphaDescending": "Waarde aflopend",
  "ChiSquare": "Chi-kwadraat",
  "Nosort": "Niet sorteren",
  "NosortDescription": "Sorteer niet op waarden. De waarden worden in willekeurige volgorde geretourneerd.",
  "RelativeFrequency": "Relatieve frequentie",
  "RelativeFrequencyDescription": "Sorteren op basis van de relatieve frequentie van waarden. Minder voorkomende waarden zullen hoger staan.",
  "DateDistribution": "Datumverdeling",
  "Custom": "Gewoonte",
  "CustomDescription": "Sorteren op basis van een gewoontevolgorde",
  "ComputedField": "Berekend veld",
  "Ascending": "Oplopend",
  "Descending": "Aflopend",
  "noResultFor": "Geen resultaten voor {0}",
  "autoCorrectedQueryTo": "Zoekopdracht werd automatisch verbeterd naar {0}",
  "didYouMean": "Bedoelde u: {0}",
  "SuggestedResults": "Voorgestelde resultaten",
  "SuggestedQueries": "Voorgestelde zoekopdrachten",
  "MostRelevantItems": "Meest relevante items:",
  "AllItems": "Alle items:",
  "ShowLess": "Minder tonen",
  "ShowMore": "Meer tonen",
  "HideFacet": "Facet verbergen",
  "ShowFacet": "Facet tonen",
  "AndOthers": "en {0} ander(e)",
  "Others": "{0} ander(e)",
  "MostRelevantPosts": "Meest relevante posten:",
  "CompleteThread": "Volledige draad:",
  "ShowCompleteThread": "Volledige draad tonen:",
  "ShowOnlyTopMatchingPosts": "Enkel de bovenste overeenstemmende posten tonen",
  "MostRelevantReplies": "Meest relevante antwoorden:",
  "AllConversation": "Volledige conversatie:",
  "ShowAllConversation": "Volledige conversatie tonen",
  "ShowAllReplies": "Alle antwoorden tonen",
  "ShowOnlyMostRelevantReplies": "Enkel de meest relevante antwoorden tonen",
  "Close": "Sluiten",
  "Open": "Openen",
  "OpenInOutlookWhenPossible": "Openen in Outlook (wanneer mogelijk)",
  "AlwaysOpenInNewWindow": "Resultaten steeds in nieuw venster openen",
  "Quickview": "Snelle weergave",
  "NoQuickview": "De Snelweergave voor dit document is niet beschikbaar",
  "ErrorReport": "Foutmelding",
  "OopsError": "Er ging iets mis op de server.",
  "ProblemPersists": "Neem contact op met de administrator als het probleem blijft voortduren.",
  "GoBack": "Ga terug",
  "Reset": "Reset",
  "Retry": "Opnieuw proberen",
  "MoreInfo": "Meer informatie",
  "Username": "Gebruikersnaam",
  "Password": "Wachtwoord",
  "PostedBy": "Gepost door",
  "CannotConnect": "Kan niet verbinden met het serveradres.",
  "BadUserPass": "Wachtwoord stemt niet overeen met gebruikersnaam.",
  "PleaseEnterYourCredentials": "Voer uw legitimatiebewijs in voor {0}.",
  "PleaseEnterYourSearchPage": "Voer de URL van uw zoekpagina in",
  "Collapse": "Invouwen",
  "Collapsable": "Invouwbaar",
  "Expand": "Uitvouwen",
  "Today": "Vandaag",
  "Yesterday": "Gisteren",
  "Tomorrow": "Morgen",
  "Duration": "Duur: {0}",
  "IndexDuration": "Duur van de index: {0}",
  "ProxyDuration": "Duur van de proxy: {0}",
  "ClientDuration": "Duur van de klant: {0}",
  "Unavailable": "Onbeschikbaar",
  "Reply": "Beantwoorden",
  "ReplyAll": "Allen beantwoorden",
  "Forward": "Doorsturen",
  "From": "Van",
  "Caption": "Titel",
  "Expression": "Uitdrukking",
  "Tab": "Tab",
  "Tabs": "Tabs",
  "EnterExpressionName": "Naam van de uitdrukking invoeren",
  "EnterExpressionToFilterWith": "Uitdrukking invoeren om resultaten te filteren",
  "SelectTab": "Tab selecteren",
  "SelectAll": "Alles selecteren",
  "PageUrl": "URL-pagina doorzoeken",
  "ErrorSavingToDevice": "Fout bij het opslaan van de informatie op uw toestel",
  "ErrorReadingFromDevice": "Fout bij het lezen van de informatie vanop uw toestel",
  "AppIntro": "Een productspecialist spreken die uw vragen over Coveo kan beantwoorden en u helpen te beslissen welke Coveo-oplossing geschikt is voor u. Of probeer een live demo!",
  "TryDemo": "Probeer de demo",
  "ContactUs": "Ons contacteren",
  "NewToCoveo": "Nieuw bij Coveo?",
  "LetUsHelpGetStarted": "Wij helpen u van start te gaan",
  "LikesThis": "{0} vind<sn>t</sn><pl>en</pl> dit leuk.",
  "CannotConnectSearchPage": "Kan niet verbinden met uw zoekpagina",
  "AreYouSureDeleteFilter": "Weet u zeker dat u de filter {0} met de uitdrukking {1} wilt verwijderen",
  "OnlineHelp": "Online Help",
  "Done": "Klaar",
  "SaveFacetState": "Deze facetstatus opslaan",
  "ClearFacetState": "Facetstatus wissen",
  "DisplayingTheOnlyMessage": "Het enige bericht in deze conversatie tonen",
  "NoNetworkConnection": "Nieuwe netwerkaansluiting",
  "UnknownConnection": "Onbekende aansluiting",
  "EthernetConnection": "Ethernetaansluiting",
  "WiFi": "WiFi-aansluiting",
  "CELL": "GSM-aansluiting",
  "CELL_2G": "2G-aansluiting",
  "CELL_3G": "3G-aansluiting",
  "CELL_4G": "4G-aansluiting",
  "Relevance": "Relevantie",
  "Date": "Datum",
  "Amount": "Hoeveelheid",
  "QueryExceptionNoException": "Geen uitzondering",
  "QueryExceptionInvalidSyntax": "Ongeldige syntaxis",
  "QueryExceptionInvalidCustomField": "Ongeldig klantenveld",
  "QueryExceptionInvalidDate": "Ongeldige datum",
  "QueryExceptionInvalidExactPhrase": "Ongeldige exacte zin",
  "QueryExceptionInvalidDateOp": "Ongeldige datum operator",
  "QueryExceptionInvalidNear": "Ongeldige NEAR operator",
  "QueryExceptionInvalidWeightedNear": "Ongeldige gewogen NEAR",
  "QueryExceptionInvalidTerm": "Ongeldige term",
  "QueryExceptionTooManyTerms": "Te veel termen",
  "QueryExceptionWildcardTooGeneral": "Wildcard te algemeen",
  "QueryExceptionInvalidSortField": "Ongeldig sorteerveld",
  "QueryExceptionInvalidSmallStringOp": "Ongeldige kleine string operator",
  "QueryExceptionRequestedResultsMax": "Maximum gevraagde resultaten",
  "QueryExceptionAggregatedMirrorDead": "Geaggregeerde mirror is offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Geaggregeerde mirror query-time-out",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Geaggregeerde mirror ongeldig serienummer",
  "QueryExceptionAggregatedMirrorCannotConnect": "Geaggregeerde mirror kan geen verbinding maken",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Niet genoeg voorafgaande tekens voor wildcard",
  "QueryExceptionSecurityInverterNotFound": "Veiligheidsomvormer niet gevonden",
  "QueryExceptionSecurityInverterAccessDenied": "Toegang veiligheidsomvormer geweigerd",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Geaggregeerde mirror kan geen andere identiteit aannemen",
  "QueryExceptionUnexpected": "Onverwacht",
  "QueryExceptionAccessDenied": "Toegang geweigerd",
  "QueryExceptionSuperUserTokenInvalid": "Token supergebruiker ongeldig",
  "QueryExceptionSuperUserTokenExpired": "Token supergebruiker is verstreken",
  "QueryExceptionLicenseQueriesExpired": "Licentie zoekopdrachten verstreken",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Licentie token supergebruiker niet ondersteund",
  "QueryExceptionInvalidSession": "Ongeldige sessie",
  "QueryExceptionInvalidDocument": "Ongeldig document",
  "QueryExceptionSearchDisabled": "Zoeken onmogelijk gemaakt",
  "FileType": "Bestandtype",
  "ShowAttachment": "Bijlage tonen",
  "OnFeed": "op feed van {0}.",
  "Author": "Auteur",
  "NoTitle": "Geen titel",
  "CurrentSelections": "Huidige selecties",
  "AllContent": "Volledige inhoud",
  "CancelLastAction": "Laatste actie annuleren",
  "SearchTips": "Zoektips",
  "CheckSpelling": "Controleer de spelling van uw trefwoorden.",
  "TryUsingFewerKeywords": "Probeer minder, verschillende of algemenere trefwoorden te gebruiken.",
  "SelectFewerFilters": "Selecteer minder filters om uw opzoeking te verbreden.",
  "Document": "Document",
  "Time": "Tijd",
  "StartDate": "Startdatum",
  "StartTime": "Starttijd",
  "DurationTitle": "Duur",
  "UserQuery": "Zoekopdracht gebruiker",
  "ShowUserActions": "Toon gebruikersacties",
  "NoData": "Geen gegevens beschikbaar",
  "EventType": "Evenementtype",
  "GoToFullSearch": "Volledig zoeken",
  "GoToEdition": "Paneel personaliseren",
  "RemoveContext": "Context verwijderen",
  "BoxAttachToCase": "Bijvoegen aan case",
  "AttachToCase": "Bijvoegen aan case",
  "Attach": "Bijvoegen",
  "Attached": "Bijgevoegd",
  "Detach": "Verwijderen",
  "Details": "Details",
  "AdditionalFilters": "Extra filters",
  "SelectNonContextualSearch": "Verwijder de content van het huidige record om uw zoekopdracht uit te breiden",
  "CopyPasteToSupport": "Kopieer en plak dit bericht naar het Coveo Support team voor meer informatie.",
  "FollowQueryDescription": "Waarschuw me voor wijzigingen in de zoekresultaten van deze opdracht.",
  "SearchAlerts_Panel": "Waarschuwingen beheren",
  "SearchAlerts_PanelDescription": "Bekijken en beheren van uw zoekwaarschuwingen.",
  "SearchAlerts_PanelNoSearchAlerts": "U heeft geen abonnementen.",
  "SearchAlerts_Fail": "De service Zoekwaarschuwingen is momenteel niet beschikbaar.",
  "SearchAlerts_Type": "Type",
  "SearchAlerts_Content": "Inhoud",
  "SearchAlerts_Actions": "Actie",
  "EmptyQuery": "<leeg>",
  "SearchAlerts_Type_followQuery": "Zoekopdracht",
  "SearchAlerts_Type_followDocument": "Item",
  "SearchAlerts_unFollowing": "Stop met volgen",
  "SearchAlerts_follow": "Volgen",
  "SearchAlerts_followed": "Gevolgd",
  "SearchAlerts_followQuery": "Zoekopdracht volgen",
  "Subscription_StopFollowingQuery": "Stop met volgen van zoekopdracht",
  "SearchAlerts_Frequency": "Als",
  "SubscriptionsManageSubscriptions": "Waarschuwingen beheren",
  "SubscriptionsMessageFollowQuery": "U ontvangt waarschuwingen als de zoekopdracht <b>{0}</b> nieuwe of bijgewerkte items bijwerkt.",
  "SubscriptionsMessageFollow": "U ontvangt waarschuwingen voor wijzigingen in het item <b>{0}</b>.",
  "Expiration": "Vervallen",
  "Monthly": "Maandelijks",
  "Daily": "Dagelijks",
  "Monday": "Maandag",
  "Tuesday": "Dinsdag",
  "Wednesday": "Woensdag",
  "Thursday": "Donderdadg",
  "Friday": "Vrijdag",
  "Saturday": "Zaterdag",
  "Sunday": "Zondag",
  "NextDay": "Volgende {0}",
  "LastDay": "Laatste {0}",
  "StartTypingCaseForSuggestions": "Beschrijf uw probleem om mogelijke oplossingen te bekijken",
  "ExportToExcel": "Exporteren naar Excel",
  "ExportToExcelDescription": "Exporteer de zoekresultaten naar Excel",
  "CaseCreationNoResults": "Er zijn geen aanbevolen oplossingen gevonden",
  "SortBy": "Sorteren op",
  "BoxCreateArticle": "Maak een artikel aan",
  "Facets": "Facetten",
  "AdvancedSearch": "Geavanceerd Zoeken",
  "Keywords": "Sleutelwoorden",
  "AllTheseWords": "Al deze woorden",
  "ExactPhrase": "Deze exacte zin",
  "AnyOfTheseWords": "Een van deze woorden",
  "NoneOfTheseWords": "Geen van deze woorden",
  "Anytime": "Altijd",
  "InTheLast": "In de laatste",
  "Days": "dagen",
  "Months": "maanden",
  "Month": "Maand",
  "Year": "Jaar",
  "Between": "Tussen",
  "Language": "Taal",
  "Size": "Afmeting",
  "AtLeast": "minimaal",
  "AtMost": "maximaal",
  "Contains": "bevat",
  "DoesNotContain": "bevat niet",
  "Matches": "is gelijk aan",
  "Bytes": "bytes",
  "card": "Kaart",
  "table": "Tabel",
  "ResultLinks": "Resultaat koppelingen",
  "EnableQuerySyntax": "Zoekopdracht-syntax activeren",
  "On": "Aan",
  "Off": "Uit",
  "Automatic": "Automatisch",
  "ResultsPerPage": "Resultaten per pagina",
  "PreviousMonth": "Vorige maand",
  "NextMonth": "Volgende maand",
  "Title": "Titel",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["nl"] = merge(locales["nl"], dict);
  String["toLocaleString"].call(this, { "nl": dict });
  String["locale"] = "nl";
  String["defaultLocale"] = "en";
  Globalize.culture("nl")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Gebruiker",
  "filetype_box user": "Gebruiker",
  "html": "HTML-bestand",
  "filetype_html": "HTML-bestand",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Webpagina",
  "filetype_webscraperwebpage": "Webpagina",
  "image": "Afbeelding",
  "filetype_image": "Afbeelding",
  "folder": "Map",
  "filetype_folder": "Map",
  "txt": "Tekst",
  "filetype_txt": "Tekst",
  "zip": "Zip-bestand",
  "filetype_zip": "Zip-bestand",
  "olefile": "OLE-bestand",
  "filetype_olefile": "OLE-bestand",
  "gmailmessage": "Gmail-bericht",
  "filetype_gmailmessage": "Gmail-bericht",
  "pdf": "PDF-bestand",
  "filetype_pdf": "PDF-bestand",
  "swf": "Flash-bestand",
  "filetype_swf": "Flash-bestand",
  "xml": "XML-bestand",
  "filetype_xml": "XML-bestand",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS feed",
  "filetype_rssitem": "RSS feed",
  "doc": "Document",
  "filetype_doc": "Document",
  "docx": "Microsoft Word-document",
  "filetype_docx": "Microsoft Word-document",
  "xls": "Spreadsheetdocument",
  "filetype_xls": "Spreadsheetdocument",
  "ppt": "Presentatiedocument",
  "filetype_ppt": "Presentatiedocument",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text-document",
  "filetype_odt": "Open Text-document",
  "lithiummessage": "Lithium-bericht",
  "filetype_lithiummessage": "Lithium-bericht",
  "lithiumthread": "Lithium-Thread",
  "filetype_lithiumthread": "Lithium-Thread",
  "lithiumboard": "Lithium-forum",
  "filetype_lithiumboard": "Lithium-forum",
  "lithiumcategory": "Lithium-Categorie",
  "filetype_lithiumcategory": "Lithium-Categorie",
  "lithiumcommunity": "Lithium-gemeenschap",
  "filetype_lithiumcommunity": "Lithium-gemeenschap",
  "people": "Gebruiker",
  "objecttype_people": "Gebruiker",
  "message": "Bericht",
  "objecttype_message": "Bericht",
  "feed": "RSS feed",
  "objecttype_feed": "RSS feed",
  "thread": "Thread",
  "objecttype_thread": "Thread",
  "file": "Bestand",
  "objecttype_file": "Bestand",
  "board": "Forum",
  "objecttype_board": "Forum",
  "category": "Categorie",
  "objecttype_category": "Categorie",
  "account": "Account",
  "objecttype_account": "Account",
  "annotation": "Notitie",
  "objecttype_annotation": "Notitie",
  "campaign": "Campagne",
  "objecttype_campaign": "Campagne",
  "case": "Case",
  "objecttype_case": "Case",
  "contact": "Contact",
  "objecttype_contact": "Contact",
  "contract": "Contract",
  "objecttype_contract": "Contract",
  "event": "Evenement",
  "objecttype_event": "Evenement",
  "email": "E-mail",
  "objecttype_email": "E-mail",
  "goal": "Doel",
  "objecttype_goal": "Doel",
  "objecttype_incident": "Case",
  "invoice": "Factuur",
  "objecttype_invoice": "Factuur",
  "lead": "Lead",
  "objecttype_lead": "Lead",
  "list": "Lijst",
  "objecttype_list": "Marketinglijst",
  "solution": "Oplossing",
  "objecttype_solution": "Oplossing",
  "task": "Taak",
  "objecttype_task": "Taak",
  "user": "Gebruiker",
  "objecttype_user": "Gebruiker",
  "attachment": "Bijlage",
  "objecttype_attachment": "Bijlage",
  "casecomment": "Case-commentaar",
  "objecttype_casecomment": "Case-commentaar",
  "opportunity": "Kans",
  "objecttype_opportunity": "Kans",
  "opportunityproduct": "Kansenproduct",
  "objecttype_opportunityproduct": "Kansenproduct",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Notitie",
  "objecttype_note": "Notitie",
  "product": "Product",
  "objecttype_product": "Product",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Wachtrij-onderdeel",
  "objecttype_queueitem": "Wachtrij-onderdeel",
  "quote": "Offerte",
  "objecttype_quote": "Offerte",
  "salesliterature": "Verkoopliteratuur",
  "objecttype_salesliterature": "Verkoopliteratuur",
  "salesorder": "Verkoopopdracht",
  "objecttype_salesorder": "Verkoopopdracht",
  "service": "Service",
  "objecttype_service": "Service",
  "socialprofile": "Sociaal profiel",
  "objecttype_socialprofile": "Sociaal profiel",
  "kbdocumentation": "Documentatie",
  "objecttype_kbdocumentation": "Documentatie",
  "kbtechnicalarticle": "Documentatie",
  "objecttype_kbtechnicalarticle": "Documentatie",
  "kbsolution": "Oplossing",
  "objecttype_kbsolution": "Oplossing",
  "kbknowledgearticle": "Kennisartikel",
  "objecttype_kbknowledgearticle": "Kennisartikel",
  "kbattachment": "Bijlage",
  "objecttype_kbattachment": "Bijlage",
  "kbarticle": "Artikel",
  "objecttype_kbarticle": "Artikel",
  "kbarticlecomment": "Artikelcommentaar",
  "objecttype_kbarticlecomment": "Artikelcommentaar",
  "knowledgearticle": "Kennisartikel",
  "objecttype_knowledgearticle": "Kennisartikel",
  "topic": "Onderwerp",
  "objecttype_topic": "Onderwerp",
  "dashboard": "Dashboard",
  "objecttype_dashboard": "Dashboard",
  "contentversion": "Document",
  "objecttype_contentversion": "Document",
  "collaborationgroup": "Samenwerkingsgroep",
  "objecttype_collaborationgroup": "Samenwerkingsgroep",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Site",
  "filetype_spsite": "Site",
  "spuserprofile": "SharePoint-gebruiker",
  "filetype_spuserprofile": "SharePoint-gebruiker",
  "sparea": "Zone",
  "filetype_sparea": "Zone",
  "spannouncement": "Mededeling",
  "filetype_spannouncement": "Mededeling",
  "spannouncementlist": "Mededelingen",
  "filetype_spannouncementlist": "Mededelingen",
  "spcontact": "Contact",
  "filetype_spcontact": "Contact",
  "spcontactlist": "Contacten",
  "filetype_spcontactlist": "Contacten",
  "spcustomlist": "Gepersonaliseerde lijsten",
  "filetype_spcustomlist": "Gepersonaliseerde lijsten",
  "spdiscussionboard": "Discussieforum",
  "filetype_spdiscussionboard": "Discussieforum",
  "spdiscussionboardlist": "Discussiefora",
  "filetype_spdiscussionboardlist": "Discussiefora",
  "spdocumentlibrarylist": "Documentbibliotheek",
  "filetype_spdocumentlibrarylist": "Documentbibliotheek",
  "spevent": "Evenement",
  "filetype_spevent": "Evenement",
  "speventlist": "Evenementen",
  "filetype_speventlist": "Evenementen",
  "spformlibrarylist": "Formulierbibliothee",
  "filetype_spformlibrarylist": "Formulierbibliothee",
  "spissue": "Probleem",
  "filetype_spissue": "Probleem",
  "spissuelist": "Problemen",
  "filetype_spissuelist": "Problemen",
  "splink": "Link",
  "filetype_splink": "Link",
  "splinklist": "Links",
  "filetype_splinklist": "Links",
  "sppicturelibrarylist": "Afbeeldingenbibliotheek",
  "filetype_sppicturelibrarylist": "Afbeeldingenbibliotheek",
  "spsurvey": "Enquête",
  "filetype_spsurvey": "Enquête",
  "spsurveylist": "Enquêtes",
  "filetype_spsurveylist": "Enquêtes",
  "sptask": "Taak",
  "filetype_sptask": "Taak",
  "sptasklist": "Taken",
  "filetype_sptasklist": "Taken",
  "spagenda": "Agenda",
  "filetype_spagenda": "Agenda",
  "spagendalist": "Agena's",
  "filetype_spagendalist": "Agena's",
  "spattendee": "Deelnemer",
  "filetype_spattendee": "Deelnemer",
  "spattendeelist": "Deelnemers",
  "filetype_spattendeelist": "Deelnemers",
  "spcustomgridlist": "Gepersonaliseerde rasters",
  "filetype_spcustomgridlist": "Gepersonaliseerde rasters",
  "spdecision": "Beslissing",
  "filetype_spdecision": "Beslissing",
  "spdecisionlist": "Beslissingen",
  "filetype_spdecisionlist": "Beslissingen",
  "spobjective": "Doelstelling",
  "filetype_spobjective": "Doelstelling",
  "spobjectivelist": "Doelstellingen",
  "filetype_spobjectivelist": "Doelstellingen",
  "sptextbox": "Tekstvak",
  "filetype_sptextbox": "Tekstvak",
  "sptextboxlist": "Tekstvaklijst",
  "filetype_sptextboxlist": "Tekstvaklijst",
  "spthingstobring": "Ding om mee te nemen",
  "filetype_spthingstobring": "Ding om mee te nemen",
  "spthingstobringlist": "Dingen om mee te nemen",
  "filetype_spthingstobringlist": "Dingen om mee te nemen",
  "sparealisting": "Zonelijst",
  "filetype_sparealisting": "Zonelijst",
  "spmeetingserie": "Vergaderingen",
  "filetype_spmeetingserie": "Vergaderingen",
  "spmeetingserielist": "Vergaderingenlijst",
  "filetype_spmeetingserielist": "Vergaderingenlijst",
  "spsitedirectory": "Site Directory Item",
  "filetype_spsitedirectory": "Site Directory Item",
  "spsitedirectorylist": "Site Directory",
  "filetype_spsitedirectorylist": "Site Directory",
  "spdatasource": "Gegevensbron",
  "filetype_spdatasource": "Gegevensbron",
  "spdatasourcelist": "Lijst gegevensbronnen",
  "filetype_spdatasourcelist": "Lijst gegevensbronnen",
  "splisttemplatecataloglist": "Lijst sjabloongallerij",
  "filetype_splisttemplatecataloglist": "Lijst sjabloongallerij",
  "spwebpartcataloglist": "WebPart Gallerij",
  "filetype_spwebpartcataloglist": "WebPart Gallerij",
  "spwebtemplatecataloglist": "Site Sjabloongallerij",
  "filetype_spwebtemplatecataloglist": "Site Sjabloongallerij",
  "spworkspacepagelist": "Werkruimte Pagina's",
  "filetype_spworkspacepagelist": "Werkruimte Pagina's",
  "spunknownlist": "Gepersonaliseerde lijst",
  "filetype_spunknownlist": "Gepersonaliseerde lijst",
  "spadministratortask": "Beheerderstaak",
  "filetype_spadministratortask": "Beheerderstaak",
  "spadministratortasklist": "Beheerderstaken",
  "filetype_spadministratortasklist": "Beheerderstaken",
  "spareadocumentlibrarylist": "Zone documentbibliotheek",
  "filetype_spareadocumentlibrarylist": "Zone documentbibliotheek",
  "spblogcategory": "Blogcategorie",
  "filetype_spblogcategory": "Blogcategorie",
  "spblogcategorylist": "Blogcategorieën",
  "filetype_spblogcategorylist": "Blogcategorieën",
  "spblogcomment": "Blogcommentaar",
  "filetype_spblogcomment": "Blogcommentaar",
  "spblogcommentlist": "Blogcommentaren",
  "filetype_spblogcommentlist": "Blogcommentaren",
  "spblogpost": "Blogbericht",
  "filetype_spblogpost": "Blogbericht",
  "spblogpostlist": "Blogberichten",
  "filetype_spblogpostlist": "Blogberichten",
  "spdataconnectionlibrarylist": "Data Connectie Bibliotheek",
  "filetype_spdataconnectionlibrarylist": "Data Connectie Bibliotheek",
  "spdistributiongroup": "Distributiegroep",
  "filetype_spdistributiongroup": "Distributiegroep",
  "spdistributiongrouplist": "Distributiegroepen",
  "filetype_spdistributiongrouplist": "Distributiegroepen",
  "spipfslist": "InfoPath Formulieren Servers",
  "filetype_spipfslist": "InfoPath Formulieren Servers",
  "spkeyperformanceindicator": "Indicator Belangrijke Prestatie",
  "filetype_spkeyperformanceindicator": "Indicator Belangrijke Prestatie",
  "spkeyperformanceindicatorlist": "Indicatoren Belangrijke Prestatie",
  "filetype_spkeyperformanceindicatorlist": "Indicatoren Belangrijke Prestatie",
  "splanguagesandtranslator": "Talen en vertaler",
  "filetype_splanguagesandtranslator": "Talen en vertaler",
  "splanguagesandtranslatorlist": "Talen en vertalers",
  "filetype_splanguagesandtranslatorlist": "Talen en vertalers",
  "spmasterpagescataloglist": "Master Page Gallerij",
  "filetype_spmasterpagescataloglist": "Master Page Gallerij",
  "spnocodeworkflowlibrarylist": "No-code Werkstroom Bibliotheken",
  "filetype_spnocodeworkflowlibrarylist": "No-code Werkstroom Bibliotheken",
  "spprojecttask": "Projecttaak",
  "filetype_spprojecttask": "Projecttaak",
  "spprojecttasklist": "Projecttaken",
  "filetype_spprojecttasklist": "Projecttaken",
  "sppublishingpageslibrarylist": "Paginabibliotheek",
  "filetype_sppublishingpageslibrarylist": "Paginabibliotheek",
  "spreportdocumentlibrarylist": "Rapport Documentbibliotheek",
  "filetype_spreportdocumentlibrarylist": "Rapport Documentbibliotheek",
  "spreportlibrarylist": "Rapportbibliotheek",
  "filetype_spreportlibrarylist": "Rapportbibliotheek",
  "spslidelibrarylist": "Diabibliotheek",
  "filetype_spslidelibrarylist": "Diabibliotheek",
  "sptab": "Tabs",
  "filetype_sptab": "Tabs",
  "sptablist": "Tabs Lijst",
  "filetype_sptablist": "Tabs Lijst",
  "sptranslationmanagementlibrarylist": "Vertalingmanagement Bibliotheek",
  "filetype_sptranslationmanagementlibrarylist": "Vertalingmanagement Bibliotheek",
  "spuserinformation": "Gebruikersinformatie",
  "filetype_spuserinformation": "Gebruikersinformatie",
  "spuserinformationlist": "Gebruikersinformatielijst",
  "filetype_spuserinformationlist": "Gebruikersinformatielijst",
  "spwikipagelibrarylist": "Wiki Pagina Bibliotheek",
  "filetype_spwikipagelibrarylist": "Wiki Pagina Bibliotheek",
  "spworkflowhistory": "Werkstroomgeschiedenis",
  "filetype_spworkflowhistory": "Werkstroomgeschiedenis",
  "spworkflowhistorylist": "Werkstroomgeschiedenislijst",
  "filetype_spworkflowhistorylist": "Werkstroomgeschiedenislijst",
  "spworkflowprocess": "Aangepast Werkstroomproces",
  "filetype_spworkflowprocess": "Aangepast Werkstroomproces",
  "spworkflowprocesslist": "Aangepaste Werkstroomprocessen",
  "filetype_spworkflowprocesslist": "Aangepaste Werkstroomprocessen",
  "sppublishingimageslibrarylist": "Publicatie Afbeeldingbibliotheek",
  "filetype_sppublishingimageslibrarylist": "Publicatie Afbeeldingbibliotheek",
  "spcirculation": "Circulatie",
  "filetype_spcirculation": "Circulatie",
  "spcirculationlist": "Circulaties",
  "filetype_spcirculationlist": "Circulaties",
  "spdashboardslibrarylist": "Dasboards Bibliotheek",
  "filetype_spdashboardslibrarylist": "Dasboards Bibliotheek",
  "spdataconnectionforperformancepointlibrarylist": "Prestatiepunt Data Connectie Bibliotheek",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Prestatiepunt Data Connectie Bibliotheek",
  "sphealthreport": "Gezondheidsrapport",
  "filetype_sphealthreport": "Gezondheidsrapport",
  "sphealthreportlist": "Gezondheidsrapporten",
  "filetype_sphealthreportlist": "Gezondheidsrapporten",
  "sphealthrule": "Gezondheidsregel",
  "filetype_sphealthrule": "Gezondheidsregel",
  "sphealthrulelist": "Gezondheidsregels",
  "filetype_sphealthrulelist": "Gezondheidsregels",
  "spimedictionary": "IME Woordenboek",
  "filetype_spimedictionary": "IME Woordenboek",
  "spimedictionarylist": "IME Woordenboeken",
  "filetype_spimedictionarylist": "IME Woordenboeken",
  "spperformancepointcontent": "PrestatiePunt Inhoud",
  "filetype_spperformancepointcontent": "PrestatiePunt Inhoud",
  "spperformancepointcontentlist": "PrestatiePunt Inhouden",
  "filetype_spperformancepointcontentlist": "PrestatiePunt Inhouden",
  "spphonecallmemo": "Telefoongesprek Memo",
  "filetype_spphonecallmemo": "Telefoongesprek Memo",
  "spphonecallmemolist": "Telefoongesprek Memo's",
  "filetype_spphonecallmemolist": "Telefoongesprek Memo's",
  "sprecordlibrarylist": "Record Bibliotheek",
  "filetype_sprecordlibrarylist": "Record Bibliotheek",
  "spresource": "Bron",
  "filetype_spresource": "Bron",
  "spresourcelist": "Bronnen",
  "filetype_spresourcelist": "Bronnen",
  "spprocessdiagramslibrarylist": "Procesdiagram Bibliotheek",
  "filetype_spprocessdiagramslibrarylist": "Procesdiagram Bibliotheek",
  "spsitethemeslibrarylist": "Site Themabibliotheek",
  "filetype_spsitethemeslibrarylist": "Site Themabibliotheek",
  "spsolutionslibrarylist": "Oplossingenbibliotheek",
  "filetype_spsolutionslibrarylist": "Oplossingenbibliotheek",
  "spwfpublibrarylist": "WFPUB Bibliotheek",
  "filetype_spwfpublibrarylist": "WFPUB Bibliotheek",
  "spwhereabout": "Localisatie",
  "filetype_spwhereabout": "Localisatie",
  "spwhereaboutlist": "Localisaties",
  "filetype_spwhereaboutlist": "Localisaties",
  "spdocumentlink": "Link naar een document",
  "filetype_spdocumentlink": "Link naar een document",
  "spdocumentset": "Documentset",
  "filetype_spdocumentset": "Documentset",
  "spmicrofeedpost": "Microfeed-bericht",
  "filetype_spmicrofeedpost": "Microfeed-bericht",
  "spmicrofeedlist": "Microfeed-bericht",
  "filetype_spmicrofeedlist": "Microfeed-bericht",
  "splistfolder": "Lijstenmap",
  "filetype_splistfolder": "Lijstenmap",
  "Unknown": "Onbekend",
  "And": "EN",
  "Authenticating": "Authenticatie van {0}...",
  "Clear": "Wissen van {0}",
  "CompleteQuery": "Volledige zoekopdracht",
  "Exclude": "Uitsluiten van {0}",
  "EnterTag": "Tag toevoegen",
  "Next": "Volgende",
  "Last": "Laatste",
  "Link": "Link",
  "Or": "OF",
  "Previous": "Vorige",
  "QueryDidntMatchAnyDocuments": "Uw zoekopdracht leverde geen documenten op",
  "QueryException": "Uw zoekopdracht bevat een fout: {0}.",
  "Me": "Ik",
  "Remove": "Verwijderen",
  "Search": "Zoeken",
  "SearchFor": "Zoeken naar {0}",
  "ShareQuery": "Zoekopdracht delen",
  "Preferences": "Voorkeuren",
  "LinkOpeningSettings": "Instellingen voor openen link",
  "Reauthenticate": "Herauthenticatie {0}",
  "ResultsFilteringExpression": "Resultaten filteruitdrukkingen",
  "FiltersInYourPreferences": "Filters in uw voorkeuren",
  "Create": "Aanmaken",
  "SearchIn": "Zoeken in {0}",
  "Seconds": "in {0} seconde<pl>n</pl>",
  "ShowingResultsOf": "Resulta<sn>at</sn><pl>ten</pl> {0}<pl>-{1}</pl> van {2}",
  "ShowingResultsOfWithQuery": "Resulta<sn>at</sn><pl>ten</pl> {0}<pl>-{1}</pl> van {2} voor {3}",
  "SwitchTo": "Overschakelen naar {0}",
  "Unexclude": "Niet uitsluiten van {0}",
  "ClearAllFilters": "Alle filters wissen",
  "SkipLogin": "Inloggen overslaan",
  "LoginInProgress": "Inloggen aan de gang, even wachten ...",
  "Login": "Inloggen",
  "GetStarted": "Beginnen",
  "More": "Meer",
  "NMore": "{0} meer…",
  "Less": "Minder",
  "Settings": "Instellingen",
  "Score": "Score",
  "ScoreDescription": "De score wordt berekend aan de hand van het aantal keer dat een item voorkomt alsook van de positie in de resultaatset.",
  "Occurrences": "Aantal keer dat item voorkomt",
  "OccurrencesDescription": "Sorteren op aantal keer dat item voorkomt, met hoogste waarden eerst.",
  "Label": "Label",
  "Of": "van",
  "LabelDescription": "Alfabetisch sorteren op de veldwaarden.",
  "Value": "Waarde",
  "ValueDescription": "Sorteren op de waarden van het eerste berekende veld",
  "AlphaAscending": "Waarde oplopend",
  "AlphaDescending": "Waarde aflopend",
  "ChiSquare": "Chi-kwadraat",
  "Nosort": "Niet sorteren",
  "NosortDescription": "Sorteer niet op waarden. De waarden worden in willekeurige volgorde geretourneerd.",
  "RelativeFrequency": "Relatieve frequentie",
  "RelativeFrequencyDescription": "Sorteren op basis van de relatieve frequentie van waarden. Minder voorkomende waarden zullen hoger staan.",
  "DateDistribution": "Datumverdeling",
  "Custom": "Gewoonte",
  "CustomDescription": "Sorteren op basis van een gewoontevolgorde",
  "ComputedField": "Berekend veld",
  "Ascending": "Oplopend",
  "Descending": "Aflopend",
  "noResultFor": "Geen resultaten voor {0}",
  "autoCorrectedQueryTo": "Zoekopdracht werd automatisch verbeterd naar {0}",
  "didYouMean": "Bedoelde u: {0}",
  "SuggestedResults": "Voorgestelde resultaten",
  "SuggestedQueries": "Voorgestelde zoekopdrachten",
  "MostRelevantItems": "Meest relevante items:",
  "AllItems": "Alle items:",
  "ShowLess": "Minder tonen",
  "ShowMore": "Meer tonen",
  "HideFacet": "Facet verbergen",
  "ShowFacet": "Facet tonen",
  "AndOthers": "en {0} ander(e)",
  "Others": "{0} ander(e)",
  "MostRelevantPosts": "Meest relevante posten:",
  "CompleteThread": "Volledige draad:",
  "ShowCompleteThread": "Volledige draad tonen:",
  "ShowOnlyTopMatchingPosts": "Enkel de bovenste overeenstemmende posten tonen",
  "MostRelevantReplies": "Meest relevante antwoorden:",
  "AllConversation": "Volledige conversatie:",
  "ShowAllConversation": "Volledige conversatie tonen",
  "ShowAllReplies": "Alle antwoorden tonen",
  "ShowOnlyMostRelevantReplies": "Enkel de meest relevante antwoorden tonen",
  "Close": "Sluiten",
  "Open": "Openen",
  "OpenInOutlookWhenPossible": "Openen in Outlook (wanneer mogelijk)",
  "AlwaysOpenInNewWindow": "Resultaten steeds in nieuw venster openen",
  "Quickview": "Snelle weergave",
  "NoQuickview": "De Snelweergave voor dit document is niet beschikbaar",
  "ErrorReport": "Foutmelding",
  "OopsError": "Er ging iets mis op de server.",
  "ProblemPersists": "Neem contact op met de administrator als het probleem blijft voortduren.",
  "GoBack": "Ga terug",
  "Reset": "Reset",
  "Retry": "Opnieuw proberen",
  "MoreInfo": "Meer informatie",
  "Username": "Gebruikersnaam",
  "Password": "Wachtwoord",
  "PostedBy": "Gepost door",
  "CannotConnect": "Kan niet verbinden met het serveradres.",
  "BadUserPass": "Wachtwoord stemt niet overeen met gebruikersnaam.",
  "PleaseEnterYourCredentials": "Voer uw legitimatiebewijs in voor {0}.",
  "PleaseEnterYourSearchPage": "Voer de URL van uw zoekpagina in",
  "Collapse": "Invouwen",
  "Collapsable": "Invouwbaar",
  "Expand": "Uitvouwen",
  "Today": "Vandaag",
  "Yesterday": "Gisteren",
  "Tomorrow": "Morgen",
  "Duration": "Duur: {0}",
  "IndexDuration": "Duur van de index: {0}",
  "ProxyDuration": "Duur van de proxy: {0}",
  "ClientDuration": "Duur van de klant: {0}",
  "Unavailable": "Onbeschikbaar",
  "Reply": "Beantwoorden",
  "ReplyAll": "Allen beantwoorden",
  "Forward": "Doorsturen",
  "From": "Van",
  "Caption": "Titel",
  "Expression": "Uitdrukking",
  "Tab": "Tab",
  "Tabs": "Tabs",
  "EnterExpressionName": "Naam van de uitdrukking invoeren",
  "EnterExpressionToFilterWith": "Uitdrukking invoeren om resultaten te filteren",
  "SelectTab": "Tab selecteren",
  "SelectAll": "Alles selecteren",
  "PageUrl": "URL-pagina doorzoeken",
  "ErrorSavingToDevice": "Fout bij het opslaan van de informatie op uw toestel",
  "ErrorReadingFromDevice": "Fout bij het lezen van de informatie vanop uw toestel",
  "AppIntro": "Een productspecialist spreken die uw vragen over Coveo kan beantwoorden en u helpen te beslissen welke Coveo-oplossing geschikt is voor u. Of probeer een live demo!",
  "TryDemo": "Probeer de demo",
  "ContactUs": "Ons contacteren",
  "NewToCoveo": "Nieuw bij Coveo?",
  "LetUsHelpGetStarted": "Wij helpen u van start te gaan",
  "LikesThis": "{0} vind<sn>t</sn><pl>en</pl> dit leuk.",
  "CannotConnectSearchPage": "Kan niet verbinden met uw zoekpagina",
  "AreYouSureDeleteFilter": "Weet u zeker dat u de filter {0} met de uitdrukking {1} wilt verwijderen",
  "OnlineHelp": "Online Help",
  "Done": "Klaar",
  "SaveFacetState": "Deze facetstatus opslaan",
  "ClearFacetState": "Facetstatus wissen",
  "DisplayingTheOnlyMessage": "Het enige bericht in deze conversatie tonen",
  "NoNetworkConnection": "Nieuwe netwerkaansluiting",
  "UnknownConnection": "Onbekende aansluiting",
  "EthernetConnection": "Ethernetaansluiting",
  "WiFi": "WiFi-aansluiting",
  "CELL": "GSM-aansluiting",
  "CELL_2G": "2G-aansluiting",
  "CELL_3G": "3G-aansluiting",
  "CELL_4G": "4G-aansluiting",
  "Relevance": "Relevantie",
  "Date": "Datum",
  "Amount": "Hoeveelheid",
  "QueryExceptionNoException": "Geen uitzondering",
  "QueryExceptionInvalidSyntax": "Ongeldige syntaxis",
  "QueryExceptionInvalidCustomField": "Ongeldig klantenveld",
  "QueryExceptionInvalidDate": "Ongeldige datum",
  "QueryExceptionInvalidExactPhrase": "Ongeldige exacte zin",
  "QueryExceptionInvalidDateOp": "Ongeldige datum operator",
  "QueryExceptionInvalidNear": "Ongeldige NEAR operator",
  "QueryExceptionInvalidWeightedNear": "Ongeldige gewogen NEAR",
  "QueryExceptionInvalidTerm": "Ongeldige term",
  "QueryExceptionTooManyTerms": "Te veel termen",
  "QueryExceptionWildcardTooGeneral": "Wildcard te algemeen",
  "QueryExceptionInvalidSortField": "Ongeldig sorteerveld",
  "QueryExceptionInvalidSmallStringOp": "Ongeldige kleine string operator",
  "QueryExceptionRequestedResultsMax": "Maximum gevraagde resultaten",
  "QueryExceptionAggregatedMirrorDead": "Geaggregeerde mirror is offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Geaggregeerde mirror query-time-out",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Geaggregeerde mirror ongeldig serienummer",
  "QueryExceptionAggregatedMirrorCannotConnect": "Geaggregeerde mirror kan geen verbinding maken",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Niet genoeg voorafgaande tekens voor wildcard",
  "QueryExceptionSecurityInverterNotFound": "Veiligheidsomvormer niet gevonden",
  "QueryExceptionSecurityInverterAccessDenied": "Toegang veiligheidsomvormer geweigerd",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Geaggregeerde mirror kan geen andere identiteit aannemen",
  "QueryExceptionUnexpected": "Onverwacht",
  "QueryExceptionAccessDenied": "Toegang geweigerd",
  "QueryExceptionSuperUserTokenInvalid": "Token supergebruiker ongeldig",
  "QueryExceptionSuperUserTokenExpired": "Token supergebruiker is verstreken",
  "QueryExceptionLicenseQueriesExpired": "Licentie zoekopdrachten verstreken",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Licentie token supergebruiker niet ondersteund",
  "QueryExceptionInvalidSession": "Ongeldige sessie",
  "QueryExceptionInvalidDocument": "Ongeldig document",
  "QueryExceptionSearchDisabled": "Zoeken onmogelijk gemaakt",
  "FileType": "Bestandtype",
  "ShowAttachment": "Bijlage tonen",
  "OnFeed": "op feed van {0}.",
  "Author": "Auteur",
  "NoTitle": "Geen titel",
  "CurrentSelections": "Huidige selecties",
  "AllContent": "Volledige inhoud",
  "CancelLastAction": "Laatste actie annuleren",
  "SearchTips": "Zoektips",
  "CheckSpelling": "Controleer de spelling van uw trefwoorden.",
  "TryUsingFewerKeywords": "Probeer minder, verschillende of algemenere trefwoorden te gebruiken.",
  "SelectFewerFilters": "Selecteer minder filters om uw opzoeking te verbreden.",
  "Document": "Document",
  "Time": "Tijd",
  "StartDate": "Startdatum",
  "StartTime": "Starttijd",
  "DurationTitle": "Duur",
  "UserQuery": "Zoekopdracht gebruiker",
  "ShowUserActions": "Toon gebruikersacties",
  "NoData": "Geen gegevens beschikbaar",
  "EventType": "Evenementtype",
  "GoToFullSearch": "Volledig zoeken",
  "GoToEdition": "Paneel personaliseren",
  "RemoveContext": "Context verwijderen",
  "BoxAttachToCase": "Bijvoegen aan case",
  "AttachToCase": "Bijvoegen aan case",
  "Attach": "Bijvoegen",
  "Attached": "Bijgevoegd",
  "Detach": "Verwijderen",
  "Details": "Details",
  "AdditionalFilters": "Extra filters",
  "SelectNonContextualSearch": "Verwijder de content van het huidige record om uw zoekopdracht uit te breiden",
  "CopyPasteToSupport": "Kopieer en plak dit bericht naar het Coveo Support team voor meer informatie.",
  "FollowQueryDescription": "Waarschuw me voor wijzigingen in de zoekresultaten van deze opdracht.",
  "SearchAlerts_Panel": "Waarschuwingen beheren",
  "SearchAlerts_PanelDescription": "Bekijken en beheren van uw zoekwaarschuwingen.",
  "SearchAlerts_PanelNoSearchAlerts": "U heeft geen abonnementen.",
  "SearchAlerts_Fail": "De service Zoekwaarschuwingen is momenteel niet beschikbaar.",
  "SearchAlerts_Type": "Type",
  "SearchAlerts_Content": "Inhoud",
  "SearchAlerts_Actions": "Actie",
  "EmptyQuery": "<leeg>",
  "SearchAlerts_Type_followQuery": "Zoekopdracht",
  "SearchAlerts_Type_followDocument": "Item",
  "SearchAlerts_unFollowing": "Stop met volgen",
  "SearchAlerts_follow": "Volgen",
  "SearchAlerts_followed": "Gevolgd",
  "SearchAlerts_followQuery": "Zoekopdracht volgen",
  "Subscription_StopFollowingQuery": "Stop met volgen van zoekopdracht",
  "SearchAlerts_Frequency": "Als",
  "SubscriptionsManageSubscriptions": "Waarschuwingen beheren",
  "SubscriptionsMessageFollowQuery": "U ontvangt waarschuwingen als de zoekopdracht <b>{0}</b> nieuwe of bijgewerkte items bijwerkt.",
  "SubscriptionsMessageFollow": "U ontvangt waarschuwingen voor wijzigingen in het item <b>{0}</b>.",
  "Expiration": "Vervallen",
  "Monthly": "Maandelijks",
  "Daily": "Dagelijks",
  "Monday": "Maandag",
  "Tuesday": "Dinsdag",
  "Wednesday": "Woensdag",
  "Thursday": "Donderdadg",
  "Friday": "Vrijdag",
  "Saturday": "Zaterdag",
  "Sunday": "Zondag",
  "NextDay": "Volgende {0}",
  "LastDay": "Laatste {0}",
  "StartTypingCaseForSuggestions": "Beschrijf uw probleem om mogelijke oplossingen te bekijken",
  "ExportToExcel": "Exporteren naar Excel",
  "ExportToExcelDescription": "Exporteer de zoekresultaten naar Excel",
  "CaseCreationNoResults": "Er zijn geen aanbevolen oplossingen gevonden",
  "SortBy": "Sorteren op",
  "BoxCreateArticle": "Maak een artikel aan",
  "Facets": "Facetten",
  "AdvancedSearch": "Geavanceerd Zoeken",
  "Keywords": "Sleutelwoorden",
  "AllTheseWords": "Al deze woorden",
  "ExactPhrase": "Deze exacte zin",
  "AnyOfTheseWords": "Een van deze woorden",
  "NoneOfTheseWords": "Geen van deze woorden",
  "Anytime": "Altijd",
  "InTheLast": "In de laatste",
  "Days": "dagen",
  "Months": "maanden",
  "Month": "Maand",
  "Year": "Jaar",
  "Between": "Tussen",
  "Language": "Taal",
  "Size": "Afmeting",
  "AtLeast": "minimaal",
  "AtMost": "maximaal",
  "Contains": "bevat",
  "DoesNotContain": "bevat niet",
  "Matches": "is gelijk aan",
  "Bytes": "bytes",
  "card": "Kaart",
  "table": "Tabel",
  "ResultLinks": "Resultaat koppelingen",
  "EnableQuerySyntax": "Zoekopdracht-syntax activeren",
  "On": "Aan",
  "Off": "Uit",
  "Automatic": "Automatisch",
  "ResultsPerPage": "Resultaten per pagina",
  "PreviousMonth": "Vorige maand",
  "NextMonth": "Volgende maand",
  "Title": "Titel",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["nl"] = merge(locales["nl"], dict);
  String["toLocaleString"].call(this, { "nl": dict });
  String["locale"] = "nl";
  String["defaultLocale"] = "en";
  Globalize.culture("nl")
}