/*
 * Globalize Culture pl
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "pl", "default", {
	name: "pl",
	englishName: "Polish",
	nativeName: "polski",
	language: "pl",
	numberFormat: {
		",": " ",
		".": ",",
		"NaN": "nie jest liczbą",
		negativeInfinity: "-nieskończoność",
		positiveInfinity: "+nieskończoność",
		percent: {
			pattern: ["-n%","n%"],
			",": " ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": " ",
			".": ",",
			symbol: "zł"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["niedziela","poniedziałek","wtorek","środa","czwartek","piątek","sobota"],
				namesAbbr: ["niedz.","pon.","wt.","śr.","czw.","pt.","sob."],
				namesShort: ["N","Pn","Wt","Śr","Cz","Pt","So"]
			},
			months: {
				names: ["styczeń","luty","marzec","kwiecień","maj","czerwiec","lipiec","sierpień","wrzesień","październik","listopad","grudzień",""],
				namesAbbr: ["sty","lut","mar","kwi","maj","cze","lip","sie","wrz","paź","lis","gru",""]
			},
			monthsGenitive: {
				names: ["stycznia","lutego","marca","kwietnia","maja","czerwca","lipca","sierpnia","września","października","listopada","grudnia",""],
				namesAbbr: ["sty","lut","mar","kwi","maj","cze","lip","sie","wrz","paź","lis","gru",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "d MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "d MMMM yyyy HH:mm",
				F: "d MMMM yyyy HH:mm:ss",
				M: "d MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Użytkownik",
  "filetype_box user": "Użytkownik",
  "html": "Plik HTML",
  "filetype_html": "Plik HTML",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Strona sieci Web",
  "filetype_webscraperwebpage": "Strona sieci Web",
  "image": "Obraz",
  "filetype_image": "Obraz",
  "folder": "Folder",
  "filetype_folder": "Folder",
  "txt": "Plik tekstowy",
  "filetype_txt": "Plik tekstowy",
  "zip": "Plik zip",
  "filetype_zip": "Plik zip",
  "olefile": "Plik OLE",
  "filetype_olefile": "Plik OLE",
  "gmailmessage": "Wiadomość Gmail",
  "filetype_gmailmessage": "Wiadomość Gmail",
  "pdf": "Plik PDF",
  "filetype_pdf": "Plik PDF",
  "swf": "Plik Flash",
  "filetype_swf": "Plik Flash",
  "xml": "Plik XML",
  "filetype_xml": "Plik XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Źródło danych RSS",
  "filetype_rssitem": "Źródło danych RSS",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Dokument Microsoft Word",
  "filetype_docx": "Dokument Microsoft Word",
  "xls": "Arkusz kalkulacyjny",
  "filetype_xls": "Arkusz kalkulacyjny",
  "ppt": "Prezentacja",
  "filetype_ppt": "Prezentacja",
  "video": "Wideo",
  "filetype_video": "Wideo",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Dokument Open Text",
  "filetype_odt": "Dokument Open Text",
  "lithiummessage": "Wiadomość Lithium",
  "filetype_lithiummessage": "Wiadomość Lithium",
  "lithiumthread": "Wątek Lithium",
  "filetype_lithiumthread": "Wątek Lithium",
  "lithiumboard": "Tablica Lithium",
  "filetype_lithiumboard": "Tablica Lithium",
  "lithiumcategory": "Kategoria Lithium",
  "filetype_lithiumcategory": "Kategoria Lithium",
  "lithiumcommunity": "Społeczność Lithium",
  "filetype_lithiumcommunity": "Społeczność Lithium",
  "people": "Użytkownik",
  "objecttype_people": "Użytkownik",
  "message": "Wiadomość",
  "objecttype_message": "Wiadomość",
  "feed": "Źródło danych RSS",
  "objecttype_feed": "Źródło danych RSS",
  "thread": "Wątek",
  "objecttype_thread": "Wątek",
  "file": "Plik",
  "objecttype_file": "Plik",
  "board": "Tablica",
  "objecttype_board": "Tablica",
  "category": "Kategoria",
  "objecttype_category": "Kategoria",
  "account": "Konto",
  "objecttype_account": "Konto",
  "annotation": "Uwaga",
  "objecttype_annotation": "Uwaga",
  "campaign": "Kampania",
  "objecttype_campaign": "Kampania",
  "case": "Sprawa",
  "objecttype_case": "Sprawa",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Umowa",
  "objecttype_contract": "Umowa",
  "event": "Zdarzenie",
  "objecttype_event": "Zdarzenie",
  "email": "Wiadomość e-mail",
  "objecttype_email": "Wiadomość e-mail",
  "goal": "Cel",
  "objecttype_goal": "Cel",
  "objecttype_incident": "Sprawa",
  "invoice": "Faktura",
  "objecttype_invoice": "Faktura",
  "lead": "Potencjalny klient",
  "objecttype_lead": "Potencjalny klient",
  "list": "Lista",
  "objecttype_list": "Lista marketingowa",
  "solution": "Rozwiązanie",
  "objecttype_solution": "Rozwiązanie",
  "task": "Zadanie",
  "objecttype_task": "Zadanie",
  "user": "Użytkownik",
  "objecttype_user": "Użytkownik",
  "attachment": "Załącznik",
  "objecttype_attachment": "Załącznik",
  "casecomment": "Komentarz do sprawy",
  "objecttype_casecomment": "Komentarz do sprawy",
  "opportunity": "Możliwość",
  "objecttype_opportunity": "Możliwość",
  "opportunityproduct": "Produkt możliwości",
  "objecttype_opportunityproduct": "Produkt możliwości",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Rozmowa",
  "objecttype_feedcomment": "Rozmowa",
  "note": "Uwaga",
  "objecttype_note": "Uwaga",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Pozycja kolejki",
  "objecttype_queueitem": "Pozycja kolejki",
  "quote": "Oferta",
  "objecttype_quote": "Oferta",
  "salesliterature": "Literatura sprzedażowa",
  "objecttype_salesliterature": "Literatura sprzedażowa",
  "salesorder": "Zamówienie sprzedaży",
  "objecttype_salesorder": "Zamówienie sprzedaży",
  "service": "Usługa",
  "objecttype_service": "Usługa",
  "socialprofile": "Profil społeczny",
  "objecttype_socialprofile": "Profil społeczny",
  "kbdocumentation": "Dokumentacja",
  "objecttype_kbdocumentation": "Dokumentacja",
  "kbtechnicalarticle": "Dokumentacja",
  "objecttype_kbtechnicalarticle": "Dokumentacja",
  "kbsolution": "Rozwiązanie",
  "objecttype_kbsolution": "Rozwiązanie",
  "kbknowledgearticle": "Artykuł w bazie wiedzy",
  "objecttype_kbknowledgearticle": "Artykuł w bazie wiedzy",
  "kbattachment": "Załącznik",
  "objecttype_kbattachment": "Załącznik",
  "kbarticle": "Artykuł",
  "objecttype_kbarticle": "Artykuł",
  "kbarticlecomment": "Komentarz do artykułu",
  "objecttype_kbarticlecomment": "Komentarz do artykułu",
  "knowledgearticle": "Artykuł w bazie wiedzy",
  "objecttype_knowledgearticle": "Artykuł w bazie wiedzy",
  "topic": "Temat",
  "objecttype_topic": "Temat",
  "dashboard": "Pulpit",
  "objecttype_dashboard": "Pulpit",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Grupa współpracy",
  "objecttype_collaborationgroup": "Grupa współpracy",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Witryna",
  "filetype_spsite": "Witryna",
  "spuserprofile": "Użytkownik SharePoint",
  "filetype_spuserprofile": "Użytkownik SharePoint",
  "sparea": "Obszar",
  "filetype_sparea": "Obszar",
  "spannouncement": "Ogłoszenie",
  "filetype_spannouncement": "Ogłoszenie",
  "spannouncementlist": "Ogłoszenia",
  "filetype_spannouncementlist": "Ogłoszenia",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakty",
  "filetype_spcontactlist": "Kontakty",
  "spcustomlist": "Niestandardowe listy",
  "filetype_spcustomlist": "Niestandardowe listy",
  "spdiscussionboard": "Tablica dyskusyjna",
  "filetype_spdiscussionboard": "Tablica dyskusyjna",
  "spdiscussionboardlist": "Tablice dyskusyjne",
  "filetype_spdiscussionboardlist": "Tablice dyskusyjne",
  "spdocumentlibrarylist": "Biblioteka dokumentów",
  "filetype_spdocumentlibrarylist": "Biblioteka dokumentów",
  "spevent": "Zdarzenie",
  "filetype_spevent": "Zdarzenie",
  "speventlist": "Zdarzenia",
  "filetype_speventlist": "Zdarzenia",
  "spformlibrarylist": "Biblioteka formularzy",
  "filetype_spformlibrarylist": "Biblioteka formularzy",
  "spissue": "Problem",
  "filetype_spissue": "Problem",
  "spissuelist": "Problemy",
  "filetype_spissuelist": "Problemy",
  "splink": "Łącze",
  "filetype_splink": "Łącze",
  "splinklist": "Łącza",
  "filetype_splinklist": "Łącza",
  "sppicturelibrarylist": "Biblioteka obrazów",
  "filetype_sppicturelibrarylist": "Biblioteka obrazów",
  "spsurvey": "Ankieta",
  "filetype_spsurvey": "Ankieta",
  "spsurveylist": "Ankiety",
  "filetype_spsurveylist": "Ankiety",
  "sptask": "Zadanie",
  "filetype_sptask": "Zadanie",
  "sptasklist": "Zadania",
  "filetype_sptasklist": "Zadania",
  "spagenda": "Plan spotkania",
  "filetype_spagenda": "Plan spotkania",
  "spagendalist": "Plany spotkania",
  "filetype_spagendalist": "Plany spotkania",
  "spattendee": "Uczestnik",
  "filetype_spattendee": "Uczestnik",
  "spattendeelist": "Uczestnicy",
  "filetype_spattendeelist": "Uczestnicy",
  "spcustomgridlist": "Niestandardowe siatki",
  "filetype_spcustomgridlist": "Niestandardowe siatki",
  "spdecision": "Decyzja",
  "filetype_spdecision": "Decyzja",
  "spdecisionlist": "Decyzje",
  "filetype_spdecisionlist": "Decyzje",
  "spobjective": "Cel",
  "filetype_spobjective": "Cel",
  "spobjectivelist": "Cele",
  "filetype_spobjectivelist": "Cele",
  "sptextbox": "Pole tekstowe",
  "filetype_sptextbox": "Pole tekstowe",
  "sptextboxlist": "Pola tekstowe",
  "filetype_sptextboxlist": "Pola tekstowe",
  "spthingstobring": "Rzecz do przyniesienia",
  "filetype_spthingstobring": "Rzecz do przyniesienia",
  "spthingstobringlist": "Rzeczy do przyniesienia",
  "filetype_spthingstobringlist": "Rzeczy do przyniesienia",
  "sparealisting": "Lista obszaru",
  "filetype_sparealisting": "Lista obszaru",
  "spmeetingserie": "Seria spotkań",
  "filetype_spmeetingserie": "Seria spotkań",
  "spmeetingserielist": "Lista serii spotkań",
  "filetype_spmeetingserielist": "Lista serii spotkań",
  "spsitedirectory": "Pozycja katalogu witryny",
  "filetype_spsitedirectory": "Pozycja katalogu witryny",
  "spsitedirectorylist": "Katalog witryny",
  "filetype_spsitedirectorylist": "Katalog witryny",
  "spdatasource": "Źródło danych",
  "filetype_spdatasource": "Źródło danych",
  "spdatasourcelist": "Lista źródeł danych",
  "filetype_spdatasourcelist": "Lista źródeł danych",
  "splisttemplatecataloglist": "Galeria szablonów listy",
  "filetype_splisttemplatecataloglist": "Galeria szablonów listy",
  "spwebpartcataloglist": "Galeria składników WebPart",
  "filetype_spwebpartcataloglist": "Galeria składników WebPart",
  "spwebtemplatecataloglist": "Galeria szablonów witryny",
  "filetype_spwebtemplatecataloglist": "Galeria szablonów witryny",
  "spworkspacepagelist": "Strony obszarów roboczych",
  "filetype_spworkspacepagelist": "Strony obszarów roboczych",
  "spunknownlist": "Niestandardowa lista",
  "filetype_spunknownlist": "Niestandardowa lista",
  "spadministratortask": "Zadanie administratora",
  "filetype_spadministratortask": "Zadanie administratora",
  "spadministratortasklist": "Zadania administratora",
  "filetype_spadministratortasklist": "Zadania administratora",
  "spareadocumentlibrarylist": "Biblioteka dokumentów obszaru",
  "filetype_spareadocumentlibrarylist": "Biblioteka dokumentów obszaru",
  "spblogcategory": "Kategoria blogu",
  "filetype_spblogcategory": "Kategoria blogu",
  "spblogcategorylist": "Kategorie blogu",
  "filetype_spblogcategorylist": "Kategorie blogu",
  "spblogcomment": "Komentarz do blogu",
  "filetype_spblogcomment": "Komentarz do blogu",
  "spblogcommentlist": "Komentarze do blogu",
  "filetype_spblogcommentlist": "Komentarze do blogu",
  "spblogpost": "Wpis blogu",
  "filetype_spblogpost": "Wpis blogu",
  "spblogpostlist": "Wpisy blogu",
  "filetype_spblogpostlist": "Wpisy blogu",
  "spdataconnectionlibrarylist": "Biblioteka połączeń danych",
  "filetype_spdataconnectionlibrarylist": "Biblioteka połączeń danych",
  "spdistributiongroup": "Grupa dystrybucyjna",
  "filetype_spdistributiongroup": "Grupa dystrybucyjna",
  "spdistributiongrouplist": "Grupy dystrybucyjne",
  "filetype_spdistributiongrouplist": "Grupy dystrybucyjne",
  "spipfslist": "Serwery formularzy InfoPath",
  "filetype_spipfslist": "Serwery formularzy InfoPath",
  "spkeyperformanceindicator": "Kluczowy wskaźnik efektywności",
  "filetype_spkeyperformanceindicator": "Kluczowy wskaźnik efektywności",
  "spkeyperformanceindicatorlist": "Kluczowe wskaźniki efektywności",
  "filetype_spkeyperformanceindicatorlist": "Kluczowe wskaźniki efektywności",
  "splanguagesandtranslator": "Języki i tłumacz",
  "filetype_splanguagesandtranslator": "Języki i tłumacz",
  "splanguagesandtranslatorlist": "Języki i tłumacze",
  "filetype_splanguagesandtranslatorlist": "Języki i tłumacze",
  "spmasterpagescataloglist": "Galeria stron głównych",
  "filetype_spmasterpagescataloglist": "Galeria stron głównych",
  "spnocodeworkflowlibrarylist": "Biblioteki przepływów pracy bez kodu",
  "filetype_spnocodeworkflowlibrarylist": "Biblioteki przepływów pracy bez kodu",
  "spprojecttask": "Zadanie projektu",
  "filetype_spprojecttask": "Zadanie projektu",
  "spprojecttasklist": "Zadania projektu",
  "filetype_spprojecttasklist": "Zadania projektu",
  "sppublishingpageslibrarylist": "Biblioteka stron",
  "filetype_sppublishingpageslibrarylist": "Biblioteka stron",
  "spreportdocumentlibrarylist": "Biblioteka dokumentów raportów",
  "filetype_spreportdocumentlibrarylist": "Biblioteka dokumentów raportów",
  "spreportlibrarylist": "Biblioteka raportów",
  "filetype_spreportlibrarylist": "Biblioteka raportów",
  "spslidelibrarylist": "Biblioteka slajdów",
  "filetype_spslidelibrarylist": "Biblioteka slajdów",
  "sptab": "Karty",
  "filetype_sptab": "Karty",
  "sptablist": "Lista kart",
  "filetype_sptablist": "Lista kart",
  "sptranslationmanagementlibrarylist": "Biblioteka zarządzania tłumaczeniami",
  "filetype_sptranslationmanagementlibrarylist": "Biblioteka zarządzania tłumaczeniami",
  "spuserinformation": "Informacje o użytkowniku",
  "filetype_spuserinformation": "Informacje o użytkowniku",
  "spuserinformationlist": "Lista informacji o użytkowniku",
  "filetype_spuserinformationlist": "Lista informacji o użytkowniku",
  "spwikipagelibrarylist": "Biblioteka stron Wiki",
  "filetype_spwikipagelibrarylist": "Biblioteka stron Wiki",
  "spworkflowhistory": "Historia przepływu pracy",
  "filetype_spworkflowhistory": "Historia przepływu pracy",
  "spworkflowhistorylist": "Lista historii przepływu pracy",
  "filetype_spworkflowhistorylist": "Lista historii przepływu pracy",
  "spworkflowprocess": "Proces niestandardowego przepływu pracy",
  "filetype_spworkflowprocess": "Proces niestandardowego przepływu pracy",
  "spworkflowprocesslist": "Procesy niestandardowego przepływu pracy",
  "filetype_spworkflowprocesslist": "Procesy niestandardowego przepływu pracy",
  "sppublishingimageslibrarylist": "Biblioteka obrazów do opublikowania",
  "filetype_sppublishingimageslibrarylist": "Biblioteka obrazów do opublikowania",
  "spcirculation": "Obieg",
  "filetype_spcirculation": "Obieg",
  "spcirculationlist": "Obiegi",
  "filetype_spcirculationlist": "Obiegi",
  "spdashboardslibrarylist": "Biblioteka pulpitów",
  "filetype_spdashboardslibrarylist": "Biblioteka pulpitów",
  "spdataconnectionforperformancepointlibrarylist": "Biblioteka połączeń danych PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Biblioteka połączeń danych PerformancePoint",
  "sphealthreport": "Raport zdrowia",
  "filetype_sphealthreport": "Raport zdrowia",
  "sphealthreportlist": "Raporty zdrowia",
  "filetype_sphealthreportlist": "Raporty zdrowia",
  "sphealthrule": "Reguła zdrowia",
  "filetype_sphealthrule": "Reguła zdrowia",
  "sphealthrulelist": "Reguły zdrowia",
  "filetype_sphealthrulelist": "Reguły zdrowia",
  "spimedictionary": "Słownik IME",
  "filetype_spimedictionary": "Słownik IME",
  "spimedictionarylist": "Słowniki IME",
  "filetype_spimedictionarylist": "Słowniki IME",
  "spperformancepointcontent": "Zawartość PerformancePoint",
  "filetype_spperformancepointcontent": "Zawartość PerformancePoint",
  "spperformancepointcontentlist": "Zawartości PerformancePoint",
  "filetype_spperformancepointcontentlist": "Zawartości PerformancePoint",
  "spphonecallmemo": "Nota dotycząca połączenia telefonicznego",
  "filetype_spphonecallmemo": "Nota dotycząca połączenia telefonicznego",
  "spphonecallmemolist": "Noty dotyczące połączenia telefonicznego",
  "filetype_spphonecallmemolist": "Noty dotyczące połączenia telefonicznego",
  "sprecordlibrarylist": "Biblioteka rekordów",
  "filetype_sprecordlibrarylist": "Biblioteka rekordów",
  "spresource": "Zasób",
  "filetype_spresource": "Zasób",
  "spresourcelist": "Zasoby",
  "filetype_spresourcelist": "Zasoby",
  "spprocessdiagramslibrarylist": "Biblioteka schematów procesu",
  "filetype_spprocessdiagramslibrarylist": "Biblioteka schematów procesu",
  "spsitethemeslibrarylist": "Biblioteka motywów witryny",
  "filetype_spsitethemeslibrarylist": "Biblioteka motywów witryny",
  "spsolutionslibrarylist": "Biblioteka rozwiązań",
  "filetype_spsolutionslibrarylist": "Biblioteka rozwiązań",
  "spwfpublibrarylist": "Biblioteka WFPUB",
  "filetype_spwfpublibrarylist": "Biblioteka WFPUB",
  "spwhereabout": "Lokalizacja",
  "filetype_spwhereabout": "Lokalizacja",
  "spwhereaboutlist": "Lokalizacje",
  "filetype_spwhereaboutlist": "Lokalizacje",
  "spdocumentlink": "Łącze do dokumentu",
  "filetype_spdocumentlink": "Łącze do dokumentu",
  "spdocumentset": "Zestaw dokumentów",
  "filetype_spdocumentset": "Zestaw dokumentów",
  "spmicrofeedpost": "Wpis mikrokanału informacyjnego",
  "filetype_spmicrofeedpost": "Wpis mikrokanału informacyjnego",
  "spmicrofeedlist": "Mikrokanał informacyjny",
  "filetype_spmicrofeedlist": "Mikrokanał informacyjny",
  "splistfolder": "Folder listy",
  "filetype_splistfolder": "Folder listy",
  "Unknown": "Nieznany",
  "And": "I",
  "Authenticating": "Trwa uwierzytelnianie użytkownika {0}...",
  "Clear": "Wyczyść {0}",
  "CompleteQuery": "Całe zapytanie",
  "Exclude": "Wyklucz {0}",
  "EnterTag": "Dodaj znacznik",
  "Next": "Następna",
  "Last": "Ostatnia",
  "Link": "Łącze",
  "Or": "LUB",
  "Previous": "Poprzednia",
  "QueryDidntMatchAnyDocuments": "Żaden dokument nie pasuje do zapytania.",
  "QueryException": "Zapytanie zawiera błąd: {0}.",
  "Me": "Ja",
  "Remove": "Usuń",
  "Search": "Wyszukaj",
  "SearchFor": "Wyszukaj {0}",
  "ShareQuery": "Udostępnij zapytanie",
  "Preferences": "Preferencje",
  "LinkOpeningSettings": "Ustawienia dotyczące otwierania łączy",
  "Reauthenticate": "Ponownie uwierzytelnij użytkownika {0}",
  "ResultsFilteringExpression": "Wyrażenia filtrowania wyników",
  "FiltersInYourPreferences": "Filtry w preferencjach użytkownika",
  "Create": "Utwórz",
  "SearchIn": "Wyszukaj w {0}",
  "Seconds": "w {0} sekundę<pl>(sekundy/sekund)</pl>",
  "ShowingResultsOf": "Wynik<pl>i</pl> {0}<pl>-{1}</pl> z {2}",
  "ShowingResultsOfWithQuery": "Wynik<pl>i</pl> {0}<pl>-{1}</pl> z {2} za {3}",
  "SwitchTo": "Przełącz na {0}",
  "Unexclude": "Cofnij wykluczenie {0}",
  "ClearAllFilters": "Wyczyść wszystkie filtry",
  "SkipLogin": "Pomiń logowanie",
  "LoginInProgress": "Logowanie w toku, proszę czekać...",
  "Login": "Zaloguj",
  "GetStarted": "Rozpocznij",
  "More": "Więcej",
  "NMore": "{0} więcej...",
  "Less": "Mniej",
  "Settings": "Ustawienia",
  "Score": "Punktacja",
  "ScoreDescription": "Punktacja jest obliczana na podstawie liczby wystąpień oraz pozycji w zestawie wyników.",
  "Occurrences": "Wystąpienia",
  "OccurrencesDescription": "Sortuj według liczby wystąpień, tak aby wartości o najwyższej liczbie pojawiały się jako pierwsze.",
  "Label": "Etykieta",
  "Of": "z",
  "LabelDescription": "Sortuj alfabetycznie według wartości pól.",
  "Value": "Wartość",
  "ValueDescription": "Sortuj według wartości pierwszego obliczonego pola",
  "AlphaAscending": "Wartość rosnąco",
  "AlphaDescending": "Wartość malejąco",
  "ChiSquare": "Chi-kwadrat",
  "Nosort": "Bez sortowania",
  "NosortDescription": "Nie sortuj wartości. Te wartości zostaną zwrócone w kolejności losowej.",
  "RelativeFrequency": "Częstotliwość względna",
  "RelativeFrequencyDescription": "Sortuj według względnej częstotliwości występowania wartości. Mniej rozpowszechnione wartości będą pojawiały się wyżej.",
  "DateDistribution": "Rozłożenie dat",
  "Custom": "Niestandardowe",
  "CustomDescription": "Sortuj według niestandardowej kolejności",
  "ComputedField": "Pole obliczane",
  "Ascending": "Rosnąco",
  "Descending": "Malejąco",
  "noResultFor": "Brak wyników dla zapytania {0}",
  "autoCorrectedQueryTo": "Zapytanie zostało automatycznie poprawione na {0}",
  "didYouMean": "Czy chodziło Ci o: {0}",
  "SuggestedResults": "Sugerowane wyniki",
  "SuggestedQueries": "Sugerowane zapytania",
  "MostRelevantItems": "Najbardziej trafne elementy:",
  "AllItems": "Wszystkie elementy:",
  "ShowLess": "Pokaż mniej",
  "ShowMore": "Pokaż więcej",
  "HideFacet": "Ukryj Aspekt",
  "ShowFacet": "Pokaż Aspekt",
  "AndOthers": "i {0} pozostały<pl>(pozostałe/pozostałych)</pl>",
  "Others": "{0} pozostały<pl>(pozostałe/pozostałych)</pl>",
  "MostRelevantPosts": "Najbardziej trafne wpisy:",
  "CompleteThread": "Cały wątek:",
  "ShowCompleteThread": "Pokaż cały wątek",
  "ShowOnlyTopMatchingPosts": "Pokaż tylko wpisy o najwyższej zgodności",
  "MostRelevantReplies": "Najbardziej trafne odpowiedzi:",
  "AllConversation": "Cała rozmowa:",
  "ShowAllConversation": "Pokaż całą rozmowę",
  "ShowAllReplies": "Pokaż wszystkie odpowiedzi",
  "ShowOnlyMostRelevantReplies": "Pokaż tylko najbardziej trafne odpowiedzi",
  "Close": "Zamknij",
  "Open": "Otwórz",
  "OpenInOutlookWhenPossible": "Otwórz w programie Outlook (o ile to możliwe)",
  "AlwaysOpenInNewWindow": "Zawsze otwieraj wyniki w nowym oknie",
  "Quickview": "Szybki podgląd",
  "NoQuickview": "Szybki podgląd nie jest dostępny dla tego dokumentu",
  "ErrorReport": "Raport o błędach",
  "OopsError": "Wystąpił problem dotyczący serwera.",
  "ProblemPersists": "Jeśli ten problem będzie się powtarzać, skontaktuj się z administratorem.",
  "GoBack": "Powrót",
  "Reset": "Resetuj",
  "Retry": "Spróbuj ponownie",
  "MoreInfo": "Więcej informacji",
  "Username": "Nazwa użytkownika",
  "Password": "Hasło",
  "PostedBy": "Opublikował użytkownik",
  "CannotConnect": "Nie można nawiązać połączenia z adresem serwera.",
  "BadUserPass": "Hasło nie pasuje do nazwy użytkownika.",
  "PleaseEnterYourCredentials": "Proszę wpisać poświadczenia dla systemu {0}.",
  "PleaseEnterYourSearchPage": "Proszę wpisać adres URL strony wyszukiwania",
  "Collapse": "Zwiń",
  "Collapsable": "Zwijany",
  "Expand": "Rozwiń",
  "Today": "Dzisiaj",
  "Yesterday": "Wczoraj",
  "Tomorrow": "Jutro",
  "Duration": "Czas trwania: {0}",
  "IndexDuration": "Czas trwania indeksu: {0}",
  "ProxyDuration": "Czas trwania serwera proxy: {0}",
  "ClientDuration": "Czas trwania klienta: {0}",
  "Unavailable": "Niedostępny",
  "Reply": "Odpowiedz",
  "ReplyAll": "Odpowiedz wszystkim",
  "Forward": "Prześlij dalej",
  "From": "Od",
  "Caption": "Podpis",
  "Expression": "Wyrażenie",
  "Tab": "Karta",
  "Tabs": "Karty",
  "EnterExpressionName": "Wprowadź nazwę wyrażenia",
  "EnterExpressionToFilterWith": "Wprowadź wyrażenie do filtrowania wyników",
  "SelectTab": "Zaznacz kartę",
  "SelectAll": "Zaznacz wszystko",
  "PageUrl": "Adres URL strony wyszukiwania",
  "ErrorSavingToDevice": "Podczas zapisywania informacji na urządzeniu wystąpił błąd",
  "ErrorReadingFromDevice": "Podczas odczytu informacji z urządzenia wystąpił błąd",
  "AppIntro": "Skontaktuj się ze specjalistą ds. produktów, który odpowie na pytania dotyczące Coveo i pomoże Ci w wyborze odpowiedniego rozwiązania Coveo. Możesz też wypróbować interaktywne demo!",
  "TryDemo": "Wypróbuj demo",
  "ContactUs": "Skontaktuj się z nami",
  "NewToCoveo": "Jeszcze nie znasz Coveo?",
  "LetUsHelpGetStarted": "Pomożemy Ci zacząć",
  "LikesThis": "{0} lubią<sn>(lubi)</sn> to.",
  "CannotConnectSearchPage": "Nie można połączyć ze stroną wyszukiwania",
  "AreYouSureDeleteFilter": "Czy na pewno chcesz usunąć filtr {0} z wyrażeniem {1}?",
  "OnlineHelp": "Pomoc online",
  "Done": "Gotowe",
  "SaveFacetState": "Zapisz stan aspektu",
  "ClearFacetState": "Wyczyść stan aspektu",
  "DisplayingTheOnlyMessage": "Wyświetlanie jedynej wiadomości w ramach rozmowy",
  "NoNetworkConnection": "Brak połączenia sieciowego",
  "UnknownConnection": "Nieznane połączenie",
  "EthernetConnection": "Połączenie Ethernet",
  "WiFi": "Połączenie WiFi",
  "CELL": "Połączenie komórkowe",
  "CELL_2G": "Połączenie komórkowe 2G",
  "CELL_3G": "Połączenie komórkowe 3G",
  "CELL_4G": "Połączenie komórkowe 4G",
  "Relevance": "Trafność",
  "Date": "Data",
  "Amount": "Ilość",
  "QueryExceptionNoException": "Brak wyjątków",
  "QueryExceptionInvalidSyntax": "Nieprawidłowa składnia",
  "QueryExceptionInvalidCustomField": "Nieprawidłowe pole niestandardowe",
  "QueryExceptionInvalidDate": "Nieprawidłowa data",
  "QueryExceptionInvalidExactPhrase": "Nieprawidłowa dokładna fraza",
  "QueryExceptionInvalidDateOp": "Nieprawidłowy operator daty",
  "QueryExceptionInvalidNear": "Nieprawidłowy operator NEAR",
  "QueryExceptionInvalidWeightedNear": "Nieprawidłowy ważony operator NEAR",
  "QueryExceptionInvalidTerm": "Nieprawidłowy termin",
  "QueryExceptionTooManyTerms": "Zbyt wiele terminów",
  "QueryExceptionWildcardTooGeneral": "Symbol wieloznaczny zbyt ogólny",
  "QueryExceptionInvalidSortField": "Nieprawidłowe pole sortowania",
  "QueryExceptionInvalidSmallStringOp": "Nieprawidłowy operator małych ciągów",
  "QueryExceptionRequestedResultsMax": "Maksymalna liczba żądanych wyników",
  "QueryExceptionAggregatedMirrorDead": "Duplikat agregowany jest niedostępny",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Limit czasu zapytania duplikatu agregowanego",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Nieprawidłowy numer kompilacji duplikatu agregowanego",
  "QueryExceptionAggregatedMirrorCannotConnect": "Brak połączenia z duplikatem agregowanym",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Zbyt mała liczba znaków poprzedzających symbol wieloznaczny",
  "QueryExceptionSecurityInverterNotFound": "Brak inwertora zabezpieczeń",
  "QueryExceptionSecurityInverterAccessDenied": "Odmowa dostępu do inwertora zabezpieczeń",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Duplikat agregowany nie może dokonać personifikacji",
  "QueryExceptionUnexpected": "Nieoczekiwany",
  "QueryExceptionAccessDenied": "Odmowa dostępu",
  "QueryExceptionSuperUserTokenInvalid": "Nieprawidłowy token administratora",
  "QueryExceptionSuperUserTokenExpired": "Wygasły token administratora",
  "QueryExceptionLicenseQueriesExpired": "Wygasła licencja zapytań",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Nieobsługiwany token administratora licencji",
  "QueryExceptionInvalidSession": "Nieprawidłowa sesja",
  "QueryExceptionInvalidDocument": "Nieprawidłowy dokument",
  "QueryExceptionSearchDisabled": "Wyszukiwanie wyłączone",
  "FileType": "Typ pliku",
  "ShowAttachment": "Pokaż załącznik",
  "OnFeed": "w kanale użytkownika {0}.",
  "Author": "Autor",
  "NoTitle": "Brak tytułu",
  "CurrentSelections": "Bieżące zaznaczenia",
  "AllContent": "Cała zawartość",
  "CancelLastAction": "Anuluj ostatnią czynność",
  "SearchTips": "Wskazówki dotyczące wyszukiwania",
  "CheckSpelling": "Sprawdź pisownię słów kluczowych.",
  "TryUsingFewerKeywords": "Spróbuj użyć różnych lub bardziej ogólnych słów kluczowych albo zmniejsz ich liczbę.",
  "SelectFewerFilters": "Zmniejsz liczbę filtrów, aby poszerzyć zakres wyszukiwania.",
  "Document": "Dokument",
  "Time": "Godzina",
  "StartDate": "Data początkowa",
  "StartTime": "Godzina początkowa",
  "DurationTitle": "Czas trwania",
  "UserQuery": "Zapytanie użytkownika",
  "ShowUserActions": "Pokaż akcje użytkownika",
  "NoData": "Brak danych",
  "EventType": "Typ zdarzenia",
  "GoToFullSearch": "Pełne wyszukiwanie",
  "GoToEdition": "Dostosuj panel",
  "RemoveContext": "Usuń kontekst",
  "BoxAttachToCase": "Dołącz do sprawy",
  "AttachToCase": "Dołącz do sprawy",
  "Attach": "Dołącz",
  "Attached": "Dołączono",
  "Detach": "Odłącz",
  "Details": "Szczegóły",
  "AdditionalFilters": "Dodatkowe filtry",
  "SelectNonContextualSearch": "Usuń kontekst z bieżącego rekordu, aby rozszerzyć wyszukiwanie",
  "CopyPasteToSupport": "Skopiuj i wklej tę treść w wiadomości do pomocy technicznej Coveo, aby uzyskać więcej informacji.",
  "FollowQueryDescription": "Ostrzegaj mnie o zmianach w wynikach wyszukiwania tego zapytania.",
  "SearchAlerts_Panel": "Zarządzaj alertami",
  "SearchAlerts_PanelDescription": "Wyświetl i zarządzaj alertami wyszukiwania.",
  "SearchAlerts_PanelNoSearchAlerts": "Brak subskrypcji.",
  "SearchAlerts_Fail": "Usługa alertów wyszukiwania jest aktualnie niedostępna.",
  "SearchAlerts_Type": "Typ",
  "SearchAlerts_Content": "Zawartość",
  "SearchAlerts_Actions": "Akcja",
  "EmptyQuery": "<puste>",
  "SearchAlerts_Type_followQuery": "Zapytanie",
  "SearchAlerts_Type_followDocument": "Element",
  "SearchAlerts_unFollowing": "Anuluj obserwowanie",
  "SearchAlerts_follow": "Obserwuj",
  "SearchAlerts_followed": "Obserwowane",
  "SearchAlerts_followQuery": "Obserwuj zapytanie",
  "Subscription_StopFollowingQuery": "Anuluj obserwowanie zapytania",
  "SearchAlerts_Frequency": "Kiedy",
  "SubscriptionsManageSubscriptions": "Zarządzaj alertami",
  "SubscriptionsMessageFollowQuery": "Użytkownik będzie otrzymywać alerty, kiedy zapytanie <b>{0}</b> zwróci nowe lub zaktualizowane elementy.",
  "SubscriptionsMessageFollow": "Użytkownik będzie otrzymywać alerty dotyczące zmian elementu <b>{0}</b>.",
  "Expiration": "Wygaśnięcie",
  "Monthly": "Miesięcznie",
  "Daily": "Codziennie",
  "Monday": "Poniedziałek",
  "Tuesday": "Wtorek",
  "Wednesday": "Środa",
  "Thursday": "Czwartek",
  "Friday": "Piątek",
  "Saturday": "Sobota",
  "Sunday": "Niedziela",
  "NextDay": "Następny(a) {0}",
  "LastDay": "Ostatni(a) {0}",
  "StartTypingCaseForSuggestions": "Opisz swój problem, aby uzyskać możliwe rozwiązania",
  "ExportToExcel": "Eksportuj do programu Excel",
  "ExportToExcelDescription": "Eksportuj wyniki wyszukiwania do programu Excel",
  "CaseCreationNoResults": "Nie znaleziono zalecanych rozwiązań",
  "SortBy": "Sortuj wg",
  "BoxCreateArticle": "Utwórz artykuł",
  "Facets": "Fasety",
  "AdvancedSearch": "Wyszukiwanie zaawansowane",
  "Keywords": "Słowa kluczowe",
  "AllTheseWords": "Wszystkie te słowa",
  "ExactPhrase": "Dokładnie taka fraza",
  "AnyOfTheseWords": "Dowolne z tych słów",
  "NoneOfTheseWords": "Żadne z tych słów",
  "Anytime": "Zawsze",
  "InTheLast": "W ostatnich",
  "Days": "dniach",
  "Months": "miesiącach",
  "Month": "Miesiąc",
  "Year": "Rok",
  "Between": "Między",
  "Language": "Język",
  "Size": "Rozmiar",
  "AtLeast": "przynajmniej",
  "AtMost": "co najwyżej",
  "Contains": "zawiera",
  "DoesNotContain": "nie zawiera",
  "Matches": "dopasowań",
  "Bytes": "bajtów",
  "card": "Karta",
  "table": "Tabela",
  "ResultLinks": "Łącza wyników",
  "EnableQuerySyntax": "Włącz składnię zapytania",
  "On": "Wł.",
  "Off": "Wył.",
  "Automatic": "Automatyczne",
  "ResultsPerPage": "Liczba wyników na stronę",
  "PreviousMonth": "Poprzedni miesiąc",
  "NextMonth": "Następny miesiąc",
  "Title": "Tytuł",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["pl"] = merge(locales["pl"], dict);
  String["toLocaleString"].call(this, { "pl": dict });
  String["locale"] = "pl";
  String["defaultLocale"] = "en";
  Globalize.culture("pl")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Użytkownik",
  "filetype_box user": "Użytkownik",
  "html": "Plik HTML",
  "filetype_html": "Plik HTML",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Strona sieci Web",
  "filetype_webscraperwebpage": "Strona sieci Web",
  "image": "Obraz",
  "filetype_image": "Obraz",
  "folder": "Folder",
  "filetype_folder": "Folder",
  "txt": "Plik tekstowy",
  "filetype_txt": "Plik tekstowy",
  "zip": "Plik zip",
  "filetype_zip": "Plik zip",
  "olefile": "Plik OLE",
  "filetype_olefile": "Plik OLE",
  "gmailmessage": "Wiadomość Gmail",
  "filetype_gmailmessage": "Wiadomość Gmail",
  "pdf": "Plik PDF",
  "filetype_pdf": "Plik PDF",
  "swf": "Plik Flash",
  "filetype_swf": "Plik Flash",
  "xml": "Plik XML",
  "filetype_xml": "Plik XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Źródło danych RSS",
  "filetype_rssitem": "Źródło danych RSS",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Dokument Microsoft Word",
  "filetype_docx": "Dokument Microsoft Word",
  "xls": "Arkusz kalkulacyjny",
  "filetype_xls": "Arkusz kalkulacyjny",
  "ppt": "Prezentacja",
  "filetype_ppt": "Prezentacja",
  "video": "Wideo",
  "filetype_video": "Wideo",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Dokument Open Text",
  "filetype_odt": "Dokument Open Text",
  "lithiummessage": "Wiadomość Lithium",
  "filetype_lithiummessage": "Wiadomość Lithium",
  "lithiumthread": "Wątek Lithium",
  "filetype_lithiumthread": "Wątek Lithium",
  "lithiumboard": "Tablica Lithium",
  "filetype_lithiumboard": "Tablica Lithium",
  "lithiumcategory": "Kategoria Lithium",
  "filetype_lithiumcategory": "Kategoria Lithium",
  "lithiumcommunity": "Społeczność Lithium",
  "filetype_lithiumcommunity": "Społeczność Lithium",
  "people": "Użytkownik",
  "objecttype_people": "Użytkownik",
  "message": "Wiadomość",
  "objecttype_message": "Wiadomość",
  "feed": "Źródło danych RSS",
  "objecttype_feed": "Źródło danych RSS",
  "thread": "Wątek",
  "objecttype_thread": "Wątek",
  "file": "Plik",
  "objecttype_file": "Plik",
  "board": "Tablica",
  "objecttype_board": "Tablica",
  "category": "Kategoria",
  "objecttype_category": "Kategoria",
  "account": "Konto",
  "objecttype_account": "Konto",
  "annotation": "Uwaga",
  "objecttype_annotation": "Uwaga",
  "campaign": "Kampania",
  "objecttype_campaign": "Kampania",
  "case": "Sprawa",
  "objecttype_case": "Sprawa",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Umowa",
  "objecttype_contract": "Umowa",
  "event": "Zdarzenie",
  "objecttype_event": "Zdarzenie",
  "email": "Wiadomość e-mail",
  "objecttype_email": "Wiadomość e-mail",
  "goal": "Cel",
  "objecttype_goal": "Cel",
  "objecttype_incident": "Sprawa",
  "invoice": "Faktura",
  "objecttype_invoice": "Faktura",
  "lead": "Potencjalny klient",
  "objecttype_lead": "Potencjalny klient",
  "list": "Lista",
  "objecttype_list": "Lista marketingowa",
  "solution": "Rozwiązanie",
  "objecttype_solution": "Rozwiązanie",
  "task": "Zadanie",
  "objecttype_task": "Zadanie",
  "user": "Użytkownik",
  "objecttype_user": "Użytkownik",
  "attachment": "Załącznik",
  "objecttype_attachment": "Załącznik",
  "casecomment": "Komentarz do sprawy",
  "objecttype_casecomment": "Komentarz do sprawy",
  "opportunity": "Możliwość",
  "objecttype_opportunity": "Możliwość",
  "opportunityproduct": "Produkt możliwości",
  "objecttype_opportunityproduct": "Produkt możliwości",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Rozmowa",
  "objecttype_feedcomment": "Rozmowa",
  "note": "Uwaga",
  "objecttype_note": "Uwaga",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Pozycja kolejki",
  "objecttype_queueitem": "Pozycja kolejki",
  "quote": "Oferta",
  "objecttype_quote": "Oferta",
  "salesliterature": "Literatura sprzedażowa",
  "objecttype_salesliterature": "Literatura sprzedażowa",
  "salesorder": "Zamówienie sprzedaży",
  "objecttype_salesorder": "Zamówienie sprzedaży",
  "service": "Usługa",
  "objecttype_service": "Usługa",
  "socialprofile": "Profil społeczny",
  "objecttype_socialprofile": "Profil społeczny",
  "kbdocumentation": "Dokumentacja",
  "objecttype_kbdocumentation": "Dokumentacja",
  "kbtechnicalarticle": "Dokumentacja",
  "objecttype_kbtechnicalarticle": "Dokumentacja",
  "kbsolution": "Rozwiązanie",
  "objecttype_kbsolution": "Rozwiązanie",
  "kbknowledgearticle": "Artykuł w bazie wiedzy",
  "objecttype_kbknowledgearticle": "Artykuł w bazie wiedzy",
  "kbattachment": "Załącznik",
  "objecttype_kbattachment": "Załącznik",
  "kbarticle": "Artykuł",
  "objecttype_kbarticle": "Artykuł",
  "kbarticlecomment": "Komentarz do artykułu",
  "objecttype_kbarticlecomment": "Komentarz do artykułu",
  "knowledgearticle": "Artykuł w bazie wiedzy",
  "objecttype_knowledgearticle": "Artykuł w bazie wiedzy",
  "topic": "Temat",
  "objecttype_topic": "Temat",
  "dashboard": "Pulpit",
  "objecttype_dashboard": "Pulpit",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Grupa współpracy",
  "objecttype_collaborationgroup": "Grupa współpracy",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Witryna",
  "filetype_spsite": "Witryna",
  "spuserprofile": "Użytkownik SharePoint",
  "filetype_spuserprofile": "Użytkownik SharePoint",
  "sparea": "Obszar",
  "filetype_sparea": "Obszar",
  "spannouncement": "Ogłoszenie",
  "filetype_spannouncement": "Ogłoszenie",
  "spannouncementlist": "Ogłoszenia",
  "filetype_spannouncementlist": "Ogłoszenia",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakty",
  "filetype_spcontactlist": "Kontakty",
  "spcustomlist": "Niestandardowe listy",
  "filetype_spcustomlist": "Niestandardowe listy",
  "spdiscussionboard": "Tablica dyskusyjna",
  "filetype_spdiscussionboard": "Tablica dyskusyjna",
  "spdiscussionboardlist": "Tablice dyskusyjne",
  "filetype_spdiscussionboardlist": "Tablice dyskusyjne",
  "spdocumentlibrarylist": "Biblioteka dokumentów",
  "filetype_spdocumentlibrarylist": "Biblioteka dokumentów",
  "spevent": "Zdarzenie",
  "filetype_spevent": "Zdarzenie",
  "speventlist": "Zdarzenia",
  "filetype_speventlist": "Zdarzenia",
  "spformlibrarylist": "Biblioteka formularzy",
  "filetype_spformlibrarylist": "Biblioteka formularzy",
  "spissue": "Problem",
  "filetype_spissue": "Problem",
  "spissuelist": "Problemy",
  "filetype_spissuelist": "Problemy",
  "splink": "Łącze",
  "filetype_splink": "Łącze",
  "splinklist": "Łącza",
  "filetype_splinklist": "Łącza",
  "sppicturelibrarylist": "Biblioteka obrazów",
  "filetype_sppicturelibrarylist": "Biblioteka obrazów",
  "spsurvey": "Ankieta",
  "filetype_spsurvey": "Ankieta",
  "spsurveylist": "Ankiety",
  "filetype_spsurveylist": "Ankiety",
  "sptask": "Zadanie",
  "filetype_sptask": "Zadanie",
  "sptasklist": "Zadania",
  "filetype_sptasklist": "Zadania",
  "spagenda": "Plan spotkania",
  "filetype_spagenda": "Plan spotkania",
  "spagendalist": "Plany spotkania",
  "filetype_spagendalist": "Plany spotkania",
  "spattendee": "Uczestnik",
  "filetype_spattendee": "Uczestnik",
  "spattendeelist": "Uczestnicy",
  "filetype_spattendeelist": "Uczestnicy",
  "spcustomgridlist": "Niestandardowe siatki",
  "filetype_spcustomgridlist": "Niestandardowe siatki",
  "spdecision": "Decyzja",
  "filetype_spdecision": "Decyzja",
  "spdecisionlist": "Decyzje",
  "filetype_spdecisionlist": "Decyzje",
  "spobjective": "Cel",
  "filetype_spobjective": "Cel",
  "spobjectivelist": "Cele",
  "filetype_spobjectivelist": "Cele",
  "sptextbox": "Pole tekstowe",
  "filetype_sptextbox": "Pole tekstowe",
  "sptextboxlist": "Pola tekstowe",
  "filetype_sptextboxlist": "Pola tekstowe",
  "spthingstobring": "Rzecz do przyniesienia",
  "filetype_spthingstobring": "Rzecz do przyniesienia",
  "spthingstobringlist": "Rzeczy do przyniesienia",
  "filetype_spthingstobringlist": "Rzeczy do przyniesienia",
  "sparealisting": "Lista obszaru",
  "filetype_sparealisting": "Lista obszaru",
  "spmeetingserie": "Seria spotkań",
  "filetype_spmeetingserie": "Seria spotkań",
  "spmeetingserielist": "Lista serii spotkań",
  "filetype_spmeetingserielist": "Lista serii spotkań",
  "spsitedirectory": "Pozycja katalogu witryny",
  "filetype_spsitedirectory": "Pozycja katalogu witryny",
  "spsitedirectorylist": "Katalog witryny",
  "filetype_spsitedirectorylist": "Katalog witryny",
  "spdatasource": "Źródło danych",
  "filetype_spdatasource": "Źródło danych",
  "spdatasourcelist": "Lista źródeł danych",
  "filetype_spdatasourcelist": "Lista źródeł danych",
  "splisttemplatecataloglist": "Galeria szablonów listy",
  "filetype_splisttemplatecataloglist": "Galeria szablonów listy",
  "spwebpartcataloglist": "Galeria składników WebPart",
  "filetype_spwebpartcataloglist": "Galeria składników WebPart",
  "spwebtemplatecataloglist": "Galeria szablonów witryny",
  "filetype_spwebtemplatecataloglist": "Galeria szablonów witryny",
  "spworkspacepagelist": "Strony obszarów roboczych",
  "filetype_spworkspacepagelist": "Strony obszarów roboczych",
  "spunknownlist": "Niestandardowa lista",
  "filetype_spunknownlist": "Niestandardowa lista",
  "spadministratortask": "Zadanie administratora",
  "filetype_spadministratortask": "Zadanie administratora",
  "spadministratortasklist": "Zadania administratora",
  "filetype_spadministratortasklist": "Zadania administratora",
  "spareadocumentlibrarylist": "Biblioteka dokumentów obszaru",
  "filetype_spareadocumentlibrarylist": "Biblioteka dokumentów obszaru",
  "spblogcategory": "Kategoria blogu",
  "filetype_spblogcategory": "Kategoria blogu",
  "spblogcategorylist": "Kategorie blogu",
  "filetype_spblogcategorylist": "Kategorie blogu",
  "spblogcomment": "Komentarz do blogu",
  "filetype_spblogcomment": "Komentarz do blogu",
  "spblogcommentlist": "Komentarze do blogu",
  "filetype_spblogcommentlist": "Komentarze do blogu",
  "spblogpost": "Wpis blogu",
  "filetype_spblogpost": "Wpis blogu",
  "spblogpostlist": "Wpisy blogu",
  "filetype_spblogpostlist": "Wpisy blogu",
  "spdataconnectionlibrarylist": "Biblioteka połączeń danych",
  "filetype_spdataconnectionlibrarylist": "Biblioteka połączeń danych",
  "spdistributiongroup": "Grupa dystrybucyjna",
  "filetype_spdistributiongroup": "Grupa dystrybucyjna",
  "spdistributiongrouplist": "Grupy dystrybucyjne",
  "filetype_spdistributiongrouplist": "Grupy dystrybucyjne",
  "spipfslist": "Serwery formularzy InfoPath",
  "filetype_spipfslist": "Serwery formularzy InfoPath",
  "spkeyperformanceindicator": "Kluczowy wskaźnik efektywności",
  "filetype_spkeyperformanceindicator": "Kluczowy wskaźnik efektywności",
  "spkeyperformanceindicatorlist": "Kluczowe wskaźniki efektywności",
  "filetype_spkeyperformanceindicatorlist": "Kluczowe wskaźniki efektywności",
  "splanguagesandtranslator": "Języki i tłumacz",
  "filetype_splanguagesandtranslator": "Języki i tłumacz",
  "splanguagesandtranslatorlist": "Języki i tłumacze",
  "filetype_splanguagesandtranslatorlist": "Języki i tłumacze",
  "spmasterpagescataloglist": "Galeria stron głównych",
  "filetype_spmasterpagescataloglist": "Galeria stron głównych",
  "spnocodeworkflowlibrarylist": "Biblioteki przepływów pracy bez kodu",
  "filetype_spnocodeworkflowlibrarylist": "Biblioteki przepływów pracy bez kodu",
  "spprojecttask": "Zadanie projektu",
  "filetype_spprojecttask": "Zadanie projektu",
  "spprojecttasklist": "Zadania projektu",
  "filetype_spprojecttasklist": "Zadania projektu",
  "sppublishingpageslibrarylist": "Biblioteka stron",
  "filetype_sppublishingpageslibrarylist": "Biblioteka stron",
  "spreportdocumentlibrarylist": "Biblioteka dokumentów raportów",
  "filetype_spreportdocumentlibrarylist": "Biblioteka dokumentów raportów",
  "spreportlibrarylist": "Biblioteka raportów",
  "filetype_spreportlibrarylist": "Biblioteka raportów",
  "spslidelibrarylist": "Biblioteka slajdów",
  "filetype_spslidelibrarylist": "Biblioteka slajdów",
  "sptab": "Karty",
  "filetype_sptab": "Karty",
  "sptablist": "Lista kart",
  "filetype_sptablist": "Lista kart",
  "sptranslationmanagementlibrarylist": "Biblioteka zarządzania tłumaczeniami",
  "filetype_sptranslationmanagementlibrarylist": "Biblioteka zarządzania tłumaczeniami",
  "spuserinformation": "Informacje o użytkowniku",
  "filetype_spuserinformation": "Informacje o użytkowniku",
  "spuserinformationlist": "Lista informacji o użytkowniku",
  "filetype_spuserinformationlist": "Lista informacji o użytkowniku",
  "spwikipagelibrarylist": "Biblioteka stron Wiki",
  "filetype_spwikipagelibrarylist": "Biblioteka stron Wiki",
  "spworkflowhistory": "Historia przepływu pracy",
  "filetype_spworkflowhistory": "Historia przepływu pracy",
  "spworkflowhistorylist": "Lista historii przepływu pracy",
  "filetype_spworkflowhistorylist": "Lista historii przepływu pracy",
  "spworkflowprocess": "Proces niestandardowego przepływu pracy",
  "filetype_spworkflowprocess": "Proces niestandardowego przepływu pracy",
  "spworkflowprocesslist": "Procesy niestandardowego przepływu pracy",
  "filetype_spworkflowprocesslist": "Procesy niestandardowego przepływu pracy",
  "sppublishingimageslibrarylist": "Biblioteka obrazów do opublikowania",
  "filetype_sppublishingimageslibrarylist": "Biblioteka obrazów do opublikowania",
  "spcirculation": "Obieg",
  "filetype_spcirculation": "Obieg",
  "spcirculationlist": "Obiegi",
  "filetype_spcirculationlist": "Obiegi",
  "spdashboardslibrarylist": "Biblioteka pulpitów",
  "filetype_spdashboardslibrarylist": "Biblioteka pulpitów",
  "spdataconnectionforperformancepointlibrarylist": "Biblioteka połączeń danych PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Biblioteka połączeń danych PerformancePoint",
  "sphealthreport": "Raport zdrowia",
  "filetype_sphealthreport": "Raport zdrowia",
  "sphealthreportlist": "Raporty zdrowia",
  "filetype_sphealthreportlist": "Raporty zdrowia",
  "sphealthrule": "Reguła zdrowia",
  "filetype_sphealthrule": "Reguła zdrowia",
  "sphealthrulelist": "Reguły zdrowia",
  "filetype_sphealthrulelist": "Reguły zdrowia",
  "spimedictionary": "Słownik IME",
  "filetype_spimedictionary": "Słownik IME",
  "spimedictionarylist": "Słowniki IME",
  "filetype_spimedictionarylist": "Słowniki IME",
  "spperformancepointcontent": "Zawartość PerformancePoint",
  "filetype_spperformancepointcontent": "Zawartość PerformancePoint",
  "spperformancepointcontentlist": "Zawartości PerformancePoint",
  "filetype_spperformancepointcontentlist": "Zawartości PerformancePoint",
  "spphonecallmemo": "Nota dotycząca połączenia telefonicznego",
  "filetype_spphonecallmemo": "Nota dotycząca połączenia telefonicznego",
  "spphonecallmemolist": "Noty dotyczące połączenia telefonicznego",
  "filetype_spphonecallmemolist": "Noty dotyczące połączenia telefonicznego",
  "sprecordlibrarylist": "Biblioteka rekordów",
  "filetype_sprecordlibrarylist": "Biblioteka rekordów",
  "spresource": "Zasób",
  "filetype_spresource": "Zasób",
  "spresourcelist": "Zasoby",
  "filetype_spresourcelist": "Zasoby",
  "spprocessdiagramslibrarylist": "Biblioteka schematów procesu",
  "filetype_spprocessdiagramslibrarylist": "Biblioteka schematów procesu",
  "spsitethemeslibrarylist": "Biblioteka motywów witryny",
  "filetype_spsitethemeslibrarylist": "Biblioteka motywów witryny",
  "spsolutionslibrarylist": "Biblioteka rozwiązań",
  "filetype_spsolutionslibrarylist": "Biblioteka rozwiązań",
  "spwfpublibrarylist": "Biblioteka WFPUB",
  "filetype_spwfpublibrarylist": "Biblioteka WFPUB",
  "spwhereabout": "Lokalizacja",
  "filetype_spwhereabout": "Lokalizacja",
  "spwhereaboutlist": "Lokalizacje",
  "filetype_spwhereaboutlist": "Lokalizacje",
  "spdocumentlink": "Łącze do dokumentu",
  "filetype_spdocumentlink": "Łącze do dokumentu",
  "spdocumentset": "Zestaw dokumentów",
  "filetype_spdocumentset": "Zestaw dokumentów",
  "spmicrofeedpost": "Wpis mikrokanału informacyjnego",
  "filetype_spmicrofeedpost": "Wpis mikrokanału informacyjnego",
  "spmicrofeedlist": "Mikrokanał informacyjny",
  "filetype_spmicrofeedlist": "Mikrokanał informacyjny",
  "splistfolder": "Folder listy",
  "filetype_splistfolder": "Folder listy",
  "Unknown": "Nieznany",
  "And": "I",
  "Authenticating": "Trwa uwierzytelnianie użytkownika {0}...",
  "Clear": "Wyczyść {0}",
  "CompleteQuery": "Całe zapytanie",
  "Exclude": "Wyklucz {0}",
  "EnterTag": "Dodaj znacznik",
  "Next": "Następna",
  "Last": "Ostatnia",
  "Link": "Łącze",
  "Or": "LUB",
  "Previous": "Poprzednia",
  "QueryDidntMatchAnyDocuments": "Żaden dokument nie pasuje do zapytania.",
  "QueryException": "Zapytanie zawiera błąd: {0}.",
  "Me": "Ja",
  "Remove": "Usuń",
  "Search": "Wyszukaj",
  "SearchFor": "Wyszukaj {0}",
  "ShareQuery": "Udostępnij zapytanie",
  "Preferences": "Preferencje",
  "LinkOpeningSettings": "Ustawienia dotyczące otwierania łączy",
  "Reauthenticate": "Ponownie uwierzytelnij użytkownika {0}",
  "ResultsFilteringExpression": "Wyrażenia filtrowania wyników",
  "FiltersInYourPreferences": "Filtry w preferencjach użytkownika",
  "Create": "Utwórz",
  "SearchIn": "Wyszukaj w {0}",
  "Seconds": "w {0} sekundę<pl>(sekundy/sekund)</pl>",
  "ShowingResultsOf": "Wynik<pl>i</pl> {0}<pl>-{1}</pl> z {2}",
  "ShowingResultsOfWithQuery": "Wynik<pl>i</pl> {0}<pl>-{1}</pl> z {2} za {3}",
  "SwitchTo": "Przełącz na {0}",
  "Unexclude": "Cofnij wykluczenie {0}",
  "ClearAllFilters": "Wyczyść wszystkie filtry",
  "SkipLogin": "Pomiń logowanie",
  "LoginInProgress": "Logowanie w toku, proszę czekać...",
  "Login": "Zaloguj",
  "GetStarted": "Rozpocznij",
  "More": "Więcej",
  "NMore": "{0} więcej...",
  "Less": "Mniej",
  "Settings": "Ustawienia",
  "Score": "Punktacja",
  "ScoreDescription": "Punktacja jest obliczana na podstawie liczby wystąpień oraz pozycji w zestawie wyników.",
  "Occurrences": "Wystąpienia",
  "OccurrencesDescription": "Sortuj według liczby wystąpień, tak aby wartości o najwyższej liczbie pojawiały się jako pierwsze.",
  "Label": "Etykieta",
  "Of": "z",
  "LabelDescription": "Sortuj alfabetycznie według wartości pól.",
  "Value": "Wartość",
  "ValueDescription": "Sortuj według wartości pierwszego obliczonego pola",
  "AlphaAscending": "Wartość rosnąco",
  "AlphaDescending": "Wartość malejąco",
  "ChiSquare": "Chi-kwadrat",
  "Nosort": "Bez sortowania",
  "NosortDescription": "Nie sortuj wartości. Te wartości zostaną zwrócone w kolejności losowej.",
  "RelativeFrequency": "Częstotliwość względna",
  "RelativeFrequencyDescription": "Sortuj według względnej częstotliwości występowania wartości. Mniej rozpowszechnione wartości będą pojawiały się wyżej.",
  "DateDistribution": "Rozłożenie dat",
  "Custom": "Niestandardowe",
  "CustomDescription": "Sortuj według niestandardowej kolejności",
  "ComputedField": "Pole obliczane",
  "Ascending": "Rosnąco",
  "Descending": "Malejąco",
  "noResultFor": "Brak wyników dla zapytania {0}",
  "autoCorrectedQueryTo": "Zapytanie zostało automatycznie poprawione na {0}",
  "didYouMean": "Czy chodziło Ci o: {0}",
  "SuggestedResults": "Sugerowane wyniki",
  "SuggestedQueries": "Sugerowane zapytania",
  "MostRelevantItems": "Najbardziej trafne elementy:",
  "AllItems": "Wszystkie elementy:",
  "ShowLess": "Pokaż mniej",
  "ShowMore": "Pokaż więcej",
  "HideFacet": "Ukryj Aspekt",
  "ShowFacet": "Pokaż Aspekt",
  "AndOthers": "i {0} pozostały<pl>(pozostałe/pozostałych)</pl>",
  "Others": "{0} pozostały<pl>(pozostałe/pozostałych)</pl>",
  "MostRelevantPosts": "Najbardziej trafne wpisy:",
  "CompleteThread": "Cały wątek:",
  "ShowCompleteThread": "Pokaż cały wątek",
  "ShowOnlyTopMatchingPosts": "Pokaż tylko wpisy o najwyższej zgodności",
  "MostRelevantReplies": "Najbardziej trafne odpowiedzi:",
  "AllConversation": "Cała rozmowa:",
  "ShowAllConversation": "Pokaż całą rozmowę",
  "ShowAllReplies": "Pokaż wszystkie odpowiedzi",
  "ShowOnlyMostRelevantReplies": "Pokaż tylko najbardziej trafne odpowiedzi",
  "Close": "Zamknij",
  "Open": "Otwórz",
  "OpenInOutlookWhenPossible": "Otwórz w programie Outlook (o ile to możliwe)",
  "AlwaysOpenInNewWindow": "Zawsze otwieraj wyniki w nowym oknie",
  "Quickview": "Szybki podgląd",
  "NoQuickview": "Szybki podgląd nie jest dostępny dla tego dokumentu",
  "ErrorReport": "Raport o błędach",
  "OopsError": "Wystąpił problem dotyczący serwera.",
  "ProblemPersists": "Jeśli ten problem będzie się powtarzać, skontaktuj się z administratorem.",
  "GoBack": "Powrót",
  "Reset": "Resetuj",
  "Retry": "Spróbuj ponownie",
  "MoreInfo": "Więcej informacji",
  "Username": "Nazwa użytkownika",
  "Password": "Hasło",
  "PostedBy": "Opublikował użytkownik",
  "CannotConnect": "Nie można nawiązać połączenia z adresem serwera.",
  "BadUserPass": "Hasło nie pasuje do nazwy użytkownika.",
  "PleaseEnterYourCredentials": "Proszę wpisać poświadczenia dla systemu {0}.",
  "PleaseEnterYourSearchPage": "Proszę wpisać adres URL strony wyszukiwania",
  "Collapse": "Zwiń",
  "Collapsable": "Zwijany",
  "Expand": "Rozwiń",
  "Today": "Dzisiaj",
  "Yesterday": "Wczoraj",
  "Tomorrow": "Jutro",
  "Duration": "Czas trwania: {0}",
  "IndexDuration": "Czas trwania indeksu: {0}",
  "ProxyDuration": "Czas trwania serwera proxy: {0}",
  "ClientDuration": "Czas trwania klienta: {0}",
  "Unavailable": "Niedostępny",
  "Reply": "Odpowiedz",
  "ReplyAll": "Odpowiedz wszystkim",
  "Forward": "Prześlij dalej",
  "From": "Od",
  "Caption": "Podpis",
  "Expression": "Wyrażenie",
  "Tab": "Karta",
  "Tabs": "Karty",
  "EnterExpressionName": "Wprowadź nazwę wyrażenia",
  "EnterExpressionToFilterWith": "Wprowadź wyrażenie do filtrowania wyników",
  "SelectTab": "Zaznacz kartę",
  "SelectAll": "Zaznacz wszystko",
  "PageUrl": "Adres URL strony wyszukiwania",
  "ErrorSavingToDevice": "Podczas zapisywania informacji na urządzeniu wystąpił błąd",
  "ErrorReadingFromDevice": "Podczas odczytu informacji z urządzenia wystąpił błąd",
  "AppIntro": "Skontaktuj się ze specjalistą ds. produktów, który odpowie na pytania dotyczące Coveo i pomoże Ci w wyborze odpowiedniego rozwiązania Coveo. Możesz też wypróbować interaktywne demo!",
  "TryDemo": "Wypróbuj demo",
  "ContactUs": "Skontaktuj się z nami",
  "NewToCoveo": "Jeszcze nie znasz Coveo?",
  "LetUsHelpGetStarted": "Pomożemy Ci zacząć",
  "LikesThis": "{0} lubią<sn>(lubi)</sn> to.",
  "CannotConnectSearchPage": "Nie można połączyć ze stroną wyszukiwania",
  "AreYouSureDeleteFilter": "Czy na pewno chcesz usunąć filtr {0} z wyrażeniem {1}?",
  "OnlineHelp": "Pomoc online",
  "Done": "Gotowe",
  "SaveFacetState": "Zapisz stan aspektu",
  "ClearFacetState": "Wyczyść stan aspektu",
  "DisplayingTheOnlyMessage": "Wyświetlanie jedynej wiadomości w ramach rozmowy",
  "NoNetworkConnection": "Brak połączenia sieciowego",
  "UnknownConnection": "Nieznane połączenie",
  "EthernetConnection": "Połączenie Ethernet",
  "WiFi": "Połączenie WiFi",
  "CELL": "Połączenie komórkowe",
  "CELL_2G": "Połączenie komórkowe 2G",
  "CELL_3G": "Połączenie komórkowe 3G",
  "CELL_4G": "Połączenie komórkowe 4G",
  "Relevance": "Trafność",
  "Date": "Data",
  "Amount": "Ilość",
  "QueryExceptionNoException": "Brak wyjątków",
  "QueryExceptionInvalidSyntax": "Nieprawidłowa składnia",
  "QueryExceptionInvalidCustomField": "Nieprawidłowe pole niestandardowe",
  "QueryExceptionInvalidDate": "Nieprawidłowa data",
  "QueryExceptionInvalidExactPhrase": "Nieprawidłowa dokładna fraza",
  "QueryExceptionInvalidDateOp": "Nieprawidłowy operator daty",
  "QueryExceptionInvalidNear": "Nieprawidłowy operator NEAR",
  "QueryExceptionInvalidWeightedNear": "Nieprawidłowy ważony operator NEAR",
  "QueryExceptionInvalidTerm": "Nieprawidłowy termin",
  "QueryExceptionTooManyTerms": "Zbyt wiele terminów",
  "QueryExceptionWildcardTooGeneral": "Symbol wieloznaczny zbyt ogólny",
  "QueryExceptionInvalidSortField": "Nieprawidłowe pole sortowania",
  "QueryExceptionInvalidSmallStringOp": "Nieprawidłowy operator małych ciągów",
  "QueryExceptionRequestedResultsMax": "Maksymalna liczba żądanych wyników",
  "QueryExceptionAggregatedMirrorDead": "Duplikat agregowany jest niedostępny",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Limit czasu zapytania duplikatu agregowanego",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Nieprawidłowy numer kompilacji duplikatu agregowanego",
  "QueryExceptionAggregatedMirrorCannotConnect": "Brak połączenia z duplikatem agregowanym",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Zbyt mała liczba znaków poprzedzających symbol wieloznaczny",
  "QueryExceptionSecurityInverterNotFound": "Brak inwertora zabezpieczeń",
  "QueryExceptionSecurityInverterAccessDenied": "Odmowa dostępu do inwertora zabezpieczeń",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Duplikat agregowany nie może dokonać personifikacji",
  "QueryExceptionUnexpected": "Nieoczekiwany",
  "QueryExceptionAccessDenied": "Odmowa dostępu",
  "QueryExceptionSuperUserTokenInvalid": "Nieprawidłowy token administratora",
  "QueryExceptionSuperUserTokenExpired": "Wygasły token administratora",
  "QueryExceptionLicenseQueriesExpired": "Wygasła licencja zapytań",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Nieobsługiwany token administratora licencji",
  "QueryExceptionInvalidSession": "Nieprawidłowa sesja",
  "QueryExceptionInvalidDocument": "Nieprawidłowy dokument",
  "QueryExceptionSearchDisabled": "Wyszukiwanie wyłączone",
  "FileType": "Typ pliku",
  "ShowAttachment": "Pokaż załącznik",
  "OnFeed": "w kanale użytkownika {0}.",
  "Author": "Autor",
  "NoTitle": "Brak tytułu",
  "CurrentSelections": "Bieżące zaznaczenia",
  "AllContent": "Cała zawartość",
  "CancelLastAction": "Anuluj ostatnią czynność",
  "SearchTips": "Wskazówki dotyczące wyszukiwania",
  "CheckSpelling": "Sprawdź pisownię słów kluczowych.",
  "TryUsingFewerKeywords": "Spróbuj użyć różnych lub bardziej ogólnych słów kluczowych albo zmniejsz ich liczbę.",
  "SelectFewerFilters": "Zmniejsz liczbę filtrów, aby poszerzyć zakres wyszukiwania.",
  "Document": "Dokument",
  "Time": "Godzina",
  "StartDate": "Data początkowa",
  "StartTime": "Godzina początkowa",
  "DurationTitle": "Czas trwania",
  "UserQuery": "Zapytanie użytkownika",
  "ShowUserActions": "Pokaż akcje użytkownika",
  "NoData": "Brak danych",
  "EventType": "Typ zdarzenia",
  "GoToFullSearch": "Pełne wyszukiwanie",
  "GoToEdition": "Dostosuj panel",
  "RemoveContext": "Usuń kontekst",
  "BoxAttachToCase": "Dołącz do sprawy",
  "AttachToCase": "Dołącz do sprawy",
  "Attach": "Dołącz",
  "Attached": "Dołączono",
  "Detach": "Odłącz",
  "Details": "Szczegóły",
  "AdditionalFilters": "Dodatkowe filtry",
  "SelectNonContextualSearch": "Usuń kontekst z bieżącego rekordu, aby rozszerzyć wyszukiwanie",
  "CopyPasteToSupport": "Skopiuj i wklej tę treść w wiadomości do pomocy technicznej Coveo, aby uzyskać więcej informacji.",
  "FollowQueryDescription": "Ostrzegaj mnie o zmianach w wynikach wyszukiwania tego zapytania.",
  "SearchAlerts_Panel": "Zarządzaj alertami",
  "SearchAlerts_PanelDescription": "Wyświetl i zarządzaj alertami wyszukiwania.",
  "SearchAlerts_PanelNoSearchAlerts": "Brak subskrypcji.",
  "SearchAlerts_Fail": "Usługa alertów wyszukiwania jest aktualnie niedostępna.",
  "SearchAlerts_Type": "Typ",
  "SearchAlerts_Content": "Zawartość",
  "SearchAlerts_Actions": "Akcja",
  "EmptyQuery": "<puste>",
  "SearchAlerts_Type_followQuery": "Zapytanie",
  "SearchAlerts_Type_followDocument": "Element",
  "SearchAlerts_unFollowing": "Anuluj obserwowanie",
  "SearchAlerts_follow": "Obserwuj",
  "SearchAlerts_followed": "Obserwowane",
  "SearchAlerts_followQuery": "Obserwuj zapytanie",
  "Subscription_StopFollowingQuery": "Anuluj obserwowanie zapytania",
  "SearchAlerts_Frequency": "Kiedy",
  "SubscriptionsManageSubscriptions": "Zarządzaj alertami",
  "SubscriptionsMessageFollowQuery": "Użytkownik będzie otrzymywać alerty, kiedy zapytanie <b>{0}</b> zwróci nowe lub zaktualizowane elementy.",
  "SubscriptionsMessageFollow": "Użytkownik będzie otrzymywać alerty dotyczące zmian elementu <b>{0}</b>.",
  "Expiration": "Wygaśnięcie",
  "Monthly": "Miesięcznie",
  "Daily": "Codziennie",
  "Monday": "Poniedziałek",
  "Tuesday": "Wtorek",
  "Wednesday": "Środa",
  "Thursday": "Czwartek",
  "Friday": "Piątek",
  "Saturday": "Sobota",
  "Sunday": "Niedziela",
  "NextDay": "Następny(a) {0}",
  "LastDay": "Ostatni(a) {0}",
  "StartTypingCaseForSuggestions": "Opisz swój problem, aby uzyskać możliwe rozwiązania",
  "ExportToExcel": "Eksportuj do programu Excel",
  "ExportToExcelDescription": "Eksportuj wyniki wyszukiwania do programu Excel",
  "CaseCreationNoResults": "Nie znaleziono zalecanych rozwiązań",
  "SortBy": "Sortuj wg",
  "BoxCreateArticle": "Utwórz artykuł",
  "Facets": "Fasety",
  "AdvancedSearch": "Wyszukiwanie zaawansowane",
  "Keywords": "Słowa kluczowe",
  "AllTheseWords": "Wszystkie te słowa",
  "ExactPhrase": "Dokładnie taka fraza",
  "AnyOfTheseWords": "Dowolne z tych słów",
  "NoneOfTheseWords": "Żadne z tych słów",
  "Anytime": "Zawsze",
  "InTheLast": "W ostatnich",
  "Days": "dniach",
  "Months": "miesiącach",
  "Month": "Miesiąc",
  "Year": "Rok",
  "Between": "Między",
  "Language": "Język",
  "Size": "Rozmiar",
  "AtLeast": "przynajmniej",
  "AtMost": "co najwyżej",
  "Contains": "zawiera",
  "DoesNotContain": "nie zawiera",
  "Matches": "dopasowań",
  "Bytes": "bajtów",
  "card": "Karta",
  "table": "Tabela",
  "ResultLinks": "Łącza wyników",
  "EnableQuerySyntax": "Włącz składnię zapytania",
  "On": "Wł.",
  "Off": "Wył.",
  "Automatic": "Automatyczne",
  "ResultsPerPage": "Liczba wyników na stronę",
  "PreviousMonth": "Poprzedni miesiąc",
  "NextMonth": "Następny miesiąc",
  "Title": "Tytuł",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["pl"] = merge(locales["pl"], dict);
  String["toLocaleString"].call(this, { "pl": dict });
  String["locale"] = "pl";
  String["defaultLocale"] = "en";
  Globalize.culture("pl")
}