/*
 * Globalize Culture ru
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "ru", "default", {
	name: "ru",
	englishName: "Russian",
	nativeName: "русский",
	language: "ru",
	numberFormat: {
		",": " ",
		".": ",",
		negativeInfinity: "-бесконечность",
		positiveInfinity: "бесконечность",
		percent: {
			pattern: ["-n%","n%"],
			",": " ",
			".": ","
		},
		currency: {
			pattern: ["-n$","n$"],
			",": " ",
			".": ",",
			symbol: "р."
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["воскресенье","понедельник","вторник","среда","четверг","пятница","суббота"],
				namesAbbr: ["Вс","Пн","Вт","Ср","Чт","Пт","Сб"],
				namesShort: ["Вс","Пн","Вт","Ср","Чт","Пт","Сб"]
			},
			months: {
				names: ["Январь","Февраль","Март","Апрель","Май","Июнь","Июль","Август","Сентябрь","Октябрь","Ноябрь","Декабрь",""],
				namesAbbr: ["янв","фев","мар","апр","май","июн","июл","авг","сен","окт","ноя","дек",""]
			},
			monthsGenitive: {
				names: ["января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря",""],
				namesAbbr: ["янв","фев","мар","апр","май","июн","июл","авг","сен","окт","ноя","дек",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "d MMMM yyyy 'г.'",
				t: "H:mm",
				T: "H:mm:ss",
				f: "d MMMM yyyy 'г.' H:mm",
				F: "d MMMM yyyy 'г.' H:mm:ss",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Пользователь",
  "filetype_box user": "Пользователь",
  "html": "Файл HTML",
  "filetype_html": "Файл HTML",
  "wiki": "Вики",
  "filetype_wiki": "Вики",
  "webscraperwebpage": "Веб-страница",
  "filetype_webscraperwebpage": "Веб-страница",
  "image": "Изображение",
  "filetype_image": "Изображение",
  "folder": "Папка",
  "filetype_folder": "Папка",
  "txt": "Текст",
  "filetype_txt": "Текст",
  "zip": "Файл Zip",
  "filetype_zip": "Файл Zip",
  "olefile": "Файл OLE",
  "filetype_olefile": "Файл OLE",
  "gmailmessage": "Сообщение Gmail",
  "filetype_gmailmessage": "Сообщение Gmail",
  "pdf": "Файл PDF",
  "filetype_pdf": "Файл PDF",
  "swf": "Файл Flash",
  "filetype_swf": "Файл Flash",
  "xml": "Файл XML",
  "filetype_xml": "Файл XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Канал RSS",
  "filetype_rssitem": "Канал RSS",
  "doc": "Документ",
  "filetype_doc": "Документ",
  "docx": "Документ Microsoft Word",
  "filetype_docx": "Документ Microsoft Word",
  "xls": "Документ электронной таблицы",
  "filetype_xls": "Документ электронной таблицы",
  "ppt": "Документ презентации",
  "filetype_ppt": "Документ презентации",
  "video": "Видео",
  "filetype_video": "Видео",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Текстовый документ открытого формата",
  "filetype_odt": "Текстовый документ открытого формата",
  "lithiummessage": "Сообщение Lithium",
  "filetype_lithiummessage": "Сообщение Lithium",
  "lithiumthread": "Цепочка Lithium",
  "filetype_lithiumthread": "Цепочка Lithium",
  "lithiumboard": "Панель Lithium",
  "filetype_lithiumboard": "Панель Lithium",
  "lithiumcategory": "Категория Lithium",
  "filetype_lithiumcategory": "Категория Lithium",
  "lithiumcommunity": "Сообщество Lithium",
  "filetype_lithiumcommunity": "Сообщество Lithium",
  "people": "Пользователь",
  "objecttype_people": "Пользователь",
  "message": "Сообщение",
  "objecttype_message": "Сообщение",
  "feed": "Канал RSS",
  "objecttype_feed": "Канал RSS",
  "thread": "Цепочка",
  "objecttype_thread": "Цепочка",
  "file": "Файл",
  "objecttype_file": "Файл",
  "board": "Панель",
  "objecttype_board": "Панель",
  "category": "Категория",
  "objecttype_category": "Категория",
  "account": "Учетная запись",
  "objecttype_account": "Учетная запись",
  "annotation": "Заметка",
  "objecttype_annotation": "Заметка",
  "campaign": "Кампания",
  "objecttype_campaign": "Кампания",
  "case": "Обращение",
  "objecttype_case": "Обращение",
  "contact": "Контакт",
  "objecttype_contact": "Контакт",
  "contract": "Контракт",
  "objecttype_contract": "Контракт",
  "event": "Событие",
  "objecttype_event": "Событие",
  "email": "Электронное письмо",
  "objecttype_email": "Электронное письмо",
  "goal": "Цель",
  "objecttype_goal": "Цель",
  "objecttype_incident": "Обращение",
  "invoice": "Счет",
  "objecttype_invoice": "Счет",
  "lead": "Интерес",
  "objecttype_lead": "Интерес",
  "list": "Список",
  "objecttype_list": "Маркетинговый список",
  "solution": "Решение",
  "objecttype_solution": "Решение",
  "task": "Задача",
  "objecttype_task": "Задача",
  "user": "Пользователь",
  "objecttype_user": "Пользователь",
  "attachment": "Приложение",
  "objecttype_attachment": "Приложение",
  "casecomment": "Комментарий к обращению",
  "objecttype_casecomment": "Комментарий к обращению",
  "opportunity": "Возможная сделка",
  "objecttype_opportunity": "Возможная сделка",
  "opportunityproduct": "Продукт для возможной сделки",
  "objecttype_opportunityproduct": "Продукт для возможной сделки",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Заметка",
  "objecttype_note": "Заметка",
  "product": "Продукт",
  "objecttype_product": "Продукт",
  "partner": "Партнёр",
  "objecttype_partner": "Партнёр",
  "queueitem": "Элемент в очереди",
  "objecttype_queueitem": "Элемент в очереди",
  "quote": "Цитата",
  "objecttype_quote": "Цитата",
  "salesliterature": "Литература по продажам",
  "objecttype_salesliterature": "Литература по продажам",
  "salesorder": "Заказ на продажу",
  "objecttype_salesorder": "Заказ на продажу",
  "service": "Сервис",
  "objecttype_service": "Сервис",
  "socialprofile": "Профиль в социальной сети",
  "objecttype_socialprofile": "Профиль в социальной сети",
  "kbdocumentation": "Документация",
  "objecttype_kbdocumentation": "Документация",
  "kbtechnicalarticle": "Документация",
  "objecttype_kbtechnicalarticle": "Документация",
  "kbsolution": "Решение",
  "objecttype_kbsolution": "Решение",
  "kbknowledgearticle": "Статья базы знаний",
  "objecttype_kbknowledgearticle": "Статья базы знаний",
  "kbattachment": "Приложение",
  "objecttype_kbattachment": "Приложение",
  "kbarticle": "Статья",
  "objecttype_kbarticle": "Статья",
  "kbarticlecomment": "Комментарий к статье",
  "objecttype_kbarticlecomment": "Комментарий к статье",
  "knowledgearticle": "Статья базы знаний",
  "objecttype_knowledgearticle": "Статья базы знаний",
  "topic": "Тема",
  "objecttype_topic": "Тема",
  "dashboard": "Информационная панель",
  "objecttype_dashboard": "Информационная панель",
  "contentversion": "Документ",
  "objecttype_contentversion": "Документ",
  "collaborationgroup": "Группа сотрудничества",
  "objecttype_collaborationgroup": "Группа сотрудничества",
  "spportal": "Портал",
  "filetype_spportal": "Портал",
  "spsite": "Сайт",
  "filetype_spsite": "Сайт",
  "spuserprofile": "Пользователь SharePoint",
  "filetype_spuserprofile": "Пользователь SharePoint",
  "sparea": "Область",
  "filetype_sparea": "Область",
  "spannouncement": "Объявление",
  "filetype_spannouncement": "Объявление",
  "spannouncementlist": "Объявления",
  "filetype_spannouncementlist": "Объявления",
  "spcontact": "Контакт",
  "filetype_spcontact": "Контакт",
  "spcontactlist": "Контакты",
  "filetype_spcontactlist": "Контакты",
  "spcustomlist": "Произвольный список",
  "filetype_spcustomlist": "Произвольный список",
  "spdiscussionboard": "Доска обсуждений",
  "filetype_spdiscussionboard": "Доска обсуждений",
  "spdiscussionboardlist": "Доски обсуждений",
  "filetype_spdiscussionboardlist": "Доски обсуждений",
  "spdocumentlibrarylist": "Библиотека документов",
  "filetype_spdocumentlibrarylist": "Библиотека документов",
  "spevent": "Событие",
  "filetype_spevent": "Событие",
  "speventlist": "События",
  "filetype_speventlist": "События",
  "spformlibrarylist": "Библиотека форм",
  "filetype_spformlibrarylist": "Библиотека форм",
  "spissue": "Проблема",
  "filetype_spissue": "Проблема",
  "spissuelist": "Проблемы",
  "filetype_spissuelist": "Проблемы",
  "splink": "Ссылка",
  "filetype_splink": "Ссылка",
  "splinklist": "Ссылки",
  "filetype_splinklist": "Ссылки",
  "sppicturelibrarylist": "Библиотека изображений",
  "filetype_sppicturelibrarylist": "Библиотека изображений",
  "spsurvey": "Опрос",
  "filetype_spsurvey": "Опрос",
  "spsurveylist": "Опросы",
  "filetype_spsurveylist": "Опросы",
  "sptask": "Задача",
  "filetype_sptask": "Задача",
  "sptasklist": "Задачи",
  "filetype_sptasklist": "Задачи",
  "spagenda": "Повестка дня",
  "filetype_spagenda": "Повестка дня",
  "spagendalist": "Повестки дня",
  "filetype_spagendalist": "Повестки дня",
  "spattendee": "Участник",
  "filetype_spattendee": "Участник",
  "spattendeelist": "Участники",
  "filetype_spattendeelist": "Участники",
  "spcustomgridlist": "Пользовательские сетки",
  "filetype_spcustomgridlist": "Пользовательские сетки",
  "spdecision": "Решение",
  "filetype_spdecision": "Решение",
  "spdecisionlist": "Решения",
  "filetype_spdecisionlist": "Решения",
  "spobjective": "Цель",
  "filetype_spobjective": "Цель",
  "spobjectivelist": "Цели",
  "filetype_spobjectivelist": "Цели",
  "sptextbox": "Текстовое поле",
  "filetype_sptextbox": "Текстовое поле",
  "sptextboxlist": "Список в текстовом поле",
  "filetype_sptextboxlist": "Список в текстовом поле",
  "spthingstobring": "Необходимая вещь",
  "filetype_spthingstobring": "Необходимая вещь",
  "spthingstobringlist": "Необходимые вещи",
  "filetype_spthingstobringlist": "Необходимые вещи",
  "sparealisting": "Вхождение в область",
  "filetype_sparealisting": "Вхождение в область",
  "spmeetingserie": "Ряд собраний",
  "filetype_spmeetingserie": "Ряд собраний",
  "spmeetingserielist": "Список ряда собраний",
  "filetype_spmeetingserielist": "Список ряда собраний",
  "spsitedirectory": "Элемент каталога сайтов",
  "filetype_spsitedirectory": "Элемент каталога сайтов",
  "spsitedirectorylist": "Каталог сайтов",
  "filetype_spsitedirectorylist": "Каталог сайтов",
  "spdatasource": "Источник данных",
  "filetype_spdatasource": "Источник данных",
  "spdatasourcelist": "Список источников данных",
  "filetype_spdatasourcelist": "Список источников данных",
  "splisttemplatecataloglist": "Коллекция шаблонов списков",
  "filetype_splisttemplatecataloglist": "Коллекция шаблонов списков",
  "spwebpartcataloglist": "Коллекция веб-частей",
  "filetype_spwebpartcataloglist": "Коллекция веб-частей",
  "spwebtemplatecataloglist": "Коллекция шаблонов сайтов",
  "filetype_spwebtemplatecataloglist": "Коллекция шаблонов сайтов",
  "spworkspacepagelist": "Страницы рабочей области",
  "filetype_spworkspacepagelist": "Страницы рабочей области",
  "spunknownlist": "Настраиваемый список",
  "filetype_spunknownlist": "Настраиваемый список",
  "spadministratortask": "Задача администратора",
  "filetype_spadministratortask": "Задача администратора",
  "spadministratortasklist": "Задачи администратора",
  "filetype_spadministratortasklist": "Задачи администратора",
  "spareadocumentlibrarylist": "Библиотека документов области",
  "filetype_spareadocumentlibrarylist": "Библиотека документов области",
  "spblogcategory": "Категория блога",
  "filetype_spblogcategory": "Категория блога",
  "spblogcategorylist": "Категории блога",
  "filetype_spblogcategorylist": "Категории блога",
  "spblogcomment": "Комментарий в блоге",
  "filetype_spblogcomment": "Комментарий в блоге",
  "spblogcommentlist": "Комментарии в блоге",
  "filetype_spblogcommentlist": "Комментарии в блоге",
  "spblogpost": "Запись в блоге",
  "filetype_spblogpost": "Запись в блоге",
  "spblogpostlist": "Записи в блоге",
  "filetype_spblogpostlist": "Записи в блоге",
  "spdataconnectionlibrarylist": "Библиотека подключений к данным",
  "filetype_spdataconnectionlibrarylist": "Библиотека подключений к данным",
  "spdistributiongroup": "Группа рассылки",
  "filetype_spdistributiongroup": "Группа рассылки",
  "spdistributiongrouplist": "Группы рассылки",
  "filetype_spdistributiongrouplist": "Группы рассылки",
  "spipfslist": "Серверы форм InfoPath",
  "filetype_spipfslist": "Серверы форм InfoPath",
  "spkeyperformanceindicator": "Ключевой показатель эффективности",
  "filetype_spkeyperformanceindicator": "Ключевой показатель эффективности",
  "spkeyperformanceindicatorlist": "Ключевые показатели эффективности",
  "filetype_spkeyperformanceindicatorlist": "Ключевые показатели эффективности",
  "splanguagesandtranslator": "Языки и переводчик",
  "filetype_splanguagesandtranslator": "Языки и переводчик",
  "splanguagesandtranslatorlist": "Языки и переводчики",
  "filetype_splanguagesandtranslatorlist": "Языки и переводчики",
  "spmasterpagescataloglist": "Коллекция главных страниц",
  "filetype_spmasterpagescataloglist": "Коллекция главных страниц",
  "spnocodeworkflowlibrarylist": "Библиотеки рабочих процессов без кода",
  "filetype_spnocodeworkflowlibrarylist": "Библиотеки рабочих процессов без кода",
  "spprojecttask": "Задача проекта",
  "filetype_spprojecttask": "Задача проекта",
  "spprojecttasklist": "Задачи проекта",
  "filetype_spprojecttasklist": "Задачи проекта",
  "sppublishingpageslibrarylist": "Библиотека страниц",
  "filetype_sppublishingpageslibrarylist": "Библиотека страниц",
  "spreportdocumentlibrarylist": "Библиотека документов отчетов",
  "filetype_spreportdocumentlibrarylist": "Библиотека документов отчетов",
  "spreportlibrarylist": "Библиотека отчетов",
  "filetype_spreportlibrarylist": "Библиотека отчетов",
  "spslidelibrarylist": "Библиотека слайдов",
  "filetype_spslidelibrarylist": "Библиотека слайдов",
  "sptab": "Вкладки",
  "filetype_sptab": "Вкладки",
  "sptablist": "Список вкладок",
  "filetype_sptablist": "Список вкладок",
  "sptranslationmanagementlibrarylist": "Многоязыковая библиотека",
  "filetype_sptranslationmanagementlibrarylist": "Многоязыковая библиотека",
  "spuserinformation": "Сведения о пользователе",
  "filetype_spuserinformation": "Сведения о пользователе",
  "spuserinformationlist": "Список сведений о пользователе",
  "filetype_spuserinformationlist": "Список сведений о пользователе",
  "spwikipagelibrarylist": "Библиотека вики-страниц",
  "filetype_spwikipagelibrarylist": "Библиотека вики-страниц",
  "spworkflowhistory": "Журнал рабочего процесса",
  "filetype_spworkflowhistory": "Журнал рабочего процесса",
  "spworkflowhistorylist": "Список журналов рабочего процесса",
  "filetype_spworkflowhistorylist": "Список журналов рабочего процесса",
  "spworkflowprocess": "Пользовательский рабочий процесс",
  "filetype_spworkflowprocess": "Пользовательский рабочий процесс",
  "spworkflowprocesslist": "Пользовательские рабочие процессы",
  "filetype_spworkflowprocesslist": "Пользовательские рабочие процессы",
  "sppublishingimageslibrarylist": "Библиотека изображений публикации",
  "filetype_sppublishingimageslibrarylist": "Библиотека изображений публикации",
  "spcirculation": "Циркуляр",
  "filetype_spcirculation": "Циркуляр",
  "spcirculationlist": "Циркуляры",
  "filetype_spcirculationlist": "Циркуляры",
  "spdashboardslibrarylist": "Библиотека панелей мониторинга",
  "filetype_spdashboardslibrarylist": "Библиотека панелей мониторинга",
  "spdataconnectionforperformancepointlibrarylist": "Библиотека подключений к данным PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Библиотека подключений к данным PerformancePoint",
  "sphealthreport": "Отчет о работоспособности",
  "filetype_sphealthreport": "Отчет о работоспособности",
  "sphealthreportlist": "Отчеты о работоспособности",
  "filetype_sphealthreportlist": "Отчеты о работоспособности",
  "sphealthrule": "Правило работоспособности",
  "filetype_sphealthrule": "Правило работоспособности",
  "sphealthrulelist": "Правила работоспособности",
  "filetype_sphealthrulelist": "Правила работоспособности",
  "spimedictionary": "Словарь IME",
  "filetype_spimedictionary": "Словарь IME",
  "spimedictionarylist": "Словари IME",
  "filetype_spimedictionarylist": "Словари IME",
  "spperformancepointcontent": "Содержание PerformancePoint",
  "filetype_spperformancepointcontent": "Содержание PerformancePoint",
  "spperformancepointcontentlist": "Содержание PerformancePoint",
  "filetype_spperformancepointcontentlist": "Содержание PerformancePoint",
  "spphonecallmemo": "Памятка телефонного вызова",
  "filetype_spphonecallmemo": "Памятка телефонного вызова",
  "spphonecallmemolist": "Памятки телефонных вызовов",
  "filetype_spphonecallmemolist": "Памятки телефонных вызовов",
  "sprecordlibrarylist": "Библиотека записей",
  "filetype_sprecordlibrarylist": "Библиотека записей",
  "spresource": "Ресурс",
  "filetype_spresource": "Ресурс",
  "spresourcelist": "Ресурсы",
  "filetype_spresourcelist": "Ресурсы",
  "spprocessdiagramslibrarylist": "Библиотека схем процессов",
  "filetype_spprocessdiagramslibrarylist": "Библиотека схем процессов",
  "spsitethemeslibrarylist": "Библиотека тем сайта",
  "filetype_spsitethemeslibrarylist": "Библиотека тем сайта",
  "spsolutionslibrarylist": "Библиотека решений",
  "filetype_spsolutionslibrarylist": "Библиотека решений",
  "spwfpublibrarylist": "Библиотека WFPUB",
  "filetype_spwfpublibrarylist": "Библиотека WFPUB",
  "spwhereabout": "Местонахождение",
  "filetype_spwhereabout": "Местонахождение",
  "spwhereaboutlist": "Местонахождения",
  "filetype_spwhereaboutlist": "Местонахождения",
  "spdocumentlink": "Ссылка на документ",
  "filetype_spdocumentlink": "Ссылка на документ",
  "spdocumentset": "Набор документов",
  "filetype_spdocumentset": "Набор документов",
  "spmicrofeedpost": "Запись микроканала",
  "filetype_spmicrofeedpost": "Запись микроканала",
  "spmicrofeedlist": "Микроканал",
  "filetype_spmicrofeedlist": "Микроканал",
  "splistfolder": "Содержимое папки",
  "filetype_splistfolder": "Содержимое папки",
  "Unknown": "Неизвестно",
  "And": "И",
  "Authenticating": "Аутентификация {0}...",
  "Clear": "Очистить {0}",
  "CompleteQuery": "Полная строка запроса",
  "Exclude": "Исключить {0}",
  "EnterTag": "Добавить тег",
  "Next": "Следующая",
  "Last": "Последняя",
  "Link": "Ссылка",
  "Or": "ИЛИ",
  "Previous": "Предыдущая",
  "QueryDidntMatchAnyDocuments": "Ни один из документов не отвечает вашему запросу.",
  "QueryException": "В вашем запросе содержится ошибка: {0}.",
  "Me": "Я",
  "Remove": "Удалить",
  "Search": "Искать",
  "SearchFor": "Найти {0}",
  "ShareQuery": "Поделиться запросом",
  "Preferences": "Личные параметры настройки",
  "LinkOpeningSettings": "Параметры настройки открытия ссылок",
  "Reauthenticate": "Повторная аутентификация {0}",
  "ResultsFilteringExpression": "Результаты фильтрации поисковых фраз",
  "FiltersInYourPreferences": "Фильтры в личных параметрах настройки",
  "Create": "Создать",
  "SearchIn": "Найти в {0}",
  "Seconds": "через {0} <sn>секунду</sn><pl>секунд</pl>",
  "ShowingResultsOf": "Результат<pl>ы</pl> {0}<pl>-{1}</pl> из {2}",
  "ShowingResultsOfWithQuery": "Результат<pl>ы</pl> {0}<pl>-{1}</pl> из {2} на {3}",
  "SwitchTo": "Переключиться на {0}",
  "Unexclude": "Убрать исключение {0}",
  "ClearAllFilters": "Сброс всех фильтров",
  "SkipLogin": "Пропустить авторизацию",
  "LoginInProgress": "Выполняется авторизация, пожалуйста, подождите ...",
  "Login": "Авторизоваться",
  "GetStarted": "Начать",
  "More": "Больше",
  "NMore": "еще {0}…",
  "Less": "Меньше",
  "Settings": "Параметры настройки",
  "Score": "Показатель",
  "ScoreDescription": "Показатель рассчитывается исходя из количества результатов, а также из положения в перечне результатов.",
  "Occurrences": "Совпадения",
  "OccurrencesDescription": "Сортировать по количеству совпадений - в порядке убывания.",
  "Label": "Ярлык",
  "Of": "из",
  "LabelDescription": "Сортировать в алфавитном порядке по значениям поля.",
  "Value": "Значение",
  "ValueDescription": "Сортировать по значениям первого расчетного поля",
  "AlphaAscending": "Возрастающее значение",
  "AlphaDescending": "Убывающее значение",
  "ChiSquare": "Хи-квадрат",
  "Nosort": "Не отсортировано",
  "NosortDescription": "Не сортировать значения. Они будут показаны в произвольном порядке.",
  "RelativeFrequency": "Относительная частота",
  "RelativeFrequencyDescription": "Сортировать по значению относительной частоты. Нечастотные значения отобразятся сверху",
  "DateDistribution": "Дата распределения",
  "Custom": "Пользовательский",
  "CustomDescription": "Сортировать в специальном порядке",
  "ComputedField": "Расчетное поле",
  "Ascending": "По возрастанию",
  "Descending": "По убыванию",
  "noResultFor": "Нет результатов по {0}",
  "autoCorrectedQueryTo": "Запрос автоматически исправлен на {0}",
  "didYouMean": "Вы имели ввиду: {0}",
  "SuggestedResults": "Предлагаемые результаты",
  "SuggestedQueries": "Предлагаемые запросы",
  "MostRelevantItems": "Наиболее релевантные пункты:",
  "AllItems": "Все пункты:",
  "ShowLess": "Показывать меньше",
  "ShowMore": "Показывать больше",
  "HideFacet": "Скрыть ячейку",
  "ShowFacet": "Показать ячейку",
  "AndOthers": "и {0} другой (другие)",
  "Others": "{0} другой (другие)",
  "MostRelevantPosts": "Наиболее релевантные сообщения:",
  "CompleteThread": "Вся ветка обсуждения:",
  "ShowCompleteThread": "Показать всю ветку обсуждения",
  "ShowOnlyTopMatchingPosts": "Показать только верхние подходящие сообщения",
  "MostRelevantReplies": "Наиболее релевантные ответы:",
  "AllConversation": "Все диалоги:",
  "ShowAllConversation": "Показать весь диалог",
  "ShowAllReplies": "Показать все ответы",
  "ShowOnlyMostRelevantReplies": "Показывать только наиболее релевантные ответы",
  "Close": "Закрыть",
  "Open": "Открыть",
  "OpenInOutlookWhenPossible": "Открывать в Outlook (когда возможно)",
  "AlwaysOpenInNewWindow": "Всегда открывать результаты в новом окне",
  "Quickview": "Быстрый просмотр",
  "NoQuickview": "Быстрый просмотр для этого документа недоступен",
  "ErrorReport": "Сообщение об ошибке",
  "OopsError": "Что-то случилось с сервером.",
  "ProblemPersists": "При постоянном возникновении этой проблемы обратитесь к администратору.",
  "GoBack": "Назад",
  "Reset": "Перезагрузка",
  "Retry": "Повторить",
  "MoreInfo": "Дополнительная информация",
  "Username": "Имя пользователя",
  "Password": "Пароль",
  "PostedBy": "Опубликовано",
  "CannotConnect": "Невозможно подключиться к адресу сервера",
  "BadUserPass": "Пароль не соответствует имени пользователя",
  "PleaseEnterYourCredentials": "Введите свои учетные данные для {0}.",
  "PleaseEnterYourSearchPage": "Пожалуйста, введите URL-адрес искомой страницы",
  "Collapse": "Свернуть",
  "Collapsable": "Свертываемый",
  "Expand": "Расширить",
  "Today": "Сегодня",
  "Yesterday": "Вчера",
  "Tomorrow": "Завтра",
  "Duration": "Продолжительность: {0}",
  "IndexDuration": "Продолжительность индекса: {0}",
  "ProxyDuration": "Продолжительность прокси: {0}",
  "ClientDuration": "Продолжительность клиента: {0}",
  "Unavailable": "Недоступно",
  "Reply": "Ответить",
  "ReplyAll": "Ответить всем",
  "Forward": "Переслать",
  "From": "От",
  "Caption": "Заголовок",
  "Expression": "Поисковая фраза",
  "Tab": "Вкладка",
  "Tabs": "Вкладки",
  "EnterExpressionName": "Введите фразу",
  "EnterExpressionToFilterWith": "Введите фразу для фильтрации результатов",
  "SelectTab": "Выбрать вкладку",
  "SelectAll": "Выбрать все",
  "PageUrl": "Найти URL-адрес страницы",
  "ErrorSavingToDevice": "Ошибка при сохранении информации на ваше устройство",
  "ErrorReadingFromDevice": "Ошибка при чтении информации с вашего устройства",
  "AppIntro": "Пообщайтесь со специалистом по продукции, который сможет ответить на ваши вопросы о Conveo и поможет решить, какое решение Coveo вам подойдет. Или попробуйте демоверсию с автоматическим обновлением!",
  "TryDemo": "Попробовать демоверсию",
  "ContactUs": "Связаться с нами",
  "NewToCoveo": "Не знакомы с Coveo?",
  "LetUsHelpGetStarted": "Позвольте помочь вам приступить к работе",
  "LikesThis": "{0} нравится<sn> нравится</sn> это.",
  "CannotConnectSearchPage": "Не удалось подключиться к вашей странице поиска",
  "AreYouSureDeleteFilter": "Вы действительно желаете удалить фильтр {0} с поисковой фразой {1}",
  "OnlineHelp": "Онлайн справка",
  "Done": "Выполнено",
  "SaveFacetState": "Сохранить формат данной ячейки",
  "ClearFacetState": "Очистить формат ячейки",
  "DisplayingTheOnlyMessage": "Отображение единственного сообщения в данном диалоге",
  "NoNetworkConnection": "Нет сетевых подключений",
  "UnknownConnection": "Неизвестное подключение",
  "EthernetConnection": "Подключение через Ethernet",
  "WiFi": "Подключение через WiFi",
  "CELL": "Мобильное подключение",
  "CELL_2G": "Мобильное подключение 2G",
  "CELL_3G": "Мобильное подключение 3G",
  "CELL_4G": "Мобильное подключение 4G",
  "Relevance": "Релевантность",
  "Date": "Дата",
  "Amount": "Количество",
  "QueryExceptionNoException": "Нет исключений",
  "QueryExceptionInvalidSyntax": "Недопустимый синтаксис",
  "QueryExceptionInvalidCustomField": "Недопустимое расчетное поле",
  "QueryExceptionInvalidDate": "Недопустимая дата",
  "QueryExceptionInvalidExactPhrase": "Недопустимая точная фраза",
  "QueryExceptionInvalidDateOp": "Недопустимый оператор дат",
  "QueryExceptionInvalidNear": "Недопустимый оператор NEAR",
  "QueryExceptionInvalidWeightedNear": "Недопустимый взвешенный NEAR",
  "QueryExceptionInvalidTerm": "Недопустимый термин",
  "QueryExceptionTooManyTerms": "Слишком много терминов",
  "QueryExceptionWildcardTooGeneral": "Слишком общий специальный символ",
  "QueryExceptionInvalidSortField": "Недопустимое поле сортировки",
  "QueryExceptionInvalidSmallStringOp": "Недопустимый строковый оператор",
  "QueryExceptionRequestedResultsMax": "Максимум запрашиваемых результатов",
  "QueryExceptionAggregatedMirrorDead": "Уделенное зеркало отключено",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Время ожидания запроса через уделенное зеркало",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Недопустимый текущий номер удаленного зеркала",
  "QueryExceptionAggregatedMirrorCannotConnect": "Интегральное зеркало невозможно подключить",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Недостаточное количество ведущих символов до специального символа",
  "QueryExceptionSecurityInverterNotFound": "Инвертор безопасности не найден",
  "QueryExceptionSecurityInverterAccessDenied": "В доступе к инвертору безопасности отказано",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Уделенное зеркало не может отправлять запросы от имени пользователя",
  "QueryExceptionUnexpected": "Непредвиденный",
  "QueryExceptionAccessDenied": "В доступе отказано",
  "QueryExceptionSuperUserTokenInvalid": "Право доступа привилегированного пользователя недействительно",
  "QueryExceptionSuperUserTokenExpired": "Право доступа привилегированного пользователя истекло",
  "QueryExceptionLicenseQueriesExpired": "Лицензия на осуществление запросов истекла",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Лицензия доступа привилегированного пользователя не поддерживается",
  "QueryExceptionInvalidSession": "Сессия недействительна",
  "QueryExceptionInvalidDocument": "Недействительный документ",
  "QueryExceptionSearchDisabled": "Поиск отключен",
  "FileType": "Тип файла",
  "ShowAttachment": "Показать приложение",
  "OnFeed": "на {0} исходный материал.",
  "Author": "Автор",
  "NoTitle": "Без названия",
  "CurrentSelections": "Текущие результаты выбора",
  "AllContent": "Все содержание",
  "CancelLastAction": "Отменить последнее действие",
  "SearchTips": "Найти подсказку",
  "CheckSpelling": "Проверьте правописание ключевых слов",
  "TryUsingFewerKeywords": "Попытайтесь использовать меньшее количество, другие и более общие ключевые слова.",
  "SelectFewerFilters": "Сократите количество фильтров для расширения поиска.",
  "Document": "Документ",
  "Time": "Время",
  "StartDate": "Дата начала",
  "StartTime": "Время начала",
  "DurationTitle": "Продолжительность",
  "UserQuery": "Запрос пользователя",
  "ShowUserActions": "Показывать действия пользователя",
  "NoData": "Нет доступных данных",
  "EventType": "Тип события",
  "GoToFullSearch": "Полный поиск",
  "GoToEdition": "Настроить панель",
  "RemoveContext": "Удалить контекст",
  "BoxAttachToCase": "Приложить к обращению",
  "AttachToCase": "Приложить к обращению",
  "Attach": "Приложить",
  "Attached": "Приложено",
  "Detach": "Удалить",
  "Details": "Подробности",
  "AdditionalFilters": "Дополнительные фильтры",
  "SelectNonContextualSearch": "Удалить контекст из текущей записи, чтобы расширить поиск",
  "CopyPasteToSupport": "Для получения дополнительной информации скопируйте и вставьте это сообщение для службы поддержки Coveo.",
  "FollowQueryDescription": "Оповещать меня об изменениях в результатах поиска по этому запросу.",
  "SearchAlerts_Panel": "Управление оповещениями",
  "SearchAlerts_PanelDescription": "Просматривайте и управляйте поиском оповещений.",
  "SearchAlerts_PanelNoSearchAlerts": "У вас нет подписок.",
  "SearchAlerts_Fail": "Служба поиска оповещений сейчас недоступна.",
  "SearchAlerts_Type": "Тип",
  "SearchAlerts_Content": "Содержание",
  "SearchAlerts_Actions": "Действие",
  "EmptyQuery": "<пусто>",
  "SearchAlerts_Type_followQuery": "Запрос",
  "SearchAlerts_Type_followDocument": "Элемент",
  "SearchAlerts_unFollowing": "Отменить подписку",
  "SearchAlerts_follow": "Подписаться",
  "SearchAlerts_followed": "Подписка оформлена",
  "SearchAlerts_followQuery": "Подписаться на запрос",
  "Subscription_StopFollowingQuery": "Отменить подписку на запрос",
  "SearchAlerts_Frequency": "Когда",
  "SubscriptionsManageSubscriptions": "Управление оповещениями",
  "SubscriptionsMessageFollowQuery": "Вы будете оповещены, когда по запросу <b>{0}</b> будут выданы новые или обновленные элементы.",
  "SubscriptionsMessageFollow": "Вы будете оповещены об изменениях элемента <b>{0}</b>.",
  "Expiration": "Срок действия",
  "Monthly": "Ежемесячно",
  "Daily": "Ежедневно",
  "Monday": "Понедельник",
  "Tuesday": "Вторник",
  "Wednesday": "Среда",
  "Thursday": "Четверг",
  "Friday": "Пятница",
  "Saturday": "Суббота",
  "Sunday": "Воскресенье",
  "NextDay": "В следующий (-ую, -ее) {0}",
  "LastDay": "В прошлый (-ую, ое) {0}",
  "StartTypingCaseForSuggestions": "Опишите свою проблему, чтобы увидеть возможные решения",
  "ExportToExcel": "Экспортировать в Excel",
  "ExportToExcelDescription": "Экспортировать результаты поиска в Excel",
  "CaseCreationNoResults": "Рекомендованные решения не найдены",
  "SortBy": "Сортировать по",
  "BoxCreateArticle": "Создать статью",
  "Facets": "Аспекты",
  "AdvancedSearch": "Расширенный поиск",
  "Keywords": "Ключевые слова",
  "AllTheseWords": "Все эти слова",
  "ExactPhrase": "Эта точная фраза",
  "AnyOfTheseWords": "Любое из этих слов",
  "NoneOfTheseWords": "Ни одно из этих слов",
  "Anytime": "В любое время",
  "InTheLast": "За последние",
  "Days": "день (дня, дней)",
  "Months": "месяца(-ев)",
  "Month": "Месяц",
  "Year": "Год",
  "Between": "Между",
  "Language": "Язык",
  "Size": "Размер",
  "AtLeast": "минимум",
  "AtMost": "максимум",
  "Contains": "содержит",
  "DoesNotContain": "не содержит",
  "Matches": "совпадения(-й)",
  "Bytes": "байт(-а, -ов)",
  "card": "Карта",
  "table": "Таблица",
  "ResultLinks": "Ссылки на результаты",
  "EnableQuerySyntax": "Включить синтаксис запросов",
  "On": "Включено",
  "Off": "Выключено",
  "Automatic": "Автоматически",
  "ResultsPerPage": "Результатов на странице",
  "PreviousMonth": "Предыдущий месяц",
  "NextMonth": "Следующий месяц",
  "Title": "Заголовок",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["ru"] = merge(locales["ru"], dict);
  String["toLocaleString"].call(this, { "ru": dict });
  String["locale"] = "ru";
  String["defaultLocale"] = "en";
  Globalize.culture("ru")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Пользователь",
  "filetype_box user": "Пользователь",
  "html": "Файл HTML",
  "filetype_html": "Файл HTML",
  "wiki": "Вики",
  "filetype_wiki": "Вики",
  "webscraperwebpage": "Веб-страница",
  "filetype_webscraperwebpage": "Веб-страница",
  "image": "Изображение",
  "filetype_image": "Изображение",
  "folder": "Папка",
  "filetype_folder": "Папка",
  "txt": "Текст",
  "filetype_txt": "Текст",
  "zip": "Файл Zip",
  "filetype_zip": "Файл Zip",
  "olefile": "Файл OLE",
  "filetype_olefile": "Файл OLE",
  "gmailmessage": "Сообщение Gmail",
  "filetype_gmailmessage": "Сообщение Gmail",
  "pdf": "Файл PDF",
  "filetype_pdf": "Файл PDF",
  "swf": "Файл Flash",
  "filetype_swf": "Файл Flash",
  "xml": "Файл XML",
  "filetype_xml": "Файл XML",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "Канал RSS",
  "filetype_rssitem": "Канал RSS",
  "doc": "Документ",
  "filetype_doc": "Документ",
  "docx": "Документ Microsoft Word",
  "filetype_docx": "Документ Microsoft Word",
  "xls": "Документ электронной таблицы",
  "filetype_xls": "Документ электронной таблицы",
  "ppt": "Документ презентации",
  "filetype_ppt": "Документ презентации",
  "video": "Видео",
  "filetype_video": "Видео",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Текстовый документ открытого формата",
  "filetype_odt": "Текстовый документ открытого формата",
  "lithiummessage": "Сообщение Lithium",
  "filetype_lithiummessage": "Сообщение Lithium",
  "lithiumthread": "Цепочка Lithium",
  "filetype_lithiumthread": "Цепочка Lithium",
  "lithiumboard": "Панель Lithium",
  "filetype_lithiumboard": "Панель Lithium",
  "lithiumcategory": "Категория Lithium",
  "filetype_lithiumcategory": "Категория Lithium",
  "lithiumcommunity": "Сообщество Lithium",
  "filetype_lithiumcommunity": "Сообщество Lithium",
  "people": "Пользователь",
  "objecttype_people": "Пользователь",
  "message": "Сообщение",
  "objecttype_message": "Сообщение",
  "feed": "Канал RSS",
  "objecttype_feed": "Канал RSS",
  "thread": "Цепочка",
  "objecttype_thread": "Цепочка",
  "file": "Файл",
  "objecttype_file": "Файл",
  "board": "Панель",
  "objecttype_board": "Панель",
  "category": "Категория",
  "objecttype_category": "Категория",
  "account": "Учетная запись",
  "objecttype_account": "Учетная запись",
  "annotation": "Заметка",
  "objecttype_annotation": "Заметка",
  "campaign": "Кампания",
  "objecttype_campaign": "Кампания",
  "case": "Обращение",
  "objecttype_case": "Обращение",
  "contact": "Контакт",
  "objecttype_contact": "Контакт",
  "contract": "Контракт",
  "objecttype_contract": "Контракт",
  "event": "Событие",
  "objecttype_event": "Событие",
  "email": "Электронное письмо",
  "objecttype_email": "Электронное письмо",
  "goal": "Цель",
  "objecttype_goal": "Цель",
  "objecttype_incident": "Обращение",
  "invoice": "Счет",
  "objecttype_invoice": "Счет",
  "lead": "Интерес",
  "objecttype_lead": "Интерес",
  "list": "Список",
  "objecttype_list": "Маркетинговый список",
  "solution": "Решение",
  "objecttype_solution": "Решение",
  "task": "Задача",
  "objecttype_task": "Задача",
  "user": "Пользователь",
  "objecttype_user": "Пользователь",
  "attachment": "Приложение",
  "objecttype_attachment": "Приложение",
  "casecomment": "Комментарий к обращению",
  "objecttype_casecomment": "Комментарий к обращению",
  "opportunity": "Возможная сделка",
  "objecttype_opportunity": "Возможная сделка",
  "opportunityproduct": "Продукт для возможной сделки",
  "objecttype_opportunityproduct": "Продукт для возможной сделки",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Заметка",
  "objecttype_note": "Заметка",
  "product": "Продукт",
  "objecttype_product": "Продукт",
  "partner": "Партнёр",
  "objecttype_partner": "Партнёр",
  "queueitem": "Элемент в очереди",
  "objecttype_queueitem": "Элемент в очереди",
  "quote": "Цитата",
  "objecttype_quote": "Цитата",
  "salesliterature": "Литература по продажам",
  "objecttype_salesliterature": "Литература по продажам",
  "salesorder": "Заказ на продажу",
  "objecttype_salesorder": "Заказ на продажу",
  "service": "Сервис",
  "objecttype_service": "Сервис",
  "socialprofile": "Профиль в социальной сети",
  "objecttype_socialprofile": "Профиль в социальной сети",
  "kbdocumentation": "Документация",
  "objecttype_kbdocumentation": "Документация",
  "kbtechnicalarticle": "Документация",
  "objecttype_kbtechnicalarticle": "Документация",
  "kbsolution": "Решение",
  "objecttype_kbsolution": "Решение",
  "kbknowledgearticle": "Статья базы знаний",
  "objecttype_kbknowledgearticle": "Статья базы знаний",
  "kbattachment": "Приложение",
  "objecttype_kbattachment": "Приложение",
  "kbarticle": "Статья",
  "objecttype_kbarticle": "Статья",
  "kbarticlecomment": "Комментарий к статье",
  "objecttype_kbarticlecomment": "Комментарий к статье",
  "knowledgearticle": "Статья базы знаний",
  "objecttype_knowledgearticle": "Статья базы знаний",
  "topic": "Тема",
  "objecttype_topic": "Тема",
  "dashboard": "Информационная панель",
  "objecttype_dashboard": "Информационная панель",
  "contentversion": "Документ",
  "objecttype_contentversion": "Документ",
  "collaborationgroup": "Группа сотрудничества",
  "objecttype_collaborationgroup": "Группа сотрудничества",
  "spportal": "Портал",
  "filetype_spportal": "Портал",
  "spsite": "Сайт",
  "filetype_spsite": "Сайт",
  "spuserprofile": "Пользователь SharePoint",
  "filetype_spuserprofile": "Пользователь SharePoint",
  "sparea": "Область",
  "filetype_sparea": "Область",
  "spannouncement": "Объявление",
  "filetype_spannouncement": "Объявление",
  "spannouncementlist": "Объявления",
  "filetype_spannouncementlist": "Объявления",
  "spcontact": "Контакт",
  "filetype_spcontact": "Контакт",
  "spcontactlist": "Контакты",
  "filetype_spcontactlist": "Контакты",
  "spcustomlist": "Произвольный список",
  "filetype_spcustomlist": "Произвольный список",
  "spdiscussionboard": "Доска обсуждений",
  "filetype_spdiscussionboard": "Доска обсуждений",
  "spdiscussionboardlist": "Доски обсуждений",
  "filetype_spdiscussionboardlist": "Доски обсуждений",
  "spdocumentlibrarylist": "Библиотека документов",
  "filetype_spdocumentlibrarylist": "Библиотека документов",
  "spevent": "Событие",
  "filetype_spevent": "Событие",
  "speventlist": "События",
  "filetype_speventlist": "События",
  "spformlibrarylist": "Библиотека форм",
  "filetype_spformlibrarylist": "Библиотека форм",
  "spissue": "Проблема",
  "filetype_spissue": "Проблема",
  "spissuelist": "Проблемы",
  "filetype_spissuelist": "Проблемы",
  "splink": "Ссылка",
  "filetype_splink": "Ссылка",
  "splinklist": "Ссылки",
  "filetype_splinklist": "Ссылки",
  "sppicturelibrarylist": "Библиотека изображений",
  "filetype_sppicturelibrarylist": "Библиотека изображений",
  "spsurvey": "Опрос",
  "filetype_spsurvey": "Опрос",
  "spsurveylist": "Опросы",
  "filetype_spsurveylist": "Опросы",
  "sptask": "Задача",
  "filetype_sptask": "Задача",
  "sptasklist": "Задачи",
  "filetype_sptasklist": "Задачи",
  "spagenda": "Повестка дня",
  "filetype_spagenda": "Повестка дня",
  "spagendalist": "Повестки дня",
  "filetype_spagendalist": "Повестки дня",
  "spattendee": "Участник",
  "filetype_spattendee": "Участник",
  "spattendeelist": "Участники",
  "filetype_spattendeelist": "Участники",
  "spcustomgridlist": "Пользовательские сетки",
  "filetype_spcustomgridlist": "Пользовательские сетки",
  "spdecision": "Решение",
  "filetype_spdecision": "Решение",
  "spdecisionlist": "Решения",
  "filetype_spdecisionlist": "Решения",
  "spobjective": "Цель",
  "filetype_spobjective": "Цель",
  "spobjectivelist": "Цели",
  "filetype_spobjectivelist": "Цели",
  "sptextbox": "Текстовое поле",
  "filetype_sptextbox": "Текстовое поле",
  "sptextboxlist": "Список в текстовом поле",
  "filetype_sptextboxlist": "Список в текстовом поле",
  "spthingstobring": "Необходимая вещь",
  "filetype_spthingstobring": "Необходимая вещь",
  "spthingstobringlist": "Необходимые вещи",
  "filetype_spthingstobringlist": "Необходимые вещи",
  "sparealisting": "Вхождение в область",
  "filetype_sparealisting": "Вхождение в область",
  "spmeetingserie": "Ряд собраний",
  "filetype_spmeetingserie": "Ряд собраний",
  "spmeetingserielist": "Список ряда собраний",
  "filetype_spmeetingserielist": "Список ряда собраний",
  "spsitedirectory": "Элемент каталога сайтов",
  "filetype_spsitedirectory": "Элемент каталога сайтов",
  "spsitedirectorylist": "Каталог сайтов",
  "filetype_spsitedirectorylist": "Каталог сайтов",
  "spdatasource": "Источник данных",
  "filetype_spdatasource": "Источник данных",
  "spdatasourcelist": "Список источников данных",
  "filetype_spdatasourcelist": "Список источников данных",
  "splisttemplatecataloglist": "Коллекция шаблонов списков",
  "filetype_splisttemplatecataloglist": "Коллекция шаблонов списков",
  "spwebpartcataloglist": "Коллекция веб-частей",
  "filetype_spwebpartcataloglist": "Коллекция веб-частей",
  "spwebtemplatecataloglist": "Коллекция шаблонов сайтов",
  "filetype_spwebtemplatecataloglist": "Коллекция шаблонов сайтов",
  "spworkspacepagelist": "Страницы рабочей области",
  "filetype_spworkspacepagelist": "Страницы рабочей области",
  "spunknownlist": "Настраиваемый список",
  "filetype_spunknownlist": "Настраиваемый список",
  "spadministratortask": "Задача администратора",
  "filetype_spadministratortask": "Задача администратора",
  "spadministratortasklist": "Задачи администратора",
  "filetype_spadministratortasklist": "Задачи администратора",
  "spareadocumentlibrarylist": "Библиотека документов области",
  "filetype_spareadocumentlibrarylist": "Библиотека документов области",
  "spblogcategory": "Категория блога",
  "filetype_spblogcategory": "Категория блога",
  "spblogcategorylist": "Категории блога",
  "filetype_spblogcategorylist": "Категории блога",
  "spblogcomment": "Комментарий в блоге",
  "filetype_spblogcomment": "Комментарий в блоге",
  "spblogcommentlist": "Комментарии в блоге",
  "filetype_spblogcommentlist": "Комментарии в блоге",
  "spblogpost": "Запись в блоге",
  "filetype_spblogpost": "Запись в блоге",
  "spblogpostlist": "Записи в блоге",
  "filetype_spblogpostlist": "Записи в блоге",
  "spdataconnectionlibrarylist": "Библиотека подключений к данным",
  "filetype_spdataconnectionlibrarylist": "Библиотека подключений к данным",
  "spdistributiongroup": "Группа рассылки",
  "filetype_spdistributiongroup": "Группа рассылки",
  "spdistributiongrouplist": "Группы рассылки",
  "filetype_spdistributiongrouplist": "Группы рассылки",
  "spipfslist": "Серверы форм InfoPath",
  "filetype_spipfslist": "Серверы форм InfoPath",
  "spkeyperformanceindicator": "Ключевой показатель эффективности",
  "filetype_spkeyperformanceindicator": "Ключевой показатель эффективности",
  "spkeyperformanceindicatorlist": "Ключевые показатели эффективности",
  "filetype_spkeyperformanceindicatorlist": "Ключевые показатели эффективности",
  "splanguagesandtranslator": "Языки и переводчик",
  "filetype_splanguagesandtranslator": "Языки и переводчик",
  "splanguagesandtranslatorlist": "Языки и переводчики",
  "filetype_splanguagesandtranslatorlist": "Языки и переводчики",
  "spmasterpagescataloglist": "Коллекция главных страниц",
  "filetype_spmasterpagescataloglist": "Коллекция главных страниц",
  "spnocodeworkflowlibrarylist": "Библиотеки рабочих процессов без кода",
  "filetype_spnocodeworkflowlibrarylist": "Библиотеки рабочих процессов без кода",
  "spprojecttask": "Задача проекта",
  "filetype_spprojecttask": "Задача проекта",
  "spprojecttasklist": "Задачи проекта",
  "filetype_spprojecttasklist": "Задачи проекта",
  "sppublishingpageslibrarylist": "Библиотека страниц",
  "filetype_sppublishingpageslibrarylist": "Библиотека страниц",
  "spreportdocumentlibrarylist": "Библиотека документов отчетов",
  "filetype_spreportdocumentlibrarylist": "Библиотека документов отчетов",
  "spreportlibrarylist": "Библиотека отчетов",
  "filetype_spreportlibrarylist": "Библиотека отчетов",
  "spslidelibrarylist": "Библиотека слайдов",
  "filetype_spslidelibrarylist": "Библиотека слайдов",
  "sptab": "Вкладки",
  "filetype_sptab": "Вкладки",
  "sptablist": "Список вкладок",
  "filetype_sptablist": "Список вкладок",
  "sptranslationmanagementlibrarylist": "Многоязыковая библиотека",
  "filetype_sptranslationmanagementlibrarylist": "Многоязыковая библиотека",
  "spuserinformation": "Сведения о пользователе",
  "filetype_spuserinformation": "Сведения о пользователе",
  "spuserinformationlist": "Список сведений о пользователе",
  "filetype_spuserinformationlist": "Список сведений о пользователе",
  "spwikipagelibrarylist": "Библиотека вики-страниц",
  "filetype_spwikipagelibrarylist": "Библиотека вики-страниц",
  "spworkflowhistory": "Журнал рабочего процесса",
  "filetype_spworkflowhistory": "Журнал рабочего процесса",
  "spworkflowhistorylist": "Список журналов рабочего процесса",
  "filetype_spworkflowhistorylist": "Список журналов рабочего процесса",
  "spworkflowprocess": "Пользовательский рабочий процесс",
  "filetype_spworkflowprocess": "Пользовательский рабочий процесс",
  "spworkflowprocesslist": "Пользовательские рабочие процессы",
  "filetype_spworkflowprocesslist": "Пользовательские рабочие процессы",
  "sppublishingimageslibrarylist": "Библиотека изображений публикации",
  "filetype_sppublishingimageslibrarylist": "Библиотека изображений публикации",
  "spcirculation": "Циркуляр",
  "filetype_spcirculation": "Циркуляр",
  "spcirculationlist": "Циркуляры",
  "filetype_spcirculationlist": "Циркуляры",
  "spdashboardslibrarylist": "Библиотека панелей мониторинга",
  "filetype_spdashboardslibrarylist": "Библиотека панелей мониторинга",
  "spdataconnectionforperformancepointlibrarylist": "Библиотека подключений к данным PerformancePoint",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Библиотека подключений к данным PerformancePoint",
  "sphealthreport": "Отчет о работоспособности",
  "filetype_sphealthreport": "Отчет о работоспособности",
  "sphealthreportlist": "Отчеты о работоспособности",
  "filetype_sphealthreportlist": "Отчеты о работоспособности",
  "sphealthrule": "Правило работоспособности",
  "filetype_sphealthrule": "Правило работоспособности",
  "sphealthrulelist": "Правила работоспособности",
  "filetype_sphealthrulelist": "Правила работоспособности",
  "spimedictionary": "Словарь IME",
  "filetype_spimedictionary": "Словарь IME",
  "spimedictionarylist": "Словари IME",
  "filetype_spimedictionarylist": "Словари IME",
  "spperformancepointcontent": "Содержание PerformancePoint",
  "filetype_spperformancepointcontent": "Содержание PerformancePoint",
  "spperformancepointcontentlist": "Содержание PerformancePoint",
  "filetype_spperformancepointcontentlist": "Содержание PerformancePoint",
  "spphonecallmemo": "Памятка телефонного вызова",
  "filetype_spphonecallmemo": "Памятка телефонного вызова",
  "spphonecallmemolist": "Памятки телефонных вызовов",
  "filetype_spphonecallmemolist": "Памятки телефонных вызовов",
  "sprecordlibrarylist": "Библиотека записей",
  "filetype_sprecordlibrarylist": "Библиотека записей",
  "spresource": "Ресурс",
  "filetype_spresource": "Ресурс",
  "spresourcelist": "Ресурсы",
  "filetype_spresourcelist": "Ресурсы",
  "spprocessdiagramslibrarylist": "Библиотека схем процессов",
  "filetype_spprocessdiagramslibrarylist": "Библиотека схем процессов",
  "spsitethemeslibrarylist": "Библиотека тем сайта",
  "filetype_spsitethemeslibrarylist": "Библиотека тем сайта",
  "spsolutionslibrarylist": "Библиотека решений",
  "filetype_spsolutionslibrarylist": "Библиотека решений",
  "spwfpublibrarylist": "Библиотека WFPUB",
  "filetype_spwfpublibrarylist": "Библиотека WFPUB",
  "spwhereabout": "Местонахождение",
  "filetype_spwhereabout": "Местонахождение",
  "spwhereaboutlist": "Местонахождения",
  "filetype_spwhereaboutlist": "Местонахождения",
  "spdocumentlink": "Ссылка на документ",
  "filetype_spdocumentlink": "Ссылка на документ",
  "spdocumentset": "Набор документов",
  "filetype_spdocumentset": "Набор документов",
  "spmicrofeedpost": "Запись микроканала",
  "filetype_spmicrofeedpost": "Запись микроканала",
  "spmicrofeedlist": "Микроканал",
  "filetype_spmicrofeedlist": "Микроканал",
  "splistfolder": "Содержимое папки",
  "filetype_splistfolder": "Содержимое папки",
  "Unknown": "Неизвестно",
  "And": "И",
  "Authenticating": "Аутентификация {0}...",
  "Clear": "Очистить {0}",
  "CompleteQuery": "Полная строка запроса",
  "Exclude": "Исключить {0}",
  "EnterTag": "Добавить тег",
  "Next": "Следующая",
  "Last": "Последняя",
  "Link": "Ссылка",
  "Or": "ИЛИ",
  "Previous": "Предыдущая",
  "QueryDidntMatchAnyDocuments": "Ни один из документов не отвечает вашему запросу.",
  "QueryException": "В вашем запросе содержится ошибка: {0}.",
  "Me": "Я",
  "Remove": "Удалить",
  "Search": "Искать",
  "SearchFor": "Найти {0}",
  "ShareQuery": "Поделиться запросом",
  "Preferences": "Личные параметры настройки",
  "LinkOpeningSettings": "Параметры настройки открытия ссылок",
  "Reauthenticate": "Повторная аутентификация {0}",
  "ResultsFilteringExpression": "Результаты фильтрации поисковых фраз",
  "FiltersInYourPreferences": "Фильтры в личных параметрах настройки",
  "Create": "Создать",
  "SearchIn": "Найти в {0}",
  "Seconds": "через {0} <sn>секунду</sn><pl>секунд</pl>",
  "ShowingResultsOf": "Результат<pl>ы</pl> {0}<pl>-{1}</pl> из {2}",
  "ShowingResultsOfWithQuery": "Результат<pl>ы</pl> {0}<pl>-{1}</pl> из {2} на {3}",
  "SwitchTo": "Переключиться на {0}",
  "Unexclude": "Убрать исключение {0}",
  "ClearAllFilters": "Сброс всех фильтров",
  "SkipLogin": "Пропустить авторизацию",
  "LoginInProgress": "Выполняется авторизация, пожалуйста, подождите ...",
  "Login": "Авторизоваться",
  "GetStarted": "Начать",
  "More": "Больше",
  "NMore": "еще {0}…",
  "Less": "Меньше",
  "Settings": "Параметры настройки",
  "Score": "Показатель",
  "ScoreDescription": "Показатель рассчитывается исходя из количества результатов, а также из положения в перечне результатов.",
  "Occurrences": "Совпадения",
  "OccurrencesDescription": "Сортировать по количеству совпадений - в порядке убывания.",
  "Label": "Ярлык",
  "Of": "из",
  "LabelDescription": "Сортировать в алфавитном порядке по значениям поля.",
  "Value": "Значение",
  "ValueDescription": "Сортировать по значениям первого расчетного поля",
  "AlphaAscending": "Возрастающее значение",
  "AlphaDescending": "Убывающее значение",
  "ChiSquare": "Хи-квадрат",
  "Nosort": "Не отсортировано",
  "NosortDescription": "Не сортировать значения. Они будут показаны в произвольном порядке.",
  "RelativeFrequency": "Относительная частота",
  "RelativeFrequencyDescription": "Сортировать по значению относительной частоты. Нечастотные значения отобразятся сверху",
  "DateDistribution": "Дата распределения",
  "Custom": "Пользовательский",
  "CustomDescription": "Сортировать в специальном порядке",
  "ComputedField": "Расчетное поле",
  "Ascending": "По возрастанию",
  "Descending": "По убыванию",
  "noResultFor": "Нет результатов по {0}",
  "autoCorrectedQueryTo": "Запрос автоматически исправлен на {0}",
  "didYouMean": "Вы имели ввиду: {0}",
  "SuggestedResults": "Предлагаемые результаты",
  "SuggestedQueries": "Предлагаемые запросы",
  "MostRelevantItems": "Наиболее релевантные пункты:",
  "AllItems": "Все пункты:",
  "ShowLess": "Показывать меньше",
  "ShowMore": "Показывать больше",
  "HideFacet": "Скрыть ячейку",
  "ShowFacet": "Показать ячейку",
  "AndOthers": "и {0} другой (другие)",
  "Others": "{0} другой (другие)",
  "MostRelevantPosts": "Наиболее релевантные сообщения:",
  "CompleteThread": "Вся ветка обсуждения:",
  "ShowCompleteThread": "Показать всю ветку обсуждения",
  "ShowOnlyTopMatchingPosts": "Показать только верхние подходящие сообщения",
  "MostRelevantReplies": "Наиболее релевантные ответы:",
  "AllConversation": "Все диалоги:",
  "ShowAllConversation": "Показать весь диалог",
  "ShowAllReplies": "Показать все ответы",
  "ShowOnlyMostRelevantReplies": "Показывать только наиболее релевантные ответы",
  "Close": "Закрыть",
  "Open": "Открыть",
  "OpenInOutlookWhenPossible": "Открывать в Outlook (когда возможно)",
  "AlwaysOpenInNewWindow": "Всегда открывать результаты в новом окне",
  "Quickview": "Быстрый просмотр",
  "NoQuickview": "Быстрый просмотр для этого документа недоступен",
  "ErrorReport": "Сообщение об ошибке",
  "OopsError": "Что-то случилось с сервером.",
  "ProblemPersists": "При постоянном возникновении этой проблемы обратитесь к администратору.",
  "GoBack": "Назад",
  "Reset": "Перезагрузка",
  "Retry": "Повторить",
  "MoreInfo": "Дополнительная информация",
  "Username": "Имя пользователя",
  "Password": "Пароль",
  "PostedBy": "Опубликовано",
  "CannotConnect": "Невозможно подключиться к адресу сервера",
  "BadUserPass": "Пароль не соответствует имени пользователя",
  "PleaseEnterYourCredentials": "Введите свои учетные данные для {0}.",
  "PleaseEnterYourSearchPage": "Пожалуйста, введите URL-адрес искомой страницы",
  "Collapse": "Свернуть",
  "Collapsable": "Свертываемый",
  "Expand": "Расширить",
  "Today": "Сегодня",
  "Yesterday": "Вчера",
  "Tomorrow": "Завтра",
  "Duration": "Продолжительность: {0}",
  "IndexDuration": "Продолжительность индекса: {0}",
  "ProxyDuration": "Продолжительность прокси: {0}",
  "ClientDuration": "Продолжительность клиента: {0}",
  "Unavailable": "Недоступно",
  "Reply": "Ответить",
  "ReplyAll": "Ответить всем",
  "Forward": "Переслать",
  "From": "От",
  "Caption": "Заголовок",
  "Expression": "Поисковая фраза",
  "Tab": "Вкладка",
  "Tabs": "Вкладки",
  "EnterExpressionName": "Введите фразу",
  "EnterExpressionToFilterWith": "Введите фразу для фильтрации результатов",
  "SelectTab": "Выбрать вкладку",
  "SelectAll": "Выбрать все",
  "PageUrl": "Найти URL-адрес страницы",
  "ErrorSavingToDevice": "Ошибка при сохранении информации на ваше устройство",
  "ErrorReadingFromDevice": "Ошибка при чтении информации с вашего устройства",
  "AppIntro": "Пообщайтесь со специалистом по продукции, который сможет ответить на ваши вопросы о Conveo и поможет решить, какое решение Coveo вам подойдет. Или попробуйте демоверсию с автоматическим обновлением!",
  "TryDemo": "Попробовать демоверсию",
  "ContactUs": "Связаться с нами",
  "NewToCoveo": "Не знакомы с Coveo?",
  "LetUsHelpGetStarted": "Позвольте помочь вам приступить к работе",
  "LikesThis": "{0} нравится<sn> нравится</sn> это.",
  "CannotConnectSearchPage": "Не удалось подключиться к вашей странице поиска",
  "AreYouSureDeleteFilter": "Вы действительно желаете удалить фильтр {0} с поисковой фразой {1}",
  "OnlineHelp": "Онлайн справка",
  "Done": "Выполнено",
  "SaveFacetState": "Сохранить формат данной ячейки",
  "ClearFacetState": "Очистить формат ячейки",
  "DisplayingTheOnlyMessage": "Отображение единственного сообщения в данном диалоге",
  "NoNetworkConnection": "Нет сетевых подключений",
  "UnknownConnection": "Неизвестное подключение",
  "EthernetConnection": "Подключение через Ethernet",
  "WiFi": "Подключение через WiFi",
  "CELL": "Мобильное подключение",
  "CELL_2G": "Мобильное подключение 2G",
  "CELL_3G": "Мобильное подключение 3G",
  "CELL_4G": "Мобильное подключение 4G",
  "Relevance": "Релевантность",
  "Date": "Дата",
  "Amount": "Количество",
  "QueryExceptionNoException": "Нет исключений",
  "QueryExceptionInvalidSyntax": "Недопустимый синтаксис",
  "QueryExceptionInvalidCustomField": "Недопустимое расчетное поле",
  "QueryExceptionInvalidDate": "Недопустимая дата",
  "QueryExceptionInvalidExactPhrase": "Недопустимая точная фраза",
  "QueryExceptionInvalidDateOp": "Недопустимый оператор дат",
  "QueryExceptionInvalidNear": "Недопустимый оператор NEAR",
  "QueryExceptionInvalidWeightedNear": "Недопустимый взвешенный NEAR",
  "QueryExceptionInvalidTerm": "Недопустимый термин",
  "QueryExceptionTooManyTerms": "Слишком много терминов",
  "QueryExceptionWildcardTooGeneral": "Слишком общий специальный символ",
  "QueryExceptionInvalidSortField": "Недопустимое поле сортировки",
  "QueryExceptionInvalidSmallStringOp": "Недопустимый строковый оператор",
  "QueryExceptionRequestedResultsMax": "Максимум запрашиваемых результатов",
  "QueryExceptionAggregatedMirrorDead": "Уделенное зеркало отключено",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Время ожидания запроса через уделенное зеркало",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Недопустимый текущий номер удаленного зеркала",
  "QueryExceptionAggregatedMirrorCannotConnect": "Интегральное зеркало невозможно подключить",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Недостаточное количество ведущих символов до специального символа",
  "QueryExceptionSecurityInverterNotFound": "Инвертор безопасности не найден",
  "QueryExceptionSecurityInverterAccessDenied": "В доступе к инвертору безопасности отказано",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Уделенное зеркало не может отправлять запросы от имени пользователя",
  "QueryExceptionUnexpected": "Непредвиденный",
  "QueryExceptionAccessDenied": "В доступе отказано",
  "QueryExceptionSuperUserTokenInvalid": "Право доступа привилегированного пользователя недействительно",
  "QueryExceptionSuperUserTokenExpired": "Право доступа привилегированного пользователя истекло",
  "QueryExceptionLicenseQueriesExpired": "Лицензия на осуществление запросов истекла",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Лицензия доступа привилегированного пользователя не поддерживается",
  "QueryExceptionInvalidSession": "Сессия недействительна",
  "QueryExceptionInvalidDocument": "Недействительный документ",
  "QueryExceptionSearchDisabled": "Поиск отключен",
  "FileType": "Тип файла",
  "ShowAttachment": "Показать приложение",
  "OnFeed": "на {0} исходный материал.",
  "Author": "Автор",
  "NoTitle": "Без названия",
  "CurrentSelections": "Текущие результаты выбора",
  "AllContent": "Все содержание",
  "CancelLastAction": "Отменить последнее действие",
  "SearchTips": "Найти подсказку",
  "CheckSpelling": "Проверьте правописание ключевых слов",
  "TryUsingFewerKeywords": "Попытайтесь использовать меньшее количество, другие и более общие ключевые слова.",
  "SelectFewerFilters": "Сократите количество фильтров для расширения поиска.",
  "Document": "Документ",
  "Time": "Время",
  "StartDate": "Дата начала",
  "StartTime": "Время начала",
  "DurationTitle": "Продолжительность",
  "UserQuery": "Запрос пользователя",
  "ShowUserActions": "Показывать действия пользователя",
  "NoData": "Нет доступных данных",
  "EventType": "Тип события",
  "GoToFullSearch": "Полный поиск",
  "GoToEdition": "Настроить панель",
  "RemoveContext": "Удалить контекст",
  "BoxAttachToCase": "Приложить к обращению",
  "AttachToCase": "Приложить к обращению",
  "Attach": "Приложить",
  "Attached": "Приложено",
  "Detach": "Удалить",
  "Details": "Подробности",
  "AdditionalFilters": "Дополнительные фильтры",
  "SelectNonContextualSearch": "Удалить контекст из текущей записи, чтобы расширить поиск",
  "CopyPasteToSupport": "Для получения дополнительной информации скопируйте и вставьте это сообщение для службы поддержки Coveo.",
  "FollowQueryDescription": "Оповещать меня об изменениях в результатах поиска по этому запросу.",
  "SearchAlerts_Panel": "Управление оповещениями",
  "SearchAlerts_PanelDescription": "Просматривайте и управляйте поиском оповещений.",
  "SearchAlerts_PanelNoSearchAlerts": "У вас нет подписок.",
  "SearchAlerts_Fail": "Служба поиска оповещений сейчас недоступна.",
  "SearchAlerts_Type": "Тип",
  "SearchAlerts_Content": "Содержание",
  "SearchAlerts_Actions": "Действие",
  "EmptyQuery": "<пусто>",
  "SearchAlerts_Type_followQuery": "Запрос",
  "SearchAlerts_Type_followDocument": "Элемент",
  "SearchAlerts_unFollowing": "Отменить подписку",
  "SearchAlerts_follow": "Подписаться",
  "SearchAlerts_followed": "Подписка оформлена",
  "SearchAlerts_followQuery": "Подписаться на запрос",
  "Subscription_StopFollowingQuery": "Отменить подписку на запрос",
  "SearchAlerts_Frequency": "Когда",
  "SubscriptionsManageSubscriptions": "Управление оповещениями",
  "SubscriptionsMessageFollowQuery": "Вы будете оповещены, когда по запросу <b>{0}</b> будут выданы новые или обновленные элементы.",
  "SubscriptionsMessageFollow": "Вы будете оповещены об изменениях элемента <b>{0}</b>.",
  "Expiration": "Срок действия",
  "Monthly": "Ежемесячно",
  "Daily": "Ежедневно",
  "Monday": "Понедельник",
  "Tuesday": "Вторник",
  "Wednesday": "Среда",
  "Thursday": "Четверг",
  "Friday": "Пятница",
  "Saturday": "Суббота",
  "Sunday": "Воскресенье",
  "NextDay": "В следующий (-ую, -ее) {0}",
  "LastDay": "В прошлый (-ую, ое) {0}",
  "StartTypingCaseForSuggestions": "Опишите свою проблему, чтобы увидеть возможные решения",
  "ExportToExcel": "Экспортировать в Excel",
  "ExportToExcelDescription": "Экспортировать результаты поиска в Excel",
  "CaseCreationNoResults": "Рекомендованные решения не найдены",
  "SortBy": "Сортировать по",
  "BoxCreateArticle": "Создать статью",
  "Facets": "Аспекты",
  "AdvancedSearch": "Расширенный поиск",
  "Keywords": "Ключевые слова",
  "AllTheseWords": "Все эти слова",
  "ExactPhrase": "Эта точная фраза",
  "AnyOfTheseWords": "Любое из этих слов",
  "NoneOfTheseWords": "Ни одно из этих слов",
  "Anytime": "В любое время",
  "InTheLast": "За последние",
  "Days": "день (дня, дней)",
  "Months": "месяца(-ев)",
  "Month": "Месяц",
  "Year": "Год",
  "Between": "Между",
  "Language": "Язык",
  "Size": "Размер",
  "AtLeast": "минимум",
  "AtMost": "максимум",
  "Contains": "содержит",
  "DoesNotContain": "не содержит",
  "Matches": "совпадения(-й)",
  "Bytes": "байт(-а, -ов)",
  "card": "Карта",
  "table": "Таблица",
  "ResultLinks": "Ссылки на результаты",
  "EnableQuerySyntax": "Включить синтаксис запросов",
  "On": "Включено",
  "Off": "Выключено",
  "Automatic": "Автоматически",
  "ResultsPerPage": "Результатов на странице",
  "PreviousMonth": "Предыдущий месяц",
  "NextMonth": "Следующий месяц",
  "Title": "Заголовок",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["ru"] = merge(locales["ru"], dict);
  String["toLocaleString"].call(this, { "ru": dict });
  String["locale"] = "ru";
  String["defaultLocale"] = "en";
  Globalize.culture("ru")
}