/*
 * Globalize Culture sv
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "sv", "default", {
	name: "sv",
	englishName: "Swedish",
	nativeName: "svenska",
	language: "sv",
	numberFormat: {
		",": " ",
		".": ",",
		negativeInfinity: "-INF",
		positiveInfinity: "INF",
		percent: {
			",": " ",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "kr"
		}
	},
	calendars: {
		standard: {
			"/": "-",
			firstDay: 1,
			days: {
				names: ["söndag","måndag","tisdag","onsdag","torsdag","fredag","lördag"],
				namesAbbr: ["sö","må","ti","on","to","fr","lö"],
				namesShort: ["sö","må","ti","on","to","fr","lö"]
			},
			months: {
				names: ["januari","februari","mars","april","maj","juni","juli","augusti","september","oktober","november","december",""],
				namesAbbr: ["jan","feb","mar","apr","maj","jun","jul","aug","sep","okt","nov","dec",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "yyyy-MM-dd",
				D: "'den 'd MMMM yyyy",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "'den 'd MMMM yyyy HH:mm",
				F: "'den 'd MMMM yyyy HH:mm:ss",
				M: "'den 'd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Användare",
  "filetype_box user": "Användare",
  "html": "HTML-fil",
  "filetype_html": "HTML-fil",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Webbsida",
  "filetype_webscraperwebpage": "Webbsida",
  "image": "Bild",
  "filetype_image": "Bild",
  "folder": "Mapp",
  "filetype_folder": "Mapp",
  "txt": "Text",
  "filetype_txt": "Text",
  "zip": "Zip-fil",
  "filetype_zip": "Zip-fil",
  "olefile": "OLE-fil",
  "filetype_olefile": "OLE-fil",
  "gmailmessage": "Gmail-meddelande",
  "filetype_gmailmessage": "Gmail-meddelande",
  "pdf": "PDF-fil",
  "filetype_pdf": "PDF-fil",
  "swf": "Flash-fil",
  "filetype_swf": "Flash-fil",
  "xml": "XML-fil",
  "filetype_xml": "XML-fil",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS-kanal",
  "filetype_rssitem": "RSS-kanal",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Microsoft Word-dokument",
  "filetype_docx": "Microsoft Word-dokument",
  "xls": "Kalkylarksdokument",
  "filetype_xls": "Kalkylarksdokument",
  "ppt": "Presentationsdokument",
  "filetype_ppt": "Presentationsdokument",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text-dokument",
  "filetype_odt": "Open Text-dokument",
  "lithiummessage": "Lithium-meddelande",
  "filetype_lithiummessage": "Lithium-meddelande",
  "lithiumthread": "Lithium-tråd",
  "filetype_lithiumthread": "Lithium-tråd",
  "lithiumboard": "Lithium-anslagstavla",
  "filetype_lithiumboard": "Lithium-anslagstavla",
  "lithiumcategory": "Lithium-kategori",
  "filetype_lithiumcategory": "Lithium-kategori",
  "lithiumcommunity": "Lithium-diskussionsgrupp",
  "filetype_lithiumcommunity": "Lithium-diskussionsgrupp",
  "people": "Användare",
  "objecttype_people": "Användare",
  "message": "Meddelande",
  "objecttype_message": "Meddelande",
  "feed": "RSS-kanal",
  "objecttype_feed": "RSS-kanal",
  "thread": "Tråd",
  "objecttype_thread": "Tråd",
  "file": "Fil",
  "objecttype_file": "Fil",
  "board": "Anslagstavla",
  "objecttype_board": "Anslagstavla",
  "category": "Kategori",
  "objecttype_category": "Kategori",
  "account": "Konto",
  "objecttype_account": "Konto",
  "annotation": "Notis",
  "objecttype_annotation": "Notis",
  "campaign": "Kampanj",
  "objecttype_campaign": "Kampanj",
  "case": "Kundcase",
  "objecttype_case": "Kundcase",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Kontrakt",
  "objecttype_contract": "Kontrakt",
  "event": "Händelse",
  "objecttype_event": "Händelse",
  "email": "E-post",
  "objecttype_email": "E-post",
  "goal": "Mål",
  "objecttype_goal": "Mål",
  "objecttype_incident": "Kundcase",
  "invoice": "Faktura",
  "objecttype_invoice": "Faktura",
  "lead": "Lead",
  "objecttype_lead": "Lead",
  "list": "Lista",
  "objecttype_list": "Marknadsföringslista",
  "solution": "Lösning",
  "objecttype_solution": "Lösning",
  "task": "Uppgift",
  "objecttype_task": "Uppgift",
  "user": "Användare",
  "objecttype_user": "Användare",
  "attachment": "Bilaga",
  "objecttype_attachment": "Bilaga",
  "casecomment": "Kommentar för kundcase",
  "objecttype_casecomment": "Kommentar för kundcase",
  "opportunity": "Säljprojekt",
  "objecttype_opportunity": "Säljprojekt",
  "opportunityproduct": "Säljprojektprodukt",
  "objecttype_opportunityproduct": "Säljprojektprodukt",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Notis",
  "objecttype_note": "Notis",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Artikel i kö",
  "objecttype_queueitem": "Artikel i kö",
  "quote": "Offert",
  "objecttype_quote": "Offert",
  "salesliterature": "Säljlitteratur",
  "objecttype_salesliterature": "Säljlitteratur",
  "salesorder": "Säljorder",
  "objecttype_salesorder": "Säljorder",
  "service": "Service",
  "objecttype_service": "Service",
  "socialprofile": "Social profil",
  "objecttype_socialprofile": "Social profil",
  "kbdocumentation": "Dokumentation",
  "objecttype_kbdocumentation": "Dokumentation",
  "kbtechnicalarticle": "Dokumentation",
  "objecttype_kbtechnicalarticle": "Dokumentation",
  "kbsolution": "Lösning",
  "objecttype_kbsolution": "Lösning",
  "kbknowledgearticle": "Kunskapsartikel",
  "objecttype_kbknowledgearticle": "Kunskapsartikel",
  "kbattachment": "Bilaga",
  "objecttype_kbattachment": "Bilaga",
  "kbarticle": "Artikel",
  "objecttype_kbarticle": "Artikel",
  "kbarticlecomment": "Artikelkommentar",
  "objecttype_kbarticlecomment": "Artikelkommentar",
  "knowledgearticle": "Kunskapsartikel",
  "objecttype_knowledgearticle": "Kunskapsartikel",
  "topic": "Ämne",
  "objecttype_topic": "Ämne",
  "dashboard": "Instrumentpanel",
  "objecttype_dashboard": "Instrumentpanel",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Samarbetsgrupp",
  "objecttype_collaborationgroup": "Samarbetsgrupp",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Sida",
  "filetype_spsite": "Sida",
  "spuserprofile": "SharePoint-användare",
  "filetype_spuserprofile": "SharePoint-användare",
  "sparea": "Område",
  "filetype_sparea": "Område",
  "spannouncement": "Tillkännagivande",
  "filetype_spannouncement": "Tillkännagivande",
  "spannouncementlist": "Tillkännagivanden",
  "filetype_spannouncementlist": "Tillkännagivanden",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakter",
  "filetype_spcontactlist": "Kontakter",
  "spcustomlist": "Egna listor",
  "filetype_spcustomlist": "Egna listor",
  "spdiscussionboard": "Diskussionsanslagstavla",
  "filetype_spdiscussionboard": "Diskussionsanslagstavla",
  "spdiscussionboardlist": "Diskussionsanslagstavlor",
  "filetype_spdiscussionboardlist": "Diskussionsanslagstavlor",
  "spdocumentlibrarylist": "Dokumentbibliotek",
  "filetype_spdocumentlibrarylist": "Dokumentbibliotek",
  "spevent": "Händelse",
  "filetype_spevent": "Händelse",
  "speventlist": "Händelser",
  "filetype_speventlist": "Händelser",
  "spformlibrarylist": "Formulärbibliotek",
  "filetype_spformlibrarylist": "Formulärbibliotek",
  "spissue": "Problem",
  "filetype_spissue": "Problem",
  "spissuelist": "Problem",
  "filetype_spissuelist": "Problem",
  "splink": "Länk",
  "filetype_splink": "Länk",
  "splinklist": "Länkar",
  "filetype_splinklist": "Länkar",
  "sppicturelibrarylist": "Bildbibliotek",
  "filetype_sppicturelibrarylist": "Bildbibliotek",
  "spsurvey": "Undersökning",
  "filetype_spsurvey": "Undersökning",
  "spsurveylist": "Undersökningar",
  "filetype_spsurveylist": "Undersökningar",
  "sptask": "Uppgift",
  "filetype_sptask": "Uppgift",
  "sptasklist": "Uppgifter",
  "filetype_sptasklist": "Uppgifter",
  "spagenda": "Dagordning",
  "filetype_spagenda": "Dagordning",
  "spagendalist": "Dagordningar",
  "filetype_spagendalist": "Dagordningar",
  "spattendee": "Deltagare",
  "filetype_spattendee": "Deltagare",
  "spattendeelist": "Deltagare",
  "filetype_spattendeelist": "Deltagare",
  "spcustomgridlist": "Egna rutnät",
  "filetype_spcustomgridlist": "Egna rutnät",
  "spdecision": "Beslut",
  "filetype_spdecision": "Beslut",
  "spdecisionlist": "Beslut",
  "filetype_spdecisionlist": "Beslut",
  "spobjective": "Objektiv",
  "filetype_spobjective": "Objektiv",
  "spobjectivelist": "Objektiv",
  "filetype_spobjectivelist": "Objektiv",
  "sptextbox": "Textruta",
  "filetype_sptextbox": "Textruta",
  "sptextboxlist": "Lista med textrutor",
  "filetype_sptextboxlist": "Lista med textrutor",
  "spthingstobring": "Sak att ta med",
  "filetype_spthingstobring": "Sak att ta med",
  "spthingstobringlist": "Saker att ta med",
  "filetype_spthingstobringlist": "Saker att ta med",
  "sparealisting": "Områdeslista",
  "filetype_sparealisting": "Områdeslista",
  "spmeetingserie": "Mötesserier",
  "filetype_spmeetingserie": "Mötesserier",
  "spmeetingserielist": "Lista med mötesserier",
  "filetype_spmeetingserielist": "Lista med mötesserier",
  "spsitedirectory": "Artikel för sidkatalog",
  "filetype_spsitedirectory": "Artikel för sidkatalog",
  "spsitedirectorylist": "Sidartikel",
  "filetype_spsitedirectorylist": "Sidartikel",
  "spdatasource": "Datakälla",
  "filetype_spdatasource": "Datakälla",
  "spdatasourcelist": "Lista med datakälla",
  "filetype_spdatasourcelist": "Lista med datakälla",
  "splisttemplatecataloglist": "Galleri med listmall",
  "filetype_splisttemplatecataloglist": "Galleri med listmall",
  "spwebpartcataloglist": "WebPart-galleri",
  "filetype_spwebpartcataloglist": "WebPart-galleri",
  "spwebtemplatecataloglist": "Galleri med sidmall",
  "filetype_spwebtemplatecataloglist": "Galleri med sidmall",
  "spworkspacepagelist": "Workspace-sidor",
  "filetype_spworkspacepagelist": "Workspace-sidor",
  "spunknownlist": "Egen lista",
  "filetype_spunknownlist": "Egen lista",
  "spadministratortask": "Administratörsuppgift",
  "filetype_spadministratortask": "Administratörsuppgift",
  "spadministratortasklist": "Administratöruppgifter",
  "filetype_spadministratortasklist": "Administratöruppgifter",
  "spareadocumentlibrarylist": "Bibliotek för områdesdokument",
  "filetype_spareadocumentlibrarylist": "Bibliotek för områdesdokument",
  "spblogcategory": "Bloggkategori",
  "filetype_spblogcategory": "Bloggkategori",
  "spblogcategorylist": "Bloggkategorier",
  "filetype_spblogcategorylist": "Bloggkategorier",
  "spblogcomment": "Bloggkommentar",
  "filetype_spblogcomment": "Bloggkommentar",
  "spblogcommentlist": "Bloggkommentarer",
  "filetype_spblogcommentlist": "Bloggkommentarer",
  "spblogpost": "Blogginlägg",
  "filetype_spblogpost": "Blogginlägg",
  "spblogpostlist": "Blogginlägg",
  "filetype_spblogpostlist": "Blogginlägg",
  "spdataconnectionlibrarylist": "Bibliotek för dataanslutning",
  "filetype_spdataconnectionlibrarylist": "Bibliotek för dataanslutning",
  "spdistributiongroup": "Distribueringsgrupp",
  "filetype_spdistributiongroup": "Distribueringsgrupp",
  "spdistributiongrouplist": "Distribueringsgrupp",
  "filetype_spdistributiongrouplist": "Distribueringsgrupp",
  "spipfslist": "Formulärservrar för InforPath",
  "filetype_spipfslist": "Formulärservrar för InforPath",
  "spkeyperformanceindicator": "Nyckelresultatindikator",
  "filetype_spkeyperformanceindicator": "Nyckelresultatindikator",
  "spkeyperformanceindicatorlist": "Nyckelresultatindikatorer",
  "filetype_spkeyperformanceindicatorlist": "Nyckelresultatindikatorer",
  "splanguagesandtranslator": "Språk och översättare",
  "filetype_splanguagesandtranslator": "Språk och översättare",
  "splanguagesandtranslatorlist": "Språk och översättare",
  "filetype_splanguagesandtranslatorlist": "Språk och översättare",
  "spmasterpagescataloglist": "Galleri för huvudsida",
  "filetype_spmasterpagescataloglist": "Galleri för huvudsida",
  "spnocodeworkflowlibrarylist": "Bibliotek för arbetsflöde utan kod",
  "filetype_spnocodeworkflowlibrarylist": "Bibliotek för arbetsflöde utan kod",
  "spprojecttask": "Projektuppgift",
  "filetype_spprojecttask": "Projektuppgift",
  "spprojecttasklist": "Projektuppgifter",
  "filetype_spprojecttasklist": "Projektuppgifter",
  "sppublishingpageslibrarylist": "Sidbibliotek",
  "filetype_sppublishingpageslibrarylist": "Sidbibliotek",
  "spreportdocumentlibrarylist": "Bibliotek för rapportdokument",
  "filetype_spreportdocumentlibrarylist": "Bibliotek för rapportdokument",
  "spreportlibrarylist": "Rapportbibliotek",
  "filetype_spreportlibrarylist": "Rapportbibliotek",
  "spslidelibrarylist": "Slide-bibliotek",
  "filetype_spslidelibrarylist": "Slide-bibliotek",
  "sptab": "Flikar",
  "filetype_sptab": "Flikar",
  "sptablist": "Fliklista",
  "filetype_sptablist": "Fliklista",
  "sptranslationmanagementlibrarylist": "Bibliotek för översättningshantering",
  "filetype_sptranslationmanagementlibrarylist": "Bibliotek för översättningshantering",
  "spuserinformation": "Användarinformation",
  "filetype_spuserinformation": "Användarinformation",
  "spuserinformationlist": "Användarinformationslista",
  "filetype_spuserinformationlist": "Användarinformationslista",
  "spwikipagelibrarylist": "Bibliotek med Wiki-sidor",
  "filetype_spwikipagelibrarylist": "Bibliotek med Wiki-sidor",
  "spworkflowhistory": "Arbetsflödeshistorik",
  "filetype_spworkflowhistory": "Arbetsflödeshistorik",
  "spworkflowhistorylist": "Lista med arbetsflödeshistorik",
  "filetype_spworkflowhistorylist": "Lista med arbetsflödeshistorik",
  "spworkflowprocess": "Egen arbetsflödesprocess",
  "filetype_spworkflowprocess": "Egen arbetsflödesprocess",
  "spworkflowprocesslist": "Egna arbetsflödesprocesser",
  "filetype_spworkflowprocesslist": "Egna arbetsflödesprocesser",
  "sppublishingimageslibrarylist": "Publicering av bildbibliotek",
  "filetype_sppublishingimageslibrarylist": "Publicering av bildbibliotek",
  "spcirculation": "Cirkulering",
  "filetype_spcirculation": "Cirkulering",
  "spcirculationlist": "Cirkuleringar",
  "filetype_spcirculationlist": "Cirkuleringar",
  "spdashboardslibrarylist": "Instrumentpanelbibliotek",
  "filetype_spdashboardslibrarylist": "Instrumentpanelbibliotek",
  "spdataconnectionforperformancepointlibrarylist": "Bibliotek med PerformancePoint-dataanslutning",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Bibliotek med PerformancePoint-dataanslutning",
  "sphealthreport": "Hälsorapport",
  "filetype_sphealthreport": "Hälsorapport",
  "sphealthreportlist": "Hälsorapporter",
  "filetype_sphealthreportlist": "Hälsorapporter",
  "sphealthrule": "Hälsoregel",
  "filetype_sphealthrule": "Hälsoregel",
  "sphealthrulelist": "Hälsoregler",
  "filetype_sphealthrulelist": "Hälsoregler",
  "spimedictionary": "IME-ordlista",
  "filetype_spimedictionary": "IME-ordlista",
  "spimedictionarylist": "IME-ordlistor",
  "filetype_spimedictionarylist": "IME-ordlistor",
  "spperformancepointcontent": "PerformancePoint-innehåll",
  "filetype_spperformancepointcontent": "PerformancePoint-innehåll",
  "spperformancepointcontentlist": "PerformancePoint-innehåll",
  "filetype_spperformancepointcontentlist": "PerformancePoint-innehåll",
  "spphonecallmemo": "Minnesanteckning för telefonsamtal",
  "filetype_spphonecallmemo": "Minnesanteckning för telefonsamtal",
  "spphonecallmemolist": "Minnesanteckningar för telefonsamtal",
  "filetype_spphonecallmemolist": "Minnesanteckningar för telefonsamtal",
  "sprecordlibrarylist": "Postbibliotek",
  "filetype_sprecordlibrarylist": "Postbibliotek",
  "spresource": "Resurs",
  "filetype_spresource": "Resurs",
  "spresourcelist": "Resurser",
  "filetype_spresourcelist": "Resurser",
  "spprocessdiagramslibrarylist": "Bibliotek för processdiagram",
  "filetype_spprocessdiagramslibrarylist": "Bibliotek för processdiagram",
  "spsitethemeslibrarylist": "Bibliotek för sidtema",
  "filetype_spsitethemeslibrarylist": "Bibliotek för sidtema",
  "spsolutionslibrarylist": "Bibliotek för lösningar",
  "filetype_spsolutionslibrarylist": "Bibliotek för lösningar",
  "spwfpublibrarylist": "WFPUB-bibliotek",
  "filetype_spwfpublibrarylist": "WFPUB-bibliotek",
  "spwhereabout": "Vistelseplats",
  "filetype_spwhereabout": "Vistelseplats",
  "spwhereaboutlist": "Vistelseplatser",
  "filetype_spwhereaboutlist": "Vistelseplatser",
  "spdocumentlink": "Länk till ett dokument",
  "filetype_spdocumentlink": "Länk till ett dokument",
  "spdocumentset": "Dokumentuppsättning",
  "filetype_spdocumentset": "Dokumentuppsättning",
  "spmicrofeedpost": "Mikrokanalinlägg",
  "filetype_spmicrofeedpost": "Mikrokanalinlägg",
  "spmicrofeedlist": "Mikrokanal",
  "filetype_spmicrofeedlist": "Mikrokanal",
  "splistfolder": "Listmapp",
  "filetype_splistfolder": "Listmapp",
  "Unknown": "Okänd",
  "And": "OCH",
  "Authenticating": "Autentiserar {0}…",
  "Clear": "Rensa {0}",
  "CompleteQuery": "Fullständig förfrågan",
  "Exclude": "Exkludera {0}",
  "EnterTag": "Lägg till etikett",
  "Next": "Nästa",
  "Last": "Sista",
  "Link": "Länk",
  "Or": "ELLER",
  "Previous": "Tidigare",
  "QueryDidntMatchAnyDocuments": "Din förfrågan matchade inte några dokument",
  "QueryException": "Din förfrågan har ett fel: {0}.",
  "Me": "Jag",
  "Remove": "Ta bort",
  "Search": "Sök",
  "SearchFor": "Sök efter {0}",
  "ShareQuery": "Dela Förfrågan",
  "Preferences": "Preferenser",
  "LinkOpeningSettings": "Inställningar för Öppnande av Länk",
  "Reauthenticate": "Återautentisera {0}",
  "ResultsFilteringExpression": "Uttryck Resultatfiltrering",
  "FiltersInYourPreferences": "Filtrerar bland dina preferenser",
  "Create": "Skapa",
  "SearchIn": "Sök i {0}",
  "Seconds": "I {0} sekund <pl>sekunder</pl>",
  "ShowingResultsOf": "Resultat<pl>en</pl> {0}<pl>-{1}</pl> av {2}",
  "ShowingResultsOfWithQuery": "Resultat<pl>en</pl> {0}<pl>-{1}</pl> av {2} för {3}",
  "SwitchTo": "Byt till {0}",
  "Unexclude": "Ta bort exkludering {0}",
  "ClearAllFilters": "Rensa Alla Filter",
  "SkipLogin": "Hoppa Över Inloggning",
  "LoginInProgress": "Inloggning sker, var god vänta...",
  "Login": "Logga in",
  "GetStarted": "Kom igång",
  "More": "Mer",
  "NMore": "{0} fler…",
  "Less": "Färre",
  "Settings": "Inställningar",
  "Score": "Poäng",
  "ScoreDescription": "Poängen kalkyleras med antal förekomster såväl från positionen i den aktuella resultatuppsättningen",
  "Occurrences": "Förekomster",
  "OccurrencesDescription": "Sortera genom antalet förekomster där högsta numret visas först",
  "Label": "Etikett",
  "Of": "av",
  "LabelDescription": "Sortera alfabetiskt på fältvärden",
  "Value": "Värde",
  "ValueDescription": "Sortera på värdena på de först uträknade fälten",
  "AlphaAscending": "Värde stigande",
  "AlphaDescending": "Värde sjunkande",
  "ChiSquare": "Chi-Ruta",
  "Nosort": "Ingen sort",
  "NosortDescription": "Sortera inte värdena. Värdena returneras i slumpmässig ordning.",
  "RelativeFrequency": "Relativ frekvens",
  "RelativeFrequencyDescription": "Sortera baserat på relativa frekvensvärden. Mindre vanliga värden kommer visas högre upp.",
  "DateDistribution": "Datumdistribution",
  "Custom": "Inställning",
  "CustomDescription": "Sortera baserat på en inställd order",
  "ComputedField": "Kalkylerat fält",
  "Ascending": "Stigande",
  "Descending": "Sjunkande",
  "noResultFor": "Inga resultat för {0}",
  "autoCorrectedQueryTo": "Förfrågan korrigerades automatiskt till {0}",
  "didYouMean": "Menade du: {0}",
  "SuggestedResults": "Föreslagna resultat",
  "SuggestedQueries": "Föreslagna förfrågan",
  "MostRelevantItems": "Mest relevanta objekt:",
  "AllItems": "Alla objekt:",
  "ShowLess": "Visa mindre",
  "ShowMore": "Visa mer",
  "HideFacet": "Göm sida",
  "ShowFacet": "Visa sida",
  "AndOthers": "och {0} <sn>annan</sn><pl>andra</pl>",
  "Others": "{0} <sn>annan</sn><pl>andra</pl>",
  "MostRelevantPosts": "Mest relevanta poster:",
  "CompleteThread": "Fullständig Tråd:",
  "ShowCompleteThread": "Visa Fullständig Tråd:",
  "ShowOnlyTopMatchingPosts": "Visa Endast Mest Matchande Poster",
  "MostRelevantReplies": "Mest Relevanta Svar:",
  "AllConversation": "Hel konversation:",
  "ShowAllConversation": "Visa Hel Konversation",
  "ShowAllReplies": "Visa Alla Svar",
  "ShowOnlyMostRelevantReplies": "Visa Endast Mest Relevanta Svar",
  "Close": "Stäng",
  "Open": "Öppna",
  "OpenInOutlookWhenPossible": "Öppna i Outlook (när det är möjligt)",
  "AlwaysOpenInNewWindow": "Öppna alltid resultat i nytt fönster",
  "Quickview": "Snabbvy",
  "NoQuickview": "Snabbvisningen för detta dokument finns inte",
  "ErrorReport": "Felrapport",
  "OopsError": "Det blev någonting fel på servern.",
  "ProblemPersists": "Om problemet fortgår kontakta administratör",
  "GoBack": "Gå tillbaka",
  "Reset": "Återställ",
  "Retry": "Försök igen",
  "MoreInfo": "Mer information",
  "Username": "Användarnamn",
  "Password": "Lösenord",
  "PostedBy": "Upplagd av",
  "CannotConnect": "Kan inte koppla upp till serveradressen.",
  "BadUserPass": "Lösenord matchar inte användarnamn.",
  "PleaseEnterYourCredentials": "Skriv in dina referenser för {0}",
  "PleaseEnterYourSearchPage": "Vänligen skriv in URL för din söksida",
  "Collapse": "Komprimera",
  "Collapsable": "Komprimerbar",
  "Expand": "Expandera",
  "Today": "Idag",
  "Yesterday": "Igår",
  "Tomorrow": "Imorgon",
  "Duration": "Varaktighet: {0}",
  "IndexDuration": "Indexvaraktighet: {0}",
  "ProxyDuration": "Proxyvaraktighet: {0}",
  "ClientDuration": "Klientvaraktighet: {0}",
  "Unavailable": "Otillgänglig",
  "Reply": "Svara",
  "ReplyAll": "Svara alla",
  "Forward": "Framåt",
  "From": "Från",
  "Caption": "Rubrik",
  "Expression": "Uttryck",
  "Tab": "Flik",
  "Tabs": "Flikar",
  "EnterExpressionName": "Skriv namn på uttryck",
  "EnterExpressionToFilterWith": "Skriv ett uttryck att filtrera resultat med",
  "SelectTab": "Välj Flik",
  "SelectAll": "Välj Alla",
  "PageUrl": "Söksida URL",
  "ErrorSavingToDevice": "Fel när information sparades på din enhet",
  "ErrorReadingFromDevice": "Fel när information inlästes från din enhet",
  "AppIntro": "Tala med en produktspecialist som kan svara på dina frågor om Coveo och hjälpa dig välja vilken Coveolösning som passar dig. Eller, prova en live demo",
  "TryDemo": "Prova Demo",
  "ContactUs": "Kontakta oss.",
  "NewToCoveo": "Ny Coveoanvändare?",
  "LetUsHelpGetStarted": "Låt oss hjälpa dig komma igång",
  "LikesThis": "{0} Gillar denna.",
  "CannotConnectSearchPage": "Kan ej koppla upp till din söksida",
  "AreYouSureDeleteFilter": "Är du säker på att vill radera filter{0} med uttryck {1}",
  "OnlineHelp": "Onlinehjälp",
  "Done": "Klar",
  "SaveFacetState": "Spara sidotillstånd",
  "ClearFacetState": "Rensa sidotillstånd",
  "DisplayingTheOnlyMessage": "Visar det enda meddelandet i denna konversation",
  "NoNetworkConnection": "Ingen nätverksuppkoppling",
  "UnknownConnection": "Okänd uppkoppling",
  "EthernetConnection": "Ethernet-uppkoppling",
  "WiFi": "WiFi- uppkoppling",
  "CELL": "Mobil-uppkoppling",
  "CELL_2G": "Mobil 2G-uppkoppling",
  "CELL_3G": "Mobil 3G-uppkoppling",
  "CELL_4G": "Mobil 4G-uppkoppling",
  "Relevance": "Relevans",
  "Date": "Datum",
  "Amount": "Mängd",
  "QueryExceptionNoException": "Inget undantag",
  "QueryExceptionInvalidSyntax": "Ogiltig syntax",
  "QueryExceptionInvalidCustomField": "Ogiltigt inställt fält",
  "QueryExceptionInvalidDate": "Ogiltigt datum",
  "QueryExceptionInvalidExactPhrase": "Ogiltigt exakt fras",
  "QueryExceptionInvalidDateOp": "Ogiltig datumoperatör",
  "QueryExceptionInvalidNear": "Ogiltig NÄR-operatör",
  "QueryExceptionInvalidWeightedNear": "Ogiltig vägd NÄR",
  "QueryExceptionInvalidTerm": "Ogiltig term",
  "QueryExceptionTooManyTerms": "För många termer",
  "QueryExceptionWildcardTooGeneral": "Vildkort för omfattande",
  "QueryExceptionInvalidSortField": "Ogiltigt sorteringsfält",
  "QueryExceptionInvalidSmallStringOp": "Ogiltig Liten Stringoperatör",
  "QueryExceptionRequestedResultsMax": "Begärt resultat Maximum",
  "QueryExceptionAggregatedMirrorDead": "Fjärrindexkopia är offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Fjärrindexkopia förfrågan tidsgräns gått ut",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Fjärrindexkopia ogiltigt byggnummer",
  "QueryExceptionAggregatedMirrorCannotConnect": "Fjärrindexkopia kan ej koppla upp",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Inte tillräckligt ledande karaktär vildkort",
  "QueryExceptionSecurityInverterNotFound": "Säkerhetsinverterare ej funnen",
  "QueryExceptionSecurityInverterAccessDenied": "Säkerhetsinverterare åtkomst nekad",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Fjärrindexkopia kan ej behandla förfrågan för användare",
  "QueryExceptionUnexpected": "Oväntad",
  "QueryExceptionAccessDenied": "Åtkomst nekad",
  "QueryExceptionSuperUserTokenInvalid": "Superanvändarlösen ogiltig",
  "QueryExceptionSuperUserTokenExpired": "Superanvändarlösen har gått ut",
  "QueryExceptionLicenseQueriesExpired": "Licensen för förfrågan har gått ut",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Licens superanvändarlösen stöds ej",
  "QueryExceptionInvalidSession": "Ogiltig session",
  "QueryExceptionInvalidDocument": "Ogiltigt dokument",
  "QueryExceptionSearchDisabled": "Sökning inaktiverad",
  "FileType": "Filtyp",
  "ShowAttachment": "Visa bilaga",
  "OnFeed": "på {0}´s feed",
  "Author": "Författare",
  "NoTitle": "Ingen Titel",
  "CurrentSelections": "Aktuella val",
  "AllContent": "Allt innehåll",
  "CancelLastAction": "Avbryt senaste åtgärd",
  "SearchTips": "Söktips",
  "CheckSpelling": "Kontrollera stavningen på dina nyckelord",
  "TryUsingFewerKeywords": "Försök att använda färre, annorlunda eller mer generella nyckelord",
  "SelectFewerFilters": "Välj färre filter för att bredda din sökning.",
  "Document": "Dokument",
  "Time": "Tid",
  "StartDate": "Startdatum",
  "StartTime": "Starttid",
  "DurationTitle": "Varaktighet",
  "UserQuery": "Användarfråga",
  "ShowUserActions": "Visa användaråtgärder",
  "NoData": "Ingen tillgängig data",
  "EventType": "Händelsetyp",
  "GoToFullSearch": "Fullständig sökning",
  "GoToEdition": "Anpassa panel",
  "RemoveContext": "Ta bort sammanhang",
  "BoxAttachToCase": "Bifoga till kundcase",
  "AttachToCase": "Bifoga till kundcase",
  "Attach": "Bifoga",
  "Attached": "Bifogat",
  "Detach": "Ta bort",
  "Details": "Detaljer",
  "AdditionalFilters": "Ytterligare filter",
  "SelectNonContextualSearch": "Ta bort sammanhanget från aktuell post för att bredda din sökning",
  "CopyPasteToSupport": "Kopiera och klistra in detta meddelande till Coveo-supportteam för mer information.",
  "FollowQueryDescription": "Varna mig för ändringar i sökresultaten för denna fråga.",
  "SearchAlerts_Panel": "Hantera varningar",
  "SearchAlerts_PanelDescription": "Visa och hantera dina sökresultatsvarningar.",
  "SearchAlerts_PanelNoSearchAlerts": "Du har inga prenumerationer.",
  "SearchAlerts_Fail": "Tjänsten för sökvarningarna finns för tillfället inte.",
  "SearchAlerts_Type": "Typ",
  "SearchAlerts_Content": "Innehåll",
  "SearchAlerts_Actions": "Åtgärd",
  "EmptyQuery": "<tom>",
  "SearchAlerts_Type_followQuery": "Fråga",
  "SearchAlerts_Type_followDocument": "Artikel",
  "SearchAlerts_unFollowing": "Sluta följa",
  "SearchAlerts_follow": "Följa",
  "SearchAlerts_followed": "Följd",
  "SearchAlerts_followQuery": "Följ fråga",
  "Subscription_StopFollowingQuery": "Sluta följa fråga",
  "SearchAlerts_Frequency": "När",
  "SubscriptionsManageSubscriptions": "Hantera varningar",
  "SubscriptionsMessageFollowQuery": "Du får varningar när frågan <b>{0}</b> returnerar nya eller uppdaterade artiklar.",
  "SubscriptionsMessageFollow": "Du får varningar för ändringar till artikeln <b>{0}</b>.",
  "Expiration": "Utgångstid",
  "Monthly": "Månadsvis",
  "Daily": "Dagligen",
  "Monday": "Måndag",
  "Tuesday": "Tisdag",
  "Wednesday": "Onsdag",
  "Thursday": "Torsdag",
  "Friday": "Fredag",
  "Saturday": "Lördag",
  "Sunday": "Lördag",
  "NextDay": "Nästa {0}",
  "LastDay": "Sista {0}",
  "StartTypingCaseForSuggestions": "Beskriv ditt problem för att se möjliga lösningar",
  "ExportToExcel": "Exportera till Excel",
  "ExportToExcelDescription": "Exportera sökresultat till Excel",
  "CaseCreationNoResults": "Inga rekommenderade lösningar hittades",
  "SortBy": "Sortera efter",
  "BoxCreateArticle": "Skapa artikel",
  "Facets": "Fasetter",
  "AdvancedSearch": "Avancerad sökning",
  "Keywords": "Nyckelord",
  "AllTheseWords": "Alla dessa ord",
  "ExactPhrase": "Denna exakta fras",
  "AnyOfTheseWords": "Något av dessa ord",
  "NoneOfTheseWords": "Inga av dessa ord",
  "Anytime": "När som helst",
  "InTheLast": "I den senaste",
  "Days": "dagar",
  "Months": "månader",
  "Month": "Månad",
  "Year": "År",
  "Between": "Mellan",
  "Language": "Språk",
  "Size": "Storlek",
  "AtLeast": "som mest",
  "AtMost": "som minst",
  "Contains": "innehåller",
  "DoesNotContain": "innehåller inte",
  "Matches": "matchningar",
  "Bytes": "bytes",
  "card": "Kort",
  "table": "Tabell",
  "ResultLinks": "Resultatlänkar",
  "EnableQuerySyntax": "Aktivera fråge-syntax",
  "On": "På",
  "Off": "Av",
  "Automatic": "Automatik",
  "ResultsPerPage": "Resultat per sida",
  "PreviousMonth": "Föregående månad",
  "NextMonth": "Nästa månad",
  "Title": "Titel",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["sv"] = merge(locales["sv"], dict);
  String["toLocaleString"].call(this, { "sv": dict });
  String["locale"] = "sv";
  String["defaultLocale"] = "en";
  Globalize.culture("sv")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Användare",
  "filetype_box user": "Användare",
  "html": "HTML-fil",
  "filetype_html": "HTML-fil",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Webbsida",
  "filetype_webscraperwebpage": "Webbsida",
  "image": "Bild",
  "filetype_image": "Bild",
  "folder": "Mapp",
  "filetype_folder": "Mapp",
  "txt": "Text",
  "filetype_txt": "Text",
  "zip": "Zip-fil",
  "filetype_zip": "Zip-fil",
  "olefile": "OLE-fil",
  "filetype_olefile": "OLE-fil",
  "gmailmessage": "Gmail-meddelande",
  "filetype_gmailmessage": "Gmail-meddelande",
  "pdf": "PDF-fil",
  "filetype_pdf": "PDF-fil",
  "swf": "Flash-fil",
  "filetype_swf": "Flash-fil",
  "xml": "XML-fil",
  "filetype_xml": "XML-fil",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS-kanal",
  "filetype_rssitem": "RSS-kanal",
  "doc": "Dokument",
  "filetype_doc": "Dokument",
  "docx": "Microsoft Word-dokument",
  "filetype_docx": "Microsoft Word-dokument",
  "xls": "Kalkylarksdokument",
  "filetype_xls": "Kalkylarksdokument",
  "ppt": "Presentationsdokument",
  "filetype_ppt": "Presentationsdokument",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text-dokument",
  "filetype_odt": "Open Text-dokument",
  "lithiummessage": "Lithium-meddelande",
  "filetype_lithiummessage": "Lithium-meddelande",
  "lithiumthread": "Lithium-tråd",
  "filetype_lithiumthread": "Lithium-tråd",
  "lithiumboard": "Lithium-anslagstavla",
  "filetype_lithiumboard": "Lithium-anslagstavla",
  "lithiumcategory": "Lithium-kategori",
  "filetype_lithiumcategory": "Lithium-kategori",
  "lithiumcommunity": "Lithium-diskussionsgrupp",
  "filetype_lithiumcommunity": "Lithium-diskussionsgrupp",
  "people": "Användare",
  "objecttype_people": "Användare",
  "message": "Meddelande",
  "objecttype_message": "Meddelande",
  "feed": "RSS-kanal",
  "objecttype_feed": "RSS-kanal",
  "thread": "Tråd",
  "objecttype_thread": "Tråd",
  "file": "Fil",
  "objecttype_file": "Fil",
  "board": "Anslagstavla",
  "objecttype_board": "Anslagstavla",
  "category": "Kategori",
  "objecttype_category": "Kategori",
  "account": "Konto",
  "objecttype_account": "Konto",
  "annotation": "Notis",
  "objecttype_annotation": "Notis",
  "campaign": "Kampanj",
  "objecttype_campaign": "Kampanj",
  "case": "Kundcase",
  "objecttype_case": "Kundcase",
  "contact": "Kontakt",
  "objecttype_contact": "Kontakt",
  "contract": "Kontrakt",
  "objecttype_contract": "Kontrakt",
  "event": "Händelse",
  "objecttype_event": "Händelse",
  "email": "E-post",
  "objecttype_email": "E-post",
  "goal": "Mål",
  "objecttype_goal": "Mål",
  "objecttype_incident": "Kundcase",
  "invoice": "Faktura",
  "objecttype_invoice": "Faktura",
  "lead": "Lead",
  "objecttype_lead": "Lead",
  "list": "Lista",
  "objecttype_list": "Marknadsföringslista",
  "solution": "Lösning",
  "objecttype_solution": "Lösning",
  "task": "Uppgift",
  "objecttype_task": "Uppgift",
  "user": "Användare",
  "objecttype_user": "Användare",
  "attachment": "Bilaga",
  "objecttype_attachment": "Bilaga",
  "casecomment": "Kommentar för kundcase",
  "objecttype_casecomment": "Kommentar för kundcase",
  "opportunity": "Säljprojekt",
  "objecttype_opportunity": "Säljprojekt",
  "opportunityproduct": "Säljprojektprodukt",
  "objecttype_opportunityproduct": "Säljprojektprodukt",
  "feeditem": "Chatter",
  "objecttype_feeditem": "Chatter",
  "feedcomment": "Chatter",
  "objecttype_feedcomment": "Chatter",
  "note": "Notis",
  "objecttype_note": "Notis",
  "product": "Produkt",
  "objecttype_product": "Produkt",
  "partner": "Partner",
  "objecttype_partner": "Partner",
  "queueitem": "Artikel i kö",
  "objecttype_queueitem": "Artikel i kö",
  "quote": "Offert",
  "objecttype_quote": "Offert",
  "salesliterature": "Säljlitteratur",
  "objecttype_salesliterature": "Säljlitteratur",
  "salesorder": "Säljorder",
  "objecttype_salesorder": "Säljorder",
  "service": "Service",
  "objecttype_service": "Service",
  "socialprofile": "Social profil",
  "objecttype_socialprofile": "Social profil",
  "kbdocumentation": "Dokumentation",
  "objecttype_kbdocumentation": "Dokumentation",
  "kbtechnicalarticle": "Dokumentation",
  "objecttype_kbtechnicalarticle": "Dokumentation",
  "kbsolution": "Lösning",
  "objecttype_kbsolution": "Lösning",
  "kbknowledgearticle": "Kunskapsartikel",
  "objecttype_kbknowledgearticle": "Kunskapsartikel",
  "kbattachment": "Bilaga",
  "objecttype_kbattachment": "Bilaga",
  "kbarticle": "Artikel",
  "objecttype_kbarticle": "Artikel",
  "kbarticlecomment": "Artikelkommentar",
  "objecttype_kbarticlecomment": "Artikelkommentar",
  "knowledgearticle": "Kunskapsartikel",
  "objecttype_knowledgearticle": "Kunskapsartikel",
  "topic": "Ämne",
  "objecttype_topic": "Ämne",
  "dashboard": "Instrumentpanel",
  "objecttype_dashboard": "Instrumentpanel",
  "contentversion": "Dokument",
  "objecttype_contentversion": "Dokument",
  "collaborationgroup": "Samarbetsgrupp",
  "objecttype_collaborationgroup": "Samarbetsgrupp",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Sida",
  "filetype_spsite": "Sida",
  "spuserprofile": "SharePoint-användare",
  "filetype_spuserprofile": "SharePoint-användare",
  "sparea": "Område",
  "filetype_sparea": "Område",
  "spannouncement": "Tillkännagivande",
  "filetype_spannouncement": "Tillkännagivande",
  "spannouncementlist": "Tillkännagivanden",
  "filetype_spannouncementlist": "Tillkännagivanden",
  "spcontact": "Kontakt",
  "filetype_spcontact": "Kontakt",
  "spcontactlist": "Kontakter",
  "filetype_spcontactlist": "Kontakter",
  "spcustomlist": "Egna listor",
  "filetype_spcustomlist": "Egna listor",
  "spdiscussionboard": "Diskussionsanslagstavla",
  "filetype_spdiscussionboard": "Diskussionsanslagstavla",
  "spdiscussionboardlist": "Diskussionsanslagstavlor",
  "filetype_spdiscussionboardlist": "Diskussionsanslagstavlor",
  "spdocumentlibrarylist": "Dokumentbibliotek",
  "filetype_spdocumentlibrarylist": "Dokumentbibliotek",
  "spevent": "Händelse",
  "filetype_spevent": "Händelse",
  "speventlist": "Händelser",
  "filetype_speventlist": "Händelser",
  "spformlibrarylist": "Formulärbibliotek",
  "filetype_spformlibrarylist": "Formulärbibliotek",
  "spissue": "Problem",
  "filetype_spissue": "Problem",
  "spissuelist": "Problem",
  "filetype_spissuelist": "Problem",
  "splink": "Länk",
  "filetype_splink": "Länk",
  "splinklist": "Länkar",
  "filetype_splinklist": "Länkar",
  "sppicturelibrarylist": "Bildbibliotek",
  "filetype_sppicturelibrarylist": "Bildbibliotek",
  "spsurvey": "Undersökning",
  "filetype_spsurvey": "Undersökning",
  "spsurveylist": "Undersökningar",
  "filetype_spsurveylist": "Undersökningar",
  "sptask": "Uppgift",
  "filetype_sptask": "Uppgift",
  "sptasklist": "Uppgifter",
  "filetype_sptasklist": "Uppgifter",
  "spagenda": "Dagordning",
  "filetype_spagenda": "Dagordning",
  "spagendalist": "Dagordningar",
  "filetype_spagendalist": "Dagordningar",
  "spattendee": "Deltagare",
  "filetype_spattendee": "Deltagare",
  "spattendeelist": "Deltagare",
  "filetype_spattendeelist": "Deltagare",
  "spcustomgridlist": "Egna rutnät",
  "filetype_spcustomgridlist": "Egna rutnät",
  "spdecision": "Beslut",
  "filetype_spdecision": "Beslut",
  "spdecisionlist": "Beslut",
  "filetype_spdecisionlist": "Beslut",
  "spobjective": "Objektiv",
  "filetype_spobjective": "Objektiv",
  "spobjectivelist": "Objektiv",
  "filetype_spobjectivelist": "Objektiv",
  "sptextbox": "Textruta",
  "filetype_sptextbox": "Textruta",
  "sptextboxlist": "Lista med textrutor",
  "filetype_sptextboxlist": "Lista med textrutor",
  "spthingstobring": "Sak att ta med",
  "filetype_spthingstobring": "Sak att ta med",
  "spthingstobringlist": "Saker att ta med",
  "filetype_spthingstobringlist": "Saker att ta med",
  "sparealisting": "Områdeslista",
  "filetype_sparealisting": "Områdeslista",
  "spmeetingserie": "Mötesserier",
  "filetype_spmeetingserie": "Mötesserier",
  "spmeetingserielist": "Lista med mötesserier",
  "filetype_spmeetingserielist": "Lista med mötesserier",
  "spsitedirectory": "Artikel för sidkatalog",
  "filetype_spsitedirectory": "Artikel för sidkatalog",
  "spsitedirectorylist": "Sidartikel",
  "filetype_spsitedirectorylist": "Sidartikel",
  "spdatasource": "Datakälla",
  "filetype_spdatasource": "Datakälla",
  "spdatasourcelist": "Lista med datakälla",
  "filetype_spdatasourcelist": "Lista med datakälla",
  "splisttemplatecataloglist": "Galleri med listmall",
  "filetype_splisttemplatecataloglist": "Galleri med listmall",
  "spwebpartcataloglist": "WebPart-galleri",
  "filetype_spwebpartcataloglist": "WebPart-galleri",
  "spwebtemplatecataloglist": "Galleri med sidmall",
  "filetype_spwebtemplatecataloglist": "Galleri med sidmall",
  "spworkspacepagelist": "Workspace-sidor",
  "filetype_spworkspacepagelist": "Workspace-sidor",
  "spunknownlist": "Egen lista",
  "filetype_spunknownlist": "Egen lista",
  "spadministratortask": "Administratörsuppgift",
  "filetype_spadministratortask": "Administratörsuppgift",
  "spadministratortasklist": "Administratöruppgifter",
  "filetype_spadministratortasklist": "Administratöruppgifter",
  "spareadocumentlibrarylist": "Bibliotek för områdesdokument",
  "filetype_spareadocumentlibrarylist": "Bibliotek för områdesdokument",
  "spblogcategory": "Bloggkategori",
  "filetype_spblogcategory": "Bloggkategori",
  "spblogcategorylist": "Bloggkategorier",
  "filetype_spblogcategorylist": "Bloggkategorier",
  "spblogcomment": "Bloggkommentar",
  "filetype_spblogcomment": "Bloggkommentar",
  "spblogcommentlist": "Bloggkommentarer",
  "filetype_spblogcommentlist": "Bloggkommentarer",
  "spblogpost": "Blogginlägg",
  "filetype_spblogpost": "Blogginlägg",
  "spblogpostlist": "Blogginlägg",
  "filetype_spblogpostlist": "Blogginlägg",
  "spdataconnectionlibrarylist": "Bibliotek för dataanslutning",
  "filetype_spdataconnectionlibrarylist": "Bibliotek för dataanslutning",
  "spdistributiongroup": "Distribueringsgrupp",
  "filetype_spdistributiongroup": "Distribueringsgrupp",
  "spdistributiongrouplist": "Distribueringsgrupp",
  "filetype_spdistributiongrouplist": "Distribueringsgrupp",
  "spipfslist": "Formulärservrar för InforPath",
  "filetype_spipfslist": "Formulärservrar för InforPath",
  "spkeyperformanceindicator": "Nyckelresultatindikator",
  "filetype_spkeyperformanceindicator": "Nyckelresultatindikator",
  "spkeyperformanceindicatorlist": "Nyckelresultatindikatorer",
  "filetype_spkeyperformanceindicatorlist": "Nyckelresultatindikatorer",
  "splanguagesandtranslator": "Språk och översättare",
  "filetype_splanguagesandtranslator": "Språk och översättare",
  "splanguagesandtranslatorlist": "Språk och översättare",
  "filetype_splanguagesandtranslatorlist": "Språk och översättare",
  "spmasterpagescataloglist": "Galleri för huvudsida",
  "filetype_spmasterpagescataloglist": "Galleri för huvudsida",
  "spnocodeworkflowlibrarylist": "Bibliotek för arbetsflöde utan kod",
  "filetype_spnocodeworkflowlibrarylist": "Bibliotek för arbetsflöde utan kod",
  "spprojecttask": "Projektuppgift",
  "filetype_spprojecttask": "Projektuppgift",
  "spprojecttasklist": "Projektuppgifter",
  "filetype_spprojecttasklist": "Projektuppgifter",
  "sppublishingpageslibrarylist": "Sidbibliotek",
  "filetype_sppublishingpageslibrarylist": "Sidbibliotek",
  "spreportdocumentlibrarylist": "Bibliotek för rapportdokument",
  "filetype_spreportdocumentlibrarylist": "Bibliotek för rapportdokument",
  "spreportlibrarylist": "Rapportbibliotek",
  "filetype_spreportlibrarylist": "Rapportbibliotek",
  "spslidelibrarylist": "Slide-bibliotek",
  "filetype_spslidelibrarylist": "Slide-bibliotek",
  "sptab": "Flikar",
  "filetype_sptab": "Flikar",
  "sptablist": "Fliklista",
  "filetype_sptablist": "Fliklista",
  "sptranslationmanagementlibrarylist": "Bibliotek för översättningshantering",
  "filetype_sptranslationmanagementlibrarylist": "Bibliotek för översättningshantering",
  "spuserinformation": "Användarinformation",
  "filetype_spuserinformation": "Användarinformation",
  "spuserinformationlist": "Användarinformationslista",
  "filetype_spuserinformationlist": "Användarinformationslista",
  "spwikipagelibrarylist": "Bibliotek med Wiki-sidor",
  "filetype_spwikipagelibrarylist": "Bibliotek med Wiki-sidor",
  "spworkflowhistory": "Arbetsflödeshistorik",
  "filetype_spworkflowhistory": "Arbetsflödeshistorik",
  "spworkflowhistorylist": "Lista med arbetsflödeshistorik",
  "filetype_spworkflowhistorylist": "Lista med arbetsflödeshistorik",
  "spworkflowprocess": "Egen arbetsflödesprocess",
  "filetype_spworkflowprocess": "Egen arbetsflödesprocess",
  "spworkflowprocesslist": "Egna arbetsflödesprocesser",
  "filetype_spworkflowprocesslist": "Egna arbetsflödesprocesser",
  "sppublishingimageslibrarylist": "Publicering av bildbibliotek",
  "filetype_sppublishingimageslibrarylist": "Publicering av bildbibliotek",
  "spcirculation": "Cirkulering",
  "filetype_spcirculation": "Cirkulering",
  "spcirculationlist": "Cirkuleringar",
  "filetype_spcirculationlist": "Cirkuleringar",
  "spdashboardslibrarylist": "Instrumentpanelbibliotek",
  "filetype_spdashboardslibrarylist": "Instrumentpanelbibliotek",
  "spdataconnectionforperformancepointlibrarylist": "Bibliotek med PerformancePoint-dataanslutning",
  "filetype_spdataconnectionforperformancepointlibrarylist": "Bibliotek med PerformancePoint-dataanslutning",
  "sphealthreport": "Hälsorapport",
  "filetype_sphealthreport": "Hälsorapport",
  "sphealthreportlist": "Hälsorapporter",
  "filetype_sphealthreportlist": "Hälsorapporter",
  "sphealthrule": "Hälsoregel",
  "filetype_sphealthrule": "Hälsoregel",
  "sphealthrulelist": "Hälsoregler",
  "filetype_sphealthrulelist": "Hälsoregler",
  "spimedictionary": "IME-ordlista",
  "filetype_spimedictionary": "IME-ordlista",
  "spimedictionarylist": "IME-ordlistor",
  "filetype_spimedictionarylist": "IME-ordlistor",
  "spperformancepointcontent": "PerformancePoint-innehåll",
  "filetype_spperformancepointcontent": "PerformancePoint-innehåll",
  "spperformancepointcontentlist": "PerformancePoint-innehåll",
  "filetype_spperformancepointcontentlist": "PerformancePoint-innehåll",
  "spphonecallmemo": "Minnesanteckning för telefonsamtal",
  "filetype_spphonecallmemo": "Minnesanteckning för telefonsamtal",
  "spphonecallmemolist": "Minnesanteckningar för telefonsamtal",
  "filetype_spphonecallmemolist": "Minnesanteckningar för telefonsamtal",
  "sprecordlibrarylist": "Postbibliotek",
  "filetype_sprecordlibrarylist": "Postbibliotek",
  "spresource": "Resurs",
  "filetype_spresource": "Resurs",
  "spresourcelist": "Resurser",
  "filetype_spresourcelist": "Resurser",
  "spprocessdiagramslibrarylist": "Bibliotek för processdiagram",
  "filetype_spprocessdiagramslibrarylist": "Bibliotek för processdiagram",
  "spsitethemeslibrarylist": "Bibliotek för sidtema",
  "filetype_spsitethemeslibrarylist": "Bibliotek för sidtema",
  "spsolutionslibrarylist": "Bibliotek för lösningar",
  "filetype_spsolutionslibrarylist": "Bibliotek för lösningar",
  "spwfpublibrarylist": "WFPUB-bibliotek",
  "filetype_spwfpublibrarylist": "WFPUB-bibliotek",
  "spwhereabout": "Vistelseplats",
  "filetype_spwhereabout": "Vistelseplats",
  "spwhereaboutlist": "Vistelseplatser",
  "filetype_spwhereaboutlist": "Vistelseplatser",
  "spdocumentlink": "Länk till ett dokument",
  "filetype_spdocumentlink": "Länk till ett dokument",
  "spdocumentset": "Dokumentuppsättning",
  "filetype_spdocumentset": "Dokumentuppsättning",
  "spmicrofeedpost": "Mikrokanalinlägg",
  "filetype_spmicrofeedpost": "Mikrokanalinlägg",
  "spmicrofeedlist": "Mikrokanal",
  "filetype_spmicrofeedlist": "Mikrokanal",
  "splistfolder": "Listmapp",
  "filetype_splistfolder": "Listmapp",
  "Unknown": "Okänd",
  "And": "OCH",
  "Authenticating": "Autentiserar {0}…",
  "Clear": "Rensa {0}",
  "CompleteQuery": "Fullständig förfrågan",
  "Exclude": "Exkludera {0}",
  "EnterTag": "Lägg till etikett",
  "Next": "Nästa",
  "Last": "Sista",
  "Link": "Länk",
  "Or": "ELLER",
  "Previous": "Tidigare",
  "QueryDidntMatchAnyDocuments": "Din förfrågan matchade inte några dokument",
  "QueryException": "Din förfrågan har ett fel: {0}.",
  "Me": "Jag",
  "Remove": "Ta bort",
  "Search": "Sök",
  "SearchFor": "Sök efter {0}",
  "ShareQuery": "Dela Förfrågan",
  "Preferences": "Preferenser",
  "LinkOpeningSettings": "Inställningar för Öppnande av Länk",
  "Reauthenticate": "Återautentisera {0}",
  "ResultsFilteringExpression": "Uttryck Resultatfiltrering",
  "FiltersInYourPreferences": "Filtrerar bland dina preferenser",
  "Create": "Skapa",
  "SearchIn": "Sök i {0}",
  "Seconds": "I {0} sekund <pl>sekunder</pl>",
  "ShowingResultsOf": "Resultat<pl>en</pl> {0}<pl>-{1}</pl> av {2}",
  "ShowingResultsOfWithQuery": "Resultat<pl>en</pl> {0}<pl>-{1}</pl> av {2} för {3}",
  "SwitchTo": "Byt till {0}",
  "Unexclude": "Ta bort exkludering {0}",
  "ClearAllFilters": "Rensa Alla Filter",
  "SkipLogin": "Hoppa Över Inloggning",
  "LoginInProgress": "Inloggning sker, var god vänta...",
  "Login": "Logga in",
  "GetStarted": "Kom igång",
  "More": "Mer",
  "NMore": "{0} fler…",
  "Less": "Färre",
  "Settings": "Inställningar",
  "Score": "Poäng",
  "ScoreDescription": "Poängen kalkyleras med antal förekomster såväl från positionen i den aktuella resultatuppsättningen",
  "Occurrences": "Förekomster",
  "OccurrencesDescription": "Sortera genom antalet förekomster där högsta numret visas först",
  "Label": "Etikett",
  "Of": "av",
  "LabelDescription": "Sortera alfabetiskt på fältvärden",
  "Value": "Värde",
  "ValueDescription": "Sortera på värdena på de först uträknade fälten",
  "AlphaAscending": "Värde stigande",
  "AlphaDescending": "Värde sjunkande",
  "ChiSquare": "Chi-Ruta",
  "Nosort": "Ingen sort",
  "NosortDescription": "Sortera inte värdena. Värdena returneras i slumpmässig ordning.",
  "RelativeFrequency": "Relativ frekvens",
  "RelativeFrequencyDescription": "Sortera baserat på relativa frekvensvärden. Mindre vanliga värden kommer visas högre upp.",
  "DateDistribution": "Datumdistribution",
  "Custom": "Inställning",
  "CustomDescription": "Sortera baserat på en inställd order",
  "ComputedField": "Kalkylerat fält",
  "Ascending": "Stigande",
  "Descending": "Sjunkande",
  "noResultFor": "Inga resultat för {0}",
  "autoCorrectedQueryTo": "Förfrågan korrigerades automatiskt till {0}",
  "didYouMean": "Menade du: {0}",
  "SuggestedResults": "Föreslagna resultat",
  "SuggestedQueries": "Föreslagna förfrågan",
  "MostRelevantItems": "Mest relevanta objekt:",
  "AllItems": "Alla objekt:",
  "ShowLess": "Visa mindre",
  "ShowMore": "Visa mer",
  "HideFacet": "Göm sida",
  "ShowFacet": "Visa sida",
  "AndOthers": "och {0} <sn>annan</sn><pl>andra</pl>",
  "Others": "{0} <sn>annan</sn><pl>andra</pl>",
  "MostRelevantPosts": "Mest relevanta poster:",
  "CompleteThread": "Fullständig Tråd:",
  "ShowCompleteThread": "Visa Fullständig Tråd:",
  "ShowOnlyTopMatchingPosts": "Visa Endast Mest Matchande Poster",
  "MostRelevantReplies": "Mest Relevanta Svar:",
  "AllConversation": "Hel konversation:",
  "ShowAllConversation": "Visa Hel Konversation",
  "ShowAllReplies": "Visa Alla Svar",
  "ShowOnlyMostRelevantReplies": "Visa Endast Mest Relevanta Svar",
  "Close": "Stäng",
  "Open": "Öppna",
  "OpenInOutlookWhenPossible": "Öppna i Outlook (när det är möjligt)",
  "AlwaysOpenInNewWindow": "Öppna alltid resultat i nytt fönster",
  "Quickview": "Snabbvy",
  "NoQuickview": "Snabbvisningen för detta dokument finns inte",
  "ErrorReport": "Felrapport",
  "OopsError": "Det blev någonting fel på servern.",
  "ProblemPersists": "Om problemet fortgår kontakta administratör",
  "GoBack": "Gå tillbaka",
  "Reset": "Återställ",
  "Retry": "Försök igen",
  "MoreInfo": "Mer information",
  "Username": "Användarnamn",
  "Password": "Lösenord",
  "PostedBy": "Upplagd av",
  "CannotConnect": "Kan inte koppla upp till serveradressen.",
  "BadUserPass": "Lösenord matchar inte användarnamn.",
  "PleaseEnterYourCredentials": "Skriv in dina referenser för {0}",
  "PleaseEnterYourSearchPage": "Vänligen skriv in URL för din söksida",
  "Collapse": "Komprimera",
  "Collapsable": "Komprimerbar",
  "Expand": "Expandera",
  "Today": "Idag",
  "Yesterday": "Igår",
  "Tomorrow": "Imorgon",
  "Duration": "Varaktighet: {0}",
  "IndexDuration": "Indexvaraktighet: {0}",
  "ProxyDuration": "Proxyvaraktighet: {0}",
  "ClientDuration": "Klientvaraktighet: {0}",
  "Unavailable": "Otillgänglig",
  "Reply": "Svara",
  "ReplyAll": "Svara alla",
  "Forward": "Framåt",
  "From": "Från",
  "Caption": "Rubrik",
  "Expression": "Uttryck",
  "Tab": "Flik",
  "Tabs": "Flikar",
  "EnterExpressionName": "Skriv namn på uttryck",
  "EnterExpressionToFilterWith": "Skriv ett uttryck att filtrera resultat med",
  "SelectTab": "Välj Flik",
  "SelectAll": "Välj Alla",
  "PageUrl": "Söksida URL",
  "ErrorSavingToDevice": "Fel när information sparades på din enhet",
  "ErrorReadingFromDevice": "Fel när information inlästes från din enhet",
  "AppIntro": "Tala med en produktspecialist som kan svara på dina frågor om Coveo och hjälpa dig välja vilken Coveolösning som passar dig. Eller, prova en live demo",
  "TryDemo": "Prova Demo",
  "ContactUs": "Kontakta oss.",
  "NewToCoveo": "Ny Coveoanvändare?",
  "LetUsHelpGetStarted": "Låt oss hjälpa dig komma igång",
  "LikesThis": "{0} Gillar denna.",
  "CannotConnectSearchPage": "Kan ej koppla upp till din söksida",
  "AreYouSureDeleteFilter": "Är du säker på att vill radera filter{0} med uttryck {1}",
  "OnlineHelp": "Onlinehjälp",
  "Done": "Klar",
  "SaveFacetState": "Spara sidotillstånd",
  "ClearFacetState": "Rensa sidotillstånd",
  "DisplayingTheOnlyMessage": "Visar det enda meddelandet i denna konversation",
  "NoNetworkConnection": "Ingen nätverksuppkoppling",
  "UnknownConnection": "Okänd uppkoppling",
  "EthernetConnection": "Ethernet-uppkoppling",
  "WiFi": "WiFi- uppkoppling",
  "CELL": "Mobil-uppkoppling",
  "CELL_2G": "Mobil 2G-uppkoppling",
  "CELL_3G": "Mobil 3G-uppkoppling",
  "CELL_4G": "Mobil 4G-uppkoppling",
  "Relevance": "Relevans",
  "Date": "Datum",
  "Amount": "Mängd",
  "QueryExceptionNoException": "Inget undantag",
  "QueryExceptionInvalidSyntax": "Ogiltig syntax",
  "QueryExceptionInvalidCustomField": "Ogiltigt inställt fält",
  "QueryExceptionInvalidDate": "Ogiltigt datum",
  "QueryExceptionInvalidExactPhrase": "Ogiltigt exakt fras",
  "QueryExceptionInvalidDateOp": "Ogiltig datumoperatör",
  "QueryExceptionInvalidNear": "Ogiltig NÄR-operatör",
  "QueryExceptionInvalidWeightedNear": "Ogiltig vägd NÄR",
  "QueryExceptionInvalidTerm": "Ogiltig term",
  "QueryExceptionTooManyTerms": "För många termer",
  "QueryExceptionWildcardTooGeneral": "Vildkort för omfattande",
  "QueryExceptionInvalidSortField": "Ogiltigt sorteringsfält",
  "QueryExceptionInvalidSmallStringOp": "Ogiltig Liten Stringoperatör",
  "QueryExceptionRequestedResultsMax": "Begärt resultat Maximum",
  "QueryExceptionAggregatedMirrorDead": "Fjärrindexkopia är offline",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Fjärrindexkopia förfrågan tidsgräns gått ut",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Fjärrindexkopia ogiltigt byggnummer",
  "QueryExceptionAggregatedMirrorCannotConnect": "Fjärrindexkopia kan ej koppla upp",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Inte tillräckligt ledande karaktär vildkort",
  "QueryExceptionSecurityInverterNotFound": "Säkerhetsinverterare ej funnen",
  "QueryExceptionSecurityInverterAccessDenied": "Säkerhetsinverterare åtkomst nekad",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Fjärrindexkopia kan ej behandla förfrågan för användare",
  "QueryExceptionUnexpected": "Oväntad",
  "QueryExceptionAccessDenied": "Åtkomst nekad",
  "QueryExceptionSuperUserTokenInvalid": "Superanvändarlösen ogiltig",
  "QueryExceptionSuperUserTokenExpired": "Superanvändarlösen har gått ut",
  "QueryExceptionLicenseQueriesExpired": "Licensen för förfrågan har gått ut",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Licens superanvändarlösen stöds ej",
  "QueryExceptionInvalidSession": "Ogiltig session",
  "QueryExceptionInvalidDocument": "Ogiltigt dokument",
  "QueryExceptionSearchDisabled": "Sökning inaktiverad",
  "FileType": "Filtyp",
  "ShowAttachment": "Visa bilaga",
  "OnFeed": "på {0}´s feed",
  "Author": "Författare",
  "NoTitle": "Ingen Titel",
  "CurrentSelections": "Aktuella val",
  "AllContent": "Allt innehåll",
  "CancelLastAction": "Avbryt senaste åtgärd",
  "SearchTips": "Söktips",
  "CheckSpelling": "Kontrollera stavningen på dina nyckelord",
  "TryUsingFewerKeywords": "Försök att använda färre, annorlunda eller mer generella nyckelord",
  "SelectFewerFilters": "Välj färre filter för att bredda din sökning.",
  "Document": "Dokument",
  "Time": "Tid",
  "StartDate": "Startdatum",
  "StartTime": "Starttid",
  "DurationTitle": "Varaktighet",
  "UserQuery": "Användarfråga",
  "ShowUserActions": "Visa användaråtgärder",
  "NoData": "Ingen tillgängig data",
  "EventType": "Händelsetyp",
  "GoToFullSearch": "Fullständig sökning",
  "GoToEdition": "Anpassa panel",
  "RemoveContext": "Ta bort sammanhang",
  "BoxAttachToCase": "Bifoga till kundcase",
  "AttachToCase": "Bifoga till kundcase",
  "Attach": "Bifoga",
  "Attached": "Bifogat",
  "Detach": "Ta bort",
  "Details": "Detaljer",
  "AdditionalFilters": "Ytterligare filter",
  "SelectNonContextualSearch": "Ta bort sammanhanget från aktuell post för att bredda din sökning",
  "CopyPasteToSupport": "Kopiera och klistra in detta meddelande till Coveo-supportteam för mer information.",
  "FollowQueryDescription": "Varna mig för ändringar i sökresultaten för denna fråga.",
  "SearchAlerts_Panel": "Hantera varningar",
  "SearchAlerts_PanelDescription": "Visa och hantera dina sökresultatsvarningar.",
  "SearchAlerts_PanelNoSearchAlerts": "Du har inga prenumerationer.",
  "SearchAlerts_Fail": "Tjänsten för sökvarningarna finns för tillfället inte.",
  "SearchAlerts_Type": "Typ",
  "SearchAlerts_Content": "Innehåll",
  "SearchAlerts_Actions": "Åtgärd",
  "EmptyQuery": "<tom>",
  "SearchAlerts_Type_followQuery": "Fråga",
  "SearchAlerts_Type_followDocument": "Artikel",
  "SearchAlerts_unFollowing": "Sluta följa",
  "SearchAlerts_follow": "Följa",
  "SearchAlerts_followed": "Följd",
  "SearchAlerts_followQuery": "Följ fråga",
  "Subscription_StopFollowingQuery": "Sluta följa fråga",
  "SearchAlerts_Frequency": "När",
  "SubscriptionsManageSubscriptions": "Hantera varningar",
  "SubscriptionsMessageFollowQuery": "Du får varningar när frågan <b>{0}</b> returnerar nya eller uppdaterade artiklar.",
  "SubscriptionsMessageFollow": "Du får varningar för ändringar till artikeln <b>{0}</b>.",
  "Expiration": "Utgångstid",
  "Monthly": "Månadsvis",
  "Daily": "Dagligen",
  "Monday": "Måndag",
  "Tuesday": "Tisdag",
  "Wednesday": "Onsdag",
  "Thursday": "Torsdag",
  "Friday": "Fredag",
  "Saturday": "Lördag",
  "Sunday": "Lördag",
  "NextDay": "Nästa {0}",
  "LastDay": "Sista {0}",
  "StartTypingCaseForSuggestions": "Beskriv ditt problem för att se möjliga lösningar",
  "ExportToExcel": "Exportera till Excel",
  "ExportToExcelDescription": "Exportera sökresultat till Excel",
  "CaseCreationNoResults": "Inga rekommenderade lösningar hittades",
  "SortBy": "Sortera efter",
  "BoxCreateArticle": "Skapa artikel",
  "Facets": "Fasetter",
  "AdvancedSearch": "Avancerad sökning",
  "Keywords": "Nyckelord",
  "AllTheseWords": "Alla dessa ord",
  "ExactPhrase": "Denna exakta fras",
  "AnyOfTheseWords": "Något av dessa ord",
  "NoneOfTheseWords": "Inga av dessa ord",
  "Anytime": "När som helst",
  "InTheLast": "I den senaste",
  "Days": "dagar",
  "Months": "månader",
  "Month": "Månad",
  "Year": "År",
  "Between": "Mellan",
  "Language": "Språk",
  "Size": "Storlek",
  "AtLeast": "som mest",
  "AtMost": "som minst",
  "Contains": "innehåller",
  "DoesNotContain": "innehåller inte",
  "Matches": "matchningar",
  "Bytes": "bytes",
  "card": "Kort",
  "table": "Tabell",
  "ResultLinks": "Resultatlänkar",
  "EnableQuerySyntax": "Aktivera fråge-syntax",
  "On": "På",
  "Off": "Av",
  "Automatic": "Automatik",
  "ResultsPerPage": "Resultat per sida",
  "PreviousMonth": "Föregående månad",
  "NextMonth": "Nästa månad",
  "Title": "Titel",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["sv"] = merge(locales["sv"], dict);
  String["toLocaleString"].call(this, { "sv": dict });
  String["locale"] = "sv";
  String["defaultLocale"] = "en";
  Globalize.culture("sv")
}