/*
 * Globalize Culture tr
 *
 * http://github.com/jquery/globalize
 *
 * Copyright Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * This file was generated by the Globalize Culture Generator
 * Translation: bugs found in this file need to be fixed in the generator
 */

(function( window, undefined ) {

var Globalize;

if ( typeof require !== "undefined" &&
	typeof exports !== "undefined" &&
	typeof module !== "undefined" ) {
	// Assume CommonJS
	Globalize = require( "globalize" );
} else {
	// Global variable
	Globalize = window.Globalize;
}

Globalize.addCultureInfo( "tr", "default", {
	name: "tr",
	englishName: "Turkish",
	nativeName: "Türkçe",
	language: "tr",
	numberFormat: {
		",": ".",
		".": ",",
		percent: {
			pattern: ["-%n","%n"],
			",": ".",
			".": ","
		},
		currency: {
			pattern: ["-n $","n $"],
			",": ".",
			".": ",",
			symbol: "TL"
		}
	},
	calendars: {
		standard: {
			"/": ".",
			firstDay: 1,
			days: {
				names: ["Pazar","Pazartesi","Salı","Çarşamba","Perşembe","Cuma","Cumartesi"],
				namesAbbr: ["Paz","Pzt","Sal","Çar","Per","Cum","Cmt"],
				namesShort: ["Pz","Pt","Sa","Ça","Pe","Cu","Ct"]
			},
			months: {
				names: ["Ocak","Şubat","Mart","Nisan","Mayıs","Haziran","Temmuz","Ağustos","Eylül","Ekim","Kasım","Aralık",""],
				namesAbbr: ["Oca","Şub","Mar","Nis","May","Haz","Tem","Ağu","Eyl","Eki","Kas","Ara",""]
			},
			AM: null,
			PM: null,
			patterns: {
				d: "dd.MM.yyyy",
				D: "dd MMMM yyyy dddd",
				t: "HH:mm",
				T: "HH:mm:ss",
				f: "dd MMMM yyyy dddd HH:mm",
				F: "dd MMMM yyyy dddd HH:mm:ss",
				M: "dd MMMM",
				Y: "MMMM yyyy"
			}
		}
	}
});

}( this ));
(function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}
var dict = {
  "box user": "Kullanıcı",
  "filetype_box user": "Kullanıcı",
  "html": "HTML Dosyası",
  "filetype_html": "HTML Dosyası",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Web Sayfası",
  "filetype_webscraperwebpage": "Web Sayfası",
  "image": "Görüntü",
  "filetype_image": "Görüntü",
  "folder": "Klasör",
  "filetype_folder": "Klasör",
  "txt": "Metin",
  "filetype_txt": "Metin",
  "zip": "Zip Dosyası",
  "filetype_zip": "Zip Dosyası",
  "olefile": "OLE dosyası",
  "filetype_olefile": "OLE dosyası",
  "gmailmessage": "Gmail Mesajı",
  "filetype_gmailmessage": "Gmail Mesajı",
  "pdf": "PDF Dosyası",
  "filetype_pdf": "PDF Dosyası",
  "swf": "Flash Dosyası",
  "filetype_swf": "Flash Dosyası",
  "xml": "XML Dosyası",
  "filetype_xml": "XML Dosyası",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS beslemesi",
  "filetype_rssitem": "RSS beslemesi",
  "doc": "Belge",
  "filetype_doc": "Belge",
  "docx": "Microsoft Word Belgesi",
  "filetype_docx": "Microsoft Word Belgesi",
  "xls": "Spreadsheet Belgesi",
  "filetype_xls": "Spreadsheet Belgesi",
  "ppt": "Sunum Belgesi",
  "filetype_ppt": "Sunum Belgesi",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text Belgesi",
  "filetype_odt": "Open Text Belgesi",
  "lithiummessage": "Lithium Mesajı",
  "filetype_lithiummessage": "Lithium Mesajı",
  "lithiumthread": "Lithium Mesaj Dizisi",
  "filetype_lithiumthread": "Lithium Mesaj Dizisi",
  "lithiumboard": "Lithium Paneli",
  "filetype_lithiumboard": "Lithium Paneli",
  "lithiumcategory": "Lithium Kategorisi",
  "filetype_lithiumcategory": "Lithium Kategorisi",
  "lithiumcommunity": "Lithium Topluluğu",
  "filetype_lithiumcommunity": "Lithium Topluluğu",
  "people": "Kullanıcı",
  "objecttype_people": "Kullanıcı",
  "message": "Mesaj",
  "objecttype_message": "Mesaj",
  "feed": "RSS Beslemesi",
  "objecttype_feed": "RSS Beslemesi",
  "thread": "Mesaj Dizisi",
  "objecttype_thread": "Mesaj Dizisi",
  "file": "Dosya",
  "objecttype_file": "Dosya",
  "board": "Panel",
  "objecttype_board": "Panel",
  "category": "Kategori",
  "objecttype_category": "Kategori",
  "account": "Hesap",
  "objecttype_account": "Hesap",
  "annotation": "Not",
  "objecttype_annotation": "Not",
  "campaign": "Kampanya",
  "objecttype_campaign": "Kampanya",
  "case": "Talep",
  "objecttype_case": "Talep",
  "contact": "İrtibat",
  "objecttype_contact": "İrtibat",
  "contract": "Sözleşme",
  "objecttype_contract": "Sözleşme",
  "event": "Etkinlik",
  "objecttype_event": "Etkinlik",
  "email": "E-posta",
  "objecttype_email": "E-posta",
  "goal": "Hedef",
  "objecttype_goal": "Hedef",
  "objecttype_incident": "Talep",
  "invoice": "Fatura",
  "objecttype_invoice": "Fatura",
  "lead": "Hedef Müşteri",
  "objecttype_lead": "Hedef Müşteri",
  "list": "Liste",
  "objecttype_list": "Pazarlama Listesi",
  "solution": "Çözüm",
  "objecttype_solution": "Çözüm",
  "task": "Görev",
  "objecttype_task": "Görev",
  "user": "Kullanıcı",
  "objecttype_user": "Kullanıcı",
  "attachment": "Ek",
  "objecttype_attachment": "Ek",
  "casecomment": "Talep Yorumu",
  "objecttype_casecomment": "Talep Yorumu",
  "opportunity": "Fırsat",
  "objecttype_opportunity": "Fırsat",
  "opportunityproduct": "Fırsat Ürünü",
  "objecttype_opportunityproduct": "Fırsat Ürünü",
  "feeditem": "Sohbet",
  "objecttype_feeditem": "Sohbet",
  "feedcomment": "Sohbet",
  "objecttype_feedcomment": "Sohbet",
  "note": "Not",
  "objecttype_note": "Not",
  "product": "Ürün",
  "objecttype_product": "Ürün",
  "partner": "Ortak",
  "objecttype_partner": "Ortak",
  "queueitem": "Sıra Öğesi",
  "objecttype_queueitem": "Sıra Öğesi",
  "quote": "Teklif",
  "objecttype_quote": "Teklif",
  "salesliterature": "Satış Literatürü",
  "objecttype_salesliterature": "Satış Literatürü",
  "salesorder": "Satış Siparişi",
  "objecttype_salesorder": "Satış Siparişi",
  "service": "Servis",
  "objecttype_service": "Servis",
  "socialprofile": "Sosyal Profil",
  "objecttype_socialprofile": "Sosyal Profil",
  "kbdocumentation": "Dokümantasyon",
  "objecttype_kbdocumentation": "Dokümantasyon",
  "kbtechnicalarticle": "Dokümantasyon",
  "objecttype_kbtechnicalarticle": "Dokümantasyon",
  "kbsolution": "Çözüm",
  "objecttype_kbsolution": "Çözüm",
  "kbknowledgearticle": "Bilgi Makalesi",
  "objecttype_kbknowledgearticle": "Bilgi Makalesi",
  "kbattachment": "Ek",
  "objecttype_kbattachment": "Ek",
  "kbarticle": "Makale",
  "objecttype_kbarticle": "Makale",
  "kbarticlecomment": "Makale Yorumu",
  "objecttype_kbarticlecomment": "Makale Yorumu",
  "knowledgearticle": "Bilgi Makalesi",
  "objecttype_knowledgearticle": "Bilgi Makalesi",
  "topic": "Konu",
  "objecttype_topic": "Konu",
  "dashboard": "Pano",
  "objecttype_dashboard": "Pano",
  "contentversion": "Belge",
  "objecttype_contentversion": "Belge",
  "collaborationgroup": "İşbirliği grubu",
  "objecttype_collaborationgroup": "İşbirliği grubu",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Site",
  "filetype_spsite": "Site",
  "spuserprofile": "SharePoint Kullanıcısı",
  "filetype_spuserprofile": "SharePoint Kullanıcısı",
  "sparea": "Alan",
  "filetype_sparea": "Alan",
  "spannouncement": "Duyuru",
  "filetype_spannouncement": "Duyuru",
  "spannouncementlist": "Duyurular",
  "filetype_spannouncementlist": "Duyurular",
  "spcontact": "İrtibat",
  "filetype_spcontact": "İrtibat",
  "spcontactlist": "İrtibatlar",
  "filetype_spcontactlist": "İrtibatlar",
  "spcustomlist": "Özel Listeler",
  "filetype_spcustomlist": "Özel Listeler",
  "spdiscussionboard": "Tartışma Paneli",
  "filetype_spdiscussionboard": "Tartışma Paneli",
  "spdiscussionboardlist": "Tartışma Panelleri",
  "filetype_spdiscussionboardlist": "Tartışma Panelleri",
  "spdocumentlibrarylist": "Belge Kütüphanesi",
  "filetype_spdocumentlibrarylist": "Belge Kütüphanesi",
  "spevent": "Etkinlik",
  "filetype_spevent": "Etkinlik",
  "speventlist": "Etkinlikler",
  "filetype_speventlist": "Etkinlikler",
  "spformlibrarylist": "Form Kütüphanesi",
  "filetype_spformlibrarylist": "Form Kütüphanesi",
  "spissue": "Sorun",
  "filetype_spissue": "Sorun",
  "spissuelist": "Sorunlar",
  "filetype_spissuelist": "Sorunlar",
  "splink": "Bağlantı",
  "filetype_splink": "Bağlantı",
  "splinklist": "Bağlantılar",
  "filetype_splinklist": "Bağlantılar",
  "sppicturelibrarylist": "Resim Kütüphanesi",
  "filetype_sppicturelibrarylist": "Resim Kütüphanesi",
  "spsurvey": "Anket",
  "filetype_spsurvey": "Anket",
  "spsurveylist": "Anketler",
  "filetype_spsurveylist": "Anketler",
  "sptask": "Görev",
  "filetype_sptask": "Görev",
  "sptasklist": "Görevler",
  "filetype_sptasklist": "Görevler",
  "spagenda": "Gündem",
  "filetype_spagenda": "Gündem",
  "spagendalist": "Gündemler",
  "filetype_spagendalist": "Gündemler",
  "spattendee": "Katılımcı",
  "filetype_spattendee": "Katılımcı",
  "spattendeelist": "Katılımcılar",
  "filetype_spattendeelist": "Katılımcılar",
  "spcustomgridlist": "Özel Kılavuzlar",
  "filetype_spcustomgridlist": "Özel Kılavuzlar",
  "spdecision": "Karar",
  "filetype_spdecision": "Karar",
  "spdecisionlist": "Kararlar",
  "filetype_spdecisionlist": "Kararlar",
  "spobjective": "Amaç",
  "filetype_spobjective": "Amaç",
  "spobjectivelist": "Amaçlar",
  "filetype_spobjectivelist": "Amaçlar",
  "sptextbox": "Metin kutusu",
  "filetype_sptextbox": "Metin kutusu",
  "sptextboxlist": "Metin kutusu listesi",
  "filetype_sptextboxlist": "Metin kutusu listesi",
  "spthingstobring": "Getirilecek Şey",
  "filetype_spthingstobring": "Getirilecek Şey",
  "spthingstobringlist": "Getirilecek Şeyler",
  "filetype_spthingstobringlist": "Getirilecek Şeyler",
  "sparealisting": "Alan Listelemesi",
  "filetype_sparealisting": "Alan Listelemesi",
  "spmeetingserie": "Toplantı serisi",
  "filetype_spmeetingserie": "Toplantı serisi",
  "spmeetingserielist": "Toplantı Serisi Listesi",
  "filetype_spmeetingserielist": "Toplantı Serisi Listesi",
  "spsitedirectory": "Site Dizin Öğesi",
  "filetype_spsitedirectory": "Site Dizin Öğesi",
  "spsitedirectorylist": "Site Dizini",
  "filetype_spsitedirectorylist": "Site Dizini",
  "spdatasource": "Veri Kaynağı",
  "filetype_spdatasource": "Veri Kaynağı",
  "spdatasourcelist": "Veri Kaynağı Listesi",
  "filetype_spdatasourcelist": "Veri Kaynağı Listesi",
  "splisttemplatecataloglist": "Liste Şablonu Galerisi",
  "filetype_splisttemplatecataloglist": "Liste Şablonu Galerisi",
  "spwebpartcataloglist": "WebPart Galerisi",
  "filetype_spwebpartcataloglist": "WebPart Galerisi",
  "spwebtemplatecataloglist": "Site Şablonu Galerisi",
  "filetype_spwebtemplatecataloglist": "Site Şablonu Galerisi",
  "spworkspacepagelist": "Workspace Sayfaları",
  "filetype_spworkspacepagelist": "Workspace Sayfaları",
  "spunknownlist": "Özel Liste",
  "filetype_spunknownlist": "Özel Liste",
  "spadministratortask": "Yönetici Görevi",
  "filetype_spadministratortask": "Yönetici Görevi",
  "spadministratortasklist": "Yönetici Görevleri",
  "filetype_spadministratortasklist": "Yönetici Görevleri",
  "spareadocumentlibrarylist": "Alan Belge Kütüphanesi",
  "filetype_spareadocumentlibrarylist": "Alan Belge Kütüphanesi",
  "spblogcategory": "Blog Kategorisi",
  "filetype_spblogcategory": "Blog Kategorisi",
  "spblogcategorylist": "Blog Kategorileri",
  "filetype_spblogcategorylist": "Blog Kategorileri",
  "spblogcomment": "Blog Yorumu",
  "filetype_spblogcomment": "Blog Yorumu",
  "spblogcommentlist": "Blog Yorumları",
  "filetype_spblogcommentlist": "Blog Yorumları",
  "spblogpost": "Blog Gönderisi",
  "filetype_spblogpost": "Blog Gönderisi",
  "spblogpostlist": "Blog Gönderileri",
  "filetype_spblogpostlist": "Blog Gönderileri",
  "spdataconnectionlibrarylist": "Veri Bağlantısı Kütüphanesi",
  "filetype_spdataconnectionlibrarylist": "Veri Bağlantısı Kütüphanesi",
  "spdistributiongroup": "Dağıtım Grubu",
  "filetype_spdistributiongroup": "Dağıtım Grubu",
  "spdistributiongrouplist": "Dağıtım Grupları",
  "filetype_spdistributiongrouplist": "Dağıtım Grupları",
  "spipfslist": "InfoPath Form Sunucuları",
  "filetype_spipfslist": "InfoPath Form Sunucuları",
  "spkeyperformanceindicator": "Kilit Performans Göstergesi",
  "filetype_spkeyperformanceindicator": "Kilit Performans Göstergesi",
  "spkeyperformanceindicatorlist": "Kilit Performans Göstergeleri",
  "filetype_spkeyperformanceindicatorlist": "Kilit Performans Göstergeleri",
  "splanguagesandtranslator": "Diller ve Çevirmen",
  "filetype_splanguagesandtranslator": "Diller ve Çevirmen",
  "splanguagesandtranslatorlist": "Diller ve Çevirmenler",
  "filetype_splanguagesandtranslatorlist": "Diller ve Çevirmenler",
  "spmasterpagescataloglist": "Master Page Galerisi",
  "filetype_spmasterpagescataloglist": "Master Page Galerisi",
  "spnocodeworkflowlibrarylist": "No-code İş Akışı Kütüphaneleri",
  "filetype_spnocodeworkflowlibrarylist": "No-code İş Akışı Kütüphaneleri",
  "spprojecttask": "Proje Görevi",
  "filetype_spprojecttask": "Proje Görevi",
  "spprojecttasklist": "Proje Görevleri",
  "filetype_spprojecttasklist": "Proje Görevleri",
  "sppublishingpageslibrarylist": "Sayfa Kütüphanesi",
  "filetype_sppublishingpageslibrarylist": "Sayfa Kütüphanesi",
  "spreportdocumentlibrarylist": "Rapor Belgesi Kütüphanesi",
  "filetype_spreportdocumentlibrarylist": "Rapor Belgesi Kütüphanesi",
  "spreportlibrarylist": "Rapor Kütüphanesi",
  "filetype_spreportlibrarylist": "Rapor Kütüphanesi",
  "spslidelibrarylist": "Slayt Kütüphanesi",
  "filetype_spslidelibrarylist": "Slayt Kütüphanesi",
  "sptab": "Sekmeler",
  "filetype_sptab": "Sekmeler",
  "sptablist": "Sekme Listesi",
  "filetype_sptablist": "Sekme Listesi",
  "sptranslationmanagementlibrarylist": "Çeviri Yönetimi Kütüphanesi",
  "filetype_sptranslationmanagementlibrarylist": "Çeviri Yönetimi Kütüphanesi",
  "spuserinformation": "Kullanıcı Bilgileri",
  "filetype_spuserinformation": "Kullanıcı Bilgileri",
  "spuserinformationlist": "Kullanıcı Bilgileri Listesi",
  "filetype_spuserinformationlist": "Kullanıcı Bilgileri Listesi",
  "spwikipagelibrarylist": "Wiki Sayfası Kütüphanesi",
  "filetype_spwikipagelibrarylist": "Wiki Sayfası Kütüphanesi",
  "spworkflowhistory": "İk Akışı Geçmişi",
  "filetype_spworkflowhistory": "İk Akışı Geçmişi",
  "spworkflowhistorylist": "İş Akışı Geçmişi Listesi",
  "filetype_spworkflowhistorylist": "İş Akışı Geçmişi Listesi",
  "spworkflowprocess": "Özel İş Akışı Süreci",
  "filetype_spworkflowprocess": "Özel İş Akışı Süreci",
  "spworkflowprocesslist": "Özel İş Akışı Süreçleri",
  "filetype_spworkflowprocesslist": "Özel İş Akışı Süreçleri",
  "sppublishingimageslibrarylist": "Görüntü Yayınlama Kütüphanesi",
  "filetype_sppublishingimageslibrarylist": "Görüntü Yayınlama Kütüphanesi",
  "spcirculation": "Dolaşım",
  "filetype_spcirculation": "Dolaşım",
  "spcirculationlist": "Dolaşımlar",
  "filetype_spcirculationlist": "Dolaşımlar",
  "spdashboardslibrarylist": "Pano Kütüphanesi",
  "filetype_spdashboardslibrarylist": "Pano Kütüphanesi",
  "spdataconnectionforperformancepointlibrarylist": "PerformancePoint Veri Bağlantı Kütüphanesi",
  "filetype_spdataconnectionforperformancepointlibrarylist": "PerformancePoint Veri Bağlantı Kütüphanesi",
  "sphealthreport": "Sağlık Raporu",
  "filetype_sphealthreport": "Sağlık Raporu",
  "sphealthreportlist": "Sağlık Raporları",
  "filetype_sphealthreportlist": "Sağlık Raporları",
  "sphealthrule": "Sağlık Kuralı",
  "filetype_sphealthrule": "Sağlık Kuralı",
  "sphealthrulelist": "Sağlık Kuralları",
  "filetype_sphealthrulelist": "Sağlık Kuralları",
  "spimedictionary": "IME Sözlüğü",
  "filetype_spimedictionary": "IME Sözlüğü",
  "spimedictionarylist": "IME Sözlükleri",
  "filetype_spimedictionarylist": "IME Sözlükleri",
  "spperformancepointcontent": "PerformancePoint İçeriği",
  "filetype_spperformancepointcontent": "PerformancePoint İçeriği",
  "spperformancepointcontentlist": "PerformancePoint İçerikleri",
  "filetype_spperformancepointcontentlist": "PerformancePoint İçerikleri",
  "spphonecallmemo": "Telefonla Arama Notu",
  "filetype_spphonecallmemo": "Telefonla Arama Notu",
  "spphonecallmemolist": "Telefonla Arama Notları",
  "filetype_spphonecallmemolist": "Telefonla Arama Notları",
  "sprecordlibrarylist": "Kayıt Kütüphanesi",
  "filetype_sprecordlibrarylist": "Kayıt Kütüphanesi",
  "spresource": "Kaynak",
  "filetype_spresource": "Kaynak",
  "spresourcelist": "Kaynaklar",
  "filetype_spresourcelist": "Kaynaklar",
  "spprocessdiagramslibrarylist": "Süreç Diyagramı Kütüphanesi",
  "filetype_spprocessdiagramslibrarylist": "Süreç Diyagramı Kütüphanesi",
  "spsitethemeslibrarylist": "Site Teması Kütüphanesi",
  "filetype_spsitethemeslibrarylist": "Site Teması Kütüphanesi",
  "spsolutionslibrarylist": "Çözüm Kütüphanesi",
  "filetype_spsolutionslibrarylist": "Çözüm Kütüphanesi",
  "spwfpublibrarylist": "WFPUB Kütüphanesi",
  "filetype_spwfpublibrarylist": "WFPUB Kütüphanesi",
  "spwhereabout": "Konum",
  "filetype_spwhereabout": "Konum",
  "spwhereaboutlist": "Konumlar",
  "filetype_spwhereaboutlist": "Konumlar",
  "spdocumentlink": "Bir Belgeye Bağlantı",
  "filetype_spdocumentlink": "Bir Belgeye Bağlantı",
  "spdocumentset": "Belge Seti",
  "filetype_spdocumentset": "Belge Seti",
  "spmicrofeedpost": "Microfeed Gönderisi",
  "filetype_spmicrofeedpost": "Microfeed Gönderisi",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Liste Klasörü",
  "filetype_splistfolder": "Liste Klasörü",
  "Unknown": "Bilinmeyen",
  "And": "VE",
  "Authenticating": "{0} kimliği doğrulanıyor...",
  "Clear": "{0} modelini temizle",
  "CompleteQuery": "Sorguyu Tamamla",
  "Exclude": "{0} modelini hariç tut",
  "EnterTag": "Etiket Ekle",
  "Next": "Sonraki",
  "Last": "İleri",
  "Link": "Geri",
  "Or": "VEYA",
  "Previous": "Önceki",
  "QueryDidntMatchAnyDocuments": "Sorgunuz, hiçbir belgeyle eşleşmedi.",
  "QueryException": "Sorgunuzda bir hata var: {0}.",
  "Me": "Ben",
  "Remove": "Kaldır",
  "Search": "Ara",
  "SearchFor": "Şunu ara: {0}",
  "ShareQuery": "Sorguyu Paylaş",
  "Preferences": "Tercihler",
  "LinkOpeningSettings": "Bağlantı Açma Ayarları",
  "Reauthenticate": "{0} kimliğini yeniden doğrula",
  "ResultsFilteringExpression": "Sonuçları Filtreleme İfadeleri",
  "FiltersInYourPreferences": "Tercihlerinizdeki filtreler",
  "Create": "Oluştur",
  "SearchIn": "{0} modelinde ara",
  "Seconds": "{0} saniye içinde",
  "ShowingResultsOf": "{2} / {0}<pl>-{1}</pl> sonuç",
  "ShowingResultsOfWithQuery": "{3} için {2} / {0}<pl>-{1}</pl> sonuç",
  "SwitchTo": "{0} olarak değiştir",
  "Unexclude": "{0} modelini hariç tutma",
  "ClearAllFilters": "Tüm Filtreleri Temizleyin",
  "SkipLogin": "Oturum açmayı atla",
  "LoginInProgress": "Oturum açma işlemi devam ediyor, lütfen bekleyin...",
  "Login": "Oturum Aç",
  "GetStarted": "Başlat",
  "More": "Daha Fazla",
  "NMore": "{0} daha fazla…",
  "Less": "Daha Az",
  "Settings": "Ayarlar",
  "Score": "Puan",
  "ScoreDescription": "Puan, oluşma sayısından ve aynı zamanda sonuç setindeki konumdan hesaplanır.",
  "Occurrences": "Oluşma",
  "OccurrencesDescription": "Önce gösterilen en yüksek sayıya sahip değerleri olan oluşum sayısına göre sırala.",
  "Label": "Etiket",
  "Of": "/",
  "LabelDescription": "Alan değerlerinde alfabetik olarak sırala.",
  "Value": "Değer",
  "ValueDescription": "İlk hesaplanan alanın değerlerinde sırala",
  "AlphaAscending": "Artan Değer",
  "AlphaDescending": "Azalan Değer",
  "ChiSquare": "Ki Kare",
  "Nosort": "Sıralama Yok",
  "NosortDescription": "Değerleri sınıflandırmayın. Değerler rastgele sırayla gelecektir.",
  "RelativeFrequency": "Rölatif Frekans",
  "RelativeFrequencyDescription": "Değerlerin rölatif frekansına dayalı olarak sırala. Daha az rastlanan değerler yüksek görünür.",
  "DateDistribution": "Tarih dağılımı",
  "Custom": "Özel",
  "CustomDescription": "Özel sıraya göre sırala",
  "ComputedField": "Hesaplanmış Alan",
  "Ascending": "Artan",
  "Descending": "Azalan",
  "noResultFor": "{0} için sonuç yok",
  "autoCorrectedQueryTo": "Sorgu otomatik olarak {0} şeklinde düzeltildi",
  "didYouMean": "Şunu mu demek istediniz: {0}",
  "SuggestedResults": "Önerilen Sonuçlar",
  "SuggestedQueries": "Önerilen Sorgular",
  "MostRelevantItems": "En çok bağlantılı öğeler:",
  "AllItems": "Tüm öğeler:",
  "ShowLess": "Daha az göster",
  "ShowMore": "Daha fazla göster",
  "HideFacet": "Modeli Gizle",
  "ShowFacet": "Modeli Göster",
  "AndOthers": "ve {0} diğer<pl>leri</pl>",
  "Others": "{0} diğer<pl>leri</pl>",
  "MostRelevantPosts": "En Çok Bağlantılı Gönderiler:",
  "CompleteThread": "İş Parçacığını Tamamla:",
  "ShowCompleteThread": "Tamamlanan İş Parçalarını Göster",
  "ShowOnlyTopMatchingPosts": "Sadece En Çok Eşlenen Gönderileri Göster",
  "MostRelevantReplies": "En Çok Bağlantılı Cevaplar:",
  "AllConversation": "Tüm Konuşmalar:",
  "ShowAllConversation": "Tüm Konuşmaları Göster",
  "ShowAllReplies": "Tüm Yanıtları Göster",
  "ShowOnlyMostRelevantReplies": "Sadece En Çok İlgili Yanıtları Göster",
  "Close": "Kapat",
  "Open": "Aç",
  "OpenInOutlookWhenPossible": "Outlook'ta aç (mümkün olduğunda)",
  "AlwaysOpenInNewWindow": "Sonuçları her zaman yeni pencerede aç",
  "Quickview": "Hızlı Bakış",
  "NoQuickview": "Bu belgede Hızlı Görüntüleme kullanılamaz",
  "ErrorReport": "Hata Raporu",
  "OopsError": "Sunucuda bir şeyler ters gitti.",
  "ProblemPersists": "Sorun devam ederse yöneticiye danışın.",
  "GoBack": "Geri Git",
  "Reset": "Sıfırla",
  "Retry": "Yeniden Dene",
  "MoreInfo": "Daha Fazla Bilgi",
  "Username": "Kullanıcı Adı",
  "Password": "Parola",
  "PostedBy": "Gönderen:",
  "CannotConnect": "Sunucu adresine bağlanılamıyor.",
  "BadUserPass": "Parola kullanıcı adıyla eşleşmiyor.",
  "PleaseEnterYourCredentials": "Lütfen {0} için kimlik bilgilerinizi girin.",
  "PleaseEnterYourSearchPage": "Lütfen arama sayfası URL'nizi girin",
  "Collapse": "Daralt",
  "Collapsable": "Daraltılabilir",
  "Expand": "Genişlet",
  "Today": "Bugün",
  "Yesterday": "Dün",
  "Tomorrow": "Yarın",
  "Duration": "Süre: {0}",
  "IndexDuration": "İndeks Süresi: {0}",
  "ProxyDuration": "Proxy Süresi: {0}",
  "ClientDuration": "İstemci Süresi: {0}",
  "Unavailable": "Mevcut Değil",
  "Reply": "Yanıtla",
  "ReplyAll": "Tümünü Yanıtla",
  "Forward": "İlet",
  "From": "Gönderen",
  "Caption": "Resim Yazısı",
  "Expression": "İfade",
  "Tab": "Sekme",
  "Tabs": "Sekmeler",
  "EnterExpressionName": "İfade adını girin",
  "EnterExpressionToFilterWith": "Sonuçları şunla filtrelemek için ifade girin:",
  "SelectTab": "Sekme Seç",
  "SelectAll": "Tümünü Seç",
  "PageUrl": "Sayfa URL'sini Ara",
  "ErrorSavingToDevice": "Bilgilerin aygıtınıza yazılması esnasında hata",
  "ErrorReadingFromDevice": "Bilgilerin aygıtınızdan okunması esnasında hata",
  "AppIntro": "Coveo hakkındaki sorularınıza cevap verebilecek ve hangi Coveo çözümünün sizin için doğru olduğu konusunda size yardımcı olabilecek bir ürün uzmanıyla konuşun. Veya bir canlı demoyu deneyin!",
  "TryDemo": "Demoyu deneyin",
  "ContactUs": "Bizimle iletişime geçin",
  "NewToCoveo": "Coveo'da yeni misiniz?",
  "LetUsHelpGetStarted": "Başlamanıza yardımcı olmamıza izin verin",
  "LikesThis": "{0} bundan hoşlanıyor.",
  "CannotConnectSearchPage": "Arama sayfanıza bağlanılamıyor",
  "AreYouSureDeleteFilter": "{0} filtresini {1} ifadesiyle silmek istediğinizden emin misiniz?",
  "OnlineHelp": "Çevrimçi Yardım",
  "Done": "Bitti",
  "SaveFacetState": "Bu model durumunu kaydet",
  "ClearFacetState": "Model durumunu temizle",
  "DisplayingTheOnlyMessage": "Bu konuşmada sadece mesajı görüntüleme",
  "NoNetworkConnection": "Ağ bağlantısı yok",
  "UnknownConnection": "Bilinmeyen bağlantı",
  "EthernetConnection": "Ethernet bağlantısı",
  "WiFi": "WiFi bağlantısı",
  "CELL": "Cep telefonu bağlantısı",
  "CELL_2G": "Cep telefonu 2G bağlantısı",
  "CELL_3G": "Cep telefonu 3G bağlantısı",
  "CELL_4G": "Cep telefonu 4G bağlantısı",
  "Relevance": "Uygunluk",
  "Date": "Tarih",
  "Amount": "Miktar",
  "QueryExceptionNoException": "İstisnasız",
  "QueryExceptionInvalidSyntax": "Geçersiz sözdizimi",
  "QueryExceptionInvalidCustomField": "Geçersiz özel alan",
  "QueryExceptionInvalidDate": "Geçersiz tarih",
  "QueryExceptionInvalidExactPhrase": "Geçersiz kesin tümceciği",
  "QueryExceptionInvalidDateOp": "Geçersiz tarih operatörü",
  "QueryExceptionInvalidNear": "Geçersiz NEAR operatörü",
  "QueryExceptionInvalidWeightedNear": "Geçersiz ağırlıklı NEAR",
  "QueryExceptionInvalidTerm": "Geçersiz terim",
  "QueryExceptionTooManyTerms": "Çok fazla terim",
  "QueryExceptionWildcardTooGeneral": "Joker karakter çok genel",
  "QueryExceptionInvalidSortField": "Geçersiz sırlama alanı",
  "QueryExceptionInvalidSmallStringOp": "Geçersiz küçük dize operatörü",
  "QueryExceptionRequestedResultsMax": "Maksimum talep edilen sonuç",
  "QueryExceptionAggregatedMirrorDead": "Birleştirilmiş ayna çevrimdışı",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Birleştirilmiş aynı sorgusu zaman aşımı",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Birleştirilmiş ayna geçersiz derleme numarası",
  "QueryExceptionAggregatedMirrorCannotConnect": "Birleştirilmiş ayna bağlanamıyor",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Joker karakterden önce yetersiz karakter",
  "QueryExceptionSecurityInverterNotFound": "Güvenlik dönüştürücüsü bulunamadı",
  "QueryExceptionSecurityInverterAccessDenied": "Güvenlik dönüştürücüsü erişimi reddedildi",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Birleştirilmiş ayna temsil edilemiyor",
  "QueryExceptionUnexpected": "Beklenmeyen",
  "QueryExceptionAccessDenied": "Erişim Engellendi",
  "QueryExceptionSuperUserTokenInvalid": "Süper kullanıcı kodu geçersiz",
  "QueryExceptionSuperUserTokenExpired": "Süper kullanıcı kodu süresi sona ermiş",
  "QueryExceptionLicenseQueriesExpired": "Sorgular lisansı süresi sona ermiş",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Lisans süper kullanıcı kodu desteklenmiyor",
  "QueryExceptionInvalidSession": "Geçersiz oturum",
  "QueryExceptionInvalidDocument": "Geçersiz belge",
  "QueryExceptionSearchDisabled": "Arama etkin değil",
  "FileType": "Dosya türü",
  "ShowAttachment": "Eki göster",
  "OnFeed": "{0} akışında.",
  "Author": "Yazan",
  "NoTitle": "Başlık yok",
  "CurrentSelections": "Mevcut seçimler",
  "AllContent": "Tüm içerik",
  "CancelLastAction": "Son işlemi iptal et",
  "SearchTips": "Arama ipuçları",
  "CheckSpelling": "Anahtar sözcüklerinizin yazılımını kontrol edin.",
  "TryUsingFewerKeywords": "Daha az, farklı veya daha fazla genel anahtar sözcük kullanmayı deneyin.",
  "SelectFewerFilters": "Aramanızı genişletmek için daha az filtre seçin.",
  "Document": "Belge",
  "Time": "Saat",
  "StartDate": "Başlangıç Tarihi",
  "StartTime": "Başlangıç Saati",
  "DurationTitle": "Süre",
  "UserQuery": "Kullanıcı sorgusu",
  "ShowUserActions": "Kullanıcı Eylemini Göster",
  "NoData": "Veri yok",
  "EventType": "Etkinlik türü",
  "GoToFullSearch": "Tam arama",
  "GoToEdition": "Paneli Kişiselleştir",
  "RemoveContext": "Bağlamı kaldır",
  "BoxAttachToCase": "Talebe ekle",
  "AttachToCase": "Talebe ekle",
  "Attach": "Ekle",
  "Attached": "Eklendi",
  "Detach": "Ayır",
  "Details": "Detaylar",
  "AdditionalFilters": "Ek filtreler",
  "SelectNonContextualSearch": "Aramanızı genişletmek için mevcut kayıttan bağlamı kaldırın",
  "CopyPasteToSupport": "Daha fazla bilgi için bu mesajı kopyala yapıştır yöntemiyle Coveo Destek ekibine gönderin.",
  "FollowQueryDescription": "Bena bu sorgunun arama sonuçlarındaki değişiklikler için uyarı gönder.",
  "SearchAlerts_Panel": "Uyarıları Yönet",
  "SearchAlerts_PanelDescription": "Arama uyarılarınızı görün ve yönetin.",
  "SearchAlerts_PanelNoSearchAlerts": "Aboneliğiniz yok.",
  "SearchAlerts_Fail": "Arama Uyarıları hizmeti şu anda kullanılamıyor.",
  "SearchAlerts_Type": "Tür",
  "SearchAlerts_Content": "İçerik",
  "SearchAlerts_Actions": "Eylem",
  "EmptyQuery": "<boş>",
  "SearchAlerts_Type_followQuery": "Sorgu",
  "SearchAlerts_Type_followDocument": "Öğe",
  "SearchAlerts_unFollowing": "Takip Etmeyi Bırak",
  "SearchAlerts_follow": "Takip Et",
  "SearchAlerts_followed": "Takip Edildi",
  "SearchAlerts_followQuery": "Sorguyu Takip Et",
  "Subscription_StopFollowingQuery": "Sorguyu Takip Etmeyi Bırak",
  "SearchAlerts_Frequency": "Ne zaman",
  "SubscriptionsManageSubscriptions": "Uyarıları Yönet",
  "SubscriptionsMessageFollowQuery": "<b>{0}</b> sorgusu yeni ya da güncellenmiş öğeler bulduğunda uyarılar alacaksınız.",
  "SubscriptionsMessageFollow": "<b>{0}</b> öğesindeki değişiklikler için uyarılar alacaksınız.",
  "Expiration": "Son tarih",
  "Monthly": "Aylık",
  "Daily": "Günlük",
  "Monday": "Pazartesi",
  "Tuesday": "Salı",
  "Wednesday": "Çarşamba",
  "Thursday": "Perşembe",
  "Friday": "Cuma",
  "Saturday": "Cumartesi",
  "Sunday": "Pazar",
  "NextDay": "Sonraki {0}",
  "LastDay": "Son {0}",
  "StartTypingCaseForSuggestions": "Olası çözümleri görmek için sorununuzu açıklayın",
  "ExportToExcel": "Excel'e aktar",
  "ExportToExcelDescription": "Arama sonuçları Excel'e aktar",
  "CaseCreationNoResults": "Önerilen çözüm bulunamadı",
  "SortBy": "Sıralama ölçütü",
  "BoxCreateArticle": "Makale Oluştur",
  "Facets": "Fasetler",
  "AdvancedSearch": "Gelişmiş Arama",
  "Keywords": "Anahtar sözcükler",
  "AllTheseWords": "Tüm bu sözcükler",
  "ExactPhrase": "Tam bu ibare",
  "AnyOfTheseWords": "Bu sözcüklerin herhangi bisi",
  "NoneOfTheseWords": "Bu sözcüklerin hiçbiri",
  "Anytime": "Herhangi bir zaman",
  "InTheLast": "Son",
  "Days": "gün",
  "Months": "ay",
  "Month": "Ay",
  "Year": "Yıl",
  "Between": "Arasında",
  "Language": "Dil",
  "Size": "Boyut",
  "AtLeast": "en az",
  "AtMost": "en fazla",
  "Contains": "içindekiler",
  "DoesNotContain": "içermez",
  "Matches": "eşleşmeler",
  "Bytes": "bayt",
  "card": "Kart",
  "table": "Tablo",
  "ResultLinks": "Sonuç bağlantıları",
  "EnableQuerySyntax": "Sorgu sözdizimini etkinleştir",
  "On": "Açık",
  "Off": "Kapalı",
  "Automatic": "Otomatik",
  "ResultsPerPage": "Sayfa başına sonuç",
  "PreviousMonth": "Önceki ay",
  "NextMonth": "Sonraki ay",
  "Title": "Başlık",
}
  var locales = String["locales"] || (String["locales"] = {});
  locales["tr"] = merge(locales["tr"], dict);
  String["toLocaleString"].call(this, { "tr": dict });
  String["locale"] = "tr";
  String["defaultLocale"] = "en";
  Globalize.culture("tr")})();
if(!window.Coveo){window.Coveo = {};}
Coveo.setLanguageAfterPageLoaded = function() {
var merge = function(obj1, obj2) {
  var obj3 = {};
  for(var attrname in obj1){obj3[attrname] = obj1[attrname]; }
  for(var attrname in obj2){obj3[attrname] = obj2[attrname]; }
  return obj3;
}

var dict = {
  "box user": "Kullanıcı",
  "filetype_box user": "Kullanıcı",
  "html": "HTML Dosyası",
  "filetype_html": "HTML Dosyası",
  "wiki": "Wiki",
  "filetype_wiki": "Wiki",
  "webscraperwebpage": "Web Sayfası",
  "filetype_webscraperwebpage": "Web Sayfası",
  "image": "Görüntü",
  "filetype_image": "Görüntü",
  "folder": "Klasör",
  "filetype_folder": "Klasör",
  "txt": "Metin",
  "filetype_txt": "Metin",
  "zip": "Zip Dosyası",
  "filetype_zip": "Zip Dosyası",
  "olefile": "OLE dosyası",
  "filetype_olefile": "OLE dosyası",
  "gmailmessage": "Gmail Mesajı",
  "filetype_gmailmessage": "Gmail Mesajı",
  "pdf": "PDF Dosyası",
  "filetype_pdf": "PDF Dosyası",
  "swf": "Flash Dosyası",
  "filetype_swf": "Flash Dosyası",
  "xml": "XML Dosyası",
  "filetype_xml": "XML Dosyası",
  "vsd": "Visio",
  "filetype_vsd": "Visio",
  "svg": "SVG",
  "filetype_svg": "SVG",
  "svm": "Open Office",
  "filetype_svm": "Open Office",
  "rssitem": "RSS beslemesi",
  "filetype_rssitem": "RSS beslemesi",
  "doc": "Belge",
  "filetype_doc": "Belge",
  "docx": "Microsoft Word Belgesi",
  "filetype_docx": "Microsoft Word Belgesi",
  "xls": "Spreadsheet Belgesi",
  "filetype_xls": "Spreadsheet Belgesi",
  "ppt": "Sunum Belgesi",
  "filetype_ppt": "Sunum Belgesi",
  "video": "Video",
  "filetype_video": "Video",
  "saleforceitem": "Salesforce",
  "filetype_saleforceitem": "Salesforce",
  "dynamicscrmitem": "Dynamics CRM",
  "filetype_dynamicscrmitem": "Dynamics CRM",
  "salesforceitem": "Salesforce",
  "filetype_salesforceitem": "Salesforce",
  "odt": "Open Text Belgesi",
  "filetype_odt": "Open Text Belgesi",
  "lithiummessage": "Lithium Mesajı",
  "filetype_lithiummessage": "Lithium Mesajı",
  "lithiumthread": "Lithium Mesaj Dizisi",
  "filetype_lithiumthread": "Lithium Mesaj Dizisi",
  "lithiumboard": "Lithium Paneli",
  "filetype_lithiumboard": "Lithium Paneli",
  "lithiumcategory": "Lithium Kategorisi",
  "filetype_lithiumcategory": "Lithium Kategorisi",
  "lithiumcommunity": "Lithium Topluluğu",
  "filetype_lithiumcommunity": "Lithium Topluluğu",
  "people": "Kullanıcı",
  "objecttype_people": "Kullanıcı",
  "message": "Mesaj",
  "objecttype_message": "Mesaj",
  "feed": "RSS Beslemesi",
  "objecttype_feed": "RSS Beslemesi",
  "thread": "Mesaj Dizisi",
  "objecttype_thread": "Mesaj Dizisi",
  "file": "Dosya",
  "objecttype_file": "Dosya",
  "board": "Panel",
  "objecttype_board": "Panel",
  "category": "Kategori",
  "objecttype_category": "Kategori",
  "account": "Hesap",
  "objecttype_account": "Hesap",
  "annotation": "Not",
  "objecttype_annotation": "Not",
  "campaign": "Kampanya",
  "objecttype_campaign": "Kampanya",
  "case": "Talep",
  "objecttype_case": "Talep",
  "contact": "İrtibat",
  "objecttype_contact": "İrtibat",
  "contract": "Sözleşme",
  "objecttype_contract": "Sözleşme",
  "event": "Etkinlik",
  "objecttype_event": "Etkinlik",
  "email": "E-posta",
  "objecttype_email": "E-posta",
  "goal": "Hedef",
  "objecttype_goal": "Hedef",
  "objecttype_incident": "Talep",
  "invoice": "Fatura",
  "objecttype_invoice": "Fatura",
  "lead": "Hedef Müşteri",
  "objecttype_lead": "Hedef Müşteri",
  "list": "Liste",
  "objecttype_list": "Pazarlama Listesi",
  "solution": "Çözüm",
  "objecttype_solution": "Çözüm",
  "task": "Görev",
  "objecttype_task": "Görev",
  "user": "Kullanıcı",
  "objecttype_user": "Kullanıcı",
  "attachment": "Ek",
  "objecttype_attachment": "Ek",
  "casecomment": "Talep Yorumu",
  "objecttype_casecomment": "Talep Yorumu",
  "opportunity": "Fırsat",
  "objecttype_opportunity": "Fırsat",
  "opportunityproduct": "Fırsat Ürünü",
  "objecttype_opportunityproduct": "Fırsat Ürünü",
  "feeditem": "Sohbet",
  "objecttype_feeditem": "Sohbet",
  "feedcomment": "Sohbet",
  "objecttype_feedcomment": "Sohbet",
  "note": "Not",
  "objecttype_note": "Not",
  "product": "Ürün",
  "objecttype_product": "Ürün",
  "partner": "Ortak",
  "objecttype_partner": "Ortak",
  "queueitem": "Sıra Öğesi",
  "objecttype_queueitem": "Sıra Öğesi",
  "quote": "Teklif",
  "objecttype_quote": "Teklif",
  "salesliterature": "Satış Literatürü",
  "objecttype_salesliterature": "Satış Literatürü",
  "salesorder": "Satış Siparişi",
  "objecttype_salesorder": "Satış Siparişi",
  "service": "Servis",
  "objecttype_service": "Servis",
  "socialprofile": "Sosyal Profil",
  "objecttype_socialprofile": "Sosyal Profil",
  "kbdocumentation": "Dokümantasyon",
  "objecttype_kbdocumentation": "Dokümantasyon",
  "kbtechnicalarticle": "Dokümantasyon",
  "objecttype_kbtechnicalarticle": "Dokümantasyon",
  "kbsolution": "Çözüm",
  "objecttype_kbsolution": "Çözüm",
  "kbknowledgearticle": "Bilgi Makalesi",
  "objecttype_kbknowledgearticle": "Bilgi Makalesi",
  "kbattachment": "Ek",
  "objecttype_kbattachment": "Ek",
  "kbarticle": "Makale",
  "objecttype_kbarticle": "Makale",
  "kbarticlecomment": "Makale Yorumu",
  "objecttype_kbarticlecomment": "Makale Yorumu",
  "knowledgearticle": "Bilgi Makalesi",
  "objecttype_knowledgearticle": "Bilgi Makalesi",
  "topic": "Konu",
  "objecttype_topic": "Konu",
  "dashboard": "Pano",
  "objecttype_dashboard": "Pano",
  "contentversion": "Belge",
  "objecttype_contentversion": "Belge",
  "collaborationgroup": "İşbirliği grubu",
  "objecttype_collaborationgroup": "İşbirliği grubu",
  "spportal": "Portal",
  "filetype_spportal": "Portal",
  "spsite": "Site",
  "filetype_spsite": "Site",
  "spuserprofile": "SharePoint Kullanıcısı",
  "filetype_spuserprofile": "SharePoint Kullanıcısı",
  "sparea": "Alan",
  "filetype_sparea": "Alan",
  "spannouncement": "Duyuru",
  "filetype_spannouncement": "Duyuru",
  "spannouncementlist": "Duyurular",
  "filetype_spannouncementlist": "Duyurular",
  "spcontact": "İrtibat",
  "filetype_spcontact": "İrtibat",
  "spcontactlist": "İrtibatlar",
  "filetype_spcontactlist": "İrtibatlar",
  "spcustomlist": "Özel Listeler",
  "filetype_spcustomlist": "Özel Listeler",
  "spdiscussionboard": "Tartışma Paneli",
  "filetype_spdiscussionboard": "Tartışma Paneli",
  "spdiscussionboardlist": "Tartışma Panelleri",
  "filetype_spdiscussionboardlist": "Tartışma Panelleri",
  "spdocumentlibrarylist": "Belge Kütüphanesi",
  "filetype_spdocumentlibrarylist": "Belge Kütüphanesi",
  "spevent": "Etkinlik",
  "filetype_spevent": "Etkinlik",
  "speventlist": "Etkinlikler",
  "filetype_speventlist": "Etkinlikler",
  "spformlibrarylist": "Form Kütüphanesi",
  "filetype_spformlibrarylist": "Form Kütüphanesi",
  "spissue": "Sorun",
  "filetype_spissue": "Sorun",
  "spissuelist": "Sorunlar",
  "filetype_spissuelist": "Sorunlar",
  "splink": "Bağlantı",
  "filetype_splink": "Bağlantı",
  "splinklist": "Bağlantılar",
  "filetype_splinklist": "Bağlantılar",
  "sppicturelibrarylist": "Resim Kütüphanesi",
  "filetype_sppicturelibrarylist": "Resim Kütüphanesi",
  "spsurvey": "Anket",
  "filetype_spsurvey": "Anket",
  "spsurveylist": "Anketler",
  "filetype_spsurveylist": "Anketler",
  "sptask": "Görev",
  "filetype_sptask": "Görev",
  "sptasklist": "Görevler",
  "filetype_sptasklist": "Görevler",
  "spagenda": "Gündem",
  "filetype_spagenda": "Gündem",
  "spagendalist": "Gündemler",
  "filetype_spagendalist": "Gündemler",
  "spattendee": "Katılımcı",
  "filetype_spattendee": "Katılımcı",
  "spattendeelist": "Katılımcılar",
  "filetype_spattendeelist": "Katılımcılar",
  "spcustomgridlist": "Özel Kılavuzlar",
  "filetype_spcustomgridlist": "Özel Kılavuzlar",
  "spdecision": "Karar",
  "filetype_spdecision": "Karar",
  "spdecisionlist": "Kararlar",
  "filetype_spdecisionlist": "Kararlar",
  "spobjective": "Amaç",
  "filetype_spobjective": "Amaç",
  "spobjectivelist": "Amaçlar",
  "filetype_spobjectivelist": "Amaçlar",
  "sptextbox": "Metin kutusu",
  "filetype_sptextbox": "Metin kutusu",
  "sptextboxlist": "Metin kutusu listesi",
  "filetype_sptextboxlist": "Metin kutusu listesi",
  "spthingstobring": "Getirilecek Şey",
  "filetype_spthingstobring": "Getirilecek Şey",
  "spthingstobringlist": "Getirilecek Şeyler",
  "filetype_spthingstobringlist": "Getirilecek Şeyler",
  "sparealisting": "Alan Listelemesi",
  "filetype_sparealisting": "Alan Listelemesi",
  "spmeetingserie": "Toplantı serisi",
  "filetype_spmeetingserie": "Toplantı serisi",
  "spmeetingserielist": "Toplantı Serisi Listesi",
  "filetype_spmeetingserielist": "Toplantı Serisi Listesi",
  "spsitedirectory": "Site Dizin Öğesi",
  "filetype_spsitedirectory": "Site Dizin Öğesi",
  "spsitedirectorylist": "Site Dizini",
  "filetype_spsitedirectorylist": "Site Dizini",
  "spdatasource": "Veri Kaynağı",
  "filetype_spdatasource": "Veri Kaynağı",
  "spdatasourcelist": "Veri Kaynağı Listesi",
  "filetype_spdatasourcelist": "Veri Kaynağı Listesi",
  "splisttemplatecataloglist": "Liste Şablonu Galerisi",
  "filetype_splisttemplatecataloglist": "Liste Şablonu Galerisi",
  "spwebpartcataloglist": "WebPart Galerisi",
  "filetype_spwebpartcataloglist": "WebPart Galerisi",
  "spwebtemplatecataloglist": "Site Şablonu Galerisi",
  "filetype_spwebtemplatecataloglist": "Site Şablonu Galerisi",
  "spworkspacepagelist": "Workspace Sayfaları",
  "filetype_spworkspacepagelist": "Workspace Sayfaları",
  "spunknownlist": "Özel Liste",
  "filetype_spunknownlist": "Özel Liste",
  "spadministratortask": "Yönetici Görevi",
  "filetype_spadministratortask": "Yönetici Görevi",
  "spadministratortasklist": "Yönetici Görevleri",
  "filetype_spadministratortasklist": "Yönetici Görevleri",
  "spareadocumentlibrarylist": "Alan Belge Kütüphanesi",
  "filetype_spareadocumentlibrarylist": "Alan Belge Kütüphanesi",
  "spblogcategory": "Blog Kategorisi",
  "filetype_spblogcategory": "Blog Kategorisi",
  "spblogcategorylist": "Blog Kategorileri",
  "filetype_spblogcategorylist": "Blog Kategorileri",
  "spblogcomment": "Blog Yorumu",
  "filetype_spblogcomment": "Blog Yorumu",
  "spblogcommentlist": "Blog Yorumları",
  "filetype_spblogcommentlist": "Blog Yorumları",
  "spblogpost": "Blog Gönderisi",
  "filetype_spblogpost": "Blog Gönderisi",
  "spblogpostlist": "Blog Gönderileri",
  "filetype_spblogpostlist": "Blog Gönderileri",
  "spdataconnectionlibrarylist": "Veri Bağlantısı Kütüphanesi",
  "filetype_spdataconnectionlibrarylist": "Veri Bağlantısı Kütüphanesi",
  "spdistributiongroup": "Dağıtım Grubu",
  "filetype_spdistributiongroup": "Dağıtım Grubu",
  "spdistributiongrouplist": "Dağıtım Grupları",
  "filetype_spdistributiongrouplist": "Dağıtım Grupları",
  "spipfslist": "InfoPath Form Sunucuları",
  "filetype_spipfslist": "InfoPath Form Sunucuları",
  "spkeyperformanceindicator": "Kilit Performans Göstergesi",
  "filetype_spkeyperformanceindicator": "Kilit Performans Göstergesi",
  "spkeyperformanceindicatorlist": "Kilit Performans Göstergeleri",
  "filetype_spkeyperformanceindicatorlist": "Kilit Performans Göstergeleri",
  "splanguagesandtranslator": "Diller ve Çevirmen",
  "filetype_splanguagesandtranslator": "Diller ve Çevirmen",
  "splanguagesandtranslatorlist": "Diller ve Çevirmenler",
  "filetype_splanguagesandtranslatorlist": "Diller ve Çevirmenler",
  "spmasterpagescataloglist": "Master Page Galerisi",
  "filetype_spmasterpagescataloglist": "Master Page Galerisi",
  "spnocodeworkflowlibrarylist": "No-code İş Akışı Kütüphaneleri",
  "filetype_spnocodeworkflowlibrarylist": "No-code İş Akışı Kütüphaneleri",
  "spprojecttask": "Proje Görevi",
  "filetype_spprojecttask": "Proje Görevi",
  "spprojecttasklist": "Proje Görevleri",
  "filetype_spprojecttasklist": "Proje Görevleri",
  "sppublishingpageslibrarylist": "Sayfa Kütüphanesi",
  "filetype_sppublishingpageslibrarylist": "Sayfa Kütüphanesi",
  "spreportdocumentlibrarylist": "Rapor Belgesi Kütüphanesi",
  "filetype_spreportdocumentlibrarylist": "Rapor Belgesi Kütüphanesi",
  "spreportlibrarylist": "Rapor Kütüphanesi",
  "filetype_spreportlibrarylist": "Rapor Kütüphanesi",
  "spslidelibrarylist": "Slayt Kütüphanesi",
  "filetype_spslidelibrarylist": "Slayt Kütüphanesi",
  "sptab": "Sekmeler",
  "filetype_sptab": "Sekmeler",
  "sptablist": "Sekme Listesi",
  "filetype_sptablist": "Sekme Listesi",
  "sptranslationmanagementlibrarylist": "Çeviri Yönetimi Kütüphanesi",
  "filetype_sptranslationmanagementlibrarylist": "Çeviri Yönetimi Kütüphanesi",
  "spuserinformation": "Kullanıcı Bilgileri",
  "filetype_spuserinformation": "Kullanıcı Bilgileri",
  "spuserinformationlist": "Kullanıcı Bilgileri Listesi",
  "filetype_spuserinformationlist": "Kullanıcı Bilgileri Listesi",
  "spwikipagelibrarylist": "Wiki Sayfası Kütüphanesi",
  "filetype_spwikipagelibrarylist": "Wiki Sayfası Kütüphanesi",
  "spworkflowhistory": "İk Akışı Geçmişi",
  "filetype_spworkflowhistory": "İk Akışı Geçmişi",
  "spworkflowhistorylist": "İş Akışı Geçmişi Listesi",
  "filetype_spworkflowhistorylist": "İş Akışı Geçmişi Listesi",
  "spworkflowprocess": "Özel İş Akışı Süreci",
  "filetype_spworkflowprocess": "Özel İş Akışı Süreci",
  "spworkflowprocesslist": "Özel İş Akışı Süreçleri",
  "filetype_spworkflowprocesslist": "Özel İş Akışı Süreçleri",
  "sppublishingimageslibrarylist": "Görüntü Yayınlama Kütüphanesi",
  "filetype_sppublishingimageslibrarylist": "Görüntü Yayınlama Kütüphanesi",
  "spcirculation": "Dolaşım",
  "filetype_spcirculation": "Dolaşım",
  "spcirculationlist": "Dolaşımlar",
  "filetype_spcirculationlist": "Dolaşımlar",
  "spdashboardslibrarylist": "Pano Kütüphanesi",
  "filetype_spdashboardslibrarylist": "Pano Kütüphanesi",
  "spdataconnectionforperformancepointlibrarylist": "PerformancePoint Veri Bağlantı Kütüphanesi",
  "filetype_spdataconnectionforperformancepointlibrarylist": "PerformancePoint Veri Bağlantı Kütüphanesi",
  "sphealthreport": "Sağlık Raporu",
  "filetype_sphealthreport": "Sağlık Raporu",
  "sphealthreportlist": "Sağlık Raporları",
  "filetype_sphealthreportlist": "Sağlık Raporları",
  "sphealthrule": "Sağlık Kuralı",
  "filetype_sphealthrule": "Sağlık Kuralı",
  "sphealthrulelist": "Sağlık Kuralları",
  "filetype_sphealthrulelist": "Sağlık Kuralları",
  "spimedictionary": "IME Sözlüğü",
  "filetype_spimedictionary": "IME Sözlüğü",
  "spimedictionarylist": "IME Sözlükleri",
  "filetype_spimedictionarylist": "IME Sözlükleri",
  "spperformancepointcontent": "PerformancePoint İçeriği",
  "filetype_spperformancepointcontent": "PerformancePoint İçeriği",
  "spperformancepointcontentlist": "PerformancePoint İçerikleri",
  "filetype_spperformancepointcontentlist": "PerformancePoint İçerikleri",
  "spphonecallmemo": "Telefonla Arama Notu",
  "filetype_spphonecallmemo": "Telefonla Arama Notu",
  "spphonecallmemolist": "Telefonla Arama Notları",
  "filetype_spphonecallmemolist": "Telefonla Arama Notları",
  "sprecordlibrarylist": "Kayıt Kütüphanesi",
  "filetype_sprecordlibrarylist": "Kayıt Kütüphanesi",
  "spresource": "Kaynak",
  "filetype_spresource": "Kaynak",
  "spresourcelist": "Kaynaklar",
  "filetype_spresourcelist": "Kaynaklar",
  "spprocessdiagramslibrarylist": "Süreç Diyagramı Kütüphanesi",
  "filetype_spprocessdiagramslibrarylist": "Süreç Diyagramı Kütüphanesi",
  "spsitethemeslibrarylist": "Site Teması Kütüphanesi",
  "filetype_spsitethemeslibrarylist": "Site Teması Kütüphanesi",
  "spsolutionslibrarylist": "Çözüm Kütüphanesi",
  "filetype_spsolutionslibrarylist": "Çözüm Kütüphanesi",
  "spwfpublibrarylist": "WFPUB Kütüphanesi",
  "filetype_spwfpublibrarylist": "WFPUB Kütüphanesi",
  "spwhereabout": "Konum",
  "filetype_spwhereabout": "Konum",
  "spwhereaboutlist": "Konumlar",
  "filetype_spwhereaboutlist": "Konumlar",
  "spdocumentlink": "Bir Belgeye Bağlantı",
  "filetype_spdocumentlink": "Bir Belgeye Bağlantı",
  "spdocumentset": "Belge Seti",
  "filetype_spdocumentset": "Belge Seti",
  "spmicrofeedpost": "Microfeed Gönderisi",
  "filetype_spmicrofeedpost": "Microfeed Gönderisi",
  "spmicrofeedlist": "Microfeed",
  "filetype_spmicrofeedlist": "Microfeed",
  "splistfolder": "Liste Klasörü",
  "filetype_splistfolder": "Liste Klasörü",
  "Unknown": "Bilinmeyen",
  "And": "VE",
  "Authenticating": "{0} kimliği doğrulanıyor...",
  "Clear": "{0} modelini temizle",
  "CompleteQuery": "Sorguyu Tamamla",
  "Exclude": "{0} modelini hariç tut",
  "EnterTag": "Etiket Ekle",
  "Next": "Sonraki",
  "Last": "İleri",
  "Link": "Geri",
  "Or": "VEYA",
  "Previous": "Önceki",
  "QueryDidntMatchAnyDocuments": "Sorgunuz, hiçbir belgeyle eşleşmedi.",
  "QueryException": "Sorgunuzda bir hata var: {0}.",
  "Me": "Ben",
  "Remove": "Kaldır",
  "Search": "Ara",
  "SearchFor": "Şunu ara: {0}",
  "ShareQuery": "Sorguyu Paylaş",
  "Preferences": "Tercihler",
  "LinkOpeningSettings": "Bağlantı Açma Ayarları",
  "Reauthenticate": "{0} kimliğini yeniden doğrula",
  "ResultsFilteringExpression": "Sonuçları Filtreleme İfadeleri",
  "FiltersInYourPreferences": "Tercihlerinizdeki filtreler",
  "Create": "Oluştur",
  "SearchIn": "{0} modelinde ara",
  "Seconds": "{0} saniye içinde",
  "ShowingResultsOf": "{2} / {0}<pl>-{1}</pl> sonuç",
  "ShowingResultsOfWithQuery": "{3} için {2} / {0}<pl>-{1}</pl> sonuç",
  "SwitchTo": "{0} olarak değiştir",
  "Unexclude": "{0} modelini hariç tutma",
  "ClearAllFilters": "Tüm Filtreleri Temizleyin",
  "SkipLogin": "Oturum açmayı atla",
  "LoginInProgress": "Oturum açma işlemi devam ediyor, lütfen bekleyin...",
  "Login": "Oturum Aç",
  "GetStarted": "Başlat",
  "More": "Daha Fazla",
  "NMore": "{0} daha fazla…",
  "Less": "Daha Az",
  "Settings": "Ayarlar",
  "Score": "Puan",
  "ScoreDescription": "Puan, oluşma sayısından ve aynı zamanda sonuç setindeki konumdan hesaplanır.",
  "Occurrences": "Oluşma",
  "OccurrencesDescription": "Önce gösterilen en yüksek sayıya sahip değerleri olan oluşum sayısına göre sırala.",
  "Label": "Etiket",
  "Of": "/",
  "LabelDescription": "Alan değerlerinde alfabetik olarak sırala.",
  "Value": "Değer",
  "ValueDescription": "İlk hesaplanan alanın değerlerinde sırala",
  "AlphaAscending": "Artan Değer",
  "AlphaDescending": "Azalan Değer",
  "ChiSquare": "Ki Kare",
  "Nosort": "Sıralama Yok",
  "NosortDescription": "Değerleri sınıflandırmayın. Değerler rastgele sırayla gelecektir.",
  "RelativeFrequency": "Rölatif Frekans",
  "RelativeFrequencyDescription": "Değerlerin rölatif frekansına dayalı olarak sırala. Daha az rastlanan değerler yüksek görünür.",
  "DateDistribution": "Tarih dağılımı",
  "Custom": "Özel",
  "CustomDescription": "Özel sıraya göre sırala",
  "ComputedField": "Hesaplanmış Alan",
  "Ascending": "Artan",
  "Descending": "Azalan",
  "noResultFor": "{0} için sonuç yok",
  "autoCorrectedQueryTo": "Sorgu otomatik olarak {0} şeklinde düzeltildi",
  "didYouMean": "Şunu mu demek istediniz: {0}",
  "SuggestedResults": "Önerilen Sonuçlar",
  "SuggestedQueries": "Önerilen Sorgular",
  "MostRelevantItems": "En çok bağlantılı öğeler:",
  "AllItems": "Tüm öğeler:",
  "ShowLess": "Daha az göster",
  "ShowMore": "Daha fazla göster",
  "HideFacet": "Modeli Gizle",
  "ShowFacet": "Modeli Göster",
  "AndOthers": "ve {0} diğer<pl>leri</pl>",
  "Others": "{0} diğer<pl>leri</pl>",
  "MostRelevantPosts": "En Çok Bağlantılı Gönderiler:",
  "CompleteThread": "İş Parçacığını Tamamla:",
  "ShowCompleteThread": "Tamamlanan İş Parçalarını Göster",
  "ShowOnlyTopMatchingPosts": "Sadece En Çok Eşlenen Gönderileri Göster",
  "MostRelevantReplies": "En Çok Bağlantılı Cevaplar:",
  "AllConversation": "Tüm Konuşmalar:",
  "ShowAllConversation": "Tüm Konuşmaları Göster",
  "ShowAllReplies": "Tüm Yanıtları Göster",
  "ShowOnlyMostRelevantReplies": "Sadece En Çok İlgili Yanıtları Göster",
  "Close": "Kapat",
  "Open": "Aç",
  "OpenInOutlookWhenPossible": "Outlook'ta aç (mümkün olduğunda)",
  "AlwaysOpenInNewWindow": "Sonuçları her zaman yeni pencerede aç",
  "Quickview": "Hızlı Bakış",
  "NoQuickview": "Bu belgede Hızlı Görüntüleme kullanılamaz",
  "ErrorReport": "Hata Raporu",
  "OopsError": "Sunucuda bir şeyler ters gitti.",
  "ProblemPersists": "Sorun devam ederse yöneticiye danışın.",
  "GoBack": "Geri Git",
  "Reset": "Sıfırla",
  "Retry": "Yeniden Dene",
  "MoreInfo": "Daha Fazla Bilgi",
  "Username": "Kullanıcı Adı",
  "Password": "Parola",
  "PostedBy": "Gönderen:",
  "CannotConnect": "Sunucu adresine bağlanılamıyor.",
  "BadUserPass": "Parola kullanıcı adıyla eşleşmiyor.",
  "PleaseEnterYourCredentials": "Lütfen {0} için kimlik bilgilerinizi girin.",
  "PleaseEnterYourSearchPage": "Lütfen arama sayfası URL'nizi girin",
  "Collapse": "Daralt",
  "Collapsable": "Daraltılabilir",
  "Expand": "Genişlet",
  "Today": "Bugün",
  "Yesterday": "Dün",
  "Tomorrow": "Yarın",
  "Duration": "Süre: {0}",
  "IndexDuration": "İndeks Süresi: {0}",
  "ProxyDuration": "Proxy Süresi: {0}",
  "ClientDuration": "İstemci Süresi: {0}",
  "Unavailable": "Mevcut Değil",
  "Reply": "Yanıtla",
  "ReplyAll": "Tümünü Yanıtla",
  "Forward": "İlet",
  "From": "Gönderen",
  "Caption": "Resim Yazısı",
  "Expression": "İfade",
  "Tab": "Sekme",
  "Tabs": "Sekmeler",
  "EnterExpressionName": "İfade adını girin",
  "EnterExpressionToFilterWith": "Sonuçları şunla filtrelemek için ifade girin:",
  "SelectTab": "Sekme Seç",
  "SelectAll": "Tümünü Seç",
  "PageUrl": "Sayfa URL'sini Ara",
  "ErrorSavingToDevice": "Bilgilerin aygıtınıza yazılması esnasında hata",
  "ErrorReadingFromDevice": "Bilgilerin aygıtınızdan okunması esnasında hata",
  "AppIntro": "Coveo hakkındaki sorularınıza cevap verebilecek ve hangi Coveo çözümünün sizin için doğru olduğu konusunda size yardımcı olabilecek bir ürün uzmanıyla konuşun. Veya bir canlı demoyu deneyin!",
  "TryDemo": "Demoyu deneyin",
  "ContactUs": "Bizimle iletişime geçin",
  "NewToCoveo": "Coveo'da yeni misiniz?",
  "LetUsHelpGetStarted": "Başlamanıza yardımcı olmamıza izin verin",
  "LikesThis": "{0} bundan hoşlanıyor.",
  "CannotConnectSearchPage": "Arama sayfanıza bağlanılamıyor",
  "AreYouSureDeleteFilter": "{0} filtresini {1} ifadesiyle silmek istediğinizden emin misiniz?",
  "OnlineHelp": "Çevrimçi Yardım",
  "Done": "Bitti",
  "SaveFacetState": "Bu model durumunu kaydet",
  "ClearFacetState": "Model durumunu temizle",
  "DisplayingTheOnlyMessage": "Bu konuşmada sadece mesajı görüntüleme",
  "NoNetworkConnection": "Ağ bağlantısı yok",
  "UnknownConnection": "Bilinmeyen bağlantı",
  "EthernetConnection": "Ethernet bağlantısı",
  "WiFi": "WiFi bağlantısı",
  "CELL": "Cep telefonu bağlantısı",
  "CELL_2G": "Cep telefonu 2G bağlantısı",
  "CELL_3G": "Cep telefonu 3G bağlantısı",
  "CELL_4G": "Cep telefonu 4G bağlantısı",
  "Relevance": "Uygunluk",
  "Date": "Tarih",
  "Amount": "Miktar",
  "QueryExceptionNoException": "İstisnasız",
  "QueryExceptionInvalidSyntax": "Geçersiz sözdizimi",
  "QueryExceptionInvalidCustomField": "Geçersiz özel alan",
  "QueryExceptionInvalidDate": "Geçersiz tarih",
  "QueryExceptionInvalidExactPhrase": "Geçersiz kesin tümceciği",
  "QueryExceptionInvalidDateOp": "Geçersiz tarih operatörü",
  "QueryExceptionInvalidNear": "Geçersiz NEAR operatörü",
  "QueryExceptionInvalidWeightedNear": "Geçersiz ağırlıklı NEAR",
  "QueryExceptionInvalidTerm": "Geçersiz terim",
  "QueryExceptionTooManyTerms": "Çok fazla terim",
  "QueryExceptionWildcardTooGeneral": "Joker karakter çok genel",
  "QueryExceptionInvalidSortField": "Geçersiz sırlama alanı",
  "QueryExceptionInvalidSmallStringOp": "Geçersiz küçük dize operatörü",
  "QueryExceptionRequestedResultsMax": "Maksimum talep edilen sonuç",
  "QueryExceptionAggregatedMirrorDead": "Birleştirilmiş ayna çevrimdışı",
  "QueryExceptionAggregatedMirrorQueryTimeOut": "Birleştirilmiş aynı sorgusu zaman aşımı",
  "QueryExceptionAggregatedMirrorInvalidBuildNumber": "Birleştirilmiş ayna geçersiz derleme numarası",
  "QueryExceptionAggregatedMirrorCannotConnect": "Birleştirilmiş ayna bağlanamıyor",
  "QueryExceptionNotEnoughLeadingCharsWildcard": "Joker karakterden önce yetersiz karakter",
  "QueryExceptionSecurityInverterNotFound": "Güvenlik dönüştürücüsü bulunamadı",
  "QueryExceptionSecurityInverterAccessDenied": "Güvenlik dönüştürücüsü erişimi reddedildi",
  "QueryExceptionAggregatedMirrorCannotImpersonate": "Birleştirilmiş ayna temsil edilemiyor",
  "QueryExceptionUnexpected": "Beklenmeyen",
  "QueryExceptionAccessDenied": "Erişim Engellendi",
  "QueryExceptionSuperUserTokenInvalid": "Süper kullanıcı kodu geçersiz",
  "QueryExceptionSuperUserTokenExpired": "Süper kullanıcı kodu süresi sona ermiş",
  "QueryExceptionLicenseQueriesExpired": "Sorgular lisansı süresi sona ermiş",
  "QueryExceptionLicenseSuperUserTokenNotSupported": "Lisans süper kullanıcı kodu desteklenmiyor",
  "QueryExceptionInvalidSession": "Geçersiz oturum",
  "QueryExceptionInvalidDocument": "Geçersiz belge",
  "QueryExceptionSearchDisabled": "Arama etkin değil",
  "FileType": "Dosya türü",
  "ShowAttachment": "Eki göster",
  "OnFeed": "{0} akışında.",
  "Author": "Yazan",
  "NoTitle": "Başlık yok",
  "CurrentSelections": "Mevcut seçimler",
  "AllContent": "Tüm içerik",
  "CancelLastAction": "Son işlemi iptal et",
  "SearchTips": "Arama ipuçları",
  "CheckSpelling": "Anahtar sözcüklerinizin yazılımını kontrol edin.",
  "TryUsingFewerKeywords": "Daha az, farklı veya daha fazla genel anahtar sözcük kullanmayı deneyin.",
  "SelectFewerFilters": "Aramanızı genişletmek için daha az filtre seçin.",
  "Document": "Belge",
  "Time": "Saat",
  "StartDate": "Başlangıç Tarihi",
  "StartTime": "Başlangıç Saati",
  "DurationTitle": "Süre",
  "UserQuery": "Kullanıcı sorgusu",
  "ShowUserActions": "Kullanıcı Eylemini Göster",
  "NoData": "Veri yok",
  "EventType": "Etkinlik türü",
  "GoToFullSearch": "Tam arama",
  "GoToEdition": "Paneli Kişiselleştir",
  "RemoveContext": "Bağlamı kaldır",
  "BoxAttachToCase": "Talebe ekle",
  "AttachToCase": "Talebe ekle",
  "Attach": "Ekle",
  "Attached": "Eklendi",
  "Detach": "Ayır",
  "Details": "Detaylar",
  "AdditionalFilters": "Ek filtreler",
  "SelectNonContextualSearch": "Aramanızı genişletmek için mevcut kayıttan bağlamı kaldırın",
  "CopyPasteToSupport": "Daha fazla bilgi için bu mesajı kopyala yapıştır yöntemiyle Coveo Destek ekibine gönderin.",
  "FollowQueryDescription": "Bena bu sorgunun arama sonuçlarındaki değişiklikler için uyarı gönder.",
  "SearchAlerts_Panel": "Uyarıları Yönet",
  "SearchAlerts_PanelDescription": "Arama uyarılarınızı görün ve yönetin.",
  "SearchAlerts_PanelNoSearchAlerts": "Aboneliğiniz yok.",
  "SearchAlerts_Fail": "Arama Uyarıları hizmeti şu anda kullanılamıyor.",
  "SearchAlerts_Type": "Tür",
  "SearchAlerts_Content": "İçerik",
  "SearchAlerts_Actions": "Eylem",
  "EmptyQuery": "<boş>",
  "SearchAlerts_Type_followQuery": "Sorgu",
  "SearchAlerts_Type_followDocument": "Öğe",
  "SearchAlerts_unFollowing": "Takip Etmeyi Bırak",
  "SearchAlerts_follow": "Takip Et",
  "SearchAlerts_followed": "Takip Edildi",
  "SearchAlerts_followQuery": "Sorguyu Takip Et",
  "Subscription_StopFollowingQuery": "Sorguyu Takip Etmeyi Bırak",
  "SearchAlerts_Frequency": "Ne zaman",
  "SubscriptionsManageSubscriptions": "Uyarıları Yönet",
  "SubscriptionsMessageFollowQuery": "<b>{0}</b> sorgusu yeni ya da güncellenmiş öğeler bulduğunda uyarılar alacaksınız.",
  "SubscriptionsMessageFollow": "<b>{0}</b> öğesindeki değişiklikler için uyarılar alacaksınız.",
  "Expiration": "Son tarih",
  "Monthly": "Aylık",
  "Daily": "Günlük",
  "Monday": "Pazartesi",
  "Tuesday": "Salı",
  "Wednesday": "Çarşamba",
  "Thursday": "Perşembe",
  "Friday": "Cuma",
  "Saturday": "Cumartesi",
  "Sunday": "Pazar",
  "NextDay": "Sonraki {0}",
  "LastDay": "Son {0}",
  "StartTypingCaseForSuggestions": "Olası çözümleri görmek için sorununuzu açıklayın",
  "ExportToExcel": "Excel'e aktar",
  "ExportToExcelDescription": "Arama sonuçları Excel'e aktar",
  "CaseCreationNoResults": "Önerilen çözüm bulunamadı",
  "SortBy": "Sıralama ölçütü",
  "BoxCreateArticle": "Makale Oluştur",
  "Facets": "Fasetler",
  "AdvancedSearch": "Gelişmiş Arama",
  "Keywords": "Anahtar sözcükler",
  "AllTheseWords": "Tüm bu sözcükler",
  "ExactPhrase": "Tam bu ibare",
  "AnyOfTheseWords": "Bu sözcüklerin herhangi bisi",
  "NoneOfTheseWords": "Bu sözcüklerin hiçbiri",
  "Anytime": "Herhangi bir zaman",
  "InTheLast": "Son",
  "Days": "gün",
  "Months": "ay",
  "Month": "Ay",
  "Year": "Yıl",
  "Between": "Arasında",
  "Language": "Dil",
  "Size": "Boyut",
  "AtLeast": "en az",
  "AtMost": "en fazla",
  "Contains": "içindekiler",
  "DoesNotContain": "içermez",
  "Matches": "eşleşmeler",
  "Bytes": "bayt",
  "card": "Kart",
  "table": "Tablo",
  "ResultLinks": "Sonuç bağlantıları",
  "EnableQuerySyntax": "Sorgu sözdizimini etkinleştir",
  "On": "Açık",
  "Off": "Kapalı",
  "Automatic": "Otomatik",
  "ResultsPerPage": "Sayfa başına sonuç",
  "PreviousMonth": "Önceki ay",
  "NextMonth": "Sonraki ay",
  "Title": "Başlık",
}

  var locales = String["locales"] || (String["locales"] = {});
  locales["tr"] = merge(locales["tr"], dict);
  String["toLocaleString"].call(this, { "tr": dict });
  String["locale"] = "tr";
  String["defaultLocale"] = "en";
  Globalize.culture("tr")
}